// Datei alleStdKopfdat.c
/* ------------------------------------------------------------------------
Mit diesem Hallo-Programm kann man pruefe, ob der versendete Compiler
alle C-Standard-Kopfdateien (C standard header files) "kennt".
------------------------------------------------------------------------ */

#include <assert.h>  // Makro assert.
#include <ctype.h>   // isalpha, isdigit, islower, isupper, tolower, ...
#include <errno.h>   // errno, EDOM, ERANGE, ...
#include <float.h>   // FLT_MAX, FLT_MIN, DBL_MAX, DBL_MIN, ...
#include <inttypes.h>// PRId8, PRIdLEAST8, PRIdFAST8, ...
#include <iso646.h>  // and, or, xor, bitand, bitor, compl, not, ...
#include <limits.h>  // INT_MIN, INT_MAX, LONG_MIN, LONG_MAX, ...
#include <math.h>    // HUGE_VAL, sin, cos, tan, log, pow, sqrt, ...
#include <setjmp.h>  // Lange Rueckspruenge, jump_buf, setjmp, longjmp.
#include <signal.h>  // Signale senden/fangen, signal, raise, SIG_DFL, SIG_IGN,
                     // SIGABRT, SIGFPE, SIGILL, SIGINT, SIGSEGV, SIGTERM, ...
#include <stdarg.h>  // Ermoeglicht variable Anzahl von Parametern.
#include <stdbool.h> // Makros bool, true, false.
#include <stddef.h>  // ptrdiff_t, size_t, wchar_t, Konstante NULL, offsetof.
#include <stdint.h>  // int8_t, uint8_t, int_least8_t, uint_least8_t,
                     // int_fast8_t, intptr_t, uintptr_t, intmax_t, ...
#include <stdio.h>   // E/A in Bytestroeme, printf, scanf, sprintf, ...
                     // fopen, fclose, fflush, fgets, fputs, fread, fwrite, ...
#include <stdlib.h>  // atof, atoi, atol, rand, malloc, calloc, free, exit,
                     // abs, div, getenv, system, bsearch, qsort, ...
#include <string.h>  // memcopy, memmove, strlen, strcpy, strcat, ...
#include <time.h>    // tm, clock, time, localtime, gmtime, ...


int main () {
  printf ("*************************************************\n");
  printf ("Hallo aus einem C-Programm namens alleStdKopfdat!\n");
  printf ("Alle Kopfdateien wurden gefunden!                \n");
  printf ("*************************************************\n");
  return 0;       // Meldung an das Betriebssystem: Alles o.k.
} // main
/* -------------------------------------------------------------
Ausgabe des Programms alleStdKopfdat:

*************************************************
Hallo aus einem C-Programm namens alleStdKopfdat!
*************************************************
------------------------------------------------------------- */
