// Datei defDek02A.c
// ----------------------------------------------------------------
#include <stdio.h>

int   anz;                         // Externe Vereinbarung 01
int   anz;                         // Externe Vereinbarung 01
float f17 = 123.45;                // Externe Vereinbarung 02
int   summe    (int, int);         // Externe Vereinbarung 03
int   verdopple(int);              // Externe Vereinbarung 04
// ----------------------------------------------------------------
int hoch(int basis, int exponent)  // Externe Vereinbarung 05
{
   int erg = 1;                    // Interne (lokale) Vereinbarung
   anz++;
   while (exponent > 0) {
      erg *= basis;
      exponent--;
   }
   return erg;
} // hoch
// ----------------------------------------------------------------
int main(void)                     // Externe Vereinbarung 06
{
   int printf(const char *, ...);  // Interne (lokale) Vereinbarung

   printf("-----------------\n");
   printf("hoch( 2,  3): %3d\n", hoch( 2,  3));
   printf("hoch( 3,  2): %3d\n", hoch( 3,  2));
   printf("hoch(-2,  3): %3d\n", hoch(-2,  3));
   printf("hoch( 2, -3): %3d\n", hoch( 2, -3));
   printf("hoch( 0,  0): %3d\n", hoch( 0,  0));
   printf("-----------------\n");
   printf("summe( 2, 3): %3d\n", summe( 2, 3));
   printf("summe(-2,-3): %3d\n", summe(-2,-3));
   printf("-----------------\n");
   printf("verdopple(3): %3d\n", verdopple(3));
   printf("-----------------\n");
   printf("anz: %d\n", anz);
   return 0;
} // main
// ----------------------------------------------------------------
typedef int ganz;                  // Externe Vereinbarung 07

typedef struct {                   // Externe Vereinbarung 08
   float x;
   float y;
   ganz  gewicht;
} punkt;
/* ------------------------------------------------------------------------
Ausgabe des Programms sVereinbarungen:

-----------------
hoch( 2,  3):   8
hoch( 3,  2):   9
hoch(-2,  3):  -8
hoch( 2, -3):   1
hoch( 0,  0):   1
-----------------
summe( 2, 3):   5
summe(-2,-3):  -5
-----------------
verdopple(3):   6
-----------------
anz: 9
------------------------------------------------------------------------ */
