// Datei IntTypes04.c
/* ------------------------------------------------------------------------
Die Namen der printf-Formatierungskonstanten PRId8, PRId16, ... sind in C99
standardisiert, aber ihre Werte sind abhaengig vom Compiler.
------------------------------------------------------------------------ */
#include <stdio.h>   // E/A in Bytestroeme, printf, sprintf, ...
#include <inttypes.h>// PRId8, PRIdLEAST8, PRIdFAST8, ...

int main() {
   printf("IntTypes04: Jetzt geht es los!\n");

   printf("PRId8 : %s\n", PRId8 );
   printf("PRId16: %s\n", PRId16);
   printf("PRId32: %s\n", PRId32);
   printf("PRId64: %s\n", PRId64);

   printf("IntTypes04: Das war's erstmal!\n");
   return 0;
} // main
/* -----------------------------------+------------------------------------+
|Ausgaben                             | Ausgaben									|
|(nach Compilation mit dem gcc 4.5.2):| (nach Compilation mit dem lcc 3.8):|
|                                     |												|
|IntTypes04: Jetzt geht es los!       | IntTypes04: Jetzt geht es los!		|
|PRId8 : d                            | PRId8 : d									|
|PRId16: d                            | PRId16: d									|
|PRId32: d                            | PRId32: ld									|
|PRId64: I64d                         | PRId64: lld								|
|IntTypes04: Das war's erstmal!       | IntTypes04: Das war's erstmal!		|
+-------------------------------------+---------------------------------- */
