#ifndef __ole2_h__
#define __ole2_h__
#ifndef __windows_h__
#include <windows.h>
#endif
#pragma pack(push,8)
#ifndef WIN32
#define WIN32 100 
#endif
#ifndef _OBJBASE_H_
#include <objbase.h>
#endif
#ifndef __OLEAUTO_H__
#include <oleauto.h>
#endif
#define E_DRAW VIEW_E_DRAW
#define DATA_E_FORMATETC DV_E_FORMATETC
#define OLEIVERB_PRIMARY 0
#define OLEIVERB_SHOW (-1)
#define OLEIVERB_OPEN (-2)
#define OLEIVERB_HIDE (-3)
#define OLEIVERB_UIACTIVATE (-4)
#define OLEIVERB_INPLACEACTIVATE (-5)
#define OLEIVERB_DISCARDUNDOSTATE (-6)
#define EMBDHLP_INPROC_HANDLER 0
#define EMBDHLP_INPROC_SERVER 1
#define EMBDHLP_CREATENOW 0
#define EMBDHLP_DELAYCREATE 0x10000
#ifndef __oleidl_h__
#include <oleidl.h>
#endif
#ifndef __IClassFactory_FWD_DEFINED__
#define __IClassFactory_FWD_DEFINED__
typedef interface IClassFactory IClassFactory;
#endif
WINOLEAPI CreateDataAdviseHolder(LPDATAADVISEHOLDER *);
WINOLEAPI_(DWORD) OleBuildVersion( VOID );
WINOLEAPI ReadClassStg(LPSTORAGE, CLSID *);
WINOLEAPI WriteClassStg(LPSTORAGE, REFCLSID);
WINOLEAPI ReadClassStm(LPSTREAM , CLSID *);
WINOLEAPI WriteClassStm(LPSTREAM ,REFCLSID );
WINOLEAPI WriteFmtUserTypeStg (LPSTORAGE,CLIPFORMAT,LPOLESTR);
WINOLEAPI ReadFmtUserTypeStg (LPSTORAGE,CLIPFORMAT *,LPOLESTR *);
WINOLEAPI OleInitialize(LPVOID );
WINOLEAPI_(void) OleUninitialize(void);
WINOLEAPI OleQueryLinkFromData(LPDATAOBJECT);
WINOLEAPI OleQueryCreateFromData(LPDATAOBJECT);
WINOLEAPI OleCreate(REFCLSID,REFIID,DWORD,LPFORMATETC,LPOLECLIENTSITE,LPSTORAGE,LPVOID *);
WINOLEAPI OleCreateEx(REFCLSID,REFIID,DWORD,DWORD,ULONG,DWORD*,LPFORMATETC,IAdviseSink *,DWORD *,LPOLECLIENTSITE,LPSTORAGE,LPVOID *);
WINOLEAPI OleCreateFromData(LPDATAOBJECT,REFIID,DWORD,LPFORMATETC,LPOLECLIENTSITE,LPSTORAGE,LPVOID *);
WINOLEAPI OleCreateFromDataEx(LPDATAOBJECT,REFIID,DWORD,DWORD,ULONG,DWORD*,LPFORMATETC,IAdviseSink *,DWORD *,LPOLECLIENTSITE,LPSTORAGE,LPVOID *);
WINOLEAPI OleCreateLinkFromData(LPDATAOBJECT,REFIID,DWORD,LPFORMATETC,LPOLECLIENTSITE,LPSTORAGE,LPVOID *);
WINOLEAPI OleCreateStaticFromData(LPDATAOBJECT,REFIID,DWORD,LPFORMATETC,LPOLECLIENTSITE,LPSTORAGE,LPVOID *);
WINOLEAPI OleCreateLink(LPMONIKER, REFIID, DWORD, LPFORMATETC,LPOLECLIENTSITE,LPSTORAGE,LPVOID *);
WINOLEAPI OleCreateLinkEx(LPMONIKER,REFIID,DWORD,DWORD,ULONG,DWORD*,LPFORMATETC,IAdviseSink *,DWORD *,LPOLECLIENTSITE pClientSite,LPSTORAGE,LPVOID *);
WINOLEAPI OleCreateLinkToFile(LPCOLESTR,REFIID,DWORD,LPFORMATETC,LPOLECLIENTSITE,LPSTORAGE,LPVOID *);
WINOLEAPI OleCreateFromFile(REFCLSID,LPCOLESTR,REFIID,DWORD,LPFORMATETC,LPOLECLIENTSITE,LPSTORAGE,LPVOID *);
WINOLEAPI OleCreateFromFileEx(REFCLSID,LPCOLESTR,REFIID,DWORD,DWORD,ULONG, DWORD*,LPFORMATETC,IAdviseSink *,DWORD *,LPOLECLIENTSITE,LPSTORAGE,LPVOID *);
WINOLEAPI OleLoad(LPSTORAGE,REFIID,LPOLECLIENTSITE,LPVOID *);
WINOLEAPI OleSave(LPPERSISTSTORAGE,LPSTORAGE,BOOL);
WINOLEAPI OleLoadFromStream( LPSTREAM,REFIID ,LPVOID *);
WINOLEAPI OleSaveToStream(LPPERSISTSTREAM,LPSTREAM);
WINOLEAPI OleSetContainedObject(IUnknown *,BOOL);
WINOLEAPI OleNoteObjectVisible(IUnknown *,BOOL);
WINOLEAPI RegisterDragDrop(HWND,LPDROPTARGET);
WINOLEAPI RevokeDragDrop(HWND);
WINOLEAPI DoDragDrop(LPDATAOBJECT,LPDROPSOURCE,DWORD,LPDWORD);
WINOLEAPI OleSetClipboard(LPDATAOBJECT);
WINOLEAPI OleGetClipboard(LPDATAOBJECT *);
WINOLEAPI OleFlushClipboard(void);
WINOLEAPI OleIsCurrentClipboard(LPDATAOBJECT);
WINOLEAPI_(HOLEMENU) OleCreateMenuDescriptor (HMENU,LPOLEMENUGROUPWIDTHS);
WINOLEAPI OleSetMenuDescriptor (HOLEMENU , HWND hwndFrame, HWND, LPOLEINPLACEFRAME , LPOLEINPLACEACTIVEOBJECT);
WINOLEAPI OleDestroyMenuDescriptor (HOLEMENU);
WINOLEAPI OleTranslateAccelerator (LPOLEINPLACEFRAME,LPOLEINPLACEFRAMEINFO,LPMSG);
WINOLEAPI_(HANDLE) OleDuplicateData (HANDLE,CLIPFORMAT,UINT);
WINOLEAPI OleDraw (IUnknown *,DWORD,HDC,LPCRECT);
WINOLEAPI OleRun(IUnknown *);
WINOLEAPI_(BOOL) OleIsRunning(LPOLEOBJECT);
WINOLEAPI OleLockRunning(IUnknown *,BOOL,BOOL);
WINOLEAPI_(void) ReleaseStgMedium(LPSTGMEDIUM);
WINOLEAPI CreateOleAdviseHolder(LPOLEADVISEHOLDER *);
WINOLEAPI OleCreateDefaultHandler(REFCLSID,IUnknown *,REFIID,LPVOID *);
WINOLEAPI OleCreateEmbeddingHelper(REFCLSID,IUnknown *,DWORD,IClassFactory *,REFIID,LPVOID *);
WINOLEAPI_(BOOL) IsAccelerator(HACCEL,int,LPMSG,WORD *);
WINOLEAPI_(HGLOBAL) OleGetIconOfFile(LPOLESTR,BOOL);
WINOLEAPI_(HGLOBAL) OleGetIconOfClass(REFCLSID,LPOLESTR,BOOL);
WINOLEAPI_(HGLOBAL) OleMetafilePictFromIconAndLabel(HICON,LPOLESTR,LPOLESTR,UINT iIconIndex);
WINOLEAPI OleRegGetUserType(REFCLSID,DWORD,LPOLESTR *);
WINOLEAPI OleRegGetMiscStatus(REFCLSID,DWORD,DWORD *);
WINOLEAPI OleRegEnumFormatEtc(REFCLSID,DWORD,LPENUMFORMATETC *);
WINOLEAPI OleRegEnumVerbs(REFCLSID,LPENUMOLEVERB *);
typedef struct _OLESTREAM * LPOLESTREAM;
typedef struct _OLESTREAMVTBL {
 DWORD (CALLBACK* Get)(LPOLESTREAM, void *, DWORD);
 DWORD (CALLBACK* Put)(LPOLESTREAM, const void *, DWORD);
} OLESTREAMVTBL;
typedef OLESTREAMVTBL * LPOLESTREAMVTBL;
typedef struct _OLESTREAM {
 LPOLESTREAMVTBL lpstbl;
} OLESTREAM;
WINOLEAPI OleConvertOLESTREAMToIStorage(LPOLESTREAM,LPSTORAGE,const DVTARGETDEVICE *);
WINOLEAPI OleConvertIStorageToOLESTREAM (LPSTORAGE,LPOLESTREAM);
WINOLEAPI GetHGlobalFromILockBytes(LPLOCKBYTES,HGLOBAL *);
WINOLEAPI CreateILockBytesOnHGlobal(HGLOBAL,BOOL,LPLOCKBYTES *);
WINOLEAPI GetHGlobalFromStream (LPSTREAM,HGLOBAL *);
WINOLEAPI CreateStreamOnHGlobal(HGLOBAL,BOOL,LPSTREAM *);
WINOLEAPI OleDoAutoConvert(LPSTORAGE,LPCLSID);
WINOLEAPI OleGetAutoConvert(REFCLSID,LPCLSID);
WINOLEAPI OleSetAutoConvert(REFCLSID,REFCLSID);
WINOLEAPI GetConvertStg(LPSTORAGE);
WINOLEAPI SetConvertStg(LPSTORAGE,BOOL);
WINOLEAPI OleConvertIStorageToOLESTREAMEx(LPSTORAGE,CLIPFORMAT,LONG,LONG,DWORD,LPSTGMEDIUM,LPOLESTREAM);
WINOLEAPI OleConvertOLESTREAMToIStorageEx(LPOLESTREAM,LPSTORAGE,CLIPFORMAT *,LONG *,LONG *,DWORD *,LPSTGMEDIUM); 
#ifndef RC_INVOKED
#pragma pack(pop)
#endif 
#endif

