#ifndef __winreg_h__
#define __winreg_h__
#ifndef __windows_h__
#include <win.h>
#endif
#define HKEY_DYN_DATA (( HKEY ) 0x80000006 )
#ifndef _PROVIDER_STRUCTS_DEFINED
#define _PROVIDER_STRUCTS_DEFINED
#define PROVIDER_KEEPS_VALUE_LENGTH 0x1
struct val_context { int valuelen; LPVOID value_context; LPVOID val_buff_ptr; };
typedef struct val_context *PVALCONTEXT;
typedef DWORD QUERYHANDLER (LPVOID,PVALCONTEXT,DWORD,LPVOID,DWORD *,DWORD);
typedef QUERYHANDLER *PQUERYHANDLER;
typedef struct provider_info {
	PQUERYHANDLER pi_R0_1val;
	PQUERYHANDLER pi_R0_allvals;
	PQUERYHANDLER pi_R3_1val;
	PQUERYHANDLER pi_R3_allvals;
	DWORD pi_flags; 
	LPVOID pi_key_context;
}REG_PROVIDER;
typedef struct provider_info *PPROVIDER;
#endif
#ifdef UNICODE
#define RegConnectRegistry RegConnectRegistryW
#define RegCreateKey RegCreateKeyW
#define RegCreateKeyEx RegCreateKeyExW
#define RegDeleteKey RegDeleteKeyW
#define RegDeleteValue RegDeleteValueW
#define RegEnumKey RegEnumKeyW
#define RegEnumKeyEx RegEnumKeyExW
#define RegEnumValue RegEnumValueW
#define RegLoadKey RegLoadKeyW
#define RegOpenKey RegOpenKeyW
#define RegOpenKeyEx RegOpenKeyExW
#define RegQueryInfoKey RegQueryInfoKeyW
#define RegQueryValue RegQueryValueW
#define RegQueryMultipleValues RegQueryMultipleValuesW
#define RegQueryValueEx RegQueryValueExW
#define InitiateSystemShutdown InitiateSystemShutdownW
#define AbortSystemShutdown AbortSystemShutdownW
#define RegReplaceKey RegReplaceKeyW
#define RegRestoreKey RegRestoreKeyW
#define RegSaveKey RegSaveKeyW
#define RegSetValue RegSetValueW
#define RegSetValueEx RegSetValueExW
#define RegUnLoadKey RegUnLoadKeyW
#else
#define RegConnectRegistry RegConnectRegistryA
#define RegCreateKey RegCreateKeyA
#define RegCreateKeyEx RegCreateKeyExA
#define RegDeleteKey RegDeleteKeyA
#define RegEnumKey RegEnumKeyA
#define RegEnumKeyEx RegEnumKeyExA
#define RegEnumValue RegEnumValueA
#define RegLoadKey RegLoadKeyA
#define RegOpenKey RegOpenKeyA
#define RegOpenKeyEx RegOpenKeyExA
#define RegQueryInfoKey RegQueryInfoKeyA
#define RegQueryValue RegQueryValueA
#define RegQueryMultipleValues RegQueryMultipleValuesA
#define RegQueryValueEx RegQueryValueExA
#define InitiateSystemShutdown InitiateSystemShutdownA
#define AbortSystemShutdown AbortSystemShutdownA
#define RegReplaceKey RegReplaceKeyA
#define RegRestoreKey RegRestoreKeyA
#define RegSaveKey RegSaveKeyA
#define RegSetValue RegSetValueA
#define RegSetValueEx RegSetValueExA
#define RegUnLoadKey RegUnLoadKeyA
#endif 
#define WIN31_CLASS NULL
LONG APIENTRY RegCloseKey(HKEY hKey);
LONG APIENTRY RegConnectRegistryA(LPSTR,HKEY,PHKEY);
LONG APIENTRY RegConnectRegistryW(LPWSTR,HKEY,PHKEY);
LONG APIENTRY RegCreateKeyA(HKEY,LPCSTR,PHKEY);
LONG APIENTRY RegCreateKeyW(HKEY,LPCWSTR,PHKEY);
LONG APIENTRY RegCreateKeyExA(HKEY,LPCSTR,DWORD,LPSTR,DWORD,REGSAM,LPSECURITY_ATTRIBUTES,PHKEY,LPDWORD);
LONG APIENTRY RegCreateKeyExW(HKEY,LPCWSTR,DWORD,LPWSTR,DWORD,REGSAM,LPSECURITY_ATTRIBUTES,PHKEY,LPDWORD);
LONG APIENTRY RegDeleteKeyA(HKEY,LPCSTR);
LONG APIENTRY RegDeleteKeyW(HKEY,LPCWSTR);
LONG APIENTRY RegDeleteValueA(HKEY, LPCSTR);
LONG APIENTRY RegDeleteValueW (HKEY, LPCWSTR);
LONG APIENTRY RegEnumKeyA(HKEY,DWORD,LPSTR,DWORD);
LONG APIENTRY RegEnumKeyW(HKEY,DWORD,LPWSTR,DWORD);
LONG APIENTRY RegEnumKeyExA(HKEY,DWORD,LPSTR,LPDWORD,LPDWORD,LPSTR,LPDWORD,PFILETIME);
LONG APIENTRY RegEnumKeyExW(HKEY,DWORD,LPWSTR,LPDWORD,LPDWORD,LPWSTR,LPDWORD,PFILETIME);
LONG APIENTRY RegEnumValueA(HKEY,DWORD,LPSTR,LPDWORD,LPDWORD,LPDWORD,LPBYTE,LPDWORD);
LONG APIENTRY RegEnumValueW(HKEY,DWORD,LPWSTR,LPDWORD,LPDWORD,LPDWORD,LPBYTE,LPDWORD);
LONG APIENTRY RegFlushKey(HKEY);
LONG APIENTRY RegGetKeySecurity(HKEY,SECURITY_INFORMATION,PSECURITY_DESCRIPTOR,LPDWORD);
LONG APIENTRY RegLoadKeyA(HKEY,LPCSTR,LPCSTR);
LONG APIENTRY RegLoadKeyW(HKEY,LPCWSTR,LPCWSTR);
LONG APIENTRY RegNotifyChangeKeyValue(HKEY,BOOL,DWORD,HANDLE,BOOL);
LONG APIENTRY RegOpenKeyA(HKEY,LPCSTR,PHKEY);
LONG APIENTRY RegOpenKeyW(HKEY,LPCWSTR,PHKEY);
LONG APIENTRY RegOpenKeyExA(HKEY,LPCSTR,DWORD,REGSAM,PHKEY);
LONG APIENTRY RegOpenKeyExW(HKEY,LPCWSTR,DWORD,REGSAM,PHKEY);
LONG APIENTRY RegQueryInfoKeyA(HKEY,LPSTR,LPDWORD,LPDWORD,LPDWORD,LPDWORD,LPDWORD,LPDWORD,LPDWORD,LPDWORD,LPDWORD,PFILETIME);
LONG APIENTRY RegQueryInfoKeyW(HKEY,LPWSTR,LPDWORD,LPDWORD,LPDWORD,LPDWORD,LPDWORD,LPDWORD,LPDWORD,LPDWORD,LPDWORD,PFILETIME);
LONG APIENTRY RegQueryValueA(HKEY,LPCSTR,LPSTR,PLONG);
LONG APIENTRY RegQueryValueW(HKEY,LPCWSTR,LPWSTR,PLONG);
LONG APIENTRY RegQueryMultipleValuesA(HKEY,PVALENTA,DWORD,LPSTR,LPDWORD);
LONG APIENTRY RegQueryMultipleValuesW(HKEY,PVALENTW,DWORD,LPWSTR,LPDWORD);
LONG APIENTRY RegQueryValueExA(HKEY,LPCSTR,LPDWORD,LPDWORD,LPBYTE,LPDWORD);
LONG APIENTRY RegQueryValueExW(HKEY,LPCWSTR,LPDWORD,LPDWORD,LPBYTE,LPDWORD);
LONG APIENTRY RegReplaceKeyA(HKEY,LPCSTR,LPCSTR,LPCSTR);
LONG APIENTRY RegReplaceKeyW(HKEY,LPCWSTR,LPCWSTR,LPCWSTR);
LONG APIENTRY RegRestoreKeyA(HKEY,LPCSTR,DWORD);
LONG APIENTRY RegRestoreKeyW(HKEY,LPCWSTR,DWORD);
LONG APIENTRY RegSaveKeyA(HKEY,LPCSTR,LPSECURITY_ATTRIBUTES);
LONG APIENTRY RegSaveKeyW(HKEY,LPCWSTR,LPSECURITY_ATTRIBUTES);
LONG APIENTRY RegSetKeySecurity(HKEY,SECURITY_INFORMATION,PSECURITY_DESCRIPTOR);
LONG APIENTRY RegSetValueA(HKEY,LPCSTR,DWORD,LPCSTR,DWORD);
LONG APIENTRY RegSetValueW(HKEY,LPCWSTR,DWORD,LPCWSTR,DWORD);
LONG APIENTRY RegSetValueExA(HKEY,LPCSTR,DWORD,DWORD,BYTE*,DWORD);
LONG APIENTRY RegSetValueExW(HKEY,LPCWSTR,DWORD,DWORD,BYTE*,DWORD);
LONG APIENTRY RegUnLoadKeyA(HKEY,LPCSTR);
LONG APIENTRY RegUnLoadKeyW(HKEY,LPCWSTR);
BOOL APIENTRY InitiateSystemShutdownA(LPSTR,LPSTR,DWORD,BOOL,BOOL);
BOOL APIENTRY InitiateSystemShutdownW(LPWSTR,LPWSTR,DWORD,BOOL,BOOL);
BOOL APIENTRY AbortSystemShutdownA(LPSTR);
BOOL APIENTRY AbortSystemShutdownW(LPWSTR);
#endif 
