#ifndef __aclapi_h__
#define __aclapi_h__
#include <windows.h>
#include <accctrl.h>
DWORD WINAPI SetEntriesInAclW(ULONG,PEXPLICIT_ACCESS_W,PACL,PACL *);
DWORD WINAPI SetEntriesInAclA( ULONG,PEXPLICIT_ACCESS_A,PACL,PACL *);
#ifdef UNICODE
#define SetEntriesInAcl SetEntriesInAclW
#else
#define SetEntriesInAcl SetEntriesInAclA
#endif
DWORD WINAPI GetExplicitEntriesFromAclW( PACL,PULONG,PEXPLICIT_ACCESS_W *);
DWORD WINAPI GetExplicitEntriesFromAclA( PACL,PULONG,PEXPLICIT_ACCESS_A *);
#ifdef UNICODE
#define GetExplicitEntriesFromAcl GetExplicitEntriesFromAclW
#else
#define GetExplicitEntriesFromAcl GetExplicitEntriesFromAclA
#endif
DWORD WINAPI GetEffectiveRightsFromAclW(PACL,PTRUSTEE_W,PACCESS_MASK);
DWORD WINAPI GetEffectiveRightsFromAclA( PACL,PTRUSTEE_A,PACCESS_MASK);
#ifdef UNICODE
#define GetEffectiveRightsFromAcl GetEffectiveRightsFromAclW
#else
#define GetEffectiveRightsFromAcl GetEffectiveRightsFromAclA
#endif
DWORD WINAPI GetAuditedPermissionsFromAclW(PACL,PTRUSTEE_W,PACCESS_MASK,PACCESS_MASK);
DWORD WINAPI GetAuditedPermissionsFromAclA( PACL,PTRUSTEE_A,PACCESS_MASK,PACCESS_MASK);
#ifdef UNICODE
#define GetAuditedPermissionsFromAcl GetAuditedPermissionsFromAclW
#else
#define GetAuditedPermissionsFromAcl GetAuditedPermissionsFromAclA
#endif
DWORD WINAPI GetNamedSecurityInfoW( LPWSTR,SE_OBJECT_TYPE,SECURITY_INFORMATION,PSID *,PSID *,PACL *,PACL *,PSECURITY_DESCRIPTOR *); 
DWORD WINAPI GetNamedSecurityInfoA( LPSTR,SE_OBJECT_TYPE,SECURITY_INFORMATION,PSID *,PSID *,PACL *,PACL *,PSECURITY_DESCRIPTOR *);
#ifdef UNICODE
#define GetNamedSecurityInfo GetNamedSecurityInfoW
#else
#define GetNamedSecurityInfo GetNamedSecurityInfoA
#endif
DWORD WINAPI GetSecurityInfo( HANDLE,SE_OBJECT_TYPE,SECURITY_INFORMATION,
 PSID *,PSID *,PACL *,PACL *,PSECURITY_DESCRIPTOR *);
DWORD WINAPI SetNamedSecurityInfoW( LPWSTR,SE_OBJECT_TYPE,SECURITY_INFORMATION,PSID,PSID,PACL,PACL);
DWORD WINAPI SetNamedSecurityInfoA( LPSTR,
 SE_OBJECT_TYPE,SECURITY_INFORMATION,PSID,PSID,PACL,PACL);
#ifdef UNICODE
#define SetNamedSecurityInfo SetNamedSecurityInfoW
#else
#define SetNamedSecurityInfo SetNamedSecurityInfoA
#endif
DWORD WINAPI SetSecurityInfo( HANDLE,SE_OBJECT_TYPE,SECURITY_INFORMATION,PSID,PSID,PACL,PACL);
DWORD WINAPI BuildSecurityDescriptorW( PTRUSTEE_W,PTRUSTEE_W,ULONG,PEXPLICIT_ACCESS_W, ULONG,PEXPLICIT_ACCESS_W,PSECURITY_DESCRIPTOR,PULONG,PSECURITY_DESCRIPTOR *);
DWORD WINAPI BuildSecurityDescriptorA( PTRUSTEE_A,PTRUSTEE_A,ULONG, PEXPLICIT_ACCESS_A,ULONG,PEXPLICIT_ACCESS_A,PSECURITY_DESCRIPTOR,PULONG,PSECURITY_DESCRIPTOR * );
#ifdef UNICODE
#define BuildSecurityDescriptor BuildSecurityDescriptorW
#else
#define BuildSecurityDescriptor BuildSecurityDescriptorA
#endif
DWORD WINAPI LookupSecurityDescriptorPartsW( PTRUSTEE_W *,PTRUSTEE_W *,PULONG, PEXPLICIT_ACCESS_W *,PULONG,PEXPLICIT_ACCESS_W *,PSECURITY_DESCRIPTOR);
DWORD WINAPI LookupSecurityDescriptorPartsA( PTRUSTEE_A *,PTRUSTEE_A *, PULONG,PEXPLICIT_ACCESS_A *,PULONG,PEXPLICIT_ACCESS_A *,PSECURITY_DESCRIPTOR);
#ifdef UNICODE
#define LookupSecurityDescriptorParts LookupSecurityDescriptorPartsW
#else
#define LookupSecurityDescriptorParts LookupSecurityDescriptorPartsA
#endif
VOID WINAPI BuildExplicitAccessWithNameW(PEXPLICIT_ACCESS_W,LPWSTR,DWORD,ACCESS_MODE,DWORD );
VOID WINAPI BuildExplicitAccessWithNameA( PEXPLICIT_ACCESS_A,LPSTR,DWORD,ACCESS_MODE,DWORD );
#ifdef UNICODE
#define BuildExplicitAccessWithName BuildExplicitAccessWithNameW
#else
#define BuildExplicitAccessWithName BuildExplicitAccessWithNameA
#endif
VOID WINAPI BuildImpersonateExplicitAccessWithNameW( PEXPLICIT_ACCESS_W,LPWSTR,
 PTRUSTEE_W,DWORD,ACCESS_MODE,DWORD);
VOID WINAPI BuildImpersonateExplicitAccessWithNameA(PEXPLICIT_ACCESS_A,LPSTR,PTRUSTEE_A,DWORD,ACCESS_MODE,DWORD);
#ifdef UNICODE
#define BuildImpersonateExplicitAccessWithName BuildImpersonateExplicitAccessWithNameW
#else
#define BuildImpersonateExplicitAccessWithName BuildImpersonateExplicitAccessWithNameA
#endif
VOID WINAPI BuildTrusteeWithNameW( PTRUSTEE_W,LPWSTR);
VOID WINAPI BuildTrusteeWithNameA( PTRUSTEE_A,LPSTR);
#ifdef UNICODE
#define BuildTrusteeWithName BuildTrusteeWithNameW
#else
#define BuildTrusteeWithName BuildTrusteeWithNameA
#endif
VOID WINAPI BuildImpersonateTrusteeW( PTRUSTEE_W,PTRUSTEE_W);
VOID WINAPI BuildImpersonateTrusteeA( PTRUSTEE_A,PTRUSTEE_A);
#ifdef UNICODE
#define BuildImpersonateTrustee BuildImpersonateTrusteeW
#else
#define BuildImpersonateTrustee BuildImpersonateTrusteeA
#endif
VOID WINAPI BuildTrusteeWithSidW( PTRUSTEE_W,PSID);
VOID WINAPI BuildTrusteeWithSidA( PTRUSTEE_A,PSID);
#ifdef UNICODE
#define BuildTrusteeWithSid BuildTrusteeWithSidW
#else
#define BuildTrusteeWithSid BuildTrusteeWithSidA
#endif
LPWSTR WINAPI GetTrusteeNameW( PTRUSTEE_W);
LPSTR WINAPI GetTrusteeNameA( PTRUSTEE_A);
#ifdef UNICODE
#define GetTrusteeName GetTrusteeNameW
#else
#define GetTrusteeName GetTrusteeNameA
#endif
TRUSTEE_TYPE WINAPI GetTrusteeTypeW( PTRUSTEE_W);
TRUSTEE_TYPE WINAPI GetTrusteeTypeA( PTRUSTEE_A);
#ifdef UNICODE
#define GetTrusteeType GetTrusteeTypeW
#else
#define GetTrusteeType GetTrusteeTypeA
#endif
TRUSTEE_FORM WINAPI GetTrusteeFormW( PTRUSTEE_W);
TRUSTEE_FORM WINAPI GetTrusteeFormA( PTRUSTEE_A);
#ifdef UNICODE
#define GetTrusteeForm GetTrusteeFormW
#else
#define GetTrusteeForm GetTrusteeFormA
#endif
MULTIPLE_TRUSTEE_OPERATION WINAPI GetMultipleTrusteeOperationW( PTRUSTEE_W);
MULTIPLE_TRUSTEE_OPERATION WINAPI GetMultipleTrusteeOperationA( PTRUSTEE_A);
#ifdef UNICODE
#define GetMultipleTrusteeOperation GetMultipleTrusteeOperationW
#else
#define GetMultipleTrusteeOperation GetMultipleTrusteeOperationA
#endif
PTRUSTEE_W WINAPI GetMultipleTrusteeW( PTRUSTEE_W);
PTRUSTEE_A WINAPI GetMultipleTrusteeA( PTRUSTEE_A);
#ifdef UNICODE
#define GetMultipleTrustee GetMultipleTrusteeW
#else
#define GetMultipleTrustee GetMultipleTrusteeA
#endif
#endif
