#ifndef __REQUIRED_RPCNDR_H_VERSION__
#define __REQUIRED_RPCNDR_H_VERSION__ 440
#endif
#include "rpc.h"
#include "rpcndr.h"
#ifndef __RPCNDR_H_VERSION__
#error this stub requires an updated version of <rpcndr.h>
#endif 
#ifndef COM_NO_WINDOWS_H
#include "windows.h"
#include "ole2.h"
#endif 
#ifndef __activscp_h__
#define __activscp_h__
#ifndef __IActiveScriptSite_FWD_DEFINED__
#define __IActiveScriptSite_FWD_DEFINED__
typedef interface IActiveScriptSite IActiveScriptSite;
#endif 
#ifndef __IActiveScriptError_FWD_DEFINED__
#define __IActiveScriptError_FWD_DEFINED__
typedef interface IActiveScriptError IActiveScriptError;
#endif 
#ifndef __IActiveScriptError64_FWD_DEFINED__
#define __IActiveScriptError64_FWD_DEFINED__
typedef interface IActiveScriptError64 IActiveScriptError64;
#endif 
#ifndef __IActiveScriptSiteWindow_FWD_DEFINED__
#define __IActiveScriptSiteWindow_FWD_DEFINED__
typedef interface IActiveScriptSiteWindow IActiveScriptSiteWindow;
#endif 
#ifndef __IActiveScriptSiteInterruptPoll_FWD_DEFINED__
#define __IActiveScriptSiteInterruptPoll_FWD_DEFINED__
typedef interface IActiveScriptSiteInterruptPoll IActiveScriptSiteInterruptPoll;
#endif 
#ifndef __IActiveScript_FWD_DEFINED__
#define __IActiveScript_FWD_DEFINED__
typedef interface IActiveScript IActiveScript;
#endif 
#ifndef __IActiveScriptParse32_FWD_DEFINED__
#define __IActiveScriptParse32_FWD_DEFINED__
typedef interface IActiveScriptParse32 IActiveScriptParse32;
#endif 
#ifndef __IActiveScriptParse64_FWD_DEFINED__
#define __IActiveScriptParse64_FWD_DEFINED__
typedef interface IActiveScriptParse64 IActiveScriptParse64;
#endif 
#ifndef __IActiveScriptParseProcedureOld32_FWD_DEFINED__
#define __IActiveScriptParseProcedureOld32_FWD_DEFINED__
typedef interface IActiveScriptParseProcedureOld32 IActiveScriptParseProcedureOld32;
#endif 
#ifndef __IActiveScriptParseProcedureOld64_FWD_DEFINED__
#define __IActiveScriptParseProcedureOld64_FWD_DEFINED__
typedef interface IActiveScriptParseProcedureOld64 IActiveScriptParseProcedureOld64;
#endif 
#ifndef __IActiveScriptParseProcedure32_FWD_DEFINED__
#define __IActiveScriptParseProcedure32_FWD_DEFINED__
typedef interface IActiveScriptParseProcedure32 IActiveScriptParseProcedure32;
#endif 
#ifndef __IActiveScriptParseProcedure64_FWD_DEFINED__
#define __IActiveScriptParseProcedure64_FWD_DEFINED__
typedef interface IActiveScriptParseProcedure64 IActiveScriptParseProcedure64;
#endif 
#ifndef __IActiveScriptParseProcedure2_32_FWD_DEFINED__
#define __IActiveScriptParseProcedure2_32_FWD_DEFINED__
typedef interface IActiveScriptParseProcedure2_32 IActiveScriptParseProcedure2_32;
#endif 
#ifndef __IActiveScriptParseProcedure2_64_FWD_DEFINED__
#define __IActiveScriptParseProcedure2_64_FWD_DEFINED__
typedef interface IActiveScriptParseProcedure2_64 IActiveScriptParseProcedure2_64;
#endif 
#ifndef __IActiveScriptEncode_FWD_DEFINED__
#define __IActiveScriptEncode_FWD_DEFINED__
typedef interface IActiveScriptEncode IActiveScriptEncode;
#endif 
#ifndef __IActiveScriptHostEncode_FWD_DEFINED__
#define __IActiveScriptHostEncode_FWD_DEFINED__
typedef interface IActiveScriptHostEncode IActiveScriptHostEncode;
#endif 
#ifndef __IBindEventHandler_FWD_DEFINED__
#define __IBindEventHandler_FWD_DEFINED__
typedef interface IBindEventHandler IBindEventHandler;
#endif 
#ifndef __IActiveScriptStats_FWD_DEFINED__
#define __IActiveScriptStats_FWD_DEFINED__
typedef interface IActiveScriptStats IActiveScriptStats;
#endif 
#ifndef __IActiveScriptProperty_FWD_DEFINED__
#define __IActiveScriptProperty_FWD_DEFINED__
typedef interface IActiveScriptProperty IActiveScriptProperty;
#endif 
#ifndef __ITridentEventSink_FWD_DEFINED__
#define __ITridentEventSink_FWD_DEFINED__
typedef interface ITridentEventSink ITridentEventSink;
#endif 
#ifndef __IActiveScriptGarbageCollector_FWD_DEFINED__
#define __IActiveScriptGarbageCollector_FWD_DEFINED__
typedef interface IActiveScriptGarbageCollector IActiveScriptGarbageCollector;
#endif 
#ifndef __IActiveScriptSIPInfo_FWD_DEFINED__
#define __IActiveScriptSIPInfo_FWD_DEFINED__
typedef interface IActiveScriptSIPInfo IActiveScriptSIPInfo;
#endif 
#include "ocidl.h"
void * __RPC_USER MIDL_user_allocate(size_t);
void __RPC_USER MIDL_user_free(void *); 
#ifndef __ActivScp_h
#define __ActivScp_h
#ifndef _NO_SCRIPT_GUIDS
DEFINE_GUID(CATID_ActiveScript,0xf0b7a1a1,0x9847,4559,143,32,0,128,95,44,208,100);
DEFINE_GUID(CATID_ActiveScriptParse,0xf0b7a1a2,0x9847,4559,143,32,0,128,95,44,208,100);
DEFINE_GUID(CATID_ActiveScriptEncode,0xf0b7a1a3,0x9847,4559,143,32,0,128,95,44,208,100);
DEFINE_GUID(IID_IActiveScript,0xbb1a2ae1,0xa4f9,4559,143,32,0,128,95,44,208,100);
DEFINE_GUID(IID_IActiveScriptParse32,0xbb1a2ae2,0xa4f9,4559,143,32,0,128,95,44,208,100);
DEFINE_GUID(IID_IActiveScriptParse64,0xc7ef7658,0xe1ee,0x480e,151,234,213,44,180,215,109,23);
DEFINE_GUID(IID_IActiveScriptEncode,0xbb1a2ae3,0xa4f9,4559,143,32,0,128,95,44,208,100);
DEFINE_GUID(IID_IActiveScriptHostEncode,0xbee9b76e,0xcfe3,4561,183,71,0,192,79,194,176,133);
DEFINE_GUID(IID_IActiveScriptParseProcedureOld32,0x1cff0050,0x6fdd,4560,147,40,0,160,201,13,202,169);
DEFINE_GUID(IID_IActiveScriptParseProcedureOld64,0x21f57128,2249,0x4638,186,18,34,209,93,136,220,92);
DEFINE_GUID(IID_IActiveScriptParseProcedure32,0xaa5b6a80,0xb834,4560,147,47,0,160,201,13,202,169);
DEFINE_GUID(IID_IActiveScriptParseProcedure64,0xc64713b6,0xe029,0x4cc5,146,0,67,139,114,137,11,106);
DEFINE_GUID(IID_IActiveScriptParseProcedure2_32,0x71ee5b20,0xfb04,4561,179,168,0,160,201,17,232,178);
DEFINE_GUID(IID_IActiveScriptParseProcedure2_64,0xfe7c4271,0x210c,0x448d,159,84,118,218,183,4,123,40);
DEFINE_GUID(IID_IActiveScriptSite,0xdb01a1e3,0xa42b,4559,143,32,0,128,95,44,208,100);
DEFINE_GUID(IID_IActiveScriptSiteWindow,0xd10f6761,0x83e9,4559,143,32,0,128,95,44,208,100);
DEFINE_GUID(IID_IActiveScriptSiteInterruptPoll,0x539698a0,0xcdca,4559,165,235,0,170,0,71,160,99);
DEFINE_GUID(IID_IActiveScriptError,0xeae1ba61,0xa4ed,4559,143,32,0,128,95,44,208,100);
DEFINE_GUID(IID_IActiveScriptError64,0xb21fb2a1,0x5b8f,0x4963,140,33,33,69,15,132,237,127);
DEFINE_GUID(IID_IBindEventHandler,0x63cdbcb0,0xc1b1,4560,147,54,0,160,201,13,202,169);
DEFINE_GUID(IID_IActiveScriptStats,0xb8da6310,0xe19b,4560,147,60,0,160,201,13,202,169);
DEFINE_GUID(IID_IActiveScriptProperty,0x4954e0d0,0xfbc7,4561,132,16,0,96,8,195,251,252);
DEFINE_GUID(IID_ITridentEventSink,0x1dc9ca50,1775,4562,132,21,0,96,8,195,251,252);
DEFINE_GUID(IID_IActiveScriptGarbageCollector,0x6aa2c4a0,0x2b53,4564,162,160,0,16,75,211,80,144);
DEFINE_GUID(IID_IActiveScriptSIPInfo,0x764651d0,0x38de,4564,162,163,0,16,75,211,80,144);
DEFINE_GUID(OID_VBSSIP,0x1629f04e,0x2799,0x4db5,143,229,172,225,15,23,235,171);
DEFINE_GUID(OID_JSSIP,0x6c9e010,0x38ce,4564,162,163,0,16,75,211,80,144);
DEFINE_GUID(OID_WSFSIP,0x1a610570,0x38ce,4564,162,163,0,16,75,211,80,144);
#endif 
#define SCRIPTITEM_ISVISIBLE 2
#define SCRIPTITEM_ISSOURCE 4
#define SCRIPTITEM_GLOBALMEMBERS 8
#define SCRIPTITEM_ISPERSISTENT 64
#define SCRIPTITEM_CODEONLY 512
#define SCRIPTITEM_NOCODE 1024
#define SCRIPTITEM_ALL_FLAGS (SCRIPTITEM_ISSOURCE | \ SCRIPTITEM_ISVISIBLE | \ SCRIPTITEM_ISPERSISTENT | \ SCRIPTITEM_GLOBALMEMBERS | \ SCRIPTITEM_NOCODE | \ SCRIPTITEM_CODEONLY)
#define SCRIPTTYPELIB_ISCONTROL 16
#define SCRIPTTYPELIB_ISPERSISTENT 64
#define SCRIPTTYPELIB_ALL_FLAGS (SCRIPTTYPELIB_ISCONTROL | SCRIPTTYPELIB_ISPERSISTENT)
#define SCRIPTTEXT_DELAYEXECUTION 1
#define SCRIPTTEXT_ISVISIBLE 2
#define SCRIPTTEXT_ISEXPRESSION 32
#define SCRIPTTEXT_ISPERSISTENT 64
#define SCRIPTTEXT_HOSTMANAGESSOURCE 128
#define SCRIPTTEXT_ALL_FLAGS (SCRIPTTEXT_DELAYEXECUTION | \ SCRIPTTEXT_ISVISIBLE | \ SCRIPTTEXT_ISEXPRESSION | \ SCRIPTTEXT_ISPERSISTENT | \ SCRIPTTEXT_HOSTMANAGESSOURCE)
#define SCRIPTPROC_ISEXPRESSION 32
#define SCRIPTPROC_HOSTMANAGESSOURCE 128
#define SCRIPTPROC_IMPLICIT_THIS 256
#define SCRIPTPROC_IMPLICIT_PARENTS 512
#define SCRIPTPROC_ALL_FLAGS (SCRIPTPROC_HOSTMANAGESSOURCE | \ SCRIPTPROC_ISEXPRESSION | \ SCRIPTPROC_IMPLICIT_THIS | \ SCRIPTPROC_IMPLICIT_PARENTS)
#define SCRIPTINFO_IUNKNOWN 1
#define SCRIPTINFO_ITYPEINFO 2
#define SCRIPTINFO_ALL_FLAGS (SCRIPTINFO_IUNKNOWN | \ SCRIPTINFO_ITYPEINFO)
#define SCRIPTINTERRUPT_DEBUG 1
#define SCRIPTINTERRUPT_RAISEEXCEPTION 2
#define SCRIPTINTERRUPT_ALL_FLAGS (SCRIPTINTERRUPT_DEBUG | \ SCRIPTINTERRUPT_RAISEEXCEPTION)
#define SCRIPTSTAT_STATEMENT_COUNT 1
#define SCRIPTSTAT_INSTRUCTION_COUNT 2
#define SCRIPTSTAT_INTSTRUCTION_TIME 3
#define SCRIPTSTAT_TOTAL_TIME 4
#define SCRIPT_ENCODE_SECTION 1
#define SCRIPT_ENCODE_DEFAULT_LANGUAGE 1
#define SCRIPT_ENCODE_NO_ASP_LANGUAGE 2
#define SCRIPTPROP_NAME 0
#define SCRIPTPROP_MAJORVERSION 1
#define SCRIPTPROP_MINORVERSION 2
#define SCRIPTPROP_BUILDNUMBER 3
#define SCRIPTPROP_DELAYEDEVENTSINKING 4096
#define SCRIPTPROP_CATCHEXCEPTION 4097
#define SCRIPTPROP_CONVERSIONLCID 4098
#define SCRIPTPROP_HOSTSTACKREQUIRED 4099
#define SCRIPTPROP_DEBUGGER 4352
#define SCRIPTPROP_JITDEBUG 4353
#define SCRIPTPROP_HACK_FIBERSUPPORT 0x70000000
#define SCRIPTPROP_HACK_TRIDENTEVENTSINK 0x70000001
typedef 
enum tagSCRIPTSTATE
{	SCRIPTSTATE_UNINITIALIZED=0,
SCRIPTSTATE_INITIALIZED=5,
SCRIPTSTATE_STARTED=1,
SCRIPTSTATE_CONNECTED=2,
SCRIPTSTATE_DISCONNECTED=3,
SCRIPTSTATE_CLOSED=4
} SCRIPTSTATE;
typedef 
enum tagSCRIPTTHREADSTATE
{	SCRIPTTHREADSTATE_NOTINSCRIPT=0,
SCRIPTTHREADSTATE_RUNNING=1
} SCRIPTTHREADSTATE;
typedef 
enum tagSCRIPTGCTYPE
{	SCRIPTGCTYPE_NORMAL=0,
SCRIPTGCTYPE_EXHAUSTIVE=1
} SCRIPTGCTYPE;
typedef DWORD SCRIPTTHREADID;
#define SCRIPTTHREADID_CURRENT ((SCRIPTTHREADID)-1)
#define SCRIPTTHREADID_BASE ((SCRIPTTHREADID)-2)
#define SCRIPTTHREADID_ALL ((SCRIPTTHREADID)-3)
extern RPC_IF_HANDLE __MIDL_itf_activscp_0000_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_activscp_0000_v0_0_s_ifspec;
#ifndef __IActiveScriptSite_INTERFACE_DEFINED__
#define __IActiveScriptSite_INTERFACE_DEFINED__
EXTERN_C IID IID_IActiveScriptSite;
typedef struct IActiveScriptSiteVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IActiveScriptSite *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IActiveScriptSite *);
 ULONG (_stdcall *Release)(IActiveScriptSite *);
 HRESULT (_stdcall *GetLCID)(IActiveScriptSite *,LCID *);
 HRESULT (_stdcall *GetItemInfo)(IActiveScriptSite *,LPCOLESTR,DWORD,IUnknown **,ITypeInfo **);
 HRESULT (_stdcall *GetDocVersionString)(IActiveScriptSite *,BSTR *);
 HRESULT (_stdcall *OnScriptTerminate)(IActiveScriptSite *,const VARIANT *,const EXCEPINFO *);
 HRESULT (_stdcall *OnStateChange)(IActiveScriptSite *,SCRIPTSTATE);
 HRESULT (_stdcall *OnScriptError)(IActiveScriptSite *,IActiveScriptError *);
 HRESULT (_stdcall *OnEnterScript)(IActiveScriptSite *);
 HRESULT (_stdcall *OnLeaveScript)(IActiveScriptSite *);
END_INTERFACE
} IActiveScriptSiteVtbl;
interface IActiveScriptSite
{
CONST_VTBL struct IActiveScriptSiteVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IActiveScriptSite_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IActiveScriptSite_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IActiveScriptSite_Release(A) (A)->lpVtbl->Release(A)
#define IActiveScriptSite_GetLCID(A,B) (A)->lpVtbl->GetLCID(A,B)
#define IActiveScriptSite_GetItemInfo(A,B,C,D,E) (A)->lpVtbl->GetItemInfo(A,B,C,D,E)
#define IActiveScriptSite_GetDocVersionString(A,B) (A)->lpVtbl->GetDocVersionString(A,B)
#define IActiveScriptSite_OnScriptTerminate(A,B,C) (A)->lpVtbl->OnScriptTerminate(A,B,C)
#define IActiveScriptSite_OnStateChange(A,B) (A)->lpVtbl->OnStateChange(A,B)
#define IActiveScriptSite_OnScriptError(A,B) (A)->lpVtbl->OnScriptError(A,B)
#define IActiveScriptSite_OnEnterScript(A) (A)->lpVtbl->OnEnterScript(A)
#define IActiveScriptSite_OnLeaveScript(A) (A)->lpVtbl->OnLeaveScript(A)
#endif 
HRESULT _stdcall IActiveScriptSite_GetLCID_Proxy(IActiveScriptSite *,LCID *);
void __RPC_STUB IActiveScriptSite_GetLCID_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IActiveScriptSite_GetItemInfo_Proxy(IActiveScriptSite *,LPCOLESTR ,DWORD ,IUnknown **,ITypeInfo **);
void __RPC_STUB IActiveScriptSite_GetItemInfo_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IActiveScriptSite_GetDocVersionString_Proxy(IActiveScriptSite *,BSTR *);
void __RPC_STUB IActiveScriptSite_GetDocVersionString_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IActiveScriptSite_OnScriptTerminate_Proxy(IActiveScriptSite *, const VARIANT *pvarResult, const EXCEPINFO *pexcepinfo);
void __RPC_STUB IActiveScriptSite_OnScriptTerminate_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IActiveScriptSite_OnStateChange_Proxy(IActiveScriptSite *,SCRIPTSTATE );
void __RPC_STUB IActiveScriptSite_OnStateChange_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IActiveScriptSite_OnScriptError_Proxy(IActiveScriptSite *,IActiveScriptError *);
void __RPC_STUB IActiveScriptSite_OnScriptError_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IActiveScriptSite_OnEnterScript_Proxy(IActiveScriptSite *);
void __RPC_STUB IActiveScriptSite_OnEnterScript_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IActiveScriptSite_OnLeaveScript_Proxy(IActiveScriptSite *);
void __RPC_STUB IActiveScriptSite_OnLeaveScript_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
#endif 
#ifndef __IActiveScriptError_INTERFACE_DEFINED__
#define __IActiveScriptError_INTERFACE_DEFINED__
EXTERN_C IID IID_IActiveScriptError;
typedef struct IActiveScriptErrorVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IActiveScriptError *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IActiveScriptError *);
 ULONG (_stdcall *Release)(IActiveScriptError *);
 HRESULT (_stdcall *GetExceptionInfo)(IActiveScriptError *,EXCEPINFO *);
 HRESULT (_stdcall *GetSourcePosition)(IActiveScriptError *,DWORD *,ULONG *,LONG *);
 HRESULT (_stdcall *GetSourceLineText)(IActiveScriptError *,BSTR *);
END_INTERFACE
} IActiveScriptErrorVtbl;
interface IActiveScriptError
{
CONST_VTBL struct IActiveScriptErrorVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IActiveScriptError_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IActiveScriptError_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IActiveScriptError_Release(A) (A)->lpVtbl->Release(A)
#define IActiveScriptError_GetExceptionInfo(A,B) (A)->lpVtbl->GetExceptionInfo(A,B)
#define IActiveScriptError_GetSourcePosition(A,B,C,D) (A)->lpVtbl->GetSourcePosition(A,B,C,D)
#define IActiveScriptError_GetSourceLineText(A,B) (A)->lpVtbl->GetSourceLineText(A,B)
#endif 
HRESULT _stdcall IActiveScriptError_RemoteGetExceptionInfo_Proxy(IActiveScriptError *,EXCEPINFO *);
void __RPC_STUB IActiveScriptError_RemoteGetExceptionInfo_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IActiveScriptError_GetSourcePosition_Proxy(IActiveScriptError *,DWORD *,ULONG *,LONG *);
void __RPC_STUB IActiveScriptError_GetSourcePosition_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IActiveScriptError_GetSourceLineText_Proxy(IActiveScriptError *,BSTR *);
void __RPC_STUB IActiveScriptError_GetSourceLineText_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
#endif 
#ifndef __IActiveScriptError64_INTERFACE_DEFINED__
#define __IActiveScriptError64_INTERFACE_DEFINED__
EXTERN_C IID IID_IActiveScriptError64;
typedef struct IActiveScriptError64Vtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IActiveScriptError64 *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IActiveScriptError64 *);
 ULONG (_stdcall *Release)(IActiveScriptError64 *);
 HRESULT (_stdcall *GetExceptionInfo)(IActiveScriptError64 *,EXCEPINFO *);
 HRESULT (_stdcall *GetSourcePosition)(IActiveScriptError64 *,DWORD *,ULONG *,LONG *);
 HRESULT (_stdcall *GetSourceLineText)(IActiveScriptError64 *,BSTR *);
 HRESULT (_stdcall *GetSourcePosition64)(IActiveScriptError64 *,DWORDLONG *,ULONG *,LONG *);
END_INTERFACE
} IActiveScriptError64Vtbl;
interface IActiveScriptError64
{
CONST_VTBL struct IActiveScriptError64Vtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IActiveScriptError64_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IActiveScriptError64_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IActiveScriptError64_Release(A) (A)->lpVtbl->Release(A)
#define IActiveScriptError64_GetExceptionInfo(A,B) (A)->lpVtbl->GetExceptionInfo(A,B)
#define IActiveScriptError64_GetSourcePosition(A,B,C,D) (A)->lpVtbl->GetSourcePosition(A,B,C,D)
#define IActiveScriptError64_GetSourceLineText(A,B) (A)->lpVtbl->GetSourceLineText(A,B)
#define IActiveScriptError64_GetSourcePosition64(A,B,C,D) (A)->lpVtbl->GetSourcePosition64(A,B,C,D)
#endif 
HRESULT _stdcall IActiveScriptError64_GetSourcePosition64_Proxy(IActiveScriptError64 *,DWORDLONG *,ULONG *,LONG *);
void __RPC_STUB IActiveScriptError64_GetSourcePosition64_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
#endif 
#ifndef __IActiveScriptSiteWindow_INTERFACE_DEFINED__
#define __IActiveScriptSiteWindow_INTERFACE_DEFINED__
EXTERN_C IID IID_IActiveScriptSiteWindow;
typedef struct IActiveScriptSiteWindowVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IActiveScriptSiteWindow *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IActiveScriptSiteWindow *);
 ULONG (_stdcall *Release)(IActiveScriptSiteWindow *);
 HRESULT (_stdcall *GetWindow)(IActiveScriptSiteWindow *,HWND *);
 HRESULT (_stdcall *EnableModeless)(IActiveScriptSiteWindow *,BOOL);
END_INTERFACE
} IActiveScriptSiteWindowVtbl;
interface IActiveScriptSiteWindow
{
CONST_VTBL struct IActiveScriptSiteWindowVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IActiveScriptSiteWindow_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IActiveScriptSiteWindow_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IActiveScriptSiteWindow_Release(A) (A)->lpVtbl->Release(A)
#define IActiveScriptSiteWindow_GetWindow(A,B) (A)->lpVtbl->GetWindow(A,B)
#define IActiveScriptSiteWindow_EnableModeless(A,B) (A)->lpVtbl->EnableModeless(A,B)
#endif 
HRESULT _stdcall IActiveScriptSiteWindow_GetWindow_Proxy(IActiveScriptSiteWindow *,HWND *);
void __RPC_STUB IActiveScriptSiteWindow_GetWindow_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IActiveScriptSiteWindow_EnableModeless_Proxy(IActiveScriptSiteWindow *,BOOL );
void __RPC_STUB IActiveScriptSiteWindow_EnableModeless_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
#endif 
#ifndef __IActiveScriptSiteInterruptPoll_INTERFACE_DEFINED__
#define __IActiveScriptSiteInterruptPoll_INTERFACE_DEFINED__
EXTERN_C IID IID_IActiveScriptSiteInterruptPoll;
typedef struct IActiveScriptSiteInterruptPollVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IActiveScriptSiteInterruptPoll *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IActiveScriptSiteInterruptPoll *);
 ULONG (_stdcall *Release)(IActiveScriptSiteInterruptPoll *);
 HRESULT (_stdcall *QueryContinue)(IActiveScriptSiteInterruptPoll *);
END_INTERFACE
} IActiveScriptSiteInterruptPollVtbl;
interface IActiveScriptSiteInterruptPoll
{
CONST_VTBL struct IActiveScriptSiteInterruptPollVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IActiveScriptSiteInterruptPoll_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IActiveScriptSiteInterruptPoll_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IActiveScriptSiteInterruptPoll_Release(A) (A)->lpVtbl->Release(A)
#define IActiveScriptSiteInterruptPoll_QueryContinue(A) (A)->lpVtbl->QueryContinue(A)
#endif 
HRESULT _stdcall IActiveScriptSiteInterruptPoll_QueryContinue_Proxy(IActiveScriptSiteInterruptPoll *);
void __RPC_STUB IActiveScriptSiteInterruptPoll_QueryContinue_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
#endif 
#ifndef __IActiveScript_INTERFACE_DEFINED__
#define __IActiveScript_INTERFACE_DEFINED__
EXTERN_C IID IID_IActiveScript;
typedef struct IActiveScriptVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IActiveScript *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IActiveScript *);
 ULONG (_stdcall *Release)(IActiveScript *);
 HRESULT (_stdcall *SetScriptSite)(IActiveScript *,IActiveScriptSite *);
 HRESULT (_stdcall *GetScriptSite)(IActiveScript *,REFIID,void **);
 HRESULT (_stdcall *SetScriptState)(IActiveScript *,SCRIPTSTATE);
 HRESULT (_stdcall *GetScriptState)(IActiveScript *,SCRIPTSTATE *);
 HRESULT (_stdcall *Close)(IActiveScript *);
 HRESULT (_stdcall *AddNamedItem)(IActiveScript *,LPCOLESTR,DWORD);
 HRESULT (_stdcall *AddTypeLib)(IActiveScript *,REFGUID,DWORD,DWORD,DWORD);
 HRESULT (_stdcall *GetScriptDispatch)(IActiveScript *,LPCOLESTR,IDispatch **);
 HRESULT (_stdcall *GetCurrentScriptThreadID)(IActiveScript *,SCRIPTTHREADID *);
 HRESULT (_stdcall *GetScriptThreadID)(IActiveScript *,DWORD,SCRIPTTHREADID *);
 HRESULT (_stdcall *GetScriptThreadState)(IActiveScript *,SCRIPTTHREADID,SCRIPTTHREADSTATE *);
 HRESULT (_stdcall *InterruptScriptThread)(IActiveScript *,SCRIPTTHREADID,const EXCEPINFO *,DWORD);
 HRESULT (_stdcall *Clone)(IActiveScript *,IActiveScript **);
END_INTERFACE
} IActiveScriptVtbl;
interface IActiveScript
{
CONST_VTBL struct IActiveScriptVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IActiveScript_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IActiveScript_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IActiveScript_Release(A) (A)->lpVtbl->Release(A)
#define IActiveScript_SetScriptSite(A,B) (A)->lpVtbl->SetScriptSite(A,B)
#define IActiveScript_GetScriptSite(A,B,C) (A)->lpVtbl->GetScriptSite(A,B,C)
#define IActiveScript_SetScriptState(A,B) (A)->lpVtbl->SetScriptState(A,B)
#define IActiveScript_GetScriptState(A,B) (A)->lpVtbl->GetScriptState(A,B)
#define IActiveScript_Close(A) (A)->lpVtbl->Close(A)
#define IActiveScript_AddNamedItem(A,B,C) (A)->lpVtbl->AddNamedItem(A,B,C)
#define IActiveScript_AddTypeLib(A,B,C,D,E) (A)->lpVtbl->AddTypeLib(A,B,C,D,E)
#define IActiveScript_GetScriptDispatch(A,B,C) (A)->lpVtbl->GetScriptDispatch(A,B,C)
#define IActiveScript_GetCurrentScriptThreadID(A,B) (A)->lpVtbl->GetCurrentScriptThreadID(A,B)
#define IActiveScript_GetScriptThreadID(A,B,C) (A)->lpVtbl->GetScriptThreadID(A,B,C)
#define IActiveScript_GetScriptThreadState(A,B,C) (A)->lpVtbl->GetScriptThreadState(A,B,C)
#define IActiveScript_InterruptScriptThread(A,B,C,D) (A)->lpVtbl->InterruptScriptThread(A,B,C,D)
#define IActiveScript_Clone(A,B) (A)->lpVtbl->Clone(A,B)
#endif 
HRESULT _stdcall IActiveScript_SetScriptSite_Proxy(IActiveScript *,IActiveScriptSite *);
void __RPC_STUB IActiveScript_SetScriptSite_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IActiveScript_GetScriptSite_Proxy(IActiveScript *,REFIID ,void **);
void __RPC_STUB IActiveScript_GetScriptSite_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IActiveScript_SetScriptState_Proxy(IActiveScript *,SCRIPTSTATE );
void __RPC_STUB IActiveScript_SetScriptState_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IActiveScript_GetScriptState_Proxy(IActiveScript *,SCRIPTSTATE *);
void __RPC_STUB IActiveScript_GetScriptState_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IActiveScript_Close_Proxy(IActiveScript *);
void __RPC_STUB IActiveScript_Close_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IActiveScript_AddNamedItem_Proxy(IActiveScript *,LPCOLESTR ,DWORD );
void __RPC_STUB IActiveScript_AddNamedItem_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IActiveScript_AddTypeLib_Proxy(IActiveScript *,REFGUID ,DWORD ,DWORD ,DWORD );
void __RPC_STUB IActiveScript_AddTypeLib_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IActiveScript_GetScriptDispatch_Proxy(IActiveScript *,LPCOLESTR ,IDispatch **);
void __RPC_STUB IActiveScript_GetScriptDispatch_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IActiveScript_GetCurrentScriptThreadID_Proxy(IActiveScript *,SCRIPTTHREADID *);
void __RPC_STUB IActiveScript_GetCurrentScriptThreadID_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IActiveScript_GetScriptThreadID_Proxy(IActiveScript *,DWORD ,SCRIPTTHREADID *);
void __RPC_STUB IActiveScript_GetScriptThreadID_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IActiveScript_GetScriptThreadState_Proxy(IActiveScript *,SCRIPTTHREADID ,SCRIPTTHREADSTATE *);
void __RPC_STUB IActiveScript_GetScriptThreadState_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IActiveScript_InterruptScriptThread_Proxy(IActiveScript *,SCRIPTTHREADID , const EXCEPINFO *pexcepinfo,DWORD );
void __RPC_STUB IActiveScript_InterruptScriptThread_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IActiveScript_Clone_Proxy(IActiveScript *,IActiveScript **);
void __RPC_STUB IActiveScript_Clone_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
#endif 
#ifndef __IActiveScriptParse32_INTERFACE_DEFINED__
#define __IActiveScriptParse32_INTERFACE_DEFINED__
EXTERN_C IID IID_IActiveScriptParse32;
typedef struct IActiveScriptParse32Vtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IActiveScriptParse32 *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IActiveScriptParse32 *);
 ULONG (_stdcall *Release)(IActiveScriptParse32 *);
 HRESULT (_stdcall *InitNew)(IActiveScriptParse32 *);
 HRESULT (_stdcall *AddScriptlet)(IActiveScriptParse32 *,LPCOLESTR,LPCOLESTR,LPCOLESTR,LPCOLESTR,LPCOLESTR,LPCOLESTR,DWORD,ULONG,DWORD,BSTR *,EXCEPINFO *);
 HRESULT (_stdcall *ParseScriptText)(IActiveScriptParse32 *,LPCOLESTR,LPCOLESTR,IUnknown *,LPCOLESTR,DWORD,ULONG,DWORD,VARIANT *,EXCEPINFO *);
END_INTERFACE
} IActiveScriptParse32Vtbl;
interface IActiveScriptParse32
{
CONST_VTBL struct IActiveScriptParse32Vtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IActiveScriptParse32_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IActiveScriptParse32_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IActiveScriptParse32_Release(A) (A)->lpVtbl->Release(A)
#define IActiveScriptParse32_InitNew(A) (A)->lpVtbl->InitNew(A)
#define IActiveScriptParse32_AddScriptlet(A,B,C,D,E,F,G,H,I,J,K,L) (A)->lpVtbl->AddScriptlet(A,B,C,D,E,F,G,H,I,J,K,L)
#define IActiveScriptParse32_ParseScriptText(A,B,C,D,E,F,G,H,I,J) (A)->lpVtbl->ParseScriptText(A,B,C,D,E,F,G,H,I,J)
#endif 
HRESULT _stdcall IActiveScriptParse32_InitNew_Proxy(IActiveScriptParse32 *);
void __RPC_STUB IActiveScriptParse32_InitNew_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IActiveScriptParse32_AddScriptlet_Proxy(IActiveScriptParse32 *,LPCOLESTR ,LPCOLESTR ,LPCOLESTR ,LPCOLESTR ,LPCOLESTR ,LPCOLESTR ,DWORD ,ULONG ,DWORD ,BSTR *,EXCEPINFO *);
void __RPC_STUB IActiveScriptParse32_AddScriptlet_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IActiveScriptParse32_ParseScriptText_Proxy(IActiveScriptParse32 *,LPCOLESTR ,LPCOLESTR ,IUnknown *,LPCOLESTR ,DWORD ,ULONG ,DWORD ,VARIANT *,EXCEPINFO *);
void __RPC_STUB IActiveScriptParse32_ParseScriptText_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
#endif 
#ifndef __IActiveScriptParse64_INTERFACE_DEFINED__
#define __IActiveScriptParse64_INTERFACE_DEFINED__
EXTERN_C IID IID_IActiveScriptParse64;
typedef struct IActiveScriptParse64Vtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IActiveScriptParse64 *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IActiveScriptParse64 *);
 ULONG (_stdcall *Release)(IActiveScriptParse64 *);
 HRESULT (_stdcall *InitNew)(IActiveScriptParse64 *);
 HRESULT (_stdcall *AddScriptlet)(IActiveScriptParse64 *,LPCOLESTR,LPCOLESTR,LPCOLESTR,LPCOLESTR,LPCOLESTR,LPCOLESTR,DWORDLONG,ULONG,DWORD,BSTR *,EXCEPINFO *);
 HRESULT (_stdcall *ParseScriptText)(IActiveScriptParse64 *,LPCOLESTR,LPCOLESTR,IUnknown *,LPCOLESTR,DWORDLONG,ULONG,DWORD,VARIANT *,EXCEPINFO *);
END_INTERFACE
} IActiveScriptParse64Vtbl;
interface IActiveScriptParse64
{
CONST_VTBL struct IActiveScriptParse64Vtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IActiveScriptParse64_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IActiveScriptParse64_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IActiveScriptParse64_Release(A) (A)->lpVtbl->Release(A)
#define IActiveScriptParse64_InitNew(A) (A)->lpVtbl->InitNew(A)
#define IActiveScriptParse64_AddScriptlet(A,B,C,D,E,F,G,H,I,J,K,L) (A)->lpVtbl->AddScriptlet(A,B,C,D,E,F,G,H,I,J,K,L)
#define IActiveScriptParse64_ParseScriptText(A,B,C,D,E,F,G,H,I,J) (A)->lpVtbl->ParseScriptText(A,B,C,D,E,F,G,H,I,J)
#endif 
HRESULT _stdcall IActiveScriptParse64_InitNew_Proxy(IActiveScriptParse64 *);
void __RPC_STUB IActiveScriptParse64_InitNew_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IActiveScriptParse64_AddScriptlet_Proxy(IActiveScriptParse64 *,LPCOLESTR ,LPCOLESTR ,LPCOLESTR ,LPCOLESTR ,LPCOLESTR ,LPCOLESTR ,DWORDLONG ,ULONG ,DWORD ,BSTR *,EXCEPINFO *);
void __RPC_STUB IActiveScriptParse64_AddScriptlet_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IActiveScriptParse64_ParseScriptText_Proxy(IActiveScriptParse64 *,LPCOLESTR ,LPCOLESTR ,IUnknown *,LPCOLESTR ,DWORDLONG ,ULONG ,DWORD ,VARIANT *,EXCEPINFO *);
void __RPC_STUB IActiveScriptParse64_ParseScriptText_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
#endif 
#ifdef _WIN64
#define IActiveScriptParse IActiveScriptParse64
#define IID_IActiveScriptParse IID_IActiveScriptParse64
#else
#define IActiveScriptParse IActiveScriptParse32
#define IID_IActiveScriptParse IID_IActiveScriptParse32
#endif
typedef IActiveScriptParse *PIActiveScriptParse;
extern RPC_IF_HANDLE __MIDL_itf_activscp_0266_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_activscp_0266_v0_0_s_ifspec;
#ifndef __IActiveScriptParseProcedureOld32_INTERFACE_DEFINED__
#define __IActiveScriptParseProcedureOld32_INTERFACE_DEFINED__
EXTERN_C IID IID_IActiveScriptParseProcedureOld32;
typedef struct IActiveScriptParseProcedureOld32Vtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IActiveScriptParseProcedureOld32 *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IActiveScriptParseProcedureOld32 *);
 ULONG (_stdcall *Release)(IActiveScriptParseProcedureOld32 *);
 HRESULT (_stdcall *ParseProcedureText)(IActiveScriptParseProcedureOld32 *,LPCOLESTR,LPCOLESTR,LPCOLESTR,IUnknown *,LPCOLESTR,DWORD,ULONG,DWORD,IDispatch **);
END_INTERFACE
} IActiveScriptParseProcedureOld32Vtbl;
interface IActiveScriptParseProcedureOld32
{
CONST_VTBL struct IActiveScriptParseProcedureOld32Vtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IActiveScriptParseProcedureOld32_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IActiveScriptParseProcedureOld32_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IActiveScriptParseProcedureOld32_Release(A) (A)->lpVtbl->Release(A)
#define IActiveScriptParseProcedureOld32_ParseProcedureText(A,B,C,D,E,F,G,H,I,J) (A)->lpVtbl->ParseProcedureText(A,B,C,D,E,F,G,H,I,J)
#endif 
HRESULT _stdcall IActiveScriptParseProcedureOld32_ParseProcedureText_Proxy(IActiveScriptParseProcedureOld32 *,LPCOLESTR ,LPCOLESTR ,LPCOLESTR ,IUnknown *,LPCOLESTR ,DWORD ,ULONG ,DWORD ,IDispatch **);
void __RPC_STUB IActiveScriptParseProcedureOld32_ParseProcedureText_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
#endif 
#ifndef __IActiveScriptParseProcedureOld64_INTERFACE_DEFINED__
#define __IActiveScriptParseProcedureOld64_INTERFACE_DEFINED__
EXTERN_C IID IID_IActiveScriptParseProcedureOld64;
typedef struct IActiveScriptParseProcedureOld64Vtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IActiveScriptParseProcedureOld64 *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IActiveScriptParseProcedureOld64 *);
 ULONG (_stdcall *Release)(IActiveScriptParseProcedureOld64 *);
 HRESULT (_stdcall *ParseProcedureText)(IActiveScriptParseProcedureOld64 *,LPCOLESTR,LPCOLESTR,LPCOLESTR,IUnknown *,LPCOLESTR,DWORDLONG,ULONG,DWORD,IDispatch **);
END_INTERFACE
} IActiveScriptParseProcedureOld64Vtbl;
interface IActiveScriptParseProcedureOld64
{
CONST_VTBL struct IActiveScriptParseProcedureOld64Vtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IActiveScriptParseProcedureOld64_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IActiveScriptParseProcedureOld64_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IActiveScriptParseProcedureOld64_Release(A) (A)->lpVtbl->Release(A)
#define IActiveScriptParseProcedureOld64_ParseProcedureText(A,B,C,D,E,F,G,H,I,J) (A)->lpVtbl->ParseProcedureText(A,B,C,D,E,F,G,H,I,J)
#endif 
HRESULT _stdcall IActiveScriptParseProcedureOld64_ParseProcedureText_Proxy(IActiveScriptParseProcedureOld64 *,LPCOLESTR ,LPCOLESTR ,LPCOLESTR ,IUnknown *,LPCOLESTR ,DWORDLONG ,ULONG ,DWORD ,IDispatch **);
void __RPC_STUB IActiveScriptParseProcedureOld64_ParseProcedureText_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
#endif 
#ifdef _WIN64
#define IActiveScriptParseProcedureOld IActiveScriptParseProcedureOld64
#define IID_IActiveScriptParseProcedureOld IID_IActiveScriptParseProcedureOld64
#else
#define IActiveScriptParseProcedureOld IActiveScriptParseProcedureOld32
#define IID_IActiveScriptParseProcedureOld IID_IActiveScriptParseProcedureOld32
#endif
typedef IActiveScriptParseProcedureOld *PIActiveScriptParseProcedureOld;
extern RPC_IF_HANDLE __MIDL_itf_activscp_0268_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_activscp_0268_v0_0_s_ifspec;
#ifndef __IActiveScriptParseProcedure32_INTERFACE_DEFINED__
#define __IActiveScriptParseProcedure32_INTERFACE_DEFINED__
EXTERN_C IID IID_IActiveScriptParseProcedure32;
typedef struct IActiveScriptParseProcedure32Vtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IActiveScriptParseProcedure32 *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IActiveScriptParseProcedure32 *);
 ULONG (_stdcall *Release)(IActiveScriptParseProcedure32 *);
 HRESULT (_stdcall *ParseProcedureText)(IActiveScriptParseProcedure32 *,LPCOLESTR,LPCOLESTR,LPCOLESTR,LPCOLESTR,IUnknown *,LPCOLESTR,DWORD,ULONG,DWORD,IDispatch **);
END_INTERFACE
} IActiveScriptParseProcedure32Vtbl;
interface IActiveScriptParseProcedure32
{
CONST_VTBL struct IActiveScriptParseProcedure32Vtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IActiveScriptParseProcedure32_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IActiveScriptParseProcedure32_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IActiveScriptParseProcedure32_Release(A) (A)->lpVtbl->Release(A)
#define IActiveScriptParseProcedure32_ParseProcedureText(A,B,C,D,E,F,G,H,I,J,K) (A)->lpVtbl->ParseProcedureText(A,B,C,D,E,F,G,H,I,J,K)
#endif 
HRESULT _stdcall IActiveScriptParseProcedure32_ParseProcedureText_Proxy(IActiveScriptParseProcedure32 *,LPCOLESTR ,LPCOLESTR ,LPCOLESTR ,LPCOLESTR ,IUnknown *,LPCOLESTR ,DWORD ,ULONG ,DWORD ,IDispatch **);
void __RPC_STUB IActiveScriptParseProcedure32_ParseProcedureText_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
#endif 
#ifndef __IActiveScriptParseProcedure64_INTERFACE_DEFINED__
#define __IActiveScriptParseProcedure64_INTERFACE_DEFINED__
EXTERN_C IID IID_IActiveScriptParseProcedure64;
typedef struct IActiveScriptParseProcedure64Vtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IActiveScriptParseProcedure64 *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IActiveScriptParseProcedure64 *);
 ULONG (_stdcall *Release)(IActiveScriptParseProcedure64 *);
 HRESULT (_stdcall *ParseProcedureText)(IActiveScriptParseProcedure64 *,LPCOLESTR,LPCOLESTR,LPCOLESTR,LPCOLESTR,IUnknown *,LPCOLESTR,DWORDLONG,ULONG,DWORD,IDispatch **);
END_INTERFACE
} IActiveScriptParseProcedure64Vtbl;
interface IActiveScriptParseProcedure64
{
CONST_VTBL struct IActiveScriptParseProcedure64Vtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IActiveScriptParseProcedure64_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IActiveScriptParseProcedure64_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IActiveScriptParseProcedure64_Release(A) (A)->lpVtbl->Release(A)
#define IActiveScriptParseProcedure64_ParseProcedureText(A,B,C,D,E,F,G,H,I,J,K) (A)->lpVtbl->ParseProcedureText(A,B,C,D,E,F,G,H,I,J,K)
#endif 
HRESULT _stdcall IActiveScriptParseProcedure64_ParseProcedureText_Proxy(IActiveScriptParseProcedure64 *,LPCOLESTR ,LPCOLESTR ,LPCOLESTR ,LPCOLESTR ,IUnknown *,LPCOLESTR ,DWORDLONG ,ULONG ,DWORD ,IDispatch **);
void __RPC_STUB IActiveScriptParseProcedure64_ParseProcedureText_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
#endif 
#ifdef _WIN64
#define IActiveScriptParseProcedure IActiveScriptParseProcedure64
#define IID_IActiveScriptParseProcedure IID_IActiveScriptParseProcedure64
#else
#define IActiveScriptParseProcedure IActiveScriptParseProcedure32
#define IID_IActiveScriptParseProcedure IID_IActiveScriptParseProcedure32
#endif
typedef IActiveScriptParseProcedure *PIActiveScriptParseProcedure;
extern RPC_IF_HANDLE __MIDL_itf_activscp_0270_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_activscp_0270_v0_0_s_ifspec;
#ifndef __IActiveScriptParseProcedure2_32_INTERFACE_DEFINED__
#define __IActiveScriptParseProcedure2_32_INTERFACE_DEFINED__
EXTERN_C IID IID_IActiveScriptParseProcedure2_32;
typedef struct IActiveScriptParseProcedure2_32Vtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IActiveScriptParseProcedure2_32 *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IActiveScriptParseProcedure2_32 *);
 ULONG (_stdcall *Release)(IActiveScriptParseProcedure2_32 *);
 HRESULT (_stdcall *ParseProcedureText)(IActiveScriptParseProcedure2_32 *,LPCOLESTR,LPCOLESTR,LPCOLESTR,LPCOLESTR,IUnknown *,LPCOLESTR,DWORD,ULONG,DWORD,IDispatch **);
END_INTERFACE
} IActiveScriptParseProcedure2_32Vtbl;
interface IActiveScriptParseProcedure2_32
{
CONST_VTBL struct IActiveScriptParseProcedure2_32Vtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IActiveScriptParseProcedure2_32_QueryInterface(A,B,C) (A)->lpVtbl->32_QueryInterface(A,B,C)
#define IActiveScriptParseProcedure2_32_AddRef(A) (A)->lpVtbl->32_AddRef(A)
#define IActiveScriptParseProcedure2_32_Release(A) (A)->lpVtbl->32_Release(A)
#define IActiveScriptParseProcedure2_32_ParseProcedureText(A,B,C,D,E,F,G,H,I,J,K) (A)->lpVtbl->32_ParseProcedureText(A,B,C,D,E,F,G,H,I,J,K)
#endif 
#endif 
#ifndef __IActiveScriptParseProcedure2_64_INTERFACE_DEFINED__
#define __IActiveScriptParseProcedure2_64_INTERFACE_DEFINED__
EXTERN_C IID IID_IActiveScriptParseProcedure2_64;
typedef struct IActiveScriptParseProcedure2_64Vtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IActiveScriptParseProcedure2_64 *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IActiveScriptParseProcedure2_64 *);
 ULONG (_stdcall *Release)(IActiveScriptParseProcedure2_64 *);
 HRESULT (_stdcall *ParseProcedureText)(IActiveScriptParseProcedure2_64 *,LPCOLESTR,LPCOLESTR,LPCOLESTR,LPCOLESTR,IUnknown *,LPCOLESTR,DWORDLONG,ULONG,DWORD,IDispatch **);
END_INTERFACE
} IActiveScriptParseProcedure2_64Vtbl;
interface IActiveScriptParseProcedure2_64
{
CONST_VTBL struct IActiveScriptParseProcedure2_64Vtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IActiveScriptParseProcedure2_64_QueryInterface(A,B,C) (A)->lpVtbl->64_QueryInterface(A,B,C)
#define IActiveScriptParseProcedure2_64_AddRef(A) (A)->lpVtbl->64_AddRef(A)
#define IActiveScriptParseProcedure2_64_Release(A) (A)->lpVtbl->64_Release(A)
#define IActiveScriptParseProcedure2_64_ParseProcedureText(A,B,C,D,E,F,G,H,I,J,K) (A)->lpVtbl->64_ParseProcedureText(A,B,C,D,E,F,G,H,I,J,K)
#endif 
#endif 
#ifdef _WIN64
#define IActiveScriptParseProcedure2 IActiveScriptParseProcedure2_64
#define IID_IActiveScriptParseProcedure2 IID_IActiveScriptParseProcedure2_64
#else
#define IActiveScriptParseProcedure2 IActiveScriptParseProcedure2_32
#define IID_IActiveScriptParseProcedure2 IID_IActiveScriptParseProcedure2_32
#endif
typedef IActiveScriptParseProcedure2 *PIActiveScriptParseProcedure2;
extern RPC_IF_HANDLE __MIDL_itf_activscp_0272_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_activscp_0272_v0_0_s_ifspec;
#ifndef __IActiveScriptEncode_INTERFACE_DEFINED__
#define __IActiveScriptEncode_INTERFACE_DEFINED__
EXTERN_C IID IID_IActiveScriptEncode;
typedef struct IActiveScriptEncodeVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IActiveScriptEncode *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IActiveScriptEncode *);
 ULONG (_stdcall *Release)(IActiveScriptEncode *);
 HRESULT (_stdcall *EncodeSection)(IActiveScriptEncode *,LPCOLESTR,DWORD,LPOLESTR,DWORD,DWORD *);
 HRESULT (_stdcall *DecodeScript)(IActiveScriptEncode *,LPCOLESTR,DWORD,LPOLESTR,DWORD,DWORD *);
 HRESULT (_stdcall *GetEncodeProgId)(IActiveScriptEncode *,BSTR *);
END_INTERFACE
} IActiveScriptEncodeVtbl;
interface IActiveScriptEncode
{
CONST_VTBL struct IActiveScriptEncodeVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IActiveScriptEncode_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IActiveScriptEncode_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IActiveScriptEncode_Release(A) (A)->lpVtbl->Release(A)
#define IActiveScriptEncode_EncodeSection(A,B,C,D,E,F) (A)->lpVtbl->EncodeSection(A,B,C,D,E,F)
#define IActiveScriptEncode_DecodeScript(A,B,C,D,E,F) (A)->lpVtbl->DecodeScript(A,B,C,D,E,F)
#define IActiveScriptEncode_GetEncodeProgId(A,B) (A)->lpVtbl->GetEncodeProgId(A,B)
#endif 
HRESULT _stdcall IActiveScriptEncode_EncodeSection_Proxy(IActiveScriptEncode *,LPCOLESTR ,DWORD ,LPOLESTR ,DWORD ,DWORD *);
void __RPC_STUB IActiveScriptEncode_EncodeSection_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IActiveScriptEncode_DecodeScript_Proxy(IActiveScriptEncode *,LPCOLESTR ,DWORD ,LPOLESTR ,DWORD ,DWORD *);
void __RPC_STUB IActiveScriptEncode_DecodeScript_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IActiveScriptEncode_GetEncodeProgId_Proxy(IActiveScriptEncode *,BSTR *);
void __RPC_STUB IActiveScriptEncode_GetEncodeProgId_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
#endif 
#ifndef __IActiveScriptHostEncode_INTERFACE_DEFINED__
#define __IActiveScriptHostEncode_INTERFACE_DEFINED__
EXTERN_C IID IID_IActiveScriptHostEncode;
typedef struct IActiveScriptHostEncodeVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IActiveScriptHostEncode *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IActiveScriptHostEncode *);
 ULONG (_stdcall *Release)(IActiveScriptHostEncode *);
 HRESULT (_stdcall *EncodeScriptHostFile)(IActiveScriptHostEncode *,BSTR,BSTR *,unsigned ,BSTR);
END_INTERFACE
} IActiveScriptHostEncodeVtbl;
interface IActiveScriptHostEncode
{
CONST_VTBL struct IActiveScriptHostEncodeVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IActiveScriptHostEncode_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IActiveScriptHostEncode_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IActiveScriptHostEncode_Release(A) (A)->lpVtbl->Release(A)
#define IActiveScriptHostEncode_EncodeScriptHostFile(A,B,C,D,E) (A)->lpVtbl->EncodeScriptHostFile(A,B,C,D,E)
#endif 
HRESULT _stdcall IActiveScriptHostEncode_EncodeScriptHostFile_Proxy(IActiveScriptHostEncode *,BSTR ,BSTR *,unsigned long cFlags,BSTR );
void __RPC_STUB IActiveScriptHostEncode_EncodeScriptHostFile_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
#endif 
#ifndef __IBindEventHandler_INTERFACE_DEFINED__
#define __IBindEventHandler_INTERFACE_DEFINED__
EXTERN_C IID IID_IBindEventHandler;
typedef struct IBindEventHandlerVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IBindEventHandler *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IBindEventHandler *);
 ULONG (_stdcall *Release)(IBindEventHandler *);
 HRESULT (_stdcall *BindHandler)(IBindEventHandler *,LPCOLESTR,IDispatch *);
END_INTERFACE
} IBindEventHandlerVtbl;
interface IBindEventHandler
{
CONST_VTBL struct IBindEventHandlerVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IBindEventHandler_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IBindEventHandler_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IBindEventHandler_Release(A) (A)->lpVtbl->Release(A)
#define IBindEventHandler_BindHandler(A,B,C) (A)->lpVtbl->BindHandler(A,B,C)
#endif 
HRESULT _stdcall IBindEventHandler_BindHandler_Proxy(IBindEventHandler *,LPCOLESTR ,IDispatch *);
void __RPC_STUB IBindEventHandler_BindHandler_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
#endif 
#ifndef __IActiveScriptStats_INTERFACE_DEFINED__
#define __IActiveScriptStats_INTERFACE_DEFINED__
EXTERN_C IID IID_IActiveScriptStats;
typedef struct IActiveScriptStatsVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IActiveScriptStats *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IActiveScriptStats *);
 ULONG (_stdcall *Release)(IActiveScriptStats *);
 HRESULT (_stdcall *GetStat)(IActiveScriptStats *,DWORD,ULONG *,ULONG *);
 HRESULT (_stdcall *GetStatEx)(IActiveScriptStats *,REFGUID,ULONG *,ULONG *);
 HRESULT (_stdcall *ResetStats)(IActiveScriptStats *);
END_INTERFACE
} IActiveScriptStatsVtbl;
interface IActiveScriptStats
{
CONST_VTBL struct IActiveScriptStatsVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IActiveScriptStats_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IActiveScriptStats_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IActiveScriptStats_Release(A) (A)->lpVtbl->Release(A)
#define IActiveScriptStats_GetStat(A,B,C,D) (A)->lpVtbl->GetStat(A,B,C,D)
#define IActiveScriptStats_GetStatEx(A,B,C,D) (A)->lpVtbl->GetStatEx(A,B,C,D)
#define IActiveScriptStats_ResetStats(A) (A)->lpVtbl->ResetStats(A)
#endif 
HRESULT _stdcall IActiveScriptStats_GetStat_Proxy(IActiveScriptStats *,DWORD ,ULONG *,ULONG *);
void __RPC_STUB IActiveScriptStats_GetStat_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IActiveScriptStats_GetStatEx_Proxy(IActiveScriptStats *,REFGUID ,ULONG *,ULONG *);
void __RPC_STUB IActiveScriptStats_GetStatEx_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IActiveScriptStats_ResetStats_Proxy(IActiveScriptStats *);
void __RPC_STUB IActiveScriptStats_ResetStats_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
#endif 
#ifndef __IActiveScriptProperty_INTERFACE_DEFINED__
#define __IActiveScriptProperty_INTERFACE_DEFINED__
EXTERN_C IID IID_IActiveScriptProperty;
typedef struct IActiveScriptPropertyVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IActiveScriptProperty *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IActiveScriptProperty *);
 ULONG (_stdcall *Release)(IActiveScriptProperty *);
 HRESULT (_stdcall *GetProperty)(IActiveScriptProperty *,DWORD,VARIANT *,VARIANT *);
 HRESULT (_stdcall *SetProperty)(IActiveScriptProperty *,DWORD,VARIANT *,VARIANT *);
END_INTERFACE
} IActiveScriptPropertyVtbl;
interface IActiveScriptProperty
{
CONST_VTBL struct IActiveScriptPropertyVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IActiveScriptProperty_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IActiveScriptProperty_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IActiveScriptProperty_Release(A) (A)->lpVtbl->Release(A)
#define IActiveScriptProperty_GetProperty(A,B,C,D) (A)->lpVtbl->GetProperty(A,B,C,D)
#define IActiveScriptProperty_SetProperty(A,B,C,D) (A)->lpVtbl->SetProperty(A,B,C,D)
#endif 
HRESULT _stdcall IActiveScriptProperty_GetProperty_Proxy(IActiveScriptProperty *,DWORD ,VARIANT *,VARIANT *);
void __RPC_STUB IActiveScriptProperty_GetProperty_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IActiveScriptProperty_SetProperty_Proxy(IActiveScriptProperty *,DWORD ,VARIANT *,VARIANT *);
void __RPC_STUB IActiveScriptProperty_SetProperty_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
#endif 
#ifndef __ITridentEventSink_INTERFACE_DEFINED__
#define __ITridentEventSink_INTERFACE_DEFINED__
EXTERN_C IID IID_ITridentEventSink;
typedef struct ITridentEventSinkVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(ITridentEventSink *,REFIID,void **);
 ULONG (_stdcall *AddRef)(ITridentEventSink *);
 ULONG (_stdcall *Release)(ITridentEventSink *);
 HRESULT (_stdcall *FireEvent)(ITridentEventSink *,LPCOLESTR,DISPPARAMS *,VARIANT *,EXCEPINFO *);
END_INTERFACE
} ITridentEventSinkVtbl;
interface ITridentEventSink
{
CONST_VTBL struct ITridentEventSinkVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define ITridentEventSink_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define ITridentEventSink_AddRef(A) (A)->lpVtbl->AddRef(A)
#define ITridentEventSink_Release(A) (A)->lpVtbl->Release(A)
#define ITridentEventSink_FireEvent(A,B,C,D,E) (A)->lpVtbl->FireEvent(A,B,C,D,E)
#endif 
HRESULT _stdcall ITridentEventSink_FireEvent_Proxy(ITridentEventSink *,LPCOLESTR ,DISPPARAMS *,VARIANT *,EXCEPINFO *);
void __RPC_STUB ITridentEventSink_FireEvent_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
#endif 
#ifndef __IActiveScriptGarbageCollector_INTERFACE_DEFINED__
#define __IActiveScriptGarbageCollector_INTERFACE_DEFINED__
EXTERN_C IID IID_IActiveScriptGarbageCollector;
typedef struct IActiveScriptGarbageCollectorVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IActiveScriptGarbageCollector *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IActiveScriptGarbageCollector *);
 ULONG (_stdcall *Release)(IActiveScriptGarbageCollector *);
 HRESULT (_stdcall *CollectGarbage)(IActiveScriptGarbageCollector *,SCRIPTGCTYPE);
END_INTERFACE
} IActiveScriptGarbageCollectorVtbl;
interface IActiveScriptGarbageCollector
{
CONST_VTBL struct IActiveScriptGarbageCollectorVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IActiveScriptGarbageCollector_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IActiveScriptGarbageCollector_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IActiveScriptGarbageCollector_Release(A) (A)->lpVtbl->Release(A)
#define IActiveScriptGarbageCollector_CollectGarbage(A,B) (A)->lpVtbl->CollectGarbage(A,B)
#endif 
HRESULT _stdcall IActiveScriptGarbageCollector_CollectGarbage_Proxy(IActiveScriptGarbageCollector *,SCRIPTGCTYPE );
void __RPC_STUB IActiveScriptGarbageCollector_CollectGarbage_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
#endif 
#ifndef __IActiveScriptSIPInfo_INTERFACE_DEFINED__
#define __IActiveScriptSIPInfo_INTERFACE_DEFINED__
EXTERN_C IID IID_IActiveScriptSIPInfo;
typedef struct IActiveScriptSIPInfoVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IActiveScriptSIPInfo *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IActiveScriptSIPInfo *);
 ULONG (_stdcall *Release)(IActiveScriptSIPInfo *);
 HRESULT (_stdcall *GetSIPOID)(IActiveScriptSIPInfo *,GUID *);
END_INTERFACE
} IActiveScriptSIPInfoVtbl;
interface IActiveScriptSIPInfo
{
CONST_VTBL struct IActiveScriptSIPInfoVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IActiveScriptSIPInfo_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IActiveScriptSIPInfo_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IActiveScriptSIPInfo_Release(A) (A)->lpVtbl->Release(A)
#define IActiveScriptSIPInfo_GetSIPOID(A,B) (A)->lpVtbl->GetSIPOID(A,B)
#endif 
HRESULT _stdcall IActiveScriptSIPInfo_GetSIPOID_Proxy(IActiveScriptSIPInfo *,GUID *);
void __RPC_STUB IActiveScriptSIPInfo_GetSIPOID_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
#endif 
#endif 
extern RPC_IF_HANDLE __MIDL_itf_activscp_0280_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_activscp_0280_v0_0_s_ifspec;
unsigned long __RPC_USER BSTR_UserSize(unsigned long *,unsigned ,BSTR *); 
unsigned char * __RPC_USER BSTR_UserMarshal(unsigned long *,unsigned char *,BSTR *); 
unsigned char * __RPC_USER BSTR_UserUnmarshal(unsigned long *,unsigned char *,BSTR *); 
void __RPC_USER BSTR_UserFree(unsigned long *,BSTR *); 
unsigned long __RPC_USER HWND_UserSize(unsigned long *,unsigned ,HWND *); 
unsigned char * __RPC_USER HWND_UserMarshal(unsigned long *,unsigned char *,HWND *); 
unsigned char * __RPC_USER HWND_UserUnmarshal(unsigned long *,unsigned char *,HWND *); 
void __RPC_USER HWND_UserFree(unsigned long *,HWND *); 
unsigned long __RPC_USER VARIANT_UserSize(unsigned long *,unsigned ,VARIANT *); 
unsigned char * __RPC_USER VARIANT_UserMarshal(unsigned long *,unsigned char *,VARIANT *); 
unsigned char * __RPC_USER VARIANT_UserUnmarshal(unsigned long *,unsigned char *,VARIANT *); 
void __RPC_USER VARIANT_UserFree(unsigned long *,VARIANT *); 
HRESULT _stdcall IActiveScriptError_GetExceptionInfo_Proxy(IActiveScriptError *,EXCEPINFO *);
HRESULT _stdcall IActiveScriptError_GetExceptionInfo_Stub(IActiveScriptError *,EXCEPINFO *);
#endif
