#ifndef __REQUIRED_RPCNDR_H_VERSION__
#define __REQUIRED_RPCNDR_H_VERSION__ 475
#endif
#include "rpc.h"
#include "rpcndr.h"
#ifndef __RPCNDR_H_VERSION__
#error this stub requires an updated version of <rpcndr.h>
#endif 
#ifndef COM_NO_WINDOWS_H
#include "windows.h"
#include "ole2.h"
#endif 
#ifndef __bits1_5_h__
#define __bits1_5_h__
#if defined(_MSC_VER) && (_MSC_VER >= 1020)
#endif
#ifndef __IBackgroundCopyJob2_FWD_DEFINED__
#define __IBackgroundCopyJob2_FWD_DEFINED__
typedef interface IBackgroundCopyJob2 IBackgroundCopyJob2;
#endif 
#ifndef __BackgroundCopyManager1_5_FWD_DEFINED__
#define __BackgroundCopyManager1_5_FWD_DEFINED__
typedef struct BackgroundCopyManager1_5 BackgroundCopyManager1_5;
#endif 
#ifndef __IBackgroundCopyJob2_FWD_DEFINED__
#define __IBackgroundCopyJob2_FWD_DEFINED__
typedef interface IBackgroundCopyJob2 IBackgroundCopyJob2;
#endif 
#include "bits.h"
void * __RPC_USER MIDL_user_allocate(size_t);
void __RPC_USER MIDL_user_free(void *); 
#ifndef __IBackgroundCopyJob2_INTERFACE_DEFINED__
#define __IBackgroundCopyJob2_INTERFACE_DEFINED__
typedef struct _BG_JOB_REPLY_PROGRESS {
UINT64 BytesTotal;
UINT64 BytesTransferred;
} BG_JOB_REPLY_PROGRESS;
typedef  
enum __MIDL_IBackgroundCopyJob2_0001
{	BG_AUTH_TARGET_SERVER=1,
BG_AUTH_TARGET_PROXY=BG_AUTH_TARGET_SERVER + 1
} BG_AUTH_TARGET;
typedef  
enum __MIDL_IBackgroundCopyJob2_0002
{	BG_AUTH_SCHEME_BASIC=1,
BG_AUTH_SCHEME_DIGEST=BG_AUTH_SCHEME_BASIC + 1,
BG_AUTH_SCHEME_NTLM=BG_AUTH_SCHEME_DIGEST + 1,
BG_AUTH_SCHEME_NEGOTIATE=BG_AUTH_SCHEME_NTLM + 1,
BG_AUTH_SCHEME_PASSPORT=BG_AUTH_SCHEME_NEGOTIATE + 1
} BG_AUTH_SCHEME;
typedef  struct __MIDL_IBackgroundCopyJob2_0003
{
LPWSTR UserName;
LPWSTR Password;
} BG_BASIC_CREDENTIALS;
typedef BG_BASIC_CREDENTIALS *PBG_BASIC_CREDENTIALS;
typedef  union __MIDL_IBackgroundCopyJob2_0004
{
BG_BASIC_CREDENTIALS Basic;
} BG_AUTH_CREDENTIALS_UNION;
typedef  struct __MIDL_IBackgroundCopyJob2_0005
{
BG_AUTH_TARGET Target;
BG_AUTH_SCHEME Scheme;
BG_AUTH_CREDENTIALS_UNION Credentials;
} BG_AUTH_CREDENTIALS;
typedef BG_AUTH_CREDENTIALS *PBG_AUTH_CREDENTIALS;
EXTERN_C const IID IID_IBackgroundCopyJob2;
typedef struct IBackgroundCopyJob2Vtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IBackgroundCopyJob2 *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IBackgroundCopyJob2 *);
 ULONG (_stdcall *Release)(IBackgroundCopyJob2 *);
 HRESULT (_stdcall *AddFileSet)(IBackgroundCopyJob2 *,ULONG,BG_FILE_INFO *);
 HRESULT (_stdcall *AddFile)(IBackgroundCopyJob2 *,LPCWSTR,LPCWSTR);
 HRESULT (_stdcall *EnumFiles)(IBackgroundCopyJob2 *,IEnumBackgroundCopyFiles **);
 HRESULT (_stdcall *Suspend)(IBackgroundCopyJob2 *);
 HRESULT (_stdcall *Resume)(IBackgroundCopyJob2 *);
 HRESULT (_stdcall *Cancel)(IBackgroundCopyJob2 *);
 HRESULT (_stdcall *Complete)(IBackgroundCopyJob2 *);
 HRESULT (_stdcall *GetId)(IBackgroundCopyJob2 *,GUID *);
 HRESULT (_stdcall *GetType)(IBackgroundCopyJob2 *,BG_JOB_TYPE *);
 HRESULT (_stdcall *GetProgress)(IBackgroundCopyJob2 *,BG_JOB_PROGRESS *);
 HRESULT (_stdcall *GetTimes)(IBackgroundCopyJob2 *,BG_JOB_TIMES *);
 HRESULT (_stdcall *GetState)(IBackgroundCopyJob2 *,BG_JOB_STATE *);
 HRESULT (_stdcall *GetError)(IBackgroundCopyJob2 *,IBackgroundCopyError **);
 HRESULT (_stdcall *GetOwner)(IBackgroundCopyJob2 *,LPWSTR *);
 HRESULT (_stdcall *SetDisplayName)(IBackgroundCopyJob2 *,LPCWSTR);
 HRESULT (_stdcall *GetDisplayName)(IBackgroundCopyJob2 *,LPWSTR *);
 HRESULT (_stdcall *SetDescription)(IBackgroundCopyJob2 *,LPCWSTR);
 HRESULT (_stdcall *GetDescription)(IBackgroundCopyJob2 *,LPWSTR *);
 HRESULT (_stdcall *SetPriority)(IBackgroundCopyJob2 *,BG_JOB_PRIORITY);
 HRESULT (_stdcall *GetPriority)(IBackgroundCopyJob2 *,BG_JOB_PRIORITY *);
 HRESULT (_stdcall *SetNotifyFlags)(IBackgroundCopyJob2 *,ULONG);
 HRESULT (_stdcall *GetNotifyFlags)(IBackgroundCopyJob2 *,ULONG *);
 HRESULT (_stdcall *SetNotifyInterface)(IBackgroundCopyJob2 *,IUnknown *);
 HRESULT (_stdcall *GetNotifyInterface)(IBackgroundCopyJob2 *,IUnknown **);
 HRESULT (_stdcall *SetMinimumRetryDelay)(IBackgroundCopyJob2 *,ULONG);
 HRESULT (_stdcall *GetMinimumRetryDelay)(IBackgroundCopyJob2 *,ULONG *);
 HRESULT (_stdcall *SetNoProgressTimeout)(IBackgroundCopyJob2 *,ULONG);
 HRESULT (_stdcall *GetNoProgressTimeout)(IBackgroundCopyJob2 *,ULONG *);
 HRESULT (_stdcall *GetErrorCount)(IBackgroundCopyJob2 *,ULONG *);
 HRESULT (_stdcall *SetProxySettings)(IBackgroundCopyJob2 *,BG_JOB_PROXY_USAGE,const WCHAR *,const WCHAR *);
 HRESULT (_stdcall *GetProxySettings)(IBackgroundCopyJob2 *,BG_JOB_PROXY_USAGE *,LPWSTR *,LPWSTR *);
 HRESULT (_stdcall *TakeOwnership)(IBackgroundCopyJob2 *);
 HRESULT (_stdcall *SetNotifyCmdLine)(IBackgroundCopyJob2 *,LPCWSTR,LPCWSTR);
 HRESULT (_stdcall *GetNotifyCmdLine)(IBackgroundCopyJob2 *,LPWSTR *,LPWSTR *);
 HRESULT (_stdcall *GetReplyProgress)(IBackgroundCopyJob2 *,BG_JOB_REPLY_PROGRESS *);
 HRESULT (_stdcall *GetReplyData)(IBackgroundCopyJob2 *,byte **,UINT64 *);
 HRESULT (_stdcall *SetReplyFileName)(IBackgroundCopyJob2 *,LPCWSTR);
 HRESULT (_stdcall *GetReplyFileName)(IBackgroundCopyJob2 *,LPWSTR *);
 HRESULT (_stdcall *SetCredentials)(IBackgroundCopyJob2 *,BG_AUTH_CREDENTIALS *);
 HRESULT (_stdcall *RemoveCredentials)(IBackgroundCopyJob2 *,BG_AUTH_TARGET,BG_AUTH_SCHEME);
END_INTERFACE
} IBackgroundCopyJob2Vtbl;
interface IBackgroundCopyJob2
{
CONST_VTBL struct IBackgroundCopyJob2Vtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IBackgroundCopyJob2_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IBackgroundCopyJob2_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IBackgroundCopyJob2_Release(A) (A)->lpVtbl->Release(A)
#define IBackgroundCopyJob2_AddFileSet(A,B,C) (A)->lpVtbl->AddFileSet(A,B,C)
#define IBackgroundCopyJob2_AddFile(A,B,C) (A)->lpVtbl->AddFile(A,B,C)
#define IBackgroundCopyJob2_EnumFiles(A,B) (A)->lpVtbl->EnumFiles(A,B)
#define IBackgroundCopyJob2_Suspend(A) (A)->lpVtbl->Suspend(A)
#define IBackgroundCopyJob2_Resume(A) (A)->lpVtbl->Resume(A)
#define IBackgroundCopyJob2_Cancel(A) (A)->lpVtbl->Cancel(A)
#define IBackgroundCopyJob2_Complete(A) (A)->lpVtbl->Complete(A)
#define IBackgroundCopyJob2_GetId(A,B) (A)->lpVtbl->GetId(A,B)
#define IBackgroundCopyJob2_GetType(A,B) (A)->lpVtbl->GetType(A,B)
#define IBackgroundCopyJob2_GetProgress(A,B) (A)->lpVtbl->GetProgress(A,B)
#define IBackgroundCopyJob2_GetTimes(A,B) (A)->lpVtbl->GetTimes(A,B)
#define IBackgroundCopyJob2_GetState(A,B) (A)->lpVtbl->GetState(A,B)
#define IBackgroundCopyJob2_GetError(A,B) (A)->lpVtbl->GetError(A,B)
#define IBackgroundCopyJob2_GetOwner(A,B) (A)->lpVtbl->GetOwner(A,B)
#define IBackgroundCopyJob2_SetDisplayName(A,B) (A)->lpVtbl->SetDisplayName(A,B)
#define IBackgroundCopyJob2_GetDisplayName(A,B) (A)->lpVtbl->GetDisplayName(A,B)
#define IBackgroundCopyJob2_SetDescription(A,B) (A)->lpVtbl->SetDescription(A,B)
#define IBackgroundCopyJob2_GetDescription(A,B) (A)->lpVtbl->GetDescription(A,B)
#define IBackgroundCopyJob2_SetPriority(A,B) (A)->lpVtbl->SetPriority(A,B)
#define IBackgroundCopyJob2_GetPriority(A,B) (A)->lpVtbl->GetPriority(A,B)
#define IBackgroundCopyJob2_SetNotifyFlags(A,B) (A)->lpVtbl->SetNotifyFlags(A,B)
#define IBackgroundCopyJob2_GetNotifyFlags(A,B) (A)->lpVtbl->GetNotifyFlags(A,B)
#define IBackgroundCopyJob2_SetNotifyInterface(A,B) (A)->lpVtbl->SetNotifyInterface(A,B)
#define IBackgroundCopyJob2_GetNotifyInterface(A,B) (A)->lpVtbl->GetNotifyInterface(A,B)
#define IBackgroundCopyJob2_SetMinimumRetryDelay(A,B) (A)->lpVtbl->SetMinimumRetryDelay(A,B)
#define IBackgroundCopyJob2_GetMinimumRetryDelay(A,B) (A)->lpVtbl->GetMinimumRetryDelay(A,B)
#define IBackgroundCopyJob2_SetNoProgressTimeout(A,B) (A)->lpVtbl->SetNoProgressTimeout(A,B)
#define IBackgroundCopyJob2_GetNoProgressTimeout(A,B) (A)->lpVtbl->GetNoProgressTimeout(A,B)
#define IBackgroundCopyJob2_GetErrorCount(A,B) (A)->lpVtbl->GetErrorCount(A,B)
#define IBackgroundCopyJob2_SetProxySettings(A,B,C,D) (A)->lpVtbl->SetProxySettings(A,B,C,D)
#define IBackgroundCopyJob2_GetProxySettings(A,B,C,D) (A)->lpVtbl->GetProxySettings(A,B,C,D)
#define IBackgroundCopyJob2_TakeOwnership(A) (A)->lpVtbl->TakeOwnership(A)
#define IBackgroundCopyJob2_SetNotifyCmdLine(A,B,C) (A)->lpVtbl->SetNotifyCmdLine(A,B,C)
#define IBackgroundCopyJob2_GetNotifyCmdLine(A,B,C) (A)->lpVtbl->GetNotifyCmdLine(A,B,C)
#define IBackgroundCopyJob2_GetReplyProgress(A,B) (A)->lpVtbl->GetReplyProgress(A,B)
#define IBackgroundCopyJob2_GetReplyData(A,B,C) (A)->lpVtbl->GetReplyData(A,B,C)
#define IBackgroundCopyJob2_SetReplyFileName(A,B) (A)->lpVtbl->SetReplyFileName(A,B)
#define IBackgroundCopyJob2_GetReplyFileName(A,B) (A)->lpVtbl->GetReplyFileName(A,B)
#define IBackgroundCopyJob2_SetCredentials(A,B) (A)->lpVtbl->SetCredentials(A,B)
#define IBackgroundCopyJob2_RemoveCredentials(A,B,C) (A)->lpVtbl->RemoveCredentials(A,B,C)
#endif 
HRESULT _stdcall IBackgroundCopyJob2_SetNotifyCmdLine_Proxy(IBackgroundCopyJob2 *,LPCWSTR ,LPCWSTR );
void __RPC_STUB IBackgroundCopyJob2_SetNotifyCmdLine_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IBackgroundCopyJob2_GetNotifyCmdLine_Proxy(IBackgroundCopyJob2 *,LPWSTR *,LPWSTR *);
void __RPC_STUB IBackgroundCopyJob2_GetNotifyCmdLine_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IBackgroundCopyJob2_GetReplyProgress_Proxy(IBackgroundCopyJob2 *,BG_JOB_REPLY_PROGRESS *);
void __RPC_STUB IBackgroundCopyJob2_GetReplyProgress_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IBackgroundCopyJob2_GetReplyData_Proxy(IBackgroundCopyJob2 *,byte **,UINT64 *);
void __RPC_STUB IBackgroundCopyJob2_GetReplyData_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IBackgroundCopyJob2_SetReplyFileName_Proxy(IBackgroundCopyJob2 *,LPCWSTR );
void __RPC_STUB IBackgroundCopyJob2_SetReplyFileName_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IBackgroundCopyJob2_GetReplyFileName_Proxy(IBackgroundCopyJob2 *,LPWSTR *);
void __RPC_STUB IBackgroundCopyJob2_GetReplyFileName_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IBackgroundCopyJob2_SetCredentials_Proxy(IBackgroundCopyJob2 *,BG_AUTH_CREDENTIALS *);
void __RPC_STUB IBackgroundCopyJob2_SetCredentials_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IBackgroundCopyJob2_RemoveCredentials_Proxy(IBackgroundCopyJob2 *,BG_AUTH_TARGET ,BG_AUTH_SCHEME );
void __RPC_STUB IBackgroundCopyJob2_RemoveCredentials_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
#endif 
#ifndef __BackgroundCopyManager1_5_LIBRARY_DEFINED__
#define __BackgroundCopyManager1_5_LIBRARY_DEFINED__
EXTERN_C const IID LIBID_BackgroundCopyManager1_5;
EXTERN_C const CLSID CLSID_BackgroundCopyManager1_5;
#endif 
#endif
