#ifndef _BGCPYMSG_
#define _BGCPYMSG_
#define BG_E_NOT_FOUND 0x80200001
#define BG_E_INVALID_STATE 0x80200002
#define BG_E_EMPTY 0x80200003
#define BG_E_FILE_NOT_AVAILABLE 0x80200004
#define BG_E_PROTOCOL_NOT_AVAILABLE 0x80200005
#define BG_S_ERROR_CONTEXT_NONE 0x200006
#define BG_E_ERROR_CONTEXT_UNKNOWN 0x80200007
#define BG_E_ERROR_CONTEXT_GENERAL_QUEUE_MANAGER 0x80200008
#define BG_E_ERROR_CONTEXT_LOCAL_FILE 0x80200009
#define BG_E_ERROR_CONTEXT_REMOTE_FILE 0x8020000a
#define BG_E_ERROR_CONTEXT_GENERAL_TRANSPORT 0x8020000b
#define BG_E_ERROR_CONTEXT_QUEUE_MANAGER_NOTIFICATION 0x8020000c
#define BG_E_DESTINATION_LOCKED 0x8020000d
#define BG_E_VOLUME_CHANGED 0x8020000e
#define BG_E_ERROR_INFORMATION_UNAVAILABLE 0x8020000f
#define BG_E_NETWORK_DISCONNECTED 0x80200010
#define BG_E_MISSING_FILE_SIZE 0x80200011
#define BG_E_INSUFFICIENT_HTTP_SUPPORT 0x80200012
#define BG_E_INSUFFICIENT_RANGE_SUPPORT 0x80200013
#define BG_E_REMOTE_NOT_SUPPORTED 0x80200014
#define BG_E_NEW_OWNER_DIFF_MAPPING 0x80200015
#define BG_E_NEW_OWNER_NO_FILE_ACCESS 0x80200016
#define BG_S_PARTIAL_COMPLETE 0x200017
#define BG_E_PROXY_LIST_TOO_LARGE 0x80200018
#define BG_E_PROXY_BYPASS_LIST_TOO_LARGE 0x80200019
#define BG_S_UNABLE_TO_DELETE_FILES 0x20001a
#define BG_E_INVALID_SERVER_RESPONSE 0x8020001b
#define BG_E_TOO_MANY_FILES 0x8020001c
#define BG_E_LOCAL_FILE_CHANGED 0x8020001d
#define BG_E_ERROR_CONTEXT_REMOTE_APPLICATION 0x8020001e
#define BG_E_SESSION_NOT_FOUND 0x8020001f
#define BG_E_TOO_LARGE 0x80200020
#define BG_E_STRING_TOO_LONG 0x80200021
#define BG_E_CLIENT_SERVER_PROTOCOL_MISMATCH 0x80200022
#define BG_E_SERVER_EXECUTE_ENABLE 0x80200023
#define BG_E_NO_PROGRESS 0x80200024
#define BG_E_USERNAME_TOO_LARGE 0x80200025
#define BG_E_PASSWORD_TOO_LARGE 0x80200026
#define BG_E_INVALID_AUTH_TARGET 0x80200027
#define BG_E_INVALID_AUTH_SCHEME 0x80200028
#define BG_E_HTTP_ERROR_100 0x80190064
#define BG_E_HTTP_ERROR_101 0x80190065
#define BG_E_HTTP_ERROR_200 0x801900c8
#define BG_E_HTTP_ERROR_201 0x801900c9
#define BG_E_HTTP_ERROR_202 0x801900ca
#define BG_E_HTTP_ERROR_203 0x801900cb
#define BG_E_HTTP_ERROR_204 0x801900cc
#define BG_E_HTTP_ERROR_205 0x801900cd
#define BG_E_HTTP_ERROR_206 0x801900ce
#define BG_E_HTTP_ERROR_300 0x8019012c
#define BG_E_HTTP_ERROR_301 0x8019012d
#define BG_E_HTTP_ERROR_302 0x8019012e
#define BG_E_HTTP_ERROR_303 0x8019012f
#define BG_E_HTTP_ERROR_304 0x80190130
#define BG_E_HTTP_ERROR_305 0x80190131
#define BG_E_HTTP_ERROR_307 0x80190133
#define BG_E_HTTP_ERROR_400 0x80190190
#define BG_E_HTTP_ERROR_401 0x80190191
#define BG_E_HTTP_ERROR_402 0x80190192
#define BG_E_HTTP_ERROR_403 0x80190193
#define BG_E_HTTP_ERROR_404 0x80190194
#define BG_E_HTTP_ERROR_405 0x80190195
#define BG_E_HTTP_ERROR_406 0x80190196
#define BG_E_HTTP_ERROR_407 0x80190197
#define BG_E_HTTP_ERROR_408 0x80190198
#define BG_E_HTTP_ERROR_409 0x80190199
#define BG_E_HTTP_ERROR_410 0x8019019a
#define BG_E_HTTP_ERROR_411 0x8019019b
#define BG_E_HTTP_ERROR_412 0x8019019c
#define BG_E_HTTP_ERROR_413 0x8019019d
#define BG_E_HTTP_ERROR_414 0x8019019e
#define BG_E_HTTP_ERROR_415 0x8019019f
#define BG_E_HTTP_ERROR_416 0x801901a0
#define BG_E_HTTP_ERROR_417 0x801901a1
#define BG_E_HTTP_ERROR_449 0x801901c1
#define BG_E_HTTP_ERROR_500 0x801901f4
#define BG_E_HTTP_ERROR_501 0x801901f5
#define BG_E_HTTP_ERROR_502 0x801901f6
#define BG_E_HTTP_ERROR_503 0x801901f7
#define BG_E_HTTP_ERROR_504 0x801901f8
#define BG_E_HTTP_ERROR_505 0x801901f9
#define MC_JOB_CANCELLED 0x80194000
#define MC_FILE_DELETION_FAILED 0x80194001
#define MC_FILE_DELETION_FAILED_MORE 0x80194002
#define MC_JOB_PROPERTY_CHANGE 0x80194003
#define MC_JOB_TAKE_OWNERSHIP 0x80194004
#define MC_JOB_SCAVENGED 0x80194005
#define MC_JOB_NOTIFICATION_FAILURE 0x80194006
#define MC_STATE_FILE_CORRUPT 0x80194007
#endif 
