#ifndef __bthsdpdef_h__
#define __bthsdpdef_h__
struct SDP_LARGE_INTEGER_16 {
ULONGLONG LowPart;
LONGLONG HighPart;
}; 
struct SDP_ULARGE_INTEGER_16 {
ULONGLONG LowPart;
ULONGLONG HighPart;
};
typedef struct SDP_ULARGE_INTEGER_16 SDP_ULARGE_INTEGER_16,*PSDP_ULARGE_INTEGER_16,*LPSDP_ULARGE_INTEGER_16;
typedef struct SDP_LARGE_INTEGER_16 SDP_LARGE_INTEGER_16,*PSDP_LARGE_INTEGER_16,*LPSDP_LARGE_INTEGER_16;
enum NodeContainerType {
NodeContainerTypeSequence,
NodeContainerTypeAlternative
};
typedef enum NodeContainerType NodeContainerType;
typedef USHORT SDP_ERROR,*PSDP_ERROR;
enum SDP_TYPE {
SDP_TYPE_NIL=0,
SDP_TYPE_UINT=1,
SDP_TYPE_INT=2,
SDP_TYPE_UUID=3,
SDP_TYPE_STRING=4,
SDP_TYPE_BOOLEAN=5,
SDP_TYPE_SEQUENCE=6,
SDP_TYPE_ALTERNATIVE=7,
SDP_TYPE_URL=8,
SDP_TYPE_CONTAINER=32
};
typedef enum SDP_TYPE SDP_TYPE;
enum SDP_SPECIFICTYPE {
SDP_ST_NONE=0,
SDP_ST_UINT8=16,
SDP_ST_UINT16=272,
SDP_ST_UINT32=528,
SDP_ST_UINT64=784,
SDP_ST_UINT128=1040,
SDP_ST_INT8=32,
SDP_ST_INT16=288,
SDP_ST_INT32=544,
SDP_ST_INT64=800,
SDP_ST_INT128=1056,
SDP_ST_UUID16=304,
SDP_ST_UUID32=544,
SDP_ST_UUID128=1072
};
typedef enum SDP_SPECIFICTYPE SDP_SPECIFICTYPE;
typedef struct _SdpAttributeRange {
USHORT minAttribute;
USHORT maxAttribute;
} SdpAttributeRange;
typedef 
union SdpQueryUuidUnion {
GUID uuid128;
ULONG uuid32;
USHORT uuid16;
} SdpQueryUuidUnion;
typedef struct _SdpQueryUuid {
SdpQueryUuidUnion u;
USHORT uuidType;
} SdpQueryUuid;
#endif 
