#ifndef __REQUIRED_RPCNDR_H_VERSION__
#define __REQUIRED_RPCNDR_H_VERSION__ 440
#endif
#include "rpc.h"
#include "rpcndr.h"
#ifndef __RPCNDR_H_VERSION__
#error this stub requires an updated version of <rpcndr.h>
#endif 
#ifndef COM_NO_WINDOWS_H
#include "windows.h"
#include "ole2.h"
#endif 
#ifndef __comcat_h__
#define __comcat_h__
#ifndef __IEnumGUID_FWD_DEFINED__
#define __IEnumGUID_FWD_DEFINED__
typedef interface IEnumGUID IEnumGUID;
#endif 
#ifndef __IEnumCATEGORYINFO_FWD_DEFINED__
#define __IEnumCATEGORYINFO_FWD_DEFINED__
typedef interface IEnumCATEGORYINFO IEnumCATEGORYINFO;
#endif 
#ifndef __ICatRegister_FWD_DEFINED__
#define __ICatRegister_FWD_DEFINED__
typedef interface ICatRegister ICatRegister;
#endif 
#ifndef __ICatInformation_FWD_DEFINED__
#define __ICatInformation_FWD_DEFINED__
typedef interface ICatInformation ICatInformation;
#endif 
#include "unknwn.h"
void  * __RPC_USER MIDL_user_allocate(size_t);
void __RPC_USER MIDL_user_free( void  * ); 
EXTERN_C const CLSID CLSID_StdComponentCategoriesMgr;
typedef GUID CATID;
typedef REFGUID REFCATID;
#define IID_IEnumCLSID IID_IEnumGUID
#define IEnumCLSID IEnumGUID
#define LPENUMCLSID LPENUMGUID
#define CATID_NULL GUID_NULL
#define IsEqualCATID(rcatid1, rcatid2) IsEqualGUID(rcatid1, rcatid2)
#define IID_IEnumCATID IID_IEnumGUID
#define IEnumCATID IEnumGUID
EXTERN_C const CATID CATID_Insertable;
EXTERN_C const CATID CATID_Control;
EXTERN_C const CATID CATID_Programmable;
EXTERN_C const CATID CATID_IsShortcut;
EXTERN_C const CATID CATID_NeverShowExt;
EXTERN_C const CATID CATID_DocObject;
EXTERN_C const CATID CATID_Printable;
EXTERN_C const CATID CATID_RequiresDataPathHost;
EXTERN_C const CATID CATID_PersistsToMoniker;
EXTERN_C const CATID CATID_PersistsToStorage;
EXTERN_C const CATID CATID_PersistsToStreamInit;
EXTERN_C const CATID CATID_PersistsToStream;
EXTERN_C const CATID CATID_PersistsToMemory;
EXTERN_C const CATID CATID_PersistsToFile;
EXTERN_C const CATID CATID_PersistsToPropertyBag;
EXTERN_C const CATID CATID_InternetAware;
#ifndef _LPENUMGUID_DEFINED
#define _LPENUMGUID_DEFINED
extern RPC_IF_HANDLE __MIDL_itf_comcat_0000_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_comcat_0000_v0_0_s_ifspec;
#ifndef __IEnumGUID_INTERFACE_DEFINED__
#define __IEnumGUID_INTERFACE_DEFINED__
typedef  IEnumGUID  *LPENUMGUID;
EXTERN_C const IID IID_IEnumGUID;
typedef struct IEnumGUIDVtbl
{
 BEGIN_INTERFACE
 HRESULT ( STDMETHODCALLTYPE  *QueryInterface )(IEnumGUID *,REFIID,void * *);
 ULONG ( STDMETHODCALLTYPE  *AddRef )(IEnumGUID *);
 ULONG ( STDMETHODCALLTYPE  *Release )(IEnumGUID *);
 HRESULT ( STDMETHODCALLTYPE  *Next )(IEnumGUID *,ULONG,GUID *,ULONG *);
 HRESULT ( STDMETHODCALLTYPE  *Skip )(IEnumGUID *,ULONG);
 HRESULT ( STDMETHODCALLTYPE  *Reset )(IEnumGUID *);
 HRESULT ( STDMETHODCALLTYPE  *Clone )(IEnumGUID *,IEnumGUID * *);
END_INTERFACE
} IEnumGUIDVtbl;
interface IEnumGUID { CONST_VTBL struct IEnumGUIDVtbl  *lpVtbl; };
#ifdef COBJMACROS
#define IEnumGUID_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IEnumGUID_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IEnumGUID_Release(A) (A)->lpVtbl->Release(A)
#define IEnumGUID_Next(A,B,C,D) (A)->lpVtbl->Next(A,B,C,D)
#define IEnumGUID_Skip(A,B) (A)->lpVtbl->Skip(A,B)
#define IEnumGUID_Reset(A) (A)->lpVtbl->Reset(A)
#define IEnumGUID_Clone(A,B) (A)->lpVtbl->Clone(A,B)
#endif 
HRESULT STDMETHODCALLTYPE IEnumGUID_Next_Proxy(IEnumGUID *,ULONG,GUID *,ULONG *);
void __RPC_STUB IEnumGUID_Next_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IEnumGUID_Skip_Proxy(IEnumGUID *,ULONG);
void __RPC_STUB IEnumGUID_Skip_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IEnumGUID_Reset_Proxy(IEnumGUID  * This);
void __RPC_STUB IEnumGUID_Reset_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IEnumGUID_Clone_Proxy(IEnumGUID *,IEnumGUID * *);
void __RPC_STUB IEnumGUID_Clone_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
#endif 
#endif
#ifndef _LPENUMCATEGORYINFO_DEFINED
#define _LPENUMCATEGORYINFO_DEFINED
extern RPC_IF_HANDLE __MIDL_itf_comcat_0008_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_comcat_0008_v0_0_s_ifspec;
#ifndef __IEnumCATEGORYINFO_INTERFACE_DEFINED__
#define __IEnumCATEGORYINFO_INTERFACE_DEFINED__
typedef  IEnumCATEGORYINFO  *LPENUMCATEGORYINFO;
typedef struct tagCATEGORYINFO
{
CATID catid;
LCID lcid;
OLECHAR szDescription[ 128 ];
}	CATEGORYINFO;
typedef struct tagCATEGORYINFO  *LPCATEGORYINFO;
EXTERN_C const IID IID_IEnumCATEGORYINFO;
typedef struct IEnumCATEGORYINFOVtbl {
 BEGIN_INTERFACE
 HRESULT ( STDMETHODCALLTYPE  *QueryInterface )(IEnumCATEGORYINFO *,REFIID,void * *);
 ULONG ( STDMETHODCALLTYPE  *AddRef )(IEnumCATEGORYINFO *);
 ULONG ( STDMETHODCALLTYPE  *Release )(IEnumCATEGORYINFO *);
 HRESULT ( STDMETHODCALLTYPE  *Next )(IEnumCATEGORYINFO *,ULONG,CATEGORYINFO *,ULONG *);
 HRESULT ( STDMETHODCALLTYPE  *Skip )(IEnumCATEGORYINFO *,ULONG);
 HRESULT ( STDMETHODCALLTYPE  *Reset )(IEnumCATEGORYINFO *);
 HRESULT ( STDMETHODCALLTYPE  *Clone )(IEnumCATEGORYINFO *,IEnumCATEGORYINFO * *);
END_INTERFACE
} IEnumCATEGORYINFOVtbl;
interface IEnumCATEGORYINFO { CONST_VTBL struct IEnumCATEGORYINFOVtbl  *lpVtbl; };
#ifdef COBJMACROS
#define IEnumCATEGORYINFO_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IEnumCATEGORYINFO_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IEnumCATEGORYINFO_Release(A) (A)->lpVtbl->Release(A)
#define IEnumCATEGORYINFO_Next(A,B,C,D) (A)->lpVtbl->Next(A,B,C,D)
#define IEnumCATEGORYINFO_Skip(A,B) (A)->lpVtbl->Skip(A,B)
#define IEnumCATEGORYINFO_Reset(A) (A)->lpVtbl->Reset(A)
#define IEnumCATEGORYINFO_Clone(A,B) (A)->lpVtbl->Clone(A,B)
#endif 
HRESULT STDMETHODCALLTYPE IEnumCATEGORYINFO_Next_Proxy(IEnumCATEGORYINFO *,ULONG,CATEGORYINFO *,ULONG *);
void __RPC_STUB IEnumCATEGORYINFO_Next_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IEnumCATEGORYINFO_Skip_Proxy(IEnumCATEGORYINFO *,ULONG);
void __RPC_STUB IEnumCATEGORYINFO_Skip_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IEnumCATEGORYINFO_Reset_Proxy(IEnumCATEGORYINFO  * This);
void __RPC_STUB IEnumCATEGORYINFO_Reset_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IEnumCATEGORYINFO_Clone_Proxy(IEnumCATEGORYINFO *,IEnumCATEGORYINFO * *);
void __RPC_STUB IEnumCATEGORYINFO_Clone_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
#endif 
#endif
#ifndef _LPCATREGISTER_DEFINED
#define _LPCATREGISTER_DEFINED
extern RPC_IF_HANDLE __MIDL_itf_comcat_0009_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_comcat_0009_v0_0_s_ifspec;
#ifndef __ICatRegister_INTERFACE_DEFINED__
#define __ICatRegister_INTERFACE_DEFINED__
typedef  ICatRegister  *LPCATREGISTER;
EXTERN_C const IID IID_ICatRegister;
typedef struct ICatRegisterVtbl
{
 BEGIN_INTERFACE
 HRESULT ( STDMETHODCALLTYPE  *QueryInterface )(ICatRegister *,REFIID,void * *);
 ULONG ( STDMETHODCALLTYPE  *AddRef )(ICatRegister *);
 ULONG ( STDMETHODCALLTYPE  *Release )(ICatRegister *);
 HRESULT ( STDMETHODCALLTYPE  *RegisterCategories )(ICatRegister *,ULONG,CATEGORYINFO *);
 HRESULT ( STDMETHODCALLTYPE  *UnRegisterCategories )(ICatRegister *,ULONG,CATID *);
 HRESULT ( STDMETHODCALLTYPE  *RegisterClassImplCategories )(ICatRegister *,REFCLSID,ULONG,CATID *);
 HRESULT ( STDMETHODCALLTYPE  *UnRegisterClassImplCategories )(ICatRegister *,REFCLSID,ULONG,CATID *);
 HRESULT ( STDMETHODCALLTYPE  *RegisterClassReqCategories )(ICatRegister *,REFCLSID,ULONG,CATID *);
 HRESULT ( STDMETHODCALLTYPE  *UnRegisterClassReqCategories )(ICatRegister *,REFCLSID,ULONG,CATID *);
END_INTERFACE
} ICatRegisterVtbl;
interface ICatRegister { CONST_VTBL struct ICatRegisterVtbl  *lpVtbl; };
#ifdef COBJMACROS
#define ICatRegister_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define ICatRegister_AddRef(A) (A)->lpVtbl->AddRef(A)
#define ICatRegister_Release(A) (A)->lpVtbl->Release(A)
#define ICatRegister_RegisterCategories(A,B,C) (A)->lpVtbl->RegisterCategories(A,B,C)
#define ICatRegister_UnRegisterCategories(A,B,C) (A)->lpVtbl->UnRegisterCategories(A,B,C)
#define ICatRegister_RegisterClassImplCategories(A,B,C,D) (A)->lpVtbl->RegisterClassImplCategories(A,B,C,D)
#define ICatRegister_UnRegisterClassImplCategories(A,B,C,D) (A)->lpVtbl->UnRegisterClassImplCategories(A,B,C,D)
#define ICatRegister_RegisterClassReqCategories(A,B,C,D) (A)->lpVtbl->RegisterClassReqCategories(A,B,C,D)
#define ICatRegister_UnRegisterClassReqCategories(A,B,C,D) (A)->lpVtbl->UnRegisterClassReqCategories(A,B,C,D)
#endif 
HRESULT STDMETHODCALLTYPE ICatRegister_RegisterCategories_Proxy(ICatRegister *,ULONG,CATEGORYINFO *);
void __RPC_STUB ICatRegister_RegisterCategories_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE ICatRegister_UnRegisterCategories_Proxy(ICatRegister *,ULONG,CATID *);
void __RPC_STUB ICatRegister_UnRegisterCategories_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE ICatRegister_RegisterClassImplCategories_Proxy(ICatRegister *,REFCLSID,ULONG,CATID *);
void __RPC_STUB ICatRegister_RegisterClassImplCategories_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE ICatRegister_UnRegisterClassImplCategories_Proxy(ICatRegister *,REFCLSID,ULONG,CATID *);
void __RPC_STUB ICatRegister_UnRegisterClassImplCategories_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE ICatRegister_RegisterClassReqCategories_Proxy(ICatRegister *,REFCLSID,ULONG,CATID *);
void __RPC_STUB ICatRegister_RegisterClassReqCategories_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE ICatRegister_UnRegisterClassReqCategories_Proxy(ICatRegister *,REFCLSID,ULONG,CATID *);
void __RPC_STUB ICatRegister_UnRegisterClassReqCategories_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
#endif 
#endif
#ifndef _LPCATINFORMATION_DEFINED
#define _LPCATINFORMATION_DEFINED
extern RPC_IF_HANDLE __MIDL_itf_comcat_0010_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_comcat_0010_v0_0_s_ifspec;
#ifndef __ICatInformation_INTERFACE_DEFINED__
#define __ICatInformation_INTERFACE_DEFINED__
typedef  ICatInformation  *LPCATINFORMATION;
EXTERN_C const IID IID_ICatInformation;
typedef struct ICatInformationVtbl
{
 BEGIN_INTERFACE
 HRESULT ( STDMETHODCALLTYPE  *QueryInterface )(ICatInformation *,REFIID,void * *);
 ULONG ( STDMETHODCALLTYPE  *AddRef )(ICatInformation *);
 ULONG ( STDMETHODCALLTYPE  *Release )(ICatInformation *);
 HRESULT ( STDMETHODCALLTYPE  *EnumCategories )(ICatInformation *,LCID,IEnumCATEGORYINFO * *);
 HRESULT ( STDMETHODCALLTYPE  *GetCategoryDesc )(ICatInformation *,REFCATID,LCID,LPWSTR *);
  HRESULT ( STDMETHODCALLTYPE  *EnumClassesOfCategories )(ICatInformation *,ULONG,CATID *,ULONG,CATID *,IEnumGUID * *);
  HRESULT ( STDMETHODCALLTYPE  *IsClassOfCategories )(ICatInformation *,REFCLSID,ULONG,CATID *,ULONG,CATID *);
 HRESULT ( STDMETHODCALLTYPE  *EnumImplCategoriesOfClass )(ICatInformation *,REFCLSID,IEnumGUID * *);
 HRESULT ( STDMETHODCALLTYPE  *EnumReqCategoriesOfClass )(ICatInformation *,REFCLSID,IEnumGUID * *);
END_INTERFACE
} ICatInformationVtbl;
interface ICatInformation { CONST_VTBL struct ICatInformationVtbl  *lpVtbl; };
#ifdef COBJMACROS
#define ICatInformation_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define ICatInformation_AddRef(A) (A)->lpVtbl->AddRef(A)
#define ICatInformation_Release(A) (A)->lpVtbl->Release(A)
#define ICatInformation_EnumCategories(A,B,C) (A)->lpVtbl->EnumCategories(A,B,C)
#define ICatInformation_GetCategoryDesc(A,B,C,D) (A)->lpVtbl->GetCategoryDesc(A,B,C,D)
#define ICatInformation_EnumClassesOfCategories(A,B,C,D,E,F) (A)->lpVtbl->EnumClassesOfCategories(A,B,C,D,E,F)
#define ICatInformation_IsClassOfCategories(A,B,C,D,E,F) (A)->lpVtbl->IsClassOfCategories(A,B,C,D,E,F)
#define ICatInformation_EnumImplCategoriesOfClass(A,B,C) (A)->lpVtbl->EnumImplCategoriesOfClass(A,B,C)
#define ICatInformation_EnumReqCategoriesOfClass(A,B,C) (A)->lpVtbl->EnumReqCategoriesOfClass(A,B,C)
#endif 
HRESULT STDMETHODCALLTYPE ICatInformation_EnumCategories_Proxy(ICatInformation *,LCID,IEnumCATEGORYINFO * *);
void __RPC_STUB ICatInformation_EnumCategories_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE ICatInformation_GetCategoryDesc_Proxy(ICatInformation *,REFCATID,LCID,LPWSTR *);
void __RPC_STUB ICatInformation_GetCategoryDesc_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE ICatInformation_RemoteEnumClassesOfCategories_Proxy(ICatInformation *,ULONG,CATID *,ULONG,CATID *,IEnumGUID * *);
void __RPC_STUB ICatInformation_RemoteEnumClassesOfCategories_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE ICatInformation_RemoteIsClassOfCategories_Proxy(ICatInformation *,REFCLSID,ULONG,CATID *,ULONG,CATID *);
void __RPC_STUB ICatInformation_RemoteIsClassOfCategories_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE ICatInformation_EnumImplCategoriesOfClass_Proxy(ICatInformation *,REFCLSID,IEnumGUID * *);
void __RPC_STUB ICatInformation_EnumImplCategoriesOfClass_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE ICatInformation_EnumReqCategoriesOfClass_Proxy(ICatInformation *,REFCLSID,IEnumGUID * *);
void __RPC_STUB ICatInformation_EnumReqCategoriesOfClass_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
#endif 
#endif
extern RPC_IF_HANDLE __MIDL_itf_comcat_0011_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_comcat_0011_v0_0_s_ifspec;
HRESULT STDMETHODCALLTYPE ICatInformation_EnumClassesOfCategories_Proxy(ICatInformation *,ULONG,CATID *,ULONG,CATID *,IEnumGUID * *);
HRESULT STDMETHODCALLTYPE ICatInformation_EnumClassesOfCategories_Stub(ICatInformation *,ULONG,CATID *,ULONG,CATID *,IEnumGUID * *);
HRESULT STDMETHODCALLTYPE ICatInformation_IsClassOfCategories_Proxy(ICatInformation *,REFCLSID,ULONG,CATID *,ULONG,CATID *);
HRESULT STDMETHODCALLTYPE ICatInformation_IsClassOfCategories_Stub(ICatInformation *,REFCLSID,ULONG,CATID *,ULONG,CATID *);
#endif
