#include "d3dx8.h"
#ifndef __d3dx8core_h__
#define __d3dx8core_h___
typedef interface ID3DXBuffer ID3DXBuffer;
typedef interface ID3DXBuffer *LPD3DXBUFFER;
DEFINE_GUID(IID_ID3DXBuffer,  0x932e6a7e, 0xc68e, 0x45dd, 167, 191, 83, 209, 156, 134, 219, 31);
DECLARE_INTERFACE_(ID3DXBuffer, IUnknown)
{
STDMETHOD(QueryInterface)(THIS_ REFIID iid, LPVOID *ppv) ;
STDMETHOD_(ULONG, AddRef)(THIS) ;
STDMETHOD_(ULONG, Release)(THIS) ;
STDMETHOD_(LPVOID, GetBufferPointer)(THIS) ;
STDMETHOD_(DWORD, GetBufferSize)(THIS) ;
};
typedef interface ID3DXFont ID3DXFont;
typedef interface ID3DXFont *LPD3DXFONT;
DEFINE_GUID(IID_ID3DXFont, 0x2d501df7, 0xd253, 0x4414, 134, 95, 166, 213, 74, 117, 49, 56);
DECLARE_INTERFACE_(ID3DXFont, IUnknown)
{
STDMETHOD(QueryInterface)(THIS_ REFIID iid, LPVOID *ppv) ;
STDMETHOD_(ULONG, AddRef)(THIS) ;
STDMETHOD_(ULONG, Release)(THIS) ;
STDMETHOD(GetDevice)(THIS_ LPDIRECT3DDEVICE8* ppDevice) ;
STDMETHOD(GetLogFont)(THIS_ LOGFONT* pLogFont) ;
STDMETHOD(Begin)(THIS) ;
STDMETHOD_(INT, DrawTextA)(THIS_ LPCSTR pString, INT Count, LPRECT pRect, DWORD Format, D3DCOLOR Color) ;
STDMETHOD_(INT, DrawTextW)(THIS_ LPCWSTR pString, INT Count, LPRECT pRect, DWORD Format, D3DCOLOR Color) ;
STDMETHOD(End)(THIS) ;
};
#ifndef DrawText
#ifdef UNICODE
#define DrawText DrawTextW
#else
#define DrawText DrawTextA
#endif
#endif
HRESULT WINAPI
D3DXCreateFont(LPDIRECT3DDEVICE8 pDevice, HFONT hFont, LPD3DXFONT* ppFont);
HRESULT WINAPI
D3DXCreateFontIndirect(LPDIRECT3DDEVICE8 pDevice, CONST LOGFONT* pLogFont, LPD3DXFONT* ppFont);
typedef interface ID3DXSprite ID3DXSprite;
typedef interface ID3DXSprite *LPD3DXSPRITE;
DEFINE_GUID(IID_ID3DXSprite,  0xe8691849, 0x87b8, 0x4929, 144, 80, 27, 5, 66, 213, 83, 140);
DECLARE_INTERFACE_(ID3DXSprite, IUnknown)
{
STDMETHOD(QueryInterface)(THIS_ REFIID iid, LPVOID *ppv) ;
STDMETHOD_(ULONG, AddRef)(THIS) ;
STDMETHOD_(ULONG, Release)(THIS) ;
STDMETHOD(GetDevice)(THIS_ LPDIRECT3DDEVICE8* ppDevice) ;
STDMETHOD(Begin)(THIS) ;
STDMETHOD(Draw)(THIS_ LPDIRECT3DTEXTURE8 pSrcTexture,  CONST RECT* pSrcRect, CONST D3DXVECTOR2* pScaling,  CONST D3DXVECTOR2* pRotationCenter, FLOAT Rotation,  CONST D3DXVECTOR2* pTranslation, D3DCOLOR Color) ;
STDMETHOD(DrawTransform)(THIS_ LPDIRECT3DTEXTURE8 pSrcTexture,  CONST RECT* pSrcRect, CONST D3DXMATRIX* pTransform,  D3DCOLOR Color) ;
STDMETHOD(End)(THIS) ;
};
HRESULT WINAPI
D3DXCreateSprite(LPDIRECT3DDEVICE8 pDevice, LPD3DXSPRITE* ppSprite);
typedef struct _D3DXRTS_DESC
{
UINT Width;
UINT Height;
D3DFORMAT Format;
BOOL DepthStencil;
D3DFORMAT DepthStencilFormat;
} D3DXRTS_DESC;
typedef interface ID3DXRenderToSurface ID3DXRenderToSurface;
typedef interface ID3DXRenderToSurface *LPD3DXRENDERTOSURFACE;
DEFINE_GUID(IID_ID3DXRenderToSurface,  0x69cc587c, 0xe40c, 0x458d, 181, 211, 176, 41, 225, 142, 182, 10);
DECLARE_INTERFACE_(ID3DXRenderToSurface, IUnknown)
{
STDMETHOD(QueryInterface)(THIS_ REFIID iid, LPVOID *ppv) ;
STDMETHOD_(ULONG, AddRef)(THIS) ;
STDMETHOD_(ULONG, Release)(THIS) ;
STDMETHOD(GetDevice)(THIS_ LPDIRECT3DDEVICE8* ppDevice) ;
STDMETHOD(GetDesc)(THIS_ D3DXRTS_DESC* pDesc) ;
STDMETHOD(BeginScene)(THIS_ LPDIRECT3DSURFACE8 pSurface, CONST D3DVIEWPORT8* pViewport) ;
STDMETHOD(EndScene)(THIS) ;
};
HRESULT WINAPI
D3DXCreateRenderToSurface(LPDIRECT3DDEVICE8 pDevice, UINT Width, UINT Height, D3DFORMAT Format, BOOL DepthStencil, D3DFORMAT DepthStencilFormat, LPD3DXRENDERTOSURFACE* ppRenderToSurface);
typedef struct _D3DXRTE_DESC
{
UINT Size;
D3DFORMAT Format;
BOOL DepthStencil;
D3DFORMAT DepthStencilFormat;
} D3DXRTE_DESC;
typedef interface ID3DXRenderToEnvMap ID3DXRenderToEnvMap;
typedef interface ID3DXRenderToEnvMap *LPD3DXRenderToEnvMap;
DEFINE_GUID(IID_ID3DXRenderToEnvMap,  0x9f6779e5, 0x60a9, 0x4d8b, 174, 228, 50, 119, 15, 64, 93, 186);
DECLARE_INTERFACE_(ID3DXRenderToEnvMap, IUnknown)
{
STDMETHOD(QueryInterface)(THIS_ REFIID iid, LPVOID *ppv) ;
STDMETHOD_(ULONG, AddRef)(THIS) ;
STDMETHOD_(ULONG, Release)(THIS) ;
STDMETHOD(GetDevice)(THIS_ LPDIRECT3DDEVICE8* ppDevice) ;
STDMETHOD(GetDesc)(THIS_ D3DXRTE_DESC* pDesc) ;
STDMETHOD(BeginCube)(THIS_  LPDIRECT3DCUBETEXTURE8 pCubeTex) ;
STDMETHOD(BeginSphere)(THIS_ LPDIRECT3DTEXTURE8 pTex) ;
STDMETHOD(BeginHemisphere)(THIS_  LPDIRECT3DTEXTURE8 pTexZPos, LPDIRECT3DTEXTURE8 pTexZNeg) ;
STDMETHOD(BeginParabolic)(THIS_  LPDIRECT3DTEXTURE8 pTexZPos, LPDIRECT3DTEXTURE8 pTexZNeg) ;
STDMETHOD(Face)(THIS_ D3DCUBEMAP_FACES Face) ;
STDMETHOD(End)(THIS) ;
};
HRESULT WINAPI
D3DXCreateRenderToEnvMap(LPDIRECT3DDEVICE8 pDevice, UINT Size, D3DFORMAT Format, BOOL DepthStencil, D3DFORMAT DepthStencilFormat, LPD3DXRenderToEnvMap* ppRenderToEnvMap);
#define D3DXASM_DEBUG (1 << 0)
#define D3DXASM_SKIPVALIDATION (1 << 1)
HRESULT WINAPI
D3DXAssembleShaderFromFileA(LPCSTR pSrcFile, DWORD Flags, LPD3DXBUFFER* ppConstants, LPD3DXBUFFER* ppCompiledShader, LPD3DXBUFFER* ppCompilationErrors);
HRESULT WINAPI
D3DXAssembleShaderFromFileW(LPCWSTR pSrcFile, DWORD Flags, LPD3DXBUFFER* ppConstants, LPD3DXBUFFER* ppCompiledShader, LPD3DXBUFFER* ppCompilationErrors);
#ifdef UNICODE
#define D3DXAssembleShaderFromFile D3DXAssembleShaderFromFileW
#else
#define D3DXAssembleShaderFromFile D3DXAssembleShaderFromFileA
#endif
HRESULT WINAPI
D3DXAssembleShader(LPCVOID pSrcData, UINT SrcDataLen, DWORD Flags, LPD3DXBUFFER* ppConstants, LPD3DXBUFFER* ppCompiledShader, LPD3DXBUFFER* ppCompilationErrors);
UINT WINAPI
D3DXGetFVFVertexSize(DWORD FVF);
HRESULT WINAPI
D3DXGetErrorStringA(HRESULT hr, LPSTR pBuffer, UINT BufferLen);
HRESULT WINAPI
D3DXGetErrorStringW(HRESULT hr, LPWSTR pBuffer, UINT BufferLen);
#ifdef UNICODE
#define D3DXGetErrorString D3DXGetErrorStringW
#else
#define D3DXGetErrorString D3DXGetErrorStringA
#endif
#endif 
