#ifndef __REQUIRED_RPCNDR_H_VERSION__
#define __REQUIRED_RPCNDR_H_VERSION__ 440
#endif
#ifndef __RPC_H__
#include "rpc.h"
#endif
#ifndef __RPCNDR_H__
#include "rpcndr.h"
#endif
#ifndef __RPCNDR_H_VERSION__
#error this stub requires an updated version of <rpcndr.h>
#endif // __RPCNDR_H_VERSION__
#ifndef COM_NO_WINDOWS_H
#ifndef __windows_h__
#include "windows.h"
#endif
#include "ole2.h"
#endif
#ifndef __dispex_h__
#define __dispex_h__
#ifndef __IDispatchEx_FWD_DEFINED__
#define __IDispatchEx_FWD_DEFINED__
typedef interface IDispatchEx IDispatchEx;
#endif 	
#ifndef __IDispError_FWD_DEFINED__
#define __IDispError_FWD_DEFINED__
typedef interface IDispError IDispError;
#endif 	
#ifndef __IVariantChangeType_FWD_DEFINED__
#define __IVariantChangeType_FWD_DEFINED__
typedef interface IVariantChangeType IVariantChangeType;
#endif 	
#ifndef __IObjectIdentity_FWD_DEFINED__
#define __IObjectIdentity_FWD_DEFINED__
typedef interface IObjectIdentity IObjectIdentity;
#endif 	
#include "ocidl.h"
void * __RPC_USER MIDL_user_allocate(size_t);
void __RPC_USER MIDL_user_free( void * );
#ifndef DISPEX_H_
#define DISPEX_H_
#include "servprov.h"
#ifndef _NO_DISPATCHEX_GUIDS
// {A6EF9860-C720-11d0-9337-00A0C90DCAA9}
DEFINE_GUID(IID_IDispatchEx,0xa6ef9860,0xc720,0x11d0,0x93,0x37,0x0,0xa0,0xc9,0xd,0xca,0xa9);
// {A6EF9861-C720-11d0-9337-00A0C90DCAA9}
DEFINE_GUID(IID_IDispError,0xa6ef9861,0xc720,0x11d0,0x93,0x37,0x0,0xa0,0xc9,0xd,0xca,0xa9);
// {A6EF9862-C720-11d0-9337-00A0C90DCAA9}
DEFINE_GUID(IID_IVariantChangeType,0xa6ef9862,0xc720,0x11d0,0x93,0x37,0x0,0xa0,0xc9,0xd,0xca,0xa9);
// {1F101481-BCCD-11d0-9336-00A0C90DCAA9}
DEFINE_GUID(SID_VariantConversion,0x1f101481,0xbccd,0x11d0,0x93,0x36,0x0,0xa0,0xc9,0xd,0xca,0xa9);
// {4717CC40-BCB9-11d0-9336-00A0C90DCAA9}
DEFINE_GUID(SID_GetCaller,0x4717cc40,0xbcb9,0x11d0,0x93,0x36,0x0,0xa0,0xc9,0xd,0xca,0xa9);
// {CA04B7E6-0D21-11d1-8CC5-00C04FC2B085}
DEFINE_GUID(IID_IObjectIdentity,0xca04b7e6,0xd21,0x11d1,0x8c,0xc5,0x0,0xc0,0x4f,0xc2,0xb0,0x85);
#define SID_GetScriptSite IID_IActiveScriptSite
#endif // _NO_DISPATCHEX_GUIDS
#ifndef _NO_DISPATCHEX_CONSTS
#define fdexNameCaseSensitive 1
#define fdexNameEnsure 2
#define fdexNameImplicit 4
#define fdexNameCaseInsensitive 8
#define fdexPropCanGet 1
#define fdexPropCannotGet 2
#define fdexPropCanPut 4
#define fdexPropCannotPut 8
#define fdexPropCanPutRef 16
#define fdexPropCannotPutRef 32
#define fdexPropNoSideEffects 0x40L
#define fdexPropDynamicType 0x80L
#define fdexPropCanCall 0x100L
#define fdexPropCannotCall 0x200L
#define fdexPropCanConstruct 0x400L
#define fdexPropCannotConstruct 0x800L
#define fdexPropCanSourceEvents 0x1000L
#define fdexPropCannotSourceEvents 0x2000L
#define grfdexPropCanAll (fdexPropCanGet|fdexPropCanPut|fdexPropCanPutRef|fdexPropCanCall|fdexPropCanConstruct|fdexPropCanSourceEvents)
#define grfdexPropCannotAll (fdexPropCannotGet|fdexPropCannotPut|fdexPropCannotPutRef|fdexPropCannotCall|fdexPropCannotConstruct|fdexPropCannotSourceEvents)
#define grfdexPropExtraAll (fdexPropNoSideEffects | fdexPropDynamicType)
#define grfdexPropAll (grfdexPropCanAll|grfdexPropCannotAll|grfdexPropExtraAll)
#define fdexEnumDefault 1
#define fdexEnumAll 2
#define DISPATCH_CONSTRUCT 0x4000
#define DISPID_THIS (-613)
#define DISPID_STARTENUM DISPID_UNKNOWN
#endif
extern RPC_IF_HANDLE __MIDL_itf_dispex_0000_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_dispex_0000_v0_0_s_ifspec;
#ifndef __IDispatchEx_INTERFACE_DEFINED__
#define __IDispatchEx_INTERFACE_DEFINED__
extern IID IID_IDispatchEx;
typedef struct IDispatchExVtbl {
BEGIN_INTERFACE
HRESULT ( STDMETHODCALLTYPE *QueryInterface )( IDispatchEx *,REFIID,void * *);
ULONG ( STDMETHODCALLTYPE *AddRef )( IDispatchEx *);
ULONG ( STDMETHODCALLTYPE *Release )( IDispatchEx *);
HRESULT ( STDMETHODCALLTYPE *GetTypeInfoCount )( IDispatchEx *,UINT *);
HRESULT ( STDMETHODCALLTYPE *GetTypeInfo )( IDispatchEx *,UINT,LCID,ITypeInfo * *);
HRESULT ( STDMETHODCALLTYPE *GetIDsOfNames )( IDispatchEx *,REFIID,LPOLESTR *,UINT,LCID,DISPID *);
HRESULT ( STDMETHODCALLTYPE *Invoke )( IDispatchEx *,DISPID,REFIID,LCID,WORD,DISPPARAMS *,VARIANT *,EXCEPINFO *,UINT *);
HRESULT (STDMETHODCALLTYPE *GetDispID )( IDispatchEx *,BSTR,DWORD,DISPID *);
HRESULT (STDMETHODCALLTYPE *InvokeEx )( IDispatchEx *,DISPID,LCID,WORD,DISPPARAMS *,VARIANT *,EXCEPINFO *,IServiceProvider *);
HRESULT (STDMETHODCALLTYPE *DeleteMemberByName )( IDispatchEx *,BSTR,DWORD );
HRESULT (STDMETHODCALLTYPE *DeleteMemberByDispID )( IDispatchEx *,DISPID );
HRESULT ( STDMETHODCALLTYPE *GetMemberProperties )( IDispatchEx *,DISPID,DWORD,DWORD *);
HRESULT ( STDMETHODCALLTYPE *GetMemberName )( IDispatchEx * ,DISPID ,BSTR *);
HRESULT ( STDMETHODCALLTYPE *GetNextDispID )( IDispatchEx * ,DWORD,DISPID,DISPID *);
HRESULT ( STDMETHODCALLTYPE *GetNameSpaceParent )( IDispatchEx *,IUnknown * *);
END_INTERFACE
} IDispatchExVtbl;
interface IDispatchEx { CONST_VTBL struct IDispatchExVtbl *lpVtbl; };
#ifdef COBJMACROS
#define IDispatchEx_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IDispatchEx_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IDispatchEx_Release(A) (A)->lpVtbl->Release(A)
#define IDispatchEx_GetTypeInfoCount(A,B) (A)->lpVtbl->GetTypeInfoCount(A,B)
#define IDispatchEx_GetTypeInfo(A,B,C,D) (A)->lpVtbl->GetTypeInfo(A,B,C,D)
#define IDispatchEx_GetIDsOfNames(A,B,C,D,E,F) (A)->lpVtbl->GetIDsOfNames(A,B,C,D,E,F)
#define IDispatchEx_Invoke(A,B,C,D,E,F,G,H,I) (A)->lpVtbl->Invoke(A,B,C,D,E,F,G,H,I)
#define IDispatchEx_GetDispID(A,B,C,D) (A)->lpVtbl->GetDispID(A,B,C,D)
#define IDispatchEx_InvokeEx(A,B,C,D,E,F,G,H) (A)->lpVtbl->InvokeEx(A,B,C,D,E,F,G,H)
#define IDispatchEx_DeleteMemberByName(A,B,C) (A)->lpVtbl->DeleteMemberByName(A,B,C)
#define IDispatchEx_DeleteMemberByDispID(A,B) (A)->lpVtbl->DeleteMemberByDispID(A,B)
#define IDispatchEx_GetMemberProperties(A,B,C,D) (A)->lpVtbl->GetMemberProperties(A,B,C,D)
#define IDispatchEx_GetMemberName(A,B,C) (A)->lpVtbl->GetMemberName(A,B,C)
#define IDispatchEx_GetNextDispID(A,B,C,D) (A)->lpVtbl->GetNextDispID(A,B,C,D)
#define IDispatchEx_GetNameSpaceParent(A,B) (A)->lpVtbl->GetNameSpaceParent(A,B)
#endif 	
HRESULT STDMETHODCALLTYPE IDispatchEx_GetDispID_Proxy( IDispatchEx *,BSTR,DWORD,DISPID *);
void __RPC_STUB IDispatchEx_GetDispID_Stub( IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
 HRESULT STDMETHODCALLTYPE IDispatchEx_RemoteInvokeEx_Proxy( IDispatchEx *,DISPID,LCID,DWORD,DISPPARAMS *,VARIANT *,EXCEPINFO *,IServiceProvider *,UINT,UINT *,VARIANT *);
void __RPC_STUB IDispatchEx_RemoteInvokeEx_Stub( IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IDispatchEx_DeleteMemberByName_Proxy(IDispatchEx *,BSTR,DWORD);
void __RPC_STUB IDispatchEx_DeleteMemberByName_Stub( IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IDispatchEx_DeleteMemberByDispID_Proxy( IDispatchEx *,DISPID);
void __RPC_STUB IDispatchEx_DeleteMemberByDispID_Stub( IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IDispatchEx_GetMemberProperties_Proxy( IDispatchEx *,DISPID,DWORD,DWORD *);
void __RPC_STUB IDispatchEx_GetMemberProperties_Stub( IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IDispatchEx_GetMemberName_Proxy( IDispatchEx *,DISPID,BSTR *);
void __RPC_STUB IDispatchEx_GetMemberName_Stub( IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IDispatchEx_GetNextDispID_Proxy( IDispatchEx *,DWORD,DISPID,DISPID *);
void __RPC_STUB IDispatchEx_GetNextDispID_Stub( IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IDispatchEx_GetNameSpaceParent_Proxy( IDispatchEx *,IUnknown * *);
void __RPC_STUB IDispatchEx_GetNameSpaceParent_Stub( IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
#endif 	
#ifndef __IDispError_INTERFACE_DEFINED__
#define __IDispError_INTERFACE_DEFINED__
EXTERN_C IID IID_IDispError;
typedef struct IDispErrorVtbl {
 BEGIN_INTERFACE
 HRESULT ( STDMETHODCALLTYPE *QueryInterface )( IDispError *,REFIID,void * *);
 ULONG ( STDMETHODCALLTYPE *AddRef )( IDispError *);
 ULONG ( STDMETHODCALLTYPE *Release )( IDispError *);
 HRESULT ( STDMETHODCALLTYPE *QueryErrorInfo )( IDispError *,GUID,IDispError * *);
 HRESULT ( STDMETHODCALLTYPE *GetNext )( IDispError * ,IDispError * *);
 HRESULT ( STDMETHODCALLTYPE *GetHresult )( IDispError *,HRESULT *);
 HRESULT ( STDMETHODCALLTYPE *GetSource )( IDispError *,BSTR *);
 HRESULT ( STDMETHODCALLTYPE *GetHelpInfo )( IDispError *,BSTR *,DWORD *);
 HRESULT ( STDMETHODCALLTYPE *GetDescription )( IDispError *,BSTR *);
 END_INTERFACE
} IDispErrorVtbl;
interface IDispError { CONST_VTBL struct IDispErrorVtbl *lpVtbl; };
#ifdef COBJMACROS
#define IDispError_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IDispError_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IDispError_Release(A) (A)->lpVtbl->Release(A)
#define IDispError_QueryErrorInfo(A,B,C) (A)->lpVtbl->QueryErrorInfo(A,B,C)
#define IDispError_GetNext(A,B) (A)->lpVtbl->GetNext(A,B)
#define IDispError_GetHresult(A,B) (A)->lpVtbl->GetHresult(A,B)
#define IDispError_GetSource(A,B) (A)->lpVtbl->GetSource(A,B)
#define IDispError_GetHelpInfo(A,B,C) (A)->lpVtbl->GetHelpInfo(A,B,C)
#define IDispError_GetDescription(A,B) (A)->lpVtbl->GetDescription(A,B)
#endif 	
HRESULT STDMETHODCALLTYPE IDispError_QueryErrorInfo_Proxy( IDispError * ,GUID,IDispError * *);
void __RPC_STUB IDispError_QueryErrorInfo_Stub( IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IDispError_GetNext_Proxy( IDispError *,IDispError * *);
void __RPC_STUB IDispError_GetNext_Stub( IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IDispError_GetHresult_Proxy( IDispError *,HRESULT *);
void __RPC_STUB IDispError_GetHresult_Stub( IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IDispError_GetSource_Proxy( IDispError *,BSTR *);
void __RPC_STUB IDispError_GetSource_Stub( IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IDispError_GetHelpInfo_Proxy( IDispError *,BSTR *,DWORD *);
void __RPC_STUB IDispError_GetHelpInfo_Stub( IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IDispError_GetDescription_Proxy( IDispError *,BSTR *);
void __RPC_STUB IDispError_GetDescription_Stub( IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
#endif
#ifndef __IVariantChangeType_INTERFACE_DEFINED__
#define __IVariantChangeType_INTERFACE_DEFINED__
EXTERN_C IID IID_IVariantChangeType;
typedef struct IVariantChangeTypeVtbl {
 BEGIN_INTERFACE
 HRESULT ( STDMETHODCALLTYPE *QueryInterface )( IVariantChangeType *,REFIID,void * *);
 ULONG ( STDMETHODCALLTYPE *AddRef )( IVariantChangeType *);
 ULONG ( STDMETHODCALLTYPE *Release )( IVariantChangeType *);
 HRESULT ( STDMETHODCALLTYPE *ChangeType )( IVariantChangeType *,VARIANT *,VARIANT *,LCID ,VARTYPE);
 END_INTERFACE
} IVariantChangeTypeVtbl;
interface IVariantChangeType { CONST_VTBL struct IVariantChangeTypeVtbl *lpVtbl; };
#ifdef COBJMACROS
#define IVariantChangeType_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IVariantChangeType_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IVariantChangeType_Release(A) (A)->lpVtbl->Release(A)
#define IVariantChangeType_ChangeType(A,B,C,D,E) (A)->lpVtbl->ChangeType(A,B,C,D,E)
#endif
HRESULT STDMETHODCALLTYPE IVariantChangeType_ChangeType_Proxy(IVariantChangeType *,VARIANT *,VARIANT *,LCID,VARTYPE);
void __RPC_STUB IVariantChangeType_ChangeType_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
#endif
#ifndef __IObjectIdentity_INTERFACE_DEFINED__
#define __IObjectIdentity_INTERFACE_DEFINED__
EXTERN_C IID IID_IObjectIdentity;
typedef struct IObjectIdentityVtbl {
 BEGIN_INTERFACE
 HRESULT ( STDMETHODCALLTYPE *QueryInterface )( IObjectIdentity *,REFIID,void * *);
 ULONG ( STDMETHODCALLTYPE *AddRef )( IObjectIdentity *);
 ULONG ( STDMETHODCALLTYPE *Release )( IObjectIdentity *);
 HRESULT ( STDMETHODCALLTYPE *IsEqualObject )( IObjectIdentity *,IUnknown *);
 END_INTERFACE
} IObjectIdentityVtbl;
interface IObjectIdentity { CONST_VTBL struct IObjectIdentityVtbl *lpVtbl; };
#ifdef COBJMACROS
#define IObjectIdentity_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IObjectIdentity_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IObjectIdentity_Release(A) (A)->lpVtbl->Release(A)
#define IObjectIdentity_IsEqualObject(A,B) (A)->lpVtbl->IsEqualObject(A,B)
#endif 	
HRESULT STDMETHODCALLTYPE IObjectIdentity_IsEqualObject_Proxy(IObjectIdentity *,IUnknown *);
void __RPC_STUB IObjectIdentity_IsEqualObject_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
#endif
#endif
extern RPC_IF_HANDLE __MIDL_itf_dispex_0237_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_dispex_0237_v0_0_s_ifspec;
unsigned long __RPC_USER BSTR_UserSize( unsigned long *,unsigned long,BSTR * );
unsigned char * __RPC_USER BSTR_UserMarshal( unsigned long *,unsigned char *,BSTR * );
unsigned char * __RPC_USER BSTR_UserUnmarshal(unsigned long *,unsigned char *,BSTR * );
void __RPC_USER BSTR_UserFree( unsigned long *,BSTR * );
unsigned long __RPC_USER VARIANT_UserSize( unsigned long *,unsigned long,VARIANT * );
unsigned char * __RPC_USER VARIANT_UserMarshal( unsigned long *,unsigned char *,VARIANT * );
unsigned char * __RPC_USER VARIANT_UserUnmarshal(unsigned long *,unsigned char *,VARIANT * );
void __RPC_USER VARIANT_UserFree( unsigned long *,VARIANT * );
HRESULT STDMETHODCALLTYPE IDispatchEx_InvokeEx_Proxy( IDispatchEx *,DISPID,LCID,WORD,DISPPARAMS *,VARIANT *,EXCEPINFO *,IServiceProvider *);
HRESULT STDMETHODCALLTYPE IDispatchEx_InvokeEx_Stub( IDispatchEx *,DISPID,LCID,DWORD,DISPPARAMS *,VARIANT *,EXCEPINFO *,IServiceProvider *,UINT,UINT *,VARIANT *);
#endif
