#ifndef	__filehc_h__
#define	__filehc_h__
#ifndef __windows_h__
#include <windows.h>
#endif
typedef	VOID (*PFN_IO_COMPLETION)(struct FIO_CONTEXT*,struct FH_OVERLAPPED*,DWORD ,DWORD);
typedef struct	_FH_OVERLAPPED	{
UINT_PTR Internal ;
UINT_PTR InternalHigh ;
DWORD	Offset ;
DWORD	OffsetHigh ;
HANDLE	hEvent ;
PFN_IO_COMPLETION	pfnCompletion ;	
UINT_PTR	Reserved1 ;
UINT_PTR	Reserved2 ;
UINT_PTR	Reserved3 ;
UINT_PTR	Reserved4 ;
} FH_OVERLAPPED,*PFH_OVERLAPPED;
typedef struct	_FIO_CONTEXT	{
DWORD m_dwTempHack ;
DWORD	m_dwSignature ;
HANDLE	m_hFile ;
DWORD m_dwLinesOffset;
DWORD m_dwHeaderLength;
} FIO_CONTEXT,*PFIO_CONTEXT;
#ifdef	_FILEHC_IMPLEMENTATION_
#define	FILEHC_EXPORT	__declspec(dllexport)	
#else
#define	FILEHC_EXPORT
#endif
FILEHC_EXPORT BOOL _stdcall FIOInitialize(DWORD);
FILEHC_EXPORT BOOL _stdcall FIOTerminate(VOID );
FILEHC_EXPORT BOOL _stdcall FIOReadFile(PFIO_CONTEXT ,LPVOID ,DWORD ,FH_OVERLAPPED *);
FILEHC_EXPORT BOOL _stdcall FIOReadFileEx(PFIO_CONTEXT ,LPVOID ,DWORD ,DWORD ,FH_OVERLAPPED *,BOOL ,BOOL	fIncludeTerminator	 );
FILEHC_EXPORT BOOL _stdcall FIOWriteFile(PFIO_CONTEXT ,LPCVOID ,DWORD ,FH_OVERLAPPED *lpo );
FILEHC_EXPORT BOOL _stdcall FIOWriteFileEx(PFIO_CONTEXT ,LPVOID ,DWORD ,DWORD ,FH_OVERLAPPED*	lpo,BOOL ,BOOL	fIncludeTerminator	 ) ;
typedef	 HANDLE	 (_stdcall *FCACHE_CREATE_CALLBACK) (LPSTR ,LPVOID ,DWORD*	cbFileSize,DWORD*	cbFileSizeHigh ) ;
typedef	 HANDLE	 (_stdcall *FCACHE_RICHCREATE_CALLBACK) (LPSTR ,LPVOID ,DWORD*	cbFileSize,DWORD*	cbFileSizeHigh,BOOL* pfDidWeScanIt,BOOL* pfIsStuffed,BOOL*	pfStoredWithDots,BOOL*	pfStoredWithTerminatingDot ) ;
FILEHC_EXPORT BOOL _stdcall InitializeCache() ;
FILEHC_EXPORT BOOL _stdcall TerminateCache() ;
FILEHC_EXPORT PFIO_CONTEXT _stdcall AssociateFile(HANDLE) ;
FILEHC_EXPORT PFIO_CONTEXT _stdcall AssociateFileEx(HANDLE,BOOL,BOOL) ;
FILEHC_EXPORT void _stdcall AddRefContext(PFIO_CONTEXT) ;
FILEHC_EXPORT void _stdcall ReleaseContext(PFIO_CONTEXT) ;
FILEHC_EXPORT BOOL _stdcall CloseNonCachedFile(PFIO_CONTEXT) ;
FILEHC_EXPORT FIO_CONTEXT* _stdcall CacheCreateFile(LPSTR,FCACHE_CREATE_CALLBACK,LPVOID ,BOOL);
FILEHC_EXPORT FIO_CONTEXT* _stdcall CacheRichCreateFile(LPSTR,FCACHE_RICHCREATE_CALLBACK ,LPVOID ,BOOL) ;
FILEHC_EXPORT void _stdcall CacheRemoveFiles(LPSTR,BOOL) ;
FILEHC_EXPORT BOOL _stdcall InsertFile(LPSTR,FIO_CONTEXT*,BOOL) ;
FILEHC_EXPORT DWORD _stdcall GetFileSizeFromContext(FIO_CONTEXT*,DWORD*) ;
typedef	 int (_stdcall	*CACHE_KEY_COMPARE)(DWORD	cbKey1,LPBYTE ,DWORD ,LPBYTE	lpbKey2 ) ;
typedef DWORD (_stdcall	*CACHE_KEY_HASH)(LPBYTE	lpbKey,DWORD	cbKey ) ;
typedef	 BOOL (_stdcall	*CACHE_READ_CALLBACK)(DWORD	cb,LPBYTE ,LPVOID	lpvContext ) ;
typedef void (_stdcall	*CACHE_DESTROY_CALLBACK)(DWORD	cb,LPBYTE	lpb ) ;
typedef BOOL (WINAPI	*CACHE_ACCESS_CHECK)(PSECURITY_DESCRIPTOR,HANDLE,DWORD,PGENERIC_MAPPING ,PRIVILEGE_SET*,LPDWORD ,LPDWORD,LPBOOL);
struct	NAME_CACHE_CONTEXT	{ DWORD	m_dwSignature ; } ;
typedef	struct	NAME_CACHE_CONTEXT*	PNAME_CACHE_CONTEXT ;
FILEHC_EXPORT PNAME_CACHE_CONTEXT _stdcall FindOrCreateNameCache(LPSTR,CACHE_KEY_COMPARE,CACHE_KEY_HASH,CACHE_DESTROY_CALLBACK,CACHE_DESTROY_CALLBACK);
FILEHC_EXPORT long _stdcall ReleaseNameCache(PNAME_CACHE_CONTEXT);
FILEHC_EXPORT BOOL _stdcall SetNameCacheSecurityFunction(PNAME_CACHE_CONTEXT ,CACHE_ACCESS_CHECK) ;
FILEHC_EXPORT BOOL _stdcall FindContextFromName(PNAME_CACHE_CONTEXT ,LPBYTE ,DWORD ,CACHE_READ_CALLBACK ,LPVOID ,HANDLE ,ACCESS_MASK ,FIO_CONTEXT**	);
FILEHC_EXPORT BOOL _stdcall FindSyncContextFromName(PNAME_CACHE_CONTEXT ,LPBYTE ,DWORD ,CACHE_READ_CALLBACK ,LPVOID ,HANDLE ,ACCESS_MASK,FIO_CONTEXT**) ;
FILEHC_EXPORT BOOL _stdcall AssociateContextWithName(PNAME_CACHE_CONTEXT,LPBYTE ,DWORD,LPBYTE,DWORD,PGENERIC_MAPPING,PSECURITY_DESCRIPTOR,FIO_CONTEXT*,BOOL);
FILEHC_EXPORT BOOL InvalidateName(PNAME_CACHE_CONTEXT,LPBYTE,DWORD) ;
FILEHC_EXPORT FIO_CONTEXT* _stdcall ProduceDotStuffedContext(FIO_CONTEXT*,LPSTR ,BOOL) ;
FILEHC_EXPORT BOOL _stdcall ProduceDotStuffedContextInContext(FIO_CONTEXT*,FIO_CONTEXT*,BOOL,BOOL*);
FILEHC_EXPORT BOOL _stdcall GetIsFileDotTerminated(FIO_CONTEXT*) ;
FILEHC_EXPORT void _stdcall SetIsFileDotTerminated(FIO_CONTEXT*,BOOL);
FILEHC_EXPORT BOOL _stdcall SetDotStuffingOnWrites(FIO_CONTEXT*,BOOL,BOOL);
#if 0 
FILEHC_EXPORT BOOL _stdcall
SetDotStuffingOnReads(FIO_CONTEXT*	pContext,BOOL ,BOOL	fStripDots ) ;
#endif
FILEHC_EXPORT BOOL _stdcall
SetDotScanningOnWrites(FIO_CONTEXT*	pContext,BOOL	fEnable ) ;
FILEHC_EXPORT void _stdcall
CompleteDotStuffingOnWrites(FIO_CONTEXT*	pContext,BOOL	fStripDots ) ;
FILEHC_EXPORT BOOL _stdcall SetDotScanningOnReads(FIO_CONTEXT*	pContext,BOOL	fEnable ) ;
FILEHC_EXPORT BOOL _stdcall GetDotStuffState(FIO_CONTEXT*,BOOL,BOOL*,BOOL*) ;
FILEHC_EXPORT void _stdcall SetDotStuffState(FIO_CONTEXT*,BOOL ,BOOL) ;
#endif	
