#ifndef __ils_h__
#define __ils_h__
#ifndef __REQUIRED_RPCNDR_H_VERSION__
#define __REQUIRED_RPCNDR_H_VERSION__ 440
#endif
#include "rpc.h"
#include "rpcndr.h"
#ifndef __RPCNDR_H_VERSION__
#error this stub requires an updated version of <rpcndr.h>
#endif 
#ifndef COM_NO_WINDOWS_H
#include "windows.h"
#include "ole2.h"
#endif 
#ifndef __ILS_h__
#define __ILS_h__
#ifndef __IIlsServer_FWD_DEFINED__
#define __IIlsServer_FWD_DEFINED__
typedef interface IIlsServer IIlsServer;
#endif 
#ifndef __IIlsMain_FWD_DEFINED__
#define __IIlsMain_FWD_DEFINED__
typedef interface IIlsMain IIlsMain;
#endif 
#ifndef __IIlsNotify_FWD_DEFINED__
#define __IIlsNotify_FWD_DEFINED__
typedef interface IIlsNotify IIlsNotify;
#endif 
#ifndef __IIlsUser_FWD_DEFINED__
#define __IIlsUser_FWD_DEFINED__
typedef interface IIlsUser IIlsUser;
#endif 
#ifndef __IIlsProtocol_FWD_DEFINED__
#define __IIlsProtocol_FWD_DEFINED__
typedef interface IIlsProtocol IIlsProtocol;
#endif 
#ifndef __IIlsProtocolNotify_FWD_DEFINED__
#define __IIlsProtocolNotify_FWD_DEFINED__
typedef interface IIlsProtocolNotify IIlsProtocolNotify;
#endif 
#ifndef __IIlsUserNotify_FWD_DEFINED__
#define __IIlsUserNotify_FWD_DEFINED__
typedef interface IIlsUserNotify IIlsUserNotify;
#endif 
#ifndef __IIlsAttributes_FWD_DEFINED__
#define __IIlsAttributes_FWD_DEFINED__
typedef interface IIlsAttributes IIlsAttributes;
#endif 
#ifndef __IIlsFilter_FWD_DEFINED__
#define __IIlsFilter_FWD_DEFINED__
typedef interface IIlsFilter IIlsFilter;
#endif 
#ifndef __IEnumIlsProtocols_FWD_DEFINED__
#define __IEnumIlsProtocols_FWD_DEFINED__
typedef interface IEnumIlsProtocols IEnumIlsProtocols;
#endif 
#ifndef __IEnumIlsUsers_FWD_DEFINED__
#define __IEnumIlsUsers_FWD_DEFINED__
typedef interface IEnumIlsUsers IEnumIlsUsers;
#endif 
#ifndef __IEnumIlsNames_FWD_DEFINED__
#define __IEnumIlsNames_FWD_DEFINED__
typedef interface IEnumIlsNames IEnumIlsNames;
#endif 
#include "objidl.h"
#include "oleidl.h"
#include "oaidl.h"
void * __RPC_USER MIDL_user_allocate(size_t);
void __RPC_USER MIDL_user_free(void *); 
#define ILS_E(e) (0x81000000UL | (ULONG) (e))
#define ILS_S(e) (0x1000000UL | (ULONG) (e))
enum {
ILS_S_SERVER_MAY_NOT_SUPPORT=ILS_S (1),
ILS_E_FAIL=E_FAIL,
ILS_E_POINTER=E_POINTER,
ILS_E_HANDLE=E_HANDLE,
ILS_E_ABORT=E_ABORT,
ILS_E_ACCESS_DENIED=E_ACCESSDENIED,
ILS_E_NOT_IMPL=E_NOTIMPL,
ILS_E_NO_INTERFACE=E_NOINTERFACE,
ILS_E_MEMORY=E_OUTOFMEMORY,
ILS_E_PARAMETER=E_INVALIDARG,
ILS_E_SERVER_SERVICE=ILS_E (1),
ILS_E_SERVER_NAME=ILS_E (2),
ILS_E_TIMEOUT=ILS_E (3),
ILS_E_BIND=ILS_E (4),
ILS_E_THREAD=ILS_E (5),
ILS_E_SERVER_EXEC=ILS_E (6),
ILS_E_WINSOCK=ILS_E (7),
ILS_E_NO_MORE=ILS_E (8),
ILS_E_NOT_INITIALIZED=ILS_E (9),
ILS_E_NOTIFY_ID=ILS_E (10),
ILS_E_NO_SUCH_OBJECT=ILS_E (11),
ILS_E_NEED_RELOGON=ILS_E (12),
ILS_E_NAME_CONFLICTS=ILS_E (13),
ILS_E_NETWORK_DOWN=ILS_E (14),
ILS_E_FILTER_STRING=ILS_E (15),
ILS_E_FILTER_OBJECT=ILS_E (16),
ILS_E_FILTER_TYPE=ILS_E (17),
ILS_E_ACCESS_CONTROL=ILS_E (18),
ILS_E_NOT_REGISTERED=ILS_E (19),
ILS_E_NO_SUCH_MEMBER=ILS_E (20),
ILS_E_NO_WRITE_ACCESS=ILS_E (21),
ILS_E_ALREADY_REGISTERED=ILS_E (22),
ILS_E_LDAP_OPERATIONS_ERROR=ILS_E( 257),
ILS_E_LDAP_PROTOCOL_ERROR=ILS_E( 258),
ILS_E_LDAP_TIMELIMIT_EXCEEDED=ILS_E( 259),
ILS_E_LDAP_SIZELIMIT_EXCEEDED=ILS_E( 260),
ILS_E_LDAP_COMPARE_FALSE=ILS_E( 261),
ILS_E_LDAP_COMPARE_TRUE=ILS_E( 262),
ILS_E_LDAP_AUTH_METHOD_NOT_SUPPORTED=ILS_E( 263),
ILS_E_LDAP_STRONG_AUTH_REQUIRED=ILS_E( 264),
ILS_E_LDAP_REFERRAL_V2=ILS_E( 265),
ILS_E_LDAP_PARTIAL_RESULTS=ILS_E( 266),
ILS_E_LDAP_REFERRAL=ILS_E( 267),
ILS_E_LDAP_ADMIN_LIMIT_EXCEEDED=ILS_E( 268),
ILS_E_LDAP_UNAVAILABLE_CRIT_EXTENSION=ILS_E( 269),
ILS_E_LDAP_NO_SUCH_ATTRIBUTE=ILS_E( 270),
ILS_E_LDAP_UNDEFINED_TYPE=ILS_E( 271),
ILS_E_LDAP_INAPPROPRIATE_MATCHING=ILS_E( 272),
ILS_E_LDAP_CONSTRAINT_VIOLATION=ILS_E( 273),
ILS_E_LDAP_ATTRIBUTE_OR_VALUE_EXISTS=ILS_E( 274),
ILS_E_LDAP_INVALID_SYNTAX=ILS_E( 275),
ILS_E_LDAP_ALIAS_PROBLEM=ILS_E( 276),
ILS_E_LDAP_INVALID_DN_SYNTAX=ILS_E( 277),
ILS_E_LDAP_IS_LEAF=ILS_E( 278),
ILS_E_LDAP_ALIAS_DEREF_PROBLEM=ILS_E( 279),
ILS_E_LDAP_INAPPROPRIATE_AUTH=ILS_E( 280),
ILS_E_LDAP_INVALID_CREDENTIALS=ILS_E( 281),
ILS_E_LDAP_INSUFFICIENT_RIGHTS=ILS_E( 282),
ILS_E_LDAP_BUSY=ILS_E( 283),
ILS_E_LDAP_UNAVAILABLE=ILS_E( 284),
ILS_E_LDAP_UNWILLING_TO_PERFORM=ILS_E( 285),
ILS_E_LDAP_LOOP_DETECT=ILS_E( 286),
ILS_E_LDAP_NAMING_VIOLATION=ILS_E( 287),
ILS_E_LDAP_OBJECT_CLASS_VIOLATION=ILS_E( 288),
ILS_E_LDAP_NOT_ALLOWED_ON_NONLEAF=ILS_E( 289),
ILS_E_LDAP_NOT_ALLOWED_ON_RDN=ILS_E( 290),
ILS_E_LDAP_NO_OBJECT_CLASS_MODS=ILS_E( 291),
ILS_E_LDAP_RESULTS_TOO_LARGE=ILS_E( 292),
ILS_E_LDAP_AFFECTS_MULTIPLE_DSAS=ILS_E( 293),
ILS_E_LDAP_OTHER=ILS_E( 294),
ILS_E_LDAP_SERVER_DOWN=ILS_E( 295),
ILS_E_LDAP_LOCAL_ERROR=ILS_E( 296),
ILS_E_LDAP_ENCODING_ERROR=ILS_E( 297),
ILS_E_LDAP_DECODING_ERROR=ILS_E( 298),
ILS_E_LDAP_TIMEOUT=ILS_E( 299),
ILS_E_LDAP_AUTH_UNKNOWN=ILS_E( 300),
ILS_E_LDAP_FILTER_ERROR=ILS_E( 301),
ILS_E_LDAP_USER_CANCELLED=ILS_E( 302),
ILS_E_LDAP_NO_MEMORY=ILS_E( 303),
}; 
enum __MIDL___MIDL_itf_ILS_0000_0001
{	ILS_INVALID_REQ_ID=0
};
typedef  
enum __MIDL___MIDL_itf_ILS_0000_0002
{	ILS_UNREGISTERED=0,
ILS_REGISTERING=1,
ILS_REGISTERED=2,
ILS_UNREGISTERING=3,
ILS_REGISTERED_BUT_INVALID=4,
ILS_NETWORK_DOWN=5,
ILS_IN_SYNC=6
}	ILS_STATE;
typedef  
enum __MIDL___MIDL_itf_ILS_0000_0003
{	ILS_ATTRTYPE_NONE=0,
ILS_ATTRTYPE_NAME_ONLY=1,
ILS_ATTRTYPE_NAME_VALUE=2
}	ILS_ATTR_TYPE;
typedef  
enum __MIDL___MIDL_itf_ILS_0000_0004
{	ILS_FILTERTYPE_UNKNOWN=0,
ILS_FILTERTYPE_SIMPLE=1,
ILS_FILTERTYPE_COMPOSITE=2
}	ILS_FILTER_TYPE;
typedef  
enum __MIDL___MIDL_itf_ILS_0000_0005
{	ILS_FILTEROP_NONE=0,
ILS_FILTEROP_EQUAL=1,
ILS_FILTEROP_APPROX=2,
ILS_FILTEROP_LESS_THAN=3,
ILS_FILTEROP_GREATER_THAN=4,
ILS_FILTEROP_EXIST=5,
ILS_FILTEROP_AND=21,
ILS_FILTEROP_OR=22,
ILS_FILTEROP_NOT=23
}	ILS_FILTER_OP;
typedef  
enum __MIDL___MIDL_itf_ILS_0000_0006
{	ILS_STDATTR_NULL=0,
ILS_STDATTR_USER_ID=1,
ILS_STDATTR_IP_ADDRESS=2,
ILS_STDATTR_EMAIL_NAME=3,
ILS_STDATTR_FIRST_NAME=4,
ILS_STDATTR_LAST_NAME=5,
ILS_STDATTR_CITY_NAME=6,
ILS_STDATTR_COUNTRY_NAME=7,
ILS_STDATTR_COMMENT=8,
ILS_STDATTR_FLAGS=9,
ILS_STDATTR_APP_NAME=10,
ILS_STDATTR_APP_MIME_TYPE=11,
ILS_STDATTR_APP_GUID=12,
ILS_STDATTR_PROTOCOL_NAME=13,
ILS_STDATTR_PROTOCOL_MIME_TYPE=14,
ILS_STDATTR_PROTOCOL_PORT=15,
ILS_NUM_OF_STDATTRS=16
}	ILS_STD_ATTR_NAME;
typedef  
enum __MIDL___MIDL_itf_ILS_0000_0007
{	ILS_AUTH_ANONYMOUS=0,
ILS_AUTH_CLEAR_TEXT=1,
ILS_AUTH_NTLM=3,
ILS_AUTH_DPA=4,
ILS_AUTH_MSN=5,
ILS_AUTH_SICILY=6,
ILS_AUTH_SSPI=7,
ILS_NUM_OF_AUTH_METHODS=8
}	ILS_ENUM_AUTH_METHOD;
extern RPC_IF_HANDLE __MIDL_itf_ILS_0000_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_ILS_0000_v0_0_s_ifspec;
#ifndef __IIlsServer_INTERFACE_DEFINED__
#define __IIlsServer_INTERFACE_DEFINED__
typedef  IIlsServer *LPILS_SERVER;
EXTERN_C const IID IID_IIlsServer;
typedef struct IIlsServerVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IIlsServer *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IIlsServer *);
 ULONG (_stdcall *Release)(IIlsServer *);
 HRESULT (_stdcall *SetAuthenticationMethod)(IIlsServer *,ILS_ENUM_AUTH_METHOD);
 HRESULT (_stdcall *SetLogonName)(IIlsServer *,BSTR);
 HRESULT (_stdcall *SetLogonPassword)(IIlsServer *,BSTR);
 HRESULT (_stdcall *SetDomain)(IIlsServer *,BSTR);
 HRESULT (_stdcall *SetCredential)(IIlsServer *,BSTR);
 HRESULT (_stdcall *SetTimeout)(IIlsServer *,ULONG);
 HRESULT (_stdcall *SetBaseDN)(IIlsServer *,BSTR);
END_INTERFACE
} IIlsServerVtbl;
interface IIlsServer
{
CONST_VTBL struct IIlsServerVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IIlsServer_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IIlsServer_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IIlsServer_Release(A) (A)->lpVtbl->Release(A)
#define IIlsServer_SetAuthenticationMethod(A,B) (A)->lpVtbl->SetAuthenticationMethod(A,B)
#define IIlsServer_SetLogonName(A,B) (A)->lpVtbl->SetLogonName(A,B)
#define IIlsServer_SetLogonPassword(A,B) (A)->lpVtbl->SetLogonPassword(A,B)
#define IIlsServer_SetDomain(A,B) (A)->lpVtbl->SetDomain(A,B)
#define IIlsServer_SetCredential(A,B) (A)->lpVtbl->SetCredential(A,B)
#define IIlsServer_SetTimeout(A,B) (A)->lpVtbl->SetTimeout(A,B)
#define IIlsServer_SetBaseDN(A,B) (A)->lpVtbl->SetBaseDN(A,B)
#endif 
HRESULT _stdcall IIlsServer_SetAuthenticationMethod_Proxy(IIlsServer * This, ILS_ENUM_AUTH_METHOD enumAuthMethod);
void __RPC_STUB IIlsServer_SetAuthenticationMethod_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsServer_SetLogonName_Proxy(IIlsServer * This, BSTR bstrLogonName);
void __RPC_STUB IIlsServer_SetLogonName_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsServer_SetLogonPassword_Proxy(IIlsServer * This, BSTR bstrLogonPassword);
void __RPC_STUB IIlsServer_SetLogonPassword_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsServer_SetDomain_Proxy(IIlsServer * This, BSTR bstrDomain);
void __RPC_STUB IIlsServer_SetDomain_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsServer_SetCredential_Proxy(IIlsServer * This, BSTR bstrCredential);
void __RPC_STUB IIlsServer_SetCredential_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsServer_SetTimeout_Proxy(IIlsServer * This, ULONG uTimeoutInSecond);
void __RPC_STUB IIlsServer_SetTimeout_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsServer_SetBaseDN_Proxy(IIlsServer * This, BSTR bstrBaseDN);
void __RPC_STUB IIlsServer_SetBaseDN_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
#endif 
#ifndef __IIlsMain_INTERFACE_DEFINED__
#define __IIlsMain_INTERFACE_DEFINED__
typedef  IIlsMain *LPILS_MAIN;
EXTERN_C const IID IID_IIlsMain;
typedef struct IIlsMainVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IIlsMain *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IIlsMain *);
 ULONG (_stdcall *Release)(IIlsMain *);
 HRESULT (_stdcall *Initialize)(IIlsMain *);
 HRESULT (_stdcall *CreateServer)(IIlsMain *,BSTR,IIlsServer **);
 HRESULT (_stdcall *CreateUser)(IIlsMain *,BSTR,BSTR,IIlsUser **);
 HRESULT (_stdcall *GetUser)(IIlsMain *,IIlsServer *,BSTR,BSTR,BSTR,IIlsAttributes *,IIlsUser **,ULONG *);
 HRESULT (_stdcall *EnumUserNames)(IIlsMain *,IIlsServer *,IIlsFilter *,IEnumIlsNames **,ULONG *);
 HRESULT (_stdcall *EnumUsers)(IIlsMain *,IIlsServer *,IIlsFilter *,IIlsAttributes *,IEnumIlsUsers **,ULONG *);
 HRESULT (_stdcall *Abort)(IIlsMain *,ULONG);
 HRESULT (_stdcall *CreateAttributes)(IIlsMain *,ILS_ATTR_TYPE,IIlsAttributes **);
 HRESULT (_stdcall *CreateFilter)(IIlsMain *,ILS_FILTER_TYPE,ILS_FILTER_OP,IIlsFilter **);
 HRESULT (_stdcall *StringToFilter)(IIlsMain *,BSTR,IIlsFilter **);
 HRESULT (_stdcall *Uninitialize)(IIlsMain *);
END_INTERFACE
} IIlsMainVtbl;
interface IIlsMain
{
CONST_VTBL struct IIlsMainVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IIlsMain_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IIlsMain_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IIlsMain_Release(A) (A)->lpVtbl->Release(A)
#define IIlsMain_Initialize(A) (A)->lpVtbl->Initialize(A)
#define IIlsMain_CreateServer(A,B,C) (A)->lpVtbl->CreateServer(A,B,C)
#define IIlsMain_CreateUser(A,B,C,D) (A)->lpVtbl->CreateUser(A,B,C,D)
#define IIlsMain_GetUser(A,B,C,D,E,F,G,H) (A)->lpVtbl->GetUser(A,B,C,D,E,F,G,H)
#define IIlsMain_EnumUserNames(A,B,C,D,E) (A)->lpVtbl->EnumUserNames(A,B,C,D,E)
#define IIlsMain_EnumUsers(A,B,C,D,E,F) (A)->lpVtbl->EnumUsers(A,B,C,D,E,F)
#define IIlsMain_Abort(A,B) (A)->lpVtbl->Abort(A,B)
#define IIlsMain_CreateAttributes(A,B,C) (A)->lpVtbl->CreateAttributes(A,B,C)
#define IIlsMain_CreateFilter(A,B,C,D) (A)->lpVtbl->CreateFilter(A,B,C,D)
#define IIlsMain_StringToFilter(A,B,C) (A)->lpVtbl->StringToFilter(A,B,C)
#define IIlsMain_Uninitialize(A) (A)->lpVtbl->Uninitialize(A)
#endif 
HRESULT _stdcall IIlsMain_Initialize_Proxy(IIlsMain * This);
void __RPC_STUB IIlsMain_Initialize_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsMain_CreateServer_Proxy(IIlsMain * This, BSTR bstrServerName, IIlsServer **ppServer);
void __RPC_STUB IIlsMain_CreateServer_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsMain_CreateUser_Proxy(IIlsMain * This, BSTR bstrUserID, BSTR bstrAppName, IIlsUser **ppUser);
void __RPC_STUB IIlsMain_CreateUser_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsMain_GetUser_Proxy(IIlsMain * This, IIlsServer *pServer, BSTR bstrUserID, BSTR bstrAppName, BSTR bstrProtocolName, IIlsAttributes *pAttrib, IIlsUser **ppUser, ULONG *puReqID);
void __RPC_STUB IIlsMain_GetUser_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsMain_EnumUserNames_Proxy(IIlsMain * This, IIlsServer *pServer, IIlsFilter *pFilter, IEnumIlsNames **ppEnumUserNames, ULONG *puReqID);
void __RPC_STUB IIlsMain_EnumUserNames_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsMain_EnumUsers_Proxy(IIlsMain * This, IIlsServer *pServer, IIlsFilter *pFilter, IIlsAttributes *pAttrib, IEnumIlsUsers **ppEnumUsers, ULONG *puReqID);
void __RPC_STUB IIlsMain_EnumUsers_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsMain_Abort_Proxy(IIlsMain * This, ULONG uReqID);
void __RPC_STUB IIlsMain_Abort_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsMain_CreateAttributes_Proxy(IIlsMain * This, ILS_ATTR_TYPE AttrType, IIlsAttributes **ppAttributes);
void __RPC_STUB IIlsMain_CreateAttributes_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsMain_CreateFilter_Proxy(IIlsMain * This, ILS_FILTER_TYPE FilterType, ILS_FILTER_OP FilterOp, IIlsFilter **ppFilter);
void __RPC_STUB IIlsMain_CreateFilter_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsMain_StringToFilter_Proxy(IIlsMain * This, BSTR bstrFilterString, IIlsFilter **ppFilter);
void __RPC_STUB IIlsMain_StringToFilter_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsMain_Uninitialize_Proxy(IIlsMain * This);
void __RPC_STUB IIlsMain_Uninitialize_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
#endif 
#ifndef __IIlsNotify_INTERFACE_DEFINED__
#define __IIlsNotify_INTERFACE_DEFINED__
typedef  IIlsNotify *LPILS_NOTIFY;
EXTERN_C const IID IID_IIlsNotify;
typedef struct IIlsNotifyVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IIlsNotify *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IIlsNotify *);
 ULONG (_stdcall *Release)(IIlsNotify *);
 HRESULT (_stdcall *GetUserResult)(IIlsNotify *,ULONG,IIlsUser *,HRESULT);
 HRESULT (_stdcall *EnumUserNamesResult)(IIlsNotify *,ULONG,IEnumIlsNames *,HRESULT);
 HRESULT (_stdcall *EnumUsersResult)(IIlsNotify *,ULONG,IEnumIlsUsers *,HRESULT);
END_INTERFACE
} IIlsNotifyVtbl;
interface IIlsNotify
{
CONST_VTBL struct IIlsNotifyVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IIlsNotify_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IIlsNotify_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IIlsNotify_Release(A) (A)->lpVtbl->Release(A)
#define IIlsNotify_GetUserResult(A,B,C,D) (A)->lpVtbl->GetUserResult(A,B,C,D)
#define IIlsNotify_EnumUserNamesResult(A,B,C,D) (A)->lpVtbl->EnumUserNamesResult(A,B,C,D)
#define IIlsNotify_EnumUsersResult(A,B,C,D) (A)->lpVtbl->EnumUsersResult(A,B,C,D)
#endif 
HRESULT _stdcall IIlsNotify_GetUserResult_Proxy(IIlsNotify * This, ULONG uReqID, IIlsUser *pUser, HRESULT hResult);
void __RPC_STUB IIlsNotify_GetUserResult_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsNotify_EnumUserNamesResult_Proxy(IIlsNotify * This, ULONG uReqID, IEnumIlsNames *pEnumUserName, HRESULT hResult);
void __RPC_STUB IIlsNotify_EnumUserNamesResult_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsNotify_EnumUsersResult_Proxy(IIlsNotify * This, ULONG uReqID, IEnumIlsUsers *pEnumUser, HRESULT hResult);
void __RPC_STUB IIlsNotify_EnumUsersResult_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
#endif 
#ifndef __IIlsUser_INTERFACE_DEFINED__
#define __IIlsUser_INTERFACE_DEFINED__
typedef  IIlsUser *LPILS_USER;
EXTERN_C const IID IID_IIlsUser;
typedef struct IIlsUserVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IIlsUser *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IIlsUser *);
 ULONG (_stdcall *Release)(IIlsUser *);
 HRESULT (_stdcall *GetState)(IIlsUser *,ILS_STATE *);
 HRESULT (_stdcall *GetStandardAttribute)(IIlsUser *,ILS_STD_ATTR_NAME,BSTR *);
 HRESULT (_stdcall *SetStandardAttribute)(IIlsUser *,ILS_STD_ATTR_NAME,BSTR);
 HRESULT (_stdcall *GetExtendedAttribute)(IIlsUser *,BSTR,BSTR *);
 HRESULT (_stdcall *SetExtendedAttribute)(IIlsUser *,BSTR,BSTR);
 HRESULT (_stdcall *RemoveExtendedAttribute)(IIlsUser *,BSTR);
 HRESULT (_stdcall *GetAllExtendedAttributes)(IIlsUser *,IIlsAttributes **);
 HRESULT (_stdcall *IsWritable)(IIlsUser *,BOOL *);
 HRESULT (_stdcall *Register)(IIlsUser *,IIlsServer *,ULONG *);
 HRESULT (_stdcall *Unregister)(IIlsUser *,ULONG *);
 HRESULT (_stdcall *Update)(IIlsUser *,ULONG *);
 HRESULT (_stdcall *GetVisible)(IIlsUser *,DWORD *);
 HRESULT (_stdcall *SetVisible)(IIlsUser *,DWORD);
 HRESULT (_stdcall *GetGuid)(IIlsUser *,GUID *);
 HRESULT (_stdcall *SetGuid)(IIlsUser *,GUID *);
 HRESULT (_stdcall *CreateProtocol)(IIlsUser *,BSTR,ULONG,BSTR,IIlsProtocol **);
 HRESULT (_stdcall *AddProtocol)(IIlsUser *,IIlsProtocol *,ULONG *);
 HRESULT (_stdcall *RemoveProtocol)(IIlsUser *,IIlsProtocol *,ULONG *);
 HRESULT (_stdcall *GetProtocol)(IIlsUser *,BSTR,IIlsAttributes *,IIlsProtocol **,ULONG *);
 HRESULT (_stdcall *EnumProtocols)(IIlsUser *,IIlsFilter *,IIlsAttributes *,IEnumIlsProtocols **,ULONG *);
 HRESULT (_stdcall *Clone)(IIlsUser *,IIlsUser **);
END_INTERFACE
} IIlsUserVtbl;
interface IIlsUser
{
CONST_VTBL struct IIlsUserVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IIlsUser_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IIlsUser_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IIlsUser_Release(A) (A)->lpVtbl->Release(A)
#define IIlsUser_GetState(A,B) (A)->lpVtbl->GetState(A,B)
#define IIlsUser_GetStandardAttribute(A,B,C) (A)->lpVtbl->GetStandardAttribute(A,B,C)
#define IIlsUser_SetStandardAttribute(A,B,C) (A)->lpVtbl->SetStandardAttribute(A,B,C)
#define IIlsUser_GetExtendedAttribute(A,B,C) (A)->lpVtbl->GetExtendedAttribute(A,B,C)
#define IIlsUser_SetExtendedAttribute(A,B,C) (A)->lpVtbl->SetExtendedAttribute(A,B,C)
#define IIlsUser_RemoveExtendedAttribute(A,B) (A)->lpVtbl->RemoveExtendedAttribute(A,B)
#define IIlsUser_GetAllExtendedAttributes(A,B) (A)->lpVtbl->GetAllExtendedAttributes(A,B)
#define IIlsUser_IsWritable(A,B) (A)->lpVtbl->IsWritable(A,B)
#define IIlsUser_Register(A,B,C) (A)->lpVtbl->Register(A,B,C)
#define IIlsUser_Unregister(A,B) (A)->lpVtbl->Unregister(A,B)
#define IIlsUser_Update(A,B) (A)->lpVtbl->Update(A,B)
#define IIlsUser_GetVisible(A,B) (A)->lpVtbl->GetVisible(A,B)
#define IIlsUser_SetVisible(A,B) (A)->lpVtbl->SetVisible(A,B)
#define IIlsUser_GetGuid(A,B) (A)->lpVtbl->GetGuid(A,B)
#define IIlsUser_SetGuid(A,B) (A)->lpVtbl->SetGuid(A,B)
#define IIlsUser_CreateProtocol(A,B,C,D,E) (A)->lpVtbl->CreateProtocol(A,B,C,D,E)
#define IIlsUser_AddProtocol(A,B,C) (A)->lpVtbl->AddProtocol(A,B,C)
#define IIlsUser_RemoveProtocol(A,B,C) (A)->lpVtbl->RemoveProtocol(A,B,C)
#define IIlsUser_GetProtocol(A,B,C,D,E) (A)->lpVtbl->GetProtocol(A,B,C,D,E)
#define IIlsUser_EnumProtocols(A,B,C,D,E) (A)->lpVtbl->EnumProtocols(A,B,C,D,E)
#define IIlsUser_Clone(A,B) (A)->lpVtbl->Clone(A,B)
#endif 
HRESULT _stdcall IIlsUser_GetState_Proxy(IIlsUser * This, ILS_STATE *pState);
void __RPC_STUB IIlsUser_GetState_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsUser_GetStandardAttribute_Proxy(IIlsUser * This, ILS_STD_ATTR_NAME StdAttr, BSTR *pbstrValue);
void __RPC_STUB IIlsUser_GetStandardAttribute_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsUser_SetStandardAttribute_Proxy(IIlsUser * This, ILS_STD_ATTR_NAME StdAttr, BSTR bstrValue);
void __RPC_STUB IIlsUser_SetStandardAttribute_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsUser_GetExtendedAttribute_Proxy(IIlsUser * This, BSTR bstrName, BSTR *pbstrValue);
void __RPC_STUB IIlsUser_GetExtendedAttribute_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsUser_SetExtendedAttribute_Proxy(IIlsUser * This, BSTR bstrName, BSTR bstrValue);
void __RPC_STUB IIlsUser_SetExtendedAttribute_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsUser_RemoveExtendedAttribute_Proxy(IIlsUser * This, BSTR bstrName);
void __RPC_STUB IIlsUser_RemoveExtendedAttribute_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsUser_GetAllExtendedAttributes_Proxy(IIlsUser * This, IIlsAttributes **ppAttributes);
void __RPC_STUB IIlsUser_GetAllExtendedAttributes_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsUser_IsWritable_Proxy(IIlsUser * This, BOOL *pValue);
void __RPC_STUB IIlsUser_IsWritable_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsUser_Register_Proxy(IIlsUser * This, IIlsServer *pServer, ULONG *puReqID);
void __RPC_STUB IIlsUser_Register_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsUser_Unregister_Proxy(IIlsUser * This, ULONG *puReqID);
void __RPC_STUB IIlsUser_Unregister_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsUser_Update_Proxy(IIlsUser * This, ULONG *puReqID);
void __RPC_STUB IIlsUser_Update_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsUser_GetVisible_Proxy(IIlsUser * This, DWORD *pfVisible);
void __RPC_STUB IIlsUser_GetVisible_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsUser_SetVisible_Proxy(IIlsUser * This, DWORD fVisible);
void __RPC_STUB IIlsUser_SetVisible_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsUser_GetGuid_Proxy(IIlsUser * This, GUID *pGuid);
void __RPC_STUB IIlsUser_GetGuid_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsUser_SetGuid_Proxy(IIlsUser * This, GUID *pGuid);
void __RPC_STUB IIlsUser_SetGuid_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsUser_CreateProtocol_Proxy(IIlsUser * This, BSTR bstrProtocolName, ULONG uPortNumber, BSTR bstrMimeType, IIlsProtocol **ppProtocol);
void __RPC_STUB IIlsUser_CreateProtocol_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsUser_AddProtocol_Proxy(IIlsUser * This, IIlsProtocol *pProtocol, ULONG *puReqID);
void __RPC_STUB IIlsUser_AddProtocol_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsUser_RemoveProtocol_Proxy(IIlsUser * This, IIlsProtocol *pProtocol, ULONG *puReqID);
void __RPC_STUB IIlsUser_RemoveProtocol_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsUser_GetProtocol_Proxy(IIlsUser * This, BSTR bstrProtocolName, IIlsAttributes *pAttributes, IIlsProtocol **ppProtocol, ULONG *puReqID);
void __RPC_STUB IIlsUser_GetProtocol_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsUser_EnumProtocols_Proxy(IIlsUser * This, IIlsFilter *pFilter, IIlsAttributes *pAttributes, IEnumIlsProtocols **ppEnumProtocol, ULONG *puReqID);
void __RPC_STUB IIlsUser_EnumProtocols_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsUser_Clone_Proxy(IIlsUser * This, IIlsUser **ppUser);
void __RPC_STUB IIlsUser_Clone_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
#endif 
#ifndef __IIlsProtocol_INTERFACE_DEFINED__
#define __IIlsProtocol_INTERFACE_DEFINED__
typedef  IIlsProtocol *LPILS_PROTOCOL;
EXTERN_C const IID IID_IIlsProtocol;
typedef struct IIlsProtocolVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IIlsProtocol *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IIlsProtocol *);
 ULONG (_stdcall *Release)(IIlsProtocol *);
 HRESULT (_stdcall *IsWritable)(IIlsProtocol *,BOOL *);
 HRESULT (_stdcall *GetPortNumber)(IIlsProtocol *,ULONG *);
 HRESULT (_stdcall *GetStandardAttribute)(IIlsProtocol *,ILS_STD_ATTR_NAME,BSTR *);
 HRESULT (_stdcall *SetStandardAttribute)(IIlsProtocol *,ILS_STD_ATTR_NAME,BSTR);
 HRESULT (_stdcall *GetExtendedAttribute)(IIlsProtocol *,BSTR,BSTR *);
 HRESULT (_stdcall *SetExtendedAttribute)(IIlsProtocol *,BSTR,BSTR);
 HRESULT (_stdcall *RemoveExtendedAttribute)(IIlsProtocol *,BSTR);
 HRESULT (_stdcall *GetAllExtendedAttributes)(IIlsProtocol *,IIlsAttributes **);
 HRESULT (_stdcall *Update)(IIlsProtocol *,ULONG *);
END_INTERFACE
} IIlsProtocolVtbl;
interface IIlsProtocol
{
CONST_VTBL struct IIlsProtocolVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IIlsProtocol_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IIlsProtocol_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IIlsProtocol_Release(A) (A)->lpVtbl->Release(A)
#define IIlsProtocol_IsWritable(A,B) (A)->lpVtbl->IsWritable(A,B)
#define IIlsProtocol_GetPortNumber(A,B) (A)->lpVtbl->GetPortNumber(A,B)
#define IIlsProtocol_GetStandardAttribute(A,B,C) (A)->lpVtbl->GetStandardAttribute(A,B,C)
#define IIlsProtocol_SetStandardAttribute(A,B,C) (A)->lpVtbl->SetStandardAttribute(A,B,C)
#define IIlsProtocol_GetExtendedAttribute(A,B,C) (A)->lpVtbl->GetExtendedAttribute(A,B,C)
#define IIlsProtocol_SetExtendedAttribute(A,B,C) (A)->lpVtbl->SetExtendedAttribute(A,B,C)
#define IIlsProtocol_RemoveExtendedAttribute(A,B) (A)->lpVtbl->RemoveExtendedAttribute(A,B)
#define IIlsProtocol_GetAllExtendedAttributes(A,B) (A)->lpVtbl->GetAllExtendedAttributes(A,B)
#define IIlsProtocol_Update(A,B) (A)->lpVtbl->Update(A,B)
#endif 
HRESULT _stdcall IIlsProtocol_IsWritable_Proxy(IIlsProtocol * This, BOOL *pValue);
void __RPC_STUB IIlsProtocol_IsWritable_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsProtocol_GetPortNumber_Proxy(IIlsProtocol * This, ULONG *pulPortNumber);
void __RPC_STUB IIlsProtocol_GetPortNumber_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsProtocol_GetStandardAttribute_Proxy(IIlsProtocol * This, ILS_STD_ATTR_NAME StdAttr, BSTR *pbstrValue);
void __RPC_STUB IIlsProtocol_GetStandardAttribute_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsProtocol_SetStandardAttribute_Proxy(IIlsProtocol * This, ILS_STD_ATTR_NAME StdAttr, BSTR bstrValue);
void __RPC_STUB IIlsProtocol_SetStandardAttribute_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsProtocol_GetExtendedAttribute_Proxy(IIlsProtocol * This, BSTR bstrName, BSTR *pbstrValue);
void __RPC_STUB IIlsProtocol_GetExtendedAttribute_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsProtocol_SetExtendedAttribute_Proxy(IIlsProtocol * This, BSTR bstrName, BSTR bstrValue);
void __RPC_STUB IIlsProtocol_SetExtendedAttribute_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsProtocol_RemoveExtendedAttribute_Proxy(IIlsProtocol * This, BSTR bstrName);
void __RPC_STUB IIlsProtocol_RemoveExtendedAttribute_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsProtocol_GetAllExtendedAttributes_Proxy(IIlsProtocol * This, IIlsAttributes **ppAttributes);
void __RPC_STUB IIlsProtocol_GetAllExtendedAttributes_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsProtocol_Update_Proxy(IIlsProtocol * This, ULONG *puReqID);
void __RPC_STUB IIlsProtocol_Update_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
#endif 
#ifndef __IIlsProtocolNotify_INTERFACE_DEFINED__
#define __IIlsProtocolNotify_INTERFACE_DEFINED__
typedef  IIlsProtocolNotify *LPILS_PROTOCOLNOTIFY;
EXTERN_C const IID IID_IIlsProtocolNotify;
typedef struct IIlsProtocolNotifyVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IIlsProtocolNotify *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IIlsProtocolNotify *);
 ULONG (_stdcall *Release)(IIlsProtocolNotify *);
 HRESULT (_stdcall *UpdateResult)(IIlsProtocolNotify *,ULONG,HRESULT);
END_INTERFACE
} IIlsProtocolNotifyVtbl;
interface IIlsProtocolNotify
{
CONST_VTBL struct IIlsProtocolNotifyVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IIlsProtocolNotify_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IIlsProtocolNotify_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IIlsProtocolNotify_Release(A) (A)->lpVtbl->Release(A)
#define IIlsProtocolNotify_UpdateResult(A,B,C) (A)->lpVtbl->UpdateResult(A,B,C)
#endif 
HRESULT _stdcall IIlsProtocolNotify_UpdateResult_Proxy(IIlsProtocolNotify * This, ULONG uReqID, HRESULT hResult);
void __RPC_STUB IIlsProtocolNotify_UpdateResult_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
#endif 
#ifndef __IIlsUserNotify_INTERFACE_DEFINED__
#define __IIlsUserNotify_INTERFACE_DEFINED__
typedef  IIlsUserNotify *LPILS_USERNOTIFY;
EXTERN_C const IID IID_IIlsUserNotify;
typedef struct IIlsUserNotifyVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IIlsUserNotify *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IIlsUserNotify *);
 ULONG (_stdcall *Release)(IIlsUserNotify *);
 HRESULT (_stdcall *RegisterResult)(IIlsUserNotify *,ULONG,HRESULT);
 HRESULT (_stdcall *UpdateResult)(IIlsUserNotify *,ULONG,HRESULT);
 HRESULT (_stdcall *ProtocolChangeResult)(IIlsUserNotify *,ULONG,HRESULT);
 HRESULT (_stdcall *GetProtocolResult)(IIlsUserNotify *,ULONG,IIlsProtocol *,HRESULT);
 HRESULT (_stdcall *EnumProtocolsResult)(IIlsUserNotify *,ULONG,IEnumIlsNames *,HRESULT);
 HRESULT (_stdcall *StateChanged)(IIlsUserNotify *,ULONG,BSTR);
END_INTERFACE
} IIlsUserNotifyVtbl;
interface IIlsUserNotify
{
CONST_VTBL struct IIlsUserNotifyVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IIlsUserNotify_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IIlsUserNotify_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IIlsUserNotify_Release(A) (A)->lpVtbl->Release(A)
#define IIlsUserNotify_RegisterResult(A,B,C) (A)->lpVtbl->RegisterResult(A,B,C)
#define IIlsUserNotify_UpdateResult(A,B,C) (A)->lpVtbl->UpdateResult(A,B,C)
#define IIlsUserNotify_ProtocolChangeResult(A,B,C) (A)->lpVtbl->ProtocolChangeResult(A,B,C)
#define IIlsUserNotify_GetProtocolResult(A,B,C,D) (A)->lpVtbl->GetProtocolResult(A,B,C,D)
#define IIlsUserNotify_EnumProtocolsResult(A,B,C,D) (A)->lpVtbl->EnumProtocolsResult(A,B,C,D)
#define IIlsUserNotify_StateChanged(A,B,C) (A)->lpVtbl->StateChanged(A,B,C)
#endif 
HRESULT _stdcall IIlsUserNotify_RegisterResult_Proxy(IIlsUserNotify * This, ULONG uReqID, HRESULT hResult);
void __RPC_STUB IIlsUserNotify_RegisterResult_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsUserNotify_UpdateResult_Proxy(IIlsUserNotify * This, ULONG uReqID, HRESULT hResult);
void __RPC_STUB IIlsUserNotify_UpdateResult_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsUserNotify_ProtocolChangeResult_Proxy(IIlsUserNotify * This, ULONG uReqID, HRESULT hResult);
void __RPC_STUB IIlsUserNotify_ProtocolChangeResult_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsUserNotify_GetProtocolResult_Proxy(IIlsUserNotify * This, ULONG uReqID, IIlsProtocol *pProtocol, HRESULT hResult);
void __RPC_STUB IIlsUserNotify_GetProtocolResult_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsUserNotify_EnumProtocolsResult_Proxy(IIlsUserNotify * This, ULONG uReqID, IEnumIlsNames *pEnumProtocol, HRESULT hResult);
void __RPC_STUB IIlsUserNotify_EnumProtocolsResult_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsUserNotify_StateChanged_Proxy(IIlsUserNotify * This, ULONG fPrimary, BSTR bstrServerName);
void __RPC_STUB IIlsUserNotify_StateChanged_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
#endif 
#ifndef __IIlsAttributes_INTERFACE_DEFINED__
#define __IIlsAttributes_INTERFACE_DEFINED__
typedef  IIlsAttributes *LPILS_ATTRIBUTES;
EXTERN_C const IID IID_IIlsAttributes;
typedef struct IIlsAttributesVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IIlsAttributes *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IIlsAttributes *);
 ULONG (_stdcall *Release)(IIlsAttributes *);
 HRESULT (_stdcall *SetAttribute)(IIlsAttributes *,BSTR,BSTR);
 HRESULT (_stdcall *GetAttribute)(IIlsAttributes *,BSTR,BSTR *);
 HRESULT (_stdcall *EnumAttributes)(IIlsAttributes *,IEnumIlsNames **);
 HRESULT (_stdcall *SetAttributeName)(IIlsAttributes *,BSTR);
END_INTERFACE
} IIlsAttributesVtbl;
interface IIlsAttributes
{
CONST_VTBL struct IIlsAttributesVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IIlsAttributes_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IIlsAttributes_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IIlsAttributes_Release(A) (A)->lpVtbl->Release(A)
#define IIlsAttributes_SetAttribute(A,B,C) (A)->lpVtbl->SetAttribute(A,B,C)
#define IIlsAttributes_GetAttribute(A,B,C) (A)->lpVtbl->GetAttribute(A,B,C)
#define IIlsAttributes_EnumAttributes(A,B) (A)->lpVtbl->EnumAttributes(A,B)
#define IIlsAttributes_SetAttributeName(A,B) (A)->lpVtbl->SetAttributeName(A,B)
#endif 
HRESULT _stdcall IIlsAttributes_SetAttribute_Proxy(IIlsAttributes * This, BSTR bstrName, BSTR bstrValue);
void __RPC_STUB IIlsAttributes_SetAttribute_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsAttributes_GetAttribute_Proxy(IIlsAttributes * This, BSTR bstrName, BSTR *pbstrValue);
void __RPC_STUB IIlsAttributes_GetAttribute_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsAttributes_EnumAttributes_Proxy(IIlsAttributes * This, IEnumIlsNames **ppEnumAttribute);
void __RPC_STUB IIlsAttributes_EnumAttributes_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsAttributes_SetAttributeName_Proxy(IIlsAttributes * This, BSTR bstrName);
void __RPC_STUB IIlsAttributes_SetAttributeName_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
#endif 
#ifndef __IIlsFilter_INTERFACE_DEFINED__
#define __IIlsFilter_INTERFACE_DEFINED__
typedef  IIlsFilter *LPILS_FILTER;
EXTERN_C const IID IID_IIlsFilter;
typedef struct IIlsFilterVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IIlsFilter *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IIlsFilter *);
 ULONG (_stdcall *Release)(IIlsFilter *);
 HRESULT (_stdcall *AddSubFilter)(IIlsFilter *,IIlsFilter *);
 HRESULT (_stdcall *RemoveSubFilter)(IIlsFilter *,IIlsFilter *);
 HRESULT (_stdcall *GetCount)(IIlsFilter *,ULONG *);
 HRESULT (_stdcall *SetStandardAttributeName)(IIlsFilter *,ILS_STD_ATTR_NAME);
 HRESULT (_stdcall *SetExtendedAttributeName)(IIlsFilter *,BSTR);
 HRESULT (_stdcall *SetAttributeValue)(IIlsFilter *,BSTR);
END_INTERFACE
} IIlsFilterVtbl;
interface IIlsFilter
{
CONST_VTBL struct IIlsFilterVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IIlsFilter_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IIlsFilter_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IIlsFilter_Release(A) (A)->lpVtbl->Release(A)
#define IIlsFilter_AddSubFilter(A,B) (A)->lpVtbl->AddSubFilter(A,B)
#define IIlsFilter_RemoveSubFilter(A,B) (A)->lpVtbl->RemoveSubFilter(A,B)
#define IIlsFilter_GetCount(A,B) (A)->lpVtbl->GetCount(A,B)
#define IIlsFilter_SetStandardAttributeName(A,B) (A)->lpVtbl->SetStandardAttributeName(A,B)
#define IIlsFilter_SetExtendedAttributeName(A,B) (A)->lpVtbl->SetExtendedAttributeName(A,B)
#define IIlsFilter_SetAttributeValue(A,B) (A)->lpVtbl->SetAttributeValue(A,B)
#endif 
HRESULT _stdcall IIlsFilter_AddSubFilter_Proxy(IIlsFilter * This, IIlsFilter *pFilter);
void __RPC_STUB IIlsFilter_AddSubFilter_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsFilter_RemoveSubFilter_Proxy(IIlsFilter * This, IIlsFilter *pFilter);
void __RPC_STUB IIlsFilter_RemoveSubFilter_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsFilter_GetCount_Proxy(IIlsFilter * This, ULONG *pcElements);
void __RPC_STUB IIlsFilter_GetCount_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsFilter_SetStandardAttributeName_Proxy(IIlsFilter * This, ILS_STD_ATTR_NAME usrStdAttr);
void __RPC_STUB IIlsFilter_SetStandardAttributeName_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsFilter_SetExtendedAttributeName_Proxy(IIlsFilter * This, BSTR bstrAnyAttrName);
void __RPC_STUB IIlsFilter_SetExtendedAttributeName_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IIlsFilter_SetAttributeValue_Proxy(IIlsFilter * This, BSTR bstrAttrValue);
void __RPC_STUB IIlsFilter_SetAttributeValue_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
#endif 
#ifndef __IEnumIlsProtocols_INTERFACE_DEFINED__
#define __IEnumIlsProtocols_INTERFACE_DEFINED__
typedef  IEnumIlsProtocols *LPENUM_ILS_PROTOCOLS;
EXTERN_C const IID IID_IEnumIlsProtocols;
typedef struct IEnumIlsProtocolsVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IEnumIlsProtocols *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IEnumIlsProtocols *);
 ULONG (_stdcall *Release)(IEnumIlsProtocols *);
 HRESULT (_stdcall *Next)(IEnumIlsProtocols *,ULONG,IIlsProtocol **,ULONG *);
 HRESULT (_stdcall *Skip)(IEnumIlsProtocols *,ULONG);
 HRESULT (_stdcall *Reset)(IEnumIlsProtocols *);
 HRESULT (_stdcall *Clone)(IEnumIlsProtocols *,IEnumIlsProtocols **);
END_INTERFACE
} IEnumIlsProtocolsVtbl;
interface IEnumIlsProtocols
{
CONST_VTBL struct IEnumIlsProtocolsVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IEnumIlsProtocols_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IEnumIlsProtocols_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IEnumIlsProtocols_Release(A) (A)->lpVtbl->Release(A)
#define IEnumIlsProtocols_Next(A,B,C,D) (A)->lpVtbl->Next(A,B,C,D)
#define IEnumIlsProtocols_Skip(A,B) (A)->lpVtbl->Skip(A,B)
#define IEnumIlsProtocols_Reset(A) (A)->lpVtbl->Reset(A)
#define IEnumIlsProtocols_Clone(A,B) (A)->lpVtbl->Clone(A,B)
#endif 
HRESULT _stdcall IEnumIlsProtocols_Next_Proxy(IEnumIlsProtocols * This, ULONG cProtocols, IIlsProtocol **rgpProtocol, ULONG *pcFetched);
void __RPC_STUB IEnumIlsProtocols_Next_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IEnumIlsProtocols_Skip_Proxy(IEnumIlsProtocols * This, ULONG cProtocols);
void __RPC_STUB IEnumIlsProtocols_Skip_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IEnumIlsProtocols_Reset_Proxy(IEnumIlsProtocols * This);
void __RPC_STUB IEnumIlsProtocols_Reset_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IEnumIlsProtocols_Clone_Proxy(IEnumIlsProtocols * This, IEnumIlsProtocols **ppEnumProtocol);
void __RPC_STUB IEnumIlsProtocols_Clone_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
#endif 
#ifndef __IEnumIlsUsers_INTERFACE_DEFINED__
#define __IEnumIlsUsers_INTERFACE_DEFINED__
typedef  IEnumIlsUsers *LPENUM_ILS_USERS;
EXTERN_C const IID IID_IEnumIlsUsers;
typedef struct IEnumIlsUsersVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IEnumIlsUsers *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IEnumIlsUsers *);
 ULONG (_stdcall *Release)(IEnumIlsUsers *);
 HRESULT (_stdcall *Next)(IEnumIlsUsers *,ULONG,IIlsUser **,ULONG *);
 HRESULT (_stdcall *Skip)(IEnumIlsUsers *,ULONG);
 HRESULT (_stdcall *Reset)(IEnumIlsUsers *);
 HRESULT (_stdcall *Clone)(IEnumIlsUsers *,IEnumIlsUsers **);
END_INTERFACE
} IEnumIlsUsersVtbl;
interface IEnumIlsUsers
{
CONST_VTBL struct IEnumIlsUsersVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IEnumIlsUsers_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IEnumIlsUsers_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IEnumIlsUsers_Release(A) (A)->lpVtbl->Release(A)
#define IEnumIlsUsers_Next(A,B,C,D) (A)->lpVtbl->Next(A,B,C,D)
#define IEnumIlsUsers_Skip(A,B) (A)->lpVtbl->Skip(A,B)
#define IEnumIlsUsers_Reset(A) (A)->lpVtbl->Reset(A)
#define IEnumIlsUsers_Clone(A,B) (A)->lpVtbl->Clone(A,B)
#endif 
HRESULT _stdcall IEnumIlsUsers_Next_Proxy(IEnumIlsUsers * This, ULONG cUsers, IIlsUser **rgpUsers, ULONG *pcFetched);
void __RPC_STUB IEnumIlsUsers_Next_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IEnumIlsUsers_Skip_Proxy(IEnumIlsUsers * This, ULONG cUsers);
void __RPC_STUB IEnumIlsUsers_Skip_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IEnumIlsUsers_Reset_Proxy(IEnumIlsUsers * This);
void __RPC_STUB IEnumIlsUsers_Reset_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IEnumIlsUsers_Clone_Proxy(IEnumIlsUsers * This, IEnumIlsUsers **ppEnumUser);
void __RPC_STUB IEnumIlsUsers_Clone_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
#endif 
#ifndef __IEnumIlsNames_INTERFACE_DEFINED__
#define __IEnumIlsNames_INTERFACE_DEFINED__
typedef  IEnumIlsNames *LPENUM_ILS_NAMES;
EXTERN_C const IID IID_IEnumIlsNames;
typedef struct IEnumIlsNamesVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IEnumIlsNames *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IEnumIlsNames *);
 ULONG (_stdcall *Release)(IEnumIlsNames *);
 HRESULT (_stdcall *Next)(IEnumIlsNames *,ULONG,BSTR *,ULONG *);
 HRESULT (_stdcall *Skip)(IEnumIlsNames *,ULONG);
 HRESULT (_stdcall *Reset)(IEnumIlsNames *);
 HRESULT (_stdcall *Clone)(IEnumIlsNames *,IEnumIlsNames **);
END_INTERFACE
} IEnumIlsNamesVtbl;
interface IEnumIlsNames
{
CONST_VTBL struct IEnumIlsNamesVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IEnumIlsNames_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IEnumIlsNames_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IEnumIlsNames_Release(A) (A)->lpVtbl->Release(A)
#define IEnumIlsNames_Next(A,B,C,D) (A)->lpVtbl->Next(A,B,C,D)
#define IEnumIlsNames_Skip(A,B) (A)->lpVtbl->Skip(A,B)
#define IEnumIlsNames_Reset(A) (A)->lpVtbl->Reset(A)
#define IEnumIlsNames_Clone(A,B) (A)->lpVtbl->Clone(A,B)
#endif 
HRESULT _stdcall IEnumIlsNames_Next_Proxy(IEnumIlsNames * This, ULONG cNames, BSTR *rgpbstrName, ULONG *pcFetched);
void __RPC_STUB IEnumIlsNames_Next_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IEnumIlsNames_Skip_Proxy(IEnumIlsNames * This, ULONG cNames);
void __RPC_STUB IEnumIlsNames_Skip_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IEnumIlsNames_Reset_Proxy(IEnumIlsNames * This);
void __RPC_STUB IEnumIlsNames_Reset_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IEnumIlsNames_Clone_Proxy(IEnumIlsNames * This, IEnumIlsNames **ppEnumName);
void __RPC_STUB IEnumIlsNames_Clone_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
#endif 
unsigned long __RPC_USER BSTR_UserSize(unsigned long *, unsigned long,BSTR *); 
unsigned char * __RPC_USER BSTR_UserMarshal(unsigned long *, unsigned char *, BSTR *); 
unsigned char * __RPC_USER BSTR_UserUnmarshal(unsigned long *, unsigned char *, BSTR *); 
void __RPC_USER BSTR_UserFree(unsigned long *, BSTR *); 
#endif
#endif
