#ifndef __iphlpapi_h__
#define __iphlpapi_h__
#pragma once
#include <iprtrmib.h>
#include <ipexport.h>
#include <iptypes.h>
DWORD WINAPI GetNumberOfInterfaces(PDWORD pdwNumIf );
DWORD WINAPI GetIfEntry(PMIB_IFROW pIfRow );
DWORD WINAPI GetIfTable(PMIB_IFTABLE ,PULONG ,BOOL bOrder );
DWORD WINAPI GetIpAddrTable(PMIB_IPADDRTABLE ,PULONG ,BOOL bOrder );
DWORD WINAPI GetIpNetTable(PMIB_IPNETTABLE ,PULONG ,BOOL bOrder );
DWORD WINAPI GetIpForwardTable(PMIB_IPFORWARDTABLE ,PULONG ,BOOL bOrder );
DWORD WINAPI GetTcpTable(PMIB_TCPTABLE ,PDWORD ,BOOL bOrder );
DWORD WINAPI GetUdpTable(PMIB_UDPTABLE ,PDWORD ,BOOL bOrder );
DWORD WINAPI GetIpStatistics(PMIB_IPSTATS pStats );
DWORD WINAPI GetIpStatisticsEx(PMIB_IPSTATS ,DWORD );
DWORD WINAPI GetIcmpStatistics(PMIB_ICMP pStats );
DWORD WINAPI GetIcmpStatisticsEx(PMIB_ICMP_EX ,DWORD );
DWORD WINAPI GetTcpStatistics(PMIB_TCPSTATS pStats );
DWORD WINAPI GetTcpStatisticsEx(PMIB_TCPSTATS ,DWORD );
DWORD WINAPI GetUdpStatistics(PMIB_UDPSTATS pStats );
DWORD WINAPI GetUdpStatisticsEx(PMIB_UDPSTATS ,DWORD );
DWORD WINAPI SetIfEntry(PMIB_IFROW pIfRow );
DWORD WINAPI CreateIpForwardEntry(PMIB_IPFORWARDROW pRoute );
DWORD WINAPI SetIpForwardEntry(PMIB_IPFORWARDROW pRoute );
DWORD WINAPI DeleteIpForwardEntry(PMIB_IPFORWARDROW pRoute );
DWORD WINAPI SetIpStatistics(PMIB_IPSTATS pIpStats );
DWORD WINAPI SetIpTTL(UINT nTTL );
DWORD WINAPI CreateIpNetEntry(PMIB_IPNETROW pArpEntry );
DWORD WINAPI SetIpNetEntry(PMIB_IPNETROW pArpEntry );
DWORD WINAPI DeleteIpNetEntry(PMIB_IPNETROW pArpEntry );
DWORD WINAPI FlushIpNetTable(DWORD dwIfIndex );
DWORD WINAPI CreateProxyArpEntry(DWORD ,DWORD ,DWORD dwIfIndex );
DWORD WINAPI DeleteProxyArpEntry(DWORD ,DWORD ,DWORD dwIfIndex );
DWORD WINAPI SetTcpEntry(PMIB_TCPROW pTcpRow );
DWORD WINAPI GetInterfaceInfo(PIP_INTERFACE_INFO ,PULONG dwOutBufLen );
DWORD WINAPI GetUniDirectionalAdapterInfo(OUT PIP_UNIDIRECTIONAL_ADAPTER_ADDRESS pIPIfInfo,PULONG dwOutBufLen );
#ifndef NhpAllocateAndGetInterfaceInfoFromStack_DEFINED
#define NhpAllocateAndGetInterfaceInfoFromStack_DEFINED
DWORD WINAPI NhpAllocateAndGetInterfaceInfoFromStack(IP_INTERFACE_NAME_INFO **,PDWORD ,BOOL ,HANDLE ,DWORD dwFlags );
#endif
DWORD WINAPI GetBestInterface(IPAddr ,PDWORD pdwBestIfIndex );
DWORD WINAPI GetBestInterfaceEx(struct sockaddr *pDestAddr,PDWORD pdwBestIfIndex );
DWORD WINAPI GetBestRoute(DWORD ,DWORD ,OPTIONAL PMIB_IPFORWARDROW pBestRoute );
DWORD WINAPI NotifyAddrChange(PHANDLE ,LPOVERLAPPED overlapped );
DWORD WINAPI NotifyRouteChange(PHANDLE ,LPOVERLAPPED overlapped );
BOOL WINAPI CancelIPChangeNotify(LPOVERLAPPED notifyOverlapped );
DWORD WINAPI GetAdapterIndex(LPWSTR ,PULONG IfIndex );
DWORD WINAPI AddIPAddress(IPAddr ,IPMask ,DWORD ,PULONG ,PULONG NTEInstance );
DWORD WINAPI DeleteIPAddress(ULONG NTEContext );
DWORD WINAPI GetNetworkParams(PFIXED_INFO ,PULONG pOutBufLen );
DWORD WINAPI GetAdaptersInfo(PIP_ADAPTER_INFO ,PULONG pOutBufLen );
PIP_ADAPTER_ORDER_MAP
WINAPI GetAdapterOrderMap(VOID );
#ifdef _WINSOCK2API_
DWORD WINAPI GetAdaptersAddresses(ULONG ,DWORD ,PVOID ,PIP_ADAPTER_ADDRESSES ,PULONG pOutBufLen );
#endif
DWORD WINAPI GetPerAdapterInfo(ULONG ,PIP_PER_ADAPTER_INFO ,PULONG pOutBufLen );
DWORD WINAPI IpReleaseAddress(PIP_ADAPTER_INDEX_MAP AdapterInfo );
DWORD WINAPI IpRenewAddress(PIP_ADAPTER_INDEX_MAP AdapterInfo );
DWORD WINAPI SendARP(IPAddr ,IPAddr ,PULONG ,PULONG PhyAddrLen );
BOOL WINAPI GetRTTAndHopCount(IPAddr ,PULONG ,ULONG ,PULONG RTT );
DWORD WINAPI GetFriendlyIfIndex(DWORD IfIndex );
DWORD WINAPI EnableRouter(HANDLE* pHandle,OVERLAPPED* pOverlapped );
DWORD WINAPI UnenableRouter(OVERLAPPED* pOverlapped,LPDWORD lpdwEnableCount OPTIONAL );
DWORD WINAPI DisableMediaSense(HANDLE *,OVERLAPPED *pOverLapped );
DWORD WINAPI RestoreMediaSense(OVERLAPPED* pOverlapped,LPDWORD lpdwEnableCount OPTIONAL );
DWORD WINAPI GetIpErrorString(IP_STATUS ,PWCHAR ,PDWORD Size );
#endif
