#ifndef __lmat_h__
#define __lmat_h__
#ifndef __windows_h__
#include <windows.h>
#endif
#ifndef __lmcons_h__
#include <lmcons.h>
#endif
#if _MSC_VER > 1000
#pragma once
#endif
#define JOB_RUN_PERIODICALLY 1
#define JOB_EXEC_ERROR 2
#define JOB_RUNS_TODAY 4
#define JOB_ADD_CURRENT_DATE 8
#define JOB_NONINTERACTIVE 16
#define JOB_INPUT_FLAGS (JOB_RUN_PERIODICALLY | JOB_ADD_CURRENT_DATE | JOB_NONINTERACTIVE)
#define JOB_OUTPUT_FLAGS (JOB_RUN_PERIODICALLY | JOB_EXEC_ERROR | JOB_RUNS_TODAY | JOB_NONINTERACTIVE)
typedef struct _AT_INFO {
DWORD_PTR JobTime;
DWORD DaysOfMonth;
UCHAR DaysOfWeek;
UCHAR Flags;
LPWSTR Command;
} AT_INFO,*PAT_INFO,*LPAT_INFO;
typedef struct _AT_ENUM {
DWORD JobId;
DWORD_PTR JobTime;
DWORD DaysOfMonth;
UCHAR DaysOfWeek;
UCHAR Flags;
LPWSTR Command;
} AT_ENUM,*PAT_ENUM,*LPAT_ENUM;
NET_API_STATUS NET_API_FUNCTION
NetScheduleJobAdd(LPCWSTR ,LPBYTE ,LPDWORD JobId );
NET_API_STATUS NET_API_FUNCTION
NetScheduleJobDel(LPCWSTR ,DWORD ,DWORD MaxJobId );
NET_API_STATUS NET_API_FUNCTION
NetScheduleJobEnum(LPCWSTR ,LPBYTE *,DWORD ,LPDWORD ,LPDWORD ,LPDWORD ResumeHandle );
NET_API_STATUS NET_API_FUNCTION
NetScheduleJobGetInfo(LPCWSTR ,DWORD ,LPBYTE *PointerToBuffer );
#endif 
