#ifndef __lmchdev_h__
#define __lmchdev_h__
NET_API_STATUS NET_API_FUNCTION NetCharDevEnum (
    LPCWSTR      servername,
    DWORD       level,
    LPBYTE      *bufptr,
    DWORD       prefmaxlen,
   LPDWORD     entriesread,
   LPDWORD     totalentries,
  LPDWORD  resume_handle
    );

NET_API_STATUS NET_API_FUNCTION
NetCharDevGetInfo (
    LPCWSTR  servername,
    LPCWSTR  devname,
    DWORD   level,
   LPBYTE  *bufptr
    );

NET_API_STATUS NET_API_FUNCTION
NetCharDevControl (
    LPCWSTR  servername,
    LPCWSTR  devname,
    DWORD   opcode
    );
typedef struct _CHARDEV_INFO_0 {
    LPWSTR  ch0_dev;
} CHARDEV_INFO_0, *PCHARDEV_INFO_0, *LPCHARDEV_INFO_0;

typedef struct _CHARDEV_INFO_1 {
    LPWSTR  ch1_dev;
    DWORD   ch1_status;
    LPWSTR  ch1_username;
    DWORD   ch1_time;
} CHARDEV_INFO_1, *PCHARDEV_INFO_1, *LPCHARDEV_INFO_1;
NET_API_STATUS NET_API_FUNCTION
NetCharDevQEnum (
    LPCWSTR      servername,
    LPCWSTR      username,
    DWORD       level,
   LPBYTE      *bufptr,
    DWORD       prefmaxlen,
   LPDWORD     entriesread,
   LPDWORD     totalentries,
  LPDWORD  resume_handle
    );

NET_API_STATUS NET_API_FUNCTION
NetCharDevQGetInfo (
    LPCWSTR  servername,
    LPCWSTR  queuename,
    LPCWSTR  username,
    DWORD   level,
   LPBYTE  *bufptr
    );

NET_API_STATUS NET_API_FUNCTION
NetCharDevQSetInfo (
    LPCWSTR  servername,
    LPCWSTR  queuename,
    DWORD   level,
    LPBYTE  buf,
   LPDWORD parm_err
    );

NET_API_STATUS NET_API_FUNCTION
NetCharDevQPurge (
    LPCWSTR  servername,
    LPCWSTR  queuename
    );

NET_API_STATUS NET_API_FUNCTION
NetCharDevQPurgeSelf (
    LPCWSTR  servername,
    LPCWSTR  queuename,
    LPCWSTR  computername
    );
typedef struct _CHARDEVQ_INFO_0 {
    LPWSTR  cq0_dev;
} CHARDEVQ_INFO_0, *PCHARDEVQ_INFO_0, *LPCHARDEVQ_INFO_0;

typedef struct _CHARDEVQ_INFO_1 {
    LPWSTR  cq1_dev;
    DWORD   cq1_priority;
    LPWSTR  cq1_devs;
    DWORD   cq1_numusers;
    DWORD   cq1_numahead;
} CHARDEVQ_INFO_1, *PCHARDEVQ_INFO_1, *LPCHARDEVQ_INFO_1;

typedef struct _CHARDEVQ_INFO_1002 {
    DWORD   cq1002_priority;
} CHARDEVQ_INFO_1002, *PCHARDEVQ_INFO_1002, *LPCHARDEVQ_INFO_1002;

typedef struct _CHARDEVQ_INFO_1003 {
    LPWSTR  cq1003_devs;
} CHARDEVQ_INFO_1003, *PCHARDEVQ_INFO_1003, *LPCHARDEVQ_INFO_1003;

#define CHARDEV_STAT_OPENED             0x02
#define CHARDEV_STAT_ERROR              0x04
#define CHARDEV_CLOSE                   0
#define CHARDEVQ_DEV_PARMNUM        1
#define CHARDEVQ_PRIORITY_PARMNUM   2
#define CHARDEVQ_DEVS_PARMNUM       3
#define CHARDEVQ_NUMUSERS_PARMNUM   4
#define CHARDEVQ_NUMAHEAD_PARMNUM   5
#define CHARDEVQ_PRIORITY_INFOLEVEL     \
            (PARMNUM_BASE_INFOLEVEL + CHARDEVQ_PRIORITY_PARMNUM)
#define CHARDEVQ_DEVS_INFOLEVEL         \
            (PARMNUM_BASE_INFOLEVEL + CHARDEVQ_DEVS_PARMNUM)

#define CHARDEVQ_MAX_PRIORITY           1
#define CHARDEVQ_MIN_PRIORITY           9
#define CHARDEVQ_DEF_PRIORITY           5
#define CHARDEVQ_NO_REQUESTS            -1
#endif // _LMCHDEV_
#ifndef _LMHANDLE_
#define _LMHANDLE_
NET_API_STATUS NET_API_FUNCTION
NetHandleGetInfo (
    HANDLE  handle,
    DWORD   level,
   LPBYTE  *bufptr
    );
NET_API_STATUS NET_API_FUNCTION
NetHandleSetInfo (
    HANDLE  handle,
    DWORD   level,
    LPBYTE  buf,
    DWORD   parmnum,
   LPDWORD parmerr
    );

typedef struct _HANDLE_INFO_1 {
    DWORD   hdli1_chartime;
    DWORD   hdli1_charcount;
}HANDLE_INFO_1, *PHANDLE_INFO_1, *LPHANDLE_INFO_1;

#define HANDLE_INFO_LEVEL_1                 1
#define HANDLE_CHARTIME_PARMNUM     1
#define HANDLE_CHARCOUNT_PARMNUM    2
#endif
