#ifndef	__midles_h__
#define	__midles_h__
#include	<rpcndr.h>
typedef	enum { MES_ENCODE, MES_DECODE, } MIDL_ES_CODE;
typedef	enum {
	MES_INCREMENTAL_HANDLE,
	MES_FIXED_BUFFER_HANDLE,
	MES_DYNAMIC_BUFFER_HANDLE
}	MIDL_ES_HANDLE_STYLE;
typedef	void (__RPC_USER * MIDL_ES_ALLOC ) (void * state, char * * pbuffer, unsigned int * psize ); 
typedef	void (__RPC_USER * MIDL_ES_WRITE) (void * state, char * buffer, unsigned int size );
typedef	void (__RPC_USER * MIDL_ES_READ) (void * state, char * * pbuffer, unsigned int * psize );
typedef	struct _MIDL_ES_MESSAGE {
	MIDL_STUB_MESSAGE StubMsg;
	MIDL_ES_CODE Operation;
	void * UserState;
	unsigned long MesVersion:8;
	unsigned long HandleStyle:8;
	unsigned long HandleFlags:8;
	unsigned long Reserve:8;
	MIDL_ES_ALLOC Alloc;
	MIDL_ES_WRITE Write;
	MIDL_ES_READ Read;
	unsigned char * Buffer;
	unsigned long BufferSize;
	unsigned char * * pDynBuffer;
	unsigned long * pEncodedSize;
	RPC_SYNTAX_IDENTIFIER InterfaceId;
	unsigned long ProcNumber;
	unsigned long AlienDataRep;
	unsigned long IncrDataSize;
	unsigned long ByteCount;
}	MIDL_ES_MESSAGE, * PMIDL_ES_MESSAGE;
typedef	PMIDL_ES_MESSAGE MIDL_ES_HANDLE;
RPC_STATUS RPC_ENTRY MesEncodeIncrementalHandleCreate(void * UserState, MIDL_ES_ALLOC AllocFn, MIDL_ES_WRITE WriteFn, handle_t * pHandle ); 
RPC_STATUS RPC_ENTRY MesDecodeIncrementalHandleCreate(void * UserState, MIDL_ES_READ ReadFn, handle_t * pHandle ); 
RPC_STATUS RPC_ENTRY MesIncrementalHandleReset(handle_t Handle, void * UserState, MIDL_ES_ALLOC AllocFn, MIDL_ES_WRITE WriteFn, MIDL_ES_READ ReadFn, MIDL_ES_CODE Operation ); 
RPC_STATUS RPC_ENTRY MesEncodeFixedBufferHandleCreate(char * pBuffer, unsigned long BufferSize, unsigned long * pEncodedSize, handle_t * pHandle ); 
RPC_STATUS RPC_ENTRY MesEncodeDynBufferHandleCreate(char * * pBuffer, unsigned long * pEncodedSize, handle_t * pHandle ); 
RPC_STATUS RPC_ENTRY MesDecodeBufferHandleCreate(char * pBuffer, unsigned long BufferSize, handle_t * pHandle ); 
RPC_STATUS RPC_ENTRY MesBufferHandleReset(handle_t Handle, unsigned long HandleStyle, MIDL_ES_CODE Operation, char * * pBuffer, unsigned long BufferSize, unsigned long * pEncodedSize ); 
RPC_STATUS RPC_ENTRY MesHandleFree(handle_t Handle ); 
RPC_STATUS RPC_ENTRY MesInqProcEncodingId(handle_t Handle, PRPC_SYNTAX_IDENTIFIER pInterfaceId, unsigned long * pProcNum );
#if defined(_MIPS_) || defined(_ALPHA_) || defined(_PPC_) || defined(_IA64_)
#define __RPC_UNALIGNED __unaligned
#else
#define __RPC_UNALIGNED
#endif
void RPC_ENTRY I_NdrMesMessageInit(PMIDL_STUB_MESSAGE );
size_t RPC_ENTRY NdrMesSimpleTypeAlignSize (handle_t );
void RPC_ENTRY NdrMesSimpleTypeDecode(handle_t Handle, void * pObject, short Size ); 
void RPC_ENTRY NdrMesSimpleTypeEncode(handle_t Handle, PMIDL_STUB_DESC pStubDesc, void * pObject, short Size ); 
size_t RPC_ENTRY NdrMesTypeAlignSize(handle_t Handle, PMIDL_STUB_DESC pStubDesc, PFORMAT_STRING pFormatString, void * pObject ); 
void RPC_ENTRY NdrMesTypeEncode(handle_t Handle, PMIDL_STUB_DESC pStubDesc, PFORMAT_STRING pFormatString, void * pObject ); 
void RPC_ENTRY NdrMesTypeDecode(handle_t Handle, PMIDL_STUB_DESC pStubDesc, PFORMAT_STRING pFormatString, void * pObject );
void RPC_VAR_ENTRY NdrMesProcEncodeDecode(handle_t Handle, PMIDL_STUB_DESC pStubDesc, PFORMAT_STRING pFormatString, ... );
#endif
