#ifndef __REQUIRED_RPCNDR_H_VERSION__
#define __REQUIRED_RPCNDR_H_VERSION__ 440
#endif
#include "rpc.h"
#include "rpcndr.h"
#ifndef __RPCNDR_H_VERSION__
#error this stub requires an updated version of <rpcndr.h>
#endif 
#ifndef COM_NO_WINDOWS_H
#include "windows.h"
#include "ole2.h"
#endif 
#ifndef __mshtmhst_h__
#define __mshtmhst_h__
#ifndef __ITridentAPI_FWD_DEFINED__
#define __ITridentAPI_FWD_DEFINED__
typedef interface ITridentAPI ITridentAPI;
#endif 
#ifndef __TridentAPI_FWD_DEFINED__
#define __TridentAPI_FWD_DEFINED__
typedef struct TridentAPI TridentAPI;
#endif 
#ifndef __IDocHostUIHandler_FWD_DEFINED__
#define __IDocHostUIHandler_FWD_DEFINED__
typedef interface IDocHostUIHandler IDocHostUIHandler;
#endif 
#ifndef __ICustomDoc_FWD_DEFINED__
#define __ICustomDoc_FWD_DEFINED__
typedef interface ICustomDoc ICustomDoc;
#endif 
#ifndef __IDocHostShowUI_FWD_DEFINED__
#define __IDocHostShowUI_FWD_DEFINED__
typedef interface IDocHostShowUI IDocHostShowUI;
#endif 
#ifndef __IClassFactoryEx_FWD_DEFINED__
#define __IClassFactoryEx_FWD_DEFINED__
typedef interface IClassFactoryEx IClassFactoryEx;
#endif 
#include "ocidl.h"
#include "docobj.h"
void * __RPC_USER MIDL_user_allocate(size_t);
void __RPC_USER MIDL_user_free(void *); 
#ifndef MSHTMHST_H
#define MSHTMHST_H
#define CONTEXT_MENU_DEFAULT 0
#define CONTEXT_MENU_IMAGE 1
#define CONTEXT_MENU_CONTROL 2
#define CONTEXT_MENU_TABLE 3
#define CONTEXT_MENU_TEXTSELECT 4
#define CONTEXT_MENU_ANCHOR 5
#define CONTEXT_MENU_UNKNOWN 6
#define CONTEXT_MENU_IMGDYNSRC 7
#define CONTEXT_MENU_IMGART 8
#define CONTEXT_MENU_DEBUG 9
#define MENUEXT_SHOWDIALOG 1
#define DOCHOSTUIFLAG_BROWSER DOCHOSTUIFLAG_DISABLE_HELP_MENU | DOCHOSTUIFLAG_DISABLE_SCRIPT_INACTIVE 
EXTERN_C const GUID CGID_MSHTML;
#define CMDSETID_Forms3 CGID_MSHTML
#define SZ_HTML_CLIENTSITE_OBJECTPARAM L"{d4db6850-5385-11d0-89e9-00a0c90a90ac}"
#ifndef __IHTMLWindow2_FWD_DEFINED__
#define __IHTMLWindow2_FWD_DEFINED__
typedef interface IHTMLWindow2 IHTMLWindow2;
#endif
typedef HRESULT STDAPICALLTYPE SHOWHTMLDIALOGFN (HWND hwndParent, IMoniker *pmk, VARIANT *pvarArgIn, WCHAR* pchOptions, VARIANT *pvArgOut);
typedef HRESULT STDAPICALLTYPE SHOWMODELESSHTMLDIALOGFN (HWND hwndParent, IMoniker *pmk, VARIANT *pvarArgIn, VARIANT* pvarOptions, IHTMLWindow2 ** ppWindow);
STDAPI ShowHTMLDialog(HWND hwndParent,  IMoniker * pMk,  VARIANT * pvarArgIn,  WCHAR * pchOptions,  VARIANT * pvarArgOut  ); 
STDAPI ShowModelessHTMLDialog(HWND hwndParent,  IMoniker * pMk,  VARIANT * pvarArgIn,  VARIANT * pvarOptions,  IHTMLWindow2 ** ppWindow); 
STDAPI RunHTMLApplication(HINSTANCE hinst,  HINSTANCE hPrevInst,  LPSTR szCmdLine,  int nCmdShow  ); 
STDAPI CreateHTMLPropertyPage(IMoniker * pmk,  IPropertyPage ** ppPP  ); 
extern RPC_IF_HANDLE __MIDL_itf_mshtmhst_0000_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_mshtmhst_0000_v0_0_s_ifspec;
#ifndef __ITridentAPI_INTERFACE_DEFINED__
#define __ITridentAPI_INTERFACE_DEFINED__
EXTERN_C const IID IID_ITridentAPI;
typedef struct ITridentAPIVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(ITridentAPI *,REFIID,void **);
 ULONG (_stdcall *AddRef)(ITridentAPI *);
 ULONG (_stdcall *Release)(ITridentAPI *);
 HRESULT (_stdcall *ShowHTMLDialog)(ITridentAPI *,HWND,IMoniker *,VARIANT *,WCHAR *,VARIANT *,IUnknown *);
END_INTERFACE
} ITridentAPIVtbl;
interface ITridentAPI
{
CONST_VTBL struct ITridentAPIVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define ITridentAPI_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define ITridentAPI_AddRef(A) (A)->lpVtbl->AddRef(A)
#define ITridentAPI_Release(A) (A)->lpVtbl->Release(A)
#define ITridentAPI_ShowHTMLDialog(A,B,C,D,E,F,G) (A)->lpVtbl->ShowHTMLDialog(A,B,C,D,E,F,G)
#endif 
HRESULT _stdcall ITridentAPI_ShowHTMLDialog_Proxy(ITridentAPI * This, HWND hwndParent, IMoniker *pMk, VARIANT *pvarArgIn, WCHAR *pchOptions, VARIANT *pvarArgOut, IUnknown *punkHost);
void __RPC_STUB ITridentAPI_ShowHTMLDialog_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
#endif 
EXTERN_C const GUID CLSID_TridentAPI;
typedef 
enum tagDOCHOSTUITYPE
{	DOCHOSTUITYPE_BROWSE=0,
DOCHOSTUITYPE_AUTHOR=1
}	DOCHOSTUITYPE;
typedef 
enum tagDOCHOSTUIDBLCLK
{	DOCHOSTUIDBLCLK_DEFAULT=0,
DOCHOSTUIDBLCLK_SHOWPROPERTIES=1,
DOCHOSTUIDBLCLK_SHOWCODE=2
}	DOCHOSTUIDBLCLK;
typedef 
enum tagDOCHOSTUIFLAG
{	DOCHOSTUIFLAG_DIALOG=1,
DOCHOSTUIFLAG_DISABLE_HELP_MENU=2,
DOCHOSTUIFLAG_NO3DBORDER=4,
DOCHOSTUIFLAG_SCROLL_NO=8,
DOCHOSTUIFLAG_DISABLE_SCRIPT_INACTIVE=16,
DOCHOSTUIFLAG_OPENNEWWIN=32,
DOCHOSTUIFLAG_DISABLE_OFFSCREEN=64,
DOCHOSTUIFLAG_FLAT_SCROLLBAR=128,
DOCHOSTUIFLAG_DIV_BLOCKDEFAULT=256,
DOCHOSTUIFLAG_ACTIVATE_CLIENTHIT_ONLY=512,
DOCHOSTUIFLAG_OVERRIDEBEHAVIORFACTORY=1024,
DOCHOSTUIFLAG_CODEPAGELINKEDFONTS=2048,
DOCHOSTUIFLAG_URL_ENCODING_DISABLE_UTF8=4096,
DOCHOSTUIFLAG_URL_ENCODING_ENABLE_UTF8=0x2000,
DOCHOSTUIFLAG_ENABLE_FORMS_AUTOCOMPLETE=0x4000
}	DOCHOSTUIFLAG;
extern RPC_IF_HANDLE __MIDL_itf_mshtmhst_0259_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_mshtmhst_0259_v0_0_s_ifspec;
#ifndef __IDocHostUIHandler_INTERFACE_DEFINED__
#define __IDocHostUIHandler_INTERFACE_DEFINED__
typedef struct _DOCHOSTUIINFO
{
ULONG cbSize;
DWORD dwFlags;
DWORD dwDoubleClick;
OLECHAR *pchHostCss;
OLECHAR *pchHostNS;
}	DOCHOSTUIINFO;
EXTERN_C const IID IID_IDocHostUIHandler;
typedef struct IDocHostUIHandlerVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IDocHostUIHandler *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IDocHostUIHandler *);
 ULONG (_stdcall *Release)(IDocHostUIHandler *);
 HRESULT (_stdcall *ShowContextMenu)(IDocHostUIHandler *,DWORD,POINT *,IUnknown *,IDispatch *);
 HRESULT (_stdcall *GetHostInfo)(IDocHostUIHandler *,DOCHOSTUIINFO *);
 HRESULT (_stdcall *ShowUI)(IDocHostUIHandler *,DWORD,IOleInPlaceActiveObject *,IOleCommandTarget *,IOleInPlaceFrame *,IOleInPlaceUIWindow *);
 HRESULT (_stdcall *HideUI)(IDocHostUIHandler *);
 HRESULT (_stdcall *UpdateUI)(IDocHostUIHandler *);
 HRESULT (_stdcall *EnableModeless)(IDocHostUIHandler *,BOOL);
 HRESULT (_stdcall *OnDocWindowActivate)(IDocHostUIHandler *,BOOL);
 HRESULT (_stdcall *OnFrameWindowActivate)(IDocHostUIHandler *,BOOL);
 HRESULT (_stdcall *ResizeBorder)(IDocHostUIHandler *,LPCRECT,IOleInPlaceUIWindow *,BOOL);
 HRESULT (_stdcall *TranslateAccelerator)(IDocHostUIHandler *,LPMSG,const GUID *,DWORD);
 HRESULT (_stdcall *GetOptionKeyPath)(IDocHostUIHandler *,LPOLESTR *,DWORD);
 HRESULT (_stdcall *GetDropTarget)(IDocHostUIHandler *,IDropTarget *,IDropTarget **);
 HRESULT (_stdcall *GetExternal)(IDocHostUIHandler *,IDispatch **);
 HRESULT (_stdcall *TranslateUrl)(IDocHostUIHandler *,DWORD,OLECHAR *,OLECHAR **);
 HRESULT (_stdcall *FilterDataObject)(IDocHostUIHandler *,IDataObject *,IDataObject **);
END_INTERFACE
} IDocHostUIHandlerVtbl;
interface IDocHostUIHandler
{
CONST_VTBL struct IDocHostUIHandlerVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IDocHostUIHandler_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IDocHostUIHandler_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IDocHostUIHandler_Release(A) (A)->lpVtbl->Release(A)
#define IDocHostUIHandler_ShowContextMenu(A,B,C,D,E) (A)->lpVtbl->ShowContextMenu(A,B,C,D,E)
#define IDocHostUIHandler_GetHostInfo(A,B) (A)->lpVtbl->GetHostInfo(A,B)
#define IDocHostUIHandler_ShowUI(A,B,C,D,E,F) (A)->lpVtbl->ShowUI(A,B,C,D,E,F)
#define IDocHostUIHandler_HideUI(A) (A)->lpVtbl->HideUI(A)
#define IDocHostUIHandler_UpdateUI(A) (A)->lpVtbl->UpdateUI(A)
#define IDocHostUIHandler_EnableModeless(A,B) (A)->lpVtbl->EnableModeless(A,B)
#define IDocHostUIHandler_OnDocWindowActivate(A,B) (A)->lpVtbl->OnDocWindowActivate(A,B)
#define IDocHostUIHandler_OnFrameWindowActivate(A,B) (A)->lpVtbl->OnFrameWindowActivate(A,B)
#define IDocHostUIHandler_ResizeBorder(A,B,C,D) (A)->lpVtbl->ResizeBorder(A,B,C,D)
#define IDocHostUIHandler_TranslateAccelerator(A,B,C,D) (A)->lpVtbl->TranslateAccelerator(A,B,C,D)
#define IDocHostUIHandler_GetOptionKeyPath(A,B,C) (A)->lpVtbl->GetOptionKeyPath(A,B,C)
#define IDocHostUIHandler_GetDropTarget(A,B,C) (A)->lpVtbl->GetDropTarget(A,B,C)
#define IDocHostUIHandler_GetExternal(A,B) (A)->lpVtbl->GetExternal(A,B)
#define IDocHostUIHandler_TranslateUrl(A,B,C,D) (A)->lpVtbl->TranslateUrl(A,B,C,D)
#define IDocHostUIHandler_FilterDataObject(A,B,C) (A)->lpVtbl->FilterDataObject(A,B,C)
#endif 
HRESULT _stdcall IDocHostUIHandler_ShowContextMenu_Proxy(IDocHostUIHandler * This, DWORD dwID, POINT *ppt, IUnknown *pcmdtReserved, IDispatch *pdispReserved);
void __RPC_STUB IDocHostUIHandler_ShowContextMenu_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IDocHostUIHandler_GetHostInfo_Proxy(IDocHostUIHandler * This, DOCHOSTUIINFO *pInfo);
void __RPC_STUB IDocHostUIHandler_GetHostInfo_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IDocHostUIHandler_ShowUI_Proxy(IDocHostUIHandler * This, DWORD dwID, IOleInPlaceActiveObject *pActiveObject, IOleCommandTarget *pCommandTarget, IOleInPlaceFrame *pFrame, IOleInPlaceUIWindow *pDoc);
void __RPC_STUB IDocHostUIHandler_ShowUI_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IDocHostUIHandler_HideUI_Proxy(IDocHostUIHandler * This);
void __RPC_STUB IDocHostUIHandler_HideUI_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IDocHostUIHandler_UpdateUI_Proxy(IDocHostUIHandler * This);
void __RPC_STUB IDocHostUIHandler_UpdateUI_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IDocHostUIHandler_EnableModeless_Proxy(IDocHostUIHandler * This, BOOL fEnable);
void __RPC_STUB IDocHostUIHandler_EnableModeless_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IDocHostUIHandler_OnDocWindowActivate_Proxy(IDocHostUIHandler * This, BOOL fActivate);
void __RPC_STUB IDocHostUIHandler_OnDocWindowActivate_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IDocHostUIHandler_OnFrameWindowActivate_Proxy(IDocHostUIHandler * This, BOOL fActivate);
void __RPC_STUB IDocHostUIHandler_OnFrameWindowActivate_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IDocHostUIHandler_ResizeBorder_Proxy(IDocHostUIHandler * This, LPCRECT prcBorder, IOleInPlaceUIWindow *pUIWindow, BOOL fRameWindow);
void __RPC_STUB IDocHostUIHandler_ResizeBorder_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IDocHostUIHandler_TranslateAccelerator_Proxy(IDocHostUIHandler * This, LPMSG lpMsg, const GUID *pguidCmdGroup, DWORD nCmdID);
void __RPC_STUB IDocHostUIHandler_TranslateAccelerator_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IDocHostUIHandler_GetOptionKeyPath_Proxy(IDocHostUIHandler * This, LPOLESTR *pchKey, DWORD dw);
void __RPC_STUB IDocHostUIHandler_GetOptionKeyPath_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IDocHostUIHandler_GetDropTarget_Proxy(IDocHostUIHandler * This, IDropTarget *pDropTarget, IDropTarget **ppDropTarget);
void __RPC_STUB IDocHostUIHandler_GetDropTarget_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IDocHostUIHandler_GetExternal_Proxy(IDocHostUIHandler * This, IDispatch **ppDispatch);
void __RPC_STUB IDocHostUIHandler_GetExternal_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IDocHostUIHandler_TranslateUrl_Proxy(IDocHostUIHandler * This, DWORD dwTranslate, OLECHAR *pchURLIn, OLECHAR **ppchURLOut);
void __RPC_STUB IDocHostUIHandler_TranslateUrl_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IDocHostUIHandler_FilterDataObject_Proxy(IDocHostUIHandler * This, IDataObject *pDO, IDataObject **ppDORet);
void __RPC_STUB IDocHostUIHandler_FilterDataObject_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
#endif 
DEFINE_GUID(CGID_DocHostCommandHandler,0xf38bc242,0xb950,4561,137,24,0,192,79,194,200,54);
extern RPC_IF_HANDLE __MIDL_itf_mshtmhst_0260_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_mshtmhst_0260_v0_0_s_ifspec;
#ifndef __ICustomDoc_INTERFACE_DEFINED__
#define __ICustomDoc_INTERFACE_DEFINED__
EXTERN_C const IID IID_ICustomDoc;
typedef struct ICustomDocVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(ICustomDoc *,REFIID,void **);
 ULONG (_stdcall *AddRef)(ICustomDoc *);
 ULONG (_stdcall *Release)(ICustomDoc *);
 HRESULT (_stdcall *SetUIHandler)(ICustomDoc *,IDocHostUIHandler *);
END_INTERFACE
} ICustomDocVtbl;
interface ICustomDoc
{
CONST_VTBL struct ICustomDocVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define ICustomDoc_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define ICustomDoc_AddRef(A) (A)->lpVtbl->AddRef(A)
#define ICustomDoc_Release(A) (A)->lpVtbl->Release(A)
#define ICustomDoc_SetUIHandler(A,B) (A)->lpVtbl->SetUIHandler(A,B)
#endif 
HRESULT _stdcall ICustomDoc_SetUIHandler_Proxy(ICustomDoc * This, IDocHostUIHandler *pUIHandler);
void __RPC_STUB ICustomDoc_SetUIHandler_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
#endif 
#ifndef __IDocHostShowUI_INTERFACE_DEFINED__
#define __IDocHostShowUI_INTERFACE_DEFINED__
EXTERN_C const IID IID_IDocHostShowUI;
typedef struct IDocHostShowUIVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IDocHostShowUI *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IDocHostShowUI *);
 ULONG (_stdcall *Release)(IDocHostShowUI *);
 HRESULT (_stdcall *ShowMessage)(IDocHostShowUI *,HWND,LPOLESTR,LPOLESTR,DWORD,LPOLESTR,DWORD,LRESULT *);
 HRESULT (_stdcall *ShowHelp)(IDocHostShowUI *,HWND,LPOLESTR,UINT,DWORD,POINT,IDispatch *);
END_INTERFACE
} IDocHostShowUIVtbl;
interface IDocHostShowUI
{
CONST_VTBL struct IDocHostShowUIVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IDocHostShowUI_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IDocHostShowUI_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IDocHostShowUI_Release(A) (A)->lpVtbl->Release(A)
#define IDocHostShowUI_ShowMessage(A,B,C,D,E,F,G,H) (A)->lpVtbl->ShowMessage(A,B,C,D,E,F,G,H)
#define IDocHostShowUI_ShowHelp(A,B,C,D,E,F,G) (A)->lpVtbl->ShowHelp(A,B,C,D,E,F,G)
#endif 
HRESULT _stdcall IDocHostShowUI_ShowMessage_Proxy(IDocHostShowUI * This, HWND hwnd, LPOLESTR lpstrText, LPOLESTR lpstrCaption, DWORD dwType, LPOLESTR lpstrHelpFile, DWORD dwHelpContext, LRESULT *plResult);
void __RPC_STUB IDocHostShowUI_ShowMessage_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IDocHostShowUI_ShowHelp_Proxy(IDocHostShowUI * This, HWND hwnd, LPOLESTR pszHelpFile, UINT uCommand, DWORD dwData, POINT ptMouse, IDispatch *pDispatchObjectHit);
void __RPC_STUB IDocHostShowUI_ShowHelp_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
#endif 
#define IClassFactory3 IClassFactoryEx
#define IID_IClassFactory3 IID_IClassFactoryEx
extern RPC_IF_HANDLE __MIDL_itf_mshtmhst_0262_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_mshtmhst_0262_v0_0_s_ifspec;
#ifndef __IClassFactoryEx_INTERFACE_DEFINED__
#define __IClassFactoryEx_INTERFACE_DEFINED__
EXTERN_C const IID IID_IClassFactoryEx;
typedef struct IClassFactoryExVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IClassFactoryEx *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IClassFactoryEx *);
 ULONG (_stdcall *Release)(IClassFactoryEx *);
 HRESULT (_stdcall *CreateInstance)(IClassFactoryEx *,IUnknown *,REFIID,void **);
 HRESULT (_stdcall *LockServer)(IClassFactoryEx *,BOOL);
 HRESULT (_stdcall *CreateInstanceWithContext)(IClassFactoryEx *,IUnknown *,IUnknown *,REFIID,void **);
END_INTERFACE
} IClassFactoryExVtbl;
interface IClassFactoryEx
{
CONST_VTBL struct IClassFactoryExVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IClassFactoryEx_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IClassFactoryEx_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IClassFactoryEx_Release(A) (A)->lpVtbl->Release(A)
#define IClassFactoryEx_CreateInstance(A,B,C,D) (A)->lpVtbl->CreateInstance(A,B,C,D)
#define IClassFactoryEx_LockServer(A,B) (A)->lpVtbl->LockServer(A,B)
#define IClassFactoryEx_CreateInstanceWithContext(A,B,C,D,E) (A)->lpVtbl->CreateInstanceWithContext(A,B,C,D,E)
#endif 
HRESULT _stdcall IClassFactoryEx_CreateInstanceWithContext_Proxy(IClassFactoryEx * This, IUnknown *punkContext, IUnknown *punkOuter, REFIID riid, void **ppv);
void __RPC_STUB IClassFactoryEx_CreateInstanceWithContext_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
#endif 
#endif
extern RPC_IF_HANDLE __MIDL_itf_mshtmhst_0263_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_mshtmhst_0263_v0_0_s_ifspec;
#endif
