#ifndef __REQUIRED_RPCNDR_H_VERSION__
#define __REQUIRED_RPCNDR_H_VERSION__ 440
#endif
#ifndef __RPC_H__
#include "rpc.h"
#endif
#ifndef __RPCNDR_H__
#include "rpcndr.h"
#endif
#ifndef __msxml_h__
#define __msxml_h__
#ifndef __IXMLElementCollection_FWD_DEFINED__
#define __IXMLElementCollection_FWD_DEFINED__
typedef interface IXMLElementCollection IXMLElementCollection;
#endif 	
#ifndef __IXMLDocument_FWD_DEFINED__
#define __IXMLDocument_FWD_DEFINED__
typedef interface IXMLDocument IXMLDocument;
#endif 	
#ifndef __IXMLDocument2_FWD_DEFINED__
#define __IXMLDocument2_FWD_DEFINED__
typedef interface IXMLDocument2 IXMLDocument2;
#endif 	
#ifndef __IXMLElement_FWD_DEFINED__
#define __IXMLElement_FWD_DEFINED__
typedef interface IXMLElement IXMLElement;
#endif 	
#ifndef __IXMLElement2_FWD_DEFINED__
#define __IXMLElement2_FWD_DEFINED__
typedef interface IXMLElement2 IXMLElement2;
#endif 	
#ifndef __IXMLAttribute_FWD_DEFINED__
#define __IXMLAttribute_FWD_DEFINED__
typedef interface IXMLAttribute IXMLAttribute;
#endif 	
#ifndef __IXMLDocument2Ex_FWD_DEFINED__
#define __IXMLDocument2Ex_FWD_DEFINED__
typedef interface IXMLDocument2Ex IXMLDocument2Ex;
#endif 	
#ifndef __IXMLError_FWD_DEFINED__
#define __IXMLError_FWD_DEFINED__
typedef interface IXMLError IXMLError;
#endif 	
#ifndef __IXMLError2_FWD_DEFINED__
#define __IXMLError2_FWD_DEFINED__
typedef interface IXMLError2 IXMLError2;
#endif 	
#ifndef __IDOMNode_FWD_DEFINED__
#define __IDOMNode_FWD_DEFINED__
typedef interface IDOMNode IDOMNode;
#endif 	
#ifndef __IDOMNodeList_FWD_DEFINED__
#define __IDOMNodeList_FWD_DEFINED__
typedef interface IDOMNodeList IDOMNodeList;
#endif 	
#ifndef __IDOMDocument_FWD_DEFINED__
#define __IDOMDocument_FWD_DEFINED__
typedef interface IDOMDocument IDOMDocument;
#endif 	
#ifndef __IDOMError_FWD_DEFINED__
#define __IDOMError_FWD_DEFINED__
typedef interface IDOMError IDOMError;
#endif 	
#ifndef __IXMLDOMNode_FWD_DEFINED__
#define __IXMLDOMNode_FWD_DEFINED__
typedef interface IXMLDOMNode IXMLDOMNode;
#endif 	
#ifndef __IXMLDOMDocument_FWD_DEFINED__
#define __IXMLDOMDocument_FWD_DEFINED__
typedef interface IXMLDOMDocument IXMLDOMDocument;
#endif 	
#ifndef __DOMDocument_FWD_DEFINED__
#define __DOMDocument_FWD_DEFINED__
typedef struct DOMDocument DOMDocument;
#endif 	
#ifndef __IXMLIslandPeer_FWD_DEFINED__
#define __IXMLIslandPeer_FWD_DEFINED__
typedef interface IXMLIslandPeer IXMLIslandPeer;
#endif 	
#ifndef __XMLIslandPeer_FWD_DEFINED__
#define __XMLIslandPeer_FWD_DEFINED__
typedef struct XMLIslandPeer XMLIslandPeer;
#endif 	
#ifndef __IXMLElementNotificationSink_FWD_DEFINED__
#define __IXMLElementNotificationSink_FWD_DEFINED__
typedef interface IXMLElementNotificationSink IXMLElementNotificationSink;
#endif 	
#ifndef __XMLDocument_FWD_DEFINED__
#define __XMLDocument_FWD_DEFINED__
typedef struct XMLDocument XMLDocument;
#endif 	
#ifndef __unknwn_h__
#include "unknwn.h"
#endif
#ifndef __objidl_h__
#include "objidl.h"
#endif
#ifndef __oaidl_h__
#include "oaidl.h"
#endif
void * __RPC_USER MIDL_user_allocate(size_t);
void __RPC_USER MIDL_user_free( void * ); 
typedef struct _xml_error
 {
 unsigned int _nLine;
 BSTR _pchBuf;
 unsigned int _cchBuf;
 unsigned int _ich;
 BSTR _pszFound;
 BSTR _pszExpected;
 DWORD _reserved1;
 DWORD _reserved2;
 }	XML_ERROR;

extern RPC_IF_HANDLE __MIDL_itf_msxml_0000_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_msxml_0000_v0_0_s_ifspec;
#ifndef __MSXML_LIBRARY_DEFINED__
#define __MSXML_LIBRARY_DEFINED__

typedef enum tagXMLNodeType {	NODE_ELEMENT	= 0,
	NODE_PCDATA	= NODE_ELEMENT + 1,
	NODE_COMMENT	= NODE_PCDATA + 1,
	NODE_DOCUMENT	= NODE_COMMENT + 1,
	NODE_DOCTYPE	= NODE_DOCUMENT + 1,
	NODE_PI	= NODE_DOCTYPE + 1,
	NODE_CDATA	= NODE_PI + 1,
	NODE_NAMESPACE	= NODE_CDATA + 1,
	NODE_ENTITYREF	= NODE_NAMESPACE + 1,
	NODE_WHITESPACE	= NODE_ENTITYREF + 1,
	NODE_ATTRIBUTE	= NODE_WHITESPACE + 1,
	NODE_XMLDECL	= NODE_ATTRIBUTE + 1
 }	XMLNodeType;

typedef enum tagXMLEMEM_TYPE {	XMLELEMTYPE_ELEMENT	= 0,
	XMLELEMTYPE_TEXT	= XMLELEMTYPE_ELEMENT + 1,
	XMLELEMTYPE_COMMENT	= XMLELEMTYPE_TEXT + 1,
	XMLELEMTYPE_DOCUMENT	= XMLELEMTYPE_COMMENT + 1,
	XMLELEMTYPE_DTD	= XMLELEMTYPE_DOCUMENT + 1,
	XMLELEMTYPE_PI	= XMLELEMTYPE_DTD + 1,
	XMLELEMTYPE_OTHER	= XMLELEMTYPE_PI + 1
 }	XMLELEM_TYPE;

EXTERN_C const IID LIBID_MSXML;
#ifndef __IXMLElementCollection_INTERFACE_DEFINED__
#define __IXMLElementCollection_INTERFACE_DEFINED__
EXTERN_C const IID IID_IXMLElementCollection;
typedef struct IXMLElementCollectionVtbl
 {
 BEGIN_INTERFACE
 HRESULT ( STDMETHODCALLTYPE *QueryInterface )(IXMLElementCollection *,REFIID,void * *);
 ULONG ( STDMETHODCALLTYPE *AddRef )(IXMLElementCollection *);
 ULONG ( STDMETHODCALLTYPE *Release )(IXMLElementCollection *);
 HRESULT ( STDMETHODCALLTYPE *GetTypeInfoCount )(IXMLElementCollection *,UINT *);
 HRESULT ( STDMETHODCALLTYPE *GetTypeInfo )( IXMLElementCollection *, UINT,LCID,ITypeInfo * *);
 HRESULT ( STDMETHODCALLTYPE *GetIDsOfNames )(IXMLElementCollection *,REFIID,LPOLESTR *,UINT,LCID,DISPID *);
 HRESULT ( STDMETHODCALLTYPE *Invoke )(IXMLElementCollection *,DISPID,REFIID,LCID,WORD,DISPPARAMS *,VARIANT *,EXCEPINFO *,UINT *);
 HRESULT ( STDMETHODCALLTYPE *put_length )(IXMLElementCollection *,long);
 HRESULT ( STDMETHODCALLTYPE *get_length )(IXMLElementCollection *,long *);
 HRESULT ( STDMETHODCALLTYPE *get__newEnum )(IXMLElementCollection *,IUnknown * *);
 HRESULT ( STDMETHODCALLTYPE *item )(IXMLElementCollection *,VARIANT,VARIANT,IDispatch * *);
 END_INTERFACE
} IXMLElementCollectionVtbl;
interface IXMLElementCollection { CONST_VTBL struct IXMLElementCollectionVtbl *lpVtbl; };

#ifdef COBJMACROS
#define IXMLElementCollection_QueryInterface(This,riid,ppvObject) (This)->lpVtbl -> QueryInterface(This,riid,ppvObject)
#define IXMLElementCollection_AddRef(This) (This)->lpVtbl -> AddRef(This)
#define IXMLElementCollection_Release(This) (This)->lpVtbl -> Release(This)
#define IXMLElementCollection_GetTypeInfoCount(This,pctinfo) (This)->lpVtbl -> GetTypeInfoCount(This,pctinfo)
#define IXMLElementCollection_GetTypeInfo(This,iTInfo,lcid,ppTInfo) (This)->lpVtbl -> GetTypeInfo(This,iTInfo,lcid,ppTInfo)
#define IXMLElementCollection_GetIDsOfNames(This,riid,rgszNames,cNames,lcid,rgDispId) (This)->lpVtbl -> GetIDsOfNames(This,riid,rgszNames,cNames,lcid,rgDispId)
#define IXMLElementCollection_Invoke(This,dispIdMember,riid,lcid,wFlags,pDispParams,pVarResult,pExcepInfo,puArgErr) (This)->lpVtbl -> Invoke(This,dispIdMember,riid,lcid,wFlags,pDispParams,pVarResult,pExcepInfo,puArgErr)
#define IXMLElementCollection_put_length(This,v) (This)->lpVtbl -> put_length(This,v)
#define IXMLElementCollection_get_length(This,p) (This)->lpVtbl -> get_length(This,p)
#define IXMLElementCollection_get__newEnum(This,ppUnk) (This)->lpVtbl -> get__newEnum(This,ppUnk)
#define IXMLElementCollection_item(This,var1,var2,ppDisp) (This)->lpVtbl -> item(This,var1,var2,ppDisp)
#endif 
HRESULT STDMETHODCALLTYPE IXMLElementCollection_put_length_Proxy(IXMLElementCollection *,long);
void __RPC_STUB IXMLElementCollection_put_length_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IXMLElementCollection_get_length_Proxy(IXMLElementCollection *,long *);
void __RPC_STUB IXMLElementCollection_get_length_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IXMLElementCollection_get__newEnum_Proxy(IXMLElementCollection *,IUnknown * *);
void __RPC_STUB IXMLElementCollection_get__newEnum_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IXMLElementCollection_item_Proxy(IXMLElementCollection *,VARIANT,VARIANT,IDispatch * *);
void __RPC_STUB IXMLElementCollection_item_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
#endif 	

#ifndef __IXMLDocument_INTERFACE_DEFINED__
#define __IXMLDocument_INTERFACE_DEFINED__
EXTERN_C const IID IID_IXMLDocument;
typedef struct IXMLDocumentVtbl {
 BEGIN_INTERFACE
 HRESULT ( STDMETHODCALLTYPE *QueryInterface )(IXMLDocument *,REFIID,void * *);
 ULONG ( STDMETHODCALLTYPE *AddRef )(IXMLDocument *);
 ULONG ( STDMETHODCALLTYPE *Release )(IXMLDocument *);
 HRESULT ( STDMETHODCALLTYPE *GetTypeInfoCount )(IXMLDocument *,UINT *);
 HRESULT ( STDMETHODCALLTYPE *GetTypeInfo )(IXMLDocument *,UINT,LCID,ITypeInfo * *);
 HRESULT ( STDMETHODCALLTYPE *GetIDsOfNames )(IXMLDocument *,REFIID,LPOLESTR *,UINT,LCID,DISPID *);
 HRESULT ( STDMETHODCALLTYPE *Invoke )(IXMLDocument *,DISPID,REFIID,LCID,WORD,DISPPARAMS *,VARIANT *,EXCEPINFO *,UINT *);
 HRESULT ( STDMETHODCALLTYPE *get_root )(IXMLDocument *,IXMLElement * *);
 HRESULT ( STDMETHODCALLTYPE *get_fileSize )(IXMLDocument *,BSTR *);
 HRESULT ( STDMETHODCALLTYPE *get_fileModifiedDate )(IXMLDocument *,BSTR *);
 HRESULT ( STDMETHODCALLTYPE *get_fileUpdatedDate )(IXMLDocument *,BSTR *);
 HRESULT ( STDMETHODCALLTYPE *get_URL)(IXMLDocument *,BSTR *);
 HRESULT ( STDMETHODCALLTYPE *put_URL)(IXMLDocument *,BSTR );
 HRESULT ( STDMETHODCALLTYPE *get_mimeType)(IXMLDocument *,BSTR *);
 HRESULT ( STDMETHODCALLTYPE *get_readyState)(IXMLDocument *,long *);
 HRESULT ( STDMETHODCALLTYPE *get_charset)(IXMLDocument *,BSTR *);
 HRESULT ( STDMETHODCALLTYPE *put_charset )(IXMLDocument *,BSTR );
 HRESULT ( STDMETHODCALLTYPE *get_version )(IXMLDocument *,BSTR *);
 HRESULT ( STDMETHODCALLTYPE *get_doctype )(IXMLDocument *,BSTR *);
 HRESULT ( STDMETHODCALLTYPE *get_dtdURL )(IXMLDocument *, BSTR *);
 HRESULT ( STDMETHODCALLTYPE *createElement )(IXMLDocument *,VARIANT,VARIANT,IXMLElement * *);
 END_INTERFACE
} IXMLDocumentVtbl;
interface IXMLDocument { CONST_VTBL struct IXMLDocumentVtbl *lpVtbl; };
#ifdef COBJMACROS
#define IXMLDocument_QueryInterface(This,riid,ppvObject) (This)->lpVtbl -> QueryInterface(This,riid,ppvObject)
#define IXMLDocument_AddRef(This) (This)->lpVtbl -> AddRef(This)
#define IXMLDocument_Release(This) (This)->lpVtbl -> Release(This)
#define IXMLDocument_GetTypeInfoCount(This,pctinfo) (This)->lpVtbl -> GetTypeInfoCount(This,pctinfo)
#define IXMLDocument_GetTypeInfo(This,iTInfo,lcid,ppTInfo) (This)->lpVtbl -> GetTypeInfo(This,iTInfo,lcid,ppTInfo)
#define IXMLDocument_GetIDsOfNames(This,riid,rgszNames,cNames,lcid,rgDispId) (This)->lpVtbl -> GetIDsOfNames(This,riid,rgszNames,cNames,lcid,rgDispId)
#define IXMLDocument_Invoke(This,dispIdMember,riid,lcid,wFlags,pDispParams,pVarResult,pExcepInfo,puArgErr) (This)->lpVtbl -> Invoke(This,dispIdMember,riid,lcid,wFlags,pDispParams,pVarResult,pExcepInfo,puArgErr)
#define IXMLDocument_get_root(This,p) (This)->lpVtbl -> get_root(This,p)
#define IXMLDocument_get_fileSize(This,p) (This)->lpVtbl -> get_fileSize(This,p)
#define IXMLDocument_get_fileModifiedDate(This,p) (This)->lpVtbl -> get_fileModifiedDate(This,p)
#define IXMLDocument_get_fileUpdatedDate(This,p) (This)->lpVtbl -> get_fileUpdatedDate(This,p)
#define IXMLDocument_get_URL(This,p) (This)->lpVtbl -> get_URL(This,p)
#define IXMLDocument_put_URL(This,p) (This)->lpVtbl -> put_URL(This,p)
#define IXMLDocument_get_mimeType(This,p) (This)->lpVtbl -> get_mimeType(This,p)
#define IXMLDocument_get_readyState(This,pl) (This)->lpVtbl -> get_readyState(This,pl)
#define IXMLDocument_get_charset(This,p) (This)->lpVtbl -> get_charset(This,p)
#define IXMLDocument_put_charset(This,p) (This)->lpVtbl -> put_charset(This,p)
#define IXMLDocument_get_version(This,p) (This)->lpVtbl -> get_version(This,p)
#define IXMLDocument_get_doctype(This,p) (This)->lpVtbl -> get_doctype(This,p)
#define IXMLDocument_get_dtdURL(This,p)	 (This)->lpVtbl -> get_dtdURL(This,p)
#define IXMLDocument_createElement(This,vType,var1,ppElem) (This)->lpVtbl -> createElement(This,vType,var1,ppElem)
#endif 




 HRESULT STDMETHODCALLTYPE IXMLDocument_get_root_Proxy( 
 IXMLDocument * This,
 IXMLElement * *p);


void __RPC_STUB IXMLDocument_get_root_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDocument_get_fileSize_Proxy( 
 IXMLDocument * This,
 BSTR *p);


void __RPC_STUB IXMLDocument_get_fileSize_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDocument_get_fileModifiedDate_Proxy( 
 IXMLDocument * This,
 BSTR *p);


void __RPC_STUB IXMLDocument_get_fileModifiedDate_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDocument_get_fileUpdatedDate_Proxy( 
 IXMLDocument * This,
 BSTR *p);


void __RPC_STUB IXMLDocument_get_fileUpdatedDate_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDocument_get_URL_Proxy( 
 IXMLDocument * This,
 BSTR *p);


void __RPC_STUB IXMLDocument_get_URL_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDocument_put_URL_Proxy( 
 IXMLDocument * This,
 BSTR p);


void __RPC_STUB IXMLDocument_put_URL_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDocument_get_mimeType_Proxy( 
 IXMLDocument * This,
 BSTR *p);


void __RPC_STUB IXMLDocument_get_mimeType_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDocument_get_readyState_Proxy( 
 IXMLDocument * This,
 long *pl);


void __RPC_STUB IXMLDocument_get_readyState_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDocument_get_charset_Proxy( 
 IXMLDocument * This,
 BSTR *p);


void __RPC_STUB IXMLDocument_get_charset_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDocument_put_charset_Proxy( 
 IXMLDocument * This,
 BSTR p);


void __RPC_STUB IXMLDocument_put_charset_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDocument_get_version_Proxy( 
 IXMLDocument * This,
 BSTR *p);


void __RPC_STUB IXMLDocument_get_version_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDocument_get_doctype_Proxy( 
 IXMLDocument * This,
 BSTR *p);


void __RPC_STUB IXMLDocument_get_doctype_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDocument_get_dtdURL_Proxy( 
 IXMLDocument * This,
 BSTR *p);


void __RPC_STUB IXMLDocument_get_dtdURL_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDocument_createElement_Proxy( 
 IXMLDocument * This,
 VARIANT vType,
 VARIANT var1,
 IXMLElement * *ppElem);


void __RPC_STUB IXMLDocument_createElement_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);



#endif 	


#ifndef __IXMLDocument2_INTERFACE_DEFINED__
#define __IXMLDocument2_INTERFACE_DEFINED__


 


EXTERN_C const IID IID_IXMLDocument2;

typedef struct IXMLDocument2Vtbl {
 BEGIN_INTERFACE
 HRESULT ( STDMETHODCALLTYPE *QueryInterface )(IXMLDocument2 *,REFIID,void * *);
 ULONG ( STDMETHODCALLTYPE *AddRef )(IXMLDocument2 *);
 ULONG ( STDMETHODCALLTYPE *Release )(IXMLDocument2 *);
 HRESULT ( STDMETHODCALLTYPE *GetTypeInfoCount )(IXMLDocument2 *,UINT *);
 HRESULT ( STDMETHODCALLTYPE *GetTypeInfo )( IXMLDocument2 *,UINT,LCID,ITypeInfo * *);
 HRESULT ( STDMETHODCALLTYPE *GetIDsOfNames )(IXMLDocument2 *,REFIID,LPOLESTR *,UINT,LCID,DISPID *);
 HRESULT ( STDMETHODCALLTYPE *Invoke )( IXMLDocument2 *, DISPID,REFIID,LCID,WORD,DISPPARAMS *,VARIANT *,EXCEPINFO *,UINT *);
 HRESULT ( STDMETHODCALLTYPE *get_root )(IXMLDocument2 *,IXMLElement2 * *);
 HRESULT ( STDMETHODCALLTYPE *get_fileSize )(IXMLDocument2 *,BSTR *);
 HRESULT ( STDMETHODCALLTYPE *get_fileModifiedDate )(IXMLDocument2 *,BSTR *);
 HRESULT ( STDMETHODCALLTYPE *get_fileUpdatedDate )(IXMLDocument2 *, BSTR *);
 HRESULT ( STDMETHODCALLTYPE *get_URL )(IXMLDocument2 *,BSTR *);
 HRESULT ( STDMETHODCALLTYPE *put_URL )( IXMLDocument2 *,BSTR);
 HRESULT ( STDMETHODCALLTYPE *get_mimeType )(IXMLDocument2 *,BSTR *);
 HRESULT ( STDMETHODCALLTYPE *get_readyState )(IXMLDocument2 *,long *);
 HRESULT ( STDMETHODCALLTYPE *get_charset )(IXMLDocument2 *,BSTR *);
 HRESULT ( STDMETHODCALLTYPE *put_charset )(IXMLDocument2 *,BSTR);
 HRESULT ( STDMETHODCALLTYPE *get_version )(IXMLDocument2 *,BSTR *);
 HRESULT ( STDMETHODCALLTYPE *get_doctype )(IXMLDocument2 *,BSTR *);
 HRESULT ( STDMETHODCALLTYPE *get_dtdURL )(IXMLDocument2 *,BSTR *);
 HRESULT ( STDMETHODCALLTYPE *createElement )(IXMLDocument2 *,VARIANT,VARIANT,IXMLElement2 * *);
 HRESULT ( STDMETHODCALLTYPE *get_async )(IXMLDocument2 *,VARIANT_BOOL *);
 HRESULT ( STDMETHODCALLTYPE *put_async )(IXMLDocument2 *,VARIANT_BOOL );
 END_INTERFACE
 } IXMLDocument2Vtbl;
interface IXMLDocument2 { CONST_VTBL struct IXMLDocument2Vtbl *lpVtbl; };
#ifdef COBJMACROS
#define IXMLDocument2_QueryInterface(This,riid,ppvObject) (This)->lpVtbl -> QueryInterface(This,riid,ppvObject)
#define IXMLDocument2_AddRef(This) (This)->lpVtbl -> AddRef(This)
#define IXMLDocument2_Release(This) (This)->lpVtbl -> Release(This)
#define IXMLDocument2_GetTypeInfoCount(This,pctinfo) (This)->lpVtbl -> GetTypeInfoCount(This,pctinfo)
#define IXMLDocument2_GetTypeInfo(This,iTInfo,lcid,ppTInfo) (This)->lpVtbl -> GetTypeInfo(This,iTInfo,lcid,ppTInfo)
#define IXMLDocument2_GetIDsOfNames(This,riid,rgszNames,cNames,lcid,rgDispId) (This)->lpVtbl -> GetIDsOfNames(This,riid,rgszNames,cNames,lcid,rgDispId)
#define IXMLDocument2_Invoke(This,dispIdMember,riid,lcid,wFlags,pDispParams,pVarResult,pExcepInfo,puArgErr) (This)->lpVtbl -> Invoke(This,dispIdMember,riid,lcid,wFlags,pDispParams,pVarResult,pExcepInfo,puArgErr)
#define IXMLDocument2_get_root(This,p)	 (This)->lpVtbl -> get_root(This,p)
#define IXMLDocument2_get_fileSize(This,p)	\
 (This)->lpVtbl -> get_fileSize(This,p)
#define IXMLDocument2_get_fileModifiedDate(This,p)	\
 (This)->lpVtbl -> get_fileModifiedDate(This,p)
#define IXMLDocument2_get_fileUpdatedDate(This,p)	\
 (This)->lpVtbl -> get_fileUpdatedDate(This,p)
#define IXMLDocument2_get_URL(This,p) (This)->lpVtbl -> get_URL(This,p)
#define IXMLDocument2_put_URL(This,p)	 (This)->lpVtbl -> put_URL(This,p)
#define IXMLDocument2_get_mimeType(This,p)	\
 (This)->lpVtbl -> get_mimeType(This,p)

#define IXMLDocument2_get_readyState(This,pl)	\
 (This)->lpVtbl -> get_readyState(This,pl)

#define IXMLDocument2_get_charset(This,p)	\
 (This)->lpVtbl -> get_charset(This,p)

#define IXMLDocument2_put_charset(This,p)	\
 (This)->lpVtbl -> put_charset(This,p)

#define IXMLDocument2_get_version(This,p)	\
 (This)->lpVtbl -> get_version(This,p)

#define IXMLDocument2_get_doctype(This,p)	\
 (This)->lpVtbl -> get_doctype(This,p)

#define IXMLDocument2_get_dtdURL(This,p) (This)->lpVtbl -> get_dtdURL(This,p)
#define IXMLDocument2_createElement(This,vType,var1,ppElem) (This)->lpVtbl -> createElement(This,vType,var1,ppElem)
#define IXMLDocument2_get_async(This,pf) (This)->lpVtbl -> get_async(This,pf)
#define IXMLDocument2_put_async(This,f)	 (This)->lpVtbl -> put_async(This,f)
#endif 
HRESULT STDMETHODCALLTYPE IXMLDocument2_get_root_Proxy( IXMLDocument2 * This, IXMLElement2 * *p);
void __RPC_STUB IXMLDocument2_get_root_Stub( IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT STDMETHODCALLTYPE IXMLDocument2_get_fileSize_Proxy( IXMLDocument2 * This, BSTR *p);
void __RPC_STUB IXMLDocument2_get_fileSize_Stub( IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT STDMETHODCALLTYPE IXMLDocument2_get_fileModifiedDate_Proxy( IXMLDocument2 * This, BSTR *p);
void __RPC_STUB IXMLDocument2_get_fileModifiedDate_Stub( IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT STDMETHODCALLTYPE IXMLDocument2_get_fileUpdatedDate_Proxy( IXMLDocument2 * This, BSTR *p);
void __RPC_STUB IXMLDocument2_get_fileUpdatedDate_Stub( IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT STDMETHODCALLTYPE IXMLDocument2_get_URL_Proxy( IXMLDocument2 * This, BSTR *p);
void __RPC_STUB IXMLDocument2_get_URL_Stub( IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase); 
HRESULT STDMETHODCALLTYPE IXMLDocument2_put_URL_Proxy( IXMLDocument2 * This, BSTR p);
void __RPC_STUB IXMLDocument2_put_URL_Stub( IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT STDMETHODCALLTYPE IXMLDocument2_get_mimeType_Proxy( IXMLDocument2 * This, BSTR *p);
void __RPC_STUB IXMLDocument2_get_mimeType_Stub( IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT STDMETHODCALLTYPE IXMLDocument2_get_readyState_Proxy( IXMLDocument2 * This, long *pl);
void __RPC_STUB IXMLDocument2_get_readyState_Stub( IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT STDMETHODCALLTYPE IXMLDocument2_get_charset_Proxy( IXMLDocument2 * This, BSTR *p);
void __RPC_STUB IXMLDocument2_get_charset_Stub( IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase); 
HRESULT STDMETHODCALLTYPE IXMLDocument2_put_charset_Proxy( IXMLDocument2 * This, BSTR p);
void __RPC_STUB IXMLDocument2_put_charset_Stub( IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT STDMETHODCALLTYPE IXMLDocument2_get_version_Proxy( IXMLDocument2 * This, BSTR *p);
void __RPC_STUB IXMLDocument2_get_version_Stub( IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT STDMETHODCALLTYPE IXMLDocument2_get_doctype_Proxy( IXMLDocument2 * This, BSTR *p);
void __RPC_STUB IXMLDocument2_get_doctype_Stub( IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase); 
HRESULT STDMETHODCALLTYPE IXMLDocument2_get_dtdURL_Proxy( IXMLDocument2 * This, BSTR *p);
void __RPC_STUB IXMLDocument2_get_dtdURL_Stub( IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase); 
HRESULT STDMETHODCALLTYPE IXMLDocument2_createElement_Proxy( IXMLDocument2 * This,
 VARIANT vType, VARIANT var1, IXMLElement2 * *ppElem); 
void __RPC_STUB IXMLDocument2_createElement_Stub( IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT STDMETHODCALLTYPE IXMLDocument2_get_async_Proxy( IXMLDocument2 * This, VARIANT_BOOL *pf);
void __RPC_STUB IXMLDocument2_get_async_Stub( IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase); 
HRESULT STDMETHODCALLTYPE IXMLDocument2_put_async_Proxy( IXMLDocument2 * This, VARIANT_BOOL f);
void __RPC_STUB IXMLDocument2_put_async_Stub( IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
#endif 	
#ifndef __IXMLElement_INTERFACE_DEFINED__
#define __IXMLElement_INTERFACE_DEFINED__
EXTERN_C const IID IID_IXMLElement;
typedef struct IXMLElementVtbl {
 BEGIN_INTERFACE
 HRESULT ( STDMETHODCALLTYPE *QueryInterface )( IXMLElement * This, REFIID riid, void * *ppvObject);
 ULONG ( STDMETHODCALLTYPE *AddRef )( IXMLElement * This);
 ULONG ( STDMETHODCALLTYPE *Release )( IXMLElement * This); 
 HRESULT ( STDMETHODCALLTYPE *GetTypeInfoCount )( IXMLElement * This, UINT *pctinfo); 
 HRESULT ( STDMETHODCALLTYPE *GetTypeInfo )( IXMLElement * This, UINT iTInfo, LCID lcid, ITypeInfo * *ppTInfo);
 HRESULT ( STDMETHODCALLTYPE *GetIDsOfNames )( IXMLElement * This, REFIID riid, LPOLESTR *rgszNames, UINT cNames, LCID lcid, DISPID *rgDispId);
 HRESULT ( STDMETHODCALLTYPE *Invoke )( IXMLElement * This, DISPID dispIdMember, REFIID riid, LCID lcid, WORD wFlags, DISPPARAMS *pDispParams, VARIANT *pVarResult, EXCEPINFO *pExcepInfo, UINT *puArgErr); 
 HRESULT ( STDMETHODCALLTYPE *get_tagName )( IXMLElement * This, BSTR *p); 
 HRESULT ( STDMETHODCALLTYPE *put_tagName )( IXMLElement * This, BSTR p);
 HRESULT ( STDMETHODCALLTYPE *get_parent )( IXMLElement * This, IXMLElement * *ppParent);
 HRESULT ( STDMETHODCALLTYPE *setAttribute )( IXMLElement * This, BSTR strPropertyName, VARIANT PropertyValue);
 HRESULT ( STDMETHODCALLTYPE *getAttribute )( IXMLElement * This, BSTR strPropertyName, VARIANT *PropertyValue);
 HRESULT ( STDMETHODCALLTYPE *removeAttribute )( IXMLElement * This, BSTR strPropertyName);
 HRESULT ( STDMETHODCALLTYPE *get_children )( IXMLElement * This, IXMLElementCollection * *pp);
 HRESULT ( STDMETHODCALLTYPE *get_type )( IXMLElement * This, long *plType);
 HRESULT ( STDMETHODCALLTYPE *get_text )( IXMLElement * This, BSTR *p);
 HRESULT ( STDMETHODCALLTYPE *put_text )( IXMLElement * This, BSTR p);
 HRESULT ( STDMETHODCALLTYPE *addChild )( IXMLElement * This, IXMLElement *pChildElem, long lIndex, long lReserved);
 HRESULT ( STDMETHODCALLTYPE *removeChild )( IXMLElement * This, IXMLElement *pChildElem);
 END_INTERFACE
} IXMLElementVtbl;
interface IXMLElement { CONST_VTBL struct IXMLElementVtbl *lpVtbl; };
#ifdef COBJMACROS
#define IXMLElement_QueryInterface(This,riid,ppvObject)	 (This)->lpVtbl -> QueryInterface(This,riid,ppvObject)
#define IXMLElement_AddRef(This)	 (This)->lpVtbl -> AddRef(This)
#define IXMLElement_Release(This)	 (This)->lpVtbl -> Release(This)
#define IXMLElement_GetTypeInfoCount(This,pctinfo) (This)->lpVtbl -> GetTypeInfoCount(This,pctinfo)
#define IXMLElement_GetTypeInfo(This,iTInfo,lcid,ppTInfo) (This)->lpVtbl -> GetTypeInfo(This,iTInfo,lcid,ppTInfo)
#define IXMLElement_GetIDsOfNames(This,riid,rgszNames,cNames,lcid,rgDispId) (This)->lpVtbl -> GetIDsOfNames(This,riid,rgszNames,cNames,lcid,rgDispId)
#define IXMLElement_Invoke(This,dispIdMember,riid,lcid,wFlags,pDispParams,pVarResult,pExcepInfo,puArgErr) (This)->lpVtbl -> Invoke(This,dispIdMember,riid,lcid,wFlags,pDispParams,pVarResult,pExcepInfo,puArgErr)
#define IXMLElement_get_tagName(This,p)	 (This)->lpVtbl -> get_tagName(This,p)
#define IXMLElement_put_tagName(This,p)	 (This)->lpVtbl -> put_tagName(This,p)
#define IXMLElement_get_parent(This,ppParent) (This)->lpVtbl -> get_parent(This,ppParent)
#define IXMLElement_setAttribute(This,strPropertyName,PropertyValue) (This)->lpVtbl -> setAttribute(This,strPropertyName,PropertyValue)
#define IXMLElement_getAttribute(This,strPropertyName,PropertyValue) (This)->lpVtbl -> getAttribute(This,strPropertyName,PropertyValue)
#define IXMLElement_removeAttribute(This,strPropertyName) (This)->lpVtbl -> removeAttribute(This,strPropertyName)
#define IXMLElement_get_children(This,pp) (This)->lpVtbl -> get_children(This,pp)
#define IXMLElement_get_type(This,plType) (This)->lpVtbl -> get_type(This,plType)
#define IXMLElement_get_text(This,p) (This)->lpVtbl -> get_text(This,p)
#define IXMLElement_put_text(This,p) (This)->lpVtbl -> put_text(This,p)
#define IXMLElement_addChild(This,pChildElem,lIndex,lReserved)	 (This)->lpVtbl -> addChild(This,pChildElem,lIndex,lReserved)
#define IXMLElement_removeChild(This,pChildElem) (This)->lpVtbl -> removeChild(This,pChildElem)
#endif 
HRESULT STDMETHODCALLTYPE IXMLElement_get_tagName_Proxy( IXMLElement * This, BSTR *p);
void __RPC_STUB IXMLElement_get_tagName_Stub( IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT STDMETHODCALLTYPE IXMLElement_put_tagName_Proxy( IXMLElement * This, BSTR p);
void __RPC_STUB IXMLElement_put_tagName_Stub( IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase); 
HRESULT STDMETHODCALLTYPE IXMLElement_get_parent_Proxy( IXMLElement * This, IXMLElement * *ppParent);
void __RPC_STUB IXMLElement_get_parent_Stub( IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT STDMETHODCALLTYPE IXMLElement_setAttribute_Proxy( IXMLElement * This,
 BSTR strPropertyName, VARIANT PropertyValue);
void __RPC_STUB IXMLElement_setAttribute_Stub( IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT STDMETHODCALLTYPE IXMLElement_getAttribute_Proxy( IXMLElement * This,
 BSTR strPropertyName, VARIANT *PropertyValue);
void __RPC_STUB IXMLElement_getAttribute_Stub( IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT STDMETHODCALLTYPE IXMLElement_removeAttribute_Proxy( IXMLElement * This, BSTR strPropertyName);
void __RPC_STUB IXMLElement_removeAttribute_Stub( IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase); 
HRESULT STDMETHODCALLTYPE IXMLElement_get_children_Proxy( IXMLElement * This, IXMLElementCollection * *pp);
void __RPC_STUB IXMLElement_get_children_Stub( IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase); 
HRESULT STDMETHODCALLTYPE IXMLElement_get_type_Proxy( IXMLElement * This, long *plType);
void __RPC_STUB IXMLElement_get_type_Stub( IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT STDMETHODCALLTYPE IXMLElement_get_text_Proxy( IXMLElement * This, BSTR *p);
void __RPC_STUB IXMLElement_get_text_Stub( IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT STDMETHODCALLTYPE IXMLElement_put_text_Proxy( IXMLElement * This, BSTR p);
void __RPC_STUB IXMLElement_put_text_Stub( IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT STDMETHODCALLTYPE IXMLElement_addChild_Proxy( IXMLElement * This,
 IXMLElement *pChildElem, long lIndex, long lReserved);
void __RPC_STUB IXMLElement_addChild_Stub( IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT STDMETHODCALLTYPE IXMLElement_removeChild_Proxy( IXMLElement * This, IXMLElement *pChildElem);
void __RPC_STUB IXMLElement_removeChild_Stub( IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
#endif 	
#ifndef __IXMLElement2_INTERFACE_DEFINED__
#define __IXMLElement2_INTERFACE_DEFINED__
EXTERN_C const IID IID_IXMLElement2;
typedef struct IXMLElement2Vtbl {
 BEGIN_INTERFACE
 HRESULT ( STDMETHODCALLTYPE *QueryInterface )( IXMLElement2 * This, REFIID riid, void * *ppvObject); 
 ULONG ( STDMETHODCALLTYPE *AddRef )( IXMLElement2 * This);
 ULONG ( STDMETHODCALLTYPE *Release )( IXMLElement2 * This);
 HRESULT ( STDMETHODCALLTYPE *GetTypeInfoCount )( IXMLElement2 * This, UINT *pctinfo); 
 HRESULT ( STDMETHODCALLTYPE *GetTypeInfo )( IXMLElement2 * This, UINT iTInfo, LCID lcid, ITypeInfo * *ppTInfo); 
 HRESULT ( STDMETHODCALLTYPE *GetIDsOfNames )( IXMLElement2 * This, REFIID riid, LPOLESTR *rgszNames, UINT cNames, LCID lcid, DISPID *rgDispId); 
 HRESULT ( STDMETHODCALLTYPE *Invoke )( IXMLElement2 * This, DISPID dispIdMember, REFIID riid, LCID lcid, WORD wFlags, DISPPARAMS *pDispParams, VARIANT *pVarResult, EXCEPINFO *pExcepInfo, UINT *puArgErr); 
 HRESULT ( STDMETHODCALLTYPE *get_tagName )( IXMLElement2 * This, BSTR *p); 
 HRESULT ( STDMETHODCALLTYPE *put_tagName )( IXMLElement2 * This, BSTR p);
 HRESULT ( STDMETHODCALLTYPE *get_parent )( IXMLElement2 * This, IXMLElement2 * *ppParent);
 HRESULT ( STDMETHODCALLTYPE *setAttribute )( IXMLElement2 * This, BSTR strPropertyName, VARIANT PropertyValue);
 HRESULT ( STDMETHODCALLTYPE *getAttribute )( IXMLElement2 * This, BSTR strPropertyName, VARIANT *PropertyValue);
 HRESULT ( STDMETHODCALLTYPE *removeAttribute )( IXMLElement2 * This, BSTR strPropertyName);
 HRESULT ( STDMETHODCALLTYPE *get_children )( IXMLElement2 * This, IXMLElementCollection * *pp);
 HRESULT ( STDMETHODCALLTYPE *get_type )( IXMLElement2 * This, long *plType);
 HRESULT ( STDMETHODCALLTYPE *get_text )( IXMLElement2 * This, BSTR *p);
 HRESULT ( STDMETHODCALLTYPE *put_text )( IXMLElement2 * This, BSTR p);
 HRESULT ( STDMETHODCALLTYPE *addChild )( IXMLElement2 * This, IXMLElement2 *pChildElem, long lIndex, long lReserved);
 HRESULT ( STDMETHODCALLTYPE *removeChild )( IXMLElement2 * This, IXMLElement2 *pChildElem);
 HRESULT ( STDMETHODCALLTYPE *get_attributes )( IXMLElement2 * This, IXMLElementCollection * *pp);
 END_INTERFACE
 } IXMLElement2Vtbl;
interface IXMLElement2 { CONST_VTBL struct IXMLElement2Vtbl *lpVtbl; }; 
#ifdef COBJMACROS
#define IXMLElement2_QueryInterface(This,riid,ppvObject) (This)->lpVtbl -> QueryInterface(This,riid,ppvObject)
#define IXMLElement2_AddRef(This)	(This)->lpVtbl -> AddRef(This)
#define IXMLElement2_Release(This)	 (This)->lpVtbl -> Release(This)
#define IXMLElement2_GetTypeInfoCount(This,pctinfo) (This)->lpVtbl -> GetTypeInfoCount(This,pctinfo)
#define IXMLElement2_GetTypeInfo(This,iTInfo,lcid,ppTInfo) (This)->lpVtbl -> GetTypeInfo(This,iTInfo,lcid,ppTInfo)
#define IXMLElement2_GetIDsOfNames(This,riid,rgszNames,cNames,lcid,rgDispId) (This)->lpVtbl -> GetIDsOfNames(This,riid,rgszNames,cNames,lcid,rgDispId)
#define IXMLElement2_Invoke(This,dispIdMember,riid,lcid,wFlags,pDispParams,pVarResult,pExcepInfo,puArgErr)	\
 (This)->lpVtbl -> Invoke(This,dispIdMember,riid,lcid,wFlags,pDispParams,pVarResult,pExcepInfo,puArgErr)
#define IXMLElement2_get_tagName(This,p) (This)->lpVtbl -> get_tagName(This,p)
#define IXMLElement2_put_tagName(This,p) (This)->lpVtbl -> put_tagName(This,p)
#define IXMLElement2_get_parent(This,ppParent)	 (This)->lpVtbl -> get_parent(This,ppParent)
#define IXMLElement2_setAttribute(This,strPropertyName,PropertyValue) (This)->lpVtbl -> setAttribute(This,strPropertyName,PropertyValue)
#define IXMLElement2_getAttribute(This,strPropertyName,PropertyValue) (This)->lpVtbl -> getAttribute(This,strPropertyName,PropertyValue)
#define IXMLElement2_removeAttribute(This,strPropertyName) (This)->lpVtbl -> removeAttribute(This,strPropertyName)
#define IXMLElement2_get_children(This,pp) (This)->lpVtbl -> get_children(This,pp)
#define IXMLElement2_get_type(This,plType) (This)->lpVtbl -> get_type(This,plType)
#define IXMLElement2_get_text(This,p) (This)->lpVtbl -> get_text(This,p)
#define IXMLElement2_put_text(This,p) (This)->lpVtbl -> put_text(This,p)
#define IXMLElement2_addChild(This,pChildElem,lIndex,lReserved)	 (This)->lpVtbl -> addChild(This,pChildElem,lIndex,lReserved)
#define IXMLElement2_removeChild(This,pChildElem) (This)->lpVtbl -> removeChild(This,pChildElem)
#define IXMLElement2_get_attributes(This,pp) (This)->lpVtbl -> get_attributes(This,pp)
#endif 
HRESULT STDMETHODCALLTYPE IXMLElement2_get_tagName_Proxy( IXMLElement2 * This, BSTR *p); 
void __RPC_STUB IXMLElement2_get_tagName_Stub( IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase); 
HRESULT STDMETHODCALLTYPE IXMLElement2_put_tagName_Proxy( IXMLElement2 * This, BSTR p);
void __RPC_STUB IXMLElement2_put_tagName_Stub( IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT STDMETHODCALLTYPE IXMLElement2_get_parent_Proxy( IXMLElement2 * This, IXMLElement2 * *ppParent); 
void __RPC_STUB IXMLElement2_get_parent_Stub( IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase); 
HRESULT STDMETHODCALLTYPE IXMLElement2_setAttribute_Proxy( IXMLElement2 * This, BSTR strPropertyName, VARIANT PropertyValue);
void __RPC_STUB IXMLElement2_setAttribute_Stub( IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT STDMETHODCALLTYPE IXMLElement2_getAttribute_Proxy( IXMLElement2 * This, BSTR strPropertyName, VARIANT *PropertyValue);
void __RPC_STUB IXMLElement2_getAttribute_Stub( IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT STDMETHODCALLTYPE IXMLElement2_removeAttribute_Proxy( IXMLElement2 * This, BSTR strPropertyName);
void __RPC_STUB IXMLElement2_removeAttribute_Stub( IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase); 
HRESULT STDMETHODCALLTYPE IXMLElement2_get_children_Proxy( IXMLElement2 * This, IXMLElementCollection * *pp); 
void __RPC_STUB IXMLElement2_get_children_Stub( IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase); 
HRESULT STDMETHODCALLTYPE IXMLElement2_get_type_Proxy( IXMLElement2 * This, long *plType); 
void __RPC_STUB IXMLElement2_get_type_Stub( IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase); 
HRESULT STDMETHODCALLTYPE IXMLElement2_get_text_Proxy( IXMLElement2 * This, BSTR *p);
void __RPC_STUB IXMLElement2_get_text_Stub( IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT STDMETHODCALLTYPE IXMLElement2_put_text_Proxy( IXMLElement2 * This, BSTR p); 
void __RPC_STUB IXMLElement2_put_text_Stub( IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT STDMETHODCALLTYPE IXMLElement2_addChild_Proxy( IXMLElement2 * This, IXMLElement2 *pChildElem, long lIndex, long lReserved); 
void __RPC_STUB IXMLElement2_addChild_Stub( IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT STDMETHODCALLTYPE IXMLElement2_removeChild_Proxy( IXMLElement2 * This, IXMLElement2 *pChildElem);
void __RPC_STUB IXMLElement2_removeChild_Stub( IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT STDMETHODCALLTYPE IXMLElement2_get_attributes_Proxy( IXMLElement2 * This, IXMLElementCollection * *pp);
void __RPC_STUB IXMLElement2_get_attributes_Stub( IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
#endif 	
#ifndef __IXMLAttribute_INTERFACE_DEFINED__
#define __IXMLAttribute_INTERFACE_DEFINED__
EXTERN_C const IID IID_IXMLAttribute;
typedef struct IXMLAttributeVtbl {
 BEGIN_INTERFACE
 HRESULT ( STDMETHODCALLTYPE *QueryInterface )( IXMLAttribute * This, REFIID riid, void * *ppvObject); 
 ULONG ( STDMETHODCALLTYPE *AddRef )( IXMLAttribute * This); 
 ULONG ( STDMETHODCALLTYPE *Release )( IXMLAttribute * This); 
 HRESULT ( STDMETHODCALLTYPE *GetTypeInfoCount )( IXMLAttribute * This, UINT *pctinfo);
 HRESULT ( STDMETHODCALLTYPE *GetTypeInfo )( IXMLAttribute * This, UINT iTInfo, LCID lcid, ITypeInfo * *ppTInfo);
 HRESULT ( STDMETHODCALLTYPE *GetIDsOfNames )( IXMLAttribute * This, REFIID riid, LPOLESTR *rgszNames, UINT cNames, LCID lcid, DISPID *rgDispId); 
 HRESULT ( STDMETHODCALLTYPE *Invoke )( IXMLAttribute * This, DISPID dispIdMember, REFIID riid, LCID lcid, WORD wFlags, DISPPARAMS *pDispParams, VARIANT *pVarResult, EXCEPINFO *pExcepInfo, UINT *puArgErr); 
 HRESULT ( STDMETHODCALLTYPE *get_name )( IXMLAttribute * This, BSTR *n); 
 HRESULT ( STDMETHODCALLTYPE *get_value )( IXMLAttribute * This, BSTR *v);
 END_INTERFACE
} IXMLAttributeVtbl;
interface IXMLAttribute { CONST_VTBL struct IXMLAttributeVtbl *lpVtbl; };
#ifdef COBJMACROS
#define IXMLAttribute_QueryInterface(This,riid,ppvObject) (This)->lpVtbl -> QueryInterface(This,riid,ppvObject)
#define IXMLAttribute_AddRef(This) (This)->lpVtbl -> AddRef(This)
#define IXMLAttribute_Release(This) (This)->lpVtbl -> Release(This)
#define IXMLAttribute_GetTypeInfoCount(This,pctinfo) (This)->lpVtbl -> GetTypeInfoCount(This,pctinfo)
#define IXMLAttribute_GetTypeInfo(This,iTInfo,lcid,ppTInfo) (This)->lpVtbl -> GetTypeInfo(This,iTInfo,lcid,ppTInfo)
#define IXMLAttribute_GetIDsOfNames(This,riid,rgszNames,cNames,lcid,rgDispId) (This)->lpVtbl -> GetIDsOfNames(This,riid,rgszNames,cNames,lcid,rgDispId)
#define IXMLAttribute_Invoke(This,dispIdMember,riid,lcid,wFlags,pDispParams,pVarResult,pExcepInfo,puArgErr)	\
 (This)->lpVtbl -> Invoke(This,dispIdMember,riid,lcid,wFlags,pDispParams,pVarResult,pExcepInfo,puArgErr)
#define IXMLAttribute_get_name(This,n)	 (This)->lpVtbl -> get_name(This,n)
#define IXMLAttribute_get_value(This,v)	 (This)->lpVtbl -> get_value(This,v)
#endif 
HRESULT STDMETHODCALLTYPE IXMLAttribute_get_name_Proxy( IXMLAttribute * This, BSTR *n);
void __RPC_STUB IXMLAttribute_get_name_Stub( IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT STDMETHODCALLTYPE IXMLAttribute_get_value_Proxy( IXMLAttribute * This, BSTR *v);
void __RPC_STUB IXMLAttribute_get_value_Stub( IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
#endif 	
#ifndef __IXMLDocument2Ex_INTERFACE_DEFINED__
#define __IXMLDocument2Ex_INTERFACE_DEFINED__
EXTERN_C const IID IID_IXMLDocument2Ex;

#if defined(__cplusplus) && !defined(CINTERFACE)
#else 	

 typedef struct IXMLDocument2ExVtbl
 {
 BEGIN_INTERFACE
 
 HRESULT ( STDMETHODCALLTYPE *QueryInterface )( 
 IXMLDocument2Ex * This,
 REFIID riid,
 void * *ppvObject);
 
 ULONG ( STDMETHODCALLTYPE *AddRef )( 
 IXMLDocument2Ex * This);
 
 ULONG ( STDMETHODCALLTYPE *Release )( 
 IXMLDocument2Ex * This);
 
 HRESULT ( STDMETHODCALLTYPE *GetTypeInfoCount )( 
 IXMLDocument2Ex * This,
 UINT *pctinfo);
 
 HRESULT ( STDMETHODCALLTYPE *GetTypeInfo )( 
 IXMLDocument2Ex * This,
 UINT iTInfo,
 LCID lcid,
 ITypeInfo * *ppTInfo);
 
 HRESULT ( STDMETHODCALLTYPE *GetIDsOfNames )( 
 IXMLDocument2Ex * This,
 REFIID riid,
 LPOLESTR *rgszNames,
 UINT cNames,
 LCID lcid,
 DISPID *rgDispId);
 
 HRESULT ( STDMETHODCALLTYPE *Invoke )( 
 IXMLDocument2Ex * This,
 DISPID dispIdMember,
 REFIID riid,
 LCID lcid,
 WORD wFlags,
 DISPPARAMS *pDispParams,
 VARIANT *pVarResult,
 EXCEPINFO *pExcepInfo,
 UINT *puArgErr);
 
 HRESULT ( STDMETHODCALLTYPE *get_root )( 
 IXMLDocument2Ex * This,
 IXMLElement2 * *p);
 
 HRESULT ( STDMETHODCALLTYPE *get_fileSize )( 
 IXMLDocument2Ex * This,
 BSTR *p);
 
 HRESULT ( STDMETHODCALLTYPE *get_fileModifiedDate )( 
 IXMLDocument2Ex * This,
 BSTR *p);
 
 HRESULT ( STDMETHODCALLTYPE *get_fileUpdatedDate )( 
 IXMLDocument2Ex * This,
 BSTR *p);
 
 HRESULT ( STDMETHODCALLTYPE *get_URL )( 
 IXMLDocument2Ex * This,
 BSTR *p);
 
 HRESULT ( STDMETHODCALLTYPE *put_URL )( 
 IXMLDocument2Ex * This,
 BSTR p);
 
 HRESULT ( STDMETHODCALLTYPE *get_mimeType )( 
 IXMLDocument2Ex * This,
 BSTR *p);
 
 HRESULT ( STDMETHODCALLTYPE *get_readyState )( 
 IXMLDocument2Ex * This,
 long *pl);
 
 HRESULT ( STDMETHODCALLTYPE *get_charset )( 
 IXMLDocument2Ex * This,
 BSTR *p);
 
 HRESULT ( STDMETHODCALLTYPE *put_charset )( 
 IXMLDocument2Ex * This,
 BSTR p);
 
 HRESULT ( STDMETHODCALLTYPE *get_version )( 
 IXMLDocument2Ex * This,
 BSTR *p);
 
 HRESULT ( STDMETHODCALLTYPE *get_doctype )( 
 IXMLDocument2Ex * This,
 BSTR *p);
 
 HRESULT ( STDMETHODCALLTYPE *get_dtdURL )( 
 IXMLDocument2Ex * This,
 BSTR *p);
 
 HRESULT ( STDMETHODCALLTYPE *createElement )( 
 IXMLDocument2Ex * This,
 VARIANT vType,
 VARIANT var1,
 IXMLElement2 * *ppElem);
 
 HRESULT ( STDMETHODCALLTYPE *get_async )( 
 IXMLDocument2Ex * This,
 VARIANT_BOOL *pf);
 
 HRESULT ( STDMETHODCALLTYPE *put_async )( 
 IXMLDocument2Ex * This,
 VARIANT_BOOL f);
 
 HRESULT ( STDMETHODCALLTYPE *put_root )( 
 IXMLDocument2Ex * This,
 IXMLElement2 *p);
 
 HRESULT ( STDMETHODCALLTYPE *put_caseInsensitive )( 
 IXMLDocument2Ex * This,
 BOOL newVal);
 
 HRESULT ( STDMETHODCALLTYPE *get_baseURL )( 
 IXMLDocument2Ex * This,
 BSTR *p);
 
 HRESULT ( STDMETHODCALLTYPE *put_baseURL )( 
 IXMLDocument2Ex * This,
 BSTR p);
 
 HRESULT ( STDMETHODCALLTYPE *get_xml )( 
 IXMLDocument2Ex * This,
 BSTR *p);
 
 HRESULT ( STDMETHODCALLTYPE *put_xml )( 
 IXMLDocument2Ex * This,
 BSTR p);
 
 HRESULT ( STDMETHODCALLTYPE *get_lastError )( 
 IXMLDocument2Ex * This,
 IXMLError2 * *p);
 
 HRESULT ( STDMETHODCALLTYPE *put_trimWhitespace )( 
 IXMLDocument2Ex * This,
 BOOL newVal);
 
 HRESULT ( STDMETHODCALLTYPE *commit )( 
 IXMLDocument2Ex * This);
 
 END_INTERFACE
 } IXMLDocument2ExVtbl;

 interface IXMLDocument2Ex
 {
 CONST_VTBL struct IXMLDocument2ExVtbl *lpVtbl;
 };

 

#ifdef COBJMACROS


#define IXMLDocument2Ex_QueryInterface(This,riid,ppvObject)	\
 (This)->lpVtbl -> QueryInterface(This,riid,ppvObject)

#define IXMLDocument2Ex_AddRef(This)	\
 (This)->lpVtbl -> AddRef(This)

#define IXMLDocument2Ex_Release(This)	\
 (This)->lpVtbl -> Release(This)


#define IXMLDocument2Ex_GetTypeInfoCount(This,pctinfo)	\
 (This)->lpVtbl -> GetTypeInfoCount(This,pctinfo)

#define IXMLDocument2Ex_GetTypeInfo(This,iTInfo,lcid,ppTInfo)	\
 (This)->lpVtbl -> GetTypeInfo(This,iTInfo,lcid,ppTInfo)

#define IXMLDocument2Ex_GetIDsOfNames(This,riid,rgszNames,cNames,lcid,rgDispId)	\
 (This)->lpVtbl -> GetIDsOfNames(This,riid,rgszNames,cNames,lcid,rgDispId)

#define IXMLDocument2Ex_Invoke(This,dispIdMember,riid,lcid,wFlags,pDispParams,pVarResult,pExcepInfo,puArgErr)	\
 (This)->lpVtbl -> Invoke(This,dispIdMember,riid,lcid,wFlags,pDispParams,pVarResult,pExcepInfo,puArgErr)


#define IXMLDocument2Ex_get_root(This,p)	\
 (This)->lpVtbl -> get_root(This,p)

#define IXMLDocument2Ex_get_fileSize(This,p)	\
 (This)->lpVtbl -> get_fileSize(This,p)

#define IXMLDocument2Ex_get_fileModifiedDate(This,p)	\
 (This)->lpVtbl -> get_fileModifiedDate(This,p)

#define IXMLDocument2Ex_get_fileUpdatedDate(This,p)	\
 (This)->lpVtbl -> get_fileUpdatedDate(This,p)

#define IXMLDocument2Ex_get_URL(This,p)	\
 (This)->lpVtbl -> get_URL(This,p)

#define IXMLDocument2Ex_put_URL(This,p)	\
 (This)->lpVtbl -> put_URL(This,p)

#define IXMLDocument2Ex_get_mimeType(This,p)	\
 (This)->lpVtbl -> get_mimeType(This,p)

#define IXMLDocument2Ex_get_readyState(This,pl)	\
 (This)->lpVtbl -> get_readyState(This,pl)

#define IXMLDocument2Ex_get_charset(This,p)	\
 (This)->lpVtbl -> get_charset(This,p)

#define IXMLDocument2Ex_put_charset(This,p)	\
 (This)->lpVtbl -> put_charset(This,p)

#define IXMLDocument2Ex_get_version(This,p)	\
 (This)->lpVtbl -> get_version(This,p)

#define IXMLDocument2Ex_get_doctype(This,p)	\
 (This)->lpVtbl -> get_doctype(This,p)

#define IXMLDocument2Ex_get_dtdURL(This,p)	\
 (This)->lpVtbl -> get_dtdURL(This,p)

#define IXMLDocument2Ex_createElement(This,vType,var1,ppElem)	\
 (This)->lpVtbl -> createElement(This,vType,var1,ppElem)

#define IXMLDocument2Ex_get_async(This,pf)	\
 (This)->lpVtbl -> get_async(This,pf)

#define IXMLDocument2Ex_put_async(This,f)	\
 (This)->lpVtbl -> put_async(This,f)

#define IXMLDocument2Ex_put_root(This,p)	\
 (This)->lpVtbl -> put_root(This,p)

#define IXMLDocument2Ex_put_caseInsensitive(This,newVal)	\
 (This)->lpVtbl -> put_caseInsensitive(This,newVal)

#define IXMLDocument2Ex_get_baseURL(This,p)	\
 (This)->lpVtbl -> get_baseURL(This,p)

#define IXMLDocument2Ex_put_baseURL(This,p)	\
 (This)->lpVtbl -> put_baseURL(This,p)

#define IXMLDocument2Ex_get_xml(This,p)	\
 (This)->lpVtbl -> get_xml(This,p)

#define IXMLDocument2Ex_put_xml(This,p)	\
 (This)->lpVtbl -> put_xml(This,p)

#define IXMLDocument2Ex_get_lastError(This,p)	\
 (This)->lpVtbl -> get_lastError(This,p)

#define IXMLDocument2Ex_put_trimWhitespace(This,newVal)	\
 (This)->lpVtbl -> put_trimWhitespace(This,newVal)

#define IXMLDocument2Ex_commit(This)	\
 (This)->lpVtbl -> commit(This)

#endif 


#endif 	



 HRESULT STDMETHODCALLTYPE IXMLDocument2Ex_get_root_Proxy( 
 IXMLDocument2Ex * This,
 IXMLElement2 * *p);


void __RPC_STUB IXMLDocument2Ex_get_root_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDocument2Ex_get_fileSize_Proxy( 
 IXMLDocument2Ex * This,
 BSTR *p);


void __RPC_STUB IXMLDocument2Ex_get_fileSize_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDocument2Ex_get_fileModifiedDate_Proxy( 
 IXMLDocument2Ex * This,
 BSTR *p);


void __RPC_STUB IXMLDocument2Ex_get_fileModifiedDate_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDocument2Ex_get_fileUpdatedDate_Proxy( 
 IXMLDocument2Ex * This,
 BSTR *p);


void __RPC_STUB IXMLDocument2Ex_get_fileUpdatedDate_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDocument2Ex_get_URL_Proxy( 
 IXMLDocument2Ex * This,
 BSTR *p);


void __RPC_STUB IXMLDocument2Ex_get_URL_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDocument2Ex_put_URL_Proxy( 
 IXMLDocument2Ex * This,
 BSTR p);


void __RPC_STUB IXMLDocument2Ex_put_URL_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDocument2Ex_get_mimeType_Proxy( 
 IXMLDocument2Ex * This,
 BSTR *p);


void __RPC_STUB IXMLDocument2Ex_get_mimeType_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDocument2Ex_get_readyState_Proxy( 
 IXMLDocument2Ex * This,
 long *pl);


void __RPC_STUB IXMLDocument2Ex_get_readyState_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDocument2Ex_get_charset_Proxy( 
 IXMLDocument2Ex * This,
 BSTR *p);


void __RPC_STUB IXMLDocument2Ex_get_charset_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDocument2Ex_put_charset_Proxy( 
 IXMLDocument2Ex * This,
 BSTR p);


void __RPC_STUB IXMLDocument2Ex_put_charset_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDocument2Ex_get_version_Proxy( 
 IXMLDocument2Ex * This,
 BSTR *p);


void __RPC_STUB IXMLDocument2Ex_get_version_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDocument2Ex_get_doctype_Proxy( 
 IXMLDocument2Ex * This,
 BSTR *p);


void __RPC_STUB IXMLDocument2Ex_get_doctype_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDocument2Ex_get_dtdURL_Proxy( 
 IXMLDocument2Ex * This,
 BSTR *p);


void __RPC_STUB IXMLDocument2Ex_get_dtdURL_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDocument2Ex_createElement_Proxy( 
 IXMLDocument2Ex * This,
 VARIANT vType,
 VARIANT var1,
 IXMLElement2 * *ppElem);


void __RPC_STUB IXMLDocument2Ex_createElement_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDocument2Ex_get_async_Proxy( 
 IXMLDocument2Ex * This,
 VARIANT_BOOL *pf);


void __RPC_STUB IXMLDocument2Ex_get_async_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDocument2Ex_put_async_Proxy( 
 IXMLDocument2Ex * This,
 VARIANT_BOOL f);


void __RPC_STUB IXMLDocument2Ex_put_async_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDocument2Ex_put_root_Proxy( 
 IXMLDocument2Ex * This,
 IXMLElement2 *p);


void __RPC_STUB IXMLDocument2Ex_put_root_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDocument2Ex_put_caseInsensitive_Proxy( 
 IXMLDocument2Ex * This,
 BOOL newVal);


void __RPC_STUB IXMLDocument2Ex_put_caseInsensitive_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDocument2Ex_get_baseURL_Proxy( 
 IXMLDocument2Ex * This,
 BSTR *p);


void __RPC_STUB IXMLDocument2Ex_get_baseURL_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDocument2Ex_put_baseURL_Proxy( 
 IXMLDocument2Ex * This,
 BSTR p);


void __RPC_STUB IXMLDocument2Ex_put_baseURL_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDocument2Ex_get_xml_Proxy( 
 IXMLDocument2Ex * This,
 BSTR *p);


void __RPC_STUB IXMLDocument2Ex_get_xml_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDocument2Ex_put_xml_Proxy( 
 IXMLDocument2Ex * This,
 BSTR p);


void __RPC_STUB IXMLDocument2Ex_put_xml_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDocument2Ex_get_lastError_Proxy( 
 IXMLDocument2Ex * This,
 IXMLError2 * *p);


void __RPC_STUB IXMLDocument2Ex_get_lastError_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDocument2Ex_put_trimWhitespace_Proxy( 
 IXMLDocument2Ex * This,
 BOOL newVal);


void __RPC_STUB IXMLDocument2Ex_put_trimWhitespace_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDocument2Ex_commit_Proxy( 
 IXMLDocument2Ex * This);


void __RPC_STUB IXMLDocument2Ex_commit_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);



#endif 	


#ifndef __IXMLError_INTERFACE_DEFINED__
#define __IXMLError_INTERFACE_DEFINED__


 


EXTERN_C const IID IID_IXMLError;

#if defined(__cplusplus) && !defined(CINTERFACE)
#else 	

 typedef struct IXMLErrorVtbl
 {
 BEGIN_INTERFACE
 
 HRESULT ( STDMETHODCALLTYPE *QueryInterface )( 
 IXMLError * This,
 REFIID riid,
 void * *ppvObject);
 
 ULONG ( STDMETHODCALLTYPE *AddRef )( 
 IXMLError * This);
 
 ULONG ( STDMETHODCALLTYPE *Release )( 
 IXMLError * This);
 
 HRESULT ( STDMETHODCALLTYPE *GetErrorInfo )( 
 IXMLError * This,
 XML_ERROR *pErrorReturn);
 
 END_INTERFACE
 } IXMLErrorVtbl;

 interface IXMLError
 {
 CONST_VTBL struct IXMLErrorVtbl *lpVtbl;
 };

 

#ifdef COBJMACROS


#define IXMLError_QueryInterface(This,riid,ppvObject)	\
 (This)->lpVtbl -> QueryInterface(This,riid,ppvObject)

#define IXMLError_AddRef(This)	\
 (This)->lpVtbl -> AddRef(This)

#define IXMLError_Release(This)	\
 (This)->lpVtbl -> Release(This)


#define IXMLError_GetErrorInfo(This,pErrorReturn)	\
 (This)->lpVtbl -> GetErrorInfo(This,pErrorReturn)

#endif 


#endif 	



HRESULT STDMETHODCALLTYPE IXMLError_GetErrorInfo_Proxy( 
 IXMLError * This,
 XML_ERROR *pErrorReturn);


void __RPC_STUB IXMLError_GetErrorInfo_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);
#endif 	
#ifndef __IXMLError2_INTERFACE_DEFINED__
#define __IXMLError2_INTERFACE_DEFINED__
EXTERN_C const IID IID_IXMLError2;
#if defined(__cplusplus) && !defined(CINTERFACE)
#else 	
typedef struct IXMLError2Vtbl {
 BEGIN_INTERFACE
 HRESULT ( STDMETHODCALLTYPE *QueryInterface )( IXMLError2 * This, REFIID riid, void * *ppvObject);
 ULONG ( STDMETHODCALLTYPE *AddRef )( IXMLError2 * This);
 ULONG ( STDMETHODCALLTYPE *Release )( IXMLError2 * This);
 HRESULT ( STDMETHODCALLTYPE *GetTypeInfoCount )( IXMLError2 * This, UINT *pctinfo); 
 HRESULT ( STDMETHODCALLTYPE *GetTypeInfo )( IXMLError2 * This, UINT iTInfo, LCID lcid, ITypeInfo * *ppTInfo); 
 HRESULT ( STDMETHODCALLTYPE *GetIDsOfNames )( IXMLError2 * This, REFIID riid, LPOLESTR *rgszNames, UINT cNames, LCID lcid, DISPID *rgDispId); 
 HRESULT ( STDMETHODCALLTYPE *Invoke )( IXMLError2 * This, DISPID dispIdMember, REFIID riid, LCID lcid, WORD wFlags, DISPPARAMS *pDispParams, VARIANT *pVarResult, EXCEPINFO *pExcepInfo, UINT *puArgErr); 
 HRESULT ( STDMETHODCALLTYPE *get_reason )( IXMLError2 * This, BSTR *p); 
 HRESULT ( STDMETHODCALLTYPE *get_line )( IXMLError2 * This, long *p); 
 HRESULT ( STDMETHODCALLTYPE *get_pos )( IXMLError2 * This, long *p); 
 END_INTERFACE
} IXMLError2Vtbl;
interface IXMLError2 { CONST_VTBL struct IXMLError2Vtbl *lpVtbl; };
#ifdef COBJMACROS
#define IXMLError2_QueryInterface(This,riid,ppvObject)	 (This)->lpVtbl -> QueryInterface(This,riid,ppvObject)
#define IXMLError2_AddRef(This)	 (This)->lpVtbl -> AddRef(This)
#define IXMLError2_Release(This) (This)->lpVtbl -> Release(This)


#define IXMLError2_GetTypeInfoCount(This,pctinfo)	\
 (This)->lpVtbl -> GetTypeInfoCount(This,pctinfo)

#define IXMLError2_GetTypeInfo(This,iTInfo,lcid,ppTInfo)	\
 (This)->lpVtbl -> GetTypeInfo(This,iTInfo,lcid,ppTInfo)

#define IXMLError2_GetIDsOfNames(This,riid,rgszNames,cNames,lcid,rgDispId)	\
 (This)->lpVtbl -> GetIDsOfNames(This,riid,rgszNames,cNames,lcid,rgDispId)

#define IXMLError2_Invoke(This,dispIdMember,riid,lcid,wFlags,pDispParams,pVarResult,pExcepInfo,puArgErr)	\
 (This)->lpVtbl -> Invoke(This,dispIdMember,riid,lcid,wFlags,pDispParams,pVarResult,pExcepInfo,puArgErr)


#define IXMLError2_get_reason(This,p)	\
 (This)->lpVtbl -> get_reason(This,p)

#define IXMLError2_get_line(This,p)	\
 (This)->lpVtbl -> get_line(This,p)

#define IXMLError2_get_pos(This,p)	\
 (This)->lpVtbl -> get_pos(This,p)

#endif 
#endif 	
 HRESULT STDMETHODCALLTYPE IXMLError2_get_reason_Proxy( 
 IXMLError2 * This,
 BSTR *p);
void __RPC_STUB IXMLError2_get_reason_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);
 HRESULT STDMETHODCALLTYPE IXMLError2_get_line_Proxy( 
 IXMLError2 * This,
 long *p);
void __RPC_STUB IXMLError2_get_line_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);
 HRESULT STDMETHODCALLTYPE IXMLError2_get_pos_Proxy( 
 IXMLError2 * This,
 long *p);
void __RPC_STUB IXMLError2_get_pos_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);
#endif 	
#ifndef __IDOMNode_INTERFACE_DEFINED__
#define __IDOMNode_INTERFACE_DEFINED__
EXTERN_C const IID IID_IDOMNode;
#if defined(__cplusplus) && !defined(CINTERFACE)
#else 	
typedef struct IDOMNodeVtbl {
 BEGIN_INTERFACE
 HRESULT ( STDMETHODCALLTYPE *QueryInterface )( IDOMNode * This, REFIID riid, void * *ppvObject);
 ULONG ( STDMETHODCALLTYPE *AddRef )( IDOMNode * This); 
 ULONG ( STDMETHODCALLTYPE *Release )( IDOMNode * This); 
 HRESULT ( STDMETHODCALLTYPE *GetTypeInfoCount )( IDOMNode * This, UINT *pctinfo); 
 HRESULT ( STDMETHODCALLTYPE *GetTypeInfo )( IDOMNode * This, UINT iTInfo, LCID lcid, ITypeInfo * *ppTInfo); 
 HRESULT ( STDMETHODCALLTYPE *GetIDsOfNames )( IDOMNode * This, REFIID riid, LPOLESTR *rgszNames, UINT cNames, LCID lcid, DISPID *rgDispId); 
 HRESULT ( STDMETHODCALLTYPE *Invoke )( IDOMNode * This, DISPID dispIdMember, REFIID riid, LCID lcid, WORD wFlags, DISPPARAMS *pDispParams, VARIANT *pVarResult, EXCEPINFO *pExcepInfo, UINT *puArgErr); 
 HRESULT ( STDMETHODCALLTYPE *get_nodeType )( IDOMNode * This, XMLNodeType *plType); 
 HRESULT ( STDMETHODCALLTYPE *get_nodeName )( IDOMNode * This, BSTR *pbstrName); 
 HRESULT ( STDMETHODCALLTYPE *get_nodeValue )( IDOMNode * This, BSTR *pbstrVal); 
 HRESULT ( STDMETHODCALLTYPE *put_nodeValue )( IDOMNode * This, BSTR bstrVal); 
 HRESULT ( STDMETHODCALLTYPE *get_parentNode )( IDOMNode * This, IDOMNode * *ppNode); 
 HRESULT ( STDMETHODCALLTYPE *getAttribute )( IDOMNode * This, BSTR bstrName, VARIANT NameSpaceDecl, VARIANT *pvarVal); 
 HRESULT ( STDMETHODCALLTYPE *setAttribute )( IDOMNode * This, BSTR bstrName, VARIANT bstrVal, VARIANT NameSpaceDecl, IDOMNode * *ppAttribute); 
 HRESULT ( STDMETHODCALLTYPE *removeAttribute )( IDOMNode * This, BSTR bstrName, VARIANT NameSpaceDecl, IDOMNode * *ppAttribute); 
 HRESULT ( STDMETHODCALLTYPE *get_specified )( IDOMNode * This, VARIANT_BOOL *pbool); 
 HRESULT ( STDMETHODCALLTYPE *insertNode )( IDOMNode * This, IDOMNode *pChild, VARIANT After, IDOMNode * *ppNode);
 HRESULT ( STDMETHODCALLTYPE *removeNode )( IDOMNode * This, IDOMNode *pChild, IDOMNode * *ppNode);
 HRESULT ( STDMETHODCALLTYPE *replaceNode )( IDOMNode * This, IDOMNode *pOld, IDOMNode *pNew, IDOMNode * *ppNode);
 HRESULT ( STDMETHODCALLTYPE *get_attributes )( IDOMNode * This, IDOMNodeList * *ppNodeList);
 HRESULT ( STDMETHODCALLTYPE *get_childNodes )( IDOMNode * This, IDOMNodeList * *ppNodeList);
 END_INTERFACE
 } IDOMNodeVtbl;

 interface IDOMNode
 {
 CONST_VTBL struct IDOMNodeVtbl *lpVtbl;
 };

 

#ifdef COBJMACROS


#define IDOMNode_QueryInterface(This,riid,ppvObject)	\
 (This)->lpVtbl -> QueryInterface(This,riid,ppvObject)

#define IDOMNode_AddRef(This)	\
 (This)->lpVtbl -> AddRef(This)

#define IDOMNode_Release(This)	\
 (This)->lpVtbl -> Release(This)


#define IDOMNode_GetTypeInfoCount(This,pctinfo)	\
 (This)->lpVtbl -> GetTypeInfoCount(This,pctinfo)

#define IDOMNode_GetTypeInfo(This,iTInfo,lcid,ppTInfo)	\
 (This)->lpVtbl -> GetTypeInfo(This,iTInfo,lcid,ppTInfo)

#define IDOMNode_GetIDsOfNames(This,riid,rgszNames,cNames,lcid,rgDispId)	\
 (This)->lpVtbl -> GetIDsOfNames(This,riid,rgszNames,cNames,lcid,rgDispId)

#define IDOMNode_Invoke(This,dispIdMember,riid,lcid,wFlags,pDispParams,pVarResult,pExcepInfo,puArgErr)	\
 (This)->lpVtbl -> Invoke(This,dispIdMember,riid,lcid,wFlags,pDispParams,pVarResult,pExcepInfo,puArgErr)


#define IDOMNode_get_nodeType(This,plType)	\
 (This)->lpVtbl -> get_nodeType(This,plType)

#define IDOMNode_get_nodeName(This,pbstrName)	\
 (This)->lpVtbl -> get_nodeName(This,pbstrName)

#define IDOMNode_get_nodeValue(This,pbstrVal)	\
 (This)->lpVtbl -> get_nodeValue(This,pbstrVal)

#define IDOMNode_put_nodeValue(This,bstrVal)	\
 (This)->lpVtbl -> put_nodeValue(This,bstrVal)

#define IDOMNode_get_parentNode(This,ppNode)	\
 (This)->lpVtbl -> get_parentNode(This,ppNode)

#define IDOMNode_getAttribute(This,bstrName,NameSpaceDecl,pvarVal)	\
 (This)->lpVtbl -> getAttribute(This,bstrName,NameSpaceDecl,pvarVal)

#define IDOMNode_setAttribute(This,bstrName,bstrVal,NameSpaceDecl,ppAttribute)	\
 (This)->lpVtbl -> setAttribute(This,bstrName,bstrVal,NameSpaceDecl,ppAttribute)

#define IDOMNode_removeAttribute(This,bstrName,NameSpaceDecl,ppAttribute)	\
 (This)->lpVtbl -> removeAttribute(This,bstrName,NameSpaceDecl,ppAttribute)

#define IDOMNode_get_specified(This,pbool)	\
 (This)->lpVtbl -> get_specified(This,pbool)

#define IDOMNode_insertNode(This,pChild,After,ppNode)	\
 (This)->lpVtbl -> insertNode(This,pChild,After,ppNode)

#define IDOMNode_removeNode(This,pChild,ppNode)	\
 (This)->lpVtbl -> removeNode(This,pChild,ppNode)

#define IDOMNode_replaceNode(This,pOld,pNew,ppNode)	\
 (This)->lpVtbl -> replaceNode(This,pOld,pNew,ppNode)

#define IDOMNode_get_attributes(This,ppNodeList)	\
 (This)->lpVtbl -> get_attributes(This,ppNodeList)

#define IDOMNode_get_childNodes(This,ppNodeList)	\
 (This)->lpVtbl -> get_childNodes(This,ppNodeList)

#endif 


#endif 	



 HRESULT STDMETHODCALLTYPE IDOMNode_get_nodeType_Proxy( 
 IDOMNode * This,
 XMLNodeType *plType);


void __RPC_STUB IDOMNode_get_nodeType_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IDOMNode_get_nodeName_Proxy( 
 IDOMNode * This,
 BSTR *pbstrName);


void __RPC_STUB IDOMNode_get_nodeName_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IDOMNode_get_nodeValue_Proxy( 
 IDOMNode * This,
 BSTR *pbstrVal);


void __RPC_STUB IDOMNode_get_nodeValue_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IDOMNode_put_nodeValue_Proxy( 
 IDOMNode * This,
 BSTR bstrVal);


void __RPC_STUB IDOMNode_put_nodeValue_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IDOMNode_get_parentNode_Proxy( 
 IDOMNode * This,
 IDOMNode * *ppNode);


void __RPC_STUB IDOMNode_get_parentNode_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IDOMNode_getAttribute_Proxy( 
 IDOMNode * This,
 BSTR bstrName,
 VARIANT NameSpaceDecl,
 VARIANT *pvarVal);


void __RPC_STUB IDOMNode_getAttribute_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IDOMNode_setAttribute_Proxy( 
 IDOMNode * This,
 BSTR bstrName,
 VARIANT bstrVal,
 VARIANT NameSpaceDecl,
 IDOMNode * *ppAttribute);


void __RPC_STUB IDOMNode_setAttribute_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IDOMNode_removeAttribute_Proxy( 
 IDOMNode * This,
 BSTR bstrName,
 VARIANT NameSpaceDecl,
 IDOMNode * *ppAttribute);


void __RPC_STUB IDOMNode_removeAttribute_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IDOMNode_get_specified_Proxy( 
 IDOMNode * This,
 VARIANT_BOOL *pbool);


void __RPC_STUB IDOMNode_get_specified_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IDOMNode_insertNode_Proxy( 
 IDOMNode * This,
 IDOMNode *pChild,
 VARIANT After,
 IDOMNode * *ppNode);


void __RPC_STUB IDOMNode_insertNode_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IDOMNode_removeNode_Proxy( 
 IDOMNode * This,
 IDOMNode *pChild,
 IDOMNode * *ppNode);


void __RPC_STUB IDOMNode_removeNode_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IDOMNode_replaceNode_Proxy( 
 IDOMNode * This,
 IDOMNode *pOld,
 IDOMNode *pNew,
 IDOMNode * *ppNode);


void __RPC_STUB IDOMNode_replaceNode_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IDOMNode_get_attributes_Proxy( 
 IDOMNode * This,
 IDOMNodeList * *ppNodeList);


void __RPC_STUB IDOMNode_get_attributes_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IDOMNode_get_childNodes_Proxy( 
 IDOMNode * This,
 IDOMNodeList * *ppNodeList);


void __RPC_STUB IDOMNode_get_childNodes_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);



#endif 	


#ifndef __IDOMNodeList_INTERFACE_DEFINED__
#define __IDOMNodeList_INTERFACE_DEFINED__
EXTERN_C const IID IID_IDOMNodeList;
typedef struct IDOMNodeListVtbl {
 BEGIN_INTERFACE
 HRESULT ( STDMETHODCALLTYPE *QueryInterface )( IDOMNodeList * This, REFIID riid, void * *ppvObject);
 ULONG ( STDMETHODCALLTYPE *AddRef )( IDOMNodeList * This);
 ULONG ( STDMETHODCALLTYPE *Release )( IDOMNodeList * This);
 HRESULT ( STDMETHODCALLTYPE *GetTypeInfoCount )( IDOMNodeList * This, UINT *pctinfo);
 HRESULT ( STDMETHODCALLTYPE *GetTypeInfo )( IDOMNodeList * This, UINT iTInfo, LCID lcid, ITypeInfo * *ppTInfo);
 HRESULT ( STDMETHODCALLTYPE *GetIDsOfNames )( IDOMNodeList * This, REFIID riid, LPOLESTR *rgszNames, UINT cNames, LCID lcid, DISPID *rgDispId); 
 HRESULT ( STDMETHODCALLTYPE *Invoke )( IDOMNodeList * This, DISPID dispIdMember, REFIID riid, LCID lcid, WORD wFlags, DISPPARAMS *pDispParams, VARIANT *pVarResult, EXCEPINFO *pExcepInfo, UINT *puArgErr); 
 HRESULT ( STDMETHODCALLTYPE *get_length )( IDOMNodeList * This, long *plLength); 
 HRESULT ( STDMETHODCALLTYPE *item )( IDOMNodeList * This, long index, IDOMNode * *ppNode); 
 HRESULT ( STDMETHODCALLTYPE *nextNode )( IDOMNodeList * This, IDOMNode * *ppNode); 
 HRESULT ( STDMETHODCALLTYPE *currentNode )( IDOMNodeList * This, IDOMNode * *ppNode); 
 HRESULT ( STDMETHODCALLTYPE *previousNode )( IDOMNodeList * This, IDOMNode * *ppNode); 
 HRESULT ( STDMETHODCALLTYPE *moveTo )( IDOMNodeList * This, long lIndex, IDOMNode * *ppNode);
 HRESULT ( STDMETHODCALLTYPE *moveToNode )( IDOMNodeList * This, IDOMNode *pNode, IDOMNode * *ppNode);
 HRESULT ( STDMETHODCALLTYPE *get__newEnum )( IDOMNodeList * This, IUnknown * *ppUnk);
 END_INTERFACE
} IDOMNodeListVtbl;
interface IDOMNodeList { CONST_VTBL struct IDOMNodeListVtbl *lpVtbl; };
#ifdef COBJMACROS
#define IDOMNodeList_QueryInterface(This,riid,ppvObject) (This)->lpVtbl -> QueryInterface(This,riid,ppvObject)
#define IDOMNodeList_AddRef(This) (This)->lpVtbl -> AddRef(This)
#define IDOMNodeList_Release(This) (This)->lpVtbl -> Release(This)
#define IDOMNodeList_GetTypeInfoCount(This,pctinfo) (This)->lpVtbl -> GetTypeInfoCount(This,pctinfo)
#define IDOMNodeList_GetTypeInfo(This,iTInfo,lcid,ppTInfo) (This)->lpVtbl -> GetTypeInfo(This,iTInfo,lcid,ppTInfo)
#define IDOMNodeList_GetIDsOfNames(This,riid,rgszNames,cNames,lcid,rgDispId) (This)->lpVtbl -> GetIDsOfNames(This,riid,rgszNames,cNames,lcid,rgDispId)
#define IDOMNodeList_Invoke(This,dispIdMember,riid,lcid,wFlags,pDispParams,pVarResult,pExcepInfo,puArgErr) (This)->lpVtbl -> Invoke(This,dispIdMember,riid,lcid,wFlags,pDispParams,pVarResult,pExcepInfo,puArgErr)
#define IDOMNodeList_get_length(This,plLength) (This)->lpVtbl -> get_length(This,plLength)
#define IDOMNodeList_item(This,index,ppNode) (This)->lpVtbl -> item(This,index,ppNode)
#define IDOMNodeList_nextNode(This,ppNode) (This)->lpVtbl -> nextNode(This,ppNode)
#define IDOMNodeList_currentNode(This,ppNode) (This)->lpVtbl -> currentNode(This,ppNode)
#define IDOMNodeList_previousNode(This,ppNode) (This)->lpVtbl -> previousNode(This,ppNode)
#define IDOMNodeList_moveTo(This,lIndex,ppNode)	 (This)->lpVtbl -> moveTo(This,lIndex,ppNode)
#define IDOMNodeList_moveToNode(This,pNode,ppNode) (This)->lpVtbl -> moveToNode(This,pNode,ppNode)
#define IDOMNodeList_get__newEnum(This,ppUnk) (This)->lpVtbl -> get__newEnum(This,ppUnk)
#endif 
HRESULT STDMETHODCALLTYPE IDOMNodeList_get_length_Proxy( IDOMNodeList * This, long *plLength);
void __RPC_STUB IDOMNodeList_get_length_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase); 
HRESULT STDMETHODCALLTYPE IDOMNodeList_item_Proxy( IDOMNodeList * This, long index, IDOMNode * *ppNode);
void __RPC_STUB IDOMNodeList_item_Stub( IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase); 
HRESULT STDMETHODCALLTYPE IDOMNodeList_nextNode_Proxy( 
 IDOMNodeList * This,
 IDOMNode * *ppNode);


void __RPC_STUB IDOMNodeList_nextNode_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IDOMNodeList_currentNode_Proxy( 
 IDOMNodeList * This,
 IDOMNode * *ppNode);


void __RPC_STUB IDOMNodeList_currentNode_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IDOMNodeList_previousNode_Proxy( 
 IDOMNodeList * This,
 IDOMNode * *ppNode);


void __RPC_STUB IDOMNodeList_previousNode_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IDOMNodeList_moveTo_Proxy( 
 IDOMNodeList * This,
 long lIndex,
 IDOMNode * *ppNode);


void __RPC_STUB IDOMNodeList_moveTo_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IDOMNodeList_moveToNode_Proxy( 
 IDOMNodeList * This,
 IDOMNode *pNode,
 IDOMNode * *ppNode);


void __RPC_STUB IDOMNodeList_moveToNode_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IDOMNodeList_get__newEnum_Proxy( 
 IDOMNodeList * This,
 IUnknown * *ppUnk);


void __RPC_STUB IDOMNodeList_get__newEnum_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);



#endif 	


#ifndef __IDOMDocument_INTERFACE_DEFINED__
#define __IDOMDocument_INTERFACE_DEFINED__
EXTERN_C const IID IID_IDOMDocument;
#if defined(__cplusplus) && !defined(CINTERFACE)
#else 	
typedef struct IDOMDocumentVtbl {
 BEGIN_INTERFACE
 HRESULT ( STDMETHODCALLTYPE *QueryInterface )( IDOMDocument * This, REFIID riid, void * *ppvObject);
 ULONG ( STDMETHODCALLTYPE *AddRef )( IDOMDocument * This);
 ULONG ( STDMETHODCALLTYPE *Release )( IDOMDocument * This);
 HRESULT ( STDMETHODCALLTYPE *GetTypeInfoCount )( IDOMDocument * This, UINT *pctinfo);
 HRESULT ( STDMETHODCALLTYPE *GetTypeInfo )( IDOMDocument * This, UINT iTInfo, LCID lcid, ITypeInfo * *ppTInfo);
 HRESULT ( STDMETHODCALLTYPE *GetIDsOfNames )( IDOMDocument *, REFIID,LPOLESTR *,UINT,LCID,DISPID *); 
 HRESULT ( STDMETHODCALLTYPE *Invoke )( IDOMDocument *,DISPID,REFIID,LCID,WORD,DISPPARAMS *,VARIANT *,EXCEPINFO *,UINT *);
 
 HRESULT ( STDMETHODCALLTYPE *get_nodeType )( 
 IDOMDocument * This,
 XMLNodeType *plType);
 
 HRESULT ( STDMETHODCALLTYPE *get_nodeName )( 
 IDOMDocument * This,
 BSTR *pbstrName);
 
 HRESULT ( STDMETHODCALLTYPE *get_nodeValue )( 
 IDOMDocument * This,
 BSTR *pbstrVal);
 
 HRESULT ( STDMETHODCALLTYPE *put_nodeValue )( 
 IDOMDocument * This,
 BSTR bstrVal);
 
 HRESULT ( STDMETHODCALLTYPE *get_parentNode )( 
 IDOMDocument * This,
 IDOMNode * *ppNode);
 
 HRESULT ( STDMETHODCALLTYPE *getAttribute )( 
 IDOMDocument * This,
 BSTR bstrName,
 VARIANT NameSpaceDecl,
 VARIANT *pvarVal);
 
 HRESULT ( STDMETHODCALLTYPE *setAttribute )( 
 IDOMDocument * This,
 BSTR bstrName,
 VARIANT bstrVal,
 VARIANT NameSpaceDecl,
 IDOMNode * *ppAttribute);
 
 HRESULT ( STDMETHODCALLTYPE *removeAttribute )( 
 IDOMDocument * This,
 BSTR bstrName,
 VARIANT NameSpaceDecl,
 IDOMNode * *ppAttribute);
 
 HRESULT ( STDMETHODCALLTYPE *get_specified )( 
 IDOMDocument * This,
 VARIANT_BOOL *pbool);
 
 HRESULT ( STDMETHODCALLTYPE *insertNode )( 
 IDOMDocument * This,
 IDOMNode *pChild,
 VARIANT After,
 IDOMNode * *ppNode);
 
 HRESULT ( STDMETHODCALLTYPE *removeNode )( 
 IDOMDocument * This,
 IDOMNode *pChild,
 IDOMNode * *ppNode);
 
 HRESULT ( STDMETHODCALLTYPE *replaceNode )( 
 IDOMDocument * This,
 IDOMNode *pOld,
 IDOMNode *pNew,
 IDOMNode * *ppNode);
 
 HRESULT ( STDMETHODCALLTYPE *get_attributes )( 
 IDOMDocument * This,
 IDOMNodeList * *ppNodeList);
 
 HRESULT ( STDMETHODCALLTYPE *get_childNodes )( 
 IDOMDocument * This,
 IDOMNodeList * *ppNodeList);
 
 HRESULT ( STDMETHODCALLTYPE *get_documentType )( 
 IDOMDocument * This,
 IDOMNode * *ppNode);
 
 HRESULT ( STDMETHODCALLTYPE *get_documentNode )( 
 IDOMDocument * This,
 IDOMNode * *ppNode);
 
 HRESULT ( STDMETHODCALLTYPE *put_documentNode )( 
 IDOMDocument * This,
 VARIANT varNode);
 
 HRESULT ( STDMETHODCALLTYPE *createNode )( 
 IDOMDocument * This,
 XMLNodeType lType,
 BSTR bstrText,
 VARIANT NameSpaceDecl,
 IDOMNode * *ppNode);
 
 END_INTERFACE
 } IDOMDocumentVtbl;

 interface IDOMDocument
 {
 CONST_VTBL struct IDOMDocumentVtbl *lpVtbl;
 };

 

#ifdef COBJMACROS


#define IDOMDocument_QueryInterface(This,riid,ppvObject)	\
 (This)->lpVtbl -> QueryInterface(This,riid,ppvObject)

#define IDOMDocument_AddRef(This)	\
 (This)->lpVtbl -> AddRef(This)

#define IDOMDocument_Release(This)	\
 (This)->lpVtbl -> Release(This)


#define IDOMDocument_GetTypeInfoCount(This,pctinfo)	\
 (This)->lpVtbl -> GetTypeInfoCount(This,pctinfo)

#define IDOMDocument_GetTypeInfo(This,iTInfo,lcid,ppTInfo)	\
 (This)->lpVtbl -> GetTypeInfo(This,iTInfo,lcid,ppTInfo)

#define IDOMDocument_GetIDsOfNames(This,riid,rgszNames,cNames,lcid,rgDispId)	\
 (This)->lpVtbl -> GetIDsOfNames(This,riid,rgszNames,cNames,lcid,rgDispId)

#define IDOMDocument_Invoke(This,dispIdMember,riid,lcid,wFlags,pDispParams,pVarResult,pExcepInfo,puArgErr)	\
 (This)->lpVtbl -> Invoke(This,dispIdMember,riid,lcid,wFlags,pDispParams,pVarResult,pExcepInfo,puArgErr)


#define IDOMDocument_get_nodeType(This,plType)	\
 (This)->lpVtbl -> get_nodeType(This,plType)

#define IDOMDocument_get_nodeName(This,pbstrName)	\
 (This)->lpVtbl -> get_nodeName(This,pbstrName)

#define IDOMDocument_get_nodeValue(This,pbstrVal)	\
 (This)->lpVtbl -> get_nodeValue(This,pbstrVal)

#define IDOMDocument_put_nodeValue(This,bstrVal)	\
 (This)->lpVtbl -> put_nodeValue(This,bstrVal)

#define IDOMDocument_get_parentNode(This,ppNode)	\
 (This)->lpVtbl -> get_parentNode(This,ppNode)

#define IDOMDocument_getAttribute(This,bstrName,NameSpaceDecl,pvarVal)	\
 (This)->lpVtbl -> getAttribute(This,bstrName,NameSpaceDecl,pvarVal)

#define IDOMDocument_setAttribute(This,bstrName,bstrVal,NameSpaceDecl,ppAttribute)	\
 (This)->lpVtbl -> setAttribute(This,bstrName,bstrVal,NameSpaceDecl,ppAttribute)

#define IDOMDocument_removeAttribute(This,bstrName,NameSpaceDecl,ppAttribute)	\
 (This)->lpVtbl -> removeAttribute(This,bstrName,NameSpaceDecl,ppAttribute)

#define IDOMDocument_get_specified(This,pbool)	\
 (This)->lpVtbl -> get_specified(This,pbool)

#define IDOMDocument_insertNode(This,pChild,After,ppNode)	\
 (This)->lpVtbl -> insertNode(This,pChild,After,ppNode)

#define IDOMDocument_removeNode(This,pChild,ppNode)	\
 (This)->lpVtbl -> removeNode(This,pChild,ppNode)

#define IDOMDocument_replaceNode(This,pOld,pNew,ppNode)	\
 (This)->lpVtbl -> replaceNode(This,pOld,pNew,ppNode)

#define IDOMDocument_get_attributes(This,ppNodeList)	\
 (This)->lpVtbl -> get_attributes(This,ppNodeList)

#define IDOMDocument_get_childNodes(This,ppNodeList)	\
 (This)->lpVtbl -> get_childNodes(This,ppNodeList)


#define IDOMDocument_get_documentType(This,ppNode)	\
 (This)->lpVtbl -> get_documentType(This,ppNode)

#define IDOMDocument_get_documentNode(This,ppNode)	\
 (This)->lpVtbl -> get_documentNode(This,ppNode)

#define IDOMDocument_put_documentNode(This,varNode)	\
 (This)->lpVtbl -> put_documentNode(This,varNode)

#define IDOMDocument_createNode(This,lType,bstrText,NameSpaceDecl,ppNode)	\
 (This)->lpVtbl -> createNode(This,lType,bstrText,NameSpaceDecl,ppNode)

#endif 


#endif 	



 HRESULT STDMETHODCALLTYPE IDOMDocument_get_documentType_Proxy( 
 IDOMDocument * This,
 IDOMNode * *ppNode);


void __RPC_STUB IDOMDocument_get_documentType_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IDOMDocument_get_documentNode_Proxy( 
 IDOMDocument * This,
 IDOMNode * *ppNode);


void __RPC_STUB IDOMDocument_get_documentNode_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IDOMDocument_put_documentNode_Proxy( 
 IDOMDocument * This,
 VARIANT varNode);


void __RPC_STUB IDOMDocument_put_documentNode_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IDOMDocument_createNode_Proxy( 
 IDOMDocument * This,
 XMLNodeType lType,
 BSTR bstrText,
 VARIANT NameSpaceDecl,
 IDOMNode * *ppNode);


void __RPC_STUB IDOMDocument_createNode_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);



#endif 	


#ifndef __IDOMError_INTERFACE_DEFINED__
#define __IDOMError_INTERFACE_DEFINED__


 


EXTERN_C const IID IID_IDOMError;

#if defined(__cplusplus) && !defined(CINTERFACE)
#else 	

 typedef struct IDOMErrorVtbl
 {
 BEGIN_INTERFACE
 
 HRESULT ( STDMETHODCALLTYPE *QueryInterface )( 
 IDOMError * This,
 REFIID riid,
 void * *ppvObject);
 
 ULONG ( STDMETHODCALLTYPE *AddRef )( 
 IDOMError * This);
 
 ULONG ( STDMETHODCALLTYPE *Release )( 
 IDOMError * This);
 
 HRESULT ( STDMETHODCALLTYPE *GetTypeInfoCount )( 
 IDOMError * This,
 UINT *pctinfo);
 
 HRESULT ( STDMETHODCALLTYPE *GetTypeInfo )( 
 IDOMError * This,
 UINT iTInfo,
 LCID lcid,
 ITypeInfo * *ppTInfo);
 
 HRESULT ( STDMETHODCALLTYPE *GetIDsOfNames )( 
 IDOMError * This,
 REFIID riid,
 LPOLESTR *rgszNames,
 UINT cNames,
 LCID lcid,
 DISPID *rgDispId);
 
 HRESULT ( STDMETHODCALLTYPE *Invoke )( 
 IDOMError * This,
 DISPID dispIdMember,
 REFIID riid,
 LCID lcid,
 WORD wFlags,
 DISPPARAMS *pDispParams,
 VARIANT *pVarResult,
 EXCEPINFO *pExcepInfo,
 UINT *puArgErr);
 
 HRESULT ( STDMETHODCALLTYPE *get_errorCode )( 
 IDOMError * This,
 ULONG *pulErrorCode);
 
 HRESULT ( STDMETHODCALLTYPE *get_url )( 
 IDOMError * This,
 BSTR *pbstrUrl);
 
 HRESULT ( STDMETHODCALLTYPE *get_reason )( 
 IDOMError * This,
 BSTR *pbstrReason);
 
 HRESULT ( STDMETHODCALLTYPE *get_srcText )( 
 IDOMError * This,
 BSTR *pbstrText);
 
 HRESULT ( STDMETHODCALLTYPE *get_line )( 
 IDOMError * This,
 long *plLine);
 
 HRESULT ( STDMETHODCALLTYPE *get_linepos )( 
 IDOMError * This,
 long *plLinePos);
 
 HRESULT ( STDMETHODCALLTYPE *get_filepos )( 
 IDOMError * This,
 long *plFilePos);
 
 END_INTERFACE
 } IDOMErrorVtbl;

 interface IDOMError
 {
 CONST_VTBL struct IDOMErrorVtbl *lpVtbl;
 };

 

#ifdef COBJMACROS


#define IDOMError_QueryInterface(This,riid,ppvObject)	\
 (This)->lpVtbl -> QueryInterface(This,riid,ppvObject)

#define IDOMError_AddRef(This)	\
 (This)->lpVtbl -> AddRef(This)

#define IDOMError_Release(This)	\
 (This)->lpVtbl -> Release(This)


#define IDOMError_GetTypeInfoCount(This,pctinfo)	\
 (This)->lpVtbl -> GetTypeInfoCount(This,pctinfo)

#define IDOMError_GetTypeInfo(This,iTInfo,lcid,ppTInfo)	\
 (This)->lpVtbl -> GetTypeInfo(This,iTInfo,lcid,ppTInfo)

#define IDOMError_GetIDsOfNames(This,riid,rgszNames,cNames,lcid,rgDispId)	\
 (This)->lpVtbl -> GetIDsOfNames(This,riid,rgszNames,cNames,lcid,rgDispId)

#define IDOMError_Invoke(This,dispIdMember,riid,lcid,wFlags,pDispParams,pVarResult,pExcepInfo,puArgErr)	\
 (This)->lpVtbl -> Invoke(This,dispIdMember,riid,lcid,wFlags,pDispParams,pVarResult,pExcepInfo,puArgErr)


#define IDOMError_get_errorCode(This,pulErrorCode)	\
 (This)->lpVtbl -> get_errorCode(This,pulErrorCode)

#define IDOMError_get_url(This,pbstrUrl)	\
 (This)->lpVtbl -> get_url(This,pbstrUrl)

#define IDOMError_get_reason(This,pbstrReason)	\
 (This)->lpVtbl -> get_reason(This,pbstrReason)

#define IDOMError_get_srcText(This,pbstrText)	\
 (This)->lpVtbl -> get_srcText(This,pbstrText)

#define IDOMError_get_line(This,plLine)	\
 (This)->lpVtbl -> get_line(This,plLine)

#define IDOMError_get_linepos(This,plLinePos)	\
 (This)->lpVtbl -> get_linepos(This,plLinePos)

#define IDOMError_get_filepos(This,plFilePos)	\
 (This)->lpVtbl -> get_filepos(This,plFilePos)

#endif 


#endif 	



 HRESULT STDMETHODCALLTYPE IDOMError_get_errorCode_Proxy( 
 IDOMError * This,
 ULONG *pulErrorCode);


void __RPC_STUB IDOMError_get_errorCode_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IDOMError_get_url_Proxy( 
 IDOMError * This,
 BSTR *pbstrUrl);


void __RPC_STUB IDOMError_get_url_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IDOMError_get_reason_Proxy( 
 IDOMError * This,
 BSTR *pbstrReason);


void __RPC_STUB IDOMError_get_reason_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IDOMError_get_srcText_Proxy( 
 IDOMError * This,
 BSTR *pbstrText);


void __RPC_STUB IDOMError_get_srcText_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IDOMError_get_line_Proxy( 
 IDOMError * This,
 long *plLine);


void __RPC_STUB IDOMError_get_line_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IDOMError_get_linepos_Proxy( 
 IDOMError * This,
 long *plLinePos);


void __RPC_STUB IDOMError_get_linepos_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IDOMError_get_filepos_Proxy( 
 IDOMError * This,
 long *plFilePos);


void __RPC_STUB IDOMError_get_filepos_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);



#endif 	


#ifndef __IXMLDOMNode_INTERFACE_DEFINED__
#define __IXMLDOMNode_INTERFACE_DEFINED__


 


EXTERN_C const IID IID_IXMLDOMNode;

#if defined(__cplusplus) && !defined(CINTERFACE)
#else 	

 typedef struct IXMLDOMNodeVtbl
 {
 BEGIN_INTERFACE
 
 HRESULT ( STDMETHODCALLTYPE *QueryInterface )( 
 IXMLDOMNode * This,
 REFIID riid,
 void * *ppvObject);
 
 ULONG ( STDMETHODCALLTYPE *AddRef )( 
 IXMLDOMNode * This);
 
 ULONG ( STDMETHODCALLTYPE *Release )( 
 IXMLDOMNode * This);
 
 HRESULT ( STDMETHODCALLTYPE *GetTypeInfoCount )( 
 IXMLDOMNode * This,
 UINT *pctinfo);
 
 HRESULT ( STDMETHODCALLTYPE *GetTypeInfo )( 
 IXMLDOMNode * This,
 UINT iTInfo,
 LCID lcid,
 ITypeInfo * *ppTInfo);
 
 HRESULT ( STDMETHODCALLTYPE *GetIDsOfNames )( 
 IXMLDOMNode * This,
 REFIID riid,
 LPOLESTR *rgszNames,
 UINT cNames,
 LCID lcid,
 DISPID *rgDispId);
 
 HRESULT ( STDMETHODCALLTYPE *Invoke )( 
 IXMLDOMNode * This,
 DISPID dispIdMember,
 REFIID riid,
 LCID lcid,
 WORD wFlags,
 DISPPARAMS *pDispParams,
 VARIANT *pVarResult,
 EXCEPINFO *pExcepInfo,
 UINT *puArgErr);
 
 HRESULT ( STDMETHODCALLTYPE *get_nodeType )( 
 IXMLDOMNode * This,
 XMLNodeType *plType);
 
 HRESULT ( STDMETHODCALLTYPE *get_nodeName )( 
 IXMLDOMNode * This,
 BSTR *pbstrName);
 
 HRESULT ( STDMETHODCALLTYPE *get_nodeValue )( 
 IXMLDOMNode * This,
 BSTR *pbstrVal);
 
 HRESULT ( STDMETHODCALLTYPE *put_nodeValue )( 
 IXMLDOMNode * This,
 BSTR bstrVal);
 
 HRESULT ( STDMETHODCALLTYPE *get_parentNode )( 
 IXMLDOMNode * This,
 IDOMNode * *ppNode);
 
 HRESULT ( STDMETHODCALLTYPE *getAttribute )( 
 IXMLDOMNode * This,
 BSTR bstrName,
 VARIANT NameSpaceDecl,
 VARIANT *pvarVal);
 
 HRESULT ( STDMETHODCALLTYPE *setAttribute )( 
 IXMLDOMNode * This,
 BSTR bstrName,
 VARIANT bstrVal,
 VARIANT NameSpaceDecl,
 IDOMNode * *ppAttribute);
 
 HRESULT ( STDMETHODCALLTYPE *removeAttribute )( 
 IXMLDOMNode * This,
 BSTR bstrName,
 VARIANT NameSpaceDecl,
 IDOMNode * *ppAttribute);
 
 HRESULT ( STDMETHODCALLTYPE *get_specified )( 
 IXMLDOMNode * This,
 VARIANT_BOOL *pbool);
 
 HRESULT ( STDMETHODCALLTYPE *insertNode )( 
 IXMLDOMNode * This,
 IDOMNode *pChild,
 VARIANT After,
 IDOMNode * *ppNode);
 
 HRESULT ( STDMETHODCALLTYPE *removeNode )( 
 IXMLDOMNode * This,
 IDOMNode *pChild,
 IDOMNode * *ppNode);
 
 HRESULT ( STDMETHODCALLTYPE *replaceNode )( 
 IXMLDOMNode * This,
 IDOMNode *pOld,
 IDOMNode *pNew,
 IDOMNode * *ppNode);
 
 HRESULT ( STDMETHODCALLTYPE *get_attributes )( 
 IXMLDOMNode * This,
 IDOMNodeList * *ppNodeList);
 
 HRESULT ( STDMETHODCALLTYPE *get_childNodes )( 
 IXMLDOMNode * This,
 IDOMNodeList * *ppNodeList);
 
 HRESULT ( STDMETHODCALLTYPE *get_definition )( 
 IXMLDOMNode * This,
 IDOMNode * *ppNode);
 
 HRESULT ( STDMETHODCALLTYPE *get_qualifiedNodeName )( 
 IXMLDOMNode * This,
 BSTR *pbstrName);
 
 HRESULT ( STDMETHODCALLTYPE *get_nameSpace )( 
 IXMLDOMNode * This,
 IDOMNode * *ppNS);
 
 HRESULT ( STDMETHODCALLTYPE *get_nodeTypedValue )( 
 IXMLDOMNode * This,
 VARIANT *TypedValue);
 
 HRESULT ( STDMETHODCALLTYPE *put_nodeTypedValue )( 
 IXMLDOMNode * This,
 VARIANT TypedValue);
 
 HRESULT ( STDMETHODCALLTYPE *getTypedAttribute )( 
 IXMLDOMNode * This,
 BSTR strPropertyName,
 VARIANT NameSpaceDecl,
 VARIANT *TypedValue);
 
 HRESULT ( STDMETHODCALLTYPE *setTypedAttribute )( 
 IXMLDOMNode * This,
 BSTR strPropertyName,
 VARIANT TypedValue,
 VARIANT NameSpaceDecl,
 IDOMNode * *ppAttribute);
 
 HRESULT ( STDMETHODCALLTYPE *get_dataType )( 
 IXMLDOMNode * This,
 VARIANT *p);
 
 HRESULT ( STDMETHODCALLTYPE *put_dataType )( 
 IXMLDOMNode * This,
 BSTR p);
 
 END_INTERFACE
 } IXMLDOMNodeVtbl;

 interface IXMLDOMNode
 {
 CONST_VTBL struct IXMLDOMNodeVtbl *lpVtbl;
 };

 

#ifdef COBJMACROS


#define IXMLDOMNode_QueryInterface(This,riid,ppvObject)	\
 (This)->lpVtbl -> QueryInterface(This,riid,ppvObject)

#define IXMLDOMNode_AddRef(This)	\
 (This)->lpVtbl -> AddRef(This)

#define IXMLDOMNode_Release(This)	\
 (This)->lpVtbl -> Release(This)


#define IXMLDOMNode_GetTypeInfoCount(This,pctinfo)	\
 (This)->lpVtbl -> GetTypeInfoCount(This,pctinfo)

#define IXMLDOMNode_GetTypeInfo(This,iTInfo,lcid,ppTInfo)	\
 (This)->lpVtbl -> GetTypeInfo(This,iTInfo,lcid,ppTInfo)

#define IXMLDOMNode_GetIDsOfNames(This,riid,rgszNames,cNames,lcid,rgDispId)	\
 (This)->lpVtbl -> GetIDsOfNames(This,riid,rgszNames,cNames,lcid,rgDispId)

#define IXMLDOMNode_Invoke(This,dispIdMember,riid,lcid,wFlags,pDispParams,pVarResult,pExcepInfo,puArgErr)	\
 (This)->lpVtbl -> Invoke(This,dispIdMember,riid,lcid,wFlags,pDispParams,pVarResult,pExcepInfo,puArgErr)


#define IXMLDOMNode_get_nodeType(This,plType)	\
 (This)->lpVtbl -> get_nodeType(This,plType)

#define IXMLDOMNode_get_nodeName(This,pbstrName)	\
 (This)->lpVtbl -> get_nodeName(This,pbstrName)

#define IXMLDOMNode_get_nodeValue(This,pbstrVal)	\
 (This)->lpVtbl -> get_nodeValue(This,pbstrVal)

#define IXMLDOMNode_put_nodeValue(This,bstrVal)	\
 (This)->lpVtbl -> put_nodeValue(This,bstrVal)

#define IXMLDOMNode_get_parentNode(This,ppNode)	\
 (This)->lpVtbl -> get_parentNode(This,ppNode)

#define IXMLDOMNode_getAttribute(This,bstrName,NameSpaceDecl,pvarVal)	\
 (This)->lpVtbl -> getAttribute(This,bstrName,NameSpaceDecl,pvarVal)

#define IXMLDOMNode_setAttribute(This,bstrName,bstrVal,NameSpaceDecl,ppAttribute)	\
 (This)->lpVtbl -> setAttribute(This,bstrName,bstrVal,NameSpaceDecl,ppAttribute)

#define IXMLDOMNode_removeAttribute(This,bstrName,NameSpaceDecl,ppAttribute)	\
 (This)->lpVtbl -> removeAttribute(This,bstrName,NameSpaceDecl,ppAttribute)

#define IXMLDOMNode_get_specified(This,pbool)	\
 (This)->lpVtbl -> get_specified(This,pbool)

#define IXMLDOMNode_insertNode(This,pChild,After,ppNode)	\
 (This)->lpVtbl -> insertNode(This,pChild,After,ppNode)

#define IXMLDOMNode_removeNode(This,pChild,ppNode)	\
 (This)->lpVtbl -> removeNode(This,pChild,ppNode)

#define IXMLDOMNode_replaceNode(This,pOld,pNew,ppNode)	\
 (This)->lpVtbl -> replaceNode(This,pOld,pNew,ppNode)

#define IXMLDOMNode_get_attributes(This,ppNodeList)	\
 (This)->lpVtbl -> get_attributes(This,ppNodeList)

#define IXMLDOMNode_get_childNodes(This,ppNodeList)	\
 (This)->lpVtbl -> get_childNodes(This,ppNodeList)


#define IXMLDOMNode_get_definition(This,ppNode)	\
 (This)->lpVtbl -> get_definition(This,ppNode)

#define IXMLDOMNode_get_qualifiedNodeName(This,pbstrName)	\
 (This)->lpVtbl -> get_qualifiedNodeName(This,pbstrName)

#define IXMLDOMNode_get_nameSpace(This,ppNS)	\
 (This)->lpVtbl -> get_nameSpace(This,ppNS)

#define IXMLDOMNode_get_nodeTypedValue(This,TypedValue)	\
 (This)->lpVtbl -> get_nodeTypedValue(This,TypedValue)

#define IXMLDOMNode_put_nodeTypedValue(This,TypedValue)	\
 (This)->lpVtbl -> put_nodeTypedValue(This,TypedValue)

#define IXMLDOMNode_getTypedAttribute(This,strPropertyName,NameSpaceDecl,TypedValue)	\
 (This)->lpVtbl -> getTypedAttribute(This,strPropertyName,NameSpaceDecl,TypedValue)

#define IXMLDOMNode_setTypedAttribute(This,strPropertyName,TypedValue,NameSpaceDecl,ppAttribute)	\
 (This)->lpVtbl -> setTypedAttribute(This,strPropertyName,TypedValue,NameSpaceDecl,ppAttribute)

#define IXMLDOMNode_get_dataType(This,p)	\
 (This)->lpVtbl -> get_dataType(This,p)

#define IXMLDOMNode_put_dataType(This,p)	\
 (This)->lpVtbl -> put_dataType(This,p)

#endif 


#endif 	



 HRESULT STDMETHODCALLTYPE IXMLDOMNode_get_definition_Proxy( 
 IXMLDOMNode * This,
 IDOMNode * *ppNode);


void __RPC_STUB IXMLDOMNode_get_definition_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDOMNode_get_qualifiedNodeName_Proxy( 
 IXMLDOMNode * This,
 BSTR *pbstrName);


void __RPC_STUB IXMLDOMNode_get_qualifiedNodeName_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDOMNode_get_nameSpace_Proxy( 
 IXMLDOMNode * This,
 IDOMNode * *ppNS);


void __RPC_STUB IXMLDOMNode_get_nameSpace_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDOMNode_get_nodeTypedValue_Proxy( 
 IXMLDOMNode * This,
 VARIANT *TypedValue);


void __RPC_STUB IXMLDOMNode_get_nodeTypedValue_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDOMNode_put_nodeTypedValue_Proxy( 
 IXMLDOMNode * This,
 VARIANT TypedValue);


void __RPC_STUB IXMLDOMNode_put_nodeTypedValue_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDOMNode_getTypedAttribute_Proxy( 
 IXMLDOMNode * This,
 BSTR strPropertyName,
 VARIANT NameSpaceDecl,
 VARIANT *TypedValue);


void __RPC_STUB IXMLDOMNode_getTypedAttribute_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDOMNode_setTypedAttribute_Proxy( 
 IXMLDOMNode * This,
 BSTR strPropertyName,
 VARIANT TypedValue,
 VARIANT NameSpaceDecl,
 IDOMNode * *ppAttribute);


void __RPC_STUB IXMLDOMNode_setTypedAttribute_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDOMNode_get_dataType_Proxy( 
 IXMLDOMNode * This,
 VARIANT *p);


void __RPC_STUB IXMLDOMNode_get_dataType_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDOMNode_put_dataType_Proxy( 
 IXMLDOMNode * This,
 BSTR p);


void __RPC_STUB IXMLDOMNode_put_dataType_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);



#endif 	


#ifndef __IXMLDOMDocument_INTERFACE_DEFINED__
#define __IXMLDOMDocument_INTERFACE_DEFINED__


 


EXTERN_C const IID IID_IXMLDOMDocument;

#if defined(__cplusplus) && !defined(CINTERFACE)
#else 	

 typedef struct IXMLDOMDocumentVtbl
 {
 BEGIN_INTERFACE
 
 HRESULT ( STDMETHODCALLTYPE *QueryInterface )( 
 IXMLDOMDocument * This,
 REFIID riid,
 void * *ppvObject);
 
 ULONG ( STDMETHODCALLTYPE *AddRef )( 
 IXMLDOMDocument * This);
 
 ULONG ( STDMETHODCALLTYPE *Release )( 
 IXMLDOMDocument * This);
 
 HRESULT ( STDMETHODCALLTYPE *GetTypeInfoCount )( 
 IXMLDOMDocument * This,
 UINT *pctinfo);
 
 HRESULT ( STDMETHODCALLTYPE *GetTypeInfo )( 
 IXMLDOMDocument * This,
 UINT iTInfo,
 LCID lcid,
 ITypeInfo * *ppTInfo);
 
 HRESULT ( STDMETHODCALLTYPE *GetIDsOfNames )( 
 IXMLDOMDocument * This,
 REFIID riid,
 LPOLESTR *rgszNames,
 UINT cNames,
 LCID lcid,
 DISPID *rgDispId);
 
 HRESULT ( STDMETHODCALLTYPE *Invoke )( 
 IXMLDOMDocument * This,
 DISPID dispIdMember,
 REFIID riid,
 LCID lcid,
 WORD wFlags,
 DISPPARAMS *pDispParams,
 VARIANT *pVarResult,
 EXCEPINFO *pExcepInfo,
 UINT *puArgErr);
 
 HRESULT ( STDMETHODCALLTYPE *get_nodeType )( 
 IXMLDOMDocument * This,
 XMLNodeType *plType);
 
 HRESULT ( STDMETHODCALLTYPE *get_nodeName )( 
 IXMLDOMDocument * This,
 BSTR *pbstrName);
 
 HRESULT ( STDMETHODCALLTYPE *get_nodeValue )( 
 IXMLDOMDocument * This,
 BSTR *pbstrVal);
 
 HRESULT ( STDMETHODCALLTYPE *put_nodeValue )( 
 IXMLDOMDocument * This,
 BSTR bstrVal);
 
 HRESULT ( STDMETHODCALLTYPE *get_parentNode )( 
 IXMLDOMDocument * This,
 IDOMNode * *ppNode);
 
 HRESULT ( STDMETHODCALLTYPE *getAttribute )( 
 IXMLDOMDocument * This,
 BSTR bstrName,
 VARIANT NameSpaceDecl,
 VARIANT *pvarVal);
 
 HRESULT ( STDMETHODCALLTYPE *setAttribute )( 
 IXMLDOMDocument * This,
 BSTR bstrName,
 VARIANT bstrVal,
 VARIANT NameSpaceDecl,
 IDOMNode * *ppAttribute);
 
 HRESULT ( STDMETHODCALLTYPE *removeAttribute )( 
 IXMLDOMDocument * This,
 BSTR bstrName,
 VARIANT NameSpaceDecl,
 IDOMNode * *ppAttribute);
 
 HRESULT ( STDMETHODCALLTYPE *get_specified )( 
 IXMLDOMDocument * This,
 VARIANT_BOOL *pbool);
 
 HRESULT ( STDMETHODCALLTYPE *insertNode )( 
 IXMLDOMDocument * This,
 IDOMNode *pChild,
 VARIANT After,
 IDOMNode * *ppNode);
 
 HRESULT ( STDMETHODCALLTYPE *removeNode )( 
 IXMLDOMDocument * This,
 IDOMNode *pChild,
 IDOMNode * *ppNode);
 
 HRESULT ( STDMETHODCALLTYPE *replaceNode )( 
 IXMLDOMDocument * This,
 IDOMNode *pOld,
 IDOMNode *pNew,
 IDOMNode * *ppNode);
 
 HRESULT ( STDMETHODCALLTYPE *get_attributes )( 
 IXMLDOMDocument * This,
 IDOMNodeList * *ppNodeList);
 
 HRESULT ( STDMETHODCALLTYPE *get_childNodes )( 
 IXMLDOMDocument * This,
 IDOMNodeList * *ppNodeList);
 
 HRESULT ( STDMETHODCALLTYPE *get_documentType )( 
 IXMLDOMDocument * This,
 IDOMNode * *ppNode);
 
 HRESULT ( STDMETHODCALLTYPE *get_documentNode )( 
 IXMLDOMDocument * This,
 IDOMNode * *ppNode);
 
 HRESULT ( STDMETHODCALLTYPE *put_documentNode )( 
 IXMLDOMDocument * This,
 VARIANT varNode);
 
 HRESULT ( STDMETHODCALLTYPE *createNode )( 
 IXMLDOMDocument * This,
 XMLNodeType lType,
 BSTR bstrText,
 VARIANT NameSpaceDecl,
 IDOMNode * *ppNode);
 
 HRESULT ( STDMETHODCALLTYPE *nodeFromID )( 
 IXMLDOMDocument * This,
 BSTR pbstrID,
 IDOMNode * *ppNode);
 
 HRESULT ( STDMETHODCALLTYPE *get_documentNameSpaces )( 
 IXMLDOMDocument * This,
 IDOMNodeList * *ppNodeList);
 
 HRESULT ( STDMETHODCALLTYPE *load )( 
 IXMLDOMDocument * This,
 BSTR bstrUrl);
 
 HRESULT ( STDMETHODCALLTYPE *get_readyState )( 
 IXMLDOMDocument * This,
 long *plState);
 
 HRESULT ( STDMETHODCALLTYPE *get_lastError )( 
 IXMLDOMDocument * This,
 IDOMError * *pError);
 
 HRESULT ( STDMETHODCALLTYPE *get_url )( 
 IXMLDOMDocument * This,
 BSTR *pbstrUrl);
 
 HRESULT ( STDMETHODCALLTYPE *get_async )( 
 IXMLDOMDocument * This,
 VARIANT_BOOL *pf);
 
 HRESULT ( STDMETHODCALLTYPE *put_async )( 
 IXMLDOMDocument * This,
 VARIANT_BOOL f);
 
 HRESULT ( STDMETHODCALLTYPE *abort )( 
 IXMLDOMDocument * This);
 
 HRESULT ( STDMETHODCALLTYPE *saveNode )( 
 IXMLDOMDocument * This,
 IDOMNode *ppNode,
 BSTR *pbstrXml);
 
 HRESULT ( STDMETHODCALLTYPE *loadXML )( 
 IXMLDOMDocument * This,
 BSTR pbstrXML);
 
 HRESULT ( STDMETHODCALLTYPE *get_definition )( 
 IXMLDOMDocument * This,
 IDOMNode * *ppNode);
 
 HRESULT ( STDMETHODCALLTYPE *get_qualifiedNodeName )( 
 IXMLDOMDocument * This,
 BSTR *pbstrName);
 
 HRESULT ( STDMETHODCALLTYPE *get_nameSpace )( 
 IXMLDOMDocument * This,
 IDOMNode * *ppNS);
 
 HRESULT ( STDMETHODCALLTYPE *get_nodeTypedValue )( 
 IXMLDOMDocument * This,
 VARIANT *TypedValue);
 
 HRESULT ( STDMETHODCALLTYPE *put_nodeTypedValue )( 
 IXMLDOMDocument * This,
 VARIANT TypedValue);
 
 HRESULT ( STDMETHODCALLTYPE *getTypedAttribute )( 
 IXMLDOMDocument * This,
 BSTR strPropertyName,
 VARIANT NameSpaceDecl,
 VARIANT *TypedValue);
 
 HRESULT ( STDMETHODCALLTYPE *setTypedAttribute )( 
 IXMLDOMDocument * This,
 BSTR strPropertyName,
 VARIANT TypedValue,
 VARIANT NameSpaceDecl,
 IDOMNode * *ppAttribute);
 
 HRESULT ( STDMETHODCALLTYPE *get_dataType )( 
 IXMLDOMDocument * This,
 VARIANT *p);
 
 HRESULT ( STDMETHODCALLTYPE *put_dataType )( IXMLDOMDocument * This, BSTR p);
 END_INTERFACE
 } IXMLDOMDocumentVtbl;

interface IXMLDOMDocument { CONST_VTBL struct IXMLDOMDocumentVtbl *lpVtbl; };


#ifdef COBJMACROS

#define IXMLDOMDocument_QueryInterface(This,riid,ppvObject)	\
 (This)->lpVtbl -> QueryInterface(This,riid,ppvObject)

#define IXMLDOMDocument_AddRef(This)	\
 (This)->lpVtbl -> AddRef(This)

#define IXMLDOMDocument_Release(This)	\
 (This)->lpVtbl -> Release(This)


#define IXMLDOMDocument_GetTypeInfoCount(This,pctinfo)	\
 (This)->lpVtbl -> GetTypeInfoCount(This,pctinfo)

#define IXMLDOMDocument_GetTypeInfo(This,iTInfo,lcid,ppTInfo)	\
 (This)->lpVtbl -> GetTypeInfo(This,iTInfo,lcid,ppTInfo)

#define IXMLDOMDocument_GetIDsOfNames(This,riid,rgszNames,cNames,lcid,rgDispId)	\
 (This)->lpVtbl -> GetIDsOfNames(This,riid,rgszNames,cNames,lcid,rgDispId)

#define IXMLDOMDocument_Invoke(This,dispIdMember,riid,lcid,wFlags,pDispParams,pVarResult,pExcepInfo,puArgErr)	\
 (This)->lpVtbl -> Invoke(This,dispIdMember,riid,lcid,wFlags,pDispParams,pVarResult,pExcepInfo,puArgErr)


#define IXMLDOMDocument_get_nodeType(This,plType)	\
 (This)->lpVtbl -> get_nodeType(This,plType)

#define IXMLDOMDocument_get_nodeName(This,pbstrName)	\
 (This)->lpVtbl -> get_nodeName(This,pbstrName)

#define IXMLDOMDocument_get_nodeValue(This,pbstrVal)	\
 (This)->lpVtbl -> get_nodeValue(This,pbstrVal)

#define IXMLDOMDocument_put_nodeValue(This,bstrVal)	\
 (This)->lpVtbl -> put_nodeValue(This,bstrVal)

#define IXMLDOMDocument_get_parentNode(This,ppNode)	\
 (This)->lpVtbl -> get_parentNode(This,ppNode)

#define IXMLDOMDocument_getAttribute(This,bstrName,NameSpaceDecl,pvarVal)	\
 (This)->lpVtbl -> getAttribute(This,bstrName,NameSpaceDecl,pvarVal)

#define IXMLDOMDocument_setAttribute(This,bstrName,bstrVal,NameSpaceDecl,ppAttribute)	\
 (This)->lpVtbl -> setAttribute(This,bstrName,bstrVal,NameSpaceDecl,ppAttribute)

#define IXMLDOMDocument_removeAttribute(This,bstrName,NameSpaceDecl,ppAttribute)	\
 (This)->lpVtbl -> removeAttribute(This,bstrName,NameSpaceDecl,ppAttribute)

#define IXMLDOMDocument_get_specified(This,pbool)	\
 (This)->lpVtbl -> get_specified(This,pbool)

#define IXMLDOMDocument_insertNode(This,pChild,After,ppNode)	\
 (This)->lpVtbl -> insertNode(This,pChild,After,ppNode)

#define IXMLDOMDocument_removeNode(This,pChild,ppNode)	\
 (This)->lpVtbl -> removeNode(This,pChild,ppNode)

#define IXMLDOMDocument_replaceNode(This,pOld,pNew,ppNode)	\
 (This)->lpVtbl -> replaceNode(This,pOld,pNew,ppNode)

#define IXMLDOMDocument_get_attributes(This,ppNodeList)	\
 (This)->lpVtbl -> get_attributes(This,ppNodeList)

#define IXMLDOMDocument_get_childNodes(This,ppNodeList)	\
 (This)->lpVtbl -> get_childNodes(This,ppNodeList)


#define IXMLDOMDocument_get_documentType(This,ppNode)	\
 (This)->lpVtbl -> get_documentType(This,ppNode)

#define IXMLDOMDocument_get_documentNode(This,ppNode)	\
 (This)->lpVtbl -> get_documentNode(This,ppNode)

#define IXMLDOMDocument_put_documentNode(This,varNode)	\
 (This)->lpVtbl -> put_documentNode(This,varNode)

#define IXMLDOMDocument_createNode(This,lType,bstrText,NameSpaceDecl,ppNode)	\
 (This)->lpVtbl -> createNode(This,lType,bstrText,NameSpaceDecl,ppNode)


#define IXMLDOMDocument_nodeFromID(This,pbstrID,ppNode)	\
 (This)->lpVtbl -> nodeFromID(This,pbstrID,ppNode)

#define IXMLDOMDocument_get_documentNameSpaces(This,ppNodeList)	\
 (This)->lpVtbl -> get_documentNameSpaces(This,ppNodeList)

#define IXMLDOMDocument_load(This,bstrUrl)	\
 (This)->lpVtbl -> load(This,bstrUrl)

#define IXMLDOMDocument_get_readyState(This,plState)	\
 (This)->lpVtbl -> get_readyState(This,plState)

#define IXMLDOMDocument_get_lastError(This,pError)	\
 (This)->lpVtbl -> get_lastError(This,pError)

#define IXMLDOMDocument_get_url(This,pbstrUrl)	 (This)->lpVtbl -> get_url(This,pbstrUrl)
#define IXMLDOMDocument_get_async(This,pf)	 (This)->lpVtbl -> get_async(This,pf)
#define IXMLDOMDocument_put_async(This,f)	 (This)->lpVtbl -> put_async(This,f)
#define IXMLDOMDocument_abort(This)	(This)->lpVtbl -> abort(This)
#define IXMLDOMDocument_saveNode(This,ppNode,pbstrXml)	 (This)->lpVtbl -> saveNode(This,ppNode,pbstrXml)
#define IXMLDOMDocument_loadXML(This,pbstrXML)	 (This)->lpVtbl -> loadXML(This,pbstrXML)
#define IXMLDOMDocument_get_definition(This,ppNode) (This)->lpVtbl -> get_definition(This,ppNode)
#define IXMLDOMDocument_get_qualifiedNodeName(This,pbstrName)	 (This)->lpVtbl -> get_qualifiedNodeName(This,pbstrName)
#define IXMLDOMDocument_get_nameSpace(This,ppNS) (This)->lpVtbl -> get_nameSpace(This,ppNS)
#define IXMLDOMDocument_get_nodeTypedValue(This,TypedValue) (This)->lpVtbl -> get_nodeTypedValue(This,TypedValue)
#define IXMLDOMDocument_put_nodeTypedValue(This,TypedValue) (This)->lpVtbl -> put_nodeTypedValue(This,TypedValue)
#define IXMLDOMDocument_getTypedAttribute(This,s,N,T) (This)->lpVtbl -> getTypedAttribute(This,s,N,T)
#define IXMLDOMDocument_setTypedAttribute(This,s,T,N,p)	(This)->lpVtbl -> setTypedAttribute(This,s,T,N,p)
#define IXMLDOMDocument_get_dataType(This,p) (This)->lpVtbl -> get_dataType(This,p)
#define IXMLDOMDocument_put_dataType(This,p) (This)->lpVtbl -> put_dataType(This,p)
#endif 
#endif 	
HRESULT STDMETHODCALLTYPE IXMLDOMDocument_nodeFromID_Proxy( IXMLDOMDocument *, BSTR, IDOMNode * *); 
void __RPC_STUB IXMLDOMDocument_nodeFromID_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDOMDocument_get_documentNameSpaces_Proxy( 
 IXMLDOMDocument * This,
 IDOMNodeList * *ppNodeList);


void __RPC_STUB IXMLDOMDocument_get_documentNameSpaces_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDOMDocument_load_Proxy( 
 IXMLDOMDocument * This,
 BSTR bstrUrl);


void __RPC_STUB IXMLDOMDocument_load_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDOMDocument_get_readyState_Proxy( 
 IXMLDOMDocument * This,
 long *plState);


void __RPC_STUB IXMLDOMDocument_get_readyState_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDOMDocument_get_lastError_Proxy( 
 IXMLDOMDocument * This,
 IDOMError * *pError);


void __RPC_STUB IXMLDOMDocument_get_lastError_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDOMDocument_get_url_Proxy( 
 IXMLDOMDocument * This,
 BSTR *pbstrUrl);


void __RPC_STUB IXMLDOMDocument_get_url_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IXMLDOMDocument_get_async_Proxy(IXMLDOMDocument *,VARIANT_BOOL *);
void __RPC_STUB IXMLDOMDocument_get_async_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IXMLDOMDocument_put_async_Proxy(IXMLDOMDocument *,VARIANT_BOOL);
void __RPC_STUB IXMLDOMDocument_put_async_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IXMLDOMDocument_abort_Proxy(IXMLDOMDocument *);
void __RPC_STUB IXMLDOMDocument_abort_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IXMLDOMDocument_saveNode_Proxy(IXMLDOMDocument *,IDOMNode *,BSTR *);
void __RPC_STUB IXMLDOMDocument_saveNode_Stub(IRpcStubBuffer *, IRpcChannelBuffer *, PRPC_MESSAGE , DWORD *);
HRESULT STDMETHODCALLTYPE IXMLDOMDocument_loadXML_Proxy(IXMLDOMDocument *, BSTR);
void __RPC_STUB IXMLDOMDocument_loadXML_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDOMDocument_get_definition_Proxy( 
 IXMLDOMDocument * This,
 IDOMNode * *ppNode);


void __RPC_STUB IXMLDOMDocument_get_definition_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDOMDocument_get_qualifiedNodeName_Proxy( 
 IXMLDOMDocument * This,
 BSTR *pbstrName);


void __RPC_STUB IXMLDOMDocument_get_qualifiedNodeName_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDOMDocument_get_nameSpace_Proxy( 
 IXMLDOMDocument * This,
 IDOMNode * *ppNS);


void __RPC_STUB IXMLDOMDocument_get_nameSpace_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDOMDocument_get_nodeTypedValue_Proxy( 
 IXMLDOMDocument * This,
 VARIANT *TypedValue);


void __RPC_STUB IXMLDOMDocument_get_nodeTypedValue_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDOMDocument_put_nodeTypedValue_Proxy( 
 IXMLDOMDocument * This,
 VARIANT TypedValue);


void __RPC_STUB IXMLDOMDocument_put_nodeTypedValue_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


 HRESULT STDMETHODCALLTYPE IXMLDOMDocument_getTypedAttribute_Proxy( 
 IXMLDOMDocument * This,
 BSTR strPropertyName,
 VARIANT NameSpaceDecl,
 VARIANT *TypedValue);


void __RPC_STUB IXMLDOMDocument_getTypedAttribute_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);


HRESULT STDMETHODCALLTYPE IXMLDOMDocument_setTypedAttribute_Proxy(IXMLDOMDocument *, BSTR, VARIANT, VARIANT, IDOMNode * *);
void __RPC_STUB IXMLDOMDocument_setTypedAttribute_Stub(IRpcStubBuffer *, IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IXMLDOMDocument_get_dataType_Proxy( IXMLDOMDocument *,VARIANT *p);
void __RPC_STUB IXMLDOMDocument_get_dataType_Stub( IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT STDMETHODCALLTYPE IXMLDOMDocument_put_dataType_Proxy(IXMLDOMDocument *,BSTR);
void __RPC_STUB IXMLDOMDocument_put_dataType_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
#endif


EXTERN_C const CLSID CLSID_DOMDocument;

EXTERN_C const IID IID_IXMLIslandPeer;

#ifndef __IXMLIslandPeer_INTERFACE_DEFINED__
#define __IXMLIslandPeer_INTERFACE_DEFINED__
typedef struct IXMLIslandPeerVtbl {
 BEGIN_INTERFACE
 HRESULT ( STDMETHODCALLTYPE *QueryInterface )( IXMLIslandPeer * This, REFIID riid, void * *ppvObject);
 ULONG ( STDMETHODCALLTYPE *AddRef )( IXMLIslandPeer * This);
 ULONG ( STDMETHODCALLTYPE *Release )( IXMLIslandPeer * This);
 END_INTERFACE
 } IXMLIslandPeerVtbl;
interface IXMLIslandPeer { CONST_VTBL struct IXMLIslandPeerVtbl *lpVtbl; };
#define IXMLIslandPeer_QueryInterface(This,riid,ppvObject) (This)->lpVtbl -> QueryInterface(This,riid,ppvObject)
#define IXMLIslandPeer_AddRef(This) (This)->lpVtbl -> AddRef(This)
#define IXMLIslandPeer_Release(This) (This)->lpVtbl -> Release(This)
#endif 	
EXTERN_C const CLSID CLSID_XMLIslandPeer;

#ifndef __IXMLElementNotificationSink_INTERFACE_DEFINED__
#define __IXMLElementNotificationSink_INTERFACE_DEFINED__
EXTERN_C const IID IID_IXMLElementNotificationSink;
typedef struct IXMLElementNotificationSinkVtbl
 {
 BEGIN_INTERFACE
 HRESULT ( STDMETHODCALLTYPE *QueryInterface )(IXMLElementNotificationSink *,REFIID,void * *);
 ULONG ( STDMETHODCALLTYPE *AddRef )(IXMLElementNotificationSink *);
 ULONG ( STDMETHODCALLTYPE *Release )(IXMLElementNotificationSink *);
 HRESULT ( STDMETHODCALLTYPE *GetTypeInfoCount )(IXMLElementNotificationSink *, UINT *);
 HRESULT ( STDMETHODCALLTYPE *GetTypeInfo )(IXMLElementNotificationSink *,UINT,LCID,ITypeInfo * *);
 HRESULT ( STDMETHODCALLTYPE *GetIDsOfNames )(IXMLElementNotificationSink *,REFIID,LPOLESTR *,UINT, LCID,DISPID *);
 HRESULT ( STDMETHODCALLTYPE *Invoke )(IXMLElementNotificationSink *,DISPID,REFIID,LCID,WORD,DISPPARAMS *,VARIANT *,EXCEPINFO *,UINT *);
 HRESULT ( STDMETHODCALLTYPE *ChildAdded )(IXMLElementNotificationSink *,IDispatch *);
 END_INTERFACE
} IXMLElementNotificationSinkVtbl;

interface IXMLElementNotificationSink { CONST_VTBL struct IXMLElementNotificationSinkVtbl *lpVtbl; };
#ifdef COBJMACROS
#define IXMLElementNotificationSink_QueryInterface(This,riid,ppvObject)	\
 (This)->lpVtbl -> QueryInterface(This,riid,ppvObject)
#define IXMLElementNotificationSink_AddRef(This)	\
 (This)->lpVtbl -> AddRef(This)
#define IXMLElementNotificationSink_Release(This)	\
 (This)->lpVtbl -> Release(This)
#define IXMLElementNotificationSink_GetTypeInfoCount(This,pctinfo)	\
 (This)->lpVtbl -> GetTypeInfoCount(This,pctinfo)
#define IXMLElementNotificationSink_GetTypeInfo(This,iTInfo,lcid,ppTInfo)	\
 (This)->lpVtbl -> GetTypeInfo(This,iTInfo,lcid,ppTInfo)
#define IXMLElementNotificationSink_GetIDsOfNames(This,riid,rgszNames,cNames,lcid,rgDispId)	\
 (This)->lpVtbl -> GetIDsOfNames(This,riid,rgszNames,cNames,lcid,rgDispId)
#define IXMLElementNotificationSink_Invoke(This,dispIdMember,riid,lcid,wFlags,pDispParams,pVarResult,pExcepInfo,puArgErr)	 (This)->lpVtbl -> Invoke(This,dispIdMember,riid,lcid,wFlags,pDispParams,pVarResult,pExcepInfo,puArgErr)
#define IXMLElementNotificationSink_ChildAdded(This,pChildElem)	(This)->lpVtbl -> ChildAdded(This,pChildElem)
#endif 
HRESULT STDMETHODCALLTYPE IXMLElementNotificationSink_ChildAdded_Proxy(IXMLElementNotificationSink *,IDispatch *);
void __RPC_STUB IXMLElementNotificationSink_ChildAdded_Stub(IRpcStubBuffer *,IRpcChannelBuffer *, PRPC_MESSAGE , DWORD *);
#endif 	
EXTERN_C const CLSID CLSID_XMLDocument;
#endif 
#endif
