#ifndef __oleacc_h__
#define __oleacc_h__
#ifndef __REQUIRED_RPCNDR_H_VERSION__
#define __REQUIRED_RPCNDR_H_VERSION__ 475
#endif
#include "rpc.h"
#include "rpcndr.h"
#ifndef __RPCNDR_H_VERSION__
#error this stub requires an updated version of <rpcndr.h>
#endif
#ifndef COM_NO_WINDOWS_H
#include "windows.h"
#include "ole2.h"
#endif
// #ifndef __oleacc_h__
//#define __oleacc_h__
#ifndef __IAccessible_FWD_DEFINED__
#define __IAccessible_FWD_DEFINED__
typedef interface IAccessible IAccessible;
#endif
#ifndef __IAccessibleHandler_FWD_DEFINED__
#define __IAccessibleHandler_FWD_DEFINED__
typedef interface IAccessibleHandler IAccessibleHandler;
#endif
#ifndef __IAccessible_FWD_DEFINED__
#define __IAccessible_FWD_DEFINED__
typedef interface IAccessible IAccessible;
#endif
#ifndef __IAccessibleHandler_FWD_DEFINED__
#define __IAccessibleHandler_FWD_DEFINED__
typedef interface IAccessibleHandler IAccessibleHandler;
#endif
#include "oaidl.h"
void * __RPC_USER MIDL_user_allocate(size_t);
void __RPC_USER MIDL_user_free(void *);
typedef LRESULT (STDAPICALLTYPE *LPFNLRESULTFROMOBJECT)(REFIID riid, WPARAM wParam, LPUNKNOWN punk);
typedef HRESULT (STDAPICALLTYPE *LPFNOBJECTFROMLRESULT)(LRESULT lResult, REFIID riid, WPARAM wParam, void** ppvObject);
typedef HRESULT (STDAPICALLTYPE *LPFNACCESSIBLEOBJECTFROMWINDOW)(HWND hwnd, DWORD dwId, REFIID riid, void** ppvObject);
typedef HRESULT (STDAPICALLTYPE *LPFNACCESSIBLEOBJECTFROMPOINT)(POINT ptScreen, IAccessible** ppacc, VARIANT* pvarChild);
typedef HRESULT (STDAPICALLTYPE *LPFNCREATESTDACCESSIBLEOBJECT)(HWND hwnd, LONG idObject, REFIID riid, void** ppvObject);
typedef HRESULT (STDAPICALLTYPE *LPFNACCESSIBLECHILDREN)(IAccessible* paccContainer, LONG iChildStart,LONG cChildren,VARIANT* rgvarChildren,LONG* pcObtained);
DEFINE_GUID(LIBID_Accessibility,	0x1ea4dbf0, 0x3c3b, 4559, 129, 12, 0, 170, 0, 56, 155, 113);
DEFINE_GUID(IID_IAccessible,	0x618736e0, 0x3c3d, 4559, 129, 12, 0, 170, 0, 56, 155, 113);
DEFINE_GUID(IID_IAccessibleHandler, 0x3022430, 0xabc4, 4560, 189, 226, 0, 170, 0, 26, 25, 83);
STDAPI_(LRESULT) LresultFromObject(REFIID riid, WPARAM wParam, LPUNKNOWN punk);
STDAPI ObjectFromLresult(LRESULT lResult, REFIID riid, WPARAM wParam, void** ppvObject);
STDAPI WindowFromAccessibleObject(IAccessible*, HWND* phwnd);
STDAPI AccessibleObjectFromWindow(HWND hwnd, DWORD dwId, REFIID riid, void **ppvObject);
STDAPI AccessibleObjectFromEvent(HWND hwnd, DWORD dwId, DWORD dwChildId, IAccessible** ppacc, VARIANT* pvarChild);
STDAPI AccessibleObjectFromPoint(POINT ptScreen, IAccessible ** ppacc, VARIANT* pvarChild);
STDAPI AccessibleChildren (IAccessible* paccContainer, LONG iChildStart,LONG cChildren, VARIANT* rgvarChildren,LONG* pcObtained);
STDAPI_(UINT) GetRoleTextA(DWORD lRole, LPSTR lpszRole, UINT cchRoleMax);
STDAPI_(UINT) GetRoleTextW(DWORD lRole, LPWSTR lpszRole, UINT cchRoleMax);
#ifdef UNICODE
#define GetRoleText GetRoleTextW
#else
#define GetRoleText GetRoleTextA
#endif
STDAPI_(UINT) GetStateTextA(DWORD lStateBit, LPSTR lpszState, UINT cchState);
STDAPI_(UINT) GetStateTextW(DWORD lStateBit, LPWSTR lpszState, UINT cchState);
#ifdef UNICODE
#define GetStateText GetStateTextW
#else
#define GetStateText GetStateTextA
#endif
STDAPI_(VOID) GetOleaccVersionInfo(DWORD* pVer, DWORD* pBuild);
STDAPI CreateStdAccessibleObject(HWND hwnd, LONG idObject, REFIID riid, void** ppvObject);
STDAPI CreateStdAccessibleProxyA(HWND hwnd, LPCSTR pClassName, LONG idObject, REFIID riid, void** ppvObject);
STDAPI CreateStdAccessibleProxyW(HWND hwnd, LPCWSTR pClassName, LONG idObject, REFIID riid, void** ppvObject);
#ifdef UNICODE
#define CreateStdAccessibleProxy CreateStdAccessibleProxyW
#else
#define CreateStdAccessibleProxy CreateStdAccessibleProxyA
#endif
#define MSAA_MENU_SIG 0xaa0df00d
typedef struct tagMSAAMENUINFO {
DWORD dwMSAASignature;
DWORD cchWText;
LPWSTR pszWText;
} MSAAMENUINFO, *LPMSAAMENUINFO;
extern RPC_IF_HANDLE __MIDL_itf_oleacc_0000_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_oleacc_0000_v0_0_s_ifspec;
#ifndef __IAccessible_INTERFACE_DEFINED__
#define __IAccessible_INTERFACE_DEFINED__
#define	DISPID_ACC_PARENT	(-5000)
#define	DISPID_ACC_CHILDCOUNT	(-5001)
#define	DISPID_ACC_CHILD	(-5002)
#define	DISPID_ACC_NAME	(-5003)
#define	DISPID_ACC_VALUE	(-5004)
#define	DISPID_ACC_DESCRIPTION	(-5005)
#define	DISPID_ACC_ROLE	(-5006)
#define	DISPID_ACC_STATE	(-5007)
#define	DISPID_ACC_HELP	(-5008)
#define	DISPID_ACC_HELPTOPIC	(-5009)
#define	DISPID_ACC_KEYBOARDSHORTCUT	(-5010)
#define	DISPID_ACC_FOCUS	(-5011)
#define	DISPID_ACC_SELECTION	(-5012)
#define	DISPID_ACC_DEFAULTACTION	(-5013)
#define	DISPID_ACC_SELECT	(-5014)
#define	DISPID_ACC_LOCATION	(-5015)
#define	DISPID_ACC_NAVIGATE	(-5016)
#define	DISPID_ACC_HITTEST	(-5017)
#define	DISPID_ACC_DODEFAULTACTION	(-5018)
typedef  IAccessible *LPACCESSIBLE;
#define	NAVDIR_MIN	(0)
#define	NAVDIR_UP	1
#define	NAVDIR_DOWN	2
#define	NAVDIR_LEFT	3
#define	NAVDIR_RIGHT	4
#define	NAVDIR_NEXT	5
#define	NAVDIR_PREVIOUS	6
#define	NAVDIR_FIRSTCHILD	7
#define	NAVDIR_LASTCHILD	8
#define	NAVDIR_MAX	9
#define	SELFLAG_NONE	(0)
#define	SELFLAG_TAKEFOCUS	1
#define	SELFLAG_TAKESELECTION	2
#define	SELFLAG_EXTENDSELECTION	4
#define	SELFLAG_ADDSELECTION	8
#define	SELFLAG_REMOVESELECTION	16
#define	SELFLAG_VALID	31
#ifndef STATE_SYSTEM_UNAVAILABLE
#define	STATE_SYSTEM_NORMAL	(0)
#define	STATE_SYSTEM_UNAVAILABLE	1
#define	STATE_SYSTEM_SELECTED	2
#define	STATE_SYSTEM_FOCUSED	4
#define	STATE_SYSTEM_PRESSED	8
#define	STATE_SYSTEM_CHECKED	16
#define	STATE_SYSTEM_MIXED	32
#define	STATE_SYSTEM_INDETERMINATE	(STATE_SYSTEM_MIXED)
#define	STATE_SYSTEM_READONLY	64
#define	STATE_SYSTEM_HOTTRACKED	128
#define	STATE_SYSTEM_DEFAULT	256
#define	STATE_SYSTEM_EXPANDED	512
#define	STATE_SYSTEM_COLLAPSED	1024
#define	STATE_SYSTEM_BUSY	2048
#define	STATE_SYSTEM_FLOATING	4096
#define	STATE_SYSTEM_MARQUEED	0x2000
#define	STATE_SYSTEM_ANIMATED	0x4000
#define	STATE_SYSTEM_INVISIBLE	0x8000
#define	STATE_SYSTEM_OFFSCREEN	0x10000
#define	STATE_SYSTEM_SIZEABLE	0x20000
#define	STATE_SYSTEM_MOVEABLE	0x40000
#define	STATE_SYSTEM_SELFVOICING	0x80000
#define	STATE_SYSTEM_FOCUSABLE	0x100000
#define	STATE_SYSTEM_SELECTABLE	0x200000
#define	STATE_SYSTEM_LINKED	0x400000
#define	STATE_SYSTEM_TRAVERSED	0x800000
#define	STATE_SYSTEM_MULTISELECTABLE	0x1000000
#define	STATE_SYSTEM_EXTSELECTABLE	0x2000000
#define	STATE_SYSTEM_ALERT_LOW	0x4000000
#define	STATE_SYSTEM_ALERT_MEDIUM	0x8000000
#define	STATE_SYSTEM_ALERT_HIGH	0x10000000
#define	STATE_SYSTEM_PROTECTED	0x20000000
#define	STATE_SYSTEM_VALID	0x3fffffff
#endif
#define	ROLE_SYSTEM_TITLEBAR	1
#define	ROLE_SYSTEM_MENUBAR	2
#define	ROLE_SYSTEM_SCROLLBAR	3
#define	ROLE_SYSTEM_GRIP	4
#define	ROLE_SYSTEM_SOUND	5
#define	ROLE_SYSTEM_CURSOR	6
#define	ROLE_SYSTEM_CARET	7
#define	ROLE_SYSTEM_ALERT	8
#define	ROLE_SYSTEM_WINDOW	9
#define	ROLE_SYSTEM_CLIENT	10
#define	ROLE_SYSTEM_MENUPOPUP	11
#define	ROLE_SYSTEM_MENUITEM	12
#define	ROLE_SYSTEM_TOOLTIP	13
#define	ROLE_SYSTEM_APPLICATION	14
#define	ROLE_SYSTEM_DOCUMENT	15
#define	ROLE_SYSTEM_PANE	16
#define	ROLE_SYSTEM_CHART	17
#define	ROLE_SYSTEM_DIALOG	18
#define	ROLE_SYSTEM_BORDER	19
#define	ROLE_SYSTEM_GROUPING	20
#define	ROLE_SYSTEM_SEPARATOR	21
#define	ROLE_SYSTEM_TOOLBAR	22
#define	ROLE_SYSTEM_STATUSBAR	23
#define	ROLE_SYSTEM_TABLE	24
#define	ROLE_SYSTEM_COLUMNHEADER	25
#define	ROLE_SYSTEM_ROWHEADER	26
#define	ROLE_SYSTEM_COLUMN	27
#define	ROLE_SYSTEM_ROW	28
#define	ROLE_SYSTEM_CELL	29
#define	ROLE_SYSTEM_LINK	30
#define	ROLE_SYSTEM_HELPBALLOON	31
#define	ROLE_SYSTEM_CHARACTER	32
#define	ROLE_SYSTEM_LIST	33
#define	ROLE_SYSTEM_LISTITEM	34
#define	ROLE_SYSTEM_OUTLINE	35
#define	ROLE_SYSTEM_OUTLINEITEM	36
#define	ROLE_SYSTEM_PAGETAB	37
#define	ROLE_SYSTEM_PROPERTYPAGE	38
#define	ROLE_SYSTEM_INDICATOR	39
#define	ROLE_SYSTEM_GRAPHIC	40
#define	ROLE_SYSTEM_STATICTEXT	41
#define	ROLE_SYSTEM_TEXT	42
#define	ROLE_SYSTEM_PUSHBUTTON	43
#define	ROLE_SYSTEM_CHECKBUTTON	44
#define	ROLE_SYSTEM_RADIOBUTTON	45
#define	ROLE_SYSTEM_COMBOBOX	46
#define	ROLE_SYSTEM_DROPLIST	47
#define	ROLE_SYSTEM_PROGRESSBAR	48
#define	ROLE_SYSTEM_DIAL	49
#define	ROLE_SYSTEM_HOTKEYFIELD	50
#define	ROLE_SYSTEM_SLIDER	51
#define	ROLE_SYSTEM_SPINBUTTON	52
#define	ROLE_SYSTEM_DIAGRAM	53
#define	ROLE_SYSTEM_ANIMATION	54
#define	ROLE_SYSTEM_EQUATION	55
#define	ROLE_SYSTEM_BUTTONDROPDOWN	56
#define	ROLE_SYSTEM_BUTTONMENU	57
#define	ROLE_SYSTEM_BUTTONDROPDOWNGRID	58
#define	ROLE_SYSTEM_WHITESPACE	59
#define	ROLE_SYSTEM_PAGETABLIST	60
#define	ROLE_SYSTEM_CLOCK	61
EXTERN_C const IID IID_IAccessible;
typedef struct IAccessibleVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IAccessible *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IAccessible *);
 ULONG (_stdcall *Release)(IAccessible *);
 HRESULT (_stdcall *GetTypeInfoCount)(IAccessible *,UINT *);
 HRESULT (_stdcall *GetTypeInfo)(IAccessible *,UINT,LCID,ITypeInfo **);
 HRESULT (_stdcall *GetIDsOfNames)(IAccessible *,REFIID,LPOLESTR *,UINT,LCID,DISPID *);
 HRESULT (_stdcall *Invoke)(IAccessible *,DISPID,REFIID,LCID,WORD,DISPPARAMS *,VARIANT *,EXCEPINFO *,UINT *);
 HRESULT (_stdcall *get_accParent)(IAccessible *,IDispatch **);
 HRESULT (_stdcall *get_accChildCount)(IAccessible *,long *);
 HRESULT (_stdcall *get_accChild)(IAccessible *,VARIANT,IDispatch **);
 HRESULT (_stdcall *get_accName)(IAccessible *,VARIANT,BSTR *);
 HRESULT (_stdcall *get_accValue)(IAccessible *,VARIANT,BSTR *);
 HRESULT (_stdcall *get_accDescription)(IAccessible *,VARIANT,BSTR *);
 HRESULT (_stdcall *get_accRole)(IAccessible *,VARIANT,VARIANT *);
 HRESULT (_stdcall *get_accState)(IAccessible *,VARIANT,VARIANT *);
 HRESULT (_stdcall *get_accHelp)(IAccessible *,VARIANT,BSTR *);
 HRESULT (_stdcall *get_accHelpTopic)(IAccessible *,BSTR *,VARIANT,long *);
 HRESULT (_stdcall *get_accKeyboardShortcut)(IAccessible *,VARIANT,BSTR *);
 HRESULT (_stdcall *get_accFocus)(IAccessible *,VARIANT *);
 HRESULT (_stdcall *get_accSelection)(IAccessible *,VARIANT *);
 HRESULT (_stdcall *get_accDefaultAction)(IAccessible *,VARIANT,BSTR *);
 HRESULT (_stdcall *accSelect)(IAccessible *,long,VARIANT);
 HRESULT (_stdcall *accLocation)(IAccessible *,long *,long *,long *,long *,VARIANT);
 HRESULT (_stdcall *accNavigate)(IAccessible *,long,VARIANT,VARIANT *);
 HRESULT (_stdcall *accHitTest)(IAccessible *,long,long,VARIANT *);
 HRESULT (_stdcall *accDoDefaultAction)(IAccessible *,VARIANT);
 HRESULT (_stdcall *put_accName)(IAccessible *,VARIANT,BSTR);
 HRESULT (_stdcall *put_accValue)(IAccessible *,VARIANT,BSTR);
END_INTERFACE
} IAccessibleVtbl;
interface IAccessible
{
CONST_VTBL struct IAccessibleVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IAccessible_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IAccessible_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IAccessible_Release(A) (A)->lpVtbl->Release(A)
#define IAccessible_GetTypeInfoCount(A,B) (A)->lpVtbl->GetTypeInfoCount(A,B)
#define IAccessible_GetTypeInfo(A,B,C,D) (A)->lpVtbl->GetTypeInfo(A,B,C,D)
#define IAccessible_GetIDsOfNames(A,B,C,D,E,F) (A)->lpVtbl->GetIDsOfNames(A,B,C,D,E,F)
#define IAccessible_Invoke(A,B,C,D,E,F,G,H,I) (A)->lpVtbl->Invoke(A,B,C,D,E,F,G,H,I)
#define IAccessible_get_accParent(A,B) (A)->lpVtbl->get_accParent(A,B)
#define IAccessible_get_accChildCount(A,B) (A)->lpVtbl->get_accChildCount(A,B)
#define IAccessible_get_accChild(A,B,C) (A)->lpVtbl->get_accChild(A,B,C)
#define IAccessible_get_accName(A,B,C) (A)->lpVtbl->get_accName(A,B,C)
#define IAccessible_get_accValue(A,B,C) (A)->lpVtbl->get_accValue(A,B,C)
#define IAccessible_get_accDescription(A,B,C) (A)->lpVtbl->get_accDescription(A,B,C)
#define IAccessible_get_accRole(A,B,C) (A)->lpVtbl->get_accRole(A,B,C)
#define IAccessible_get_accState(A,B,C) (A)->lpVtbl->get_accState(A,B,C)
#define IAccessible_get_accHelp(A,B,C) (A)->lpVtbl->get_accHelp(A,B,C)
#define IAccessible_get_accHelpTopic(A,B,C,D) (A)->lpVtbl->get_accHelpTopic(A,B,C,D)
#define IAccessible_get_accKeyboardShortcut(A,B,C) (A)->lpVtbl->get_accKeyboardShortcut(A,B,C)
#define IAccessible_get_accFocus(A,B) (A)->lpVtbl->get_accFocus(A,B)
#define IAccessible_get_accSelection(A,B) (A)->lpVtbl->get_accSelection(A,B)
#define IAccessible_get_accDefaultAction(A,B,C) (A)->lpVtbl->get_accDefaultAction(A,B,C)
#define IAccessible_accSelect(A,B,C) (A)->lpVtbl->accSelect(A,B,C)
#define IAccessible_accLocation(A,B,C,D,E,F) (A)->lpVtbl->accLocation(A,B,C,D,E,F)
#define IAccessible_accNavigate(A,B,C,D) (A)->lpVtbl->accNavigate(A,B,C,D)
#define IAccessible_accHitTest(A,B,C,D) (A)->lpVtbl->accHitTest(A,B,C,D)
#define IAccessible_accDoDefaultAction(A,B) (A)->lpVtbl->accDoDefaultAction(A,B)
#define IAccessible_put_accName(A,B,C) (A)->lpVtbl->put_accName(A,B,C)
#define IAccessible_put_accValue(A,B,C) (A)->lpVtbl->put_accValue(A,B,C)
#endif
HRESULT _stdcall IAccessible_get_accParent_Proxy(IAccessible * This, IDispatch **ppdispParent);
void __RPC_STUB IAccessible_get_accParent_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IAccessible_get_accChildCount_Proxy(IAccessible * This, long *pcountChildren);
void __RPC_STUB IAccessible_get_accChildCount_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IAccessible_get_accChild_Proxy(IAccessible * This, VARIANT varChild, IDispatch **ppdispChild);
void __RPC_STUB IAccessible_get_accChild_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IAccessible_get_accName_Proxy(IAccessible * This, VARIANT varChild, BSTR *pszName);
void __RPC_STUB IAccessible_get_accName_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IAccessible_get_accValue_Proxy(IAccessible * This, VARIANT varChild, BSTR *pszValue);
void __RPC_STUB IAccessible_get_accValue_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IAccessible_get_accDescription_Proxy(IAccessible * This, VARIANT varChild, BSTR *pszDescription);
void __RPC_STUB IAccessible_get_accDescription_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IAccessible_get_accRole_Proxy(IAccessible * This, VARIANT varChild, VARIANT *pvarRole);
void __RPC_STUB IAccessible_get_accRole_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IAccessible_get_accState_Proxy(IAccessible * This, VARIANT varChild, VARIANT *pvarState);
void __RPC_STUB IAccessible_get_accState_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IAccessible_get_accHelp_Proxy(IAccessible * This, VARIANT varChild, BSTR *pszHelp);
void __RPC_STUB IAccessible_get_accHelp_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IAccessible_get_accHelpTopic_Proxy(IAccessible * This, BSTR *pszHelpFile, VARIANT varChild, long *pidTopic);
void __RPC_STUB IAccessible_get_accHelpTopic_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IAccessible_get_accKeyboardShortcut_Proxy(IAccessible * This, VARIANT varChild, BSTR *pszKeyboardShortcut);
void __RPC_STUB IAccessible_get_accKeyboardShortcut_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IAccessible_get_accFocus_Proxy(IAccessible * This, VARIANT *pvarChild);
void __RPC_STUB IAccessible_get_accFocus_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IAccessible_get_accSelection_Proxy(IAccessible * This, VARIANT *pvarChildren);
void __RPC_STUB IAccessible_get_accSelection_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IAccessible_get_accDefaultAction_Proxy(IAccessible * This, VARIANT varChild, BSTR *pszDefaultAction);
void __RPC_STUB IAccessible_get_accDefaultAction_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IAccessible_accSelect_Proxy(IAccessible * This, long flagsSelect, VARIANT varChild);
void __RPC_STUB IAccessible_accSelect_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IAccessible_accLocation_Proxy(IAccessible * This, long *pxLeft, long *pyTop, long *pcxWidth, long *pcyHeight, VARIANT varChild);
void __RPC_STUB IAccessible_accLocation_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IAccessible_accNavigate_Proxy(IAccessible * This, long navDir, VARIANT varStart, VARIANT *pvarEndUpAt);
void __RPC_STUB IAccessible_accNavigate_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IAccessible_accHitTest_Proxy(IAccessible * This, long xLeft, long yTop, VARIANT *pvarChild);
void __RPC_STUB IAccessible_accHitTest_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IAccessible_accDoDefaultAction_Proxy(IAccessible * This, VARIANT varChild);
void __RPC_STUB IAccessible_accDoDefaultAction_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IAccessible_put_accName_Proxy(IAccessible * This, VARIANT varChild, BSTR szName);
void __RPC_STUB IAccessible_put_accName_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
HRESULT _stdcall IAccessible_put_accValue_Proxy(IAccessible * This, VARIANT varChild, BSTR szValue);
void __RPC_STUB IAccessible_put_accValue_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
#endif
#ifndef __IAccessibleHandler_INTERFACE_DEFINED__
#define __IAccessibleHandler_INTERFACE_DEFINED__
typedef  IAccessibleHandler *LPACCESSIBLEHANDLER;
EXTERN_C const IID IID_IAccessibleHandler;
typedef struct IAccessibleHandlerVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IAccessibleHandler *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IAccessibleHandler *);
 ULONG (_stdcall *Release)(IAccessibleHandler *);
 HRESULT (_stdcall *AccessibleObjectFromID)(IAccessibleHandler *,long,long,LPACCESSIBLE *);
END_INTERFACE
} IAccessibleHandlerVtbl;
interface IAccessibleHandler
{
CONST_VTBL struct IAccessibleHandlerVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IAccessibleHandler_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IAccessibleHandler_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IAccessibleHandler_Release(A) (A)->lpVtbl->Release(A)
#define IAccessibleHandler_AccessibleObjectFromID(A,B,C,D) (A)->lpVtbl->AccessibleObjectFromID(A,B,C,D)
#endif
HRESULT _stdcall IAccessibleHandler_AccessibleObjectFromID_Proxy(IAccessibleHandler * This, long hwnd, long lObjectID, LPACCESSIBLE *pIAccessible);
void __RPC_STUB IAccessibleHandler_AccessibleObjectFromID_Stub(IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
#endif
extern RPC_IF_HANDLE __MIDL_itf_oleacc_0106_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_oleacc_0106_v0_0_s_ifspec;
#ifndef __Accessibility_LIBRARY_DEFINED__
#define __Accessibility_LIBRARY_DEFINED__
EXTERN_C const IID LIBID_Accessibility;
#endif
unsigned long __RPC_USER BSTR_UserSize(unsigned long *, unsigned long,BSTR *);
unsigned char * __RPC_USER BSTR_UserMarshal(unsigned long *, unsigned char *, BSTR *);
unsigned char * __RPC_USER BSTR_UserUnmarshal(unsigned long *, unsigned char *, BSTR *);
void __RPC_USER BSTR_UserFree(unsigned long *, BSTR *);
unsigned long __RPC_USER VARIANT_UserSize(unsigned long *, unsigned long,VARIANT *);
unsigned char * __RPC_USER VARIANT_UserMarshal(unsigned long *, unsigned char *, VARIANT *);
unsigned char * __RPC_USER VARIANT_UserUnmarshal(unsigned long *, unsigned char *, VARIANT *);
void __RPC_USER VARIANT_UserFree(unsigned long *, VARIANT *);
// #endif
#endif
