#ifndef _PDH_MSG_H_
#define _PDH_MSG_H_
#pragma once
#define STATUS_SEVERITY_WARNING 2
#define STATUS_SEVERITY_SUCCESS 0
#define STATUS_SEVERITY_INFORMATIONAL 1
#define STATUS_SEVERITY_ERROR 3
#define PDH_CSTATUS_VALID_DATA ((DWORD)0)
#define PDH_CSTATUS_NEW_DATA ((DWORD)1)
#define PDH_CSTATUS_NO_MACHINE ((DWORD)0x800007d0)
#define PDH_CSTATUS_NO_INSTANCE ((DWORD)0x800007d1)
#define PDH_MORE_DATA ((DWORD)0x800007d2)
#define PDH_CSTATUS_ITEM_NOT_VALIDATED ((DWORD)0x800007d3)
#define PDH_RETRY ((DWORD)0x800007d4)
#define PDH_NO_DATA ((DWORD)0x800007d5)
#define PDH_CALC_NEGATIVE_DENOMINATOR ((DWORD)0x800007d6)
#define PDH_CALC_NEGATIVE_TIMEBASE ((DWORD)0x800007d7)
#define PDH_CALC_NEGATIVE_VALUE ((DWORD)0x800007d8)
#define PDH_DIALOG_CANCELLED ((DWORD)0x800007d9)
#define PDH_END_OF_LOG_FILE ((DWORD)0x800007da)
#define PDH_ASYNC_QUERY_TIMEOUT ((DWORD)0x800007db)
#define PDH_CANNOT_SET_DEFAULT_REALTIME_DATASOURCE ((DWORD)0x800007dc)
#define PDH_CSTATUS_NO_OBJECT ((DWORD)0xc0000bb8)
#define PDH_CSTATUS_NO_COUNTER ((DWORD)0xc0000bb9)
#define PDH_CSTATUS_INVALID_DATA ((DWORD)0xc0000bba)
#define PDH_MEMORY_ALLOCATION_FAILURE ((DWORD)0xc0000bbb)
#define PDH_INVALID_HANDLE ((DWORD)0xc0000bbc)
#define PDH_INVALID_ARGUMENT ((DWORD)0xc0000bbd)
#define PDH_FUNCTION_NOT_FOUND ((DWORD)0xc0000bbe)
#define PDH_CSTATUS_NO_COUNTERNAME ((DWORD)0xc0000bbf)
#define PDH_CSTATUS_BAD_COUNTERNAME ((DWORD)0xc0000bc0)
#define PDH_INVALID_BUFFER ((DWORD)0xc0000bc1)
#define PDH_INSUFFICIENT_BUFFER ((DWORD)0xc0000bc2)
#define PDH_CANNOT_CONNECT_MACHINE ((DWORD)0xc0000bc3)
#define PDH_INVALID_PATH ((DWORD)0xc0000bc4)
#define PDH_INVALID_INSTANCE ((DWORD)0xc0000bc5)
#define PDH_INVALID_DATA ((DWORD)0xc0000bc6)
#define PDH_NO_DIALOG_DATA ((DWORD)0xc0000bc7)
#define PDH_CANNOT_READ_NAME_STRINGS ((DWORD)0xc0000bc8)
#define PDH_LOG_FILE_CREATE_ERROR ((DWORD)0xc0000bc9)
#define PDH_LOG_FILE_OPEN_ERROR ((DWORD)0xc0000bca)
#define PDH_LOG_TYPE_NOT_FOUND ((DWORD)0xc0000bcb)
#define PDH_NO_MORE_DATA ((DWORD)0xc0000bcc)
#define PDH_ENTRY_NOT_IN_LOG_FILE ((DWORD)0xc0000bcd)
#define PDH_DATA_SOURCE_IS_LOG_FILE ((DWORD)0xc0000bce)
#define PDH_DATA_SOURCE_IS_REAL_TIME ((DWORD)0xc0000bcf)
#define PDH_UNABLE_READ_LOG_HEADER ((DWORD)0xc0000bd0)
#define PDH_FILE_NOT_FOUND ((DWORD)0xc0000bd1)
#define PDH_FILE_ALREADY_EXISTS ((DWORD)0xc0000bd2)
#define PDH_NOT_IMPLEMENTED ((DWORD)0xc0000bd3)
#define PDH_STRING_NOT_FOUND ((DWORD)0xc0000bd4)
#define PDH_UNABLE_MAP_NAME_FILES ((DWORD)0x80000bd5)
#define PDH_UNKNOWN_LOG_FORMAT ((DWORD)0xc0000bd6)
#define PDH_UNKNOWN_LOGSVC_COMMAND ((DWORD)0xc0000bd7)
#define PDH_LOGSVC_QUERY_NOT_FOUND ((DWORD)0xc0000bd8)
#define PDH_LOGSVC_NOT_OPENED ((DWORD)0xc0000bd9)
#define PDH_WBEM_ERROR ((DWORD)0xc0000bda)
#define PDH_ACCESS_DENIED ((DWORD)0xc0000bdb)
#define PDH_LOG_FILE_TOO_SMALL ((DWORD)0xc0000bdc)
#define PDH_INVALID_DATASOURCE ((DWORD)0xc0000bdd)
#define PDH_INVALID_SQLDB ((DWORD)0xc0000bde)
#define PDH_NO_COUNTERS ((DWORD)0xc0000bdf)
#define PDH_SQL_ALLOC_FAILED ((DWORD)0xc0000be0)
#define PDH_SQL_ALLOCCON_FAILED ((DWORD)0xc0000be1)
#define PDH_SQL_EXEC_DIRECT_FAILED ((DWORD)0xc0000be2)
#define PDH_SQL_FETCH_FAILED ((DWORD)0xc0000be3)
#define PDH_SQL_ROWCOUNT_FAILED ((DWORD)0xc0000be4)
#define PDH_SQL_MORE_RESULTS_FAILED ((DWORD)0xc0000be5)
#define PDH_SQL_CONNECT_FAILED ((DWORD)0xc0000be6)
#define PDH_SQL_BIND_FAILED ((DWORD)0xc0000be7)
#define PDH_CANNOT_CONNECT_WMI_SERVER ((DWORD)0xc0000be8)
#define PDH_PLA_COLLECTION_ALREADY_RUNNING ((DWORD)0xc0000be9)
#define PDH_PLA_ERROR_SCHEDULE_OVERLAP ((DWORD)0xc0000bea)
#define PDH_PLA_COLLECTION_NOT_FOUND ((DWORD)0xc0000beb)
#define PDH_PLA_ERROR_SCHEDULE_ELAPSED ((DWORD)0xc0000bec)
#define PDH_PLA_ERROR_NOSTART ((DWORD)0xc0000bed)
#define PDH_PLA_ERROR_ALREADY_EXISTS ((DWORD)0xc0000bee)
#define PDH_PLA_ERROR_TYPE_MISMATCH ((DWORD)0xc0000bef)
#define PDH_PLA_ERROR_FILEPATH ((DWORD)0xc0000bf0)
#define PDH_PLA_SERVICE_ERROR ((DWORD)0xc0000bf1)
#define PDH_PLA_VALIDATION_ERROR ((DWORD)0xc0000bf2)
#define PDH_PLA_VALIDATION_WARNING ((DWORD)0x80000bf3)
#define PDH_PLA_ERROR_NAME_TOO_LONG ((DWORD)0xc0000bf4)
#define PDH_INVALID_SQL_LOG_FORMAT ((DWORD)0xc0000bf5)
#define PDH_COUNTER_ALREADY_IN_QUERY ((DWORD)0xc0000bf6)
#define PDH_BINARY_LOG_CORRUPT ((DWORD)0xc0000bf7)
#define PDH_LOG_SAMPLE_TOO_SMALL ((DWORD)0xc0000bf8)
#define PDH_OS_LATER_VERSION ((DWORD)0xc0000bf9)
#define PDH_OS_EARLIER_VERSION ((DWORD)0xc0000bfa)
#define PDH_INCORRECT_APPEND_TIME ((DWORD)0xc0000bfb)
#define PDH_UNMATCHED_APPEND_COUNTER ((DWORD)0xc0000bfc)
#define PDH_SQL_ALTER_DETAIL_FAILED ((DWORD)0xc0000bfd)
#define PDH_QUERY_PERF_DATA_TIMEOUT ((DWORD)0xc0000bfe)
#endif 
