#ifndef __time64_h__
#define __time64_h__
#include <time.h>
//
// Time will be represented as a 64 bit number containing the number of seconds
// elapsed since 1970
//
typedef long long time64_t;

// The 64 bit functions
time64_t time64(time64_t *pt);
struct tm *localtime64(time64_t *pt);
long double difftime64(time64_t time1, time64_t time0);
time64_t mktime64( struct tm *today );
struct tm *gmtime64(time64_t t);
char *ctime64(time64_t *tp);
#endif
