#ifndef __REQUIRED_RPCNDR_H_VERSION__
#define __REQUIRED_RPCNDR_H_VERSION__ 475
#endif
#include "rpc.h"
#include "rpcndr.h"
#ifndef __RPCNDR_H_VERSION__
#error this stub requires an updated version of <rpcndr.h>
#endif 
#ifndef COM_NO_WINDOWS_H
#include "windows.h"
#include "ole2.h"
#endif 
#ifndef __wbemtran_h__
#define __wbemtran_h__
#if defined(_MSC_VER) && (_MSC_VER >= 1020)
#endif
#ifndef __IWbemTransport_FWD_DEFINED__
#define __IWbemTransport_FWD_DEFINED__
typedef interface IWbemTransport IWbemTransport;
#endif 
#ifndef __IWbemLevel1Login_FWD_DEFINED__
#define __IWbemLevel1Login_FWD_DEFINED__
typedef interface IWbemLevel1Login IWbemLevel1Login;
#endif 
#ifndef __IWbemConnectorLogin_FWD_DEFINED__
#define __IWbemConnectorLogin_FWD_DEFINED__
typedef interface IWbemConnectorLogin IWbemConnectorLogin;
#endif 
#ifndef __IWbemAddressResolution_FWD_DEFINED__
#define __IWbemAddressResolution_FWD_DEFINED__
typedef interface IWbemAddressResolution IWbemAddressResolution;
#endif 
#ifndef __WbemLevel1Login_FWD_DEFINED__
#define __WbemLevel1Login_FWD_DEFINED__
typedef struct WbemLevel1Login WbemLevel1Login;
#endif 
#ifndef __WbemLocalAddrRes_FWD_DEFINED__
#define __WbemLocalAddrRes_FWD_DEFINED__
typedef struct WbemLocalAddrRes WbemLocalAddrRes;
#endif 
#ifndef __WbemUninitializedClassObject_FWD_DEFINED__
#define __WbemUninitializedClassObject_FWD_DEFINED__
typedef struct WbemUninitializedClassObject WbemUninitializedClassObject;
#endif 
#ifndef __IWbemClientTransport_FWD_DEFINED__
#define __IWbemClientTransport_FWD_DEFINED__
typedef interface IWbemClientTransport IWbemClientTransport;
#endif 
#ifndef __IWbemClientConnectionTransport_FWD_DEFINED__
#define __IWbemClientConnectionTransport_FWD_DEFINED__
typedef interface IWbemClientConnectionTransport IWbemClientConnectionTransport;
#endif 
#ifndef __WbemDCOMTransport_FWD_DEFINED__
#define __WbemDCOMTransport_FWD_DEFINED__
typedef struct WbemDCOMTransport WbemDCOMTransport;
#endif 
#ifndef __IWbemLevel1Login_FWD_DEFINED__
#define __IWbemLevel1Login_FWD_DEFINED__
typedef interface IWbemLevel1Login IWbemLevel1Login;
#endif 
#ifndef __IWbemConnectorLogin_FWD_DEFINED__
#define __IWbemConnectorLogin_FWD_DEFINED__
typedef interface IWbemConnectorLogin IWbemConnectorLogin;
#endif 
#ifndef __IWbemAddressResolution_FWD_DEFINED__
#define __IWbemAddressResolution_FWD_DEFINED__
typedef interface IWbemAddressResolution IWbemAddressResolution;
#endif 
#ifndef __IWbemTransport_FWD_DEFINED__
#define __IWbemTransport_FWD_DEFINED__
typedef interface IWbemTransport IWbemTransport;
#endif 
#ifndef __IWbemConstructClassObject_FWD_DEFINED__
#define __IWbemConstructClassObject_FWD_DEFINED__
typedef interface IWbemConstructClassObject IWbemConstructClassObject;
#endif 
#ifndef __IWbemClientTransport_FWD_DEFINED__
#define __IWbemClientTransport_FWD_DEFINED__
typedef interface IWbemClientTransport IWbemClientTransport;
#endif 
#ifndef __IWbemClientConnectionTransport_FWD_DEFINED__
#define __IWbemClientConnectionTransport_FWD_DEFINED__
typedef interface IWbemClientConnectionTransport IWbemClientConnectionTransport;
#endif 
#include "objidl.h"
#include "oleidl.h"
#include "oaidl.h"
#include "wbemcli.h"
void * __RPC_USER MIDL_user_allocate(size_t);
void __RPC_USER MIDL_user_free(void *); 
#ifndef __WbemTransports_v1_LIBRARY_DEFINED__
#define __WbemTransports_v1_LIBRARY_DEFINED__
typedef 
enum tag_WBEM_LOGIN_TYPE
{	WBEM_FLAG_INPROC_LOGIN=0,
WBEM_FLAG_LOCAL_LOGIN=1,
WBEM_FLAG_REMOTE_LOGIN=2,
WBEM_AUTHENTICATION_METHOD_MASK=15,
WBEM_FLAG_USE_MULTIPLE_CHALLENGES=16
} WBEM_LOGIN_TYPE;
typedef  BYTE *WBEM_128BITS;
EXTERN_C const IID LIBID_WbemTransports_v1;
#ifndef __IWbemTransport_INTERFACE_DEFINED__
#define __IWbemTransport_INTERFACE_DEFINED__
EXTERN_C const IID IID_IWbemTransport;
typedef struct IWbemTransportVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IWbemTransport *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IWbemTransport *);
 ULONG (_stdcall *Release)(IWbemTransport *);
 HRESULT (_stdcall *Initialize)(IWbemTransport *);
END_INTERFACE
} IWbemTransportVtbl;
interface IWbemTransport
{
CONST_VTBL struct IWbemTransportVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IWbemTransport_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IWbemTransport_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IWbemTransport_Release(A) (A)->lpVtbl->Release(A)
#define IWbemTransport_Initialize(A) (A)->lpVtbl->Initialize(A)
#endif 
HRESULT _stdcall IWbemTransport_Initialize_Proxy(IWbemTransport *);
void __RPC_STUB IWbemTransport_Initialize_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
#endif 
#ifndef __IWbemLevel1Login_INTERFACE_DEFINED__
#define __IWbemLevel1Login_INTERFACE_DEFINED__
EXTERN_C const IID IID_IWbemLevel1Login;
typedef struct IWbemLevel1LoginVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IWbemLevel1Login *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IWbemLevel1Login *);
 ULONG (_stdcall *Release)(IWbemLevel1Login *);
 HRESULT (_stdcall *EstablishPosition)(IWbemLevel1Login *,LPWSTR,DWORD,DWORD *);
 HRESULT (_stdcall *RequestChallenge)(IWbemLevel1Login *,LPWSTR,LPWSTR,WBEM_128BITS);
 HRESULT (_stdcall *WBEMLogin)(IWbemLevel1Login *,LPWSTR,WBEM_128BITS,long,IWbemContext *,IWbemServices **);
 HRESULT (_stdcall *NTLMLogin)(IWbemLevel1Login *,LPWSTR,LPWSTR,long,IWbemContext *,IWbemServices **);
END_INTERFACE
} IWbemLevel1LoginVtbl;
interface IWbemLevel1Login
{
CONST_VTBL struct IWbemLevel1LoginVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IWbemLevel1Login_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IWbemLevel1Login_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IWbemLevel1Login_Release(A) (A)->lpVtbl->Release(A)
#define IWbemLevel1Login_EstablishPosition(A,B,C,D) (A)->lpVtbl->EstablishPosition(A,B,C,D)
#define IWbemLevel1Login_RequestChallenge(A,B,C,D) (A)->lpVtbl->RequestChallenge(A,B,C,D)
#define IWbemLevel1Login_WBEMLogin(A,B,C,D,E,F) (A)->lpVtbl->WBEMLogin(A,B,C,D,E,F)
#define IWbemLevel1Login_NTLMLogin(A,B,C,D,E,F) (A)->lpVtbl->NTLMLogin(A,B,C,D,E,F)
#endif 
HRESULT _stdcall IWbemLevel1Login_EstablishPosition_Proxy(IWbemLevel1Login *,LPWSTR ,DWORD ,DWORD *);
void __RPC_STUB IWbemLevel1Login_EstablishPosition_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IWbemLevel1Login_RequestChallenge_Proxy(IWbemLevel1Login *,LPWSTR ,LPWSTR ,WBEM_128BITS );
void __RPC_STUB IWbemLevel1Login_RequestChallenge_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IWbemLevel1Login_WBEMLogin_Proxy(IWbemLevel1Login *,LPWSTR ,WBEM_128BITS ,long ,IWbemContext *,IWbemServices **);
void __RPC_STUB IWbemLevel1Login_WBEMLogin_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IWbemLevel1Login_NTLMLogin_Proxy(IWbemLevel1Login *,LPWSTR ,LPWSTR ,long ,IWbemContext *,IWbemServices **);
void __RPC_STUB IWbemLevel1Login_NTLMLogin_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
#endif 
#ifndef __IWbemConnectorLogin_INTERFACE_DEFINED__
#define __IWbemConnectorLogin_INTERFACE_DEFINED__
EXTERN_C const IID IID_IWbemConnectorLogin;
typedef struct IWbemConnectorLoginVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IWbemConnectorLogin *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IWbemConnectorLogin *);
 ULONG (_stdcall *Release)(IWbemConnectorLogin *);
 HRESULT (_stdcall *ConnectorLogin)(IWbemConnectorLogin *,LPWSTR,LPWSTR,long,IWbemContext *,REFIID,void **);
END_INTERFACE
} IWbemConnectorLoginVtbl;
interface IWbemConnectorLogin
{
CONST_VTBL struct IWbemConnectorLoginVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IWbemConnectorLogin_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IWbemConnectorLogin_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IWbemConnectorLogin_Release(A) (A)->lpVtbl->Release(A)
#define IWbemConnectorLogin_ConnectorLogin(A,B,C,D,E,F,G) (A)->lpVtbl->ConnectorLogin(A,B,C,D,E,F,G)
#endif 
HRESULT _stdcall IWbemConnectorLogin_ConnectorLogin_Proxy(IWbemConnectorLogin *,LPWSTR ,LPWSTR ,long ,IWbemContext *,REFIID ,void **);
void __RPC_STUB IWbemConnectorLogin_ConnectorLogin_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
#endif 
#ifndef __IWbemAddressResolution_INTERFACE_DEFINED__
#define __IWbemAddressResolution_INTERFACE_DEFINED__
EXTERN_C const IID IID_IWbemAddressResolution;
typedef struct IWbemAddressResolutionVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IWbemAddressResolution *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IWbemAddressResolution *);
 ULONG (_stdcall *Release)(IWbemAddressResolution *);
 HRESULT (_stdcall *Resolve)(IWbemAddressResolution *,LPWSTR,LPWSTR,DWORD *,BYTE **);
END_INTERFACE
} IWbemAddressResolutionVtbl;
interface IWbemAddressResolution
{
CONST_VTBL struct IWbemAddressResolutionVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IWbemAddressResolution_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IWbemAddressResolution_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IWbemAddressResolution_Release(A) (A)->lpVtbl->Release(A)
#define IWbemAddressResolution_Resolve(A,B,C,D,E) (A)->lpVtbl->Resolve(A,B,C,D,E)
#endif 
HRESULT _stdcall IWbemAddressResolution_Resolve_Proxy(IWbemAddressResolution *,LPWSTR ,LPWSTR ,DWORD *,BYTE **);
void __RPC_STUB IWbemAddressResolution_Resolve_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
#endif 
EXTERN_C const CLSID CLSID_WbemLevel1Login;
EXTERN_C const CLSID CLSID_WbemLocalAddrRes;
EXTERN_C const CLSID CLSID_WbemUninitializedClassObject;
#ifndef __IWbemClientTransport_INTERFACE_DEFINED__
#define __IWbemClientTransport_INTERFACE_DEFINED__
EXTERN_C const IID IID_IWbemClientTransport;
typedef struct IWbemClientTransportVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IWbemClientTransport *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IWbemClientTransport *);
 ULONG (_stdcall *Release)(IWbemClientTransport *);
 HRESULT (_stdcall *ConnectServer)(IWbemClientTransport *,BSTR,DWORD,BYTE *,BSTR,BSTR,BSTR,BSTR,long,BSTR,IWbemContext *,IWbemServices **);
END_INTERFACE
} IWbemClientTransportVtbl;
interface IWbemClientTransport
{
CONST_VTBL struct IWbemClientTransportVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IWbemClientTransport_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IWbemClientTransport_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IWbemClientTransport_Release(A) (A)->lpVtbl->Release(A)
#define IWbemClientTransport_ConnectServer(A,B,C,D,E,F,G,H,I,J,K,L) (A)->lpVtbl->ConnectServer(A,B,C,D,E,F,G,H,I,J,K,L)
#endif 
HRESULT _stdcall IWbemClientTransport_ConnectServer_Proxy(IWbemClientTransport *,BSTR ,DWORD ,BYTE *,BSTR ,BSTR ,BSTR ,BSTR ,long ,BSTR ,IWbemContext *,IWbemServices **);
void __RPC_STUB IWbemClientTransport_ConnectServer_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
#endif 
#ifndef __IWbemClientConnectionTransport_INTERFACE_DEFINED__
#define __IWbemClientConnectionTransport_INTERFACE_DEFINED__
EXTERN_C const IID IID_IWbemClientConnectionTransport;
typedef struct IWbemClientConnectionTransportVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IWbemClientConnectionTransport *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IWbemClientConnectionTransport *);
 ULONG (_stdcall *Release)(IWbemClientConnectionTransport *);
 HRESULT (_stdcall *Open)(IWbemClientConnectionTransport *,BSTR,DWORD,BYTE *,const BSTR,const BSTR,const BSTR,const BSTR,long,IWbemContext *,REFIID,void **,IWbemCallResult **);
 HRESULT (_stdcall *OpenAsync)(IWbemClientConnectionTransport *,BSTR,DWORD,BYTE *,const BSTR,const BSTR,const BSTR,const BSTR,long,IWbemContext *,REFIID,IWbemObjectSink *);
 HRESULT (_stdcall *Cancel)(IWbemClientConnectionTransport *,long,IWbemObjectSink *);
END_INTERFACE
} IWbemClientConnectionTransportVtbl;
interface IWbemClientConnectionTransport
{
CONST_VTBL struct IWbemClientConnectionTransportVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IWbemClientConnectionTransport_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IWbemClientConnectionTransport_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IWbemClientConnectionTransport_Release(A) (A)->lpVtbl->Release(A)
#define IWbemClientConnectionTransport_Open(A,B,C,D,E,F,G,H,I,J,K,L,M) (A)->lpVtbl->Open(A,B,C,D,E,F,G,H,I,J,K,L,M)
#define IWbemClientConnectionTransport_OpenAsync(A,B,C,D,E,F,G,H,I,J,K,L) (A)->lpVtbl->OpenAsync(A,B,C,D,E,F,G,H,I,J,K,L)
#define IWbemClientConnectionTransport_Cancel(A,B,C) (A)->lpVtbl->Cancel(A,B,C)
#endif 
HRESULT _stdcall IWbemClientConnectionTransport_Open_Proxy(IWbemClientConnectionTransport *,BSTR ,DWORD ,BYTE *, const BSTR strObject, const BSTR strUser, const BSTR strPassword, const BSTR strLocale,long ,IWbemContext *,REFIID ,void **,IWbemCallResult **);
void __RPC_STUB IWbemClientConnectionTransport_Open_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IWbemClientConnectionTransport_OpenAsync_Proxy(IWbemClientConnectionTransport *,BSTR ,DWORD ,BYTE *, const BSTR strObject, const BSTR strUser, const BSTR strPassword, const BSTR strLocale,long ,IWbemContext *,REFIID ,IWbemObjectSink *);
void __RPC_STUB IWbemClientConnectionTransport_OpenAsync_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IWbemClientConnectionTransport_Cancel_Proxy(IWbemClientConnectionTransport *,long ,IWbemObjectSink *);
void __RPC_STUB IWbemClientConnectionTransport_Cancel_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
#endif 
EXTERN_C const CLSID CLSID_WbemDCOMTransport;
#endif 
#ifndef __IWbemConstructClassObject_INTERFACE_DEFINED__
#define __IWbemConstructClassObject_INTERFACE_DEFINED__
EXTERN_C const IID IID_IWbemConstructClassObject;
typedef struct IWbemConstructClassObjectVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IWbemConstructClassObject *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IWbemConstructClassObject *);
 ULONG (_stdcall *Release)(IWbemConstructClassObject *);
 HRESULT (_stdcall *SetInheritanceChain)(IWbemConstructClassObject *,long,LPWSTR *);
 HRESULT (_stdcall *SetPropertyOrigin)(IWbemConstructClassObject *,LPCWSTR,long);
 HRESULT (_stdcall *SetMethodOrigin)(IWbemConstructClassObject *,LPCWSTR,long);
 HRESULT (_stdcall *SetServerNamespace)(IWbemConstructClassObject *,LPCWSTR,LPCWSTR);
END_INTERFACE
} IWbemConstructClassObjectVtbl;
interface IWbemConstructClassObject
{
CONST_VTBL struct IWbemConstructClassObjectVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IWbemConstructClassObject_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IWbemConstructClassObject_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IWbemConstructClassObject_Release(A) (A)->lpVtbl->Release(A)
#define IWbemConstructClassObject_SetInheritanceChain(A,B,C) (A)->lpVtbl->SetInheritanceChain(A,B,C)
#define IWbemConstructClassObject_SetPropertyOrigin(A,B,C) (A)->lpVtbl->SetPropertyOrigin(A,B,C)
#define IWbemConstructClassObject_SetMethodOrigin(A,B,C) (A)->lpVtbl->SetMethodOrigin(A,B,C)
#define IWbemConstructClassObject_SetServerNamespace(A,B,C) (A)->lpVtbl->SetServerNamespace(A,B,C)
#endif 
HRESULT _stdcall IWbemConstructClassObject_SetInheritanceChain_Proxy(IWbemConstructClassObject *,long ,LPWSTR *);
void __RPC_STUB IWbemConstructClassObject_SetInheritanceChain_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IWbemConstructClassObject_SetPropertyOrigin_Proxy(IWbemConstructClassObject *,LPCWSTR ,long );
void __RPC_STUB IWbemConstructClassObject_SetPropertyOrigin_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IWbemConstructClassObject_SetMethodOrigin_Proxy(IWbemConstructClassObject *,LPCWSTR ,long );
void __RPC_STUB IWbemConstructClassObject_SetMethodOrigin_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IWbemConstructClassObject_SetServerNamespace_Proxy(IWbemConstructClassObject *,LPCWSTR ,LPCWSTR );
void __RPC_STUB IWbemConstructClassObject_SetServerNamespace_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
#endif 
#endif
