#ifndef __ws2spi_h__
#define __ws2spi_h__
#pragma pack(push,4)
#ifndef __winsock2_h__
#include <winsock2.h>
#endif
#define WSPDESCRIPTION_LEN 255
#define WSS_OPERATION_IN_PROGRESS 0x00000103L
typedef struct WSPData {
 WORD wVersion;
 WORD wHighVersion;
 WCHAR szDescription[WSPDESCRIPTION_LEN+1];
} WSPDATA,* LPWSPDATA;
typedef struct _WSATHREADID {
 HANDLE ThreadHandle;
 DWORD Reserved;
} WSATHREADID,FAR * LPWSATHREADID;
#define WSPAPI WSAAPI
typedef BOOL (CALLBACK * LPBLOCKINGCALLBACK)(DWORD);
typedef VOID (CALLBACK * LPWSAUSERAPC)(DWORD);
typedef SOCKET (WSPAPI * LPWSPACCEPT)(SOCKET,struct sockaddr *,LPINT ,LPCONDITIONPROC ,DWORD ,LPINT ); 
typedef INT (WSPAPI * LPWSPADDRESSTOSTRING)(LPSOCKADDR,DWORD,LPWSAPROTOCOL_INFOW,LPWSTR,LPDWORD,LPINT );
typedef int (WSPAPI * LPWSPASYNCSELECT)( SOCKET s,HWND hWnd,unsigned int wMsg,long lEvent,LPINT lpErrno );
typedef int (WSPAPI * LPWSPBIND)( SOCKET s,const struct sockaddr * name,int namelen,LPINT lpErrno );
typedef int (WSPAPI * LPWSPCANCELBLOCKINGCALL)( LPINT lpErrno );
typedef int (WSPAPI * LPWSPCLEANUP)( LPINT lpErrno );
typedef int (WSPAPI * LPWSPCLOSESOCKET)(SOCKET s,LPINT lpErrno );
typedef int (WSPAPI * LPWSPCONNECT)(SOCKET ,const struct sockaddr * ,int ,LPWSABUF,LPWSABUF ,LPQOS ,LPQOS ,LPINT );
typedef int (WSPAPI * LPWSPDUPLICATESOCKET)(SOCKET s,DWORD dwProcessId,LPWSAPROTOCOL_INFOW lpProtocolInfo,LPINT lpErrno );
typedef int (WSPAPI * LPWSPENUMNETWORKEVENTS)(SOCKET s,WSAEVENT hEventObject,LPWSANETWORKEVENTS lpNetworkEvents,LPINT lpErrno );
typedef int (WSPAPI * LPWSPEVENTSELECT)(SOCKET s,WSAEVENT hEventObject,long lNetworkEvents,LPINT lpErrno );
typedef BOOL (WSPAPI * LPWSPGETOVERLAPPEDRESULT)(SOCKET s,LPWSAOVERLAPPED lpOverlapped,LPDWORD lpcbTransfer,BOOL fWait,LPDWORD lpdwFlags,LPINT lpErrno );
typedef int (WSPAPI * LPWSPGETPEERNAME)(SOCKET s,struct sockaddr FAR * name,LPINT namelen,LPINT lpErrno );
typedef int (WSPAPI * LPWSPGETSOCKNAME)(SOCKET s,struct sockaddr FAR * name,LPINT namelen,LPINT lpErrno );
typedef int (WSPAPI * LPWSPGETSOCKOPT)(SOCKET s,int level,int optname,char FAR * optval,LPINT optlen,LPINT lpErrno );
typedef BOOL (WSPAPI * LPWSPGETQOSBYNAME)(SOCKET s,LPWSABUF lpQOSName,LPQOS lpQOS,LPINT lpErrno );
typedef int (WSPAPI * LPWSPIOCTL)(SOCKET,DWORD,LPVOID,DWORD,LPVOID ,DWORD,LPDWORD,LPWSAOVERLAPPED,LPWSAOVERLAPPED_COMPLETION_ROUTINE,LPWSATHREADID,LPINT);
typedef SOCKET (WSPAPI * LPWSPJOINLEAF)(SOCKET s,const struct sockaddr FAR * name,int namelen,LPWSABUF lpCallerData,LPWSABUF lpCalleeData,LPQOS lpSQOS,LPQOS lpGQOS,DWORD dwFlags,LPINT lpErrno ); 
typedef int (WSPAPI * LPWSPLISTEN)(SOCKET s,int backlog,LPINT lpErrno );
typedef int (WSPAPI * LPWSPRECV)(SOCKET s,LPWSABUF lpBuffers,DWORD dwBufferCount,LPDWORD lpNumberOfBytesRecvd,LPDWORD lpFlags,LPWSAOVERLAPPED lpOverlapped,LPWSAOVERLAPPED_COMPLETION_ROUTINE lpCompletionRoutine,LPWSATHREADID lpThreadId,LPINT lpErrno );
typedef int (WSPAPI * LPWSPRECVDISCONNECT)(SOCKET,LPWSABUF,LPINT);
typedef int (WSPAPI * LPWSPRECVFROM)(SOCKET,LPWSABUF,DWORD,LPDWORD,LPDWORD,struct sockaddr *,LPINT,LPWSAOVERLAPPED,LPWSAOVERLAPPED_COMPLETION_ROUTINE,LPWSATHREADID,LPINT);
typedef int (WSPAPI * LPWSPSELECT)(int nfds,fd_set FAR * readfds,fd_set FAR * writefds,fd_set * exceptfds,const struct timeval * timeout,LPINT lpErrno );
typedef int (WSPAPI * LPWSPSEND)(SOCKET s,LPWSABUF lpBuffers,DWORD dwBufferCount,LPDWORD lpNumberOfBytesSent,DWORD dwFlags,LPWSAOVERLAPPED lpOverlapped,LPWSAOVERLAPPED_COMPLETION_ROUTINE lpCompletionRoutine,LPWSATHREADID lpThreadId,LPINT lpErrno ); 
typedef int (WSPAPI * LPWSPSENDDISCONNECT)(SOCKET s,LPWSABUF lpOutboundDisconnectData,LPINT lpErrno );
typedef int (WSPAPI * LPWSPSENDTO)(SOCKET s,LPWSABUF lpBuffers,DWORD dwBufferCount,LPDWORD lpNumberOfBytesSent,DWORD dwFlags,const struct sockaddr FAR * lpTo,int iTolen,LPWSAOVERLAPPED lpOverlapped,LPWSAOVERLAPPED_COMPLETION_ROUTINE lpCompletionRoutine,LPWSATHREADID lpThreadId,LPINT lpErrno );
typedef int (WSPAPI * LPWSPSETSOCKOPT)(SOCKET s,int level,int optname,const char FAR * optval,int optlen,LPINT lpErrno );
typedef int (WSPAPI * LPWSPSHUTDOWN)(SOCKET s,int how,LPINT lpErrno );
typedef SOCKET (WSPAPI * LPWSPSOCKET)(int af,int type,int protocol,LPWSAPROTOCOL_INFOW lpProtocolInfo,GROUP g,DWORD dwFlags,LPINT lpErrno ); 
typedef INT (WSPAPI * LPWSPSTRINGTOADDRESS)(LPWSTR AddressString,INT AddressFamily,LPWSAPROTOCOL_INFOW lpProtocolInfo,LPSOCKADDR lpAddress,LPINT lpAddressLength,LPINT lpErrno ); 
typedef struct _WSPPROC_TABLE {
 LPWSPACCEPT lpWSPAccept;
 LPWSPADDRESSTOSTRING lpWSPAddressToString;
 LPWSPASYNCSELECT lpWSPAsyncSelect;
 LPWSPBIND lpWSPBind;
 LPWSPCANCELBLOCKINGCALL lpWSPCancelBlockingCall;
 LPWSPCLEANUP lpWSPCleanup;
 LPWSPCLOSESOCKET lpWSPCloseSocket;
 LPWSPCONNECT lpWSPConnect;
 LPWSPDUPLICATESOCKET lpWSPDuplicateSocket;
 LPWSPENUMNETWORKEVENTS lpWSPEnumNetworkEvents;
 LPWSPEVENTSELECT lpWSPEventSelect;
 LPWSPGETOVERLAPPEDRESULT lpWSPGetOverlappedResult;
 LPWSPGETPEERNAME lpWSPGetPeerName;
 LPWSPGETSOCKNAME lpWSPGetSockName;
 LPWSPGETSOCKOPT lpWSPGetSockOpt;
 LPWSPGETQOSBYNAME lpWSPGetQOSByName;
 LPWSPIOCTL lpWSPIoctl;
 LPWSPJOINLEAF lpWSPJoinLeaf;
 LPWSPLISTEN lpWSPListen;
 LPWSPRECV lpWSPRecv;
 LPWSPRECVDISCONNECT lpWSPRecvDisconnect;
 LPWSPRECVFROM lpWSPRecvFrom;
 LPWSPSELECT lpWSPSelect;
 LPWSPSEND lpWSPSend;
 LPWSPSENDDISCONNECT lpWSPSendDisconnect;
 LPWSPSENDTO lpWSPSendTo;
 LPWSPSETSOCKOPT lpWSPSetSockOpt;
 LPWSPSHUTDOWN lpWSPShutdown;
 LPWSPSOCKET lpWSPSocket;
 LPWSPSTRINGTOADDRESS lpWSPStringToAddress;
} WSPPROC_TABLE,FAR * LPWSPPROC_TABLE;
typedef BOOL (WSPAPI * LPWPUCLOSEEVENT)(WSAEVENT,LPINT);
typedef int (WSPAPI * LPWPUCLOSESOCKETHANDLE)(SOCKET,LPINT);
typedef WSAEVENT (WSPAPI * LPWPUCREATEEVENT)(LPINT); 
typedef SOCKET (WSPAPI * LPWPUCREATESOCKETHANDLE)(DWORD,DWORD,LPINT);
typedef int (WSPAPI * LPWPUFDISSET)(SOCKET,fd_set *);
typedef int (WSPAPI * LPWPUGETPROVIDERPATH)(LPGUID,WCHAR *,LPINT,LPINT);
typedef SOCKET (WSPAPI * LPWPUMODIFYIFSHANDLE)(DWORD,SOCKET,LPINT);
typedef BOOL (WSPAPI * LPWPUPOSTMESSAGE)(HWND,UINT,WPARAM,LPARAM);
typedef int (WSPAPI * LPWPUQUERYBLOCKINGCALLBACK)(DWORD,LPBLOCKINGCALLBACK *,LPDWORD,LPINT);
typedef int (WSPAPI * LPWPUQUERYSOCKETHANDLECONTEXT)(SOCKET,LPDWORD,LPINT);
typedef int (WSPAPI * LPWPUQUEUEAPC)(LPWSATHREADID,LPWSAUSERAPC,DWORD,LPINT);
typedef BOOL (WSPAPI * LPWPURESETEVENT)(WSAEVENT,LPINT);
typedef BOOL (WSPAPI * LPWPUSETEVENT)(WSAEVENT,LPINT);
typedef int (WSPAPI * LPWPUOPENCURRENTTHREAD)(LPWSATHREADID,LPINT);
typedef int (WSPAPI * LPWPUCLOSETHREAD)(LPWSATHREADID,LPINT);
typedef int (WSPAPI * LPWPUCOMPLETEOVERLAPPEDREQUEST) (SOCKET,LPWSAOVERLAPPED,DWORD,DWORD,LPINT); 
typedef struct _WSPUPCALLTABLE {
 LPWPUCLOSEEVENT lpWPUCloseEvent;
 LPWPUCLOSESOCKETHANDLE lpWPUCloseSocketHandle;
 LPWPUCREATEEVENT lpWPUCreateEvent;
 LPWPUCREATESOCKETHANDLE lpWPUCreateSocketHandle;
 LPWPUFDISSET lpWPUFDIsSet;
 LPWPUGETPROVIDERPATH lpWPUGetProviderPath;
 LPWPUMODIFYIFSHANDLE lpWPUModifyIFSHandle;
 LPWPUPOSTMESSAGE lpWPUPostMessage;
 LPWPUQUERYBLOCKINGCALLBACK lpWPUQueryBlockingCallback;
 LPWPUQUERYSOCKETHANDLECONTEXT lpWPUQuerySocketHandleContext;
 LPWPUQUEUEAPC lpWPUQueueApc;
 LPWPURESETEVENT lpWPUResetEvent;
 LPWPUSETEVENT lpWPUSetEvent;
 LPWPUOPENCURRENTTHREAD lpWPUOpenCurrentThread;
 LPWPUCLOSETHREAD lpWPUCloseThread;
} WSPUPCALLTABLE,FAR * LPWSPUPCALLTABLE;
int WSPAPI WSPStartup(WORD,LPWSPDATA,LPWSAPROTOCOL_INFOW,WSPUPCALLTABLE,LPWSPPROC_TABLE); 
typedef int (WSPAPI * LPWSPSTARTUP)(WORD,LPWSPDATA,LPWSAPROTOCOL_INFOW,WSPUPCALLTABLE,LPWSPPROC_TABLE);
int WSPAPI WSCEnumProtocols(LPINT,LPWSAPROTOCOL_INFOW,LPDWORD,LPINT);
typedef int (WSPAPI * LPWSCENUMPROTOCOLS)(LPINT,LPWSAPROTOCOL_INFOW,LPDWORD,LPINT);
int WSPAPI WSCDeinstallProvider(LPGUID,LPINT);
typedef int (WSPAPI * LPWSCDEINSTALLPROVIDER)(LPGUID,LPINT);
int WSPAPI WSCInstallProvider(LPGUID,const WCHAR *,const LPWSAPROTOCOL_INFOW,DWORD,LPINT); 
typedef int (WSPAPI * LPWSCINSTALLPROVIDER)(LPGUID ,const WCHAR *,const LPWSAPROTOCOL_INFOW,DWORD,LPINT);
int WSPAPI WSCGetProviderPath(LPGUID lpProviderId,WCHAR * lpszProviderDllPath,LPINT lpProviderDllPathLen,LPINT lpErrno );
typedef int (WSPAPI * LPWSCGETPROVIDERPATH)(LPGUID lpProviderId,WCHAR FAR * lpszProviderDllPath,LPINT lpProviderDllPathLen,LPINT lpErrno );
int WSPAPI WSCInstallQOSTemplate (const LPGUID Guid,LPWSABUF QosName,LPQOS Qos );
typedef int (WSPAPI * LPWSCINSTALLQOSTEMPLATE)(const LPGUID Guid,LPWSABUF QosName,LPQOS Qos );
int WSPAPI WSCRemoveQOSTemplate (const LPGUID Guid,LPWSABUF QosName ); 
typedef int (WSPAPI * LPWSCREMOVEQOSTEMPLATE)(const LPGUID Guid,LPWSABUF QosName );
BOOL WSPAPI WPUCloseEvent(WSAEVENT hEvent,LPINT lpErrno ); 
int WSPAPI WPUCloseSocketHandle(SOCKET s,LPINT lpErrno );
WSAEVENT WSPAPI WPUCreateEvent(LPINT lpErrno ); 
SOCKET WSPAPI WPUCreateSocketHandle(DWORD dwCatalogEntryId,DWORD dwContext,LPINT lpErrno );
int WSPAPI WPUFDIsSet(SOCKET s,fd_set * fdset );
int WSPAPI WPUGetProviderPath(LPGUID lpProviderId,WCHAR FAR * lpszProviderDllPath,LPINT lpProviderDllPathLen,LPINT lpErrno );
SOCKET WSPAPI WPUModifyIFSHandle(DWORD dwCatalogEntryId,SOCKET ProposedHandle,LPINT lpErrno );
BOOL WSPAPI WPUPostMessage(HWND hWnd,UINT Msg,WPARAM wParam,LPARAM lParam );
int WSPAPI WPUQueryBlockingCallback(DWORD dwCatalogEntryId,LPBLOCKINGCALLBACK FAR * lplpfnCallback,LPDWORD lpdwContext,LPINT lpErrno );
int WSPAPI WPUQuerySocketHandleContext( SOCKET s,LPDWORD lpContext,LPINT lpErrno );
int WSPAPI WPUQueueApc( LPWSATHREADID lpThreadId,LPWSAUSERAPC lpfnUserApc,DWORD dwContext,LPINT lpErrno );
BOOL WSPAPI WPUResetEvent( WSAEVENT hEvent,LPINT lpErrno );
BOOL WSPAPI WPUSetEvent( WSAEVENT hEvent,LPINT lpErrno );
int WSPAPI WPUCompleteOverlappedRequest (SOCKET s,LPWSAOVERLAPPED lpOverlapped,	 DWORD dwError,	 DWORD cbTransferred,	 LPINT lpErrno );
INT WSPAPI WSCInstallNameSpace (LPWSTR lpszIdentifier,LPWSTR lpszPathName,DWORD dwNameSpace,DWORD dwVersion,LPGUID lpProviderId ); 
typedef INT (WSPAPI * LPWSCINSTALLNAMESPACE)(LPWSTR lpszIdentifier,LPWSTR lpszPathName,DWORD dwNameSpace,DWORD dwVersion,LPGUID lpProviderId ); 
INT WSPAPI WSCUnInstallNameSpace (LPGUID lpProviderId ); 
typedef INT (WSPAPI * LPWSCUNINSTALLNAMESPACE)(LPGUID lpProviderId ); 
INT WSPAPI WSCEnableNSProvider (LPGUID lpProviderId,BOOL fEnable );
typedef INT (WSPAPI * LPWSCENABLENSPROVIDER)(LPGUID lpProviderId,BOOL fEnable );
typedef INT (WSAAPI * LPNSPCLEANUP)(LPGUID lpProviderId );
typedef INT (WSAAPI * LPNSPLOOKUPSERVICEBEGIN)(LPGUID lpProviderId,LPWSAQUERYSETW lpqsRestrictions,LPWSASERVICECLASSINFOW lpServiceClassInfo,DWORD dwControlFlags,LPHANDLE lphLookup );
typedef INT (WSAAPI * LPNSPLOOKUPSERVICENEXT)(HANDLE hLookup,DWORD dwControlFlags,LPDWORD lpdwBufferLength,LPWSAQUERYSETW lpqsResults );
typedef INT (WSAAPI * LPNSPLOOKUPSERVICEEND)(HANDLE hLookup );
typedef INT (WSAAPI * LPNSPSETSERVICE)(LPGUID lpProviderId,LPWSASERVICECLASSINFOW lpServiceClassInfo,LPWSAQUERYSETW lpqsRegInfo,WSAESETSERVICEOP essOperation,DWORD dwControlFlags ); 
typedef INT (WSAAPI * LPNSPINSTALLSERVICECLASS)(LPGUID lpProviderId,LPWSASERVICECLASSINFOW lpServiceClassInfo ); 
typedef INT (WSAAPI * LPNSPREMOVESERVICECLASS)(LPGUID lpProviderId,LPGUID lpServiceClassId );
typedef INT (WSAAPI * LPNSPGETSERVICECLASSINFO)(LPGUID lpProviderId,LPDWORD lpdwBufSize,LPWSASERVICECLASSINFOW lpServiceClassInfo );
typedef struct _NSP_ROUTINE {
 DWORD cbSize;
 DWORD dwMajorVersion;
 DWORD dwMinorVersion;
 LPNSPCLEANUP NSPCleanup;
 LPNSPLOOKUPSERVICEBEGIN NSPLookupServiceBegin;
 LPNSPLOOKUPSERVICENEXT NSPLookupServiceNext;
 LPNSPLOOKUPSERVICEEND NSPLookupServiceEnd;
 LPNSPSETSERVICE NSPSetService;
 LPNSPINSTALLSERVICECLASS NSPInstallServiceClass;
 LPNSPREMOVESERVICECLASS NSPRemoveServiceClass;
 LPNSPGETSERVICECLASSINFO NSPGetServiceClassInfo;
} NSP_ROUTINE,* LPNSP_ROUTINE;
INT WSAAPI NSPStartup(LPGUID lpProviderId,LPNSP_ROUTINE lpnspRoutines );
typedef INT (WSAAPI * LPNSPSTARTUP)(LPGUID lpProviderId,LPNSP_ROUTINE lpnspRoutines );
#pragma pack(pop)
#endif 

