#include <complex.h>
// Addition
long double _Complex operator +(const long double _Complex x, const long double _Complex y)
{
	long double _Complex result;
	result.re = x.re + y.re;
	result.im = x.im + y.im;
	return result;
}


long double _Complex operator+=(long double _Complex a, long double _Complex r)
{
	a.re += r.re;
	a.im += r.im;
	return a;
}
#ifndef _WIN64
long double _Complex operator +(const long double _Complex x, double y)
{
        long double _Complex result;
        result.re = x.re + y;
        result.im = x.im;
        return result;
}
#else 
double _Complex operator +(double x, const double _Complex y)
{
	double _Complex result;
	result.re = x + y.re;
	result.im = y.im;
	return result;
}
#endif
long double _Complex operator +(long double x, const long double _Complex y)
{
        long double _Complex result;
        result.re = x + y.re;
        result.im = y.im;
        return result;
}

