#include <complex.h>
// -------------------------------------------------------------------------------Division
long double _Complex operator / (const long double _Complex x, double y)
{
	long double _Complex result;

	result.re = x.re/y;
	result.im = x.im/y;
	return result;
}

long double _Complex operator / (const long double _Complex x,long double y)
{
        long double _Complex result;

        result.re = x.re/y;
        result.im = x.im/y;
        return result;
}
long double _Complex operator / (const long double _Complex x,int y)
{
        long double _Complex result;

        result.re = x.re/y;
        result.im = x.im/y;
        return result;
}

long double _Complex operator /= (long double _Complex &a,const long double _Complex y)
{
        long double ar = y.re < 0.0 ? -y.re : y.re;
        long double ai = y.im < 0.0 ? -y.im : y.im;
        long double nr, ni;
        long double t, d;
        if (ar <= ai)
        {
                t = y.re / y.im;
                d = y.im * (1 + t*t);
                nr = (a.re * t + a.im) / d;
                ni = (a.im * t - a.re) / d;
        }
        else
        {
                t = y.im / y.re;
                d = y.re * (1 + t*t);
                nr = (a.re + a.im * t) / d;
                ni = (a.im - a.re * t) / d;
        }
        a.re = nr;
        a.im = ni;
        return a;
}

long double _Complex operator/(const long double _Complex x,const long double _Complex y)
{
        long double ar = y.re < 0.0 ? -y.re : y.re;
        long double ai = y.im < 0.0 ? -y.im : y.im;
        long double t, d;
        long double _Complex result;
        if (ar <= ai)
        {
                t = y.re / y.im;
                d = y.im * (1 + t*t);
                result.re = (x.re * t + x.im) / d;
                result.im = (x.im * t - x.re) / d;
        }
        else
        {
                t = y.im / y.re;
                d = y.re * (1 + t*t);
                result.re = (x.re + x.im * t) / d;
                result.im = (x.im - x.re * t) / d;
        }
        return result;
}

double _Complex operator / (double x, const double _Complex y)
{
	double ar = y.re < 0.0 ? -y.re : y.re;
	double ai = y.im < 0.0 ? -y.im : y.im;
	double t, d;
	double _Complex result;

	if (ar <= ai)
	{
		t = y.re / y.im;
		d = y.im * (1 + t*t);
		result.re = x * t / d;
		result.im = -x / d;
	}
	else
	    {
		t = y.im / y.re;
		d = y.re * (1 + t*t);
		result.re = x / d;
		result.im = -x * t / d;
	}
	return result;
}

long double _Complex operator / (long double x, const long double _Complex y)
{
        long double ar = y.re < 0.0 ? -y.re : y.re;
        long double ai = y.im < 0.0 ? -y.im : y.im;
        long double t, d;
        long double _Complex result;

        if (ar <= ai)
        {
                t = y.re / y.im;
                d = y.im * (1 + t*t);
                result.re = x * t / d;
                result.im = -x / d;
        }
        else
            {
                t = y.im / y.re;
                d = y.re * (1 + t*t);
                result.re = x / d;
                result.im = -x * t / d;
        }
        return result;
}

