#include <complex.h>
long double _Complex __declspec(naked) conjl(long double _Complex a)
{
}

void __conjl(long double _Complex &r,long double _Complex a)
{
	r.re = a.re;
	r.im = -a.im;
}

#undef conj
double _Complex __declspec(naked) conj(double _Complex a)
{
}

void __conjd(double _Complex &r,double _Complex a)
{
	r.re = a.re;
	r.im = -a.im;
}

float _Complex __declspec(naked) conjf(float _Complex a)
{
}
void __conjf(float _Complex &r,float _Complex a)
{
	r.re = a.re;
	r.im = -a.im;
}

long double _Complex __declspec(naked) cprojl(long double _Complex a)
{
}
void __cprojl(long double _Complex &r,long double _Complex a)
{
	if (isnan(a.re) && isnan(a.im)) {
		r.re = a.re;
		r.im = a.im;
	}
	else if (!isfinite(a.re) || !isfinite(a.im)) {
		r.re = infinity();
		r.im = a.im;
	}
	else {
		long double den = a.re*a.re + a.im*a.im + 1.0L;
		r.re = (2.0 * a.re)/den;
		r.im = (2.0 * a.im)/den;
	}
}

double _Complex __declspec(naked) cproj(double _Complex a)
{
}
void __cprojd(double _Complex &r,double _Complex a)
{
        if (isnan(a.re) && isnan(a.im)) {
                r.re = a.re;
                r.im = a.im;
        }
        else if (!isfinite(a.re) || !isfinite(a.im)) {
                r.re = infinity();
                r.im = a.im;
        }
        else {
                double den = a.re*a.re + a.im*a.im + 1.0L;
                r.re = (2.0 * a.re)/den;
                r.im = (2.0 * a.im)/den;
        }
}

float _Complex __declspec(naked) cprojf(float _Complex a)
{
}
void __cprojf(float _Complex &r,float _Complex a)
{
        if (isnan(a.re) && isnan(a.im)) {
                r.re = a.re;
                r.im = a.im;
        }
        else if (!isfinite(a.re) || !isfinite(a.im)) {
                r.re = infinity();
                r.im = a.im;
        }
        else {
                float den = a.re*a.re + a.im*a.im + 1.0L;
                r.re = (2.0 * a.re)/den;
                r.im = (2.0 * a.im)/den;
        }
}
