#include <complex.h>

// Unary minus
long double _Complex EXPORT operator - (const long double _Complex x)
{
        long double _Complex result;

        result.re = -x.re;
        result.im = -x.im;
        return result;
}

// Binary minus

long double _Complex EXPORT operator -= (long double _Complex &a,const long double _Complex r)
{
        a.re -= r.re;
        a.im -= r.im;
        return a;
}

long double _Complex EXPORT operator -(const long double _Complex x, const long double _Complex y)
{
        long double _Complex result;
        result.re = x.re - y.re;
        result.im = x.im - y.im;
        return result;
}

long double _Complex EXPORT operator -(const long double _Complex x, double y)
{
        long double _Complex result;
        result.re = x.re - y;
        result.im = x.im;
        return result;
}

long double _Complex EXPORT operator -(const long double _Complex x, long double y)
{
        long double _Complex result;
        result.re = x.re - y;
        result.im = x.im;
        return result;
}

double _Complex EXPORT operator -(double x, const double _Complex y)
{
	double _Complex result;

	result.re = x - y.re;
	result.im = -y.im;
	return result;
}

long double _Complex EXPORT operator -(long double x, const long double _Complex y)
{
        long double _Complex result;

        result.re = x - y.re;
        result.im = -y.im;
        return result;
}
