#include <stdlib.h>
#include "str.h"
#include "exceptions.h"
#include "str_private.h"
//extern int _stdcall SetEnvironmentVariableA(char *,char *);
StringA overloaded Strfromenv(char *env)
{
	require(env != NULL);
	String result;
	char *var = getenv(env);

	return (var == NULL) ?
		invalid_stringA : Strdup(var);
}

StringA overloaded Strfromenv(StringA &s)
{
	require(StrvalidA(s));
	return Strfromenv(s.content);
}

bool overloaded StrtoenvA(String &name,String &value)
{

	require(StrvalidA(name) && StrvalidA(value));
	return SetEnvironmentVariableA(name.content,value.content);
}

bool overloaded StrtoenvW(StringW &name,StringW &value)
{
	require(StrvalidW(name) && StrvalidW(value));
	return SetEnvironmentVariableW(name.content,value.content);
}
