#include "str.h"
#include "exceptions.h"
#include "str_private.h"
bool overloaded Strinsert(StringA & s,size_t pos,int newval)
{
	char *content;
	int new_capacity;

	require(StrvalidA(s));
	require(pos < s.count);

	new_capacity = calculate_new_capacity(s.capacity,s.capacity+1);
	if (new_capacity > s.capacity) {
		content = allocate_proper_space(new_capacity,sizeof(*content));
		if (content == NULL)
			return true;
		memcpy(content,s.content,s.count);
		s.capacity = new_capacity;
		s.content = content;
	}
	else content = s.content;
	// "0123"  4-2
	memmove(content+pos+1,content+pos,s.count-pos);
	s.count++;
	content[pos] = newval;
	content[s.count] = 0;
	return true;
}

bool overloaded Strinsert(StringW & s,size_t pos,int newval)
{
	wchar_t *wcontent = NULL;
	int new_capacity;

	require(StrvalidW(s));
	require(pos < s.count);

	new_capacity = calculate_new_capacity(s.capacity,s.capacity+1);
	if (new_capacity > s.capacity) {
		wcontent = allocate_proper_space(new_capacity, sizeof(*wcontent));
		if (wcontent == NULL)
			return false;
		memcpy(wcontent,s.content,sizeof(wchar_t)*s.count);
		s.capacity = new_capacity;
		s.content = wcontent;
	}
	else wcontent = s.content;
	memmove(wcontent+pos+1,wcontent+pos,sizeof(*wcontent)*(s.count-pos));
	s.count++;
	wcontent[pos] = newval;
	wcontent[s.count] = 0;
	return true;
}

