@echo off
rem cmd-Skript e.cmd
rem ----------------------------------------------------------------------
rem Entfernt (loescht) im Arbeitsverzeichnis alle Dateien, die von einem
rem Compiler oder Binder erzeugt wurden.
echo ---------------------------------------------------------------------
echo Ausgefuehrt wird: %~f0

SetLocal

rem Die Anzahl der Dateien im aktuellen Ordner . in die Datei ..\tmp.tmp
rem schreiben und von dort in die lokale Variable ANZ1 einlesen.
rem Achtung: Funktioniert nur mit dem Windows-find, nicht mit einem
rem Unix-find (z.B. MinGW-find)!
dir /b /a-d | %SystemRoot%\System32\find /c /v "" > ..\tmp.tmp

set /P ANZ1=<..\tmp.tmp

rem Von einem Compiler oder Binder erzeugte Dateien loeschen:
del *.exe 2> nul
del *.o   2> nul
del *.obj 2> nul
del *.tds 2> nul

rem Die Anzahl der Dateien im aktuellen Ordner . in die Datei ..\tmp.tmp
rem schreiben und von dort in die lokale Variable ANZ2 einlesen:
dir /b /a-d | %SystemRoot%\System32\find /c /v "" > ..\tmp.tmp
set /P ANZ2=<..\tmp.tmp

del ..\tmp.tmp   2> nul

rem Die Anzahl ANZ3 der geloschten Dateien berechnen und ausgeben:
set /a ANZ3 = %ANZ1% - %ANZ2%
echo ---------------------------------------------------------------------
echo Anzahl geloeschter Dateien: %ANZ3%

EndLocal
