@echo off
rem cmd-Skript tst.cmd

SetLocal

echo   P1 : %1

rem So kann man die erste Zeile einer Textdatei in eine
rem Umgebungsvariable AAA einlesen:
set /P AAA=<..\AktuelleDatei.nam
echo   AAA: %AAA%

rem Ausserhalb von if- und for-Befehlen funktionieren Zuweisungen
rem an Variablen wie  set BBB=%AAA% so, wie man das erwartet:
set    BBB=%AAA%
echo   BBB: %BBB%

rem Das gilt auch fuer Zuweisungen wie  set CCC=%1 :
set    CCC=%1
echo   CCC: %CCC%

rem Zuweisungen an Variablen wie  set DDD=%CCC%  innerhalb von
rem if- oder for-Befehlen funktionieren auch nicht:
if [%1] NEQ [] (
   set DDD=%CCC%
   echo   DDD: %DDD%
)

rem Zuweisungen an Variablen wie  set EEE=%1  innerhalb von
rem if- oder for-Befehlen funktionieren auch nicht:
if [%1] NEQ [] (
   set EEE=%1
   echo   EEE: %EEE%
)


rem Zuweisungen an Variablen wie  set FFF=!CCC!  innerhalb von
rem if- oder for-Befehlen funktionieren auch nicht (aber
rem auf andere Weise als Zuweisungen wie DDD=%CCC%)
if [%1] NEQ [] (
   set FFF=!CCC!
   echo   FFF: !FFF!
)

rem Zuweisungen an Variablen wie  set GGG=!CCC!  oder set HHH=%1
rem innerhalb von if- oder for-Befehlen funktionieren nur nach
rem dem folgenden SetLocal-Befehl:
SetLocal EnableDelayedExpansion

if [%1] NEQ [] (
   set GGG=!CCC!
   echo   GGG: !GGG!
)

if [%1] NEQ [] (
   set HHH=%1
   echo   HHH: !HHH!
)

rem ----------------------------------------------------------------------
rem Ausgabe:
rem   P1 : 123
rem   AAA: hallo333
rem   BBB: hallo333
rem   CCC: 123
rem   DDD:
rem   EEE:
rem   FFF: !FFF!
rem   GGG: 123
rem   HHH: 123
rem ----------------------------------------------------------------------
