// Datei defDek01A.c
/* ------------------------------------------------------------------------
Demonstriert den Unterschied zwischen Deklarationen und Definitionen
------------------------------------------------------------------------ */
       int v01;                      // Vereinb.01: Deklaration!
       int v01 = 1;                  // Vereinb.02: Definition!
       int v01;                      // Vereinb.03: Deklaration!
       
extern int v02;                      // Vereinb.04: Deklaration!
extern int v03;                      // Vereinb.05: Deklaration!

       int v03;                      // Vereinb.06: Def. oder Dek.?
       int v03;                      // Vereinb.07: Def. oder Dek.?

extern int v04 = 4;                  // Vereinb.08: Warnung?
// ------------------------------------------------------------------------
       int plus1(int n);             // Vereinb.09: Deklaration!
       int plus1(int m);             // Vereinb.10: Deklaration!
       int plus1(int);               // Vereinb.11: Deklaration!

       int plus2(int);               // Vereinb.12: Deklaration!
       int plus2(int n){return n+2;} // Vereinb.13: Definition!
       int plus2(int);               // Vereinb.14: Deklaration!

extern int plus3(int);               // Vereinb.15: Deklaration!
extern int plus3(int);               // Vereinb.16: Deklaration!

extern int plus4(int n){return n+4;} // Warnung?
/* ------------------------------------------------------------------------
Begruendungen (warum Definition bzw. Deklaration)?

Vereinb.01: Dek, weil es anderswo eine eindeutige Definition gibt.
Vereinb.02: Def, wegen der Initialisierung '= 2'
Vereinb.03: Dek, weil es anderswo eine eindeutige Definition gibt. 
Vereinb.04: Dek, wegen 'extern'
Vereinb.05: Dek, wegen 'extern' 
Vereinb.06: Ausfuehrer waehlt eine als Def, die andern als Dek.
Vereinb.07: Ausfuehrer waehlt eine als Def, die andern als Dek.
Vereinb.08: Widerspruch: 'extern' Dek, Initialisierung Def
------------------------------------------------------------------
Vereinb.09: Dek, kein Rumpf
Vereinb.10: Dek, kein Rumpf 
Vereinb.11: Dek, kein Rumpf 
Vereinb.12: Dek, kein Rumpf 
Vereinb.13: Def, weil Rumpf vorhanden
Vereinb.14: Dek, kein Rumpf 
Vereinb.15: Dek, kein Rumpf und 'extern'
Vereinb.16: Dek, kein Rumpf und 'extern'
------------------------------------------------------------------------ */
