!TCL=6,  von Ulrich Grude, September 2005
!TITLE=C
!SORT=N
!CHARSET=ANSI

!TEXT=Mehrzeilenkommentar
/* ------------------------------------------------------------------------

------------------------------------------------------------------------ */

!

!TEXT=Minuszeile
// ------------------------------------------------------------------------

!

!TEXT=Pluszeile
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

!

!TEXT=Programm (minimal)
// Datei XX.c
/* ------------------------------------------------------------------------
Dieses Programm leistet folgendes:
------------------------------------------------------------------------ */
#include <stdio.h>   // E/A in Bytestroeme, printf, sprintf, ...

int main() {
   printf("XX: Jetzt geht es los!\n");
   printf("XX: Das war's erstmal!\n");
} // main

!

!TEXT=Programm (mit 0 Params)
// Datei XX.c
/* ------------------------------------------------------------------------
Dieses Programm leistet folgendes:
------------------------------------------------------------------------ */
#include <stddef.h>  // Typen ptrdiff_t, size_t, wchar_t, Konstante NULL
#include <stdio.h>   // E/A in Bytestroeme, printf, sprintf, ...
#include <stdlib.h>  // atof, atoi, rand, malloc, calloc, free, exit,
                     // bsearch, qsort, abs, div, ...
#include <string.h>  // memcopy, memmove, strcpy, strcat, ...

int main() {
   printf("XX: Jetzt geht es los!\n");
   printf("XX: Das war's erstmal!\n");
   return 0;
} // main

!

!TEXT=Programm (mit 2 Params)
// Datei XX.c
/* ------------------------------------------------------------------------
Dieses Programm leistet folgendes:
------------------------------------------------------------------------ */
#include <stddef.h>  // Typen ptrdiff_t, size_t, wchar_t, Konstante NULL
#include <stdio.h>   // E/A in Bytestroeme, printf, sprintf, ...
#include <stdlib.h>  // atof, atoi, rand, malloc, calloc, free, exit,
                     // bsearch, qsort, abs, div, ...
#include <string.h>  // memcopy, memmove, strcpy, strcat, ...

int main(int argc, char * argv[]) {
   printf("XX: Jetzt geht es los!\n");
   printf("XX: Das war's erstmal!\n");
   return 0;
} // main

!

!TEXT=Programm (mit 3 Params)
// Datei XX.c
/* ------------------------------------------------------------------------
Dieses Programm leistet folgendes:
------------------------------------------------------------------------ */
#include <stddef.h>  // Typen ptrdiff_t, size_t, wchar_t, Konstante NULL
#include <stdio.h>   // E/A in Bytestroeme, printf, sprintf, ...
#include <stdlib.h>  // atof, atoi, rand, malloc, calloc, free, exit,
                     // bsearch, qsort, abs, div, ...
#include <string.h>  // memcopy, memmove, strcpy, strcat, ...

int main(int argc, char * argv[], char * env[]) {
   printf("XX: Jetzt geht es los!\n");
   printf("Eine Umgebungsvariable: %s\n", env[3]);
   printf("XX: Das war's erstmal!\n");
   return 0;
} // main

!

!TEXT=main (mit 0 Paramtern)
int main(void) {
   printf("XX: Jetzt geht es los!\n");
   printf("XX: Das war's erstmal!\n");
   return 0;
} // main

!

!TEXT=main (mit 2 Parametern)
int main(int argc, char * argv[]) {
   printf("XX: Jetzt geht es los!\n");
   printf("XX: Das war's erstmal!\n");
   return 0;
} // main

!

!TEXT=main (mit 3 Parametern)
int main(int argc, char * argv[], char * env[]) {
   printf("XX: Jetzt geht es los!\n");
   printf("Eine Umgebungsvariable: %s\n", env[3]);
   printf("XX: Das war's erstmal!\n");
   return 0;
} // main

!

!TEXT=incl. <ALLE.h>
#include <assert.h>  // Makro assert.
#include <ctype.h>   // isalpha, isdigit, islower, isupper, tolower, ...
#include <errno.h>   // errno, EDOM, ERANGE, ...
#include <float.h>   // FLT_MAX, FLT_MIN, DBL_MAX, DBL_MIN, ...
#include <inttypes.h>// PRId8, PRIdLEAST8, PRIdFAST8, ...
#include <iso646.h>  // and, or, xor, bitand, bitor, compl, not, ...
#include <limits.h>  // INT_MIN, INT_MAX, LONG_MIN, LONG_MAX, ...
#include <math.h>    // HUGE_VAL, sin, cos, tan, log, pow, sqrt, ...
#include <setjmp.h>  // Lange Rueckspruenge, jump_buf, setjmp, longjmp.
#include <signal.h>  // Signale senden/fangen, signal, raise, SIG_DFL, SIG_IGN,
                     // SIGABRT, SIGFPE, SIGILL, SIGINT, SIGSEGV, SIGTERM, ...
#include <stdarg.h>  // Ermoeglicht variable Anzahl von Parametern.
#include <stdbool.h> // Makros bool, true, false.
#include <stddef.h>  // ptrdiff_t, size_t, wchar_t, Konstante NULL, offsetof.
#include <stdint.h>  // int8_t, uint8_t, int_least8_t, uint_least8_t,
                     // int_fast8_t, intptr_t, uintptr_t, intmax_t, ...
#include <stdio.h>   // E/A in Bytestroeme, printf, scanf, sprintf, ...
                     // fopen, fclose, fflush, fgets, fputs, fread, fwrite, ...
#include <stdlib.h>  // atof, atoi, atol, rand, malloc, calloc, free, exit,
                     // abs, div, getenv, system, bsearch, qsort, ...
#include <string.h>  // memcopy, memmove, strlen, strcpy, strcat, ...
#include <time.h>    // tm, clock, time, localtime, gmtime, ...

!

!TEXT=incl. <EINIGE.h>
#include <stdbool.h> // Makros bool, true, false, ...
#include <stddef.h>  // Typen ptrdiff_t, size_t, wchar_t, Konstante NULL
#include <stdint.h>  // Ganzzahltypen int32_t, int_least32, int_fast32_t, ...
#include <stdio.h>   // E/A in Bytestroeme, printf, sprintf, ...
#include <stdlib.h>  // atof, atoi, rand, malloc, calloc, free, exit,
                     // bsearch, qsort, abs, div, ...
#include <string.h>  // memcopy, memmove, strcpy, strcat, ...

!

!TEXT=incl. <assert.h>
#include <assert.h>  // Makro assert.

!

!TEXT=incl. <ctype.h>
#include <ctype.h>   // isalpha, isdigit, islower, isupper, tolower, ...

!

!TEXT=incl. <errno.h>
#include <errno.h>   // errno, EDOM, ERANGE, ...

!

!TEXT=incl. <float.h>
#include <float.h>   // FLT_MAX, FLT_MIN, DBL_MAX, DBL_MIN, ...

!

!TEXT=incl. <inttypes.h>
#include <inttypes.h>// PRId8, PRIdLEAST8, PRIdFAST8, ...

!

!TEXT=incl. <iso646.h>
#include <iso646.h>  // and, or, xor, bitand, bitor, compl, not, ...

!

!TEXT=incl. <limits.h>
#include <limits.h>  // INT_MIN, INT_MAX, LONG_MIN, LONG_MAX, ...

!

!TEXT=incl. <math.h>
#include <math.h>    // HUGE_VAL, sin, cos, tan, log, pow, sqrt, ...

!

!TEXT=incl. <setjmp.h>
#include <setjmp.h>  // Lange Rueckspruenge, jump_buf, setjmp, longjmp.

!

!TEXT=incl. <signal.h>
#include <signal.h>  // Signale senden/fangen, signal, raise, SIG_DFL, SIG_IGN,
                     // SIGABRT, SIGFPE, SIGILL, SIGINT, SIGSEGV, SIGTERM, ...

!

!TEXT=incl. <stdarg.h>
#include <stdarg.h>  // Ermoeglicht variable Anzahl von Parametern.

!

!TEXT=incl. <stdbool.h>
#include <stdbool.h> // Makros bool, true, false.

!

!TEXT=incl. <stddef.h>
#include <stddef.h>  // ptrdiff_t, size_t, wchar_t, Konstante NULL, offsetof.

!

!TEXT=incl. <stdint.h>
#include <stdint.h>  // int8_t, uint8_t, int_least8_t, uint_least8_t,
                     // int_fast8_t, intptr_t, uintptr_t, intmax_t, ...

!

!TEXT=incl. <stdio.h>
#include <stdio.h>   // E/A in Bytestroeme, printf, scanf, sprintf, ...
                     // fopen, fclose, fflush, fgets, fputs, fread, fwrite, ...

!

!TEXT=incl. <stdlib.h>
#include <stdlib.h>  // atof, atoi, atol, rand, malloc, calloc, free, exit,
                     // abs, div, getenv, system, bsearch, qsort, ...

!

!TEXT=incl. <string.h>
#include <string.h>  // memcopy, memmove, strlen, strcpy, strcat, ...

!

!TEXT=incl. <time.h>
#include <time.h>    // tm, clock, time, localtime, gmtime, ...

!
