#ifndef MALLOC_H_INCLUDED
#define MALLOC_H_INCLUDED
#ifndef _SIZE_T_DEFINED
#define _SIZE_T_DEFINED
typedef unsigned int size_t;
#endif
#ifndef _HEAPINFO_DEFINED
typedef struct _heapinfo {
        int * _pentry;
        size_t _size;
        int _useflag;
        } _HEAPINFO;
#define _HEAPINFO_DEFINED
#endif
#define _amblksiz   (*__p__amblksiz())
unsigned int * __p__amblksiz(void);
size_t _msize(void *);
#define _HEAPEMPTY      (-1)
#define _HEAPOK         (-2)
#define _HEAPBADBEGIN   (-3)
#define _HEAPBADNODE    (-4)
#define _HEAPEND        (-5)
#define _HEAPBADPTR     (-6)
#define _FREEENTRY      0
#define _USEDENTRY      1
#define _HEAP_MAXREQ    0xFFFFFFE0
int _heapadd(void *,size_t);
int _heapchk(void);
int _heapmin(void);
int _heapset(unsigned int);
int _heapwalk(_HEAPINFO *);
void * calloc(size_t,size_t);
void   free(void *);
void * malloc(size_t);
void *  realloc(void *, size_t);
void * _alloca(size_t);
#define alloca _alloca
#define _fmalloc malloc
#define _frealloc realloc
#define _ffree free
#endif
