#ifndef __RPCBASE_H__
#include "rpcbase.h"
#endif 
#ifndef NORPC
#ifndef __RPC_H__
#include "rpc.h"
#endif 
#ifndef __RPCNDR_H__
#include "rpcndr.h"
#endif 
#endif 
#ifndef COM_NO_WINDOWS_H
#ifndef __windows_h__
#include "windows.h"
#endif
#ifndef __ole2_h__
#include "ole2.h"
#endif 
#endif 
#ifndef __oleidl_h__
#define __oleidl_h__
#ifndef __IOleAdviseHolder_FWD_DEFINED__
#define __IOleAdviseHolder_FWD_DEFINED__
typedef interface IOleAdviseHolder IOleAdviseHolder;
#endif 	
#ifndef __IOleCache_FWD_DEFINED__
#define __IOleCache_FWD_DEFINED__
typedef interface IOleCache IOleCache;
#endif 	
#ifndef __IOleCache2_FWD_DEFINED__
#define __IOleCache2_FWD_DEFINED__
typedef interface IOleCache2 IOleCache2;
#endif 	
#ifndef __IOleCacheControl_FWD_DEFINED__
#define __IOleCacheControl_FWD_DEFINED__
typedef interface IOleCacheControl IOleCacheControl;
#endif 	
#ifndef __IParseDisplayName_FWD_DEFINED__
#define __IParseDisplayName_FWD_DEFINED__
typedef interface IParseDisplayName IParseDisplayName;
#endif 	
#ifndef __IOleContainer_FWD_DEFINED__
#define __IOleContainer_FWD_DEFINED__
typedef interface IOleContainer IOleContainer;
#endif 	
#ifndef __IOleClientSite_FWD_DEFINED__
#define __IOleClientSite_FWD_DEFINED__
typedef interface IOleClientSite IOleClientSite;
#endif 	
#ifndef __IOleObject_FWD_DEFINED__
#define __IOleObject_FWD_DEFINED__
typedef interface IOleObject IOleObject;
#endif 	
#ifndef __IOleWindow_FWD_DEFINED__
#define __IOleWindow_FWD_DEFINED__
typedef interface IOleWindow IOleWindow;
#endif 	
#ifndef __IOleLink_FWD_DEFINED__
#define __IOleLink_FWD_DEFINED__
typedef interface IOleLink IOleLink;
#endif 	
#ifndef __IOleItemContainer_FWD_DEFINED__
#define __IOleItemContainer_FWD_DEFINED__
typedef interface IOleItemContainer IOleItemContainer;
#endif 	
#ifndef __IOleInPlaceUIWindow_FWD_DEFINED__
#define __IOleInPlaceUIWindow_FWD_DEFINED__
typedef interface IOleInPlaceUIWindow IOleInPlaceUIWindow;
#endif 	
#ifndef __IOleInPlaceActiveObject_FWD_DEFINED__
#define __IOleInPlaceActiveObject_FWD_DEFINED__
typedef interface IOleInPlaceActiveObject IOleInPlaceActiveObject;
#endif 	
#ifndef __IOleInPlaceFrame_FWD_DEFINED__
#define __IOleInPlaceFrame_FWD_DEFINED__
typedef interface IOleInPlaceFrame IOleInPlaceFrame;
#endif 	
#ifndef __IOleInPlaceObject_FWD_DEFINED__
#define __IOleInPlaceObject_FWD_DEFINED__
typedef interface IOleInPlaceObject IOleInPlaceObject;
#endif 	
#ifndef __IOleInPlaceSite_FWD_DEFINED__
#define __IOleInPlaceSite_FWD_DEFINED__
typedef interface IOleInPlaceSite IOleInPlaceSite;
#endif 	
#ifndef __IViewObject_FWD_DEFINED__
#define __IViewObject_FWD_DEFINED__
typedef interface IViewObject IViewObject;
#endif 	
#ifndef __IViewObject2_FWD_DEFINED__
#define __IViewObject2_FWD_DEFINED__
typedef interface IViewObject2 IViewObject2;
#endif 	
#ifndef __IDropSource_FWD_DEFINED__
#define __IDropSource_FWD_DEFINED__
typedef interface IDropSource IDropSource;
#endif 	
#ifndef __IDropTarget_FWD_DEFINED__
#define __IDropTarget_FWD_DEFINED__
typedef interface IDropTarget IDropTarget;
#endif 	
#ifndef __IEnumOLEVERB_FWD_DEFINED__
#define __IEnumOLEVERB_FWD_DEFINED__
typedef interface IEnumOLEVERB IEnumOLEVERB;
#endif 	
#ifndef __objidl_h__
#include "objidl.h"
#endif 
#ifndef __MIDL_USER_ALLOCATE_DEFINED
#define __MIDL_USER_ALLOCATE_DEFINED
void * __RPC_USER MIDL_user_allocate(size_t);
void __RPC_USER MIDL_user_free(void *); 
#endif
#ifndef NOPROXYSTUB
extern RPC_IF_HANDLE __MIDL__intf_0000_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL__intf_0000_v0_0_s_ifspec;
#endif
#ifndef __IOleAdviseHolder_INTERFACE_DEFINED__
#define __IOleAdviseHolder_INTERFACE_DEFINED__
typedef IOleAdviseHolder *LPOLEADVISEHOLDER;
extern const IID IID_IOleAdviseHolder;
typedef struct IOleAdviseHolderVtbl {
	HRESULT (_stdcall *QueryInterface)(IOleAdviseHolder *,REFIID,void * *);
	ULONG (_stdcall *AddRef)(IOleAdviseHolder *);
	ULONG (_stdcall *Release)(IOleAdviseHolder *);
	HRESULT (_stdcall *Advise)(IOleAdviseHolder *,IAdviseSink *,DWORD *);
	HRESULT (_stdcall *Unadvise)(IOleAdviseHolder *,DWORD);
	HRESULT (_stdcall *EnumAdvise)(IOleAdviseHolder *,IEnumSTATDATA * *);
	HRESULT (_stdcall *SendOnRename)(IOleAdviseHolder *,IMoniker *);
	HRESULT (_stdcall *SendOnSave)(IOleAdviseHolder *);
	HRESULT (_stdcall *SendOnClose)(IOleAdviseHolder *);
} IOleAdviseHolderVtbl;
interface IOleAdviseHolder { CONST_VTBL struct IOleAdviseHolderVtbl *lpVtbl; };
#define IOleAdviseHolder_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IOleAdviseHolder_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IOleAdviseHolder_Release(A) (A)->lpVtbl->Release(A)
#define IOleAdviseHolder_Advise(A,B,C) (A)->lpVtbl->Advise(A,B,C)
#define IOleAdviseHolder_Unadvise(A,B) (A)->lpVtbl->Unadvise(A,B)
#define IOleAdviseHolder_EnumAdvise(A,B) (A)->lpVtbl->EnumAdvise(A,B)
#define IOleAdviseHolder_SendOnRename(A,B) (A)->lpVtbl->SendOnRename(A,B)
#define IOleAdviseHolder_SendOnSave(A) (A)->lpVtbl->SendOnSave(A)
#define IOleAdviseHolder_SendOnClose(A) (A)->lpVtbl->SendOnClose(A)
HRESULT _stdcall IOleAdviseHolder_Advise_Proxy(IOleAdviseHolder *,IAdviseSink *,DWORD *);
void __RPC_STUB IOleAdviseHolder_Advise_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleAdviseHolder_Unadvise_Proxy(IOleAdviseHolder *,DWORD);
void __RPC_STUB IOleAdviseHolder_Unadvise_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleAdviseHolder_EnumAdvise_Proxy(IOleAdviseHolder *,IEnumSTATDATA * *);
void __RPC_STUB IOleAdviseHolder_EnumAdvise_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleAdviseHolder_SendOnRename_Proxy(IOleAdviseHolder *,IMoniker *);
void __RPC_STUB IOleAdviseHolder_SendOnRename_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleAdviseHolder_SendOnSave_Proxy(IOleAdviseHolder *);
void __RPC_STUB IOleAdviseHolder_SendOnSave_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleAdviseHolder_SendOnClose_Proxy(IOleAdviseHolder *);
void __RPC_STUB IOleAdviseHolder_SendOnClose_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
#endif 	
#ifndef __IOleCache_INTERFACE_DEFINED__
#define __IOleCache_INTERFACE_DEFINED__
typedef IOleCache *LPOLECACHE;
extern const IID IID_IOleCache;
typedef struct IOleCacheVtbl {
	HRESULT (_stdcall *QueryInterface)(IOleCache *,REFIID,void * *);
	ULONG (_stdcall *AddRef)(IOleCache *);
	ULONG (_stdcall *Release)(IOleCache *);
	HRESULT (_stdcall *Cache)(IOleCache *,FORMATETC *,DWORD,DWORD *);
	HRESULT (_stdcall *Uncache)(IOleCache *,DWORD);
	HRESULT (_stdcall *EnumCache)(IOleCache *,IEnumSTATDATA * *);
	HRESULT (_stdcall *InitCache)(IOleCache *,IDataObject *);
	HRESULT (_stdcall *SetData)(IOleCache *,FORMATETC *,STGMEDIUM *,BOOL);
} IOleCacheVtbl;
interface IOleCache { CONST_VTBL struct IOleCacheVtbl *lpVtbl; };
#define IOleCache_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IOleCache_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IOleCache_Release(A) (A)->lpVtbl->Release(A)
#define IOleCache_Cache(A,B,C,D) (A)->lpVtbl->Cache(A,B,C,D)
#define IOleCache_Uncache(A,B) (A)->lpVtbl->Uncache(A,B)
#define IOleCache_EnumCache(A,B) (A)->lpVtbl->EnumCache(A,B)
#define IOleCache_InitCache(A,B) (A)->lpVtbl->InitCache(A,B)
#define IOleCache_SetData(A,B,C,D) (A)->lpVtbl->SetData(A,B,C,D)
HRESULT _stdcall IOleCache_Cache_Proxy(IOleCache *,FORMATETC *,DWORD,DWORD *);
void __RPC_STUB IOleCache_Cache_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleCache_Uncache_Proxy(IOleCache *,DWORD);
void __RPC_STUB IOleCache_Uncache_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleCache_EnumCache_Proxy(IOleCache *,IEnumSTATDATA * *);
void __RPC_STUB IOleCache_EnumCache_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleCache_InitCache_Proxy(IOleCache *,IDataObject *);
void __RPC_STUB IOleCache_InitCache_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleCache_SetData_Proxy(IOleCache *,FORMATETC *,STGMEDIUM *,BOOL);
void __RPC_STUB IOleCache_SetData_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
#endif 	
#ifndef __IOleCache2_INTERFACE_DEFINED__
#define __IOleCache2_INTERFACE_DEFINED__
typedef IOleCache2 *LPOLECACHE2;
#define	UPDFCACHE_NODATACACHE	1
#define	UPDFCACHE_ONSAVECACHE	2
#define	UPDFCACHE_ONSTOPCACHE	4
#define	UPDFCACHE_NORMALCACHE	8
#define	UPDFCACHE_IFBLANK	16
#define	UPDFCACHE_ONLYIFBLANK	0x80000000
#define	UPDFCACHE_IFBLANKORONSAVECACHE	(UPDFCACHE_IFBLANK | UPDFCACHE_ONSAVECACHE)
#define	UPDFCACHE_ALL	((DWORD)~UPDFCACHE_ONLYIFBLANK)
#define	UPDFCACHE_ALLBUTNODATACACHE	(UPDFCACHE_ALL & (DWORD)~UPDFCACHE_NODATACACHE)
typedef enum tagDISCARDCACHE {	DISCARDCACHE_SAVEIFDIRTY=0,
	DISCARDCACHE_NOSAVE=1 }	DISCARDCACHE;
#define DISCARDCACHE_to_xmit(pEnum,ppLong) *(ppLong) = (long *) (pEnum)
#define DISCARDCACHE_from_xmit(pLong,pEnum) *(pEnum) = (DISCARDCACHE) *(pLong)
#define DISCARDCACHE_free_inst(pEnum) 
#define DISCARDCACHE_free_xmit(pLong) 
extern const IID IID_IOleCache2;
typedef struct IOleCache2Vtbl {
	HRESULT (_stdcall *QueryInterface)(IOleCache2 *,REFIID,void * *);
	ULONG (_stdcall *AddRef)(IOleCache2 *);
	ULONG (_stdcall *Release)(IOleCache2 *);
	HRESULT (_stdcall *Cache)(IOleCache2 *,FORMATETC *,DWORD,DWORD *);
	HRESULT (_stdcall *Uncache)(IOleCache2 *,DWORD);
	HRESULT (_stdcall *EnumCache)(IOleCache2 *,IEnumSTATDATA * *);
	HRESULT (_stdcall *InitCache)(IOleCache2 *,IDataObject *);
	HRESULT (_stdcall *SetData)(IOleCache2 *,FORMATETC *,STGMEDIUM *,BOOL);
	HRESULT (_stdcall *UpdateCache)(IOleCache2 *,LPDATAOBJECT,DWORD,LPVOID);
	HRESULT (_stdcall *DiscardCache)(IOleCache2 *,DWORD);
	} IOleCache2Vtbl;
interface IOleCache2 { CONST_VTBL struct IOleCache2Vtbl *lpVtbl; };
#define IOleCache2_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IOleCache2_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IOleCache2_Release(A) (A)->lpVtbl->Release(A)
#define IOleCache2_Cache(A,B,C,D) (A)->lpVtbl->Cache(A,B,C,D)
#define IOleCache2_Uncache(A,B) (A)->lpVtbl->Uncache(A,B)
#define IOleCache2_EnumCache(A,B) (A)->lpVtbl->EnumCache(A,B)
#define IOleCache2_InitCache(A,B) (A)->lpVtbl->InitCache(A,B)
#define IOleCache2_SetData(A,B,C,D) (A)->lpVtbl->SetData(A,B,C,D)
#define IOleCache2_UpdateCache(A,B,C,D) (A)->lpVtbl->UpdateCache(A,B,C,D)
#define IOleCache2_DiscardCache(A,B) (A)->lpVtbl->DiscardCache(A,B)
HRESULT _stdcall IOleCache2_UpdateCache_Proxy(IOleCache2 *,LPDATAOBJECT,DWORD,LPVOID);
void __RPC_STUB IOleCache2_UpdateCache_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleCache2_DiscardCache_Proxy(IOleCache2 *,DWORD);
void __RPC_STUB IOleCache2_DiscardCache_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
#endif 	
#ifndef __IOleCacheControl_INTERFACE_DEFINED__
#define __IOleCacheControl_INTERFACE_DEFINED__
typedef IOleCacheControl *LPOLECACHECONTROL;
extern const IID IID_IOleCacheControl;
typedef struct IOleCacheControlVtbl {
	HRESULT (_stdcall *QueryInterface)(IOleCacheControl *,REFIID,void * *);
	ULONG (_stdcall *AddRef)(IOleCacheControl *); 
	ULONG (_stdcall *Release)(IOleCacheControl *);
	HRESULT (_stdcall *OnRun)(IOleCacheControl * s,LPDATAOBJECT);
	HRESULT (_stdcall *OnStop)(IOleCacheControl *);
} IOleCacheControlVtbl;
interface IOleCacheControl { CONST_VTBL struct IOleCacheControlVtbl *lpVtbl; };
#define IOleCacheControl_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IOleCacheControl_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IOleCacheControl_Release(A) (A)->lpVtbl->Release(A)
#define IOleCacheControl_OnRun(A,B) (A)->lpVtbl->OnRun(A,B)
#define IOleCacheControl_OnStop(A) (A)->lpVtbl->OnStop(A)
HRESULT _stdcall IOleCacheControl_OnRun_Proxy(IOleCacheControl *,LPDATAOBJECT);
void __RPC_STUB IOleCacheControl_OnRun_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleCacheControl_OnStop_Proxy(IOleCacheControl *);
void __RPC_STUB IOleCacheControl_OnStop_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
#endif 	
#ifndef __IParseDisplayName_INTERFACE_DEFINED__
#define __IParseDisplayName_INTERFACE_DEFINED__
typedef IParseDisplayName *LPPARSEDISPLAYNAME;
extern const IID IID_IParseDisplayName;
typedef struct IParseDisplayNameVtbl {
	HRESULT (_stdcall *QueryInterface)(IParseDisplayName *,REFIID,void * *);
	ULONG (_stdcall *AddRef)(IParseDisplayName * );
	ULONG (_stdcall *Release)(IParseDisplayName *);
	HRESULT (_stdcall *ParseDisplayName)(IParseDisplayName *,IBindCtx *,LPOLESTR,ULONG *,IMoniker * *);
} IParseDisplayNameVtbl;
interface IParseDisplayName { CONST_VTBL struct IParseDisplayNameVtbl *lpVtbl; };
#define IParseDisplayName_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IParseDisplayName_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IParseDisplayName_Release(A) (A)->lpVtbl->Release(A)
#define IParseDisplayName_ParseDisplayName(A,B,C,D,E) (A)->lpVtbl->ParseDisplayName(A,B,C,D,E)
HRESULT _stdcall IParseDisplayName_ParseDisplayName_Proxy(IParseDisplayName *,IBindCtx *,LPOLESTR,ULONG *,IMoniker * *);
void __RPC_STUB IParseDisplayName_ParseDisplayName_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
#endif 	
#ifndef __IOleContainer_INTERFACE_DEFINED__
#define __IOleContainer_INTERFACE_DEFINED__
typedef IOleContainer *LPOLECONTAINER;
extern const IID IID_IOleContainer; 
typedef struct IOleContainerVtbl {
	HRESULT (_stdcall *QueryInterface)(IOleContainer *,REFIID,void * *);
	ULONG (_stdcall *AddRef)(IOleContainer *);
	ULONG (_stdcall *Release)(IOleContainer *);
	HRESULT (_stdcall *ParseDisplayName)(IOleContainer *,IBindCtx *,LPOLESTR,ULONG *,IMoniker * *);
	HRESULT (_stdcall *EnumObjects)(IOleContainer *,DWORD,IEnumUnknown * *);
	HRESULT (_stdcall *LockContainer)(IOleContainer *,BOOL);
} IOleContainerVtbl;
interface IOleContainer { CONST_VTBL struct IOleContainerVtbl *lpVtbl; };
#define IOleContainer_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IOleContainer_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IOleContainer_Release(A) (A)->lpVtbl->Release(A)
#define IOleContainer_ParseDisplayName(A,B,C,D,E) (A)->lpVtbl->ParseDisplayName(A,B,C,D,E)
#define IOleContainer_EnumObjects(A,B,C) (A)->lpVtbl->EnumObjects(A,B,C)
#define IOleContainer_LockContainer(A,B) (A)->lpVtbl->LockContainer(A,B)
HRESULT _stdcall IOleContainer_EnumObjects_Proxy(IOleContainer *,DWORD,IEnumUnknown * *);
void __RPC_STUB IOleContainer_EnumObjects_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleContainer_LockContainer_Proxy(IOleContainer *,BOOL);
void __RPC_STUB IOleContainer_LockContainer_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
#endif 	
#ifndef __IOleClientSite_INTERFACE_DEFINED__
#define __IOleClientSite_INTERFACE_DEFINED__
typedef IOleClientSite *LPOLECLIENTSITE;
extern const IID IID_IOleClientSite;
typedef struct IOleClientSiteVtbl {
	HRESULT (_stdcall *QueryInterface)(IOleClientSite *,REFIID,void * *);
	ULONG (_stdcall *AddRef)(IOleClientSite *);
	ULONG (_stdcall *Release)(IOleClientSite *);
	HRESULT (_stdcall *SaveObject)(IOleClientSite *);
	HRESULT (_stdcall *GetMoniker)(IOleClientSite *,DWORD,DWORD,IMoniker * *);
	HRESULT (_stdcall *GetContainer)(IOleClientSite *,IOleContainer * *);
	HRESULT (_stdcall *ShowObject)(IOleClientSite *);
	HRESULT (_stdcall *OnShowWindow)(IOleClientSite *,BOOL);
	HRESULT (_stdcall *RequestNewObjectLayout)(IOleClientSite *);
} IOleClientSiteVtbl;
interface IOleClientSite { CONST_VTBL struct IOleClientSiteVtbl *lpVtbl; };
#define IOleClientSite_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IOleClientSite_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IOleClientSite_Release(A) (A)->lpVtbl->Release(A)
#define IOleClientSite_SaveObject(A) (A)->lpVtbl->SaveObject(A)
#define IOleClientSite_GetMoniker(A,B,C,D) (A)->lpVtbl->GetMoniker(A,B,C,D)
#define IOleClientSite_GetContainer(A,B) (A)->lpVtbl->GetContainer(A,B)
#define IOleClientSite_ShowObject(A) (A)->lpVtbl->ShowObject(A)
#define IOleClientSite_OnShowWindow(A,B) (A)->lpVtbl->OnShowWindow(A,B)
#define IOleClientSite_RequestNewObjectLayout(A) (A)->lpVtbl->RequestNewObjectLayout(A)
HRESULT _stdcall IOleClientSite_SaveObject_Proxy(IOleClientSite *);
void __RPC_STUB IOleClientSite_SaveObject_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleClientSite_GetMoniker_Proxy(IOleClientSite *,DWORD,DWORD,IMoniker * *);
void __RPC_STUB IOleClientSite_GetMoniker_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleClientSite_GetContainer_Proxy(IOleClientSite *,IOleContainer * *);
void __RPC_STUB IOleClientSite_GetContainer_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleClientSite_ShowObject_Proxy(IOleClientSite *);
void __RPC_STUB IOleClientSite_ShowObject_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleClientSite_OnShowWindow_Proxy(IOleClientSite *,BOOL);
void __RPC_STUB IOleClientSite_OnShowWindow_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleClientSite_RequestNewObjectLayout_Proxy(IOleClientSite *);
void __RPC_STUB IOleClientSite_RequestNewObjectLayout_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
#endif 	
#ifndef __IOleObject_INTERFACE_DEFINED__
#define __IOleObject_INTERFACE_DEFINED__
typedef IOleObject *LPOLEOBJECT;
typedef enum tagOLEGETMONIKER
	{	OLEGETMONIKER_ONLYIFTHERE	= 1,
	OLEGETMONIKER_FORCEASSIGN	= 2,
	OLEGETMONIKER_UNASSIGN	= 3,
	OLEGETMONIKER_TEMPFORUSER	= 4
	}	OLEGETMONIKER;
typedef enum tagOLEWHICHMK
	{	OLEWHICHMK_CONTAINER	= 1,
	OLEWHICHMK_OBJREL	= 2,
	OLEWHICHMK_OBJFULL	= 3
	}	OLEWHICHMK;
typedef enum tagUSERCLASSTYPE {
	USERCLASSTYPE_FULL	= 1,
	USERCLASSTYPE_SHORT	= 2,
	USERCLASSTYPE_APPNAME	= 3
	}	USERCLASSTYPE;
typedef enum tagOLEMISC {
	OLEMISC_RECOMPOSEONRESIZE	= 1,
	OLEMISC_ONLYICONIC	= 2,
	OLEMISC_INSERTNOTREPLACE	= 4,
	OLEMISC_STATIC	= 8,
	OLEMISC_CANTLINKINSIDE	= 16,
	OLEMISC_CANLINKBYOLE1	= 32,
	OLEMISC_ISLINKOBJECT	= 64,
	OLEMISC_INSIDEOUT	= 128,
	OLEMISC_ACTIVATEWHENVISIBLE	= 256,
	OLEMISC_RENDERINGISDEVICEINDEPENDENT	= 512
	}	OLEMISC;
typedef enum tagOLECLOSE
	{	OLECLOSE_SAVEIFDIRTY	= 0,
	OLECLOSE_NOSAVE	= 1,
	OLECLOSE_PROMPTSAVE	= 2
	}	OLECLOSE;
extern const IID IID_IOleObject;
typedef struct IOleObjectVtbl {
	HRESULT (_stdcall *QueryInterface)(IOleObject *,REFIID,void * *);
	ULONG (_stdcall *AddRef)(IOleObject *);
	ULONG (_stdcall *Release)(IOleObject *);
	HRESULT (_stdcall *SetClientSite)(IOleObject *,IOleClientSite *);
	HRESULT (_stdcall *GetClientSite)(IOleObject *,IOleClientSite * *);
	HRESULT (_stdcall *SetHostNames)(IOleObject *,LPCOLESTR,LPCOLESTR);
	HRESULT (_stdcall *Close)(IOleObject *,DWORD);
	HRESULT (_stdcall *SetMoniker)(IOleObject *,DWORD,IMoniker *);
	HRESULT (_stdcall *GetMoniker)(IOleObject *,DWORD,DWORD,IMoniker * *);
	HRESULT (_stdcall *InitFromData)(IOleObject *,IDataObject *,BOOL,DWORD);
	HRESULT (_stdcall *GetClipboardData)(IOleObject *,DWORD,IDataObject * *);
	HRESULT (_stdcall *DoVerb)(IOleObject *,LONG,LPMSG,IOleClientSite *,LONG,HWND,LPCRECT);
	HRESULT (_stdcall *EnumVerbs)(IOleObject *,IEnumOLEVERB * *);
	HRESULT (_stdcall *Update)(IOleObject *);
	HRESULT (_stdcall *IsUpToDate)(IOleObject *);
	HRESULT (_stdcall *GetUserClassID)(IOleObject *,CLSID *);
	HRESULT (_stdcall *GetUserType)(IOleObject *,DWORD,LPOLESTR *);
	HRESULT (_stdcall *SetExtent)(IOleObject *,DWORD,SIZEL *); 
	HRESULT (_stdcall *GetExtent)(IOleObject *,DWORD,SIZEL *);
	HRESULT (_stdcall *Advise)(IOleObject *,IAdviseSink *,DWORD *);
	HRESULT (_stdcall *Unadvise)(IOleObject *,DWORD);
	HRESULT (_stdcall *EnumAdvise)(IOleObject *,IEnumSTATDATA * *);
	HRESULT (_stdcall *GetMiscStatus)(IOleObject *,DWORD,DWORD *);
	HRESULT (_stdcall *SetColorScheme)(IOleObject *,LOGPALETTE *);
} IOleObjectVtbl;
interface IOleObject { CONST_VTBL struct IOleObjectVtbl *lpVtbl; };
#define IOleObject_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IOleObject_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IOleObject_Release(T) (T)->lpVtbl->Release(T)
#define IOleObject_SetClientSite(A,B) (A)->lpVtbl->SetClientSite(A,B)
#define IOleObject_GetClientSite(A,B) (A)->lpVtbl->GetClientSite(A,B)
#define IOleObject_SetHostNames(A,B,C) (A)->lpVtbl->SetHostNames(A,B,C)
#define IOleObject_Close(A,B) (A)->lpVtbl->Close(A,B)
#define IOleObject_SetMoniker(A,B,C) (A)->lpVtbl->SetMoniker(A,B,C)
#define IOleObject_GetMoniker(A,B,C,D) (A)->lpVtbl->GetMoniker(A,B,C,D)
#define IOleObject_InitFromData(A,B,C,D) (A)->lpVtbl->InitFromData(A,B,C,D)
#define IOleObject_GetClipboardData(A,B,C) (A)->lpVtbl->GetClipboardData(A,B,C)
#define IOleObject_DoVerb(A,B,C,D,E,F,G) (A)->lpVtbl->DoVerb(A,B,C,D,E,F,G)
#define IOleObject_EnumVerbs(A,B) (A)->lpVtbl->EnumVerbs(A,B)
#define IOleObject_Update(A) (A)->lpVtbl->Update(A)
#define IOleObject_IsUpToDate(A) (A)->lpVtbl->IsUpToDate(A)
#define IOleObject_GetUserClassID(A,B) (A)->lpVtbl->GetUserClassID(A,B)
#define IOleObject_GetUserType(A,B,C) (A)->lpVtbl->GetUserType(A,B,C)
#define IOleObject_SetExtent(A,B,C) (A)->lpVtbl->SetExtent(A,B,C)
#define IOleObject_GetExtent(A,B,C) (A)->lpVtbl->GetExtent(A,B,C)
#define IOleObject_Advise(A,B,C) (A)->lpVtbl->Advise(A,B,C)
#define IOleObject_Unadvise(A,B) (A)->lpVtbl->Unadvise(A,B)
#define IOleObject_EnumAdvise(A,B) (A)->lpVtbl->EnumAdvise(A,B)
#define IOleObject_GetMiscStatus(A,B,C) (A)->lpVtbl->GetMiscStatus(A,B,C)
#define IOleObject_SetColorScheme(A,B) (A)->lpVtbl->SetColorScheme(A,B)
HRESULT _stdcall IOleObject_SetClientSite_Proxy(IOleObject *,IOleClientSite *);
void __RPC_STUB IOleObject_SetClientSite_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleObject_GetClientSite_Proxy(IOleObject *,IOleClientSite * *);
void __RPC_STUB IOleObject_GetClientSite_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleObject_SetHostNames_Proxy(IOleObject *,LPCOLESTR,LPCOLESTR);
void __RPC_STUB IOleObject_SetHostNames_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleObject_Close_Proxy(IOleObject *,DWORD);
void __RPC_STUB IOleObject_Close_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleObject_SetMoniker_Proxy(IOleObject *,DWORD,IMoniker *);
void __RPC_STUB IOleObject_SetMoniker_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleObject_GetMoniker_Proxy(IOleObject *,DWORD,DWORD,IMoniker * *);
void __RPC_STUB IOleObject_GetMoniker_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleObject_InitFromData_Proxy(IOleObject *,IDataObject *,BOOL,DWORD);
void __RPC_STUB IOleObject_InitFromData_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleObject_GetClipboardData_Proxy(IOleObject *,DWORD,IDataObject * *);
void __RPC_STUB IOleObject_GetClipboardData_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleObject_DoVerb_Proxy(IOleObject *,LONG,LPMSG,IOleClientSite *,LONG,HWND,LPCRECT);
void __RPC_STUB IOleObject_DoVerb_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleObject_EnumVerbs_Proxy(IOleObject *,IEnumOLEVERB * *);
void __RPC_STUB IOleObject_EnumVerbs_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleObject_Update_Proxy(IOleObject *);
void __RPC_STUB IOleObject_Update_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleObject_IsUpToDate_Proxy(IOleObject *);
void __RPC_STUB IOleObject_IsUpToDate_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleObject_GetUserClassID_Proxy(IOleObject *,CLSID *);
void __RPC_STUB IOleObject_GetUserClassID_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleObject_GetUserType_Proxy(IOleObject *,DWORD,LPOLESTR *);
void __RPC_STUB IOleObject_GetUserType_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleObject_SetExtent_Proxy(IOleObject *,DWORD,SIZEL *);
void __RPC_STUB IOleObject_SetExtent_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleObject_GetExtent_Proxy(IOleObject *,DWORD,SIZEL *);
void __RPC_STUB IOleObject_GetExtent_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *); 
HRESULT _stdcall IOleObject_Advise_Proxy(IOleObject *,IAdviseSink *,DWORD *);
void __RPC_STUB IOleObject_Advise_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleObject_Unadvise_Proxy(IOleObject *,DWORD);
void __RPC_STUB IOleObject_Unadvise_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleObject_EnumAdvise_Proxy(IOleObject *,IEnumSTATDATA * *);
void __RPC_STUB IOleObject_EnumAdvise_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleObject_GetMiscStatus_Proxy(IOleObject *,DWORD,DWORD *);
void __RPC_STUB IOleObject_GetMiscStatus_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleObject_SetColorScheme_Proxy(IOleObject *,LOGPALETTE *);
void __RPC_STUB IOleObject_SetColorScheme_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
#endif 	
#ifndef __IOLETypes_INTERFACE_DEFINED__
#define __IOLETypes_INTERFACE_DEFINED__
typedef enum tagOLERENDER {OLERENDER_NONE=0,OLERENDER_DRAW=1,OLERENDER_FORMAT=2,OLERENDER_ASIS=3}OLERENDER;
typedef OLERENDER *LPOLERENDER;
typedef struct tagOBJECTDESCRIPTOR {
	ULONG cbSize;
	CLSID clsid;
	DWORD dwDrawAspect;
	SIZEL sizel;
	POINTL pointl;
	DWORD dwStatus;
	DWORD dwFullUserTypeName;
	DWORD dwSrcOfCopy;
	}	OBJECTDESCRIPTOR;
typedef struct tagOBJECTDESCRIPTOR *POBJECTDESCRIPTOR;
typedef struct tagOBJECTDESCRIPTOR *LPOBJECTDESCRIPTOR;
typedef struct tagOBJECTDESCRIPTOR LINKSRCDESCRIPTOR;
typedef struct tagOBJECTDESCRIPTOR *PLINKSRCDESCRIPTOR;
typedef struct tagOBJECTDESCRIPTOR *LPLINKSRCDESCRIPTOR;
extern RPC_IF_HANDLE IOLETypes_v0_0_c_ifspec;
extern RPC_IF_HANDLE IOLETypes_v0_0_s_ifspec;
#endif 
#ifndef __IOleWindow_INTERFACE_DEFINED__
#define __IOleWindow_INTERFACE_DEFINED__
typedef IOleWindow *LPOLEWINDOW;
extern const IID IID_IOleWindow;
typedef struct IOleWindowVtbl {
	HRESULT (_stdcall *QueryInterface)(IOleWindow *,REFIID,void * *);
	ULONG (_stdcall *AddRef)(IOleWindow *);
	ULONG (_stdcall *Release)(IOleWindow *);
	HRESULT (_stdcall *GetWindow)(IOleWindow *,HWND *);
	HRESULT (_stdcall *ContextSensitiveHelp)(IOleWindow *,BOOL);
} IOleWindowVtbl;
interface IOleWindow { CONST_VTBL struct IOleWindowVtbl *lpVtbl; };
#define IOleWindow_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IOleWindow_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IOleWindow_Release(A) (A)->lpVtbl->Release(A)
#define IOleWindow_GetWindow(A,B) (A)->lpVtbl->GetWindow(A,B)
#define IOleWindow_ContextSensitiveHelp(A,B) (A)->lpVtbl->ContextSensitiveHelp(A,B)
HRESULT _stdcall IOleWindow_GetWindow_Proxy(IOleWindow *,HWND *);
void __RPC_STUB IOleWindow_GetWindow_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleWindow_ContextSensitiveHelp_Proxy(IOleWindow *,BOOL);
void __RPC_STUB IOleWindow_ContextSensitiveHelp_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
#endif 	
#ifndef __IOleLink_INTERFACE_DEFINED__
#define __IOleLink_INTERFACE_DEFINED__
typedef IOleLink *LPOLELINK;
typedef enum tagOLEUPDATE {OLEUPDATE_ALWAYS=1,OLEUPDATE_ONCALL=3} OLEUPDATE;
typedef OLEUPDATE *LPOLEUPDATE;
typedef OLEUPDATE *POLEUPDATE;
typedef enum tagOLELINKBIND {OLELINKBIND_EVENIFCLASSDIFF=1} OLELINKBIND;
extern const IID IID_IOleLink;
typedef struct IOleLinkVtbl {
	HRESULT (_stdcall *QueryInterface)(IOleLink *,REFIID,void * *);
	ULONG (_stdcall *AddRef)(IOleLink *);
	ULONG (_stdcall *Release)(IOleLink *);
	HRESULT (_stdcall *SetUpdateOptions)(IOleLink *,DWORD);
	HRESULT (_stdcall *GetUpdateOptions)(IOleLink *,DWORD *);
	HRESULT (_stdcall *SetSourceMoniker)(IOleLink *,IMoniker *,REFCLSID);
	HRESULT (_stdcall *GetSourceMoniker)(IOleLink *,IMoniker * *);
	HRESULT (_stdcall *SetSourceDisplayName)(IOleLink *,LPCOLESTR);
	HRESULT (_stdcall *GetSourceDisplayName)(IOleLink *,LPOLESTR *);
	HRESULT (_stdcall *BindToSource)(IOleLink *,DWORD,IBindCtx *);
	HRESULT (_stdcall *BindIfRunning)(IOleLink *);
	HRESULT (_stdcall *GetBoundSource)(IOleLink *,IUnknown * *);
	HRESULT (_stdcall *UnbindSource)(IOleLink *);
	HRESULT (_stdcall *Update)(IOleLink *,IBindCtx *);
} IOleLinkVtbl;
interface IOleLink { CONST_VTBL struct IOleLinkVtbl *lpVtbl; };
#define IOleLink_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IOleLink_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IOleLink_Release(A) (A)->lpVtbl->Release(A)
#define IOleLink_SetUpdateOptions(A,B) (A)->lpVtbl->SetUpdateOptions(A,B)
#define IOleLink_GetUpdateOptions(A,B) (A)->lpVtbl->GetUpdateOptions(A,B)
#define IOleLink_SetSourceMoniker(A,B,C) (A)->lpVtbl->SetSourceMoniker(A,B,C)
#define IOleLink_GetSourceMoniker(A,B) (A)->lpVtbl->GetSourceMoniker(A,B)
#define IOleLink_SetSourceDisplayName(A,B) (A)->lpVtbl->SetSourceDisplayName(A,B)
#define IOleLink_GetSourceDisplayName(A,B) (A)->lpVtbl->GetSourceDisplayName(A,B)
#define IOleLink_BindToSource(A,B,C) (A)->lpVtbl->BindToSource(A,B,C)
#define IOleLink_BindIfRunning(A) (A)->lpVtbl->BindIfRunning(A)
#define IOleLink_GetBoundSource(A,B) (A)->lpVtbl->GetBoundSource(A,B)
#define IOleLink_UnbindSource(A) (A)->lpVtbl->UnbindSource(A)
#define IOleLink_Update(A,B) (A)->lpVtbl->Update(A,B)
HRESULT _stdcall IOleLink_SetUpdateOptions_Proxy(IOleLink *,DWORD);
void __RPC_STUB IOleLink_SetUpdateOptions_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleLink_GetUpdateOptions_Proxy(IOleLink *,DWORD *);
void __RPC_STUB IOleLink_GetUpdateOptions_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleLink_SetSourceMoniker_Proxy(IOleLink *,IMoniker *,REFCLSID);
void __RPC_STUB IOleLink_SetSourceMoniker_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleLink_GetSourceMoniker_Proxy(IOleLink *,IMoniker * *);
void __RPC_STUB IOleLink_GetSourceMoniker_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleLink_SetSourceDisplayName_Proxy(IOleLink *,LPCOLESTR);
void __RPC_STUB IOleLink_SetSourceDisplayName_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleLink_GetSourceDisplayName_Proxy(IOleLink *,LPOLESTR *);
void __RPC_STUB IOleLink_GetSourceDisplayName_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleLink_BindToSource_Proxy(IOleLink *,DWORD,IBindCtx *);
void __RPC_STUB IOleLink_BindToSource_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleLink_BindIfRunning_Proxy(IOleLink *);
void __RPC_STUB IOleLink_BindIfRunning_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleLink_GetBoundSource_Proxy(IOleLink *,IUnknown * *);
void __RPC_STUB IOleLink_GetBoundSource_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleLink_UnbindSource_Proxy(IOleLink *);
void __RPC_STUB IOleLink_UnbindSource_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleLink_Update_Proxy(IOleLink *,IBindCtx *);
void __RPC_STUB IOleLink_Update_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
#endif 	
#ifndef __IOleItemContainer_INTERFACE_DEFINED__
#define __IOleItemContainer_INTERFACE_DEFINED__
typedef IOleItemContainer *LPOLEITEMCONTAINER;
typedef enum tagBINDSPEED {BINDSPEED_INDEFINITE=1,BINDSPEED_MODERATE=2,BINDSPEED_IMMEDIATE=3}BINDSPEED;
typedef enum tagOLECONTF {OLECONTF_EMBEDDINGS=1,OLECONTF_LINKS=2,OLECONTF_OTHERS=4,OLECONTF_ONLYUSER=8,OLECONTF_ONLYIFRUNNING=16}OLECONTF;
extern const IID IID_IOleItemContainer;
typedef struct IOleItemContainerVtbl {
	HRESULT (_stdcall *QueryInterface)(IOleItemContainer *,REFIID,void * *);
	ULONG (_stdcall *AddRef)(IOleItemContainer *);
	ULONG (_stdcall *Release)(IOleItemContainer *);
	HRESULT (_stdcall *ParseDisplayName)(IOleItemContainer *,IBindCtx *,LPOLESTR,ULONG *,IMoniker * *);
	HRESULT (_stdcall *EnumObjects)(IOleItemContainer *,DWORD,IEnumUnknown * *);
	HRESULT (_stdcall *LockContainer)(IOleItemContainer *,BOOL);
	HRESULT (_stdcall *GetObject)(IOleItemContainer *,LPOLESTR,DWORD,IBindCtx *,REFIID,void * *);
	HRESULT (_stdcall *GetObjectStorage)(IOleItemContainer *,LPOLESTR,IBindCtx *,REFIID,void * *);
	HRESULT (_stdcall *IsRunning)(IOleItemContainer *,LPOLESTR);
} IOleItemContainerVtbl;
interface IOleItemContainer { CONST_VTBL struct IOleItemContainerVtbl *lpVtbl; };
#define IOleItemContainer_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IOleItemContainer_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IOleItemContainer_Release(A) (A)->lpVtbl->Release(A)
#define IOleItemContainer_ParseDisplayName(A,B,C,D,E) (A)->lpVtbl->ParseDisplayName(A,B,C,D,E)
#define IOleItemContainer_EnumObjects(A,B,C) (A)->lpVtbl->EnumObjects(A,B,C)
#define IOleItemContainer_LockContainer(A,B) (A)->lpVtbl->LockContainer(A,B)
#define IOleItemContainer_GetObject(A,B,C,D,E,F) (A)->lpVtbl->GetObject(A,B,C,D,E,F)
#define IOleItemContainer_GetObjectStorage(A,B,C,D,E) (A)->lpVtbl->GetObjectStorage(A,B,C,D,E)
#define IOleItemContainer_IsRunning(A,B) (A)->lpVtbl->IsRunning(A,B)
HRESULT _stdcall IOleItemContainer_RemoteGetObject_Proxy(IOleItemContainer *,LPOLESTR,DWORD,IBindCtx *,REFIID,IUnknown * *);
void __RPC_STUB IOleItemContainer_RemoteGetObject_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleItemContainer_RemoteGetObjectStorage_Proxy(IOleItemContainer *,LPOLESTR,IBindCtx *,REFIID,IUnknown * *);
void __RPC_STUB IOleItemContainer_RemoteGetObjectStorage_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleItemContainer_IsRunning_Proxy(IOleItemContainer *,LPOLESTR);
void __RPC_STUB IOleItemContainer_IsRunning_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
#endif 	
#ifndef __IOleInPlaceUIWindow_INTERFACE_DEFINED__
#define __IOleInPlaceUIWindow_INTERFACE_DEFINED__
typedef IOleInPlaceUIWindow *LPOLEINPLACEUIWINDOW;
typedef RECT BORDERWIDTHS;
typedef LPRECT LPBORDERWIDTHS;
typedef LPCRECT LPCBORDERWIDTHS;
extern const IID IID_IOleInPlaceUIWindow;
typedef struct IOleInPlaceUIWindowVtbl {
	HRESULT (_stdcall *QueryInterface)(IOleInPlaceUIWindow *,REFIID,void * *);
	ULONG (_stdcall *AddRef)(IOleInPlaceUIWindow *);
	ULONG (_stdcall *Release)(IOleInPlaceUIWindow *);
	HRESULT (_stdcall *GetWindow)(IOleInPlaceUIWindow *,HWND *);
	HRESULT (_stdcall *ContextSensitiveHelp)(IOleInPlaceUIWindow *,BOOL);
	HRESULT (_stdcall *GetBorder)(IOleInPlaceUIWindow *,LPRECT);
	HRESULT (_stdcall *RequestBorderSpace)(IOleInPlaceUIWindow *,LPCBORDERWIDTHS);
	HRESULT (_stdcall *SetBorderSpace)(IOleInPlaceUIWindow *,LPCBORDERWIDTHS);
	HRESULT (_stdcall *SetActiveObject)(IOleInPlaceUIWindow *,IOleInPlaceActiveObject *,LPCOLESTR);
} IOleInPlaceUIWindowVtbl;
interface IOleInPlaceUIWindow { CONST_VTBL struct IOleInPlaceUIWindowVtbl *lpVtbl; };
#define IOleInPlaceUIWindow_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IOleInPlaceUIWindow_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IOleInPlaceUIWindow_Release(A) (A)->lpVtbl->Release(A)
#define IOleInPlaceUIWindow_GetWindow(A,B) (A)->lpVtbl->GetWindow(A,B)
#define IOleInPlaceUIWindow_ContextSensitiveHelp(A,B) (A)->lpVtbl->ContextSensitiveHelp(A,B)
#define IOleInPlaceUIWindow_GetBorder(A,B) (A)->lpVtbl->GetBorder(A,B)
#define IOleInPlaceUIWindow_RequestBorderSpace(A,B) (A)->lpVtbl->RequestBorderSpace(A,B)
#define IOleInPlaceUIWindow_SetBorderSpace(A,B) (A)->lpVtbl->SetBorderSpace(A,B)
#define IOleInPlaceUIWindow_SetActiveObject(A,B,C) (A)->lpVtbl->SetActiveObject(A,B,C)
HRESULT _stdcall IOleInPlaceUIWindow_GetBorder_Proxy(IOleInPlaceUIWindow *,LPRECT); 
void __RPC_STUB IOleInPlaceUIWindow_GetBorder_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleInPlaceUIWindow_RequestBorderSpace_Proxy(IOleInPlaceUIWindow *,LPCBORDERWIDTHS);
void __RPC_STUB IOleInPlaceUIWindow_RequestBorderSpace_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleInPlaceUIWindow_SetBorderSpace_Proxy(IOleInPlaceUIWindow *,LPCBORDERWIDTHS);
void __RPC_STUB IOleInPlaceUIWindow_SetBorderSpace_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleInPlaceUIWindow_SetActiveObject_Proxy(IOleInPlaceUIWindow *,IOleInPlaceActiveObject *,LPCOLESTR);
void __RPC_STUB IOleInPlaceUIWindow_SetActiveObject_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
#endif 	
#ifndef __IOleInPlaceActiveObject_INTERFACE_DEFINED__
#define __IOleInPlaceActiveObject_INTERFACE_DEFINED__
typedef IOleInPlaceActiveObject *LPOLEINPLACEACTIVEOBJECT;
extern const IID IID_IOleInPlaceActiveObject;
typedef struct IOleInPlaceActiveObjectVtbl {
	HRESULT (_stdcall *QueryInterface)(IOleInPlaceActiveObject *,REFIID,void * *);
	ULONG (_stdcall *AddRef)(IOleInPlaceActiveObject *); 
	ULONG (_stdcall *Release)(IOleInPlaceActiveObject *); 
	HRESULT (_stdcall *GetWindow)(IOleInPlaceActiveObject *,HWND *);
	HRESULT (_stdcall *ContextSensitiveHelp)(IOleInPlaceActiveObject *,BOOL);
	HRESULT (_stdcall *TranslateAccelerator)(IOleInPlaceActiveObject *,LPMSG);
	HRESULT (_stdcall *OnFrameWindowActivate)(IOleInPlaceActiveObject *,BOOL);
	HRESULT (_stdcall *OnDocWindowActivate)(IOleInPlaceActiveObject *,BOOL); 
	HRESULT (_stdcall *ResizeBorder)(IOleInPlaceActiveObject *,LPCRECT,IOleInPlaceUIWindow *,BOOL);
	HRESULT (_stdcall *EnableModeless)(IOleInPlaceActiveObject *,BOOL);
} IOleInPlaceActiveObjectVtbl;
interface IOleInPlaceActiveObject { CONST_VTBL struct IOleInPlaceActiveObjectVtbl *lpVtbl; };
#define IOleInPlaceActiveObject_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IOleInPlaceActiveObject_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IOleInPlaceActiveObject_Release(A) (A)->lpVtbl->Release(A)
#define IOleInPlaceActiveObject_GetWindow(A,B) (A)->lpVtbl->GetWindow(A,B)
#define IOleInPlaceActiveObject_ContextSensitiveHelp(A,B) (A)->lpVtbl->ContextSensitiveHelp(A,B)
#define IOleInPlaceActiveObject_TranslateAccelerator(A,B) (A)->lpVtbl->TranslateAccelerator(A,B)
#define IOleInPlaceActiveObject_OnFrameWindowActivate(A,B) (A)->lpVtbl->OnFrameWindowActivate(A,B)
#define IOleInPlaceActiveObject_OnDocWindowActivate(A,B) (A)->lpVtbl->OnDocWindowActivate(A,B)
#define IOleInPlaceActiveObject_ResizeBorder(A,B,C,D) (A)->lpVtbl->ResizeBorder(A,B,C,D)
#define IOleInPlaceActiveObject_EnableModeless(A,B) (A)->lpVtbl->EnableModeless(A,B)
HRESULT _stdcall IOleInPlaceActiveObject_RemoteTranslateAccelerator_Proxy(IOleInPlaceActiveObject *);
void __RPC_STUB IOleInPlaceActiveObject_RemoteTranslateAccelerator_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleInPlaceActiveObject_OnFrameWindowActivate_Proxy(IOleInPlaceActiveObject *,BOOL);
void __RPC_STUB IOleInPlaceActiveObject_OnFrameWindowActivate_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleInPlaceActiveObject_OnDocWindowActivate_Proxy(IOleInPlaceActiveObject *,BOOL);
void __RPC_STUB IOleInPlaceActiveObject_OnDocWindowActivate_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleInPlaceActiveObject_RemoteResizeBorder_Proxy(IOleInPlaceActiveObject *,LPCRECT,REFIID,IOleInPlaceUIWindow *,BOOL);
void __RPC_STUB IOleInPlaceActiveObject_RemoteResizeBorder_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleInPlaceActiveObject_EnableModeless_Proxy(IOleInPlaceActiveObject *,BOOL);
void __RPC_STUB IOleInPlaceActiveObject_EnableModeless_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
#endif 	
#ifndef __IOleInPlaceFrame_INTERFACE_DEFINED__
#define __IOleInPlaceFrame_INTERFACE_DEFINED__
typedef IOleInPlaceFrame *LPOLEINPLACEFRAME;
typedef struct tagOIFI {
	UINT cb;
	BOOL fMDIApp;
	HWND hwndFrame;
	HACCEL haccel;
	UINT cAccelEntries;
	}	OLEINPLACEFRAMEINFO;
typedef struct tagOIFI *LPOLEINPLACEFRAMEINFO;
typedef struct tagOleMenuGroupWidths {
	LONG width[6];
	} OLEMENUGROUPWIDTHS;
typedef struct tagOleMenuGroupWidths *LPOLEMENUGROUPWIDTHS;
typedef HGLOBAL HOLEMENU;
extern const IID IID_IOleInPlaceFrame;
typedef struct IOleInPlaceFrameVtbl {
	HRESULT (_stdcall *QueryInterface)(IOleInPlaceFrame *,REFIID,void * *);
	ULONG (_stdcall *AddRef)(IOleInPlaceFrame *);
	ULONG (_stdcall *Release)(IOleInPlaceFrame *);
	HRESULT (_stdcall *GetWindow)(IOleInPlaceFrame *,HWND *);
	HRESULT (_stdcall *ContextSensitiveHelp)(IOleInPlaceFrame *,BOOL);
	HRESULT (_stdcall *GetBorder)(IOleInPlaceFrame *,LPRECT);
	HRESULT (_stdcall *RequestBorderSpace)(IOleInPlaceFrame *,LPCBORDERWIDTHS);
	HRESULT (_stdcall *SetBorderSpace)(IOleInPlaceFrame *,LPCBORDERWIDTHS);
	HRESULT (_stdcall *SetActiveObject)(IOleInPlaceFrame *,IOleInPlaceActiveObject *,LPCOLESTR);
	HRESULT (_stdcall *InsertMenus)(IOleInPlaceFrame *,HMENU,LPOLEMENUGROUPWIDTHS);
	HRESULT (_stdcall *SetMenu)(IOleInPlaceFrame *,HMENU,HOLEMENU,HWND);
	HRESULT (_stdcall *RemoveMenus)(IOleInPlaceFrame *,HMENU);
	HRESULT (_stdcall *SetStatusText)(IOleInPlaceFrame *,LPCOLESTR);
	HRESULT (_stdcall *EnableModeless)(IOleInPlaceFrame *,BOOL);
	HRESULT (_stdcall *TranslateAccelerator)(IOleInPlaceFrame *,LPMSG,WORD);
} IOleInPlaceFrameVtbl;
interface IOleInPlaceFrame { CONST_VTBL struct IOleInPlaceFrameVtbl *lpVtbl; };
#define IOleInPlaceFrame_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IOleInPlaceFrame_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IOleInPlaceFrame_Release(A) (A)->lpVtbl->Release(A)
#define IOleInPlaceFrame_GetWindow(A,B) (A)->lpVtbl->GetWindow(A,B)
#define IOleInPlaceFrame_ContextSensitiveHelp(A,B) (A)->lpVtbl->ContextSensitiveHelp(A,B)
#define IOleInPlaceFrame_GetBorder(A,B) (A)->lpVtbl->GetBorder(A,B)
#define IOleInPlaceFrame_RequestBorderSpace(A,B) (A)->lpVtbl->RequestBorderSpace(A,B)
#define IOleInPlaceFrame_SetBorderSpace(A,B) (A)->lpVtbl->SetBorderSpace(A,B)
#define IOleInPlaceFrame_SetActiveObject(A,B,C) (A)->lpVtbl->SetActiveObject(A,B,C)
#define IOleInPlaceFrame_InsertMenus(A,B,C) (A)->lpVtbl->InsertMenus(A,B,C)
#define IOleInPlaceFrame_SetMenu(A,B,C,D) (A)->lpVtbl->SetMenu(A,B,C,D)
#define IOleInPlaceFrame_RemoveMenus(A,B) (A)->lpVtbl->RemoveMenus(A,B)
#define IOleInPlaceFrame_SetStatusText(A,B) (A)->lpVtbl->SetStatusText(A,B)
#define IOleInPlaceFrame_EnableModeless(A,B) (A)->lpVtbl->EnableModeless(A,B)
#define IOleInPlaceFrame_TranslateAccelerator(A,B,C) (A)->lpVtbl->TranslateAccelerator(A,B,C)
HRESULT _stdcall IOleInPlaceFrame_InsertMenus_Proxy(IOleInPlaceFrame *,HMENU,LPOLEMENUGROUPWIDTHS);
void __RPC_STUB IOleInPlaceFrame_InsertMenus_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleInPlaceFrame_SetMenu_Proxy(IOleInPlaceFrame *,HMENU,HOLEMENU,HWND);
void __RPC_STUB IOleInPlaceFrame_SetMenu_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleInPlaceFrame_RemoveMenus_Proxy(IOleInPlaceFrame *,HMENU);
void __RPC_STUB IOleInPlaceFrame_RemoveMenus_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleInPlaceFrame_SetStatusText_Proxy(IOleInPlaceFrame *,LPCOLESTR);
void __RPC_STUB IOleInPlaceFrame_SetStatusText_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleInPlaceFrame_EnableModeless_Proxy(IOleInPlaceFrame *,BOOL);
void __RPC_STUB IOleInPlaceFrame_EnableModeless_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleInPlaceFrame_TranslateAccelerator_Proxy(IOleInPlaceFrame *,LPMSG,WORD);
void __RPC_STUB IOleInPlaceFrame_TranslateAccelerator_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
#endif 	
#ifndef __IOleInPlaceObject_INTERFACE_DEFINED__
#define __IOleInPlaceObject_INTERFACE_DEFINED__
typedef IOleInPlaceObject *LPOLEINPLACEOBJECT;
extern const IID IID_IOleInPlaceObject;
typedef struct IOleInPlaceObjectVtbl {
	HRESULT (_stdcall *QueryInterface)(IOleInPlaceObject *,REFIID,void * *);
	ULONG (_stdcall *AddRef)(IOleInPlaceObject *);
	ULONG (_stdcall *Release)(IOleInPlaceObject *); 
	HRESULT (_stdcall *GetWindow)(IOleInPlaceObject *,HWND *);
	HRESULT (_stdcall *ContextSensitiveHelp)(IOleInPlaceObject *,BOOL);
	HRESULT (_stdcall *InPlaceDeactivate)(IOleInPlaceObject *);
	HRESULT (_stdcall *UIDeactivate)(IOleInPlaceObject *);
	HRESULT (_stdcall *SetObjectRects)(IOleInPlaceObject *,LPCRECT,LPCRECT);
	HRESULT (_stdcall *ReactivateAndUndo)(IOleInPlaceObject *);
} IOleInPlaceObjectVtbl;
interface IOleInPlaceObject { CONST_VTBL struct IOleInPlaceObjectVtbl *lpVtbl; };
#define IOleInPlaceObject_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IOleInPlaceObject_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IOleInPlaceObject_Release(A) (A)->lpVtbl->Release(A)
#define IOleInPlaceObject_GetWindow(A,B) (A)->lpVtbl->GetWindow(A,B)
#define IOleInPlaceObject_ContextSensitiveHelp(A,B) (A)->lpVtbl->ContextSensitiveHelp(A,B)
#define IOleInPlaceObject_InPlaceDeactivate(A) (A)->lpVtbl->InPlaceDeactivate(A)
#define IOleInPlaceObject_UIDeactivate(A) (A)->lpVtbl->UIDeactivate(A)
#define IOleInPlaceObject_SetObjectRects(A,B,C) (A)->lpVtbl->SetObjectRects(A,B,C)
#define IOleInPlaceObject_ReactivateAndUndo(A) (A)->lpVtbl->ReactivateAndUndo(A)
HRESULT _stdcall IOleInPlaceObject_InPlaceDeactivate_Proxy(IOleInPlaceObject *);
void __RPC_STUB IOleInPlaceObject_InPlaceDeactivate_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleInPlaceObject_UIDeactivate_Proxy(IOleInPlaceObject *);
void __RPC_STUB IOleInPlaceObject_UIDeactivate_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleInPlaceObject_SetObjectRects_Proxy(IOleInPlaceObject *,LPCRECT,LPCRECT);
void __RPC_STUB IOleInPlaceObject_SetObjectRects_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleInPlaceObject_ReactivateAndUndo_Proxy(IOleInPlaceObject *);
void __RPC_STUB IOleInPlaceObject_ReactivateAndUndo_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
#endif 	
#ifndef __IOleInPlaceSite_INTERFACE_DEFINED__
#define __IOleInPlaceSite_INTERFACE_DEFINED__
typedef IOleInPlaceSite *LPOLEINPLACESITE;
extern const IID IID_IOleInPlaceSite;
typedef struct IOleInPlaceSiteVtbl {
	HRESULT (_stdcall *QueryInterface)(IOleInPlaceSite *,REFIID,void * *);
	ULONG (_stdcall *AddRef)(IOleInPlaceSite *); 
	ULONG (_stdcall *Release)(IOleInPlaceSite *); 
	HRESULT (_stdcall *GetWindow)(IOleInPlaceSite *,HWND *);
	HRESULT (_stdcall *ContextSensitiveHelp)(IOleInPlaceSite *,BOOL);
	HRESULT (_stdcall *CanInPlaceActivate)(IOleInPlaceSite *);
	HRESULT (_stdcall *OnInPlaceActivate)(IOleInPlaceSite *); 
	HRESULT (_stdcall *OnUIActivate)(IOleInPlaceSite *); 
	HRESULT (_stdcall *GetWindowContext)(IOleInPlaceSite *,IOleInPlaceFrame * *,IOleInPlaceUIWindow * *,LPRECT,LPRECT,LPOLEINPLACEFRAMEINFO);
	HRESULT (_stdcall *Scroll)(IOleInPlaceSite *,SIZE);
	HRESULT (_stdcall *OnUIDeactivate)(IOleInPlaceSite *,BOOL);
	HRESULT (_stdcall *OnInPlaceDeactivate)(IOleInPlaceSite *);
	HRESULT (_stdcall *DiscardUndoState)(IOleInPlaceSite *);
	HRESULT (_stdcall *DeactivateAndUndo)(IOleInPlaceSite *);
	HRESULT (_stdcall *OnPosRectChange)(IOleInPlaceSite *,LPCRECT);
} IOleInPlaceSiteVtbl;
interface IOleInPlaceSite { CONST_VTBL struct IOleInPlaceSiteVtbl *lpVtbl; };
#define IOleInPlaceSite_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IOleInPlaceSite_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IOleInPlaceSite_Release(A) (A)->lpVtbl->Release(A)
#define IOleInPlaceSite_GetWindow(A,B) (A)->lpVtbl->GetWindow(A,B)
#define IOleInPlaceSite_ContextSensitiveHelp(A,B) (A)->lpVtbl->ContextSensitiveHelp(A,B)
#define IOleInPlaceSite_CanInPlaceActivate(A) (A)->lpVtbl->CanInPlaceActivate(A)
#define IOleInPlaceSite_OnInPlaceActivate(A) (A)->lpVtbl->OnInPlaceActivate(A)
#define IOleInPlaceSite_OnUIActivate(A) (A)->lpVtbl->OnUIActivate(A)
#define IOleInPlaceSite_GetWindowContext(A,B,C,D,E,F) (A)->lpVtbl->GetWindowContext(A,B,C,D,E,F)
#define IOleInPlaceSite_Scroll(A,B) (A)->lpVtbl->Scroll(A,B)
#define IOleInPlaceSite_OnUIDeactivate(A,B) (A)->lpVtbl->OnUIDeactivate(A,B)
#define IOleInPlaceSite_OnInPlaceDeactivate(A) (A)->lpVtbl->OnInPlaceDeactivate(A)
#define IOleInPlaceSite_DiscardUndoState(A) (A)->lpVtbl->DiscardUndoState(A)
#define IOleInPlaceSite_DeactivateAndUndo(A) (A)->lpVtbl->DeactivateAndUndo(A)
#define IOleInPlaceSite_OnPosRectChange(A,B) (A)->lpVtbl->OnPosRectChange(A,B)
HRESULT _stdcall IOleInPlaceSite_CanInPlaceActivate_Proxy(IOleInPlaceSite *);
void __RPC_STUB IOleInPlaceSite_CanInPlaceActivate_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *); 
HRESULT _stdcall IOleInPlaceSite_OnInPlaceActivate_Proxy(IOleInPlaceSite *); 
void __RPC_STUB IOleInPlaceSite_OnInPlaceActivate_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleInPlaceSite_OnUIActivate_Proxy(IOleInPlaceSite *); 
void __RPC_STUB IOleInPlaceSite_OnUIActivate_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleInPlaceSite_GetWindowContext_Proxy(IOleInPlaceSite *,IOleInPlaceFrame * *,IOleInPlaceUIWindow * *,LPRECT,LPRECT,LPOLEINPLACEFRAMEINFO);
void __RPC_STUB IOleInPlaceSite_GetWindowContext_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleInPlaceSite_Scroll_Proxy(IOleInPlaceSite *,SIZE);
void __RPC_STUB IOleInPlaceSite_Scroll_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleInPlaceSite_OnUIDeactivate_Proxy(IOleInPlaceSite *,BOOL);
void __RPC_STUB IOleInPlaceSite_OnUIDeactivate_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleInPlaceSite_OnInPlaceDeactivate_Proxy(IOleInPlaceSite *);
void __RPC_STUB IOleInPlaceSite_OnInPlaceDeactivate_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleInPlaceSite_DiscardUndoState_Proxy(IOleInPlaceSite *);
void __RPC_STUB IOleInPlaceSite_DiscardUndoState_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleInPlaceSite_DeactivateAndUndo_Proxy(IOleInPlaceSite *);
void __RPC_STUB IOleInPlaceSite_DeactivateAndUndo_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IOleInPlaceSite_OnPosRectChange_Proxy(IOleInPlaceSite *,LPCRECT);
void __RPC_STUB IOleInPlaceSite_OnPosRectChange_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
#endif 	
#ifndef __IViewObject_INTERFACE_DEFINED__
#define __IViewObject_INTERFACE_DEFINED__
typedef IViewObject *LPVIEWOBJECT;
extern const IID IID_IViewObject;
typedef struct IViewObjectVtbl {
	HRESULT (_stdcall *QueryInterface)(IViewObject *,REFIID,void * *);
	ULONG (_stdcall *AddRef)(IViewObject *);
	ULONG (_stdcall *Release)(IViewObject *);
	HRESULT (_stdcall *Draw)(IViewObject *,DWORD,LONG,void *,DVTARGETDEVICE *,HDC,HDC,LPCRECTL,LPCRECTL,BOOL (_stdcall __stdcall *pfnContinue)( DWORD),DWORD );
	HRESULT (_stdcall *GetColorSet)(IViewObject *,DWORD,LONG,void *,DVTARGETDEVICE *,HDC,LOGPALETTE * *);
	HRESULT (_stdcall *Freeze)(IViewObject *,DWORD,LONG,void *,DWORD *);
	HRESULT (_stdcall *Unfreeze)(IViewObject *,DWORD);
	HRESULT (_stdcall *SetAdvise)(IViewObject *,DWORD,DWORD,IAdviseSink *);
	HRESULT (_stdcall *GetAdvise)(IViewObject *,DWORD *,DWORD *,IAdviseSink * *);
} IViewObjectVtbl;
interface IViewObject { CONST_VTBL struct IViewObjectVtbl *lpVtbl; };
#define IViewObject_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IViewObject_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IViewObject_Release(A) (A)->lpVtbl->Release(A)
#define IViewObject_Draw(A,B,C,D,E,F,G,H,I,J,K) (A)->lpVtbl->Draw(A,B,C,D,E,F,G,H,I,J,K)
#define IViewObject_GetColorSet(A,B,C,D,E,F,G) (A)->lpVtbl->GetColorSet(A,B,C,D,E,F,G)
#define IViewObject_Freeze(A,B,C,D,E) (A)->lpVtbl->Freeze(A,B,C,D,E)
#define IViewObject_Unfreeze(A,B) (A)->lpVtbl->Unfreeze(A,B)
#define IViewObject_SetAdvise(A,B,C,D) (A)->lpVtbl->SetAdvise(A,B,C,D)
#define IViewObject_GetAdvise(A,B,C,D) (A)->lpVtbl->GetAdvise(A,B,C,D)
HRESULT _stdcall IViewObject_Draw_Proxy(IViewObject *,DWORD,LONG,void *,DVTARGETDEVICE *,HDC,HDC,LPCRECTL,LPCRECTL,BOOL (_stdcall *pfnContinue)( DWORD),DWORD );
void __RPC_STUB IViewObject_Draw_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IViewObject_GetColorSet_Proxy(IViewObject *,DWORD,LONG,void *,DVTARGETDEVICE *,HDC,LOGPALETTE * *);
void __RPC_STUB IViewObject_GetColorSet_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IViewObject_Freeze_Proxy(IViewObject *,DWORD,LONG,void *,DWORD *);
void __RPC_STUB IViewObject_Freeze_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IViewObject_Unfreeze_Proxy(IViewObject *,DWORD);
void __RPC_STUB IViewObject_Unfreeze_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IViewObject_SetAdvise_Proxy(IViewObject *,DWORD,DWORD,IAdviseSink *);
void __RPC_STUB IViewObject_SetAdvise_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IViewObject_GetAdvise_Proxy(IViewObject *,DWORD *,DWORD *,IAdviseSink * *);
void __RPC_STUB IViewObject_GetAdvise_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
#endif 	
#ifndef __IViewObject2_INTERFACE_DEFINED__
#define __IViewObject2_INTERFACE_DEFINED__
typedef IViewObject2 *LPVIEWOBJECT2;
extern const IID IID_IViewObject2;
typedef struct IViewObject2Vtbl {
	HRESULT (_stdcall *QueryInterface)(IViewObject2 *,REFIID,void * *);
	ULONG (_stdcall *AddRef)(IViewObject2 *);
	ULONG (_stdcall *Release)(IViewObject2 *);
	HRESULT (_stdcall *Draw)(IViewObject2 *,DWORD,LONG,void *,DVTARGETDEVICE *,HDC,HDC,LPCRECTL,LPCRECTL,BOOL ( __stdcall *pfnContinue)( DWORD),DWORD);
	HRESULT (_stdcall *GetColorSet)(IViewObject2 *,DWORD,LONG,void *,DVTARGETDEVICE *,HDC,LOGPALETTE * *);
	HRESULT (_stdcall *Freeze)(IViewObject2 *,DWORD,LONG,void *,DWORD *);
	HRESULT (_stdcall *Unfreeze)(IViewObject2 *,DWORD);
	HRESULT (_stdcall *SetAdvise)(IViewObject2 *,DWORD,DWORD,IAdviseSink *);
	HRESULT (_stdcall *GetAdvise)(IViewObject2 *,DWORD *,DWORD *,IAdviseSink * *);
	HRESULT (_stdcall *GetExtent)(IViewObject2 *,DWORD,LONG,DVTARGETDEVICE *,LPSIZEL);
} IViewObject2Vtbl;
interface IViewObject2 { CONST_VTBL struct IViewObject2Vtbl *lpVtbl; };
#define IViewObject2_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IViewObject2_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IViewObject2_Release(A) (A)->lpVtbl->Release(A)
#define IViewObject2_Draw(T,A,l,vA,ptd,v,h,s,B,fn,C) (T)->lpVtbl->Draw(T,A,l,vA,ptd,v,h,s,B,fn,C)
#define IViewObject2_GetColorSet(A,B,C,D,E,F,G) (A)->lpVtbl->GetColorSet(A,B,C,D,E,F,G)
#define IViewObject2_Freeze(A,B,C,D,E) (A)->lpVtbl->Freeze(A,B,C,D,E)
#define IViewObject2_Unfreeze(A,B) (A)->lpVtbl->Unfreeze(A,B)
#define IViewObject2_SetAdvise(A,B,C,D) (A)->lpVtbl->SetAdvise(A,B,C,D)
#define IViewObject2_GetAdvise(A,B,C,D) (A)->lpVtbl->GetAdvise(A,B,C,D)
#define IViewObject2_GetExtent(A,B,C,D,E) (A)->lpVtbl->GetExtent(A,B,C,D,E)
HRESULT _stdcall IViewObject2_GetExtent_Proxy(IViewObject2 *,DWORD,LONG,DVTARGETDEVICE *,LPSIZEL);
void __RPC_STUB IViewObject2_GetExtent_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
#endif 	
#ifndef __IDropSource_INTERFACE_DEFINED__
#define __IDropSource_INTERFACE_DEFINED__
typedef IDropSource *LPDROPSOURCE;
extern const IID IID_IDropSource;
typedef struct IDropSourceVtbl {
	HRESULT (_stdcall *QueryInterface)(IDropSource *,REFIID,void * *);
	ULONG (_stdcall *AddRef)(IDropSource *);
	ULONG (_stdcall *Release)(IDropSource *);
	HRESULT (_stdcall *QueryContinueDrag)(IDropSource *,BOOL,DWORD);
	HRESULT (_stdcall *GiveFeedback)(IDropSource *,DWORD);
	} IDropSourceVtbl;
interface IDropSource { CONST_VTBL struct IDropSourceVtbl *lpVtbl; };
#define IDropSource_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IDropSource_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IDropSource_Release(A) (A)->lpVtbl->Release(A)
#define IDropSource_QueryContinueDrag(A,B,C) (A)->lpVtbl->QueryContinueDrag(A,B,C)
#define IDropSource_GiveFeedback(A,B) (A)->lpVtbl->GiveFeedback(A,B)
HRESULT _stdcall IDropSource_QueryContinueDrag_Proxy(IDropSource *,BOOL,DWORD);
void __RPC_STUB IDropSource_QueryContinueDrag_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IDropSource_GiveFeedback_Proxy(IDropSource *,DWORD);
void __RPC_STUB IDropSource_GiveFeedback_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
#endif 	
#ifndef __IDropTarget_INTERFACE_DEFINED__
#define __IDropTarget_INTERFACE_DEFINED__
typedef IDropTarget *LPDROPTARGET;
#define	MK_ALT 32
#define	DROPEFFECT_NONE	0
#define	DROPEFFECT_COPY	1
#define	DROPEFFECT_MOVE	2
#define	DROPEFFECT_LINK	4
#define	DROPEFFECT_SCROLL	0x80000000
#define	DD_DEFSCROLLINSET	11
#define	DD_DEFSCROLLDELAY	50
#define	DD_DEFSCROLLINTERVAL	50
#define	DD_DEFDRAGDELAY	(200)
#define	DD_DEFDRAGMINDIST	(2)
extern const IID IID_IDropTarget;
typedef struct IDropTargetVtbl {
	HRESULT (_stdcall *QueryInterface)(IDropTarget *,REFIID,void * *);
	ULONG (_stdcall *AddRef)(IDropTarget *);
	ULONG (_stdcall *Release)(IDropTarget *);
	HRESULT (_stdcall *DragEnter)(IDropTarget *,IDataObject *,DWORD,POINTL,DWORD *);
	HRESULT (_stdcall *DragOver)(IDropTarget *,DWORD,POINTL,DWORD *); 
	HRESULT (_stdcall *DragLeave)(IDropTarget *); 
	HRESULT (_stdcall *Drop)(IDropTarget *,IDataObject *,DWORD,POINTL,DWORD *);
} IDropTargetVtbl;
interface IDropTarget { CONST_VTBL struct IDropTargetVtbl *lpVtbl; };
#define IDropTarget_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IDropTarget_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IDropTarget_Release(A) (A)->lpVtbl->Release(A)
#define IDropTarget_DragEnter(A,B,C,D,E) (A)->lpVtbl->DragEnter(A,B,C,D,E)
#define IDropTarget_DragOver(A,B,C,D) (A)->lpVtbl->DragOver(A,B,C,D)
#define IDropTarget_DragLeave(A) (A)->lpVtbl->DragLeave(A)
#define IDropTarget_Drop(A,B,C,D,E) (A)->lpVtbl->Drop(A,B,C,D,E)
HRESULT _stdcall IDropTarget_DragEnter_Proxy(IDropTarget *,IDataObject *,DWORD,POINTL,DWORD *);
void __RPC_STUB IDropTarget_DragEnter_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IDropTarget_DragOver_Proxy(IDropTarget *,DWORD,POINTL,DWORD *);
void __RPC_STUB IDropTarget_DragOver_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IDropTarget_DragLeave_Proxy(IDropTarget *);
void __RPC_STUB IDropTarget_DragLeave_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IDropTarget_Drop_Proxy(IDropTarget *,IDataObject *,DWORD,POINTL,DWORD *);
void __RPC_STUB IDropTarget_Drop_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
#endif 	
#ifndef __IEnumOLEVERB_INTERFACE_DEFINED__
#define __IEnumOLEVERB_INTERFACE_DEFINED__
typedef IEnumOLEVERB *LPENUMOLEVERB;
typedef struct tagOLEVERB {
	LONG lVerb;
	LPOLESTR lpszVerbName;
	DWORD fuFlags;
	DWORD grfAttribs;
	}	OLEVERB;
typedef struct tagOLEVERB *LPOLEVERB;
typedef enum tagOLEVERBATTRIB
	{	OLEVERBATTRIB_NEVERDIRTIES	= 1,
	OLEVERBATTRIB_ONCONTAINERMENU	= 2
	}	OLEVERBATTRIB;
extern const IID IID_IEnumOLEVERB;
typedef struct IEnumOLEVERBVtbl {
	HRESULT (_stdcall *QueryInterface)(IEnumOLEVERB *,REFIID,void * *);
	ULONG (_stdcall *AddRef)(IEnumOLEVERB *);
	ULONG (_stdcall *Release)(IEnumOLEVERB *);
	HRESULT (_stdcall *Next)(IEnumOLEVERB *,ULONG,LPOLEVERB,ULONG *);
	HRESULT (_stdcall *Skip)(IEnumOLEVERB *,ULONG); 
	HRESULT (_stdcall *Reset)(IEnumOLEVERB *); 
	HRESULT (_stdcall *Clone)(IEnumOLEVERB *,IEnumOLEVERB * *);
} IEnumOLEVERBVtbl;
interface IEnumOLEVERB { CONST_VTBL struct IEnumOLEVERBVtbl *lpVtbl; };
#define IEnumOLEVERB_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IEnumOLEVERB_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IEnumOLEVERB_Release(A) (A)->lpVtbl->Release(A)
#define IEnumOLEVERB_Next(A,B,C,D) (A)->lpVtbl->Next(A,B,C,D)
#define IEnumOLEVERB_Skip(A,B) (A)->lpVtbl->Skip(A,B)
#define IEnumOLEVERB_Reset(A) (A)->lpVtbl->Reset(A)
#define IEnumOLEVERB_Clone(A,B) (A)->lpVtbl->Clone(A,B)
#ifndef NOPROXYSTUB
HRESULT _stdcall IEnumOLEVERB_RemoteNext_Proxy(IEnumOLEVERB *,ULONG,LPOLEVERB,ULONG *);
void __RPC_STUB IEnumOLEVERB_RemoteNext_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IEnumOLEVERB_Skip_Proxy(IEnumOLEVERB *,ULONG);
void __RPC_STUB IEnumOLEVERB_Skip_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IEnumOLEVERB_Reset_Proxy(IEnumOLEVERB *);
void __RPC_STUB IEnumOLEVERB_Reset_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IEnumOLEVERB_Clone_Proxy(IEnumOLEVERB *,IEnumOLEVERB * *);
void __RPC_STUB IEnumOLEVERB_Clone_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
#endif 
#endif 	
void __RPC_USER UINT_to_xmit(UINT *,unsigned long * *);
void __RPC_USER UINT_from_xmit(unsigned long *,UINT *);
void __RPC_USER UINT_free_inst(UINT *);
void __RPC_USER UINT_free_xmit(unsigned long *);
void __RPC_USER WPARAM_to_xmit(WPARAM *,unsigned long * *);
void __RPC_USER WPARAM_from_xmit(unsigned long *,WPARAM *);
void __RPC_USER WPARAM_free_inst(WPARAM *);
void __RPC_USER WPARAM_free_xmit(unsigned long *);
void __RPC_USER HWND_to_xmit(HWND *,long * *);
void __RPC_USER HWND_from_xmit(long *,HWND *);
void __RPC_USER HWND_free_inst(HWND *);
void __RPC_USER HWND_free_xmit(long *);
void __RPC_USER HMENU_to_xmit(HMENU *,long * *);
void __RPC_USER HMENU_from_xmit(long *,HMENU *);
void __RPC_USER HMENU_free_inst(HMENU *);
void __RPC_USER HMENU_free_xmit(long *);
void __RPC_USER HACCEL_to_xmit(HACCEL *,long * *);
void __RPC_USER HACCEL_from_xmit(long *,HACCEL *);
void __RPC_USER HACCEL_free_inst(HACCEL *);
void __RPC_USER HACCEL_free_xmit(long *);
void __RPC_USER HOLEMENU_to_xmit(HOLEMENU *,RemHGLOBAL * *);
void __RPC_USER HOLEMENU_from_xmit(RemHGLOBAL *,HOLEMENU *);
void __RPC_USER HOLEMENU_free_inst(HOLEMENU *);
void __RPC_USER HOLEMENU_free_xmit(RemHGLOBAL *);
HRESULT _stdcall IOleItemContainer_GetObject_Proxy(IOleItemContainer *,LPOLESTR,DWORD,IBindCtx *,REFIID riid,void * *);
HRESULT _stdcall IOleItemContainer_GetObject_Stub(IOleItemContainer *,LPOLESTR,DWORD,IBindCtx *,REFIID,IUnknown * *);
HRESULT _stdcall IOleItemContainer_GetObjectStorage_Proxy(IOleItemContainer *,LPOLESTR,IBindCtx *,REFIID,void * *);
HRESULT _stdcall IOleItemContainer_GetObjectStorage_Stub(IOleItemContainer *,LPOLESTR,IBindCtx *,REFIID,IUnknown * *);
HRESULT _stdcall IOleInPlaceActiveObject_TranslateAccelerator_Proxy(IOleInPlaceActiveObject *,LPMSG);
HRESULT _stdcall IOleInPlaceActiveObject_TranslateAccelerator_Stub(IOleInPlaceActiveObject *);
HRESULT _stdcall IOleInPlaceActiveObject_ResizeBorder_Proxy(IOleInPlaceActiveObject *,LPCRECT,IOleInPlaceUIWindow *,BOOL);
HRESULT _stdcall IOleInPlaceActiveObject_ResizeBorder_Stub(IOleInPlaceActiveObject *,LPCRECT,REFIID,IOleInPlaceUIWindow *,BOOL);
HRESULT _stdcall IEnumOLEVERB_Next_Proxy(IEnumOLEVERB * ,ULONG ,LPOLEVERB ,ULONG *);
HRESULT _stdcall IEnumOLEVERB_Next_Stub(IEnumOLEVERB * ,ULONG,LPOLEVERB,ULONG *);
#endif
