#ifndef __windows_h__
#include <windows.h>
#endif
#ifndef __RPC_H__
#define __RPC_H__
#ifndef __BASETSD_H_
#include <basetsd.h>
#endif
#define __RPC_WIN32__
#ifndef __MIDL_USER_DEFINED
#define midl_user_allocate MIDL_user_allocate
#define midl_user_free     MIDL_user_free
#define __MIDL_USER_DEFINED
#endif

typedef void * I_RPC_HANDLE;
typedef long RPC_STATUS;
#define RPC_UNICODE_SUPPORTED
#define __RPC_API  __stdcall
#define __RPC_USER __stdcall
#define __RPC_STUB __stdcall
#define  RPC_ENTRY __stdcall
#define __RPC_FAR
// Some RPC platforms don't define DECLSPEC_IMPORT
#if !defined(DECLSPEC_IMPORT)
#if (defined(_M_MRX000) || defined(_M_IX86) || defined(_M_ALPHA) || defined(_M_PPC) || defined(_M_IA64)) && !defined(MIDL_PASS)
#define DECLSPEC_IMPORT __declspec(dllimport)
#else
#define DECLSPEC_IMPORT
#endif
#endif
#if !defined(_RPCRT4_)
#define RPCRTAPI DECLSPEC_IMPORT
#else
#define RPCRTAPI
#endif

#if !defined(_RPCNS4_)
#define RPCNSAPI DECLSPEC_IMPORT
#else
#define RPCNSAPI
#endif

#ifdef IN
#undef IN
#undef OUT
#undef OPTIONAL
#endif /* IN */
#include <rpcdce.h>
#include <rpcnsi.h>
#include <rpcnterr.h>
#include <excpt.h>
#include <winerror.h>
#define RpcTryExcept  __try {
#define RpcExcept(expr)  }  __except (expr)  {
#define RpcEndExcept  }
#define RpcTryFinally  __try  {
#define RpcFinally  }  __finally  {
#define RpcEndFinally  }
#define RpcExceptionCode() GetExceptionCode()
#define RpcAbnormalTermination() AbnormalTermination()
// Definitions which depend on windows.h
#ifndef __RPCASYNC_H
#include <rpcasync.h>
#endif
#endif // __RPC_H__
