#ifndef __adshlp_h__
#define __adshlp_h__
#ifndef __windows_h__
#include <win.h>
#endif
#ifndef __iads_h__
#include <iads.h>
#endif
HRESULT WINAPI ADsGetObject(LPWSTR,REFIID,VOID **);
HRESULT WINAPI ADsBuildEnumerator(IADsContainer *,IEnumVARIANT **); 
HRESULT WINAPI ADsFreeEnumerator(IEnumVARIANT *);
HRESULT WINAPI ADsEnumerateNext(IEnumVARIANT *,ULONG,VARIANT *,ULONG *);
HRESULT WINAPI ADsBuildVarArrayStr(LPWSTR *,DWORD,VARIANT *);
HRESULT WINAPI ADsBuildVarArrayInt(LPDWORD,DWORD,VARIANT *);
HRESULT WINAPI ADsOpenObject(LPWSTR,LPWSTR,LPWSTR,DWORD,REFIID,void **);
HRESULT WINAPI ADsGetLastError(LPDWORD,LPWSTR,DWORD,LPWSTR,DWORD);
VOID WINAPI ADsSetLastError(DWORD,LPWSTR,LPWSTR);
VOID WINAPI ADsFreeAllErrorRecords(VOID); 
LPVOID WINAPI AllocADsMem(DWORD);
BOOL WINAPI FreeADsMem(LPVOID);
LPVOID WINAPI ReallocADsMem(LPVOID,DWORD,DWORD);
LPWSTR WINAPI AllocADsStr(LPWSTR);
BOOL WINAPI FreeADsStr(LPWSTR);
BOOL WINAPI ReallocADsStr(LPWSTR *,LPWSTR);
HRESULT WINAPI ADsEncodeBinaryData (PBYTE,DWORD,LPWSTR *);
HRESULT WINAPI ADsDecodeBinaryData (LPWSTR,PBYTE *,ULONG *);
HRESULT WINAPI PropVariantToAdsType(VARIANT *,DWORD,PADSVALUE *,PDWORD);
HRESULT WINAPI AdsTypeToPropVariant(PADSVALUE,DWORD,VARIANT *);
void WINAPI AdsFreeAdsValues(PADSVALUE,DWORD);
#if DBG
extern LIST_ENTRY ADsMemList ;
extern CRITICAL_SECTION ADsMemCritSect ;
VOID InitADsMem(VOID ) ;
VOID AssertADsMemLeaks(VOID ) ;
VOID DumpMemoryTracker();
#else
#define InitADsMem()
#define AssertADsMemLeaks()
#define DumpMemoryTracker()
#endif
#endif 
