#ifndef __REQUIRED_RPCNDR_H_VERSION__
#define __REQUIRED_RPCNDR_H_VERSION__ 475
#endif
#include "rpc.h"
#include "rpcndr.h"
#ifndef __RPCNDR_H_VERSION__
#error this stub requires an updated version of <rpcndr.h>
#endif 
#ifndef COM_NO_WINDOWS_H
#include "windows.h"
#include "ole2.h"
#endif 
#ifndef __bits_h__
#define __bits_h__
#ifndef __IBackgroundCopyFile_FWD_DEFINED__
#define __IBackgroundCopyFile_FWD_DEFINED__
typedef interface IBackgroundCopyFile IBackgroundCopyFile;
#endif 
#ifndef __IEnumBackgroundCopyFiles_FWD_DEFINED__
#define __IEnumBackgroundCopyFiles_FWD_DEFINED__
typedef interface IEnumBackgroundCopyFiles IEnumBackgroundCopyFiles;
#endif 
#ifndef __IBackgroundCopyError_FWD_DEFINED__
#define __IBackgroundCopyError_FWD_DEFINED__
typedef interface IBackgroundCopyError IBackgroundCopyError;
#endif 
#ifndef __IBackgroundCopyJob_FWD_DEFINED__
#define __IBackgroundCopyJob_FWD_DEFINED__
typedef interface IBackgroundCopyJob IBackgroundCopyJob;
#endif 
#ifndef __IEnumBackgroundCopyJobs_FWD_DEFINED__
#define __IEnumBackgroundCopyJobs_FWD_DEFINED__
typedef interface IEnumBackgroundCopyJobs IEnumBackgroundCopyJobs;
#endif 
#ifndef __IBackgroundCopyCallback_FWD_DEFINED__
#define __IBackgroundCopyCallback_FWD_DEFINED__
typedef interface IBackgroundCopyCallback IBackgroundCopyCallback;
#endif 
#ifndef __AsyncIBackgroundCopyCallback_FWD_DEFINED__
#define __AsyncIBackgroundCopyCallback_FWD_DEFINED__
typedef interface AsyncIBackgroundCopyCallback AsyncIBackgroundCopyCallback;
#endif 
#ifndef __IBackgroundCopyManager_FWD_DEFINED__
#define __IBackgroundCopyManager_FWD_DEFINED__
typedef interface IBackgroundCopyManager IBackgroundCopyManager;
#endif 
#ifndef __BackgroundCopyManager_FWD_DEFINED__
#define __BackgroundCopyManager_FWD_DEFINED__
typedef struct BackgroundCopyManager BackgroundCopyManager;
#endif 
#ifndef __IBackgroundCopyCallback_FWD_DEFINED__
#define __IBackgroundCopyCallback_FWD_DEFINED__
typedef interface IBackgroundCopyCallback IBackgroundCopyCallback;
#endif 
#include "unknwn.h"
void * __RPC_USER MIDL_user_allocate(size_t);
void __RPC_USER MIDL_user_free(void *); 
#include "bitsmsg.h"
#define BG_SIZE_UNKNOWN (UINT64)(-1)
extern RPC_IF_HANDLE __MIDL_itf_bits_0000_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_bits_0000_v0_0_s_ifspec;
#ifndef __IBackgroundCopyFile_INTERFACE_DEFINED__
#define __IBackgroundCopyFile_INTERFACE_DEFINED__
typedef struct _BG_FILE_PROGRESS {
UINT64 BytesTotal;
UINT64 BytesTransferred;
BOOL Completed;
} BG_FILE_PROGRESS;
EXTERN_C const IID IID_IBackgroundCopyFile;
typedef struct IBackgroundCopyFileVtbl {
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IBackgroundCopyFile *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IBackgroundCopyFile *);
 ULONG (_stdcall *Release)(IBackgroundCopyFile *);
 HRESULT (_stdcall *GetRemoteName)(IBackgroundCopyFile *,LPWSTR *);
 HRESULT (_stdcall *GetLocalName)(IBackgroundCopyFile *,LPWSTR *);
 HRESULT (_stdcall *GetProgress)(IBackgroundCopyFile *,BG_FILE_PROGRESS *);
END_INTERFACE
} IBackgroundCopyFileVtbl;
interface IBackgroundCopyFile { CONST_VTBL struct IBackgroundCopyFileVtbl *lpVtbl; };
#ifdef COBJMACROS
#define IBackgroundCopyFile_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IBackgroundCopyFile_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IBackgroundCopyFile_Release(A) (A)->lpVtbl->Release(A)
#define IBackgroundCopyFile_GetRemoteName(A,B) (A)->lpVtbl->GetRemoteName(A,B)
#define IBackgroundCopyFile_GetLocalName(A,B) (A)->lpVtbl->GetLocalName(A,B)
#define IBackgroundCopyFile_GetProgress(A,B) (A)->lpVtbl->GetProgress(A,B)
#endif 
HRESULT _stdcall IBackgroundCopyFile_GetRemoteName_Proxy(IBackgroundCopyFile *,LPWSTR *);
void __RPC_STUB IBackgroundCopyFile_GetRemoteName_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IBackgroundCopyFile_GetLocalName_Proxy(IBackgroundCopyFile *,LPWSTR *);
void __RPC_STUB IBackgroundCopyFile_GetLocalName_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IBackgroundCopyFile_GetProgress_Proxy(IBackgroundCopyFile *,BG_FILE_PROGRESS *);
void __RPC_STUB IBackgroundCopyFile_GetProgress_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
#endif 
#ifndef __IEnumBackgroundCopyFiles_INTERFACE_DEFINED__
#define __IEnumBackgroundCopyFiles_INTERFACE_DEFINED__
EXTERN_C const IID IID_IEnumBackgroundCopyFiles;
typedef struct IEnumBackgroundCopyFilesVtbl {
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IEnumBackgroundCopyFiles *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IEnumBackgroundCopyFiles *);
 ULONG (_stdcall *Release)(IEnumBackgroundCopyFiles *);
 HRESULT (_stdcall *Next)(IEnumBackgroundCopyFiles *,ULONG,IBackgroundCopyFile **,ULONG *);
 HRESULT (_stdcall *Skip)(IEnumBackgroundCopyFiles *,ULONG);
 HRESULT (_stdcall *Reset)(IEnumBackgroundCopyFiles *);
 HRESULT (_stdcall *Clone)(IEnumBackgroundCopyFiles *,IEnumBackgroundCopyFiles **);
 HRESULT (_stdcall *GetCount)(IEnumBackgroundCopyFiles *,ULONG *);
END_INTERFACE
} IEnumBackgroundCopyFilesVtbl;
interface IEnumBackgroundCopyFiles { CONST_VTBL struct IEnumBackgroundCopyFilesVtbl *lpVtbl; };
#ifdef COBJMACROS
#define IEnumBackgroundCopyFiles_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IEnumBackgroundCopyFiles_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IEnumBackgroundCopyFiles_Release(A) (A)->lpVtbl->Release(A)
#define IEnumBackgroundCopyFiles_Next(A,B,C,D) (A)->lpVtbl->Next(A,B,C,D)
#define IEnumBackgroundCopyFiles_Skip(A,B) (A)->lpVtbl->Skip(A,B)
#define IEnumBackgroundCopyFiles_Reset(A) (A)->lpVtbl->Reset(A)
#define IEnumBackgroundCopyFiles_Clone(A,B) (A)->lpVtbl->Clone(A,B)
#define IEnumBackgroundCopyFiles_GetCount(A,B) (A)->lpVtbl->GetCount(A,B)
#endif 
HRESULT _stdcall IEnumBackgroundCopyFiles_Next_Proxy(IEnumBackgroundCopyFiles *,ULONG ,IBackgroundCopyFile **,ULONG *);
void __RPC_STUB IEnumBackgroundCopyFiles_Next_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEnumBackgroundCopyFiles_Skip_Proxy(IEnumBackgroundCopyFiles *,ULONG );
void __RPC_STUB IEnumBackgroundCopyFiles_Skip_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEnumBackgroundCopyFiles_Reset_Proxy(IEnumBackgroundCopyFiles *);
void __RPC_STUB IEnumBackgroundCopyFiles_Reset_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEnumBackgroundCopyFiles_Clone_Proxy(IEnumBackgroundCopyFiles *,IEnumBackgroundCopyFiles **);
void __RPC_STUB IEnumBackgroundCopyFiles_Clone_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEnumBackgroundCopyFiles_GetCount_Proxy(IEnumBackgroundCopyFiles *,ULONG *);
void __RPC_STUB IEnumBackgroundCopyFiles_GetCount_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
#endif 
#ifndef __IBackgroundCopyError_INTERFACE_DEFINED__
#define __IBackgroundCopyError_INTERFACE_DEFINED__
typedef  
enum __MIDL_IBackgroundCopyError_0001 {	BG_ERROR_CONTEXT_NONE=0, BG_ERROR_CONTEXT_UNKNOWN=1,
BG_ERROR_CONTEXT_GENERAL_QUEUE_MANAGER=2, BG_ERROR_CONTEXT_QUEUE_MANAGER_NOTIFICATION=3,
BG_ERROR_CONTEXT_LOCAL_FILE=4, BG_ERROR_CONTEXT_REMOTE_FILE=5, BG_ERROR_CONTEXT_GENERAL_TRANSPORT=6,
BG_ERROR_CONTEXT_REMOTE_APPLICATION=7 } BG_ERROR_CONTEXT;
EXTERN_C const IID IID_IBackgroundCopyError;
typedef struct IBackgroundCopyErrorVtbl {
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IBackgroundCopyError *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IBackgroundCopyError *);
 ULONG (_stdcall *Release)(IBackgroundCopyError *);
 HRESULT (_stdcall *GetError)(IBackgroundCopyError *,BG_ERROR_CONTEXT *,HRESULT *);
 HRESULT (_stdcall *GetFile)(IBackgroundCopyError *,IBackgroundCopyFile **);
 HRESULT (_stdcall *GetErrorDescription)(IBackgroundCopyError *,DWORD,LPWSTR *);
 HRESULT (_stdcall *GetErrorContextDescription)(IBackgroundCopyError *,DWORD,LPWSTR *);
 HRESULT (_stdcall *GetProtocol)(IBackgroundCopyError *,LPWSTR *);
END_INTERFACE
} IBackgroundCopyErrorVtbl;
interface IBackgroundCopyError { CONST_VTBL struct IBackgroundCopyErrorVtbl *lpVtbl; };
#ifdef COBJMACROS
#define IBackgroundCopyError_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IBackgroundCopyError_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IBackgroundCopyError_Release(A) (A)->lpVtbl->Release(A)
#define IBackgroundCopyError_GetError(A,B,C) (A)->lpVtbl->GetError(A,B,C)
#define IBackgroundCopyError_GetFile(A,B) (A)->lpVtbl->GetFile(A,B)
#define IBackgroundCopyError_GetErrorDescription(A,B,C) (A)->lpVtbl->GetErrorDescription(A,B,C)
#define IBackgroundCopyError_GetErrorContextDescription(A,B,C) (A)->lpVtbl->GetErrorContextDescription(A,B,C)
#define IBackgroundCopyError_GetProtocol(A,B) (A)->lpVtbl->GetProtocol(A,B)
#endif 
HRESULT _stdcall IBackgroundCopyError_GetError_Proxy(IBackgroundCopyError *,BG_ERROR_CONTEXT *,HRESULT *);
void __RPC_STUB IBackgroundCopyError_GetError_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IBackgroundCopyError_GetFile_Proxy(IBackgroundCopyError *,IBackgroundCopyFile **);
void __RPC_STUB IBackgroundCopyError_GetFile_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IBackgroundCopyError_GetErrorDescription_Proxy(IBackgroundCopyError *,DWORD ,LPWSTR *);
void __RPC_STUB IBackgroundCopyError_GetErrorDescription_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IBackgroundCopyError_GetErrorContextDescription_Proxy(IBackgroundCopyError *,DWORD ,LPWSTR *);
void __RPC_STUB IBackgroundCopyError_GetErrorContextDescription_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IBackgroundCopyError_GetProtocol_Proxy(IBackgroundCopyError *,LPWSTR *);
void __RPC_STUB IBackgroundCopyError_GetProtocol_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
#endif 
#ifndef __IBackgroundCopyJob_INTERFACE_DEFINED__
#define __IBackgroundCopyJob_INTERFACE_DEFINED__
typedef struct _BG_FILE_INFO {
LPWSTR RemoteName;
LPWSTR LocalName;
} BG_FILE_INFO;
typedef struct _BG_JOB_PROGRESS {
UINT64 BytesTotal;
UINT64 BytesTransferred;
ULONG FilesTotal;
ULONG FilesTransferred;
} BG_JOB_PROGRESS;
typedef struct _BG_JOB_TIMES {
FILETIME CreationTime;
FILETIME ModificationTime;
FILETIME TransferCompletionTime;
} BG_JOB_TIMES;
typedef  enum __MIDL_IBackgroundCopyJob_0001 {	BG_JOB_PRIORITY_FOREGROUND=0,
BG_JOB_PRIORITY_HIGH=BG_JOB_PRIORITY_FOREGROUND + 1, BG_JOB_PRIORITY_NORMAL=BG_JOB_PRIORITY_HIGH + 1,
BG_JOB_PRIORITY_LOW=BG_JOB_PRIORITY_NORMAL + 1 } BG_JOB_PRIORITY;
typedef  enum __MIDL_IBackgroundCopyJob_0002 {	BG_JOB_STATE_QUEUED=0,
BG_JOB_STATE_CONNECTING=BG_JOB_STATE_QUEUED + 1, BG_JOB_STATE_TRANSFERRING=BG_JOB_STATE_CONNECTING + 1,
BG_JOB_STATE_SUSPENDED=BG_JOB_STATE_TRANSFERRING + 1, BG_JOB_STATE_ERROR=BG_JOB_STATE_SUSPENDED + 1,
BG_JOB_STATE_TRANSIENT_ERROR=BG_JOB_STATE_ERROR + 1, BG_JOB_STATE_TRANSFERRED=BG_JOB_STATE_TRANSIENT_ERROR + 1,
BG_JOB_STATE_ACKNOWLEDGED=BG_JOB_STATE_TRANSFERRED + 1, BG_JOB_STATE_CANCELLED=BG_JOB_STATE_ACKNOWLEDGED + 1
} BG_JOB_STATE;
typedef  enum __MIDL_IBackgroundCopyJob_0003 {	BG_JOB_TYPE_DOWNLOAD=0,
BG_JOB_TYPE_UPLOAD=BG_JOB_TYPE_DOWNLOAD + 1, BG_JOB_TYPE_UPLOAD_REPLY=BG_JOB_TYPE_UPLOAD + 1
} BG_JOB_TYPE;
typedef  enum __MIDL_IBackgroundCopyJob_0004 {	BG_JOB_PROXY_USAGE_PRECONFIG=0,
BG_JOB_PROXY_USAGE_NO_PROXY=BG_JOB_PROXY_USAGE_PRECONFIG + 1,
BG_JOB_PROXY_USAGE_OVERRIDE=BG_JOB_PROXY_USAGE_NO_PROXY + 1
} BG_JOB_PROXY_USAGE;
EXTERN_C const IID IID_IBackgroundCopyJob;
typedef struct IBackgroundCopyJobVtbl {
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IBackgroundCopyJob *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IBackgroundCopyJob *);
 ULONG (_stdcall *Release)(IBackgroundCopyJob *);
 HRESULT (_stdcall *AddFileSet)(IBackgroundCopyJob *,ULONG,BG_FILE_INFO *);
 HRESULT (_stdcall *AddFile)(IBackgroundCopyJob *,LPCWSTR,LPCWSTR);
 HRESULT (_stdcall *EnumFiles)(IBackgroundCopyJob *,IEnumBackgroundCopyFiles **);
 HRESULT (_stdcall *Suspend)(IBackgroundCopyJob *);
 HRESULT (_stdcall *Resume)(IBackgroundCopyJob *);
 HRESULT (_stdcall *Cancel)(IBackgroundCopyJob *);
 HRESULT (_stdcall *Complete)(IBackgroundCopyJob *);
 HRESULT (_stdcall *GetId)(IBackgroundCopyJob *,GUID *);
 HRESULT (_stdcall *GetType)(IBackgroundCopyJob *,BG_JOB_TYPE *);
 HRESULT (_stdcall *GetProgress)(IBackgroundCopyJob *,BG_JOB_PROGRESS *);
 HRESULT (_stdcall *GetTimes)(IBackgroundCopyJob *,BG_JOB_TIMES *);
 HRESULT (_stdcall *GetState)(IBackgroundCopyJob *,BG_JOB_STATE *);
 HRESULT (_stdcall *GetError)(IBackgroundCopyJob *,IBackgroundCopyError **);
 HRESULT (_stdcall *GetOwner)(IBackgroundCopyJob *,LPWSTR *);
 HRESULT (_stdcall *SetDisplayName)(IBackgroundCopyJob *,LPCWSTR);
 HRESULT (_stdcall *GetDisplayName)(IBackgroundCopyJob *,LPWSTR *);
 HRESULT (_stdcall *SetDescription)(IBackgroundCopyJob *,LPCWSTR);
 HRESULT (_stdcall *GetDescription)(IBackgroundCopyJob *,LPWSTR *);
 HRESULT (_stdcall *SetPriority)(IBackgroundCopyJob *,BG_JOB_PRIORITY);
 HRESULT (_stdcall *GetPriority)(IBackgroundCopyJob *,BG_JOB_PRIORITY *);
 HRESULT (_stdcall *SetNotifyFlags)(IBackgroundCopyJob *,ULONG);
 HRESULT (_stdcall *GetNotifyFlags)(IBackgroundCopyJob *,ULONG *);
 HRESULT (_stdcall *SetNotifyInterface)(IBackgroundCopyJob *,IUnknown *);
 HRESULT (_stdcall *GetNotifyInterface)(IBackgroundCopyJob *,IUnknown **);
 HRESULT (_stdcall *SetMinimumRetryDelay)(IBackgroundCopyJob *,ULONG);
 HRESULT (_stdcall *GetMinimumRetryDelay)(IBackgroundCopyJob *,ULONG *);
 HRESULT (_stdcall *SetNoProgressTimeout)(IBackgroundCopyJob *,ULONG);
 HRESULT (_stdcall *GetNoProgressTimeout)(IBackgroundCopyJob *,ULONG *);
 HRESULT (_stdcall *GetErrorCount)(IBackgroundCopyJob *,ULONG *);
 HRESULT (_stdcall *SetProxySettings)(IBackgroundCopyJob *,BG_JOB_PROXY_USAGE,const WCHAR *,const WCHAR *);
 HRESULT (_stdcall *GetProxySettings)(IBackgroundCopyJob *,BG_JOB_PROXY_USAGE *,LPWSTR *,LPWSTR *);
 HRESULT (_stdcall *TakeOwnership)(IBackgroundCopyJob *);
END_INTERFACE
} IBackgroundCopyJobVtbl;
interface IBackgroundCopyJob { CONST_VTBL struct IBackgroundCopyJobVtbl *lpVtbl; };
#ifdef COBJMACROS
#define IBackgroundCopyJob_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IBackgroundCopyJob_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IBackgroundCopyJob_Release(A) (A)->lpVtbl->Release(A)
#define IBackgroundCopyJob_AddFileSet(A,B,C) (A)->lpVtbl->AddFileSet(A,B,C)
#define IBackgroundCopyJob_AddFile(A,B,C) (A)->lpVtbl->AddFile(A,B,C)
#define IBackgroundCopyJob_EnumFiles(A,B) (A)->lpVtbl->EnumFiles(A,B)
#define IBackgroundCopyJob_Suspend(A) (A)->lpVtbl->Suspend(A)
#define IBackgroundCopyJob_Resume(A) (A)->lpVtbl->Resume(A)
#define IBackgroundCopyJob_Cancel(A) (A)->lpVtbl->Cancel(A)
#define IBackgroundCopyJob_Complete(A) (A)->lpVtbl->Complete(A)
#define IBackgroundCopyJob_GetId(A,B) (A)->lpVtbl->GetId(A,B)
#define IBackgroundCopyJob_GetType(A,B) (A)->lpVtbl->GetType(A,B)
#define IBackgroundCopyJob_GetProgress(A,B) (A)->lpVtbl->GetProgress(A,B)
#define IBackgroundCopyJob_GetTimes(A,B) (A)->lpVtbl->GetTimes(A,B)
#define IBackgroundCopyJob_GetState(A,B) (A)->lpVtbl->GetState(A,B)
#define IBackgroundCopyJob_GetError(A,B) (A)->lpVtbl->GetError(A,B)
#define IBackgroundCopyJob_GetOwner(A,B) (A)->lpVtbl->GetOwner(A,B)
#define IBackgroundCopyJob_SetDisplayName(A,B) (A)->lpVtbl->SetDisplayName(A,B)
#define IBackgroundCopyJob_GetDisplayName(A,B) (A)->lpVtbl->GetDisplayName(A,B)
#define IBackgroundCopyJob_SetDescription(A,B) (A)->lpVtbl->SetDescription(A,B)
#define IBackgroundCopyJob_GetDescription(A,B) (A)->lpVtbl->GetDescription(A,B)
#define IBackgroundCopyJob_SetPriority(A,B) (A)->lpVtbl->SetPriority(A,B)
#define IBackgroundCopyJob_GetPriority(A,B) (A)->lpVtbl->GetPriority(A,B)
#define IBackgroundCopyJob_SetNotifyFlags(A,B) (A)->lpVtbl->SetNotifyFlags(A,B)
#define IBackgroundCopyJob_GetNotifyFlags(A,B) (A)->lpVtbl->GetNotifyFlags(A,B)
#define IBackgroundCopyJob_SetNotifyInterface(A,B) (A)->lpVtbl->SetNotifyInterface(A,B)
#define IBackgroundCopyJob_GetNotifyInterface(A,B) (A)->lpVtbl->GetNotifyInterface(A,B)
#define IBackgroundCopyJob_SetMinimumRetryDelay(A,B) (A)->lpVtbl->SetMinimumRetryDelay(A,B)
#define IBackgroundCopyJob_GetMinimumRetryDelay(A,B) (A)->lpVtbl->GetMinimumRetryDelay(A,B)
#define IBackgroundCopyJob_SetNoProgressTimeout(A,B) (A)->lpVtbl->SetNoProgressTimeout(A,B)
#define IBackgroundCopyJob_GetNoProgressTimeout(A,B) (A)->lpVtbl->GetNoProgressTimeout(A,B)
#define IBackgroundCopyJob_GetErrorCount(A,B) (A)->lpVtbl->GetErrorCount(A,B)
#define IBackgroundCopyJob_SetProxySettings(A,B,C,D) (A)->lpVtbl->SetProxySettings(A,B,C,D)
#define IBackgroundCopyJob_GetProxySettings(A,B,C,D) (A)->lpVtbl->GetProxySettings(A,B,C,D)
#define IBackgroundCopyJob_TakeOwnership(A) (A)->lpVtbl->TakeOwnership(A)
#endif 
HRESULT _stdcall IBackgroundCopyJob_AddFileSet_Proxy(IBackgroundCopyJob *,ULONG ,BG_FILE_INFO *);
void __RPC_STUB IBackgroundCopyJob_AddFileSet_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IBackgroundCopyJob_AddFile_Proxy(IBackgroundCopyJob *,LPCWSTR ,LPCWSTR );
void __RPC_STUB IBackgroundCopyJob_AddFile_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IBackgroundCopyJob_EnumFiles_Proxy(IBackgroundCopyJob *,IEnumBackgroundCopyFiles **);
void __RPC_STUB IBackgroundCopyJob_EnumFiles_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IBackgroundCopyJob_Suspend_Proxy(IBackgroundCopyJob *);
void __RPC_STUB IBackgroundCopyJob_Suspend_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IBackgroundCopyJob_Resume_Proxy(IBackgroundCopyJob *);
void __RPC_STUB IBackgroundCopyJob_Resume_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IBackgroundCopyJob_Cancel_Proxy(IBackgroundCopyJob *);
void __RPC_STUB IBackgroundCopyJob_Cancel_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IBackgroundCopyJob_Complete_Proxy(IBackgroundCopyJob *);
void __RPC_STUB IBackgroundCopyJob_Complete_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IBackgroundCopyJob_GetId_Proxy(IBackgroundCopyJob *,GUID *);
void __RPC_STUB IBackgroundCopyJob_GetId_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IBackgroundCopyJob_GetType_Proxy(IBackgroundCopyJob *,BG_JOB_TYPE *);
void __RPC_STUB IBackgroundCopyJob_GetType_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IBackgroundCopyJob_GetProgress_Proxy(IBackgroundCopyJob *,BG_JOB_PROGRESS *);
void __RPC_STUB IBackgroundCopyJob_GetProgress_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IBackgroundCopyJob_GetTimes_Proxy(IBackgroundCopyJob *,BG_JOB_TIMES *);
void __RPC_STUB IBackgroundCopyJob_GetTimes_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IBackgroundCopyJob_GetState_Proxy(IBackgroundCopyJob *,BG_JOB_STATE *);
void __RPC_STUB IBackgroundCopyJob_GetState_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IBackgroundCopyJob_GetError_Proxy(IBackgroundCopyJob *,IBackgroundCopyError **);
void __RPC_STUB IBackgroundCopyJob_GetError_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IBackgroundCopyJob_GetOwner_Proxy(IBackgroundCopyJob *,LPWSTR *);
void __RPC_STUB IBackgroundCopyJob_GetOwner_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IBackgroundCopyJob_SetDisplayName_Proxy(IBackgroundCopyJob *,LPCWSTR );
void __RPC_STUB IBackgroundCopyJob_SetDisplayName_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IBackgroundCopyJob_GetDisplayName_Proxy(IBackgroundCopyJob *,LPWSTR *);
void __RPC_STUB IBackgroundCopyJob_GetDisplayName_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IBackgroundCopyJob_SetDescription_Proxy(IBackgroundCopyJob *,LPCWSTR );
void __RPC_STUB IBackgroundCopyJob_SetDescription_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IBackgroundCopyJob_GetDescription_Proxy(IBackgroundCopyJob *,LPWSTR *);
void __RPC_STUB IBackgroundCopyJob_GetDescription_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IBackgroundCopyJob_SetPriority_Proxy(IBackgroundCopyJob *,BG_JOB_PRIORITY );
void __RPC_STUB IBackgroundCopyJob_SetPriority_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IBackgroundCopyJob_GetPriority_Proxy(IBackgroundCopyJob *,BG_JOB_PRIORITY *);
void __RPC_STUB IBackgroundCopyJob_GetPriority_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IBackgroundCopyJob_SetNotifyFlags_Proxy(IBackgroundCopyJob *,ULONG );
void __RPC_STUB IBackgroundCopyJob_SetNotifyFlags_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IBackgroundCopyJob_GetNotifyFlags_Proxy(IBackgroundCopyJob *,ULONG *);
void __RPC_STUB IBackgroundCopyJob_GetNotifyFlags_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IBackgroundCopyJob_SetNotifyInterface_Proxy(IBackgroundCopyJob *,IUnknown *);
void __RPC_STUB IBackgroundCopyJob_SetNotifyInterface_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IBackgroundCopyJob_GetNotifyInterface_Proxy(IBackgroundCopyJob *,IUnknown **);
void __RPC_STUB IBackgroundCopyJob_GetNotifyInterface_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IBackgroundCopyJob_SetMinimumRetryDelay_Proxy(IBackgroundCopyJob *,ULONG );
void __RPC_STUB IBackgroundCopyJob_SetMinimumRetryDelay_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IBackgroundCopyJob_GetMinimumRetryDelay_Proxy(IBackgroundCopyJob *,ULONG *);
void __RPC_STUB IBackgroundCopyJob_GetMinimumRetryDelay_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IBackgroundCopyJob_SetNoProgressTimeout_Proxy(IBackgroundCopyJob *,ULONG );
void __RPC_STUB IBackgroundCopyJob_SetNoProgressTimeout_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IBackgroundCopyJob_GetNoProgressTimeout_Proxy(IBackgroundCopyJob *,ULONG *);
void __RPC_STUB IBackgroundCopyJob_GetNoProgressTimeout_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IBackgroundCopyJob_GetErrorCount_Proxy(IBackgroundCopyJob *,ULONG *);
void __RPC_STUB IBackgroundCopyJob_GetErrorCount_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IBackgroundCopyJob_SetProxySettings_Proxy(IBackgroundCopyJob *,BG_JOB_PROXY_USAGE , const WCHAR *ProxyList, const WCHAR *ProxyBypassList);
void __RPC_STUB IBackgroundCopyJob_SetProxySettings_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IBackgroundCopyJob_GetProxySettings_Proxy(IBackgroundCopyJob *,BG_JOB_PROXY_USAGE *,LPWSTR *,LPWSTR *);
void __RPC_STUB IBackgroundCopyJob_GetProxySettings_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IBackgroundCopyJob_TakeOwnership_Proxy(IBackgroundCopyJob *);
void __RPC_STUB IBackgroundCopyJob_TakeOwnership_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
#endif 
#ifndef __IEnumBackgroundCopyJobs_INTERFACE_DEFINED__
#define __IEnumBackgroundCopyJobs_INTERFACE_DEFINED__
EXTERN_C const IID IID_IEnumBackgroundCopyJobs;
typedef struct IEnumBackgroundCopyJobsVtbl {
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IEnumBackgroundCopyJobs *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IEnumBackgroundCopyJobs *);
 ULONG (_stdcall *Release)(IEnumBackgroundCopyJobs *);
 HRESULT (_stdcall *Next)(IEnumBackgroundCopyJobs *,ULONG,IBackgroundCopyJob **,ULONG *);
 HRESULT (_stdcall *Skip)(IEnumBackgroundCopyJobs *,ULONG);
 HRESULT (_stdcall *Reset)(IEnumBackgroundCopyJobs *);
 HRESULT (_stdcall *Clone)(IEnumBackgroundCopyJobs *,IEnumBackgroundCopyJobs **);
 HRESULT (_stdcall *GetCount)(IEnumBackgroundCopyJobs *,ULONG *);
END_INTERFACE
} IEnumBackgroundCopyJobsVtbl;
interface IEnumBackgroundCopyJobs { CONST_VTBL struct IEnumBackgroundCopyJobsVtbl *lpVtbl; };
#ifdef COBJMACROS
#define IEnumBackgroundCopyJobs_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IEnumBackgroundCopyJobs_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IEnumBackgroundCopyJobs_Release(A) (A)->lpVtbl->Release(A)
#define IEnumBackgroundCopyJobs_Next(A,B,C,D) (A)->lpVtbl->Next(A,B,C,D)
#define IEnumBackgroundCopyJobs_Skip(A,B) (A)->lpVtbl->Skip(A,B)
#define IEnumBackgroundCopyJobs_Reset(A) (A)->lpVtbl->Reset(A)
#define IEnumBackgroundCopyJobs_Clone(A,B) (A)->lpVtbl->Clone(A,B)
#define IEnumBackgroundCopyJobs_GetCount(A,B) (A)->lpVtbl->GetCount(A,B)
#endif 
HRESULT _stdcall IEnumBackgroundCopyJobs_Next_Proxy(IEnumBackgroundCopyJobs *,ULONG ,IBackgroundCopyJob **,ULONG *);
void __RPC_STUB IEnumBackgroundCopyJobs_Next_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEnumBackgroundCopyJobs_Skip_Proxy(IEnumBackgroundCopyJobs *,ULONG );
void __RPC_STUB IEnumBackgroundCopyJobs_Skip_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEnumBackgroundCopyJobs_Reset_Proxy(IEnumBackgroundCopyJobs *);
void __RPC_STUB IEnumBackgroundCopyJobs_Reset_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEnumBackgroundCopyJobs_Clone_Proxy(IEnumBackgroundCopyJobs *,IEnumBackgroundCopyJobs **);
void __RPC_STUB IEnumBackgroundCopyJobs_Clone_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEnumBackgroundCopyJobs_GetCount_Proxy(IEnumBackgroundCopyJobs *,ULONG *);
void __RPC_STUB IEnumBackgroundCopyJobs_GetCount_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
#endif 
#define BG_NOTIFY_JOB_TRANSFERRED 1
#define BG_NOTIFY_JOB_ERROR 2
#define BG_NOTIFY_DISABLE 4
#define BG_NOTIFY_JOB_MODIFICATION 8
extern RPC_IF_HANDLE __MIDL_itf_bits_0013_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_bits_0013_v0_0_s_ifspec;
#ifndef __IBackgroundCopyCallback_INTERFACE_DEFINED__
#define __IBackgroundCopyCallback_INTERFACE_DEFINED__
EXTERN_C const IID IID_IBackgroundCopyCallback;
typedef struct IBackgroundCopyCallbackVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IBackgroundCopyCallback *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IBackgroundCopyCallback *);
 ULONG (_stdcall *Release)(IBackgroundCopyCallback *);
 HRESULT (_stdcall *JobTransferred)(IBackgroundCopyCallback *,IBackgroundCopyJob *);
 HRESULT (_stdcall *JobError)(IBackgroundCopyCallback *,IBackgroundCopyJob *,IBackgroundCopyError *);
 HRESULT (_stdcall *JobModification)(IBackgroundCopyCallback *,IBackgroundCopyJob *,DWORD);
END_INTERFACE
} IBackgroundCopyCallbackVtbl;
interface IBackgroundCopyCallback
{
CONST_VTBL struct IBackgroundCopyCallbackVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IBackgroundCopyCallback_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IBackgroundCopyCallback_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IBackgroundCopyCallback_Release(A) (A)->lpVtbl->Release(A)
#define IBackgroundCopyCallback_JobTransferred(A,B) (A)->lpVtbl->JobTransferred(A,B)
#define IBackgroundCopyCallback_JobError(A,B,C) (A)->lpVtbl->JobError(A,B,C)
#define IBackgroundCopyCallback_JobModification(A,B,C) (A)->lpVtbl->JobModification(A,B,C)
#endif 
HRESULT _stdcall IBackgroundCopyCallback_JobTransferred_Proxy(IBackgroundCopyCallback *,IBackgroundCopyJob *);
void __RPC_STUB IBackgroundCopyCallback_JobTransferred_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IBackgroundCopyCallback_JobError_Proxy(IBackgroundCopyCallback *,IBackgroundCopyJob *,IBackgroundCopyError *);
void __RPC_STUB IBackgroundCopyCallback_JobError_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IBackgroundCopyCallback_JobModification_Proxy(IBackgroundCopyCallback *,IBackgroundCopyJob *,DWORD );
void __RPC_STUB IBackgroundCopyCallback_JobModification_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
#endif 
#ifndef __AsyncIBackgroundCopyCallback_INTERFACE_DEFINED__
#define __AsyncIBackgroundCopyCallback_INTERFACE_DEFINED__
EXTERN_C const IID IID_AsyncIBackgroundCopyCallback;
typedef struct AsyncIBackgroundCopyCallbackVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(AsyncIBackgroundCopyCallback *,REFIID,void **);
 ULONG (_stdcall *AddRef)(AsyncIBackgroundCopyCallback *);
 ULONG (_stdcall *Release)(AsyncIBackgroundCopyCallback *);
 HRESULT (_stdcall *Begin_JobTransferred)(AsyncIBackgroundCopyCallback *,IBackgroundCopyJob *);
 HRESULT (_stdcall *Finish_JobTransferred)(AsyncIBackgroundCopyCallback *);
 HRESULT (_stdcall *Begin_JobError)(AsyncIBackgroundCopyCallback *,IBackgroundCopyJob *,IBackgroundCopyError *);
 HRESULT (_stdcall *Finish_JobError)(AsyncIBackgroundCopyCallback *);
 HRESULT (_stdcall *Begin_JobModification)(AsyncIBackgroundCopyCallback *,IBackgroundCopyJob *,DWORD);
 HRESULT (_stdcall *Finish_JobModification)(AsyncIBackgroundCopyCallback *);
END_INTERFACE
} AsyncIBackgroundCopyCallbackVtbl;
interface AsyncIBackgroundCopyCallback
{
CONST_VTBL struct AsyncIBackgroundCopyCallbackVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define AsyncIBackgroundCopyCallback_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define AsyncIBackgroundCopyCallback_AddRef(A) (A)->lpVtbl->AddRef(A)
#define AsyncIBackgroundCopyCallback_Release(A) (A)->lpVtbl->Release(A)
#define AsyncIBackgroundCopyCallback_Begin_JobTransferred(A,B) (A)->lpVtbl->Begin_JobTransferred(A,B)
#define AsyncIBackgroundCopyCallback_Finish_JobTransferred(A) (A)->lpVtbl->Finish_JobTransferred(A)
#define AsyncIBackgroundCopyCallback_Begin_JobError(A,B,C) (A)->lpVtbl->Begin_JobError(A,B,C)
#define AsyncIBackgroundCopyCallback_Finish_JobError(A) (A)->lpVtbl->Finish_JobError(A)
#define AsyncIBackgroundCopyCallback_Begin_JobModification(A,B,C) (A)->lpVtbl->Begin_JobModification(A,B,C)
#define AsyncIBackgroundCopyCallback_Finish_JobModification(A) (A)->lpVtbl->Finish_JobModification(A)
#endif 
HRESULT _stdcall AsyncIBackgroundCopyCallback_Begin_JobTransferred_Proxy(AsyncIBackgroundCopyCallback *,IBackgroundCopyJob *);
void __RPC_STUB AsyncIBackgroundCopyCallback_Begin_JobTransferred_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall AsyncIBackgroundCopyCallback_Finish_JobTransferred_Proxy(AsyncIBackgroundCopyCallback *);
void __RPC_STUB AsyncIBackgroundCopyCallback_Finish_JobTransferred_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall AsyncIBackgroundCopyCallback_Begin_JobError_Proxy(AsyncIBackgroundCopyCallback *,IBackgroundCopyJob *,IBackgroundCopyError *);
void __RPC_STUB AsyncIBackgroundCopyCallback_Begin_JobError_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall AsyncIBackgroundCopyCallback_Finish_JobError_Proxy(AsyncIBackgroundCopyCallback *);
void __RPC_STUB AsyncIBackgroundCopyCallback_Finish_JobError_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall AsyncIBackgroundCopyCallback_Begin_JobModification_Proxy(AsyncIBackgroundCopyCallback *,IBackgroundCopyJob *,DWORD );
void __RPC_STUB AsyncIBackgroundCopyCallback_Begin_JobModification_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall AsyncIBackgroundCopyCallback_Finish_JobModification_Proxy(AsyncIBackgroundCopyCallback *);
void __RPC_STUB AsyncIBackgroundCopyCallback_Finish_JobModification_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
#endif 
#ifndef __IBackgroundCopyManager_INTERFACE_DEFINED__
#define __IBackgroundCopyManager_INTERFACE_DEFINED__
#define BG_JOB_ENUM_ALL_USERS 1
EXTERN_C const IID IID_IBackgroundCopyManager;
typedef struct IBackgroundCopyManagerVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IBackgroundCopyManager *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IBackgroundCopyManager *);
 ULONG (_stdcall *Release)(IBackgroundCopyManager *);
 HRESULT (_stdcall *CreateJob)(IBackgroundCopyManager *,LPCWSTR,BG_JOB_TYPE,GUID *,IBackgroundCopyJob **);
 HRESULT (_stdcall *GetJob)(IBackgroundCopyManager *,REFGUID,IBackgroundCopyJob **);
 HRESULT (_stdcall *EnumJobs)(IBackgroundCopyManager *,DWORD,IEnumBackgroundCopyJobs **);
 HRESULT (_stdcall *GetErrorDescription)(IBackgroundCopyManager *,HRESULT,DWORD,LPWSTR *);
END_INTERFACE
} IBackgroundCopyManagerVtbl;
interface IBackgroundCopyManager
{
CONST_VTBL struct IBackgroundCopyManagerVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IBackgroundCopyManager_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IBackgroundCopyManager_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IBackgroundCopyManager_Release(A) (A)->lpVtbl->Release(A)
#define IBackgroundCopyManager_CreateJob(A,B,C,D,E) (A)->lpVtbl->CreateJob(A,B,C,D,E)
#define IBackgroundCopyManager_GetJob(A,B,C) (A)->lpVtbl->GetJob(A,B,C)
#define IBackgroundCopyManager_EnumJobs(A,B,C) (A)->lpVtbl->EnumJobs(A,B,C)
#define IBackgroundCopyManager_GetErrorDescription(A,B,C,D) (A)->lpVtbl->GetErrorDescription(A,B,C,D)
#endif 
HRESULT _stdcall IBackgroundCopyManager_CreateJob_Proxy(IBackgroundCopyManager *,LPCWSTR ,BG_JOB_TYPE ,GUID *,IBackgroundCopyJob **);
void __RPC_STUB IBackgroundCopyManager_CreateJob_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IBackgroundCopyManager_GetJob_Proxy(IBackgroundCopyManager *,REFGUID ,IBackgroundCopyJob **);
void __RPC_STUB IBackgroundCopyManager_GetJob_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IBackgroundCopyManager_EnumJobs_Proxy(IBackgroundCopyManager *,DWORD ,IEnumBackgroundCopyJobs **);
void __RPC_STUB IBackgroundCopyManager_EnumJobs_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IBackgroundCopyManager_GetErrorDescription_Proxy(IBackgroundCopyManager *,HRESULT ,DWORD ,LPWSTR *);
void __RPC_STUB IBackgroundCopyManager_GetErrorDescription_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
#endif 
#ifndef __BackgroundCopyManager_LIBRARY_DEFINED__
#define __BackgroundCopyManager_LIBRARY_DEFINED__
EXTERN_C const IID LIBID_BackgroundCopyManager;
EXTERN_C const CLSID CLSID_BackgroundCopyManager;
#endif 
#include "bits1_5.h"
extern RPC_IF_HANDLE __MIDL_itf_bits_0015_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_bits_0015_v0_0_s_ifspec;
#endif
