#ifndef _CFG_INCLUDED_
#define _CFG_INCLUDED_
typedef enum _PNP_VETO_TYPE {
PNP_VetoTypeUnknown,
PNP_VetoLegacyDevice,
PNP_VetoPendingClose,
PNP_VetoWindowsApp,
PNP_VetoWindowsService,
PNP_VetoOutstandingOpen,
PNP_VetoDevice,
PNP_VetoDriver,
PNP_VetoIllegalDeviceRequest,
PNP_VetoInsufficientPower,
PNP_VetoNonDisableable,
PNP_VetoLegacyDriver,
PNP_VetoInsufficientRights 
} PNP_VETO_TYPE,*PPNP_VETO_TYPE;
#define CM_PROB_NOT_CONFIGURED 1  
#define CM_PROB_DEVLOADER_FAILED 2  
#define CM_PROB_OUT_OF_MEMORY 3  
#define CM_PROB_ENTRY_IS_WRONG_TYPE 4  
#define CM_PROB_LACKED_ARBITRATOR 5  
#define CM_PROB_BOOT_CONFIG_CONFLICT 6  
#define CM_PROB_FAILED_FILTER 7  
#define CM_PROB_DEVLOADER_NOT_FOUND 8  
#define CM_PROB_INVALID_DATA 9  
#define CM_PROB_FAILED_START 10  
#define CM_PROB_LIAR 11  
#define CM_PROB_NORMAL_CONFLICT 12  
#define CM_PROB_NOT_VERIFIED 13  
#define CM_PROB_NEED_RESTART 14  
#define CM_PROB_REENUMERATION 15  
#define CM_PROB_PARTIAL_LOG_CONF 16  
#define CM_PROB_UNKNOWN_RESOURCE 17  
#define CM_PROB_REINSTALL 18  
#define CM_PROB_REGISTRY 19  
#define CM_PROB_VXDLDR 20  
#define CM_PROB_WILL_BE_REMOVED 21  
#define CM_PROB_DISABLED 22  
#define CM_PROB_DEVLOADER_NOT_READY 23  
#define CM_PROB_DEVICE_NOT_THERE 24  
#define CM_PROB_MOVED 25  
#define CM_PROB_TOO_EARLY 26  
#define CM_PROB_NO_VALID_LOG_CONF 27  
#define CM_PROB_FAILED_INSTALL 28  
#define CM_PROB_HARDWARE_DISABLED 29  
#define CM_PROB_CANT_SHARE_IRQ 30  
#define CM_PROB_FAILED_ADD 31  
#define CM_PROB_DISABLED_SERVICE 32  
#define CM_PROB_TRANSLATION_FAILED 33  
#define CM_PROB_NO_SOFTCONFIG 34  
#define CM_PROB_BIOS_TABLE 35  
#define CM_PROB_IRQ_TRANSLATION_FAILED 36  
#define CM_PROB_FAILED_DRIVER_ENTRY 37  
#define CM_PROB_DRIVER_FAILED_PRIOR_UNLOAD 38  
#define CM_PROB_DRIVER_FAILED_LOAD 39  
#define CM_PROB_DRIVER_SERVICE_KEY_INVALID 40  
#define CM_PROB_LEGACY_SERVICE_NO_DEVICES 41  
#define CM_PROB_DUPLICATE_DEVICE 42  
#define CM_PROB_FAILED_POST_START 43  
#define CM_PROB_HALTED                     (A) (A)->lpVtbl->PROB_HALTED                     (A)
#define CM_PROB_PHANTOM 45  
#define CM_PROB_SYSTEM_SHUTDOWN 46  
#define CM_PROB_HELD_FOR_EJECT 47  
#define CM_PROB_DRIVER_BLOCKED 48  
#define CM_PROB_REGISTRY_TOO_LARGE 49  
#define CM_PROB_SETPROPERTIES_FAILED 50  
#define NUM_CM_PROB 51
#define CM_GLOBAL_STATE_CAN_DO_UI 1 
#define CM_GLOBAL_STATE_ON_BIG_STACK 2 
#define CM_GLOBAL_STATE_SERVICES_AVAILABLE 4 
#define CM_GLOBAL_STATE_SHUTTING_DOWN 8 
#define CM_GLOBAL_STATE_DETECTION_PENDING 16 
#define DN_ROOT_ENUMERATED 1 
#define DN_DRIVER_LOADED 2 
#define DN_ENUM_LOADED 4 
#define DN_STARTED 8 
#define DN_MANUAL 16 
#define DN_NEED_TO_ENUM 32 
#define DN_NOT_FIRST_TIME 64 
#define DN_HARDWARE_ENUM 128 
#define DN_LIAR 256 
#define DN_HAS_MARK 512 
#define DN_HAS_PROBLEM 1024 
#define DN_FILTERED 2048 
#define DN_MOVED 4096 
#define DN_DISABLEABLE 0x2000 
#define DN_REMOVABLE 0x4000 
#define DN_PRIVATE_PROBLEM 0x8000 
#define DN_MF_PARENT 0x10000 
#define DN_MF_CHILD 0x20000 
#define DN_WILL_BE_REMOVED 0x40000 
#define DN_NOT_FIRST_TIMEE 0x80000
#define DN_STOP_FREE_RES 0x100000
#define DN_REBAL_CANDIDATE 0x200000
#define DN_BAD_PARTIAL 0x400000
#define DN_NT_ENUMERATOR 0x800000
#define DN_NT_DRIVER 0x1000000
#define DN_NEEDS_LOCKING 0x2000000
#define DN_ARM_WAKEUP 0x4000000
#define DN_APM_ENUMERATOR 0x8000000
#define DN_APM_DRIVER 0x10000000
#define DN_SILENT_INSTALL 0x20000000
#define DN_NO_SHOW_IN_DM 0x40000000
#define DN_BOOT_LOG_PROB 0x80000000
#define DN_NEED_RESTART DN_LIAR 
#define DN_DRIVER_BLOCKED DN_NOT_FIRST_TIME 
#define DN_LEGACY_DRIVER DN_MOVED 
#define DN_CHILD_WITH_INVALID_ID DN_HAS_MARK 
#define DN_CHANGEABLE_FLAGS (DN_NOT_FIRST_TIME+ DN_HARDWARE_ENUM+DN_HAS_MARK+ DN_DISABLEABLE+DN_REMOVABLE+ DN_MF_CHILD+ DN_MF_PARENT+ DN_NOT_FIRST_TIMEE+ DN_STOP_FREE_RES+ DN_REBAL_CANDIDATE+ DN_NT_ENUMERATOR+ DN_NT_DRIVER+ DN_SILENT_INSTALL+ DN_NO_SHOW_IN_DM)
#define LCPRI_FORCECONFIG 0 
#define LCPRI_BOOTCONFIG 1 
#define LCPRI_DESIRED 0x2000 
#define LCPRI_NORMAL 0x3000 
#define LCPRI_LASTBESTCONFIG 0x3fff 
#define LCPRI_SUBOPTIMAL 0x5000 
#define LCPRI_LASTSOFTCONFIG 0x7fff 
#define LCPRI_RESTART 0x8000 
#define LCPRI_REBOOT 0x9000 
#define LCPRI_POWEROFF 0xa000 
#define LCPRI_HARDRECONFIG 0xc000 
#define LCPRI_HARDWIRED 0xe000 
#define LCPRI_IMPOSSIBLE 0xf000 
#define LCPRI_DISABLED 0xffff 
#define MAX_LCPRI 0xffff 
#endif 
