D3DXVECTOR2 overloaded d3dxvector2( CONST FLOAT *pf );
D3DXVECTOR2 overloaded d3dxvector2( FLOAT fx, FLOAT fy );
D3DXVECTOR2& operator += (D3DXVECTOR2 &this, CONST D3DXVECTOR2& v );
D3DXVECTOR2& operator -= (D3DXVECTOR2 &this, CONST D3DXVECTOR2& v );
D3DXVECTOR2& operator *= (D3DXVECTOR2 &this, FLOAT f );
D3DXVECTOR2& operator /= (D3DXVECTOR2 &this, FLOAT f );
D3DXVECTOR2 operator - (D3DXVECTOR2 &this);
D3DXVECTOR2 operator + (D3DXVECTOR2 &this, CONST D3DXVECTOR2& v );
D3DXVECTOR2 operator -(D3DXVECTOR2 &this, CONST D3DXVECTOR2& v );
D3DXVECTOR2 operator * (D3DXVECTOR2 &this, FLOAT f );
D3DXVECTOR2 operator / (D3DXVECTOR2 &this, FLOAT f );
D3DXVECTOR2 operator * (FLOAT f, CONST D3DXVECTOR2& v );
BOOL operator == (D3DXVECTOR2 &this, CONST D3DXVECTOR2& v );
BOOL operator != (D3DXVECTOR2 &this, CONST D3DXVECTOR2& v );
D3DXVECTOR3 overloaded d3dxvector3( CONST FLOAT *pf );
D3DXVECTOR3 overloaded d3dxvector3( CONST D3DVECTOR& v );
D3DXVECTOR3 overloaded d3dxvector3( FLOAT fx, FLOAT fy, FLOAT fz );
D3DXVECTOR3& operator += (D3DXVECTOR3 &this, CONST D3DXVECTOR3& v );
D3DXVECTOR3& operator -= (D3DXVECTOR3 &this, CONST D3DXVECTOR3& v );
D3DXVECTOR3& operator *= (D3DXVECTOR3 &this, FLOAT f );
D3DXVECTOR3& operator /= (D3DXVECTOR3 &this, FLOAT f );
D3DXVECTOR3 operator - (D3DXVECTOR3 &this);
D3DXVECTOR3 operator + (D3DXVECTOR3 &this, CONST D3DXVECTOR3& v );
D3DXVECTOR3 operator - (D3DXVECTOR3 &this, CONST D3DXVECTOR3& v );
D3DXVECTOR3 operator * (D3DXVECTOR3 &this, FLOAT f );
D3DXVECTOR3 operator / (D3DXVECTOR3 &this,FLOAT f );
D3DXVECTOR3 operator *(FLOAT f, CONST D3DXVECTOR3& v );
BOOL operator == (CONST D3DXVECTOR3& this, CONST D3DXVECTOR3& v );
BOOL operator != (D3DXVECTOR3 &this, CONST D3DXVECTOR3& v );
D3DXVECTOR4 overloaded d3dxvector4( CONST FLOAT *pf );
D3DXVECTOR4 overloaded d3dxvector4( FLOAT fx, FLOAT fy, FLOAT fz, FLOAT fw );
D3DXVECTOR4& operator += (D3DXVECTOR4 &this, CONST D3DXVECTOR4& v );
D3DXVECTOR4& operator -= (D3DXVECTOR4 &this, CONST D3DXVECTOR4& v );
D3DXVECTOR4& operator *= (D3DXVECTOR4 &this, FLOAT f );
D3DXVECTOR4& operator /= (D3DXVECTOR4& this, FLOAT f );
D3DXVECTOR4 operator - (D3DXVECTOR4 &this);
D3DXVECTOR4 operator + (D3DXVECTOR4 &this, CONST D3DXVECTOR4& v );
D3DXVECTOR4 operator - (D3DXVECTOR4 &this, CONST D3DXVECTOR4& v );
D3DXVECTOR4 operator * (D3DXVECTOR4 &this, FLOAT f );
D3DXVECTOR4 operator / (D3DXVECTOR4 &this, FLOAT f );
D3DXVECTOR4 operator * (FLOAT f, CONST D3DXVECTOR4& v );
BOOL operator == (D3DXVECTOR4 &this, CONST D3DXVECTOR4& v );
BOOL operator != (D3DXVECTOR4 &this, CONST D3DXVECTOR4& v );
D3DXMATRIX overloaded d3dxmatrix( CONST FLOAT* pf );
D3DXMATRIX overloaded d3dxmatrix( CONST D3DMATRIX& mat );
D3DXMATRIX overloaded d3dxmatrix( FLOAT f11, FLOAT f12, FLOAT f13, FLOAT f14,
                        FLOAT f21, FLOAT f22, FLOAT f23, FLOAT f24,
                        FLOAT f31, FLOAT f32, FLOAT f33, FLOAT f34,
                        FLOAT f41, FLOAT f42, FLOAT f43, FLOAT f44 );
D3DXMATRIX& operator *= (D3DXMATRIX &this, CONST D3DXMATRIX& mat );
D3DXMATRIX& operator += (D3DXMATRIX &this, CONST D3DXMATRIX& mat );
D3DXMATRIX& operator -= (D3DXMATRIX &this, CONST D3DXMATRIX& mat );
D3DXMATRIX& operator *= (D3DXMATRIX &this, FLOAT f );
D3DXMATRIX& operator /= ( D3DXMATRIX &this,FLOAT f );
D3DXMATRIX operator - (D3DXMATRIX &this);
D3DXMATRIX operator *(D3DXMATRIX &this, CONST D3DXMATRIX& mat);
D3DXMATRIX operator + (D3DXMATRIX &this, CONST D3DXMATRIX& mat );
D3DXMATRIX operator - (D3DXMATRIX &this, CONST D3DXMATRIX& mat );
D3DXMATRIX operator * (D3DXMATRIX &this, FLOAT f );
D3DXMATRIX operator / (D3DXMATRIX &this, FLOAT f );
D3DXMATRIX operator * ( FLOAT f, CONST D3DXMATRIX& mat );
BOOL operator == (D3DXMATRIX &this, CONST D3DXMATRIX& mat );
BOOL operator != (D3DXMATRIX &this, CONST D3DXMATRIX& mat );
D3DXQUATERNION overloaded d3dxquaternion( CONST FLOAT* pf );
D3DXQUATERNION overloaded d3dxquaternion( FLOAT fx, FLOAT fy, FLOAT fz, FLOAT fw );
D3DXQUATERNION& operator += (D3DXQUATERNION &this, CONST D3DXQUATERNION& q );
D3DXQUATERNION& operator -= (D3DXQUATERNION &this, CONST D3DXQUATERNION& q );
D3DXQUATERNION& operator *= (D3DXQUATERNION &this, CONST D3DXQUATERNION& q );
D3DXQUATERNION& operator *= (D3DXQUATERNION &this, FLOAT f );
D3DXQUATERNION& operator /= (D3DXQUATERNION &this, FLOAT f );
D3DXQUATERNION operator - (D3DXQUATERNION &this);
D3DXQUATERNION operator + (D3DXQUATERNION &this, CONST D3DXQUATERNION& q );
D3DXQUATERNION operator - (D3DXQUATERNION &this, CONST D3DXQUATERNION& q );
D3DXQUATERNION operator * (D3DXQUATERNION &this, CONST D3DXQUATERNION& q );
D3DXQUATERNION operator * (D3DXQUATERNION &this, FLOAT f );
D3DXQUATERNION operator / (D3DXQUATERNION &this, FLOAT f ) ;
D3DXQUATERNION operator * (FLOAT f, CONST D3DXQUATERNION& q );
BOOL operator == (D3DXQUATERNION &this, CONST D3DXQUATERNION& q );
BOOL operator != (D3DXQUATERNION &this, CONST D3DXQUATERNION& q );
D3DXPLANE overloaded d3dxplane(CONST FLOAT* pf );
D3DXPLANE overloaded d3dxplane( FLOAT fa, FLOAT fb, FLOAT fc, FLOAT fd );
D3DXPLANE operator - (D3DXPLANE &this);
BOOL operator == (D3DXPLANE &this, CONST D3DXPLANE& p );
BOOL operator != (D3DXPLANE &this, CONST D3DXPLANE& p );
D3DXCOLOR overloaded d3dxcolor( DWORD dw );
D3DXCOLOR overloaded d3dxcolor( CONST FLOAT* pf );
D3DXCOLOR overloaded d3dxcolor( CONST D3DCOLORVALUE& c );
D3DXCOLOR overloaded d3dxcolor( FLOAT fr, FLOAT fg, FLOAT fb, FLOAT fa );
D3DXCOLOR& operator += (D3DXCOLOR &this, CONST D3DXCOLOR& c );
D3DXCOLOR& operator -= (D3DXCOLOR &this, CONST D3DXCOLOR& c );
D3DXCOLOR& operator *= (D3DXCOLOR &this, FLOAT f );
D3DXCOLOR& operator /= (D3DXCOLOR &this, FLOAT f );
D3DXCOLOR operator - (D3DXCOLOR &this);
D3DXCOLOR operator + (D3DXCOLOR &this, CONST D3DXCOLOR& c );
D3DXCOLOR operator - (D3DXCOLOR &this, CONST D3DXCOLOR& c );
D3DXCOLOR operator * (D3DXCOLOR &this, FLOAT f );
D3DXCOLOR operator / (D3DXCOLOR &this, FLOAT f );
D3DXCOLOR operator * (FLOAT f, CONST D3DXCOLOR& c );
BOOL operator == (D3DXCOLOR &this, CONST D3DXCOLOR& c );
BOOL operator != (D3DXCOLOR &this, CONST D3DXCOLOR& c );
FLOAT D3DXVec2Length ( CONST D3DXVECTOR2 *pV );
FLOAT D3DXVec2LengthSq( CONST D3DXVECTOR2 *pV );
FLOAT D3DXVec2Dot(CONST D3DXVECTOR2 *pV1, CONST D3DXVECTOR2 *pV2 );
FLOAT D3DXVec2CCW(CONST D3DXVECTOR2 *pV1, CONST D3DXVECTOR2 *pV2 );
D3DXVECTOR2* D3DXVec2Add(D3DXVECTOR2 *pOut, CONST D3DXVECTOR2 *pV1, CONST D3DXVECTOR2 *pV2 );
D3DXVECTOR2* D3DXVec2Subtract(D3DXVECTOR2 *pOut, CONST D3DXVECTOR2 *pV1, CONST D3DXVECTOR2 *pV2 );
D3DXVECTOR2* D3DXVec2Minimize(D3DXVECTOR2 *pOut, CONST D3DXVECTOR2 *pV1, CONST D3DXVECTOR2 *pV2 );
D3DXVECTOR2* D3DXVec2Maximize( D3DXVECTOR2 *pOut, CONST D3DXVECTOR2 *pV1, CONST D3DXVECTOR2 *pV2 );
D3DXVECTOR2* D3DXVec2Scale ( D3DXVECTOR2 *pOut, CONST D3DXVECTOR2 *pV, FLOAT s );
D3DXVECTOR2* D3DXVec2Lerp ( D3DXVECTOR2 *pOut, CONST D3DXVECTOR2 *pV1, CONST D3DXVECTOR2 *pV2, FLOAT s );
FLOAT D3DXVec3Length ( CONST D3DXVECTOR3 *pV );
FLOAT D3DXVec3LengthSq( CONST D3DXVECTOR3 *pV );
FLOAT D3DXVec3Dot ( CONST D3DXVECTOR3 *pV1, CONST D3DXVECTOR3 *pV2 );
D3DXVECTOR3* D3DXVec3Cross
    ( D3DXVECTOR3 *pOut, CONST D3DXVECTOR3 *pV1, CONST D3DXVECTOR3 *pV2 );
D3DXVECTOR3* D3DXVec3Add( D3DXVECTOR3 *pOut, CONST D3DXVECTOR3 *pV1, CONST D3DXVECTOR3 *pV2 );
D3DXVECTOR3* D3DXVec3Subtract(D3DXVECTOR3 *pOut, CONST D3DXVECTOR3 *pV1, CONST D3DXVECTOR3 *pV2 );
D3DXVECTOR3* D3DXVec3Minimize(D3DXVECTOR3 *pOut, CONST D3DXVECTOR3 *pV1, CONST D3DXVECTOR3 *pV2 );
D3DXVECTOR3* D3DXVec3Maximize(D3DXVECTOR3 *pOut, CONST D3DXVECTOR3 *pV1, CONST D3DXVECTOR3 *pV2 );
D3DXVECTOR3* D3DXVec3Scale(D3DXVECTOR3 *pOut, CONST D3DXVECTOR3 *pV, FLOAT s);
D3DXVECTOR3* D3DXVec3Lerp(D3DXVECTOR3 *pOut, CONST D3DXVECTOR3 *pV1, CONST D3DXVECTOR3 *pV2,FLOAT s );
FLOAT D3DXVec4Length(CONST D3DXVECTOR4 *pV );
FLOAT D3DXVec4LengthSq(CONST D3DXVECTOR4 *pV );
FLOAT D3DXVec4Dot(CONST D3DXVECTOR4 *pV1, CONST D3DXVECTOR4 *pV2 );
D3DXVECTOR4* D3DXVec4Add(D3DXVECTOR4 *pOut, CONST D3DXVECTOR4 *pV1, CONST D3DXVECTOR4 *pV2);
D3DXVECTOR4* D3DXVec4Subtract(D3DXVECTOR4 *pOut, CONST D3DXVECTOR4 *pV1, CONST D3DXVECTOR4 *pV2);
D3DXVECTOR4* D3DXVec4Minimize(D3DXVECTOR4 *pOut, CONST D3DXVECTOR4 *pV1, CONST D3DXVECTOR4 *pV2);
D3DXVECTOR4* D3DXVec4Maximize(D3DXVECTOR4 *pOut, CONST D3DXVECTOR4 *pV1, CONST D3DXVECTOR4 *pV2);
D3DXVECTOR4* D3DXVec4Scale(D3DXVECTOR4 *pOut, CONST D3DXVECTOR4 *pV, FLOAT s);
D3DXVECTOR4* D3DXVec4Lerp( D3DXVECTOR4 *pOut, CONST D3DXVECTOR4 *pV1, CONST D3DXVECTOR4 *pV2,FLOAT s );
D3DXMATRIX* D3DXMatrixIdentity ( D3DXMATRIX *pOut );
BOOL D3DXMatrixIsIdentity(CONST D3DXMATRIX *pM );
FLOAT D3DXQuaternionLength(CONST D3DXQUATERNION *pQ );
FLOAT D3DXQuaternionLengthSq( CONST D3DXQUATERNION *pQ );
FLOAT D3DXQuaternionDot(CONST D3DXQUATERNION *pQ1, CONST D3DXQUATERNION *pQ2 );
D3DXQUATERNION* D3DXQuaternionIdentity(D3DXQUATERNION *pOut );
BOOL D3DXQuaternionIsIdentity( CONST D3DXQUATERNION *pQ );
D3DXQUATERNION* D3DXQuaternionConjugate(D3DXQUATERNION *pOut, CONST D3DXQUATERNION *pQ );
FLOAT D3DXPlaneDot ( CONST D3DXPLANE *pP, CONST D3DXVECTOR4 *pV);
FLOAT D3DXPlaneDotCoord ( CONST D3DXPLANE *pP, CONST D3DXVECTOR3 *pV);
FLOAT D3DXPlaneDotNormal ( CONST D3DXPLANE *pP, CONST D3DXVECTOR3 *pV);
D3DXCOLOR* D3DXColorNegative (D3DXCOLOR *pOut, CONST D3DXCOLOR *pC);
D3DXCOLOR* D3DXColorAdd (D3DXCOLOR *pOut, CONST D3DXCOLOR *pC1, CONST D3DXCOLOR *pC2);
D3DXCOLOR* D3DXColorSubtract (D3DXCOLOR *pOut, CONST D3DXCOLOR *pC1, CONST D3DXCOLOR *pC2);
D3DXCOLOR* D3DXColorScale (D3DXCOLOR *pOut, CONST D3DXCOLOR *pC, FLOAT s);
D3DXCOLOR* D3DXColorModulate (D3DXCOLOR *pOut, CONST D3DXCOLOR *pC1, CONST D3DXCOLOR *pC2);
D3DXCOLOR* D3DXColorLerp (D3DXCOLOR *pOut, CONST D3DXCOLOR *pC1, CONST D3DXCOLOR *pC2, FLOAT s);

