#ifndef __d3dxhsapes_h__
#define __d3dxshapes_h__
#include <d3d.h>
#include <limits.h>
#include "d3dxerr.h"
typedef struct ID3DXSimpleShape *LPD3DXSIMPLESHAPE;
DEFINE_GUID( IID_ID3DXSimpleShape,0xcfcd4602,0xeb7b,0x11d2,0xa4,0x40,0x0,0xa0,0xc9,0x6,0x29,0xa8 );
DECLARE_INTERFACE_(ID3DXSimpleShape,IUnknown)
{
 STDMETHOD(QueryInterface)(THIS_ REFIID riid,LPVOID* ppvObj) ;
 STDMETHOD_(ULONG,AddRef)(THIS) ;
 STDMETHOD_(ULONG,Release)(THIS) ;
 STDMETHOD_(LPDIRECT3DVERTEXBUFFER7,GetVB)(THIS) ;
 STDMETHOD_(DWORD,GetIndices)(THIS_ LPWORD *ppIndices) ;
 STDMETHOD(Draw)(THIS) ;
};
HRESULT WINAPI D3DXCreatePolygon(LPDIRECT3DDEVICE7,float,DWORD,DWORD,LPD3DXSIMPLESHAPE*); 
HRESULT WINAPI D3DXCreateBox(LPDIRECT3DDEVICE7,float,float,float,DWORD,LPD3DXSIMPLESHAPE*); 
HRESULT WINAPI D3DXCreateCylinder(LPDIRECT3DDEVICE7 pDevice,float baseRadius,float topRadius,float height,DWORD numSlices,DWORD numStacks,DWORD numTexCoords,LPD3DXSIMPLESHAPE* ppShape ); 
HRESULT WINAPI D3DXCreateTorus(LPDIRECT3DDEVICE7 ,float ,float ,DWORD ,DWORD ,DWORD ,LPD3DXSIMPLESHAPE* );
HRESULT WINAPI D3DXCreateTeapot(LPDIRECT3DDEVICE7 pDevice,DWORD numTexCoords,LPD3DXSIMPLESHAPE* ppShape); 
HRESULT WINAPI D3DXCreateSphere(LPDIRECT3DDEVICE7 pDevice,float radius,DWORD numSlices,DWORD numStacks,DWORD numTexCoords,LPD3DXSIMPLESHAPE* ppShape);
#endif 
