#ifndef __digitalv_h__
#define __digitalv_h__
#ifndef __windows_h__
#include <windows.h>
#endif
#include <pshpack1.h>
#define MCI_TEST 32
#define MCI_CAPTURE 2160
#define MCI_MONITOR 2161
#define MCI_RESERVE 2162
#define MCI_SETAUDIO 2163
#define MCI_SIGNAL 2165
#define MCI_SETVIDEO 2166
#define MCI_QUALITY 2167
#define MCI_LIST 2168
#define MCI_UNDO 2169
#define MCI_CONFIGURE 2170
#define MCI_RESTORE 2171
#define MCI_ON 1
#define MCI_OFF 0
#define MCI_DGV_FILE_MODE_SAVING 1
#define MCI_DGV_FILE_MODE_LOADING 2
#define MCI_DGV_FILE_MODE_EDITING 3
#define MCI_DGV_FILE_MODE_IDLE 4
#define MCI_ON_S 0x8000
#define MCI_OFF_S 0x8001
#define MCI_DGV_FILE_S 0x8002
#define MCI_DGV_INPUT_S 0x8003
#define MCI_DGV_FILE_MODE_SAVING_S 0x8004
#define MCI_DGV_FILE_MODE_LOADING_S 0x8005
#define MCI_DGV_FILE_MODE_EDITING_S 0x8006
#define MCI_DGV_FILE_MODE_IDLE_S 0x8007
#define MCI_DGV_SETVIDEO_SRC_NTSC_S 0x8010
#define MCI_DGV_SETVIDEO_SRC_RGB_S 0x8011
#define MCI_DGV_SETVIDEO_SRC_SVIDEO_S 0x8012
#define MCI_DGV_SETVIDEO_SRC_PAL_S 0x8013
#define MCI_DGV_SETVIDEO_SRC_SECAM_S 0x8014
#define MCI_DGV_SETVIDEO_SRC_GENERIC_S 0x8015
#define MCI_DGV_SETAUDIO_SRC_LEFT_S 0x8020
#define MCI_DGV_SETAUDIO_SRC_RIGHT_S 0x8021
#define MCI_DGV_SETAUDIO_SRC_AVERAGE_S 0x8022
#define MCI_DGV_SETAUDIO_SRC_STEREO_S 0x8023
#define MM_MCISIGNAL 971
#define MCIERR_DGV_DEVICE_LIMIT (MCIERR_CUSTOM_DRIVER_BASE+0)
#define MCIERR_DGV_IOERR (MCIERR_CUSTOM_DRIVER_BASE+1)
#define MCIERR_DGV_WORKSPACE_EMPTY (MCIERR_CUSTOM_DRIVER_BASE+2)
#define MCIERR_DGV_DISK_FULL (MCIERR_CUSTOM_DRIVER_BASE+3)
#define MCIERR_DGV_DEVICE_MEMORY_FULL (MCIERR_CUSTOM_DRIVER_BASE+4)
#define MCIERR_DGV_BAD_CLIPBOARD_RANGE (MCIERR_CUSTOM_DRIVER_BASE+5)
#define MCI_DGV_METHOD_PRE 0xa000
#define MCI_DGV_METHOD_POST 0xa001
#define MCI_DGV_METHOD_DIRECT 0xa002
#define MCI_DGV_FF_AVSS 0x4000
#define MCI_DGV_FF_AVI 0x4001
#define MCI_DGV_FF_DIB 0x4002
#define MCI_DGV_FF_RDIB 0x4003
#define MCI_DGV_FF_JPEG 0x4004
#define MCI_DGV_FF_RJPEG 0x4005
#define MCI_DGV_FF_JFIF 0x4006
#define MCI_DGV_FF_MPEG 0x4007
#define MCI_DGV_GETDEVCAPS_CAN_LOCK 0x4000
#define MCI_DGV_GETDEVCAPS_CAN_STRETCH 0x4001
#define MCI_DGV_GETDEVCAPS_CAN_FREEZE 0x4002
#define MCI_DGV_GETDEVCAPS_MAX_WINDOWS 0x4003
#define MCI_DGV_GETDEVCAPS_CAN_REVERSE 0x4004
#define MCI_DGV_GETDEVCAPS_HAS_STILL 0x4005
#define MCI_DGV_GETDEVCAPS_PALETTES 0x4006
#define MCI_DGV_GETDEVCAPS_CAN_STR_IN 0x4008
#define MCI_DGV_GETDEVCAPS_CAN_TEST 0x4009
#define MCI_DGV_GETDEVCAPS_MAXIMUM_RATE 0x400a
#define MCI_DGV_GETDEVCAPS_MINIMUM_RATE 0x400b
#define MCI_DGV_CAPTURE_AS 0x10000
#define MCI_DGV_CAPTURE_AT 0x20000
#define MCI_DGV_COPY_AT 0x10000
#define MCI_DGV_COPY_AUDIO_STREAM 0x20000
#define MCI_DGV_COPY_VIDEO_STREAM 0x40000
#define MCI_DGV_CUE_INPUT 0x10000
#define MCI_DGV_CUE_OUTPUT 0x20000
#define MCI_DGV_CUE_NOSHOW 0x40000
#define MCI_DGV_CUT_AT 0x10000
#define MCI_DGV_CUT_AUDIO_STREAM 0x20000
#define MCI_DGV_CUT_VIDEO_STREAM 0x40000
#define MCI_DGV_DELETE_AT 0x10000
#define MCI_DGV_DELETE_AUDIO_STREAM 0x20000
#define MCI_DGV_DELETE_VIDEO_STREAM 0x40000
#define MCI_DGV_FREEZE_AT 0x10000
#define MCI_DGV_FREEZE_OUTSIDE 0x20000
#define MCI_DGV_INFO_TEXT 0x10000
#define MCI_DGV_INFO_ITEM 0X00020000L
#define MCI_INFO_VERSION 1024
#define MCI_DGV_INFO_USAGE 0x4000
#define MCI_DGV_INFO_AUDIO_QUALITY 0x4001
#define MCI_DGV_INFO_STILL_QUALITY 0x4002
#define MCI_DGV_INFO_VIDEO_QUALITY 0x4003
#define MCI_DGV_INFO_AUDIO_ALG 0x4004
#define MCI_DGV_INFO_STILL_ALG 0x4005
#define MCI_DGV_INFO_VIDEO_ALG 0x4006
#define MCI_DGV_LIST_ITEM 0x10000
#define MCI_DGV_LIST_COUNT 0x20000
#define MCI_DGV_LIST_NUMBER 0x40000
#define MCI_DGV_LIST_ALG 0x80000
#define MCI_DGV_LIST_AUDIO_ALG 0x4000
#define MCI_DGV_LIST_AUDIO_QUALITY 0x4001
#define MCI_DGV_LIST_AUDIO_STREAM 0x4002
#define MCI_DGV_LIST_STILL_ALG 0x4003
#define MCI_DGV_LIST_STILL_QUALITY 0x4004
#define MCI_DGV_LIST_VIDEO_ALG 0x4005
#define MCI_DGV_LIST_VIDEO_QUALITY 0x4006
#define MCI_DGV_LIST_VIDEO_STREAM 0x4007
#define MCI_DGV_LIST_VIDEO_SOURCE 0x4008
#define MCI_DGV_MONITOR_METHOD 0x10000
#define MCI_DGV_MONITOR_SOURCE 0x20000
#define MCI_DGV_MONITOR_INPUT 0x4000
#define MCI_DGV_MONITOR_FILE 0x4001
#define MCI_DGV_OPEN_WS 0x10000
#define MCI_DGV_OPEN_PARENT 0x20000
#define MCI_DGV_OPEN_NOSTATIC 0x40000
#define MCI_DGV_OPEN_16BIT 0x80000
#define MCI_DGV_OPEN_32BIT 0x100000
#define MCI_DGV_PASTE_AT 0x10000
#define MCI_DGV_PASTE_AUDIO_STREAM 0x20000
#define MCI_DGV_PASTE_VIDEO_STREAM 0x40000
#define MCI_DGV_PASTE_INSERT 0x80000
#define MCI_DGV_PASTE_OVERWRITE 0x100000
#define MCI_DGV_PLAY_REPEAT 0x10000
#define MCI_DGV_PLAY_REVERSE 0x20000
#define MCI_DGV_RECT 0x10000
#define MCI_DGV_PUT_SOURCE 0x20000
#define MCI_DGV_PUT_DESTINATION 0x40000
#define MCI_DGV_PUT_FRAME 0x80000
#define MCI_DGV_PUT_VIDEO 0x100000
#define MCI_DGV_PUT_WINDOW 0x200000
#define MCI_DGV_PUT_CLIENT 0x400000
#define MCI_QUALITY_ITEM 0x10000
#define MCI_QUALITY_NAME 0x20000
#define MCI_QUALITY_ALG 0x40000
#define MCI_QUALITY_DIALOG 0x80000
#define MCI_QUALITY_HANDLE 0x100000
#define MCI_QUALITY_ITEM_AUDIO 0x4000
#define MCI_QUALITY_ITEM_STILL 0x4001
#define MCI_QUALITY_ITEM_VIDEO 0x4002
#define MCI_DGV_REALIZE_NORM 0x10000
#define MCI_DGV_REALIZE_BKGD 0x20000
#define MCI_DGV_RECORD_HOLD 0x20000
#define MCI_DGV_RECORD_AUDIO_STREAM 0x40000
#define MCI_DGV_RECORD_VIDEO_STREAM 0x80000
#define MCI_DGV_RESERVE_IN 0x10000
#define MCI_DGV_RESERVE_SIZE 0x20000
#define MCI_DGV_RESTORE_FROM 0x10000
#define MCI_DGV_RESTORE_AT 0x20000
#define MCI_DGV_SAVE_ABORT 0x20000
#define MCI_DGV_SAVE_KEEPRESERVE 0x40000
#define MCI_DGV_SET_SEEK_EXACTLY 0x10000
#define MCI_DGV_SET_SPEED 0x20000
#define MCI_DGV_SET_STILL 0x40000
#define MCI_DGV_SET_FILEFORMAT 0x80000
#define MCI_DGV_SETAUDIO_OVER 0x10000
#define MCI_DGV_SETAUDIO_CLOCKTIME 0x20000
#define MCI_DGV_SETAUDIO_ALG 0x40000
#define MCI_DGV_SETAUDIO_QUALITY 0x80000
#define MCI_DGV_SETAUDIO_RECORD 0x100000
#define MCI_DGV_SETAUDIO_LEFT 0x200000
#define MCI_DGV_SETAUDIO_RIGHT 0x400000
#define MCI_DGV_SETAUDIO_ITEM 0x800000
#define MCI_DGV_SETAUDIO_VALUE 0x1000000
#define MCI_DGV_SETAUDIO_INPUT 0x2000000
#define MCI_DGV_SETAUDIO_OUTPUT 0x4000000
#define MCI_DGV_SETAUDIO_TREBLE 0x4000
#define MCI_DGV_SETAUDIO_BASS 0x4001
#define MCI_DGV_SETAUDIO_VOLUME 0x4002
#define MCI_DGV_SETAUDIO_STREAM 0x4003
#define MCI_DGV_SETAUDIO_SOURCE 0x4004
#define MCI_DGV_SETAUDIO_SAMPLESPERSEC 0x4005
#define MCI_DGV_SETAUDIO_AVGBYTESPERSEC 0x4006
#define MCI_DGV_SETAUDIO_BLOCKALIGN 0x4007
#define MCI_DGV_SETAUDIO_BITSPERSAMPLE 0x4008
#define MCI_DGV_SETAUDIO_SOURCE_STEREO 0
#define MCI_DGV_SETAUDIO_SOURCE_LEFT 1
#define MCI_DGV_SETAUDIO_SOURCE_RIGHT 2
#define MCI_DGV_SETAUDIO_SOURCE_AVERAGE 0x4000
#define MCI_DGV_SETVIDEO_QUALITY 0x10000
#define MCI_DGV_SETVIDEO_ALG 0x20000
#define MCI_DGV_SETVIDEO_CLOCKTIME 0x40000
#define MCI_DGV_SETVIDEO_SRC_NUMBER 0x80000
#define MCI_DGV_SETVIDEO_ITEM 0x100000
#define MCI_DGV_SETVIDEO_OVER 0x200000
#define MCI_DGV_SETVIDEO_RECORD 0x400000
#define MCI_DGV_SETVIDEO_STILL 0x800000
#define MCI_DGV_SETVIDEO_VALUE 0x1000000
#define MCI_DGV_SETVIDEO_INPUT 0x2000000
#define MCI_DGV_SETVIDEO_OUTPUT 0x4000000
#define MCI_DGV_SETVIDEO_SRC_NTSC 0x4000
#define MCI_DGV_SETVIDEO_SRC_RGB 0x4001
#define MCI_DGV_SETVIDEO_SRC_SVIDEO 0x4002
#define MCI_DGV_SETVIDEO_SRC_PAL 0x4003
#define MCI_DGV_SETVIDEO_SRC_SECAM 0x4004
#define MCI_DGV_SETVIDEO_SRC_GENERIC 0x4005
#define MCI_DGV_SETVIDEO_BRIGHTNESS 0x4000
#define MCI_DGV_SETVIDEO_COLOR 0x4001
#define MCI_DGV_SETVIDEO_CONTRAST 0x4002
#define MCI_DGV_SETVIDEO_TINT 0x4003
#define MCI_DGV_SETVIDEO_SHARPNESS 0x4004
#define MCI_DGV_SETVIDEO_GAMMA 0x4005
#define MCI_DGV_SETVIDEO_STREAM 0x4006
#define MCI_DGV_SETVIDEO_PALHANDLE 0x4007
#define MCI_DGV_SETVIDEO_FRAME_RATE 0x4008
#define MCI_DGV_SETVIDEO_SOURCE 0x4009
#define MCI_DGV_SETVIDEO_KEY_INDEX 0x400a
#define MCI_DGV_SETVIDEO_KEY_COLOR 0x400b
#define MCI_DGV_SETVIDEO_BITSPERPEL 0x400c
#define MCI_DGV_SIGNAL_AT 0x10000
#define MCI_DGV_SIGNAL_EVERY 0x20000
#define MCI_DGV_SIGNAL_USERVAL 0x40000
#define MCI_DGV_SIGNAL_CANCEL 0x80000
#define MCI_DGV_SIGNAL_POSITION 0x100000
#define SEND_DGVSIGNAL(dwFlags,dwCallback,hDriver,wDeviceID,dwUser,dwPos) \
DriverCallback((dwCallback),DCB_WINDOW,(HANDLE)(wDeviceID),MM_MCISIGNAL,\ hDriver,((dwFlags) & MCI_DGV_SIGNAL_POSITION) ? (dwPos):(dwUser),\ ((dwFlags) & MCI_DGV_SIGNAL_POSITION) ? (dwUser):(dwPos))
#define MCI_DGV_STATUS_NOMINAL 0x20000
#define MCI_DGV_STATUS_REFERENCE 0x40000
#define MCI_DGV_STATUS_LEFT 0x80000
#define MCI_DGV_STATUS_RIGHT 0x100000
#define MCI_DGV_STATUS_DISKSPACE 0x200000
#define MCI_DGV_STATUS_INPUT 0x400000
#define MCI_DGV_STATUS_OUTPUT 0x800000
#define MCI_DGV_STATUS_RECORD 0x1000000
#define MCI_DGV_STATUS_AUDIO_INPUT 0x4000
#define MCI_DGV_STATUS_HWND 0x4001
#define MCI_DGV_STATUS_SPEED 0x4003
#define MCI_DGV_STATUS_HPAL 0x4004
#define MCI_DGV_STATUS_BRIGHTNESS 0x4005
#define MCI_DGV_STATUS_COLOR 0x4006
#define MCI_DGV_STATUS_CONTRAST 0x4007
#define MCI_DGV_STATUS_FILEFORMAT 0x4008
#define MCI_DGV_STATUS_AUDIO_SOURCE 0x4009
#define MCI_DGV_STATUS_GAMMA 0x400a
#define MCI_DGV_STATUS_MONITOR 0x400b
#define MCI_DGV_STATUS_MONITOR_METHOD 0x400c
#define MCI_DGV_STATUS_FRAME_RATE 0x400e
#define MCI_DGV_STATUS_BASS 0x400f
#define MCI_DGV_STATUS_SIZE 0x4010
#define MCI_DGV_STATUS_SEEK_EXACTLY 0x4011
#define MCI_DGV_STATUS_SHARPNESS 0x4012
#define MCI_DGV_STATUS_SMPTE 0x4013
#define MCI_DGV_STATUS_AUDIO 0x4014
#define MCI_DGV_STATUS_TINT 0x4015
#define MCI_DGV_STATUS_TREBLE 0x4016
#define MCI_DGV_STATUS_UNSAVED 0x4017
#define MCI_DGV_STATUS_VIDEO 0x4018
#define MCI_DGV_STATUS_VOLUME 0x4019
#define MCI_DGV_STATUS_AUDIO_RECORD 0x401a
#define MCI_DGV_STATUS_VIDEO_SOURCE 0x401b
#define MCI_DGV_STATUS_VIDEO_RECORD 0x401c
#define MCI_DGV_STATUS_STILL_FILEFORMAT 0x401d
#define MCI_DGV_STATUS_VIDEO_SRC_NUM 0x401e
#define MCI_DGV_STATUS_FILE_MODE 0x401f
#define MCI_DGV_STATUS_FILE_COMPLETION 0x4020
#define MCI_DGV_STATUS_WINDOW_VISIBLE 0x4021
#define MCI_DGV_STATUS_WINDOW_MINIMIZED 0x4022
#define MCI_DGV_STATUS_WINDOW_MAXIMIZED 0x4023
#define MCI_DGV_STATUS_KEY_INDEX 0x4024
#define MCI_DGV_STATUS_KEY_COLOR 0x4025
#define MCI_DGV_STATUS_PAUSE_MODE 0x4026
#define MCI_DGV_STATUS_SAMPLESPERSEC 0x4027
#define MCI_DGV_STATUS_AVGBYTESPERSEC 0x4028
#define MCI_DGV_STATUS_BLOCKALIGN 0x4029
#define MCI_DGV_STATUS_BITSPERSAMPLE 0x402a
#define MCI_DGV_STATUS_BITSPERPEL 0x402b
#define MCI_DGV_STATUS_FORWARD 0x402c
#define MCI_DGV_STATUS_AUDIO_STREAM 0x402d
#define MCI_DGV_STATUS_VIDEO_STREAM 0x402e
#define MCI_DGV_STEP_REVERSE 0x10000
#define MCI_DGV_STEP_FRAMES 0x20000
#define MCI_DGV_STOP_HOLD 0x10000
#define MCI_DGV_UPDATE_HDC 0x20000
#define MCI_DGV_UPDATE_PAINT 0x40000
#define MCI_DGV_WHERE_SOURCE 0x20000
#define MCI_DGV_WHERE_DESTINATION 0x40000
#define MCI_DGV_WHERE_FRAME 0x80000
#define MCI_DGV_WHERE_VIDEO 0x100000
#define MCI_DGV_WHERE_WINDOW 0x200000
#define MCI_DGV_WHERE_MAX 0x400000
#define MCI_DGV_WINDOW_HWND 0x10000
#define MCI_DGV_WINDOW_STATE 0x40000
#define MCI_DGV_WINDOW_TEXT 0x80000
#define MCI_DGV_WINDOW_DEFAULT 0
typedef struct {
DWORD_PTR dwCallback;
#ifdef MCI_USE_OFFEXT
POINT ptOffset;
POINT ptExtent;
#else	
RECT rc;
#endif
} MCI_DGV_RECT_PARMS;
typedef MCI_DGV_RECT_PARMS * LPMCI_DGV_RECT_PARMS;
typedef struct {
DWORD_PTR dwCallback;
LPSTR lpstrFileName;
#ifdef MCI_USE_OFFEXT
POINT ptOffset;
POINT ptExtent;
#else	
RECT rc;
#endif
} MCI_DGV_CAPTURE_PARMSA;
typedef struct {
DWORD_PTR dwCallback;
LPWSTR lpstrFileName;
#ifdef MCI_USE_OFFEXT
POINT ptOffset;
POINT ptExtent;
#else	
RECT rc;
#endif
} MCI_DGV_CAPTURE_PARMSW;
#ifdef UNICODE
typedef MCI_DGV_CAPTURE_PARMSW MCI_DGV_CAPTURE_PARMS;
#else
typedef MCI_DGV_CAPTURE_PARMSA MCI_DGV_CAPTURE_PARMS;
#endif 
typedef MCI_DGV_CAPTURE_PARMSA * LPMCI_DGV_CAPTURE_PARMSA;
typedef MCI_DGV_CAPTURE_PARMSW * LPMCI_DGV_CAPTURE_PARMSW;
#ifdef UNICODE
typedef LPMCI_DGV_CAPTURE_PARMSW LPMCI_DGV_CAPTURE_PARMS;
#else
typedef LPMCI_DGV_CAPTURE_PARMSA LPMCI_DGV_CAPTURE_PARMS;
#endif 
typedef MCI_GENERIC_PARMS MCI_CLOSE_PARMS;
typedef MCI_CLOSE_PARMS * LPMCI_CLOSE_PARMS;
typedef struct {
DWORD_PTR dwCallback;
DWORD dwFrom;
DWORD dwTo;
#ifdef MCI_USE_OFFEXT
POINT ptOffset;
POINT ptExtent;
#else	
RECT rc;
#endif
DWORD dwAudioStream;
DWORD dwVideoStream;
} MCI_DGV_COPY_PARMS;
typedef MCI_DGV_COPY_PARMS * LPMCI_DGV_COPY_PARMS;
typedef struct {
DWORD_PTR dwCallback;
DWORD dwTo;
} MCI_DGV_CUE_PARMS;
typedef MCI_DGV_CUE_PARMS * LPMCI_DGV_CUE_PARMS;
typedef struct {
DWORD_PTR dwCallback;
DWORD dwFrom;
DWORD dwTo;
#ifdef MCI_USE_OFFEXT
POINT ptOffset;
POINT ptExtent;
#else	
RECT rc;
#endif
DWORD dwAudioStream;
DWORD dwVideoStream;
} MCI_DGV_CUT_PARMS;
typedef MCI_DGV_CUT_PARMS * LPMCI_DGV_CUT_PARMS;
typedef struct {
DWORD_PTR dwCallback;
DWORD dwFrom;
DWORD dwTo;
#ifdef MCI_USE_OFFEXT
POINT ptOffset;
POINT ptExtent;
#else	
RECT rc;
#endif
DWORD dwAudioStream;
DWORD dwVideoStream;
} MCI_DGV_DELETE_PARMS;
typedef MCI_DGV_DELETE_PARMS * LPMCI_DGV_DELETE_PARMS;
typedef MCI_DGV_RECT_PARMS MCI_DGV_FREEZE_PARMS;
typedef MCI_DGV_FREEZE_PARMS * LPMCI_DGV_FREEZE_PARMS;
typedef struct {
DWORD_PTR dwCallback;
LPSTR lpstrReturn;
DWORD dwRetSize;
DWORD dwItem;
} MCI_DGV_INFO_PARMSA;
typedef struct {
DWORD_PTR dwCallback;
LPWSTR lpstrReturn;
DWORD dwRetSize;
DWORD dwItem;
} MCI_DGV_INFO_PARMSW;
#ifdef UNICODE
typedef MCI_DGV_INFO_PARMSW MCI_DGV_INFO_PARMS;
#else
typedef MCI_DGV_INFO_PARMSA MCI_DGV_INFO_PARMS;
#endif 
typedef MCI_DGV_INFO_PARMSA * LPMCI_DGV_INFO_PARMSA;
typedef MCI_DGV_INFO_PARMSW * LPMCI_DGV_INFO_PARMSW;
#ifdef UNICODE
typedef LPMCI_DGV_INFO_PARMSW LPMCI_DGV_INFO_PARMS;
#else
typedef LPMCI_DGV_INFO_PARMSA LPMCI_DGV_INFO_PARMS;
#endif 
typedef struct {
DWORD_PTR dwCallback;
LPSTR lpstrReturn;
DWORD dwLength;
DWORD dwNumber;
DWORD dwItem;
LPSTR lpstrAlgorithm;
} MCI_DGV_LIST_PARMSA;
typedef struct {
DWORD_PTR dwCallback;
LPWSTR lpstrReturn;
DWORD dwLength;
DWORD dwNumber;
DWORD dwItem;
LPWSTR lpstrAlgorithm;
} MCI_DGV_LIST_PARMSW;
#ifdef UNICODE
typedef MCI_DGV_LIST_PARMSW MCI_DGV_LIST_PARMS;
#else
typedef MCI_DGV_LIST_PARMSA MCI_DGV_LIST_PARMS;
#endif 
typedef MCI_DGV_LIST_PARMSA * LPMCI_DGV_LIST_PARMSA;
typedef MCI_DGV_LIST_PARMSW * LPMCI_DGV_LIST_PARMSW;
#ifdef UNICODE
typedef LPMCI_DGV_LIST_PARMSW LPMCI_DGV_LIST_PARMS;
#else
typedef LPMCI_DGV_LIST_PARMSA LPMCI_DGV_LIST_PARMS;
#endif 
typedef MCI_LOAD_PARMS MCI_DGV_LOAD_PARMS;
typedef MCI_DGV_LOAD_PARMS * LPMCI_DGV_LOAD_PARMS;
typedef struct {
DWORD_PTR dwCallback;
DWORD dwSource;
DWORD dwMethod;
} MCI_DGV_MONITOR_PARMS;
typedef MCI_DGV_MONITOR_PARMS * LPMCI_DGV_MONITOR_PARMS;
typedef struct {
DWORD_PTR dwCallback;
UINT wDeviceID;
#ifndef _WIN32
WORD wReserved0;
#endif
LPSTR lpstrDeviceType;
LPSTR lpstrElementName;
LPSTR lpstrAlias;
DWORD dwStyle;
HWND hWndParent;
#ifndef _WIN32
WORD wReserved1;
#endif
} MCI_DGV_OPEN_PARMSA;
typedef struct {
DWORD_PTR dwCallback;
UINT wDeviceID;
#ifndef _WIN32
WORD wReserved0;
#endif
LPWSTR lpstrDeviceType;
LPWSTR lpstrElementName;
LPWSTR lpstrAlias;
DWORD dwStyle;
HWND hWndParent;
#ifndef _WIN32
WORD wReserved1;
#endif
} MCI_DGV_OPEN_PARMSW;
#ifdef UNICODE
typedef MCI_DGV_OPEN_PARMSW MCI_DGV_OPEN_PARMS;
#else
typedef MCI_DGV_OPEN_PARMSA MCI_DGV_OPEN_PARMS;
#endif 
typedef MCI_DGV_OPEN_PARMSA * LPMCI_DGV_OPEN_PARMSA;
typedef MCI_DGV_OPEN_PARMSW * LPMCI_DGV_OPEN_PARMSW;
#ifdef UNICODE
typedef LPMCI_DGV_OPEN_PARMSW LPMCI_DGV_OPEN_PARMS;
#else
typedef LPMCI_DGV_OPEN_PARMSA LPMCI_DGV_OPEN_PARMS;
#endif 
typedef MCI_GENERIC_PARMS MCI_DGV_PAUSE_PARMS;
typedef MCI_DGV_PAUSE_PARMS * LPMCI_DGV_PAUSE_PARMS;
typedef struct {
DWORD_PTR dwCallback;
DWORD dwTo;
#ifdef MCI_USE_OFFEXT
POINT ptOffset;
POINT ptExtent;
#else	
RECT rc;
#endif
DWORD dwAudioStream;
DWORD dwVideoStream;
} MCI_DGV_PASTE_PARMS;
typedef MCI_DGV_PASTE_PARMS * LPMCI_DGV_PASTE_PARMS;
typedef MCI_PLAY_PARMS MCI_DGV_PLAY_PARMS;
typedef MCI_DGV_PLAY_PARMS * LPMCI_DGV_PLAY_PARMS;
typedef MCI_DGV_RECT_PARMS MCI_DGV_PUT_PARMS;
typedef MCI_DGV_PUT_PARMS * LPMCI_DGV_PUT_PARMS;
typedef struct {
DWORD_PTR dwCallback;
DWORD dwItem;
LPSTR lpstrName;
DWORD lpstrAlgorithm;
DWORD dwHandle;
} MCI_DGV_QUALITY_PARMSA;
typedef struct {
DWORD_PTR dwCallback;
DWORD dwItem;
LPWSTR lpstrName;
DWORD lpstrAlgorithm;
DWORD dwHandle;
} MCI_DGV_QUALITY_PARMSW;
#ifdef UNICODE
typedef MCI_DGV_QUALITY_PARMSW MCI_DGV_QUALITY_PARMS;
#else
typedef MCI_DGV_QUALITY_PARMSA MCI_DGV_QUALITY_PARMS;
#endif 
typedef MCI_DGV_QUALITY_PARMSA * LPMCI_DGV_QUALITY_PARMSA;
typedef MCI_DGV_QUALITY_PARMSW * LPMCI_DGV_QUALITY_PARMSW;
#ifdef UNICODE
typedef LPMCI_DGV_QUALITY_PARMSW LPMCI_DGV_QUALITY_PARMS;
#else
typedef LPMCI_DGV_QUALITY_PARMSA LPMCI_DGV_QUALITY_PARMS;
#endif 
typedef MCI_GENERIC_PARMS MCI_REALIZE_PARMS;
typedef MCI_REALIZE_PARMS * LPMCI_REALIZE_PARMS;
typedef struct {
DWORD_PTR dwCallback;
DWORD dwFrom;
DWORD dwTo;
#ifdef MCI_USE_OFFEXT
POINT ptOffset;
POINT ptExtent;
#else	
RECT rc;
#endif
DWORD dwAudioStream;
DWORD dwVideoStream;
} MCI_DGV_RECORD_PARMS;
typedef MCI_DGV_RECORD_PARMS * LPMCI_DGV_RECORD_PARMS;
typedef struct {
DWORD_PTR dwCallback;
LPSTR lpstrPath;
DWORD dwSize;
} MCI_DGV_RESERVE_PARMSA;
typedef struct {
DWORD_PTR dwCallback;
LPWSTR lpstrPath;
DWORD dwSize;
} MCI_DGV_RESERVE_PARMSW;
#ifdef UNICODE
typedef MCI_DGV_RESERVE_PARMSW MCI_DGV_RESERVE_PARMS;
#else
typedef MCI_DGV_RESERVE_PARMSA MCI_DGV_RESERVE_PARMS;
#endif 
typedef MCI_DGV_RESERVE_PARMSA * LPMCI_DGV_RESERVE_PARMSA;
typedef MCI_DGV_RESERVE_PARMSW * LPMCI_DGV_RESERVE_PARMSW;
#ifdef UNICODE
typedef LPMCI_DGV_RESERVE_PARMSW LPMCI_DGV_RESERVE_PARMS;
#else
typedef LPMCI_DGV_RESERVE_PARMSA LPMCI_DGV_RESERVE_PARMS;
#endif 
typedef struct {
DWORD_PTR dwCallback;
LPSTR lpstrFileName;
#ifdef MCI_USE_OFFEXT
POINT ptOffset;
POINT ptExtent;
#else	
RECT rc;
#endif
} MCI_DGV_RESTORE_PARMSA;
typedef struct {
DWORD_PTR dwCallback;
LPWSTR lpstrFileName;
#ifdef MCI_USE_OFFEXT
POINT ptOffset;
POINT ptExtent;
#else	
RECT rc;
#endif
} MCI_DGV_RESTORE_PARMSW;
#ifdef UNICODE
typedef MCI_DGV_RESTORE_PARMSW MCI_DGV_RESTORE_PARMS;
#else
typedef MCI_DGV_RESTORE_PARMSA MCI_DGV_RESTORE_PARMS;
#endif 
typedef MCI_DGV_RESTORE_PARMSA * LPMCI_DGV_RESTORE_PARMSA;
typedef MCI_DGV_RESTORE_PARMSW * LPMCI_DGV_RESTORE_PARMSW;
#ifdef UNICODE
typedef LPMCI_DGV_RESTORE_PARMSW LPMCI_DGV_RESTORE_PARMS;
#else
typedef LPMCI_DGV_RESTORE_PARMSA LPMCI_DGV_RESTORE_PARMS;
#endif 
typedef MCI_GENERIC_PARMS MCI_DGV_RESUME_PARMS;
typedef MCI_DGV_RESUME_PARMS * LPMCI_DGV_RESUME_PARMS;
typedef struct {
DWORD_PTR dwCallback;
LPSTR lpstrFileName;
RECT rc;
} MCI_DGV_SAVE_PARMSA;
typedef struct {
DWORD_PTR dwCallback;
LPWSTR lpstrFileName;
RECT rc;
} MCI_DGV_SAVE_PARMSW;
#ifdef UNICODE
typedef MCI_DGV_SAVE_PARMSW MCI_DGV_SAVE_PARMS;
#else
typedef MCI_DGV_SAVE_PARMSA MCI_DGV_SAVE_PARMS;
#endif 
typedef MCI_DGV_SAVE_PARMSA * LPMCI_DGV_SAVE_PARMSA;
typedef MCI_DGV_SAVE_PARMSW * LPMCI_DGV_SAVE_PARMSW;
#ifdef UNICODE
typedef LPMCI_DGV_SAVE_PARMSW LPMCI_DGV_SAVE_PARMS;
#else
typedef LPMCI_DGV_SAVE_PARMSA LPMCI_DGV_SAVE_PARMS;
#endif 
typedef struct {
DWORD_PTR dwCallback;
DWORD dwTimeFormat;
DWORD dwAudio;
DWORD dwFileFormat;
DWORD dwSpeed;
} MCI_DGV_SET_PARMS;
typedef MCI_DGV_SET_PARMS * LPMCI_DGV_SET_PARMS;
typedef struct {
DWORD_PTR dwCallback;
DWORD dwItem;
DWORD dwValue;
DWORD dwOver;
LPSTR lpstrAlgorithm;
LPSTR lpstrQuality;
} MCI_DGV_SETAUDIO_PARMSA;
typedef struct {
DWORD_PTR dwCallback;
DWORD dwItem;
DWORD dwValue;
DWORD dwOver;
LPWSTR lpstrAlgorithm;
LPWSTR lpstrQuality;
} MCI_DGV_SETAUDIO_PARMSW;
#ifdef UNICODE
typedef MCI_DGV_SETAUDIO_PARMSW MCI_DGV_SETAUDIO_PARMS;
#else
typedef MCI_DGV_SETAUDIO_PARMSA MCI_DGV_SETAUDIO_PARMS;
#endif 
typedef MCI_DGV_SETAUDIO_PARMSA * LPMCI_DGV_SETAUDIO_PARMSA;
typedef MCI_DGV_SETAUDIO_PARMSW * LPMCI_DGV_SETAUDIO_PARMSW;
#ifdef UNICODE
typedef LPMCI_DGV_SETAUDIO_PARMSW LPMCI_DGV_SETAUDIO_PARMS;
#else
typedef LPMCI_DGV_SETAUDIO_PARMSA LPMCI_DGV_SETAUDIO_PARMS;
#endif 
typedef struct {
DWORD_PTR dwCallback;
DWORD dwPosition;
DWORD dwPeriod;
DWORD dwUserParm;
} MCI_DGV_SIGNAL_PARMS;
typedef MCI_DGV_SIGNAL_PARMS * LPMCI_DGV_SIGNAL_PARMS;
typedef struct {
DWORD_PTR dwCallback;
DWORD dwItem;
DWORD dwValue;
DWORD dwOver;
LPSTR lpstrAlgorithm;
LPSTR lpstrQuality;
DWORD dwSourceNumber;
} MCI_DGV_SETVIDEO_PARMSA;
typedef struct {
DWORD_PTR dwCallback;
DWORD dwItem;
DWORD dwValue;
DWORD dwOver;
LPWSTR lpstrAlgorithm;
LPWSTR lpstrQuality;
DWORD dwSourceNumber;
} MCI_DGV_SETVIDEO_PARMSW;
#ifdef UNICODE
typedef MCI_DGV_SETVIDEO_PARMSW MCI_DGV_SETVIDEO_PARMS;
#else
typedef MCI_DGV_SETVIDEO_PARMSA MCI_DGV_SETVIDEO_PARMS;
#endif 
typedef MCI_DGV_SETVIDEO_PARMSA * LPMCI_DGV_SETVIDEO_PARMSA;
typedef MCI_DGV_SETVIDEO_PARMSW * LPMCI_DGV_SETVIDEO_PARMSW;
#ifdef UNICODE
typedef LPMCI_DGV_SETVIDEO_PARMSW LPMCI_DGV_SETVIDEO_PARMS;
#else
typedef LPMCI_DGV_SETVIDEO_PARMSA LPMCI_DGV_SETVIDEO_PARMS;
#endif 
typedef struct {
DWORD_PTR dwCallback;
DWORD_PTR dwReturn;
DWORD dwItem;
DWORD dwTrack;
LPSTR lpstrDrive;
DWORD dwReference;
} MCI_DGV_STATUS_PARMSA;
typedef struct {
DWORD_PTR dwCallback;
DWORD_PTR dwReturn;
DWORD dwItem;
DWORD dwTrack;
LPWSTR lpstrDrive;
DWORD dwReference;
} MCI_DGV_STATUS_PARMSW;
#ifdef UNICODE
typedef MCI_DGV_STATUS_PARMSW MCI_DGV_STATUS_PARMS;
#else
typedef MCI_DGV_STATUS_PARMSA MCI_DGV_STATUS_PARMS;
#endif 
typedef MCI_DGV_STATUS_PARMSA * LPMCI_DGV_STATUS_PARMSA;
typedef MCI_DGV_STATUS_PARMSW * LPMCI_DGV_STATUS_PARMSW;
#ifdef UNICODE
typedef LPMCI_DGV_STATUS_PARMSW LPMCI_DGV_STATUS_PARMS;
#else
typedef LPMCI_DGV_STATUS_PARMSA LPMCI_DGV_STATUS_PARMS;
#endif 
typedef struct {
DWORD_PTR dwCallback;
DWORD dwFrames;
} MCI_DGV_STEP_PARMS;
typedef MCI_DGV_STEP_PARMS *LPMCI_DGV_STEP_PARMS;
typedef MCI_GENERIC_PARMS MCI_DGV_STOP_PARMS;
typedef MCI_DGV_STOP_PARMS * LPMCI_DGV_STOP_PARMS;
typedef MCI_DGV_RECT_PARMS MCI_DGV_UNFREEZE_PARMS;
typedef MCI_DGV_UNFREEZE_PARMS * LPMCI_DGV_UNFREEZE_PARMS;
typedef struct {
DWORD_PTR dwCallback;
#ifdef MCI_USE_OFFEXT
POINT ptOffset;
POINT ptExtent;
#else	
RECT rc;
#endif
HDC hDC;
#ifndef _WIN32
WORD wReserved0;
#endif
} MCI_DGV_UPDATE_PARMS;
typedef MCI_DGV_UPDATE_PARMS * LPMCI_DGV_UPDATE_PARMS;
typedef MCI_DGV_RECT_PARMS MCI_DGV_WHERE_PARMS;
typedef MCI_DGV_WHERE_PARMS * LPMCI_DGV_WHERE_PARMS;
typedef struct {
DWORD_PTR dwCallback;
HWND hWnd;
#ifndef _WIN32
WORD wReserved1;
#endif
UINT nCmdShow;
#ifndef _WIN32
WORD wReserved2;
#endif
LPSTR lpstrText;
} MCI_DGV_WINDOW_PARMSA;
typedef struct {
DWORD_PTR dwCallback;
HWND hWnd;
#ifndef _WIN32
WORD wReserved1;
#endif
UINT nCmdShow;
#ifndef _WIN32
WORD wReserved2;
#endif
LPWSTR lpstrText;
} MCI_DGV_WINDOW_PARMSW;
#ifdef UNICODE
typedef MCI_DGV_WINDOW_PARMSW MCI_DGV_WINDOW_PARMS;
#else
typedef MCI_DGV_WINDOW_PARMSA MCI_DGV_WINDOW_PARMS;
#endif 
typedef MCI_DGV_WINDOW_PARMSA * LPMCI_DGV_WINDOW_PARMSA;
typedef MCI_DGV_WINDOW_PARMSW * LPMCI_DGV_WINDOW_PARMSW;
#ifdef UNICODE
typedef LPMCI_DGV_WINDOW_PARMSW LPMCI_DGV_WINDOW_PARMS;
#else
typedef LPMCI_DGV_WINDOW_PARMSA LPMCI_DGV_WINDOW_PARMS;
#endif 
#include <poppack.h>
#endif 
