#ifndef __dplay8_h__
#define __dplay8_h__
#include <ole2.h>	
#include "dpaddr.h"
DEFINE_GUID(CLSID_DirectPlay8Client,0x743f1dc6,0x5aba,0x429f,139,223,197,77,3,37,61,194);
DEFINE_GUID(CLSID_DirectPlay8Peer,0x286f484d,0x375e,0x4458,162,114,177,56,226,248,10,106);
DEFINE_GUID(CLSID_DirectPlay8Server,0xda825e1b,0x6830,0x43d7,131,93,11,90,216,41,86,162);
DEFINE_GUID(IID_IDirectPlay8Client,0x5102dacd,0x241b,4563,174,167,0,96,151,176,20,17);
DEFINE_GUID(IID_IDirectPlay8Peer,0x5102dacf,0x241b,4563,174,167,0,96,151,176,20,17);
DEFINE_GUID(IID_IDirectPlay8Server,0x5102dace,0x241b,4563,174,167,0,96,151,176,20,17);
DEFINE_GUID(CLSID_DP8SP_IPX,0x53934290,0x628d,4562,174,15,0,96,151,176,20,17);
DEFINE_GUID(CLSID_DP8SP_MODEM,0x6d4a3650,0x628d,4562,174,15,0,96,151,176,20,17);
DEFINE_GUID(CLSID_DP8SP_SERIAL,0x743b5d60,0x628d,4562,174,15,0,96,151,176,20,17);
DEFINE_GUID(CLSID_DP8SP_TCPIP,0xebfe7ba0,0x628d,4562,174,15,0,96,151,176,20,17);
typedef	struct IDirectPlay8Peer *PDIRECTPLAY8PEER;
typedef	struct IDirectPlay8Server	*PDIRECTPLAY8SERVER;
typedef	struct IDirectPlay8Client	*PDIRECTPLAY8CLIENT;
typedef struct IDirectPlay8LobbiedApplication	*PDNLOBBIEDAPPLICATION;
typedef struct IDirectPlay8Address IDirectPlay8Address;
typedef HRESULT (WINAPI *PFNDPNMESSAGEHANDLER)(PVOID,DWORD,PVOID);
typedef DWORD	DPNID,*PDPNID;
typedef	DWORD	DPNHANDLE,*PDPNHANDLE;
#define	DPN_MSGID_OFFSET	0xffff0000
#define DPN_MSGID_ADD_PLAYER_TO_GROUP	(DPN_MSGID_OFFSET | 1)
#define DPN_MSGID_APPLICATION_DESC	(DPN_MSGID_OFFSET | 2)
#define DPN_MSGID_ASYNC_OP_COMPLETE	(DPN_MSGID_OFFSET | 3)
#define DPN_MSGID_CLIENT_INFO	(DPN_MSGID_OFFSET | 4)
#define DPN_MSGID_CONNECT_COMPLETE	(DPN_MSGID_OFFSET | 5)
#define DPN_MSGID_CREATE_GROUP	(DPN_MSGID_OFFSET | 6)
#define DPN_MSGID_CREATE_PLAYER	(DPN_MSGID_OFFSET | 7)
#define DPN_MSGID_DESTROY_GROUP	(DPN_MSGID_OFFSET | 8)
#define DPN_MSGID_DESTROY_PLAYER	(DPN_MSGID_OFFSET | 9)
#define DPN_MSGID_ENUM_HOSTS_QUERY	(DPN_MSGID_OFFSET | 10)
#define DPN_MSGID_ENUM_HOSTS_RESPONSE	(DPN_MSGID_OFFSET | 11)
#define DPN_MSGID_GROUP_INFO	(DPN_MSGID_OFFSET | 12)
#define DPN_MSGID_HOST_MIGRATE	(DPN_MSGID_OFFSET | 13)
#define DPN_MSGID_INDICATE_CONNECT	(DPN_MSGID_OFFSET | 14)
#define DPN_MSGID_INDICATED_CONNECT_ABORTED	(DPN_MSGID_OFFSET | 15)
#define DPN_MSGID_PEER_INFO	(DPN_MSGID_OFFSET | 16)
#define DPN_MSGID_RECEIVE	(DPN_MSGID_OFFSET | 17)
#define DPN_MSGID_REMOVE_PLAYER_FROM_GROUP	(DPN_MSGID_OFFSET | 18)
#define	DPN_MSGID_RETURN_BUFFER	(DPN_MSGID_OFFSET | 19)
#define DPN_MSGID_SEND_COMPLETE	(DPN_MSGID_OFFSET | 20)
#define DPN_MSGID_SERVER_INFO	(DPN_MSGID_OFFSET | 21)
#define	DPN_MSGID_TERMINATE_SESSION	(DPN_MSGID_OFFSET | 22)
#define	DPNID_ALL_PLAYERS_GROUP	0
#define	DPNDESTROYGROUPREASON_NORMAL	1
#define DPNDESTROYGROUPREASON_AUTODESTRUCTED	2
#define	DPNDESTROYGROUPREASON_SESSIONTERMINATED	3
#define DPNDESTROYPLAYERREASON_NORMAL	1
#define DPNDESTROYPLAYERREASON_CONNECTIONLOST	2
#define	DPNDESTROYPLAYERREASON_SESSIONTERMINATED	3
#define	DPNDESTROYPLAYERREASON_HOSTDESTROYEDPLAYER	4
#define DPNOP_SYNC	0x80000000
#define DPNADDPLAYERTOGROUP_SYNC	DPNOP_SYNC
#define	DPNCANCEL_CONNECT	1
#define	DPNCANCEL_ENUM	2
#define	DPNCANCEL_SEND	4
#define	DPNCANCEL_ALL_OPERATIONS	0x8000
#define	DPNCONNECT_SYNC	DPNOP_SYNC
#define	DPNCONNECT_OKTOQUERYFORADDRESSING	1
#define	DPNCREATEGROUP_SYNC	DPNOP_SYNC
#define	DPNDESTROYGROUP_SYNC	DPNOP_SYNC
#define DPNENUM_PLAYERS	1
#define DPNENUM_GROUPS	16
#define	DPNENUMHOSTS_SYNC	DPNOP_SYNC
#define	DPNENUMHOSTS_OKTOQUERYFORADDRESSING	1
#define	DPNENUMHOSTS_NOBROADCASTFALLBACK	2
#define DPNENUMSERVICEPROVIDERS_ALL	1
#define	DPNGETSENDQUEUEINFO_PRIORITY_NORMAL	1
#define	DPNGETSENDQUEUEINFO_PRIORITY_HIGH	2
#define	DPNGETSENDQUEUEINFO_PRIORITY_LOW	4
#define DPNGROUP_AUTODESTRUCT	1
#define	DPNHOST_OKTOQUERYFORADDRESSING	1
#define	DPNINFO_NAME	1
#define	DPNINFO_DATA	2
#define DPNINITIALIZE_DISABLEPARAMVAL	1
#define	DPNLOBBY_REGISTER	1
#define DPNLOBBY_UNREGISTER	2
#define	DPNPLAYER_LOCAL	2
#define	DPNPLAYER_HOST	4
#define	DPNREMOVEPLAYERFROMGROUP_SYNC	DPNOP_SYNC
#define DPNSEND_SYNC	DPNOP_SYNC
#define DPNSEND_NOCOPY	1
#define DPNSEND_NOCOMPLETE	2
#define DPNSEND_COMPLETEONPROCESS	4
#define DPNSEND_GUARANTEED	8
#define	DPNSEND_NONSEQUENTIAL	16
#define DPNSEND_NOLOOPBACK	32
#define	DPNSEND_PRIORITY_LOW	64
#define	DPNSEND_PRIORITY_HIGH	128
#define DPNSESSION_CLIENT_SERVER	1
#define DPNSESSION_MIGRATE_HOST	4
#define DPNSESSION_NODPNSVR	64
#define DPNSESSION_REQUIREPASSWORD 128
#define DPNSETCLIENTINFO_SYNC	DPNOP_SYNC
#define DPNSETGROUPINFO_SYNC	DPNOP_SYNC
#define DPNSETPEERINFO_SYNC	DPNOP_SYNC
#define DPNSETSERVERINFO_SYNC	DPNOP_SYNC
#define	DPNSPCAPS_SUPPORTSDPNSRV	1
#define	DPNSPCAPS_SUPPORTSBROADCAST	2
#define	DPNSPCAPS_SUPPORTSALLADAPTERS	4
typedef struct	_DPN_APPLICATION_DESC {
DWORD	dwSize;	
DWORD	dwFlags;	
GUID	guidInstance;	
GUID	guidApplication;	
DWORD	dwMaxPlayers;	
DWORD	dwCurrentPlayers;	
WCHAR	*pwszSessionName;	
WCHAR	*pwszPassword;	
PVOID	pvReservedData;	
DWORD	dwReservedDataSize;
PVOID	pvApplicationReservedData;
DWORD	dwApplicationReservedDataSize;
} DPN_APPLICATION_DESC,*PDPN_APPLICATION_DESC;
typedef struct	_BUFFERDESC {
DWORD	dwBufferSize;	
BYTE * UNALIGNED pBufferData;	
} BUFFERDESC,DPN_BUFFER_DESC,*PDPN_BUFFER_DESC;
typedef BUFFERDESC	* PBUFFERDESC;
typedef struct	_DPN_CAPS
{
DWORD dwSize;	
DWORD	dwFlags;	
DWORD dwConnectTimeout;	
DWORD dwConnectRetries;	
DWORD dwTimeoutUntilKeepAlive;	
} DPN_CAPS,*PDPN_CAPS;
typedef struct _DPN_CONNECTION_INFO
{
DWORD dwSize;
DWORD dwRoundTripLatencyMS;
DWORD dwThroughputBPS;
DWORD	dwPeakThroughputBPS;
DWORD	dwBytesSentGuaranteed;
DWORD	dwPacketsSentGuaranteed;
DWORD	dwBytesSentNonGuaranteed;
DWORD	dwPacketsSentNonGuaranteed;
DWORD	dwBytesRetried;	
DWORD	dwPacketsRetried;	
DWORD	dwBytesDropped;	
DWORD	dwPacketsDropped;	
DWORD	dwMessagesTransmittedHighPriority;
DWORD	dwMessagesTimedOutHighPriority;
DWORD	dwMessagesTransmittedNormalPriority;
DWORD	dwMessagesTimedOutNormalPriority;
DWORD	dwMessagesTransmittedLowPriority;
DWORD	dwMessagesTimedOutLowPriority;
DWORD	dwBytesReceivedGuaranteed;
DWORD	dwPacketsReceivedGuaranteed;
DWORD	dwBytesReceivedNonGuaranteed;
DWORD	dwPacketsReceivedNonGuaranteed;
DWORD	dwMessagesReceived;
} DPN_CONNECTION_INFO,*PDPN_CONNECTION_INFO;
typedef struct	_DPN_GROUP_INFO
{
DWORD	dwSize;	
DWORD	dwInfoFlags;	
PWSTR	pwszName;	
PVOID	pvData;	
DWORD	dwDataSize;	
DWORD	dwGroupFlags;	
} DPN_GROUP_INFO,*PDPN_GROUP_INFO;
typedef struct	_DPN_PLAYER_INFO
{
DWORD	dwSize;	
DWORD	dwInfoFlags;	
PWSTR	pwszName;	
PVOID	pvData;	
DWORD	dwDataSize;	
DWORD	dwPlayerFlags;	
} DPN_PLAYER_INFO,*PDPN_PLAYER_INFO;
typedef struct _DPN_SECURITY_CREDENTIALS	DPN_SECURITY_CREDENTIALS,*PDPN_SECURITY_CREDENTIALS;
typedef struct _DPN_SECURITY_DESC	DPN_SECURITY_DESC,*PDPN_SECURITY_DESC;
typedef struct _DPN_SERVICE_PROVIDER_INFO
{
DWORD	dwFlags;
GUID	guid;	
WCHAR	*pwszName;	
PVOID	pvReserved;	
DWORD	dwReserved;
} DPN_SERVICE_PROVIDER_INFO,*PDPN_SERVICE_PROVIDER_INFO;
typedef struct _DPN_SP_CAPS
{
DWORD dwSize;	
DWORD dwFlags;	
DWORD dwNumThreads;	
DWORD	dwDefaultEnumCount;	
DWORD	dwDefaultEnumRetryInterval;	
DWORD	dwDefaultEnumTimeout;	
DWORD	dwMaxEnumPayloadSize;	
DWORD	dwBuffersPerThread;	
DWORD	dwSystemBufferSize;	
} DPN_SP_CAPS,*PDPN_SP_CAPS;
typedef struct	_DPNMSG_ADD_PLAYER_TO_GROUP
{
DWORD	dwSize;	
DPNID	dpnidGroup;	
PVOID	pvGroupContext;	
DPNID	dpnidPlayer;	
PVOID	pvPlayerContext;	
} DPNMSG_ADD_PLAYER_TO_GROUP,*PDPNMSG_ADD_PLAYER_TO_GROUP;
typedef struct	_DPNMSG_ASYNC_OP_COMPLETE
{
DWORD	dwSize;	
DPNHANDLE	hAsyncOp;	
PVOID	pvUserContext;	
HRESULT	hResultCode;	
} DPNMSG_ASYNC_OP_COMPLETE,*PDPNMSG_ASYNC_OP_COMPLETE;
typedef struct	_DPNMSG_CLIENT_INFO
{
DWORD	dwSize;	
DPNID	dpnidClient;	
PVOID	pvPlayerContext;	
} DPNMSG_CLIENT_INFO,*PDPNMSG_CLIENT_INFO;
typedef struct	_DPNMSG_CONNECT_COMPLETE
{
DWORD	dwSize;	
DPNHANDLE	hAsyncOp;	
PVOID	pvUserContext;	
HRESULT	hResultCode;	
PVOID	pvApplicationReplyData;	
DWORD	dwApplicationReplyDataSize;	
} DPNMSG_CONNECT_COMPLETE,*PDPNMSG_CONNECT_COMPLETE;
typedef struct	_DPNMSG_CREATE_GROUP
{
DWORD	dwSize;	
DPNID	dpnidGroup;	
DPNID	dpnidOwner;	
PVOID	pvGroupContext;	
} DPNMSG_CREATE_GROUP,*PDPNMSG_CREATE_GROUP;
typedef struct	_DPNMSG_CREATE_PLAYER
{
DWORD	dwSize;	
DPNID	dpnidPlayer;	
PVOID	pvPlayerContext;	
} DPNMSG_CREATE_PLAYER,*PDPNMSG_CREATE_PLAYER;
typedef struct	_DPNMSG_DESTROY_GROUP
{
DWORD	dwSize;	
DPNID	dpnidGroup;	
PVOID	pvGroupContext;	
DWORD	dwReason;	
} DPNMSG_DESTROY_GROUP,*PDPNMSG_DESTROY_GROUP;
typedef struct	_DPNMSG_DESTROY_PLAYER
{
DWORD	dwSize;	
DPNID	dpnidPlayer;	
PVOID	pvPlayerContext;	
DWORD	dwReason;	
} DPNMSG_DESTROY_PLAYER,*PDPNMSG_DESTROY_PLAYER;
typedef	struct	_DPNMSG_ENUM_HOSTS_QUERY
{
DWORD	dwSize; 
IDirectPlay8Address *pAddressSender; 
IDirectPlay8Address	*pAddressDevice; 
PVOID	pvReceivedData; 
DWORD	dwReceivedDataSize; 
DWORD	dwMaxResponseDataSize;	
PVOID	pvResponseData;	
DWORD	dwResponseDataSize;	
PVOID	pvResponseContext;	
} DPNMSG_ENUM_HOSTS_QUERY,*PDPNMSG_ENUM_HOSTS_QUERY;
typedef	struct	_DPNMSG_ENUM_HOSTS_RESPONSE
{
DWORD	dwSize; 
IDirectPlay8Address	*pAddressSender; 
IDirectPlay8Address	*pAddressDevice; 
const DPN_APPLICATION_DESC	*pApplicationDescription; 
PVOID	pvResponseData; 
DWORD	dwResponseDataSize; 
PVOID	pvUserContext; 
DWORD	dwRoundTripLatencyMS; 
} DPNMSG_ENUM_HOSTS_RESPONSE,*PDPNMSG_ENUM_HOSTS_RESPONSE;
typedef struct	_DPNMSG_GROUP_INFO
{
DWORD	dwSize;	
DPNID	dpnidGroup;	
PVOID	pvGroupContext;	
} DPNMSG_GROUP_INFO,*PDPNMSG_GROUP_INFO;
typedef struct	_DPNMSG_HOST_MIGRATE
{
DWORD	dwSize;	
DPNID	dpnidNewHost;	
PVOID	pvPlayerContext;	
} DPNMSG_HOST_MIGRATE,*PDPNMSG_HOST_MIGRATE;
typedef struct	_DPNMSG_INDICATE_CONNECT
{
DWORD	dwSize;	
PVOID	pvUserConnectData;	
DWORD	dwUserConnectDataSize;	
PVOID	pvReplyData;	
DWORD	dwReplyDataSize;	
PVOID	pvReplyContext;	
PVOID	pvPlayerContext;	
IDirectPlay8Address	*pAddressPlayer;
IDirectPlay8Address	*pAddressDevice;
} DPNMSG_INDICATE_CONNECT,*PDPNMSG_INDICATE_CONNECT;
typedef struct	_DPNMSG_INDICATED_CONNECT_ABORTED
{
DWORD	dwSize;	
PVOID	pvPlayerContext;	
} DPNMSG_INDICATED_CONNECT_ABORTED,*PDPNMSG_INDICATED_CONNECT_ABORTED;
typedef struct	_DPNMSG_PEER_INFO
{
DWORD	dwSize;	
DPNID	dpnidPeer;	
PVOID	pvPlayerContext;	
} DPNMSG_PEER_INFO,*PDPNMSG_PEER_INFO;
typedef struct	_DPNMSG_RECEIVE
{
DWORD	dwSize;	
DPNID	dpnidSender;	
PVOID	pvPlayerContext;	
PBYTE	pReceiveData;	
DWORD	dwReceiveDataSize;	
DPNHANDLE	hBufferHandle;	
} DPNMSG_RECEIVE,*PDPNMSG_RECEIVE;
typedef struct	_DPNMSG_REMOVE_PLAYER_FROM_GROUP
{
DWORD	dwSize;	
DPNID	dpnidGroup;	
PVOID	pvGroupContext;	
DPNID	dpnidPlayer;	
PVOID	pvPlayerContext; 
} DPNMSG_REMOVE_PLAYER_FROM_GROUP,*PDPNMSG_REMOVE_PLAYER_FROM_GROUP;
typedef struct	_DPNMSG_RETURN_BUFFER
{
DWORD	dwSize;	
HRESULT	hResultCode;	
PVOID	pvBuffer;	
PVOID	pvUserContext;	
} DPNMSG_RETURN_BUFFER,*PDPNMSG_RETURN_BUFFER;
typedef struct	_DPNMSG_SEND_COMPLETE
{
DWORD	dwSize;	
DPNHANDLE	hAsyncOp;	
PVOID	pvUserContext;	
HRESULT	hResultCode;	
DWORD	dwSendTime;	
} DPNMSG_SEND_COMPLETE,*PDPNMSG_SEND_COMPLETE;
typedef struct	_DPNMSG_SERVER_INFO
{
DWORD	dwSize;	
DPNID	dpnidServer;	
PVOID	pvPlayerContext;	
} DPNMSG_SERVER_INFO,*PDPNMSG_SERVER_INFO;
typedef struct	_DPNMSG_TERMINATE_SESSION
{
DWORD	dwSize;	
HRESULT	hResultCode;	
PVOID	pvTerminateData;	
DWORD	dwTerminateDataSize;
} DPNMSG_TERMINATE_SESSION,*PDPNMSG_TERMINATE_SESSION;
extern HRESULT WINAPI DirectPlay8Create(const GUID * pcIID,void **,IUnknown *);
#undef INTERFACE	
#define INTERFACE IDirectPlay8Client
DECLARE_INTERFACE_(IDirectPlay8Client,IUnknown)
{
STDMETHOD(QueryInterface)	(THIS_ REFIID riid,LPVOID *) ;
STDMETHOD_(ULONG,AddRef)	(THIS) ;
STDMETHOD_(ULONG,Release)	(THIS) ;
STDMETHOD(Initialize)	(THIS_ PVOID const pvUserContext,const PFNDPNMESSAGEHANDLER pfn,const DWORD dwFlags) ;
STDMETHOD(EnumServiceProviders)	(THIS_ const GUID *const pguidServiceProvider,const GUID *const pguidApplication,DPN_SERVICE_PROVIDER_INFO *const pSPInfoBuffer,PDWORD const pcbEnumData,PDWORD const pcReturned,const DWORD dwFlags) ;
STDMETHOD(EnumHosts)	(THIS_ PDPN_APPLICATION_DESC const pApplicationDesc,IDirectPlay8Address *const pAddrHost,IDirectPlay8Address *const pDeviceInfo,PVOID const pUserEnumData,const DWORD dwUserEnumDataSize,const DWORD dwEnumCount,const DWORD dwRetryInterval,const DWORD dwTimeOut,PVOID const pvUserContext,DPNHANDLE *const pAsyncHandle,const DWORD dwFlags) ;
STDMETHOD(CancelAsyncOperation)	(THIS_ const DPNHANDLE hAsyncHandle,const DWORD dwFlags) ;
STDMETHOD(Connect)	(THIS_ const DPN_APPLICATION_DESC *const pdnAppDesc,IDirectPlay8Address *const pHostAddr,IDirectPlay8Address *const pDeviceInfo,const DPN_SECURITY_DESC *const pdnSecurity,const DPN_SECURITY_CREDENTIALS *const pdnCredentials,const void *const pvUserConnectData,const DWORD dwUserConnectDataSize,void *const pvAsyncContext,DPNHANDLE *const phAsyncHandle,const DWORD dwFlags) ;
STDMETHOD(Send)	(THIS_ const DPN_BUFFER_DESC *const prgBufferDesc,const DWORD cBufferDesc,const DWORD dwTimeOut,void *const pvAsyncContext,DPNHANDLE *const phAsyncHandle,const DWORD dwFlags) ;
STDMETHOD(GetSendQueueInfo)	(THIS_ DWORD *const pdwNumMsgs,DWORD *const pdwNumBytes,const DWORD dwFlags) ;
STDMETHOD(GetApplicationDesc)	(THIS_ DPN_APPLICATION_DESC *const pAppDescBuffer,DWORD *const pcbDataSize,const DWORD dwFlags) ;
STDMETHOD(SetClientInfo)	(THIS_ const DPN_PLAYER_INFO *const pdpnPlayerInfo,PVOID const pvAsyncContext,DPNHANDLE *const phAsyncHandle,const DWORD dwFlags) ;
STDMETHOD(GetServerInfo)	(THIS_ DPN_PLAYER_INFO *const pdpnPlayerInfo,DWORD *const pdwSize,const DWORD dwFlags) ;
STDMETHOD(GetServerAddress)	(THIS_ IDirectPlay8Address **const pAddress,const DWORD dwFlags) ;
STDMETHOD(Close)	(THIS_ const DWORD dwFlags) ;
STDMETHOD(ReturnBuffer)	(THIS_ const DPNHANDLE hBufferHandle,const DWORD dwFlags) ;
STDMETHOD(GetCaps)	(THIS_ DPN_CAPS *const pdpCaps,const DWORD dwFlags) ;
STDMETHOD(SetCaps)	(THIS_ const DPN_CAPS *const pdpCaps,const DWORD dwFlags) ;
STDMETHOD(SetSPCaps) (THIS_ const GUID * const pguidSP,const DPN_SP_CAPS *const pdpspCaps,const DWORD dwFlags) ;
STDMETHOD(GetSPCaps) (THIS_ const GUID * const pguidSP,DPN_SP_CAPS *const pdpspCaps,const DWORD dwFlags) ;
STDMETHOD(GetConnectionInfo) (THIS_ DPN_CONNECTION_INFO *const pdpConnectionInfo,const DWORD dwFlags) ;
STDMETHOD(RegisterLobby)	(THIS_ const DPNHANDLE dpnHandle,IDirectPlay8LobbiedApplication *const pIDP8LobbiedApplication,const DWORD dwFlags) ;
};
#undef INTERFACE	
#define INTERFACE IDirectPlay8Server
DECLARE_INTERFACE_(IDirectPlay8Server,IUnknown)
{
STDMETHOD(QueryInterface)	(THIS_ REFIID riid,LPVOID *) ;
STDMETHOD_(ULONG,AddRef)	(THIS) ;
STDMETHOD_(ULONG,Release)	(THIS) ;
STDMETHOD(Initialize)	(THIS_ PVOID const pvUserContext,const PFNDPNMESSAGEHANDLER pfn,const DWORD dwFlags) ;
STDMETHOD(EnumServiceProviders)	(THIS_ const GUID *const pguidServiceProvider,const GUID *const pguidApplication,DPN_SERVICE_PROVIDER_INFO *const pSPInfoBuffer,PDWORD const pcbEnumData,PDWORD const pcReturned,const DWORD dwFlags) ;
STDMETHOD(CancelAsyncOperation)	(THIS_ const DPNHANDLE hAsyncHandle,const DWORD dwFlags) ;
STDMETHOD(GetSendQueueInfo)	(THIS_ const DPNID dpnid,DWORD *const pdwNumMsgs,DWORD *const pdwNumBytes,const DWORD dwFlags) ;
STDMETHOD(GetApplicationDesc)	(THIS_ DPN_APPLICATION_DESC *const pAppDescBuffer,DWORD *const pcbDataSize,const DWORD dwFlags) ;
STDMETHOD(SetServerInfo)	(THIS_ const DPN_PLAYER_INFO *const pdpnPlayerInfo,PVOID const pvAsyncContext,DPNHANDLE *const phAsyncHandle,const DWORD dwFlags) ;
STDMETHOD(GetClientInfo)	(THIS_ const DPNID dpnid,DPN_PLAYER_INFO *const pdpnPlayerInfo,DWORD *const pdwSize,const DWORD dwFlags) ;
STDMETHOD(GetClientAddress)	(THIS_ const DPNID dpnid,IDirectPlay8Address **const pAddress,const DWORD dwFlags) ;
STDMETHOD(GetLocalHostAddresses)	(THIS_ IDirectPlay8Address **const prgpAddress,DWORD *const pcAddress,const DWORD dwFlags) ;
STDMETHOD(SetApplicationDesc)	(THIS_ const DPN_APPLICATION_DESC *const pad,const DWORD dwFlags) ;
STDMETHOD(Host)	(THIS_ const DPN_APPLICATION_DESC *const pdnAppDesc,IDirectPlay8Address **const prgpDeviceInfo,const DWORD cDeviceInfo,const DPN_SECURITY_DESC *const pdnSecurity,const DPN_SECURITY_CREDENTIALS *const pdnCredentials,void *const pvPlayerContext,const DWORD dwFlags) ;
STDMETHOD(SendTo)	(THIS_ const DPNID dpnid,const DPN_BUFFER_DESC *const prgBufferDesc,const DWORD cBufferDesc,const DWORD dwTimeOut,void *const pvAsyncContext,DPNHANDLE *const phAsyncHandle,const DWORD dwFlags) ;
STDMETHOD(CreateGroup)	(THIS_ const DPN_GROUP_INFO *const pdpnGroupInfo,void *const pvGroupContext,void *const pvAsyncContext,DPNHANDLE *const phAsyncHandle,const DWORD dwFlags) ;
STDMETHOD(DestroyGroup)	(THIS_ const DPNID idGroup,PVOID const pvAsyncContext,DPNHANDLE *const phAsyncHandle,const DWORD dwFlags) ;
STDMETHOD(AddPlayerToGroup)	(THIS_ const DPNID idGroup,const DPNID idClient,PVOID const pvAsyncContext,DPNHANDLE *const phAsyncHandle,const DWORD dwFlags) ;
STDMETHOD(RemovePlayerFromGroup)	(THIS_ const DPNID idGroup,const DPNID idClient,PVOID const pvAsyncContext,DPNHANDLE *const phAsyncHandle,const DWORD dwFlags) ;
STDMETHOD(SetGroupInfo)	(THIS_ const DPNID dpnid,DPN_GROUP_INFO *const pdpnGroupInfo,PVOID const pvAsyncContext,DPNHANDLE *const phAsyncHandle,const DWORD dwFlags) ;
STDMETHOD(GetGroupInfo)	(THIS_ const DPNID dpnid,DPN_GROUP_INFO *const pdpnGroupInfo,DWORD *const pdwSize,const DWORD dwFlags) ;
STDMETHOD(EnumPlayersAndGroups)	(THIS_ DPNID *const prgdpnid,DWORD *const pcdpnid,const DWORD dwFlags) ;
STDMETHOD(EnumGroupMembers)	(THIS_ const DPNID dpnid,DPNID *const prgdpnid,DWORD *const pcdpnid,const DWORD dwFlags) ;
STDMETHOD(Close)	(THIS_ const DWORD dwFlags) ;
STDMETHOD(DestroyClient)	(THIS_ const DPNID dpnidClient,const void *const pvDestroyData,const DWORD dwDestroyDataSize,const DWORD dwFlags) ;
STDMETHOD(ReturnBuffer)	(THIS_ const DPNHANDLE hBufferHandle,const DWORD dwFlags) ;
STDMETHOD(GetPlayerContext)	(THIS_ const DPNID dpnid,PVOID *const ppvPlayerContext,const DWORD dwFlags) ;
STDMETHOD(GetGroupContext)	(THIS_ const DPNID dpnid,PVOID *const ppvGroupContext,const DWORD dwFlags) ;
STDMETHOD(GetCaps)	(THIS_ DPN_CAPS *const pdpCaps,const DWORD dwFlags) ;
STDMETHOD(SetCaps)	(THIS_ const DPN_CAPS *const pdpCaps,const DWORD dwFlags) ;
STDMETHOD(SetSPCaps) (THIS_ const GUID * const pguidSP,const DPN_SP_CAPS *const pdpspCaps,const DWORD dwFlags) ;
STDMETHOD(GetSPCaps) (THIS_ const GUID * const pguidSP,DPN_SP_CAPS *const pdpspCaps,const DWORD dwFlags) ;
STDMETHOD(GetConnectionInfo) (THIS_ const DPNID dpnid,DPN_CONNECTION_INFO *const pdpConnectionInfo,const DWORD dwFlags) ;
STDMETHOD(RegisterLobby)	(THIS_ const DPNHANDLE dpnHandle,IDirectPlay8LobbiedApplication *const pIDP8LobbiedApplication,const DWORD dwFlags) ;
};
#undef INTERFACE	
#define INTERFACE IDirectPlay8Peer
DECLARE_INTERFACE_(IDirectPlay8Peer,IUnknown)
{
STDMETHOD(QueryInterface)	(THIS_ REFIID riid,LPVOID *) ;
STDMETHOD_(ULONG,AddRef)	(THIS) ;
STDMETHOD_(ULONG,Release)	(THIS) ;
STDMETHOD(Initialize)	(THIS_ PVOID const pvUserContext,const PFNDPNMESSAGEHANDLER pfn,const DWORD dwFlags) ;
STDMETHOD(EnumServiceProviders)	(THIS_ const GUID *const pguidServiceProvider,const GUID *const pguidApplication,DPN_SERVICE_PROVIDER_INFO *const pSPInfoBuffer,DWORD *const pcbEnumData,DWORD *const pcReturned,const DWORD dwFlags) ;
STDMETHOD(CancelAsyncOperation)	(THIS_ const DPNHANDLE hAsyncHandle,const DWORD dwFlags) ;
STDMETHOD(Connect)	(THIS_ const DPN_APPLICATION_DESC *const pdnAppDesc,IDirectPlay8Address *const pHostAddr,IDirectPlay8Address *const pDeviceInfo,const DPN_SECURITY_DESC *const pdnSecurity,const DPN_SECURITY_CREDENTIALS *const pdnCredentials,const void *const pvUserConnectData,const DWORD dwUserConnectDataSize,void *const pvPlayerContext,void *const pvAsyncContext,DPNHANDLE *const phAsyncHandle,const DWORD dwFlags) ;
STDMETHOD(SendTo)	(THIS_ const DPNID dpnid,const DPN_BUFFER_DESC *const prgBufferDesc,const DWORD cBufferDesc,const DWORD dwTimeOut,void *const pvAsyncContext,DPNHANDLE *const phAsyncHandle,const DWORD dwFlags) ;
STDMETHOD(GetSendQueueInfo)	(THIS_ const DPNID dpnid,DWORD *const pdwNumMsgs,DWORD *const pdwNumBytes,const DWORD dwFlags) ;
STDMETHOD(Host)	(THIS_ const DPN_APPLICATION_DESC *const pdnAppDesc,IDirectPlay8Address **const prgpDeviceInfo,const DWORD cDeviceInfo,const DPN_SECURITY_DESC *const pdnSecurity,const DPN_SECURITY_CREDENTIALS *const pdnCredentials,void *const pvPlayerContext,const DWORD dwFlags) ;
STDMETHOD(GetApplicationDesc)	(THIS_ DPN_APPLICATION_DESC *const pAppDescBuffer,DWORD *const pcbDataSize,const DWORD dwFlags) ;
STDMETHOD(SetApplicationDesc)	(THIS_ const DPN_APPLICATION_DESC *const pad,const DWORD dwFlags) ;
STDMETHOD(CreateGroup)	(THIS_ const DPN_GROUP_INFO *const pdpnGroupInfo,void *const pvGroupContext,void *const pvAsyncContext,DPNHANDLE *const phAsyncHandle,const DWORD dwFlags) ;
STDMETHOD(DestroyGroup)	(THIS_ const DPNID idGroup,PVOID const pvAsyncContext,DPNHANDLE *const phAsyncHandle,const DWORD dwFlags) ;
STDMETHOD(AddPlayerToGroup)	(THIS_ const DPNID idGroup,const DPNID idClient,PVOID const pvAsyncContext,DPNHANDLE *const phAsyncHandle,const DWORD dwFlags) ;
STDMETHOD(RemovePlayerFromGroup)	(THIS_ const DPNID idGroup,const DPNID idClient,PVOID const pvAsyncContext,DPNHANDLE *const phAsyncHandle,const DWORD dwFlags) ;
STDMETHOD(SetGroupInfo)	(THIS_ const DPNID dpnid,DPN_GROUP_INFO *const pdpnGroupInfo,PVOID const pvAsyncContext,DPNHANDLE *const phAsyncHandle,const DWORD dwFlags) ;
STDMETHOD(GetGroupInfo)	(THIS_ const DPNID dpnid,DPN_GROUP_INFO *const pdpnGroupInfo,DWORD *const pdwSize,const DWORD dwFlags) ;
STDMETHOD(EnumPlayersAndGroups)	(THIS_ DPNID *const prgdpnid,DWORD *const pcdpnid,const DWORD dwFlags) ;
STDMETHOD(EnumGroupMembers)	(THIS_ const DPNID dpnid,DPNID *const prgdpnid,DWORD *const pcdpnid,const DWORD dwFlags) ;
STDMETHOD(SetPeerInfo)	(THIS_ const DPN_PLAYER_INFO *const pdpnPlayerInfo,PVOID const pvAsyncContext,DPNHANDLE *const phAsyncHandle,const DWORD dwFlags) ;
STDMETHOD(GetPeerInfo)	(THIS_ const DPNID dpnid,DPN_PLAYER_INFO *const pdpnPlayerInfo,DWORD *const pdwSize,const DWORD dwFlags) ;
STDMETHOD(GetPeerAddress)	(THIS_ const DPNID dpnid,IDirectPlay8Address **const pAddress,const DWORD dwFlags) ;
STDMETHOD(GetLocalHostAddresses)	(THIS_ IDirectPlay8Address **const prgpAddress,DWORD *const pcAddress,const DWORD dwFlags) ;
STDMETHOD(Close)	(THIS_ const DWORD dwFlags) ;
STDMETHOD(EnumHosts)	(THIS_ PDPN_APPLICATION_DESC const pApplicationDesc,IDirectPlay8Address *const pAddrHost,IDirectPlay8Address *const pDeviceInfo,PVOID const pUserEnumData,const DWORD dwUserEnumDataSize,const DWORD dwEnumCount,const DWORD dwRetryInterval,const DWORD dwTimeOut,PVOID const pvUserContext,DPNHANDLE *const pAsyncHandle,const DWORD dwFlags) ;
STDMETHOD(DestroyPeer)	(THIS_ const DPNID dpnidClient,const void *const pvDestroyData,const DWORD dwDestroyDataSize,const DWORD dwFlags) ;
STDMETHOD(ReturnBuffer)	(THIS_ const DPNHANDLE hBufferHandle,const DWORD dwFlags) ;
STDMETHOD(GetPlayerContext)	(THIS_ const DPNID dpnid,PVOID *const ppvPlayerContext,const DWORD dwFlags) ;
STDMETHOD(GetGroupContext)	(THIS_ const DPNID dpnid,PVOID *const ppvGroupContext,const DWORD dwFlags) ;
STDMETHOD(GetCaps)	(THIS_ DPN_CAPS *const pdpCaps,const DWORD dwFlags) ;
STDMETHOD(SetCaps)	(THIS_ const DPN_CAPS *const pdpCaps,const DWORD dwFlags) ;
STDMETHOD(SetSPCaps) (THIS_ const GUID * const pguidSP,const DPN_SP_CAPS *const pdpspCaps,const DWORD dwFlags) ;
STDMETHOD(GetSPCaps) (THIS_ const GUID * const pguidSP,DPN_SP_CAPS *const pdpspCaps,const DWORD dwFlags) ;
STDMETHOD(GetConnectionInfo) (THIS_ const DPNID dpnid,DPN_CONNECTION_INFO *const pdpConnectionInfo,const DWORD dwFlags) ;
STDMETHOD(RegisterLobby)	(THIS_ const DPNHANDLE dpnHandle,IDirectPlay8LobbiedApplication *const pIDP8LobbiedApplication,const DWORD dwFlags) ;
STDMETHOD(TerminateSession)	(THIS_ void *const pvTerminateData,const DWORD dwTerminateDataSize,const DWORD dwFlags) ;
};
#define	IDirectPlay8Client_QueryInterface(p,a,b)	(p)->lpVtbl->QueryInterface(p,a,b)
#define	IDirectPlay8Client_AddRef(p)	(p)->lpVtbl->AddRef(p)
#define	IDirectPlay8Client_Release(p)	(p)->lpVtbl->Release(p)
#define	IDirectPlay8Client_Initialize(p,a,b,c)	(p)->lpVtbl->Initialize(p,a,b,c)
#define	IDirectPlay8Client_EnumServiceProviders(p,a,b,c,d,e,f)	(p)->lpVtbl->EnumServiceProviders(p,a,b,c,d,e,f)
#define	IDirectPlay8Client_EnumHosts(p,a,b,c,d,e,f,g,h,i,j,k)	(p)->lpVtbl->EnumHosts(p,a,b,c,d,e,f,g,h,i,j,k)
#define	IDirectPlay8Client_CancelAsyncOperation(p,a,b)	(p)->lpVtbl->CancelAsyncOperation(p,a,b)
#define	IDirectPlay8Client_Connect(p,a,b,c,d,e,f,g,h,i,j)	(p)->lpVtbl->Connect(p,a,b,c,d,e,f,g,h,i,j)
#define	IDirectPlay8Client_Send(p,a,b,c,d,e,f)	(p)->lpVtbl->Send(p,a,b,c,d,e,f)
#define	IDirectPlay8Client_GetSendQueueInfo(p,a,b,c)	(p)->lpVtbl->GetSendQueueInfo(p,a,b,c)
#define	IDirectPlay8Client_GetApplicationDesc(p,a,b,c)	(p)->lpVtbl->GetApplicationDesc(p,a,b,c)
#define	IDirectPlay8Client_SetClientInfo(p,a,b,c,d)	(p)->lpVtbl->SetClientInfo(p,a,b,c,d)
#define	IDirectPlay8Client_GetServerInfo(p,a,b,c)	(p)->lpVtbl->GetServerInfo(p,a,b,c)
#define	IDirectPlay8Client_GetServerAddress(p,a,b)	(p)->lpVtbl->GetServerAddress(p,a,b)
#define	IDirectPlay8Client_Close(p,a)	(p)->lpVtbl->Close(p,a)
#define	IDirectPlay8Client_ReturnBuffer(p,a,b)	(p)->lpVtbl->ReturnBuffer(p,a,b)
#define	IDirectPlay8Client_GetCaps(p,a,b)	(p)->lpVtbl->GetCaps(p,a,b)
#define	IDirectPlay8Client_SetCaps(p,a,b)	(p)->lpVtbl->SetCaps(p,a,b)
#define	IDirectPlay8Client_SetSPCaps(p,a,b,c)	(p)->lpVtbl->SetSPCaps(p,a,b,c)
#define	IDirectPlay8Client_GetSPCaps(p,a,b,c)	(p)->lpVtbl->GetSPCaps(p,a,b,c)
#define	IDirectPlay8Client_GetConnectionInfo(p,a,b)	(p)->lpVtbl->GetConnectionInfo(p,a,b)
#define	IDirectPlay8Client_RegisterLobby(p,a,b,c)	(p)->lpVtbl->RegisterLobby(p,a,b,c)
#define	IDirectPlay8Server_QueryInterface(p,a,b)	(p)->lpVtbl->QueryInterface(p,a,b)
#define	IDirectPlay8Server_AddRef(p)	(p)->lpVtbl->AddRef(p)
#define	IDirectPlay8Server_Release(p)	(p)->lpVtbl->Release(p)
#define	IDirectPlay8Server_Initialize(p,a,b,c)	(p)->lpVtbl->Initialize(p,a,b,c)
#define	IDirectPlay8Server_EnumServiceProviders(p,a,b,c,d,e,f)	(p)->lpVtbl->EnumServiceProviders(p,a,b,c,d,e,f)
#define	IDirectPlay8Server_CancelAsyncOperation(p,a,b)	(p)->lpVtbl->CancelAsyncOperation(p,a,b)
#define	IDirectPlay8Server_GetSendQueueInfo(p,a,b,c,d)	(p)->lpVtbl->GetSendQueueInfo(p,a,b,c,d)
#define	IDirectPlay8Server_GetApplicationDesc(p,a,b,c)	(p)->lpVtbl->GetApplicationDesc(p,a,b,c)
#define	IDirectPlay8Server_SetServerInfo(p,a,b,c,d)	(p)->lpVtbl->SetServerInfo(p,a,b,c,d)
#define	IDirectPlay8Server_GetClientInfo(p,a,b,c,d)	(p)->lpVtbl->GetClientInfo(p,a,b,c,d)
#define	IDirectPlay8Server_GetClientAddress(p,a,b,c)	(p)->lpVtbl->GetClientAddress(p,a,b,c)
#define	IDirectPlay8Server_GetLocalHostAddresses(p,a,b,c)	(p)->lpVtbl->GetLocalHostAddresses(p,a,b,c)
#define	IDirectPlay8Server_SetApplicationDesc(p,a,b)	(p)->lpVtbl->SetApplicationDesc(p,a,b)
#define	IDirectPlay8Server_Host(p,a,b,c,d,e,f,g)	(p)->lpVtbl->Host(p,a,b,c,d,e,f,g)
#define	IDirectPlay8Server_SendTo(p,a,b,c,d,e,f,g)	(p)->lpVtbl->SendTo(p,a,b,c,d,e,f,g)
#define	IDirectPlay8Server_CreateGroup(p,a,b,c,d,e)	(p)->lpVtbl->CreateGroup(p,a,b,c,d,e)
#define	IDirectPlay8Server_DestroyGroup(p,a,b,c,d)	(p)->lpVtbl->DestroyGroup(p,a,b,c,d)
#define	IDirectPlay8Server_AddPlayerToGroup(p,a,b,c,d,e)	(p)->lpVtbl->AddPlayerToGroup(p,a,b,c,d,e)
#define	IDirectPlay8Server_RemovePlayerFromGroup(p,a,b,c,d,e)	(p)->lpVtbl->RemovePlayerFromGroup(p,a,b,c,d,e)
#define	IDirectPlay8Server_SetGroupInfo(p,a,b,c,d,e)	(p)->lpVtbl->SetGroupInfo(p,a,b,c,d,e)
#define	IDirectPlay8Server_GetGroupInfo(p,a,b,c,d)	(p)->lpVtbl->GetGroupInfo(p,a,b,c,d)
#define	IDirectPlay8Server_EnumPlayersAndGroups(p,a,b,c)	(p)->lpVtbl->EnumPlayersAndGroups(p,a,b,c)
#define	IDirectPlay8Server_EnumGroupMembers(p,a,b,c,d)	(p)->lpVtbl->EnumGroupMembers(p,a,b,c,d)
#define	IDirectPlay8Server_Close(p,a)	(p)->lpVtbl->Close(p,a)
#define	IDirectPlay8Server_DestroyClient(p,a,b,c,d)	(p)->lpVtbl->DestroyClient(p,a,b,c,d)
#define	IDirectPlay8Server_ReturnBuffer(p,a,b)	(p)->lpVtbl->ReturnBuffer(p,a,b)
#define	IDirectPlay8Server_GetPlayerContext(p,a,b,c)	(p)->lpVtbl->GetPlayerContext(p,a,b,c)
#define	IDirectPlay8Server_GetGroupContext(p,a,b,c)	(p)->lpVtbl->GetGroupContext(p,a,b,c)
#define	IDirectPlay8Server_GetCaps(p,a,b)	(p)->lpVtbl->GetCaps(p,a,b)
#define	IDirectPlay8Server_SetCaps(p,a,b)	(p)->lpVtbl->SetCaps(p,a,b)
#define	IDirectPlay8Server_SetSPCaps(p,a,b,c)	(p)->lpVtbl->SetSPCaps(p,a,b,c)
#define	IDirectPlay8Server_GetSPCaps(p,a,b,c)	(p)->lpVtbl->GetSPCaps(p,a,b,c)
#define	IDirectPlay8Server_GetConnectionInfo(p,a,b,c)	(p)->lpVtbl->GetConnectionInfo(p,a,b,c)
#define	IDirectPlay8Server_RegisterLobby(p,a,b,c)	(p)->lpVtbl->RegisterLobby(p,a,b,c)
#define	IDirectPlay8Peer_QueryInterface(p,a,b)	(p)->lpVtbl->QueryInterface(p,a,b)
#define	IDirectPlay8Peer_AddRef(p)	(p)->lpVtbl->AddRef(p)
#define	IDirectPlay8Peer_Release(p)	(p)->lpVtbl->Release(p)
#define	IDirectPlay8Peer_Initialize(p,a,b,c)	(p)->lpVtbl->Initialize(p,a,b,c)
#define	IDirectPlay8Peer_EnumServiceProviders(p,a,b,c,d,e,f)	(p)->lpVtbl->EnumServiceProviders(p,a,b,c,d,e,f)
#define	IDirectPlay8Peer_EnumHosts(p,a,b,c,d,e,f,g,h,i,j,k)	(p)->lpVtbl->EnumHosts(p,a,b,c,d,e,f,g,h,i,j,k)
#define	IDirectPlay8Peer_CancelAsyncOperation(p,a,b)	(p)->lpVtbl->CancelAsyncOperation(p,a,b)
#define	IDirectPlay8Peer_Connect(p,a,b,c,d,e,f,g,h,i,j,k)	(p)->lpVtbl->Connect(p,a,b,c,d,e,f,g,h,i,j,k)
#define	IDirectPlay8Peer_SendTo(p,a,b,c,d,e,f,g)	(p)->lpVtbl->SendTo(p,a,b,c,d,e,f,g)
#define	IDirectPlay8Peer_GetSendQueueInfo(p,a,b,c,d)	(p)->lpVtbl->GetSendQueueInfo(p,a,b,c,d)
#define	IDirectPlay8Peer_Host(p,a,b,c,d,e,f,g)	(p)->lpVtbl->Host(p,a,b,c,d,e,f,g)
#define	IDirectPlay8Peer_GetApplicationDesc(p,a,b,c)	(p)->lpVtbl->GetApplicationDesc(p,a,b,c)
#define	IDirectPlay8Peer_SetApplicationDesc(p,a,b)	(p)->lpVtbl->SetApplicationDesc(p,a,b)
#define	IDirectPlay8Peer_CreateGroup(p,a,b,c,d,e)	(p)->lpVtbl->CreateGroup(p,a,b,c,d,e)
#define	IDirectPlay8Peer_DestroyGroup(p,a,b,c,d)	(p)->lpVtbl->DestroyGroup(p,a,b,c,d)
#define	IDirectPlay8Peer_AddPlayerToGroup(p,a,b,c,d,e)	(p)->lpVtbl->AddPlayerToGroup(p,a,b,c,d,e)
#define	IDirectPlay8Peer_RemovePlayerFromGroup(p,a,b,c,d,e)	(p)->lpVtbl->RemovePlayerFromGroup(p,a,b,c,d,e)
#define	IDirectPlay8Peer_SetGroupInfo(p,a,b,c,d,e)	(p)->lpVtbl->SetGroupInfo(p,a,b,c,d,e)
#define	IDirectPlay8Peer_GetGroupInfo(p,a,b,c,d)	(p)->lpVtbl->GetGroupInfo(p,a,b,c,d)
#define	IDirectPlay8Peer_EnumPlayersAndGroups(p,a,b,c)	(p)->lpVtbl->EnumPlayersAndGroups(p,a,b,c)
#define	IDirectPlay8Peer_EnumGroupMembers(p,a,b,c,d)	(p)->lpVtbl->EnumGroupMembers(p,a,b,c,d)
#define	IDirectPlay8Peer_SetPeerInfo(p,a,b,c,d)	(p)->lpVtbl->SetPeerInfo(p,a,b,c,d)
#define	IDirectPlay8Peer_GetPeerInfo(p,a,b,c,d)	(p)->lpVtbl->GetPeerInfo(p,a,b,c,d)
#define	IDirectPlay8Peer_GetPeerAddress(p,a,b,c)	(p)->lpVtbl->GetPeerAddress(p,a,b,c)
#define	IDirectPlay8Peer_GetLocalHostAddresses(p,a,b,c)	(p)->lpVtbl->GetLocalHostAddresses(p,a,b,c)
#define	IDirectPlay8Peer_Close(p,a)	(p)->lpVtbl->Close(p,a)
#define	IDirectPlay8Peer_EnumHosts(p,a,b,c,d,e,f,g,h,i,j,k)	(p)->lpVtbl->EnumHosts(p,a,b,c,d,e,f,g,h,i,j,k)
#define	IDirectPlay8Peer_DestroyPeer(p,a,b,c,d)	(p)->lpVtbl->DestroyPeer(p,a,b,c,d)
#define	IDirectPlay8Peer_ReturnBuffer(p,a,b)	(p)->lpVtbl->ReturnBuffer(p,a,b)
#define	IDirectPlay8Peer_GetPlayerContext(p,a,b,c)	(p)->lpVtbl->GetPlayerContext(p,a,b,c)
#define	IDirectPlay8Peer_GetGroupContext(p,a,b,c)	(p)->lpVtbl->GetGroupContext(p,a,b,c)
#define	IDirectPlay8Peer_GetCaps(p,a,b)	(p)->lpVtbl->GetCaps(p,a,b)
#define	IDirectPlay8Peer_SetCaps(p,a,b)	(p)->lpVtbl->SetCaps(p,a,b)
#define	IDirectPlay8Peer_SetSPCaps(p,a,b,c)	(p)->lpVtbl->SetSPCaps(p,a,b,c)
#define	IDirectPlay8Peer_GetSPCaps(p,a,b,c)	(p)->lpVtbl->GetSPCaps(p,a,b,c)
#define	IDirectPlay8Peer_GetConnectionInfo(p,a,b,c)	(p)->lpVtbl->GetConnectionInfo(p,a,b,c)
#define	IDirectPlay8Peer_RegisterLobby(p,a,b,c)	(p)->lpVtbl->RegisterLobby(p,a,b,c)
#define	IDirectPlay8Peer_TerminateSession(p,a,b,c)	(p)->lpVtbl->TerminateSession(p,a,b,c)
#define _DPN_FACILITY_CODE	21
#define _DPNHRESULT_BASE	0x8000
#define MAKE_DPNHRESULT(code)	MAKE_HRESULT(1,_DPN_FACILITY_CODE,(code + _DPNHRESULT_BASE))
#define DPN_OK	S_OK
#define DPNSUCCESS_EQUAL MAKE_HRESULT(0,_DPN_FACILITY_CODE,(5+ _DPNHRESULT_BASE))
#define DPNSUCCESS_NOTEQUAL MAKE_HRESULT(0,_DPN_FACILITY_CODE,(10+ _DPNHRESULT_BASE))
#define DPNSUCCESS_PENDING	MAKE_HRESULT(0,_DPN_FACILITY_CODE,(14+ _DPNHRESULT_BASE))
#define DPNERR_ABORTED	MAKE_DPNHRESULT48
#define DPNERR_ADDRESSING	MAKE_DPNHRESULT64
#define	DPNERR_ALREADYCLOSING	MAKE_DPNHRESULT80
#define DPNERR_ALREADYCONNECTED	MAKE_DPNHRESULT96
#define DPNERR_ALREADYDISCONNECTING	MAKE_DPNHRESULT112
#define DPNERR_ALREADYINITIALIZED	MAKE_DPNHRESULT128
#define DPNERR_ALREADYREGISTERED	MAKE_DPNHRESULT144
#define DPNERR_BUFFERTOOSMALL	MAKE_DPNHRESULT256
#define DPNERR_CANNOTCANCEL	MAKE_DPNHRESULT272
#define DPNERR_CANTCREATEGROUP	MAKE_DPNHRESULT288
#define DPNERR_CANTCREATEPLAYER	MAKE_DPNHRESULT304
#define DPNERR_CANTLAUNCHAPPLICATION	MAKE_DPNHRESULT320
#define DPNERR_CONNECTING	MAKE_DPNHRESULT336
#define DPNERR_CONNECTIONLOST	MAKE_DPNHRESULT352
#define DPNERR_CONVERSION	MAKE_DPNHRESULT368
#define	DPNERR_DATATOOLARGE	MAKE_DPNHRESULT373
#define DPNERR_DOESNOTEXIST	MAKE_DPNHRESULT384
#define DPNERR_DUPLICATECOMMAND	MAKE_DPNHRESULT400
#define DPNERR_ENDPOINTNOTRECEIVING	MAKE_DPNHRESULT512
#define	DPNERR_ENUMQUERYTOOLARGE	MAKE_DPNHRESULT528
#define	DPNERR_ENUMRESPONSETOOLARGE	MAKE_DPNHRESULT544
#define DPNERR_EXCEPTION	MAKE_DPNHRESULT560
#define DPNERR_GENERIC	E_FAIL
#define DPNERR_GROUPNOTEMPTY	MAKE_DPNHRESULT576
#define DPNERR_HOSTING MAKE_DPNHRESULT592
#define DPNERR_HOSTREJECTEDCONNECTION	MAKE_DPNHRESULT608
#define DPNERR_HOSTTERMINATEDSESSION	MAKE_DPNHRESULT624
#define DPNERR_INCOMPLETEADDRESS	MAKE_DPNHRESULT640
#define DPNERR_INVALIDADDRESSFORMAT	MAKE_DPNHRESULT656
#define DPNERR_INVALIDAPPLICATION	MAKE_DPNHRESULT768
#define DPNERR_INVALIDCOMMAND	MAKE_DPNHRESULT784
#define DPNERR_INVALIDDEVICEADDRESS	MAKE_DPNHRESULT800
#define DPNERR_INVALIDENDPOINT	MAKE_DPNHRESULT816
#define DPNERR_INVALIDFLAGS	MAKE_DPNHRESULT832
#define DPNERR_INVALIDGROUP	MAKE_DPNHRESULT848
#define DPNERR_INVALIDHANDLE	MAKE_DPNHRESULT864
#define DPNERR_INVALIDHOSTADDRESS	MAKE_DPNHRESULT880
#define DPNERR_INVALIDINSTANCE	MAKE_DPNHRESULT896
#define DPNERR_INVALIDINTERFACE	MAKE_DPNHRESULT912
#define DPNERR_INVALIDOBJECT	MAKE_DPNHRESULT1024
#define DPNERR_INVALIDPARAM	E_INVALIDARG
#define DPNERR_INVALIDPASSWORD	MAKE_DPNHRESULT1040
#define DPNERR_INVALIDPLAYER	MAKE_DPNHRESULT1056
#define DPNERR_INVALIDPOINTER	E_POINTER
#define DPNERR_INVALIDPRIORITY	MAKE_DPNHRESULT1072
#define DPNERR_INVALIDSTRING	MAKE_DPNHRESULT1088
#define DPNERR_INVALIDURL	MAKE_DPNHRESULT1104
#define	DPNERR_INVALIDVERSION	MAKE_DPNHRESULT1120
#define DPNERR_NOCAPS	MAKE_DPNHRESULT1136
#define DPNERR_NOCONNECTION	MAKE_DPNHRESULT1152
#define DPNERR_NOHOSTPLAYER	MAKE_DPNHRESULT1168
#define DPNERR_NOINTERFACE	E_NOINTERFACE
#define DPNERR_NOMOREADDRESSCOMPONENTS	MAKE_DPNHRESULT1280
#define DPNERR_NORESPONSE	MAKE_DPNHRESULT1296
#define DPNERR_NOTALLOWED	MAKE_DPNHRESULT1312
#define DPNERR_NOTHOST	MAKE_DPNHRESULT1328
#define DPNERR_NOTREADY	MAKE_DPNHRESULT1344
#define DPNERR_NOTREGISTERED	MAKE_DPNHRESULT1360
#define DPNERR_OUTOFMEMORY	E_OUTOFMEMORY
#define DPNERR_PENDING	DPNSUCCESS_PENDING
#define DPNERR_PLAYERALREADYINGROUP MAKE_DPNHRESULT1376
#define DPNERR_PLAYERLOST	MAKE_DPNHRESULT1392
#define DPNERR_PLAYERNOTINGROUP MAKE_DPNHRESULT1408
#define	DPNERR_PLAYERNOTREACHABLE	MAKE_DPNHRESULT1424
#define DPNERR_SENDTOOLARGE	MAKE_DPNHRESULT1536
#define DPNERR_SESSIONFULL	MAKE_DPNHRESULT1552
#define DPNERR_TABLEFULL	MAKE_DPNHRESULT1568
#define DPNERR_TIMEDOUT	MAKE_DPNHRESULT1584
#define DPNERR_UNINITIALIZED	MAKE_DPNHRESULT1600
#define DPNERR_UNSUPPORTED	E_NOTIMPL
#define DPNERR_USERCANCEL	MAKE_DPNHRESULT1616
#endif
