#ifndef __DPLOBBY_INCLUDED__
#define __DPLOBBY_INCLUDED__
#include "dplay.h"
DEFINE_GUID(IID_IDirectPlayLobby, 0xaf465c71, 0x9588, 4559, 160, 32, 0, 170, 0, 97, 87, 172);
DEFINE_GUID(IID_IDirectPlayLobbyA, 0x26c66a70, 0xb367, 4559, 160, 36, 0, 170, 0, 97, 87, 172);
DEFINE_GUID(IID_IDirectPlayLobby2, 0x194c220, 0xa303, 4560, 156, 79, 0, 160, 201, 5, 66, 94);
DEFINE_GUID(IID_IDirectPlayLobby2A, 0x1bb4af80, 0xa303, 4560, 156, 79, 0, 160, 201, 5, 66, 94);
DEFINE_GUID(IID_IDirectPlayLobby3, 0x2db72490, 0x652c, 4561, 167, 168, 0, 0, 248, 3, 171, 252);
DEFINE_GUID(IID_IDirectPlayLobby3A, 0x2db72491, 0x652c, 4561, 167, 168, 0, 0, 248, 3, 171, 252);
DEFINE_GUID(CLSID_DirectPlayLobby, 0x2fe8f810, 0xb2a5, 4560, 167, 135, 0, 0, 248, 3, 171, 252);
typedef struct IDirectPlayLobby *LPDIRECTPLAYLOBBY;
typedef struct IDirectPlayLobby *LPDIRECTPLAYLOBBYA;
typedef struct IDirectPlayLobby IDirectPlayLobbyA;
typedef struct IDirectPlayLobby2 *LPDIRECTPLAYLOBBY2;
typedef struct IDirectPlayLobby2 *LPDIRECTPLAYLOBBY2A;
typedef struct IDirectPlayLobby2 IDirectPlayLobby2A;
typedef struct IDirectPlayLobby3 *LPDIRECTPLAYLOBBY3;
typedef struct IDirectPlayLobby3 *LPDIRECTPLAYLOBBY3A;
typedef struct IDirectPlayLobby3 IDirectPlayLobby3A;
typedef struct DPLAPPINFO
{
DWORD dwSize; 
GUID guidApplication; 
union
{
LPSTR lpszAppNameA; 
LPWSTR lpszAppName;
};
} DPLAPPINFO, *LPDPLAPPINFO;
typedef const DPLAPPINFO *LPCDPLAPPINFO;
typedef struct DPCOMPOUNDADDRESSELEMENT
{
GUID guidDataType;
DWORD dwDataSize;
LPVOID	lpData;
} DPCOMPOUNDADDRESSELEMENT, *LPDPCOMPOUNDADDRESSELEMENT;
typedef const DPCOMPOUNDADDRESSELEMENT *LPCDPCOMPOUNDADDRESSELEMENT;
typedef struct DPAPPLICATIONDESC
{
DWORD dwSize;
DWORD dwFlags;
union
{
LPSTR lpszApplicationNameA;
LPWSTR lpszApplicationName;
};
GUID guidApplication;
union
{
LPSTR lpszFilenameA;
LPWSTR lpszFilename;
};
union
{
LPSTR lpszCommandLineA;
LPWSTR lpszCommandLine;
};
union
{
LPSTR lpszPathA;
LPWSTR lpszPath;
};
union
{
LPSTR lpszCurrentDirectoryA;
LPWSTR lpszCurrentDirectory;
};
LPSTR lpszDescriptionA;
LPWSTR lpszDescriptionW;
} DPAPPLICATIONDESC, *LPDPAPPLICATIONDESC;
typedef struct DPAPPLICATIONDESC2
{
DWORD dwSize;
DWORD dwFlags;
union
{
LPSTR lpszApplicationNameA;
LPWSTR lpszApplicationName;
};
GUID guidApplication;
union
{
LPSTR lpszFilenameA;
LPWSTR lpszFilename;
};
union
{
LPSTR lpszCommandLineA;
LPWSTR lpszCommandLine;
};
union
{
LPSTR lpszPathA;
LPWSTR lpszPath;
};
union
{
LPSTR lpszCurrentDirectoryA;
LPWSTR lpszCurrentDirectory;
};
LPSTR lpszDescriptionA;
LPWSTR lpszDescriptionW;
union
{
LPSTR	lpszAppLauncherNameA;
LPWSTR lpszAppLauncherName;
};
} DPAPPLICATIONDESC2, *LPDPAPPLICATIONDESC2;
typedef BOOL (FAR PASCAL *LPDPENUMADDRESSCALLBACK)(REFGUID guidDataType, DWORD dwDataSize, LPCVOID lpData, LPVOID lpContext);
typedef BOOL (FAR PASCAL *LPDPLENUMADDRESSTYPESCALLBACK)(REFGUID guidDataType, LPVOID lpContext, DWORD dwFlags);
typedef BOOL (FAR PASCAL * LPDPLENUMLOCALAPPLICATIONSCALLBACK)(LPCDPLAPPINFO lpAppInfo, LPVOID lpContext, DWORD dwFlags);
#ifdef UNICODE
#define DirectPlayLobbyCreate DirectPlayLobbyCreateW
#else
#define DirectPlayLobbyCreate DirectPlayLobbyCreateA
#endif 
extern HRESULT WINAPI DirectPlayLobbyCreateW(LPGUID, LPDIRECTPLAYLOBBY *, IUnknown *, LPVOID, DWORD);
extern HRESULT WINAPI DirectPlayLobbyCreateA(LPGUID, LPDIRECTPLAYLOBBYA *, IUnknown *, LPVOID, DWORD);
#undef INTERFACE
#define INTERFACE IDirectPlayLobby
DECLARE_INTERFACE_(IDirectPlayLobby, IUnknown)
{
STDMETHOD(QueryInterface) (THIS_ REFIID riid, LPVOID * ppvObj) ;
STDMETHOD_(ULONG,AddRef) (THIS) ;
STDMETHOD_(ULONG,Release) (THIS) ;
STDMETHOD(Connect) (THIS_ DWORD, LPDIRECTPLAY2 *, IUnknown *) ;
STDMETHOD(CreateAddress) (THIS_ REFGUID, REFGUID, LPCVOID, DWORD, LPVOID, LPDWORD) ;
STDMETHOD(EnumAddress) (THIS_ LPDPENUMADDRESSCALLBACK, LPCVOID, DWORD, LPVOID) ;
STDMETHOD(EnumAddressTypes) (THIS_ LPDPLENUMADDRESSTYPESCALLBACK, REFGUID, LPVOID, DWORD) ;
STDMETHOD(EnumLocalApplications)(THIS_ LPDPLENUMLOCALAPPLICATIONSCALLBACK, LPVOID, DWORD) ;
STDMETHOD(GetConnectionSettings)(THIS_ DWORD, LPVOID, LPDWORD) ;
STDMETHOD(ReceiveLobbyMessage) (THIS_ DWORD, DWORD, LPDWORD, LPVOID, LPDWORD) ;
STDMETHOD(RunApplication) (THIS_ DWORD, LPDWORD, LPDPLCONNECTION, HANDLE) ;
STDMETHOD(SendLobbyMessage) (THIS_ DWORD, DWORD, LPVOID, DWORD) ;
STDMETHOD(SetConnectionSettings)(THIS_ DWORD, DWORD, LPDPLCONNECTION) ;
STDMETHOD(SetLobbyMessageEvent) (THIS_ DWORD, DWORD, HANDLE) ;
};
#undef INTERFACE
#define INTERFACE IDirectPlayLobby2
DECLARE_INTERFACE_(IDirectPlayLobby2, IDirectPlayLobby)
{
STDMETHOD(QueryInterface) (THIS_ REFIID riid, LPVOID * ppvObj) ;
STDMETHOD_(ULONG,AddRef) (THIS) ;
STDMETHOD_(ULONG,Release) (THIS) ;
STDMETHOD(Connect) (THIS_ DWORD, LPDIRECTPLAY2 *, IUnknown *) ;
STDMETHOD(CreateAddress) (THIS_ REFGUID, REFGUID, LPCVOID, DWORD, LPVOID, LPDWORD) ;
STDMETHOD(EnumAddress) (THIS_ LPDPENUMADDRESSCALLBACK, LPCVOID, DWORD, LPVOID) ;
STDMETHOD(EnumAddressTypes) (THIS_ LPDPLENUMADDRESSTYPESCALLBACK, REFGUID, LPVOID, DWORD) ;
STDMETHOD(EnumLocalApplications)(THIS_ LPDPLENUMLOCALAPPLICATIONSCALLBACK, LPVOID, DWORD) ;
STDMETHOD(GetConnectionSettings)(THIS_ DWORD, LPVOID, LPDWORD) ;
STDMETHOD(ReceiveLobbyMessage) (THIS_ DWORD, DWORD, LPDWORD, LPVOID, LPDWORD) ;
STDMETHOD(RunApplication) (THIS_ DWORD, LPDWORD, LPDPLCONNECTION, HANDLE) ;
STDMETHOD(SendLobbyMessage) (THIS_ DWORD, DWORD, LPVOID, DWORD) ;
STDMETHOD(SetConnectionSettings)(THIS_ DWORD, DWORD, LPDPLCONNECTION) ;
STDMETHOD(SetLobbyMessageEvent) (THIS_ DWORD, DWORD, HANDLE) ;
STDMETHOD(CreateCompoundAddress)(THIS_ LPCDPCOMPOUNDADDRESSELEMENT,DWORD,LPVOID,LPDWORD) ;
};
#undef INTERFACE
#define INTERFACE IDirectPlayLobby3
DECLARE_INTERFACE_(IDirectPlayLobby3, IDirectPlayLobby)
{
STDMETHOD(QueryInterface) (THIS_ REFIID riid, LPVOID * ppvObj) ;
STDMETHOD_(ULONG,AddRef) (THIS) ;
STDMETHOD_(ULONG,Release) (THIS) ;
STDMETHOD(Connect) (THIS_ DWORD, LPDIRECTPLAY2 *, IUnknown *) ;
STDMETHOD(CreateAddress) (THIS_ REFGUID, REFGUID, LPCVOID, DWORD, LPVOID, LPDWORD) ;
STDMETHOD(EnumAddress) (THIS_ LPDPENUMADDRESSCALLBACK, LPCVOID, DWORD, LPVOID) ;
STDMETHOD(EnumAddressTypes) (THIS_ LPDPLENUMADDRESSTYPESCALLBACK, REFGUID, LPVOID, DWORD) ;
STDMETHOD(EnumLocalApplications)(THIS_ LPDPLENUMLOCALAPPLICATIONSCALLBACK, LPVOID, DWORD) ;
STDMETHOD(GetConnectionSettings)(THIS_ DWORD, LPVOID, LPDWORD) ;
STDMETHOD(ReceiveLobbyMessage) (THIS_ DWORD, DWORD, LPDWORD, LPVOID, LPDWORD) ;
STDMETHOD(RunApplication) (THIS_ DWORD, LPDWORD, LPDPLCONNECTION, HANDLE) ;
STDMETHOD(SendLobbyMessage) (THIS_ DWORD, DWORD, LPVOID, DWORD) ;
STDMETHOD(SetConnectionSettings)(THIS_ DWORD, DWORD, LPDPLCONNECTION) ;
STDMETHOD(SetLobbyMessageEvent) (THIS_ DWORD, DWORD, HANDLE) ;
STDMETHOD(CreateCompoundAddress)(THIS_ LPCDPCOMPOUNDADDRESSELEMENT,DWORD,LPVOID,LPDWORD) ;
STDMETHOD(ConnectEx) (THIS_ DWORD, REFIID, LPVOID *, IUnknown *) ;
STDMETHOD(RegisterApplication) (THIS_ DWORD, LPVOID) ;
STDMETHOD(UnregisterApplication)(THIS_ DWORD, REFGUID) ;
STDMETHOD(WaitForConnectionSettings)(THIS_ DWORD) ;
};
#define IDirectPlayLobby_QueryInterface(p,a,b) (p)->lpVtbl->QueryInterface(p,a,b)
#define IDirectPlayLobby_AddRef(p) (p)->lpVtbl->AddRef(p)
#define IDirectPlayLobby_Release(p) (p)->lpVtbl->Release(p)
#define IDirectPlayLobby_Connect(p,a,b,c) (p)->lpVtbl->Connect(p,a,b,c)
#define IDirectPlayLobby_ConnectEx(p,a,b,c,d) (p)->lpVtbl->ConnectEx(p,a,b,c,d)
#define IDirectPlayLobby_CreateAddress(p,a,b,c,d,e,f) (p)->lpVtbl->CreateAddress(p,a,b,c,d,e,f)
#define IDirectPlayLobby_CreateCompoundAddress(p,a,b,c,d) (p)->lpVtbl->CreateCompoundAddress(p,a,b,c,d)
#define IDirectPlayLobby_EnumAddress(p,a,b,c,d) (p)->lpVtbl->EnumAddress(p,a,b,c,d)
#define IDirectPlayLobby_EnumAddressTypes(p,a,b,c,d) (p)->lpVtbl->EnumAddressTypes(p,a,b,c,d)
#define IDirectPlayLobby_EnumLocalApplications(p,a,b,c) (p)->lpVtbl->EnumLocalApplications(p,a,b,c)
#define IDirectPlayLobby_GetConnectionSettings(p,a,b,c) (p)->lpVtbl->GetConnectionSettings(p,a,b,c)
#define IDirectPlayLobby_ReceiveLobbyMessage(p,a,b,c,d,e) (p)->lpVtbl->ReceiveLobbyMessage(p,a,b,c,d,e)
#define IDirectPlayLobby_RegisterApplication(p,a,b) (p)->lpVtbl->RegisterApplication(p,a,b)
#define IDirectPlayLobby_RunApplication(p,a,b,c,d) (p)->lpVtbl->RunApplication(p,a,b,c,d)
#define IDirectPlayLobby_SendLobbyMessage(p,a,b,c,d) (p)->lpVtbl->SendLobbyMessage(p,a,b,c,d)
#define IDirectPlayLobby_SetConnectionSettings(p,a,b,c)	(p)->lpVtbl->SetConnectionSettings(p,a,b,c)
#define IDirectPlayLobby_SetLobbyMessageEvent(p,a,b,c)	(p)->lpVtbl->SetLobbyMessageEvent(p,a,b,c)
#define IDirectPlayLobby_UnregisterApplication(p,a,b) (p)->lpVtbl->UnregisterApplication(p,a,b)
#define IDirectPlayLobby_WaitForConnectionSettings(p,a) (p)->lpVtbl->WaitForConnectionSettings(p,a)
#define DPLWAIT_CANCEL 1
#define DPLMSG_SYSTEM	1
#define DPLMSG_STANDARD	2
typedef struct _DPLMSG_GENERIC
{
DWORD dwType; 
} DPLMSG_GENERIC, *LPDPLMSG_GENERIC;
typedef struct _DPLMSG_SYSTEMMESSAGE
{
DWORD dwType; 
GUID guidInstance; 
} DPLMSG_SYSTEMMESSAGE, *LPDPLMSG_SYSTEMMESSAGE;
typedef struct _DPLMSG_SETPROPERTY
{
DWORD	dwType;	
DWORD	dwRequestID;	
GUID	guidPlayer;	
GUID	guidPropertyTag;	
DWORD	dwDataSize;	
DWORD	dwPropertyData[1];	
} DPLMSG_SETPROPERTY, *LPDPLMSG_SETPROPERTY;
#define	DPL_NOCONFIRMATION	0
typedef struct _DPLMSG_SETPROPERTYRESPONSE
{
DWORD	dwType;	
DWORD	dwRequestID;	
GUID	guidPlayer;	
GUID	guidPropertyTag;	
HRESULT	hr;	
} DPLMSG_SETPROPERTYRESPONSE, *LPDPLMSG_SETPROPERTYRESPONSE;
typedef struct _DPLMSG_GETPROPERTY
{
DWORD	dwType;	
DWORD	dwRequestID;	
GUID	guidPlayer;	
GUID	guidPropertyTag;	
} DPLMSG_GETPROPERTY, *LPDPLMSG_GETPROPERTY;
typedef struct _DPLMSG_GETPROPERTYRESPONSE
{
DWORD	dwType;	
DWORD	dwRequestID;	
GUID	guidPlayer;	
GUID	guidPropertyTag;	
HRESULT	hr;	
DWORD	dwDataSize;	
DWORD	dwPropertyData[1];	
} DPLMSG_GETPROPERTYRESPONSE, *LPDPLMSG_GETPROPERTYRESPONSE;
typedef struct _DPLMSG_NEWSESSIONHOST
{
DWORD dwType; 
GUID guidInstance; 
} DPLMSG_NEWSESSIONHOST, *LPDPLMSG_NEWSESSIONHOST;
#define DPLSYS_CONNECTIONSETTINGSREAD 1
#define DPLSYS_DPLAYCONNECTFAILED 2
#define DPLSYS_DPLAYCONNECTSUCCEEDED 3
#define DPLSYS_APPTERMINATED 4
#define DPLSYS_SETPROPERTY	5
#define DPLSYS_SETPROPERTYRESPONSE	6
#define DPLSYS_GETPROPERTY	7
#define DPLSYS_GETPROPERTYRESPONSE	8
#define DPLSYS_NEWSESSIONHOST 9
#define DPLSYS_NEWCONNECTIONSETTINGS 10
DEFINE_GUID(DPLPROPERTY_MessagesSupported,  0x762ccda1, 0xd916, 4560, 186, 57, 0, 192, 79, 215, 237, 103);
DEFINE_GUID(DPLPROPERTY_LobbyGuid,  0xf56920a0, 0xd218, 4560, 186, 57, 0, 192, 79, 215, 237, 103);
DEFINE_GUID(DPLPROPERTY_PlayerGuid,  0xb4319322, 0xd20d, 4560, 186, 57, 0, 192, 79, 215, 237, 103);
typedef struct _DPLDATA_PLAYERGUID
{
GUID	guidPlayer;
DWORD	dwPlayerFlags;
} DPLDATA_PLAYERGUID, *LPDPLDATA_PLAYERGUID;
DEFINE_GUID(DPLPROPERTY_PlayerScore,  0x48784000, 0xd219, 4560, 186, 57, 0, 192, 79, 215, 237, 103);
typedef struct _DPLDATA_PLAYERSCORE
{
DWORD	dwScoreCount;
LONG	Score[1];
} DPLDATA_PLAYERSCORE, *LPDPLDATA_PLAYERSCORE;
typedef struct _DPADDRESS
{
GUID guidDataType;
DWORD dwDataSize;
} DPADDRESS;
typedef DPADDRESS *LPDPADDRESS;
DEFINE_GUID(DPAID_TotalSize,  0x1318f560, 0x912c, 4560, 157, 170, 0, 160, 201, 10, 67, 203);
DEFINE_GUID(DPAID_ServiceProvider,  0x7d916c0, 0xe0af, 4559, 156, 78, 0, 160, 201, 5, 66, 94);
DEFINE_GUID(DPAID_LobbyProvider,  0x59b95640, 0x9667, 4560, 167, 125, 0, 0, 248, 3, 171, 252);
DEFINE_GUID(DPAID_Phone,  0x78ec89a0, 0xe0af, 4559, 156, 78, 0, 160, 201, 5, 66, 94);
DEFINE_GUID(DPAID_PhoneW,  0xba5a7a70, 0x9dbf, 4560, 156, 193, 0, 160, 201, 5, 66, 94);
DEFINE_GUID(DPAID_Modem,  0xf6dcc200, 0xa2fe, 4560, 156, 79, 0, 160, 201, 5, 66, 94);
DEFINE_GUID(DPAID_ModemW,  0x1fd92e0, 0xa2ff, 4560, 156, 79, 0, 160, 201, 5, 66, 94);
DEFINE_GUID(DPAID_INet,  0xc4a54da0, 0xe0af, 4559, 156, 78, 0, 160, 201, 5, 66, 94);
DEFINE_GUID(DPAID_INetW,  0xe63232a0, 0x9dbf, 4560, 156, 193, 0, 160, 201, 5, 66, 94);
DEFINE_GUID(DPAID_INetPort,  0xe4524541, 0x8ea5, 4561, 138, 150, 0, 96, 151, 176, 20, 17);
#ifdef BIGMESSAGEDEFENSE
#endif
#define DPCPA_NOFLOW 0 
#define DPCPA_XONXOFFFLOW 1 
#define DPCPA_RTSFLOW 2 
#define DPCPA_DTRFLOW 3 
#define DPCPA_RTSDTRFLOW 4 
typedef struct _DPCOMPORTADDRESS
{
DWORD dwComPort; 
DWORD dwBaudRate; 
DWORD dwStopBits; 
DWORD dwParity; 
DWORD dwFlowControl; 
} DPCOMPORTADDRESS;
typedef DPCOMPORTADDRESS *LPDPCOMPORTADDRESS;
DEFINE_GUID(DPAID_ComPort,  0xf2f0ce00, 0xe0af, 4559, 156, 78, 0, 160, 201, 5, 66, 94);
#define DPLAD_SYSTEM DPLMSG_SYSTEM
#endif 
