DEFINE_GUID(CLSID_DsAdminCreateObj,  0xe301a009, 0xf901, 4562, 130, 185, 0, 192, 79, 104, 146, 139);
DEFINE_GUID(IID_IDsAdminCreateObj,  0x53554a38, 0xf902, 4562, 130, 185, 0, 192, 79, 104, 146, 139);
DEFINE_GUID(IID_IDsAdminNewObj,  0xf2573587, 0xe6fc, 4562, 130, 175, 0, 192, 79, 104, 146, 139);
DEFINE_GUID(IID_IDsAdminNewObjPrimarySite,  0xbe2b487e, 0xf904, 4562, 130, 185, 0, 192, 79, 104, 146, 139);
DEFINE_GUID(IID_IDsAdminNewObjExt,  0x6088eae2, 0xe7bf, 4562, 130, 175, 0, 192, 79, 104, 146, 139);
DEFINE_GUID(IID_IDsAdminNotifyHandler,  0xe4a2b8b3, 0x5a18, 4562, 151, 193, 0, 160, 201, 160, 109, 45);
#ifndef _dsadmin_h__
#define _dsadmin_h__
#undef INTERFACE
#define INTERFACE IDsAdminCreateObj
DECLARE_INTERFACE_(IDsAdminCreateObj, IUnknown)
{
STDMETHOD(QueryInterface)(THIS_ REFIID riid, LPVOID * ppvObj) ;
STDMETHOD_(ULONG,AddRef)(THIS) ;
STDMETHOD_(ULONG,Release)(THIS) ;
STDMETHOD(Initialize)(THIS_  IADsContainer* pADsContainerObj,  IADs* pADsCopySource, LPCWSTR lpszClassName) ;
STDMETHOD(CreateModal)(THIS_  HWND hwndParent,  IADs** ppADsObj) ;
};
#undef INTERFACE
#define INTERFACE IDsAdminNewObj
DECLARE_INTERFACE_(IDsAdminNewObj, IUnknown)
{
STDMETHOD(QueryInterface)(THIS_ REFIID riid, LPVOID * ppvObj) ;
STDMETHOD_(ULONG,AddRef)(THIS) ;
STDMETHOD_(ULONG,Release)(THIS) ;
STDMETHOD(SetButtons)(THIS_  ULONG nCurrIndex,  BOOL bValid) ; 
STDMETHOD(GetPageCounts)(THIS_  LONG* pnTotal, LONG* pnStartIndex) ; 
};
#undef INTERFACE
#define INTERFACE IDsAdminNewObjPrimarySite
DECLARE_INTERFACE_(IDsAdminNewObjPrimarySite, IUnknown)
{
STDMETHOD(QueryInterface)(THIS_ REFIID riid, LPVOID * ppvObj) ;
STDMETHOD_(ULONG,AddRef)(THIS) ;
STDMETHOD_(ULONG,Release)(THIS) ;
STDMETHOD(CreateNew)(THIS_  LPCWSTR pszName) ;
STDMETHOD(Commit)(THIS_) ;
};
typedef struct { DWORD dwSize; HICON hObjClassIcon; LPWSTR lpszWizTitle; LPWSTR lpszContDisplayName; } DSA_NEWOBJ_DISPINFO, * LPDSA_NEWOBJ_DISPINFO;
#define DSA_NEWOBJ_CTX_PRECOMMIT 1
#define DSA_NEWOBJ_CTX_COMMIT 2
#define DSA_NEWOBJ_CTX_POSTCOMMIT 3
#define DSA_NEWOBJ_CTX_CLEANUP 4
#undef INTERFACE
#define INTERFACE IDsAdminNewObjExt
DECLARE_INTERFACE_(IDsAdminNewObjExt, IUnknown)
{
STDMETHOD(QueryInterface)(THIS_ REFIID riid, LPVOID * ppvObj) ;
STDMETHOD_(ULONG,AddRef)(THIS) ;
STDMETHOD_(ULONG,Release)(THIS) ;
STDMETHOD(Initialize)(THIS_  IADsContainer* pADsContainerObj,  IADs* pADsCopySource, LPCWSTR lpszClassName, IDsAdminNewObj* pDsAdminNewObj, LPDSA_NEWOBJ_DISPINFO pDispInfo) ;
STDMETHOD(AddPages)(THIS_  LPFNADDPROPSHEETPAGE lpfnAddPage,  LPARAM lParam) ;
STDMETHOD(SetObject)(THIS_  IADs* pADsObj) ;
STDMETHOD(WriteData)(THIS_  HWND hWnd,  ULONG uContext) ;
STDMETHOD(OnError)(THIS_  HWND hWnd,  HRESULT hr, ULONG uContext) ;
STDMETHOD(GetSummaryInfo)(THIS_ BSTR* pBstrText) ;
};
#define DSA_NOTIFY_DEL 1
#define DSA_NOTIFY_REN 2
#define DSA_NOTIFY_MOV 4
#define DSA_NOTIFY_PROP 8
#define DSA_NOTIFY_ALL (DSA_NOTIFY_DEL|DSA_NOTIFY_REN|DSA_NOTIFY_MOV|DSA_NOTIFY_PROP)
#define DSA_NOTIFY_FLAG_ADDITIONAL_DATA 2
#define DSA_NOTIFY_FLAG_FORCE_ADDITIONAL_DATA 1
#undef INTERFACE
#define INTERFACE IDsAdminNotifyHandler
DECLARE_INTERFACE_(IDsAdminNotifyHandler, IUnknown)
{
STDMETHOD(QueryInterface)(THIS_ REFIID riid, LPVOID * ppvObj) ;
STDMETHOD_(ULONG,AddRef)(THIS) ;
STDMETHOD_(ULONG,Release)(THIS) ;
STDMETHOD(Initialize)(THIS_  IDataObject* pExtraInfo,  ULONG* puEventFlags) ;
STDMETHOD(Begin)(THIS_  ULONG uEvent, IDataObject* pArg1, IDataObject* pArg2, ULONG* puFlags, BSTR* pBstr) ;
STDMETHOD(Notify)(THIS_  ULONG nItem,  ULONG uFlags) ; 
STDMETHOD(End)(THIS_) ; 
};
#endif 
