#ifndef __dvoice_h__
#define __dvoice_h__
#include <ole2.h>	
#include <mmsystem.h>
#include <mmreg.h>
#include <msacm.h>
#include "dsound.h"
DEFINE_GUID(CLSID_DirectPlayVoiceClient,0xb9f3eb85,0xb781,0x4ac1,141,144,147,160,94,227,125,125);
DEFINE_GUID(CLSID_DirectPlayVoiceServer,0xd3f5b8e6,0x9b78,0x4a4c,148,234,202,35,151,182,99,211);
DEFINE_GUID(CLSID_DirectPlayVoiceTest,0xf0f094b,0xb01c,0x4091,161,77,221,12,216,7,113,26);
DEFINE_GUID(IID_IDirectPlayVoiceClient,0x1dfdc8ea,0xbcf7,0x41d6,178,149,171,100,179,178,51,6);
DEFINE_GUID(IID_IDirectPlayVoiceServer,0xfaa1c173,1128,0x43b6,138,42,234,138,79,32,118,201);
DEFINE_GUID(IID_IDirectPlayVoiceTest,0xd26af734,0x208b,0x41da,130,36,224,206,121,129,11,225);
DEFINE_GUID(DPVCTGUID_ADPCM,0x699b52c1,0xa885,0x46a8,163,8,151,23,36,25,173,199);
DEFINE_GUID(DPVCTGUID_GSM,0x24768c60,0x5a0d,4563,155,228,82,84,0,217,133,231);
DEFINE_GUID(DPVCTGUID_NONE,0x8de12fd4,0x7cb3,0x48ce,167,232,156,71,162,46,138,197);
DEFINE_GUID(DPVCTGUID_SC03,0x7d82a29b,0x2242,0x4f82,143,57,93,17,83,223,62,65);
DEFINE_GUID(DPVCTGUID_SC06,0x53def900,0x7168,0x4633,180,127,209,67,145,106,19,199);
DEFINE_GUID(DPVCTGUID_TRUESPEECH,0xd7954361,0x5a0b,4563,155,228,82,84,0,217,133,231);
DEFINE_GUID(DPVCTGUID_VR12,0xfe44a9fe,0x8ed4,0x48bf,157,102,27,26,223,249,255,109);
#define DPVCTGUID_DEFAULT	DPVCTGUID_SC03
typedef struct IDirectPlayVoiceClient *LPDIRECTPLAYVOICECLIENT,*PDIRECTPLAYVOICECLIENT;
typedef struct IDirectPlayVoiceServer *LPDIRECTPLAYVOICESERVER,*PDIRECTPLAYVOICESERVER;
typedef struct IDirectPlayVoiceTest *LPDIRECTPLAYVOICETEST,*PDIRECTPLAYVOICETEST;
typedef HRESULT (PASCAL *PDVMESSAGEHANDLER)(PVOID ,DWORD ,LPVOID lpMessage );
typedef PDVMESSAGEHANDLER LPDVMESSAGEHANDLER;
typedef DWORD DVID,*LPDVID,*PDVID;
#define DVMSGID_BASE 0
#define DVMSGID_MINBASE (DVMSGID_CREATEVOICEPLAYER)
#define DVMSGID_CREATEVOICEPLAYER (DVMSGID_BASE+1)
#define DVMSGID_DELETEVOICEPLAYER (DVMSGID_BASE+2)
#define DVMSGID_SESSIONLOST (DVMSGID_BASE+3)
#define DVMSGID_PLAYERVOICESTART (DVMSGID_BASE+4)
#define DVMSGID_PLAYERVOICESTOP (DVMSGID_BASE+5)
#define DVMSGID_RECORDSTART (DVMSGID_BASE+6)
#define DVMSGID_RECORDSTOP (DVMSGID_BASE+7)
#define DVMSGID_CONNECTRESULT (DVMSGID_BASE+8)
#define DVMSGID_DISCONNECTRESULT (DVMSGID_BASE+9)
#define DVMSGID_INPUTLEVEL (DVMSGID_BASE+10)
#define DVMSGID_OUTPUTLEVEL (DVMSGID_BASE+11)
#define DVMSGID_HOSTMIGRATED (DVMSGID_BASE+12)
#define DVMSGID_SETTARGETS (DVMSGID_BASE+13)
#define DVMSGID_PLAYEROUTPUTLEVEL (DVMSGID_BASE+14)
#define DVMSGID_LOSTFOCUS (DVMSGID_BASE+16)
#define DVMSGID_GAINFOCUS (DVMSGID_BASE+17)
#define DVMSGID_LOCALHOSTSETUP	(DVMSGID_BASE+18)
#define DVMSGID_MAXBASE (DVMSGID_LOCALHOSTSETUP)
#define DVBUFFERAGGRESSIVENESS_MIN 1
#define DVBUFFERAGGRESSIVENESS_MAX 100
#define DVBUFFERAGGRESSIVENESS_DEFAULT 0
#define DVBUFFERQUALITY_MIN 1
#define DVBUFFERQUALITY_MAX 100
#define DVBUFFERQUALITY_DEFAULT 0
#define DVID_SYS 0
#define DVID_SERVERPLAYER 1
#define DVID_ALLPLAYERS 0
#define DVID_REMAINING 0xffffffff
#define DVINPUTLEVEL_MIN 0
#define DVINPUTLEVEL_MAX 99
#define DVNOTIFYPERIOD_MINPERIOD 20
#define DVPLAYBACKVOLUME_DEFAULT DSBVOLUME_MAX
#define DVRECORDVOLUME_LAST 1
#define DVTHRESHOLD_DEFAULT 0xffffffff
#define DVTHRESHOLD_MIN 0
#define DVTHRESHOLD_MAX 99
#define DVTHRESHOLD_UNUSED 0xfffffffe
#define DVSESSIONTYPE_PEER 1
#define DVSESSIONTYPE_MIXING 2
#define DVSESSIONTYPE_FORWARDING 3
#define DVSESSIONTYPE_ECHO 4
#define DVCLIENTCONFIG_AUTORECORDVOLUME 8
#define DVCLIENTCONFIG_AUTOVOICEACTIVATED 32
#define DVCLIENTCONFIG_ECHOSUPPRESSION 0x8000000
#define DVCLIENTCONFIG_MANUALVOICEACTIVATED 4
#define DVCLIENTCONFIG_MUTEGLOBAL 16
#define DVCLIENTCONFIG_PLAYBACKMUTE 2
#define DVCLIENTCONFIG_RECORDMUTE 1
#define DVFLAGS_SYNC 1
#define DVFLAGS_QUERYONLY 2
#define DVFLAGS_NOHOSTMIGRATE 8
#define DVFLAGS_ALLOWBACK 16
#define DVSESSION_NOHOSTMIGRATION 1
#define DVSESSION_SERVERCONTROLTARGET 2
#define DVSOUNDCONFIG_NORMALMODE 1
#define DVSOUNDCONFIG_AUTOSELECT 2
#define DVSOUNDCONFIG_HALFDUPLEX 4
#define DVSOUNDCONFIG_NORECVOLAVAILABLE 16
#define DVSOUNDCONFIG_NOFOCUS 0x20000000
#define DVSOUNDCONFIG_SETCONVERSIONQUALITY	8
#define DVSOUNDCONFIG_STRICTFOCUS 0x40000000
#define DVPLAYERCAPS_HALFDUPLEX 1
#define DVPLAYERCAPS_LOCAL 2
typedef struct
{
DWORD dwSize; 
DWORD dwFlags; 
} DVCAPS,*LPDVCAPS,*PDVCAPS;
typedef struct
{
DWORD dwSize; 
DWORD dwFlags; 
LONG lRecordVolume; 
LONG lPlaybackVolume; 
DWORD dwThreshold; 
DWORD dwBufferQuality; 
DWORD dwBufferAggressiveness; 
DWORD dwNotifyPeriod; 
} DVCLIENTCONFIG,*LPDVCLIENTCONFIG,*PDVCLIENTCONFIG;
typedef struct
{
DWORD dwSize; 
GUID guidType; 
LPWSTR lpszName; 
LPWSTR lpszDescription; 
DWORD dwFlags; 
DWORD dwMaxBitsPerSecond;	
} DVCOMPRESSIONINFO,*LPDVCOMPRESSIONINFO,*PDVCOMPRESSIONINFO;
typedef struct
{
DWORD dwSize; 
DWORD dwFlags; 
DWORD dwSessionType; 
GUID guidCT; 
DWORD dwBufferQuality; 
DWORD dwBufferAggressiveness; 
} DVSESSIONDESC,*LPDVSESSIONDESC,*PDVSESSIONDESC;
typedef struct
{
DWORD dwSize; 
DWORD dwFlags; 
GUID guidPlaybackDevice; 
LPDIRECTSOUND lpdsPlaybackDevice; 
GUID guidCaptureDevice; 
LPDIRECTSOUNDCAPTURE lpdsCaptureDevice; 
HWND hwndAppWindow; 
LPDIRECTSOUNDBUFFER lpdsMainBuffer; 
DWORD dwMainBufferFlags; 
DWORD dwMainBufferPriority; 
} DVSOUNDDEVICECONFIG,*LPDVSOUNDDEVICECONFIG,*PDVSOUNDDEVICECONFIG;
typedef struct
{
DWORD dwSize; 
HRESULT hrResult; 
} DVMSG_CONNECTRESULT,*LPDVMSG_CONNECTRESULT,*PDVMSG_CONNECTRESULT;
typedef struct
{
DWORD dwSize; 
DVID dvidPlayer; 
DWORD dwFlags; 
PVOID	pvPlayerContext; 
} DVMSG_CREATEVOICEPLAYER,*LPDVMSG_CREATEVOICEPLAYER,*PDVMSG_CREATEVOICEPLAYER;
typedef struct
{
DWORD dwSize; 
DVID dvidPlayer; 
PVOID	pvPlayerContext; 
} DVMSG_DELETEVOICEPLAYER,*LPDVMSG_DELETEVOICEPLAYER,*PDVMSG_DELETEVOICEPLAYER;
typedef struct
{
DWORD dwSize; 
HRESULT hrResult; 
} DVMSG_DISCONNECTRESULT,*LPDVMSG_DISCONNECTRESULT,*PDVMSG_DISCONNECTRESULT;
typedef struct
{
DWORD dwSize; 
DVID dvidNewHostID; 
LPDIRECTPLAYVOICESERVER pdvServerInterface;
} DVMSG_HOSTMIGRATED,*LPDVMSG_HOSTMIGRATED,*PDVMSG_HOSTMIGRATED;
typedef struct
{
DWORD dwSize; 
DWORD dwPeakLevel; 
LONG lRecordVolume; 
PVOID	pvLocalPlayerContext; 
} DVMSG_INPUTLEVEL,*LPDVMSG_INPUTLEVEL,*PDVMSG_INPUTLEVEL;
typedef struct
{
DWORD	dwSize; 
PVOID	pvContext;	
PDVMESSAGEHANDLER	pMessageHandler;	
} DVMSG_LOCALHOSTSETUP,*LPDVMSG_LOCALHOSTSETUP,*PDVMSG_LOCALHOSTSETUP;
typedef struct
{
DWORD dwSize; 
DWORD dwPeakLevel; 
LONG lOutputVolume; 
PVOID	pvLocalPlayerContext; 
} DVMSG_OUTPUTLEVEL,*LPDVMSG_OUTPUTLEVEL,*PDVMSG_OUTPUTLEVEL;
typedef struct
{
DWORD dwSize; 
DVID dvidSourcePlayerID; 
DWORD dwPeakLevel; 
PVOID	pvPlayerContext; 
} DVMSG_PLAYEROUTPUTLEVEL,*LPDVMSG_PLAYEROUTPUTLEVEL,*PDVMSG_PLAYEROUTPUTLEVEL;
typedef struct
{
DWORD dwSize; 
DVID dvidSourcePlayerID; 
PVOID	pvPlayerContext; 
} DVMSG_PLAYERVOICESTART,*LPDVMSG_PLAYERVOICESTART,*PDVMSG_PLAYERVOICESTART;
typedef struct
{
DWORD dwSize; 
DVID dvidSourcePlayerID; 
PVOID	pvPlayerContext; 
} DVMSG_PLAYERVOICESTOP,*LPDVMSG_PLAYERVOICESTOP,*PDVMSG_PLAYERVOICESTOP;
typedef struct
{
DWORD dwSize; 
DWORD dwPeakLevel; 
PVOID	pvLocalPlayerContext; 
} DVMSG_RECORDSTART,*LPDVMSG_RECORDSTART,*PDVMSG_RECORDSTART;
typedef struct
{
DWORD dwSize; 
DWORD dwPeakLevel; 
PVOID	pvLocalPlayerContext; 
} DVMSG_RECORDSTOP,*LPDVMSG_RECORDSTOP,*PDVMSG_RECORDSTOP;
typedef struct
{
DWORD dwSize; 
HRESULT hrResult;	
} DVMSG_SESSIONLOST,*LPDVMSG_SESSIONLOST,*PDVMSG_SESSIONLOST;
typedef struct
{
DWORD dwSize; 
DWORD dwNumTargets; 
PDVID pdvidTargets; 
} DVMSG_SETTARGETS,*LPDVMSG_SETTARGETS,*PDVMSG_SETTARGETS;
extern HRESULT WINAPI DirectPlayVoiceCreate(const GUID * pcIID,void **,IUnknown *); 
#undef INTERFACE
#define INTERFACE IDirectPlayVoiceClient
DECLARE_INTERFACE_(IDirectPlayVoiceClient,IUnknown)
{
STDMETHOD(QueryInterface)(THIS_ REFIID riid,PVOID *) ;
STDMETHOD_(ULONG,AddRef)(THIS) ;
STDMETHOD_(ULONG,Release)(THIS) ;
STDMETHOD_(HRESULT,Initialize) (THIS_ ,PDVMESSAGEHANDLER,PVOID,PDWORD,DWORD) ;
STDMETHOD_(HRESULT,Connect) (THIS_ ,PDVCLIENTCONFIG,DWORD) ;
STDMETHOD_(HRESULT,Disconnect) (THIS_ ) ;
STDMETHOD_(HRESULT,GetSessionDesc)(THIS_ ) ;
STDMETHOD_(HRESULT,GetClientConfig)(THIS_ ) ;
STDMETHOD_(HRESULT,SetClientConfig)(THIS_ ) ;
STDMETHOD_(HRESULT,GetCaps) (THIS_ ) ;
STDMETHOD_(HRESULT,GetCompressionTypes)(THIS_ ,PDWORD,PDWORD,DWORD) ;
STDMETHOD_(HRESULT,SetTransmitTargets)(THIS_ ,DWORD,DWORD) ;
STDMETHOD_(HRESULT,GetTransmitTargets)(THIS_ ,PDWORD,DWORD) ;
STDMETHOD_(HRESULT,Create3DSoundBuffer)(THIS_ ,LPDIRECTSOUNDBUFFER,DWORD,DWORD,LPDIRECTSOUND3DBUFFER *) ;
STDMETHOD_(HRESULT,Delete3DSoundBuffer)(THIS_ ,LPDIRECTSOUND3DBUFFER *) ;
STDMETHOD_(HRESULT,SetNotifyMask)(THIS_ ,DWORD) ;
STDMETHOD_(HRESULT,GetSoundDeviceConfig)(THIS_ ,PDWORD) ;
};
#undef INTERFACE
#define INTERFACE IDirectPlayVoiceServer
DECLARE_INTERFACE_(IDirectPlayVoiceServer,IUnknown)
{
STDMETHOD(QueryInterface) (THIS_ REFIID riid,LPVOID *) ;
STDMETHOD_(ULONG,AddRef) (THIS) ;
STDMETHOD_(ULONG,Release) (THIS) ;
STDMETHOD_(HRESULT,Initialize) (THIS_ ,PDVMESSAGEHANDLER,PVOID,LPDWORD,DWORD) ;
STDMETHOD_(HRESULT,StartSession) (THIS_ ,DWORD) ;
STDMETHOD_(HRESULT,StopSession) (THIS_ ) ;
STDMETHOD_(HRESULT,GetSessionDesc)(THIS_ ) ;
STDMETHOD_(HRESULT,SetSessionDesc)(THIS_ ) ;
STDMETHOD_(HRESULT,GetCaps) (THIS_ ) ;
STDMETHOD_(HRESULT,GetCompressionTypes)(THIS_ ,PDWORD,PDWORD,DWORD) ;
STDMETHOD_(HRESULT,SetTransmitTargets)(THIS_ ,PDVID,DWORD,DWORD) ;
STDMETHOD_(HRESULT,GetTransmitTargets)(THIS_ ,PDVID,PDWORD,DWORD) ;
STDMETHOD_(HRESULT,SetNotifyMask)(THIS_ ,DWORD) ;
};
#undef INTERFACE
#define INTERFACE IDirectPlayVoiceTest
DECLARE_INTERFACE_(IDirectPlayVoiceTest,IUnknown)
{
STDMETHOD(QueryInterface) (THIS_ REFIID riid,PVOID *) ;
STDMETHOD_(ULONG,AddRef) (THIS) ;
STDMETHOD_(ULONG,Release) (THIS) ;
STDMETHOD_(HRESULT,CheckAudioSetup) (THIS_ const GUID *,const GUID *,HWND,DWORD) ;
};
#define IDirectPlayVoiceClient_QueryInterface(p,a,b) (p)->lpVtbl->QueryInterface(p,a,b)
#define IDirectPlayVoiceClient_AddRef(p) (p)->lpVtbl->AddRef(p)
#define IDirectPlayVoiceClient_Release(p) (p)->lpVtbl->Release(p)
#define IDirectPlayVoiceClient_Initialize(p,a,b,c,d,e) (p)->lpVtbl->Initialize(p,a,b,c,d,e)
#define IDirectPlayVoiceClient_Connect(p,a,b,c) (p)->lpVtbl->Connect(p,a,b,c)
#define IDirectPlayVoiceClient_Disconnect(p,a) (p)->lpVtbl->Disconnect(p,a)
#define IDirectPlayVoiceClient_GetSessionDesc(p,a) (p)->lpVtbl->GetSessionDesc(p,a)
#define IDirectPlayVoiceClient_GetClientConfig(p,a) (p)->lpVtbl->GetClientConfig(p,a)
#define IDirectPlayVoiceClient_SetClientConfig(p,a) (p)->lpVtbl->SetClientConfig(p,a)
#define IDirectPlayVoiceClient_GetCaps(p,a) (p)->lpVtbl->GetCaps(p,a)
#define IDirectPlayVoiceClient_GetCompressionTypes(p,a,b,c,d) (p)->lpVtbl->GetCompressionTypes(p,a,b,c,d)
#define IDirectPlayVoiceClient_SetTransmitTargets(p,a,b,c) (p)->lpVtbl->SetTransmitTargets(p,a,b,c)
#define IDirectPlayVoiceClient_GetTransmitTargets(p,a,b,c) (p)->lpVtbl->GetTransmitTargets(p,a,b,c)
#define IDirectPlayVoiceClient_Create3DSoundBuffer(p,a,b,c,d,e) (p)->lpVtbl->Create3DSoundBuffer(p,a,b,c,d,e)
#define IDirectPlayVoiceClient_Delete3DSoundBuffer(p,a,b) (p)->lpVtbl->Delete3DSoundBuffer(p,a,b)
#define IDirectPlayVoiceClient_SetNotifyMask(p,a,b) (p)->lpVtbl->SetNotifyMask(p,a,b)
#define IDirectPlayVoiceClient_GetSoundDeviceConfig(p,a,b) (p)->lpVtbl->GetSoundDeviceConfig(p,a,b)
#define IDirectPlayVoiceServer_QueryInterface(p,a,b) (p)->lpVtbl->QueryInterface(p,a,b)
#define IDirectPlayVoiceServer_AddRef(p) (p)->lpVtbl->AddRef(p)
#define IDirectPlayVoiceServer_Release(p) (p)->lpVtbl->Release(p)
#define IDirectPlayVoiceServer_Initialize(p,a,b,c,d,e) (p)->lpVtbl->Initialize(p,a,b,c,d,e)
#define IDirectPlayVoiceServer_StartSession(p,a,b) (p)->lpVtbl->StartSession(p,a,b)
#define IDirectPlayVoiceServer_StopSession(p,a) (p)->lpVtbl->StopSession(p,a)
#define IDirectPlayVoiceServer_GetSessionDesc(p,a) (p)->lpVtbl->GetSessionDesc(p,a)
#define IDirectPlayVoiceServer_SetSessionDesc(p,a) (p)->lpVtbl->SetSessionDesc(p,a)
#define IDirectPlayVoiceServer_GetCaps(p,a) (p)->lpVtbl->GetCaps(p,a)
#define IDirectPlayVoiceServer_GetCompressionTypes(p,a,b,c,d) (p)->lpVtbl->GetCompressionTypes(p,a,b,c,d)
#define IDirectPlayVoiceServer_SetTransmitTargets(p,a,b,c,d)	(p)->lpVtbl->SetTransmitTargets(p,a,b,c,d)
#define IDirectPlayVoiceServer_GetTransmitTargets(p,a,b,c,d)	(p)->lpVtbl->GetTransmitTargets(p,a,b,c,d)
#define IDirectPlayVoiceServer_SetNotifyMask(p,a,b) (p)->lpVtbl->SetNotifyMask(p,a,b)
#define IDirectPlayVoiceTest_QueryInterface(p,a,b) (p)->lpVtbl->QueryInterface(p,a,b)
#define IDirectPlayVoiceTest_AddRef(p) (p)->lpVtbl->AddRef(p)
#define IDirectPlayVoiceTest_Release(p) (p)->lpVtbl->Release(p)
#define IDirectPlayVoiceTest_CheckAudioSetup(p,a,b,c,d) (p)->lpVtbl->CheckAudioSetup(p,a,b,c,d)
#define _FACDPV 21
#define MAKE_DVHRESULT(code) MAKE_HRESULT(1,_FACDPV,code)
#define DV_OK S_OK
#define DV_FULLDUPLEX MAKE_HRESULT(0,_FACDPV,5)
#define DV_HALFDUPLEX MAKE_HRESULT(0,_FACDPV,10)
#define DV_PENDING	MAKE_HRESULT(0,_FACDPV,16)
#define DVERR_BUFFERTOOSMALL MAKE_DVHRESULT30
#define DVERR_EXCEPTION MAKE_DVHRESULT74
#define DVERR_GENERIC E_FAIL
#define DVERR_INVALIDFLAGS MAKE_DVHRESULT120
#define DVERR_INVALIDOBJECT MAKE_DVHRESULT130
#define DVERR_INVALIDPARAM E_INVALIDARG
#define DVERR_INVALIDPLAYER MAKE_DVHRESULT135
#define DVERR_INVALIDGROUP MAKE_DVHRESULT145
#define DVERR_INVALIDHANDLE MAKE_DVHRESULT150
#define DVERR_OUTOFMEMORY E_OUTOFMEMORY
#define DVERR_PENDING DV_PENDING
#define DVERR_NOTSUPPORTED E_NOTIMPL
#define DVERR_NOINTERFACE E_NOINTERFACE
#define DVERR_SESSIONLOST MAKE_DVHRESULT300
#define DVERR_NOVOICESESSION MAKE_DVHRESULT302
#define DVERR_CONNECTIONLOST MAKE_DVHRESULT360
#define DVERR_NOTINITIALIZED MAKE_DVHRESULT361
#define DVERR_CONNECTED MAKE_DVHRESULT362
#define DVERR_NOTCONNECTED MAKE_DVHRESULT363
#define DVERR_CONNECTABORTING MAKE_DVHRESULT366
#define DVERR_NOTALLOWED MAKE_DVHRESULT367
#define DVERR_INVALIDTARGET MAKE_DVHRESULT368
#define DVERR_TRANSPORTNOTHOST MAKE_DVHRESULT369
#define DVERR_COMPRESSIONNOTSUPPORTED MAKE_DVHRESULT370
#define DVERR_ALREADYPENDING MAKE_DVHRESULT371
#define DVERR_SOUNDINITFAILURE MAKE_DVHRESULT372
#define DVERR_TIMEOUT MAKE_DVHRESULT373
#define DVERR_CONNECTABORTED MAKE_DVHRESULT374
#define DVERR_NO3DSOUND MAKE_DVHRESULT375
#define DVERR_ALREADYBUFFERED	MAKE_DVHRESULT376
#define DVERR_NOTBUFFERED MAKE_DVHRESULT377
#define DVERR_HOSTING MAKE_DVHRESULT378
#define DVERR_NOTHOSTING MAKE_DVHRESULT379
#define DVERR_INVALIDDEVICE MAKE_DVHRESULT380
#define DVERR_RECORDSYSTEMERROR MAKE_DVHRESULT381
#define DVERR_PLAYBACKSYSTEMERROR MAKE_DVHRESULT382
#define DVERR_SENDERROR MAKE_DVHRESULT383
#define DVERR_USERCANCEL MAKE_DVHRESULT384
#define DVERR_RUNSETUP MAKE_DVHRESULT387
#define DVERR_INCOMPATIBLEVERSION MAKE_DVHRESULT388
#define DVERR_INITIALIZED MAKE_DVHRESULT391
#define DVERR_INVALIDPOINTER E_POINTER
#define DVERR_NOTRANSPORT MAKE_DVHRESULT392
#define DVERR_NOCALLBACK MAKE_DVHRESULT393
#define DVERR_TRANSPORTNOTINIT MAKE_DVHRESULT394
#define DVERR_TRANSPORTNOSESSION MAKE_DVHRESULT395
#define DVERR_TRANSPORTNOPLAYER MAKE_DVHRESULT396
#define DVERR_USERBACK MAKE_DVHRESULT397
#define DVERR_NORECVOLAVAILABLE MAKE_DVHRESULT398
#define DVERR_INVALIDBUFFER	MAKE_DVHRESULT399
#define DVERR_LOCKEDBUFFER	MAKE_DVHRESULT400
#endif
