#ifndef __REQUIRED_RPCNDR_H_VERSION__
#define __REQUIRED_RPCNDR_H_VERSION__ 475
#endif
#include "rpc.h"
#include "rpcndr.h"
#ifndef __RPCNDR_H_VERSION__
#error this stub requires an updated version of <rpcndr.h>
#endif 
#ifndef COM_NO_WINDOWS_H
#include "windows.h"
#include "ole2.h"
#endif 
#ifndef __eventsys_h__
#define __eventsys_h__
#if defined(_MSC_VER) && (_MSC_VER >= 1020)
#endif
#ifndef __IEventSystem_FWD_DEFINED__
#define __IEventSystem_FWD_DEFINED__
typedef interface IEventSystem IEventSystem;
#endif 
#ifndef __IEventPublisher_FWD_DEFINED__
#define __IEventPublisher_FWD_DEFINED__
typedef interface IEventPublisher IEventPublisher;
#endif 
#ifndef __IEventClass_FWD_DEFINED__
#define __IEventClass_FWD_DEFINED__
typedef interface IEventClass IEventClass;
#endif 
#ifndef __IEventClass2_FWD_DEFINED__
#define __IEventClass2_FWD_DEFINED__
typedef interface IEventClass2 IEventClass2;
#endif 
#ifndef __IEventSubscription_FWD_DEFINED__
#define __IEventSubscription_FWD_DEFINED__
typedef interface IEventSubscription IEventSubscription;
#endif 
#ifndef __IFiringControl_FWD_DEFINED__
#define __IFiringControl_FWD_DEFINED__
typedef interface IFiringControl IFiringControl;
#endif 
#ifndef __IPublisherFilter_FWD_DEFINED__
#define __IPublisherFilter_FWD_DEFINED__
typedef interface IPublisherFilter IPublisherFilter;
#endif 
#ifndef __IMultiInterfacePublisherFilter_FWD_DEFINED__
#define __IMultiInterfacePublisherFilter_FWD_DEFINED__
typedef interface IMultiInterfacePublisherFilter IMultiInterfacePublisherFilter;
#endif 
#ifndef __IEventObjectChange_FWD_DEFINED__
#define __IEventObjectChange_FWD_DEFINED__
typedef interface IEventObjectChange IEventObjectChange;
#endif 
#ifndef __IEventObjectChange2_FWD_DEFINED__
#define __IEventObjectChange2_FWD_DEFINED__
typedef interface IEventObjectChange2 IEventObjectChange2;
#endif 
#ifndef __IEnumEventObject_FWD_DEFINED__
#define __IEnumEventObject_FWD_DEFINED__
typedef interface IEnumEventObject IEnumEventObject;
#endif 
#ifndef __IEventObjectCollection_FWD_DEFINED__
#define __IEventObjectCollection_FWD_DEFINED__
typedef interface IEventObjectCollection IEventObjectCollection;
#endif 
#ifndef __IEventProperty_FWD_DEFINED__
#define __IEventProperty_FWD_DEFINED__
typedef interface IEventProperty IEventProperty;
#endif 
#ifndef __IEventControl_FWD_DEFINED__
#define __IEventControl_FWD_DEFINED__
typedef interface IEventControl IEventControl;
#endif 
#ifndef __IMultiInterfaceEventControl_FWD_DEFINED__
#define __IMultiInterfaceEventControl_FWD_DEFINED__
typedef interface IMultiInterfaceEventControl IMultiInterfaceEventControl;
#endif 
#ifndef __CEventSystem_FWD_DEFINED__
#define __CEventSystem_FWD_DEFINED__
typedef struct CEventSystem CEventSystem;
#endif 
#ifndef __CEventPublisher_FWD_DEFINED__
#define __CEventPublisher_FWD_DEFINED__
typedef struct CEventPublisher CEventPublisher;
#endif 
#ifndef __CEventClass_FWD_DEFINED__
#define __CEventClass_FWD_DEFINED__
typedef struct CEventClass CEventClass;
#endif 
#ifndef __CEventSubscription_FWD_DEFINED__
#define __CEventSubscription_FWD_DEFINED__
typedef struct CEventSubscription CEventSubscription;
#endif 
#ifndef __EventObjectChange_FWD_DEFINED__
#define __EventObjectChange_FWD_DEFINED__
typedef struct EventObjectChange EventObjectChange;
#endif 
#ifndef __EventObjectChange2_FWD_DEFINED__
#define __EventObjectChange2_FWD_DEFINED__
typedef struct EventObjectChange2 EventObjectChange2;
#endif 
#include "oaidl.h"
#include "ocidl.h"
void * __RPC_USER MIDL_user_allocate(size_t);
void __RPC_USER MIDL_user_free(void *); 
#define PROGID_EventSystem OLESTR("EventSystem.EventSystem")
#define PROGID_EventPublisher OLESTR("EventSystem.EventPublisher")
#define PROGID_EventClass OLESTR("EventSystem.EventClass")
#define PROGID_EventSubscription OLESTR("EventSystem.EventSubscription")
#define PROGID_EventPublisherCollection OLESTR("EventSystem.EventPublisherCollection")
#define PROGID_EventClassCollection OLESTR("EventSystem.EventClassCollection")
#define PROGID_EventSubscriptionCollection OLESTR("EventSystem.EventSubscriptionCollection")
#define PROGID_EventSubsystem OLESTR("EventSystem.EventSubsystem")
#define EVENTSYSTEM_PUBLISHER_ID OLESTR("{d0564c30-9df4-11d1-a281-00c04fca0aa7}")
#define EVENTSYSTEM_SUBSYSTEM_CLSID OLESTR("{503c1fd8-b605-11d2-a92d-006008c60e24}")
extern RPC_IF_HANDLE __MIDL_itf_eventsys_0000_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_eventsys_0000_v0_0_s_ifspec;
#ifndef __IEventSystem_INTERFACE_DEFINED__
#define __IEventSystem_INTERFACE_DEFINED__
EXTERN_C const IID IID_IEventSystem;
typedef struct IEventSystemVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IEventSystem *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IEventSystem *);
 ULONG (_stdcall *Release)(IEventSystem *);
 HRESULT (_stdcall *GetTypeInfoCount)(IEventSystem *,UINT *);
 HRESULT (_stdcall *GetTypeInfo)(IEventSystem *,UINT,LCID,ITypeInfo **);
 HRESULT (_stdcall *GetIDsOfNames)(IEventSystem *,REFIID,LPOLESTR *,UINT,LCID,DISPID *);
 HRESULT (_stdcall *Invoke)(IEventSystem *,DISPID,REFIID,LCID,WORD,DISPPARAMS *,VARIANT *,EXCEPINFO *,UINT *);
 HRESULT (_stdcall *Query)(IEventSystem *,BSTR,BSTR,int *,IUnknown **);
 HRESULT (_stdcall *Store)(IEventSystem *,BSTR,IUnknown *);
 HRESULT (_stdcall *Remove)(IEventSystem *,BSTR,BSTR,int *);
 HRESULT (_stdcall *get_EventObjectChangeEventClassID)(IEventSystem *,BSTR *);
 HRESULT (_stdcall *QueryS)(IEventSystem *,BSTR,BSTR,IUnknown **);
 HRESULT (_stdcall *RemoveS)(IEventSystem *,BSTR,BSTR);
END_INTERFACE
} IEventSystemVtbl;
interface IEventSystem
{
CONST_VTBL struct IEventSystemVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IEventSystem_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IEventSystem_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IEventSystem_Release(A) (A)->lpVtbl->Release(A)
#define IEventSystem_GetTypeInfoCount(A,B) (A)->lpVtbl->GetTypeInfoCount(A,B)
#define IEventSystem_GetTypeInfo(A,B,C,D) (A)->lpVtbl->GetTypeInfo(A,B,C,D)
#define IEventSystem_GetIDsOfNames(A,B,C,D,E,F) (A)->lpVtbl->GetIDsOfNames(A,B,C,D,E,F)
#define IEventSystem_Invoke(A,B,C,D,E,F,G,H,I) (A)->lpVtbl->Invoke(A,B,C,D,E,F,G,H,I)
#define IEventSystem_Query(A,B,C,D,E) (A)->lpVtbl->Query(A,B,C,D,E)
#define IEventSystem_Store(A,B,C) (A)->lpVtbl->Store(A,B,C)
#define IEventSystem_Remove(A,B,C,D) (A)->lpVtbl->Remove(A,B,C,D)
#define IEventSystem_get_EventObjectChangeEventClassID(A,B) (A)->lpVtbl->get_EventObjectChangeEventClassID(A,B)
#define IEventSystem_QueryS(A,B,C,D) (A)->lpVtbl->QueryS(A,B,C,D)
#define IEventSystem_RemoveS(A,B,C) (A)->lpVtbl->RemoveS(A,B,C)
#endif 
HRESULT _stdcall IEventSystem_Query_Proxy(IEventSystem *,BSTR ,BSTR ,int *,IUnknown **);
void __RPC_STUB IEventSystem_Query_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventSystem_Store_Proxy(IEventSystem *,BSTR ,IUnknown *);
void __RPC_STUB IEventSystem_Store_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventSystem_Remove_Proxy(IEventSystem *,BSTR ,BSTR ,int *);
void __RPC_STUB IEventSystem_Remove_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventSystem_get_EventObjectChangeEventClassID_Proxy(IEventSystem *,BSTR *);
void __RPC_STUB IEventSystem_get_EventObjectChangeEventClassID_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventSystem_QueryS_Proxy(IEventSystem *,BSTR ,BSTR ,IUnknown **);
void __RPC_STUB IEventSystem_QueryS_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventSystem_RemoveS_Proxy(IEventSystem *,BSTR ,BSTR );
void __RPC_STUB IEventSystem_RemoveS_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
#endif 
#ifndef __IEventPublisher_INTERFACE_DEFINED__
#define __IEventPublisher_INTERFACE_DEFINED__
EXTERN_C const IID IID_IEventPublisher;
typedef struct IEventPublisherVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IEventPublisher *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IEventPublisher *);
 ULONG (_stdcall *Release)(IEventPublisher *);
 HRESULT (_stdcall *GetTypeInfoCount)(IEventPublisher *,UINT *);
 HRESULT (_stdcall *GetTypeInfo)(IEventPublisher *,UINT,LCID,ITypeInfo **);
 HRESULT (_stdcall *GetIDsOfNames)(IEventPublisher *,REFIID,LPOLESTR *,UINT,LCID,DISPID *);
 HRESULT (_stdcall *Invoke)(IEventPublisher *,DISPID,REFIID,LCID,WORD,DISPPARAMS *,VARIANT *,EXCEPINFO *,UINT *);
 HRESULT (_stdcall *get_PublisherID)(IEventPublisher *,BSTR *);
 HRESULT (_stdcall *put_PublisherID)(IEventPublisher *,BSTR);
 HRESULT (_stdcall *get_PublisherName)(IEventPublisher *,BSTR *);
 HRESULT (_stdcall *put_PublisherName)(IEventPublisher *,BSTR);
 HRESULT (_stdcall *get_PublisherType)(IEventPublisher *,BSTR *);
 HRESULT (_stdcall *put_PublisherType)(IEventPublisher *,BSTR);
 HRESULT (_stdcall *get_OwnerSID)(IEventPublisher *,BSTR *);
 HRESULT (_stdcall *put_OwnerSID)(IEventPublisher *,BSTR);
 HRESULT (_stdcall *get_Description)(IEventPublisher *,BSTR *);
 HRESULT (_stdcall *put_Description)(IEventPublisher *,BSTR);
 HRESULT (_stdcall *GetDefaultProperty)(IEventPublisher *,BSTR,VARIANT *);
 HRESULT (_stdcall *PutDefaultProperty)(IEventPublisher *,BSTR,VARIANT *);
 HRESULT (_stdcall *RemoveDefaultProperty)(IEventPublisher *,BSTR);
 HRESULT (_stdcall *GetDefaultPropertyCollection)(IEventPublisher *,IEventObjectCollection **);
END_INTERFACE
} IEventPublisherVtbl;
interface IEventPublisher
{
CONST_VTBL struct IEventPublisherVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IEventPublisher_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IEventPublisher_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IEventPublisher_Release(A) (A)->lpVtbl->Release(A)
#define IEventPublisher_GetTypeInfoCount(A,B) (A)->lpVtbl->GetTypeInfoCount(A,B)
#define IEventPublisher_GetTypeInfo(A,B,C,D) (A)->lpVtbl->GetTypeInfo(A,B,C,D)
#define IEventPublisher_GetIDsOfNames(A,B,C,D,E,F) (A)->lpVtbl->GetIDsOfNames(A,B,C,D,E,F)
#define IEventPublisher_Invoke(A,B,C,D,E,F,G,H,I) (A)->lpVtbl->Invoke(A,B,C,D,E,F,G,H,I)
#define IEventPublisher_get_PublisherID(A,B) (A)->lpVtbl->get_PublisherID(A,B)
#define IEventPublisher_put_PublisherID(A,B) (A)->lpVtbl->put_PublisherID(A,B)
#define IEventPublisher_get_PublisherName(A,B) (A)->lpVtbl->get_PublisherName(A,B)
#define IEventPublisher_put_PublisherName(A,B) (A)->lpVtbl->put_PublisherName(A,B)
#define IEventPublisher_get_PublisherType(A,B) (A)->lpVtbl->get_PublisherType(A,B)
#define IEventPublisher_put_PublisherType(A,B) (A)->lpVtbl->put_PublisherType(A,B)
#define IEventPublisher_get_OwnerSID(A,B) (A)->lpVtbl->get_OwnerSID(A,B)
#define IEventPublisher_put_OwnerSID(A,B) (A)->lpVtbl->put_OwnerSID(A,B)
#define IEventPublisher_get_Description(A,B) (A)->lpVtbl->get_Description(A,B)
#define IEventPublisher_put_Description(A,B) (A)->lpVtbl->put_Description(A,B)
#define IEventPublisher_GetDefaultProperty(A,B,C) (A)->lpVtbl->GetDefaultProperty(A,B,C)
#define IEventPublisher_PutDefaultProperty(A,B,C) (A)->lpVtbl->PutDefaultProperty(A,B,C)
#define IEventPublisher_RemoveDefaultProperty(A,B) (A)->lpVtbl->RemoveDefaultProperty(A,B)
#define IEventPublisher_GetDefaultPropertyCollection(A,B) (A)->lpVtbl->GetDefaultPropertyCollection(A,B)
#endif 
HRESULT _stdcall IEventPublisher_get_PublisherID_Proxy(IEventPublisher *,BSTR *);
void __RPC_STUB IEventPublisher_get_PublisherID_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventPublisher_put_PublisherID_Proxy(IEventPublisher *,BSTR );
void __RPC_STUB IEventPublisher_put_PublisherID_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventPublisher_get_PublisherName_Proxy(IEventPublisher *,BSTR *);
void __RPC_STUB IEventPublisher_get_PublisherName_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventPublisher_put_PublisherName_Proxy(IEventPublisher *,BSTR );
void __RPC_STUB IEventPublisher_put_PublisherName_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventPublisher_get_PublisherType_Proxy(IEventPublisher *,BSTR *);
void __RPC_STUB IEventPublisher_get_PublisherType_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventPublisher_put_PublisherType_Proxy(IEventPublisher *,BSTR );
void __RPC_STUB IEventPublisher_put_PublisherType_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventPublisher_get_OwnerSID_Proxy(IEventPublisher *,BSTR *);
void __RPC_STUB IEventPublisher_get_OwnerSID_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventPublisher_put_OwnerSID_Proxy(IEventPublisher *,BSTR );
void __RPC_STUB IEventPublisher_put_OwnerSID_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventPublisher_get_Description_Proxy(IEventPublisher *,BSTR *);
void __RPC_STUB IEventPublisher_get_Description_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventPublisher_put_Description_Proxy(IEventPublisher *,BSTR );
void __RPC_STUB IEventPublisher_put_Description_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventPublisher_GetDefaultProperty_Proxy(IEventPublisher *,BSTR ,VARIANT *);
void __RPC_STUB IEventPublisher_GetDefaultProperty_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventPublisher_PutDefaultProperty_Proxy(IEventPublisher *,BSTR ,VARIANT *);
void __RPC_STUB IEventPublisher_PutDefaultProperty_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventPublisher_RemoveDefaultProperty_Proxy(IEventPublisher *,BSTR );
void __RPC_STUB IEventPublisher_RemoveDefaultProperty_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventPublisher_GetDefaultPropertyCollection_Proxy(IEventPublisher *,IEventObjectCollection **);
void __RPC_STUB IEventPublisher_GetDefaultPropertyCollection_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
#endif 
#ifndef __IEventClass_INTERFACE_DEFINED__
#define __IEventClass_INTERFACE_DEFINED__
EXTERN_C const IID IID_IEventClass;
typedef struct IEventClassVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IEventClass *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IEventClass *);
 ULONG (_stdcall *Release)(IEventClass *);
 HRESULT (_stdcall *GetTypeInfoCount)(IEventClass *,UINT *);
 HRESULT (_stdcall *GetTypeInfo)(IEventClass *,UINT,LCID,ITypeInfo **);
 HRESULT (_stdcall *GetIDsOfNames)(IEventClass *,REFIID,LPOLESTR *,UINT,LCID,DISPID *);
 HRESULT (_stdcall *Invoke)(IEventClass *,DISPID,REFIID,LCID,WORD,DISPPARAMS *,VARIANT *,EXCEPINFO *,UINT *);
 HRESULT (_stdcall *get_EventClassID)(IEventClass *,BSTR *);
 HRESULT (_stdcall *put_EventClassID)(IEventClass *,BSTR);
 HRESULT (_stdcall *get_EventClassName)(IEventClass *,BSTR *);
 HRESULT (_stdcall *put_EventClassName)(IEventClass *,BSTR);
 HRESULT (_stdcall *get_OwnerSID)(IEventClass *,BSTR *);
 HRESULT (_stdcall *put_OwnerSID)(IEventClass *,BSTR);
 HRESULT (_stdcall *get_FiringInterfaceID)(IEventClass *,BSTR *);
 HRESULT (_stdcall *put_FiringInterfaceID)(IEventClass *,BSTR);
 HRESULT (_stdcall *get_Description)(IEventClass *,BSTR *);
 HRESULT (_stdcall *put_Description)(IEventClass *,BSTR);
 HRESULT (_stdcall *get_CustomConfigCLSID)(IEventClass *,BSTR *);
 HRESULT (_stdcall *put_CustomConfigCLSID)(IEventClass *,BSTR);
 HRESULT (_stdcall *get_TypeLib)(IEventClass *,BSTR *);
 HRESULT (_stdcall *put_TypeLib)(IEventClass *,BSTR);
END_INTERFACE
} IEventClassVtbl;
interface IEventClass
{
CONST_VTBL struct IEventClassVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IEventClass_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IEventClass_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IEventClass_Release(A) (A)->lpVtbl->Release(A)
#define IEventClass_GetTypeInfoCount(A,B) (A)->lpVtbl->GetTypeInfoCount(A,B)
#define IEventClass_GetTypeInfo(A,B,C,D) (A)->lpVtbl->GetTypeInfo(A,B,C,D)
#define IEventClass_GetIDsOfNames(A,B,C,D,E,F) (A)->lpVtbl->GetIDsOfNames(A,B,C,D,E,F)
#define IEventClass_Invoke(A,B,C,D,E,F,G,H,I) (A)->lpVtbl->Invoke(A,B,C,D,E,F,G,H,I)
#define IEventClass_get_EventClassID(A,B) (A)->lpVtbl->get_EventClassID(A,B)
#define IEventClass_put_EventClassID(A,B) (A)->lpVtbl->put_EventClassID(A,B)
#define IEventClass_get_EventClassName(A,B) (A)->lpVtbl->get_EventClassName(A,B)
#define IEventClass_put_EventClassName(A,B) (A)->lpVtbl->put_EventClassName(A,B)
#define IEventClass_get_OwnerSID(A,B) (A)->lpVtbl->get_OwnerSID(A,B)
#define IEventClass_put_OwnerSID(A,B) (A)->lpVtbl->put_OwnerSID(A,B)
#define IEventClass_get_FiringInterfaceID(A,B) (A)->lpVtbl->get_FiringInterfaceID(A,B)
#define IEventClass_put_FiringInterfaceID(A,B) (A)->lpVtbl->put_FiringInterfaceID(A,B)
#define IEventClass_get_Description(A,B) (A)->lpVtbl->get_Description(A,B)
#define IEventClass_put_Description(A,B) (A)->lpVtbl->put_Description(A,B)
#define IEventClass_get_CustomConfigCLSID(A,B) (A)->lpVtbl->get_CustomConfigCLSID(A,B)
#define IEventClass_put_CustomConfigCLSID(A,B) (A)->lpVtbl->put_CustomConfigCLSID(A,B)
#define IEventClass_get_TypeLib(A,B) (A)->lpVtbl->get_TypeLib(A,B)
#define IEventClass_put_TypeLib(A,B) (A)->lpVtbl->put_TypeLib(A,B)
#endif 
HRESULT _stdcall IEventClass_get_EventClassID_Proxy(IEventClass *,BSTR *);
void __RPC_STUB IEventClass_get_EventClassID_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventClass_put_EventClassID_Proxy(IEventClass *,BSTR );
void __RPC_STUB IEventClass_put_EventClassID_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventClass_get_EventClassName_Proxy(IEventClass *,BSTR *);
void __RPC_STUB IEventClass_get_EventClassName_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventClass_put_EventClassName_Proxy(IEventClass *,BSTR );
void __RPC_STUB IEventClass_put_EventClassName_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventClass_get_OwnerSID_Proxy(IEventClass *,BSTR *);
void __RPC_STUB IEventClass_get_OwnerSID_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventClass_put_OwnerSID_Proxy(IEventClass *,BSTR );
void __RPC_STUB IEventClass_put_OwnerSID_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventClass_get_FiringInterfaceID_Proxy(IEventClass *,BSTR *);
void __RPC_STUB IEventClass_get_FiringInterfaceID_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventClass_put_FiringInterfaceID_Proxy(IEventClass *,BSTR );
void __RPC_STUB IEventClass_put_FiringInterfaceID_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventClass_get_Description_Proxy(IEventClass *,BSTR *);
void __RPC_STUB IEventClass_get_Description_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventClass_put_Description_Proxy(IEventClass *,BSTR );
void __RPC_STUB IEventClass_put_Description_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventClass_get_CustomConfigCLSID_Proxy(IEventClass *,BSTR *);
void __RPC_STUB IEventClass_get_CustomConfigCLSID_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventClass_put_CustomConfigCLSID_Proxy(IEventClass *,BSTR );
void __RPC_STUB IEventClass_put_CustomConfigCLSID_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventClass_get_TypeLib_Proxy(IEventClass *,BSTR *);
void __RPC_STUB IEventClass_get_TypeLib_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventClass_put_TypeLib_Proxy(IEventClass *,BSTR );
void __RPC_STUB IEventClass_put_TypeLib_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
#endif 
#ifndef __IEventClass2_INTERFACE_DEFINED__
#define __IEventClass2_INTERFACE_DEFINED__
EXTERN_C const IID IID_IEventClass2;
typedef struct IEventClass2Vtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IEventClass2 *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IEventClass2 *);
 ULONG (_stdcall *Release)(IEventClass2 *);
 HRESULT (_stdcall *GetTypeInfoCount)(IEventClass2 *,UINT *);
 HRESULT (_stdcall *GetTypeInfo)(IEventClass2 *,UINT,LCID,ITypeInfo **);
 HRESULT (_stdcall *GetIDsOfNames)(IEventClass2 *,REFIID,LPOLESTR *,UINT,LCID,DISPID *);
 HRESULT (_stdcall *Invoke)(IEventClass2 *,DISPID,REFIID,LCID,WORD,DISPPARAMS *,VARIANT *,EXCEPINFO *,UINT *);
 HRESULT (_stdcall *get_EventClassID)(IEventClass2 *,BSTR *);
 HRESULT (_stdcall *put_EventClassID)(IEventClass2 *,BSTR);
 HRESULT (_stdcall *get_EventClassName)(IEventClass2 *,BSTR *);
 HRESULT (_stdcall *put_EventClassName)(IEventClass2 *,BSTR);
 HRESULT (_stdcall *get_OwnerSID)(IEventClass2 *,BSTR *);
 HRESULT (_stdcall *put_OwnerSID)(IEventClass2 *,BSTR);
 HRESULT (_stdcall *get_FiringInterfaceID)(IEventClass2 *,BSTR *);
 HRESULT (_stdcall *put_FiringInterfaceID)(IEventClass2 *,BSTR);
 HRESULT (_stdcall *get_Description)(IEventClass2 *,BSTR *);
 HRESULT (_stdcall *put_Description)(IEventClass2 *,BSTR);
 HRESULT (_stdcall *get_CustomConfigCLSID)(IEventClass2 *,BSTR *);
 HRESULT (_stdcall *put_CustomConfigCLSID)(IEventClass2 *,BSTR);
 HRESULT (_stdcall *get_TypeLib)(IEventClass2 *,BSTR *);
 HRESULT (_stdcall *put_TypeLib)(IEventClass2 *,BSTR);
 HRESULT (_stdcall *get_PublisherID)(IEventClass2 *,BSTR *);
 HRESULT (_stdcall *put_PublisherID)(IEventClass2 *,BSTR);
 HRESULT (_stdcall *get_MultiInterfacePublisherFilterCLSID)(IEventClass2 *,BSTR *);
 HRESULT (_stdcall *put_MultiInterfacePublisherFilterCLSID)(IEventClass2 *,BSTR);
 HRESULT (_stdcall *get_AllowInprocActivation)(IEventClass2 *,BOOL *);
 HRESULT (_stdcall *put_AllowInprocActivation)(IEventClass2 *,BOOL);
 HRESULT (_stdcall *get_FireInParallel)(IEventClass2 *,BOOL *);
 HRESULT (_stdcall *put_FireInParallel)(IEventClass2 *,BOOL);
END_INTERFACE
} IEventClass2Vtbl;
interface IEventClass2
{
CONST_VTBL struct IEventClass2Vtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IEventClass2_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IEventClass2_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IEventClass2_Release(A) (A)->lpVtbl->Release(A)
#define IEventClass2_GetTypeInfoCount(A,B) (A)->lpVtbl->GetTypeInfoCount(A,B)
#define IEventClass2_GetTypeInfo(A,B,C,D) (A)->lpVtbl->GetTypeInfo(A,B,C,D)
#define IEventClass2_GetIDsOfNames(A,B,C,D,E,F) (A)->lpVtbl->GetIDsOfNames(A,B,C,D,E,F)
#define IEventClass2_Invoke(A,B,C,D,E,F,G,H,I) (A)->lpVtbl->Invoke(A,B,C,D,E,F,G,H,I)
#define IEventClass2_get_EventClassID(A,B) (A)->lpVtbl->get_EventClassID(A,B)
#define IEventClass2_put_EventClassID(A,B) (A)->lpVtbl->put_EventClassID(A,B)
#define IEventClass2_get_EventClassName(A,B) (A)->lpVtbl->get_EventClassName(A,B)
#define IEventClass2_put_EventClassName(A,B) (A)->lpVtbl->put_EventClassName(A,B)
#define IEventClass2_get_OwnerSID(A,B) (A)->lpVtbl->get_OwnerSID(A,B)
#define IEventClass2_put_OwnerSID(A,B) (A)->lpVtbl->put_OwnerSID(A,B)
#define IEventClass2_get_FiringInterfaceID(A,B) (A)->lpVtbl->get_FiringInterfaceID(A,B)
#define IEventClass2_put_FiringInterfaceID(A,B) (A)->lpVtbl->put_FiringInterfaceID(A,B)
#define IEventClass2_get_Description(A,B) (A)->lpVtbl->get_Description(A,B)
#define IEventClass2_put_Description(A,B) (A)->lpVtbl->put_Description(A,B)
#define IEventClass2_get_CustomConfigCLSID(A,B) (A)->lpVtbl->get_CustomConfigCLSID(A,B)
#define IEventClass2_put_CustomConfigCLSID(A,B) (A)->lpVtbl->put_CustomConfigCLSID(A,B)
#define IEventClass2_get_TypeLib(A,B) (A)->lpVtbl->get_TypeLib(A,B)
#define IEventClass2_put_TypeLib(A,B) (A)->lpVtbl->put_TypeLib(A,B)
#define IEventClass2_get_PublisherID(A,B) (A)->lpVtbl->get_PublisherID(A,B)
#define IEventClass2_put_PublisherID(A,B) (A)->lpVtbl->put_PublisherID(A,B)
#define IEventClass2_get_MultiInterfacePublisherFilterCLSID(A,B) (A)->lpVtbl->get_MultiInterfacePublisherFilterCLSID(A,B)
#define IEventClass2_put_MultiInterfacePublisherFilterCLSID(A,B) (A)->lpVtbl->put_MultiInterfacePublisherFilterCLSID(A,B)
#define IEventClass2_get_AllowInprocActivation(A,B) (A)->lpVtbl->get_AllowInprocActivation(A,B)
#define IEventClass2_put_AllowInprocActivation(A,B) (A)->lpVtbl->put_AllowInprocActivation(A,B)
#define IEventClass2_get_FireInParallel(A,B) (A)->lpVtbl->get_FireInParallel(A,B)
#define IEventClass2_put_FireInParallel(A,B) (A)->lpVtbl->put_FireInParallel(A,B)
#endif 
HRESULT _stdcall IEventClass2_get_PublisherID_Proxy(IEventClass2 *,BSTR *);
void __RPC_STUB IEventClass2_get_PublisherID_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventClass2_put_PublisherID_Proxy(IEventClass2 *,BSTR );
void __RPC_STUB IEventClass2_put_PublisherID_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventClass2_get_MultiInterfacePublisherFilterCLSID_Proxy(IEventClass2 *,BSTR *);
void __RPC_STUB IEventClass2_get_MultiInterfacePublisherFilterCLSID_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventClass2_put_MultiInterfacePublisherFilterCLSID_Proxy(IEventClass2 *,BSTR );
void __RPC_STUB IEventClass2_put_MultiInterfacePublisherFilterCLSID_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventClass2_get_AllowInprocActivation_Proxy(IEventClass2 *,BOOL *);
void __RPC_STUB IEventClass2_get_AllowInprocActivation_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventClass2_put_AllowInprocActivation_Proxy(IEventClass2 *,BOOL );
void __RPC_STUB IEventClass2_put_AllowInprocActivation_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventClass2_get_FireInParallel_Proxy(IEventClass2 *,BOOL *);
void __RPC_STUB IEventClass2_get_FireInParallel_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventClass2_put_FireInParallel_Proxy(IEventClass2 *,BOOL );
void __RPC_STUB IEventClass2_put_FireInParallel_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
#endif 
#ifndef __IEventSubscription_INTERFACE_DEFINED__
#define __IEventSubscription_INTERFACE_DEFINED__
EXTERN_C const IID IID_IEventSubscription;
typedef struct IEventSubscriptionVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IEventSubscription *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IEventSubscription *);
 ULONG (_stdcall *Release)(IEventSubscription *);
 HRESULT (_stdcall *GetTypeInfoCount)(IEventSubscription *,UINT *);
 HRESULT (_stdcall *GetTypeInfo)(IEventSubscription *,UINT,LCID,ITypeInfo **);
 HRESULT (_stdcall *GetIDsOfNames)(IEventSubscription *,REFIID,LPOLESTR *,UINT,LCID,DISPID *);
 HRESULT (_stdcall *Invoke)(IEventSubscription *,DISPID,REFIID,LCID,WORD,DISPPARAMS *,VARIANT *,EXCEPINFO *,UINT *);
 HRESULT (_stdcall *get_SubscriptionID)(IEventSubscription *,BSTR *);
 HRESULT (_stdcall *put_SubscriptionID)(IEventSubscription *,BSTR);
 HRESULT (_stdcall *get_SubscriptionName)(IEventSubscription *,BSTR *);
 HRESULT (_stdcall *put_SubscriptionName)(IEventSubscription *,BSTR);
 HRESULT (_stdcall *get_PublisherID)(IEventSubscription *,BSTR *);
 HRESULT (_stdcall *put_PublisherID)(IEventSubscription *,BSTR);
 HRESULT (_stdcall *get_EventClassID)(IEventSubscription *,BSTR *);
 HRESULT (_stdcall *put_EventClassID)(IEventSubscription *,BSTR);
 HRESULT (_stdcall *get_MethodName)(IEventSubscription *,BSTR *);
 HRESULT (_stdcall *put_MethodName)(IEventSubscription *,BSTR);
 HRESULT (_stdcall *get_SubscriberCLSID)(IEventSubscription *,BSTR *);
 HRESULT (_stdcall *put_SubscriberCLSID)(IEventSubscription *,BSTR);
 HRESULT (_stdcall *get_SubscriberInterface)(IEventSubscription *,IUnknown **);
 HRESULT (_stdcall *put_SubscriberInterface)(IEventSubscription *,IUnknown *);
 HRESULT (_stdcall *get_PerUser)(IEventSubscription *,BOOL *);
 HRESULT (_stdcall *put_PerUser)(IEventSubscription *,BOOL);
 HRESULT (_stdcall *get_OwnerSID)(IEventSubscription *,BSTR *);
 HRESULT (_stdcall *put_OwnerSID)(IEventSubscription *,BSTR);
 HRESULT (_stdcall *get_Enabled)(IEventSubscription *,BOOL *);
 HRESULT (_stdcall *put_Enabled)(IEventSubscription *,BOOL);
 HRESULT (_stdcall *get_Description)(IEventSubscription *,BSTR *);
 HRESULT (_stdcall *put_Description)(IEventSubscription *,BSTR);
 HRESULT (_stdcall *get_MachineName)(IEventSubscription *,BSTR *);
 HRESULT (_stdcall *put_MachineName)(IEventSubscription *,BSTR);
 HRESULT (_stdcall *GetPublisherProperty)(IEventSubscription *,BSTR,VARIANT *);
 HRESULT (_stdcall *PutPublisherProperty)(IEventSubscription *,BSTR,VARIANT *);
 HRESULT (_stdcall *RemovePublisherProperty)(IEventSubscription *,BSTR);
 HRESULT (_stdcall *GetPublisherPropertyCollection)(IEventSubscription *,IEventObjectCollection **);
 HRESULT (_stdcall *GetSubscriberProperty)(IEventSubscription *,BSTR,VARIANT *);
 HRESULT (_stdcall *PutSubscriberProperty)(IEventSubscription *,BSTR,VARIANT *);
 HRESULT (_stdcall *RemoveSubscriberProperty)(IEventSubscription *,BSTR);
 HRESULT (_stdcall *GetSubscriberPropertyCollection)(IEventSubscription *,IEventObjectCollection **);
 HRESULT (_stdcall *get_InterfaceID)(IEventSubscription *,BSTR *);
 HRESULT (_stdcall *put_InterfaceID)(IEventSubscription *,BSTR);
END_INTERFACE
} IEventSubscriptionVtbl;
interface IEventSubscription
{
CONST_VTBL struct IEventSubscriptionVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IEventSubscription_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IEventSubscription_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IEventSubscription_Release(A) (A)->lpVtbl->Release(A)
#define IEventSubscription_GetTypeInfoCount(A,B) (A)->lpVtbl->GetTypeInfoCount(A,B)
#define IEventSubscription_GetTypeInfo(A,B,C,D) (A)->lpVtbl->GetTypeInfo(A,B,C,D)
#define IEventSubscription_GetIDsOfNames(A,B,C,D,E,F) (A)->lpVtbl->GetIDsOfNames(A,B,C,D,E,F)
#define IEventSubscription_Invoke(A,B,C,D,E,F,G,H,I) (A)->lpVtbl->Invoke(A,B,C,D,E,F,G,H,I)
#define IEventSubscription_get_SubscriptionID(A,B) (A)->lpVtbl->get_SubscriptionID(A,B)
#define IEventSubscription_put_SubscriptionID(A,B) (A)->lpVtbl->put_SubscriptionID(A,B)
#define IEventSubscription_get_SubscriptionName(A,B) (A)->lpVtbl->get_SubscriptionName(A,B)
#define IEventSubscription_put_SubscriptionName(A,B) (A)->lpVtbl->put_SubscriptionName(A,B)
#define IEventSubscription_get_PublisherID(A,B) (A)->lpVtbl->get_PublisherID(A,B)
#define IEventSubscription_put_PublisherID(A,B) (A)->lpVtbl->put_PublisherID(A,B)
#define IEventSubscription_get_EventClassID(A,B) (A)->lpVtbl->get_EventClassID(A,B)
#define IEventSubscription_put_EventClassID(A,B) (A)->lpVtbl->put_EventClassID(A,B)
#define IEventSubscription_get_MethodName(A,B) (A)->lpVtbl->get_MethodName(A,B)
#define IEventSubscription_put_MethodName(A,B) (A)->lpVtbl->put_MethodName(A,B)
#define IEventSubscription_get_SubscriberCLSID(A,B) (A)->lpVtbl->get_SubscriberCLSID(A,B)
#define IEventSubscription_put_SubscriberCLSID(A,B) (A)->lpVtbl->put_SubscriberCLSID(A,B)
#define IEventSubscription_get_SubscriberInterface(A,B) (A)->lpVtbl->get_SubscriberInterface(A,B)
#define IEventSubscription_put_SubscriberInterface(A,B) (A)->lpVtbl->put_SubscriberInterface(A,B)
#define IEventSubscription_get_PerUser(A,B) (A)->lpVtbl->get_PerUser(A,B)
#define IEventSubscription_put_PerUser(A,B) (A)->lpVtbl->put_PerUser(A,B)
#define IEventSubscription_get_OwnerSID(A,B) (A)->lpVtbl->get_OwnerSID(A,B)
#define IEventSubscription_put_OwnerSID(A,B) (A)->lpVtbl->put_OwnerSID(A,B)
#define IEventSubscription_get_Enabled(A,B) (A)->lpVtbl->get_Enabled(A,B)
#define IEventSubscription_put_Enabled(A,B) (A)->lpVtbl->put_Enabled(A,B)
#define IEventSubscription_get_Description(A,B) (A)->lpVtbl->get_Description(A,B)
#define IEventSubscription_put_Description(A,B) (A)->lpVtbl->put_Description(A,B)
#define IEventSubscription_get_MachineName(A,B) (A)->lpVtbl->get_MachineName(A,B)
#define IEventSubscription_put_MachineName(A,B) (A)->lpVtbl->put_MachineName(A,B)
#define IEventSubscription_GetPublisherProperty(A,B,C) (A)->lpVtbl->GetPublisherProperty(A,B,C)
#define IEventSubscription_PutPublisherProperty(A,B,C) (A)->lpVtbl->PutPublisherProperty(A,B,C)
#define IEventSubscription_RemovePublisherProperty(A,B) (A)->lpVtbl->RemovePublisherProperty(A,B)
#define IEventSubscription_GetPublisherPropertyCollection(A,B) (A)->lpVtbl->GetPublisherPropertyCollection(A,B)
#define IEventSubscription_GetSubscriberProperty(A,B,C) (A)->lpVtbl->GetSubscriberProperty(A,B,C)
#define IEventSubscription_PutSubscriberProperty(A,B,C) (A)->lpVtbl->PutSubscriberProperty(A,B,C)
#define IEventSubscription_RemoveSubscriberProperty(A,B) (A)->lpVtbl->RemoveSubscriberProperty(A,B)
#define IEventSubscription_GetSubscriberPropertyCollection(A,B) (A)->lpVtbl->GetSubscriberPropertyCollection(A,B)
#define IEventSubscription_get_InterfaceID(A,B) (A)->lpVtbl->get_InterfaceID(A,B)
#define IEventSubscription_put_InterfaceID(A,B) (A)->lpVtbl->put_InterfaceID(A,B)
#endif 
HRESULT _stdcall IEventSubscription_get_SubscriptionID_Proxy(IEventSubscription *,BSTR *);
void __RPC_STUB IEventSubscription_get_SubscriptionID_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventSubscription_put_SubscriptionID_Proxy(IEventSubscription *,BSTR );
void __RPC_STUB IEventSubscription_put_SubscriptionID_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventSubscription_get_SubscriptionName_Proxy(IEventSubscription *,BSTR *);
void __RPC_STUB IEventSubscription_get_SubscriptionName_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventSubscription_put_SubscriptionName_Proxy(IEventSubscription *,BSTR );
void __RPC_STUB IEventSubscription_put_SubscriptionName_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventSubscription_get_PublisherID_Proxy(IEventSubscription *,BSTR *);
void __RPC_STUB IEventSubscription_get_PublisherID_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventSubscription_put_PublisherID_Proxy(IEventSubscription *,BSTR );
void __RPC_STUB IEventSubscription_put_PublisherID_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventSubscription_get_EventClassID_Proxy(IEventSubscription *,BSTR *);
void __RPC_STUB IEventSubscription_get_EventClassID_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventSubscription_put_EventClassID_Proxy(IEventSubscription *,BSTR );
void __RPC_STUB IEventSubscription_put_EventClassID_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventSubscription_get_MethodName_Proxy(IEventSubscription *,BSTR *);
void __RPC_STUB IEventSubscription_get_MethodName_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventSubscription_put_MethodName_Proxy(IEventSubscription *,BSTR );
void __RPC_STUB IEventSubscription_put_MethodName_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventSubscription_get_SubscriberCLSID_Proxy(IEventSubscription *,BSTR *);
void __RPC_STUB IEventSubscription_get_SubscriberCLSID_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventSubscription_put_SubscriberCLSID_Proxy(IEventSubscription *,BSTR );
void __RPC_STUB IEventSubscription_put_SubscriberCLSID_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventSubscription_get_SubscriberInterface_Proxy(IEventSubscription *,IUnknown **);
void __RPC_STUB IEventSubscription_get_SubscriberInterface_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventSubscription_put_SubscriberInterface_Proxy(IEventSubscription *,IUnknown *);
void __RPC_STUB IEventSubscription_put_SubscriberInterface_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventSubscription_get_PerUser_Proxy(IEventSubscription *,BOOL *);
void __RPC_STUB IEventSubscription_get_PerUser_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventSubscription_put_PerUser_Proxy(IEventSubscription *,BOOL );
void __RPC_STUB IEventSubscription_put_PerUser_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventSubscription_get_OwnerSID_Proxy(IEventSubscription *,BSTR *);
void __RPC_STUB IEventSubscription_get_OwnerSID_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventSubscription_put_OwnerSID_Proxy(IEventSubscription *,BSTR );
void __RPC_STUB IEventSubscription_put_OwnerSID_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventSubscription_get_Enabled_Proxy(IEventSubscription *,BOOL *);
void __RPC_STUB IEventSubscription_get_Enabled_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventSubscription_put_Enabled_Proxy(IEventSubscription *,BOOL );
void __RPC_STUB IEventSubscription_put_Enabled_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventSubscription_get_Description_Proxy(IEventSubscription *,BSTR *);
void __RPC_STUB IEventSubscription_get_Description_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventSubscription_put_Description_Proxy(IEventSubscription *,BSTR );
void __RPC_STUB IEventSubscription_put_Description_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventSubscription_get_MachineName_Proxy(IEventSubscription *,BSTR *);
void __RPC_STUB IEventSubscription_get_MachineName_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventSubscription_put_MachineName_Proxy(IEventSubscription *,BSTR );
void __RPC_STUB IEventSubscription_put_MachineName_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventSubscription_GetPublisherProperty_Proxy(IEventSubscription *,BSTR ,VARIANT *);
void __RPC_STUB IEventSubscription_GetPublisherProperty_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventSubscription_PutPublisherProperty_Proxy(IEventSubscription *,BSTR ,VARIANT *);
void __RPC_STUB IEventSubscription_PutPublisherProperty_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventSubscription_RemovePublisherProperty_Proxy(IEventSubscription *,BSTR );
void __RPC_STUB IEventSubscription_RemovePublisherProperty_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventSubscription_GetPublisherPropertyCollection_Proxy(IEventSubscription *,IEventObjectCollection **);
void __RPC_STUB IEventSubscription_GetPublisherPropertyCollection_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventSubscription_GetSubscriberProperty_Proxy(IEventSubscription *,BSTR ,VARIANT *);
void __RPC_STUB IEventSubscription_GetSubscriberProperty_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventSubscription_PutSubscriberProperty_Proxy(IEventSubscription *,BSTR ,VARIANT *);
void __RPC_STUB IEventSubscription_PutSubscriberProperty_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventSubscription_RemoveSubscriberProperty_Proxy(IEventSubscription *,BSTR );
void __RPC_STUB IEventSubscription_RemoveSubscriberProperty_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventSubscription_GetSubscriberPropertyCollection_Proxy(IEventSubscription *,IEventObjectCollection **);
void __RPC_STUB IEventSubscription_GetSubscriberPropertyCollection_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventSubscription_get_InterfaceID_Proxy(IEventSubscription *,BSTR *);
void __RPC_STUB IEventSubscription_get_InterfaceID_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventSubscription_put_InterfaceID_Proxy(IEventSubscription *,BSTR );
void __RPC_STUB IEventSubscription_put_InterfaceID_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
#endif 
#ifndef __IFiringControl_INTERFACE_DEFINED__
#define __IFiringControl_INTERFACE_DEFINED__
EXTERN_C const IID IID_IFiringControl;
typedef struct IFiringControlVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IFiringControl *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IFiringControl *);
 ULONG (_stdcall *Release)(IFiringControl *);
 HRESULT (_stdcall *GetTypeInfoCount)(IFiringControl *,UINT *);
 HRESULT (_stdcall *GetTypeInfo)(IFiringControl *,UINT,LCID,ITypeInfo **);
 HRESULT (_stdcall *GetIDsOfNames)(IFiringControl *,REFIID,LPOLESTR *,UINT,LCID,DISPID *);
 HRESULT (_stdcall *Invoke)(IFiringControl *,DISPID,REFIID,LCID,WORD,DISPPARAMS *,VARIANT *,EXCEPINFO *,UINT *);
 HRESULT (_stdcall *FireSubscription)(IFiringControl *,IEventSubscription *);
END_INTERFACE
} IFiringControlVtbl;
interface IFiringControl
{
CONST_VTBL struct IFiringControlVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IFiringControl_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IFiringControl_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IFiringControl_Release(A) (A)->lpVtbl->Release(A)
#define IFiringControl_GetTypeInfoCount(A,B) (A)->lpVtbl->GetTypeInfoCount(A,B)
#define IFiringControl_GetTypeInfo(A,B,C,D) (A)->lpVtbl->GetTypeInfo(A,B,C,D)
#define IFiringControl_GetIDsOfNames(A,B,C,D,E,F) (A)->lpVtbl->GetIDsOfNames(A,B,C,D,E,F)
#define IFiringControl_Invoke(A,B,C,D,E,F,G,H,I) (A)->lpVtbl->Invoke(A,B,C,D,E,F,G,H,I)
#define IFiringControl_FireSubscription(A,B) (A)->lpVtbl->FireSubscription(A,B)
#endif 
HRESULT _stdcall IFiringControl_FireSubscription_Proxy(IFiringControl *,IEventSubscription *);
void __RPC_STUB IFiringControl_FireSubscription_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
#endif 
#ifndef __IPublisherFilter_INTERFACE_DEFINED__
#define __IPublisherFilter_INTERFACE_DEFINED__
EXTERN_C const IID IID_IPublisherFilter;
typedef struct IPublisherFilterVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IPublisherFilter *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IPublisherFilter *);
 ULONG (_stdcall *Release)(IPublisherFilter *);
 HRESULT (_stdcall *Initialize)(IPublisherFilter *,BSTR,IDispatch *);
 HRESULT (_stdcall *PrepareToFire)(IPublisherFilter *,BSTR,IFiringControl *);
END_INTERFACE
} IPublisherFilterVtbl;
interface IPublisherFilter
{
CONST_VTBL struct IPublisherFilterVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IPublisherFilter_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IPublisherFilter_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IPublisherFilter_Release(A) (A)->lpVtbl->Release(A)
#define IPublisherFilter_Initialize(A,B,C) (A)->lpVtbl->Initialize(A,B,C)
#define IPublisherFilter_PrepareToFire(A,B,C) (A)->lpVtbl->PrepareToFire(A,B,C)
#endif 
HRESULT _stdcall IPublisherFilter_Initialize_Proxy(IPublisherFilter *,BSTR ,IDispatch *);
void __RPC_STUB IPublisherFilter_Initialize_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IPublisherFilter_PrepareToFire_Proxy(IPublisherFilter *,BSTR ,IFiringControl *);
void __RPC_STUB IPublisherFilter_PrepareToFire_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
#endif 
#ifndef __IMultiInterfacePublisherFilter_INTERFACE_DEFINED__
#define __IMultiInterfacePublisherFilter_INTERFACE_DEFINED__
EXTERN_C const IID IID_IMultiInterfacePublisherFilter;
typedef struct IMultiInterfacePublisherFilterVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IMultiInterfacePublisherFilter *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IMultiInterfacePublisherFilter *);
 ULONG (_stdcall *Release)(IMultiInterfacePublisherFilter *);
 HRESULT (_stdcall *Initialize)(IMultiInterfacePublisherFilter *,IMultiInterfaceEventControl *);
 HRESULT (_stdcall *PrepareToFire)(IMultiInterfacePublisherFilter *,REFIID,BSTR,IFiringControl *);
END_INTERFACE
} IMultiInterfacePublisherFilterVtbl;
interface IMultiInterfacePublisherFilter
{
CONST_VTBL struct IMultiInterfacePublisherFilterVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IMultiInterfacePublisherFilter_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IMultiInterfacePublisherFilter_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IMultiInterfacePublisherFilter_Release(A) (A)->lpVtbl->Release(A)
#define IMultiInterfacePublisherFilter_Initialize(A,B) (A)->lpVtbl->Initialize(A,B)
#define IMultiInterfacePublisherFilter_PrepareToFire(A,B,C,D) (A)->lpVtbl->PrepareToFire(A,B,C,D)
#endif 
HRESULT _stdcall IMultiInterfacePublisherFilter_Initialize_Proxy(IMultiInterfacePublisherFilter *,IMultiInterfaceEventControl *);
void __RPC_STUB IMultiInterfacePublisherFilter_Initialize_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IMultiInterfacePublisherFilter_PrepareToFire_Proxy(IMultiInterfacePublisherFilter *,REFIID ,BSTR ,IFiringControl *);
void __RPC_STUB IMultiInterfacePublisherFilter_PrepareToFire_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
#endif 
#ifndef __IEventObjectChange_INTERFACE_DEFINED__
#define __IEventObjectChange_INTERFACE_DEFINED__
typedef  
enum __MIDL_IEventObjectChange_0001
{	EOC_NewObject=0,
EOC_ModifiedObject=EOC_NewObject + 1,
EOC_DeletedObject=EOC_ModifiedObject + 1
} EOC_ChangeType;
EXTERN_C const IID IID_IEventObjectChange;
typedef struct IEventObjectChangeVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IEventObjectChange *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IEventObjectChange *);
 ULONG (_stdcall *Release)(IEventObjectChange *);
 HRESULT (_stdcall *ChangedSubscription)(IEventObjectChange *,EOC_ChangeType,BSTR);
 HRESULT (_stdcall *ChangedEventClass)(IEventObjectChange *,EOC_ChangeType,BSTR);
 HRESULT (_stdcall *ChangedPublisher)(IEventObjectChange *,EOC_ChangeType,BSTR);
END_INTERFACE
} IEventObjectChangeVtbl;
interface IEventObjectChange
{
CONST_VTBL struct IEventObjectChangeVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IEventObjectChange_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IEventObjectChange_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IEventObjectChange_Release(A) (A)->lpVtbl->Release(A)
#define IEventObjectChange_ChangedSubscription(A,B,C) (A)->lpVtbl->ChangedSubscription(A,B,C)
#define IEventObjectChange_ChangedEventClass(A,B,C) (A)->lpVtbl->ChangedEventClass(A,B,C)
#define IEventObjectChange_ChangedPublisher(A,B,C) (A)->lpVtbl->ChangedPublisher(A,B,C)
#endif 
HRESULT _stdcall IEventObjectChange_ChangedSubscription_Proxy(IEventObjectChange *,EOC_ChangeType ,BSTR );
void __RPC_STUB IEventObjectChange_ChangedSubscription_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventObjectChange_ChangedEventClass_Proxy(IEventObjectChange *,EOC_ChangeType ,BSTR );
void __RPC_STUB IEventObjectChange_ChangedEventClass_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventObjectChange_ChangedPublisher_Proxy(IEventObjectChange *,EOC_ChangeType ,BSTR );
void __RPC_STUB IEventObjectChange_ChangedPublisher_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
#endif 
#ifndef _COMEVENTSYSCHANGEINFO_
#define _COMEVENTSYSCHANGEINFO_
typedef  struct __MIDL___MIDL_itf_eventsys_0266_0001
{
DWORD cbSize;
EOC_ChangeType changeType;
BSTR objectId;
BSTR partitionId;
BSTR applicationId;
GUID reserved[ 10 ];
} COMEVENTSYSCHANGEINFO;
#endif
extern RPC_IF_HANDLE __MIDL_itf_eventsys_0266_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_eventsys_0266_v0_0_s_ifspec;
#ifndef __IEventObjectChange2_INTERFACE_DEFINED__
#define __IEventObjectChange2_INTERFACE_DEFINED__
EXTERN_C const IID IID_IEventObjectChange2;
typedef struct IEventObjectChange2Vtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IEventObjectChange2 *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IEventObjectChange2 *);
 ULONG (_stdcall *Release)(IEventObjectChange2 *);
 HRESULT (_stdcall *ChangedSubscription)(IEventObjectChange2 *,COMEVENTSYSCHANGEINFO *);
 HRESULT (_stdcall *ChangedEventClass)(IEventObjectChange2 *,COMEVENTSYSCHANGEINFO *);
END_INTERFACE
} IEventObjectChange2Vtbl;
interface IEventObjectChange2
{
CONST_VTBL struct IEventObjectChange2Vtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IEventObjectChange2_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IEventObjectChange2_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IEventObjectChange2_Release(A) (A)->lpVtbl->Release(A)
#define IEventObjectChange2_ChangedSubscription(A,B) (A)->lpVtbl->ChangedSubscription(A,B)
#define IEventObjectChange2_ChangedEventClass(A,B) (A)->lpVtbl->ChangedEventClass(A,B)
#endif 
HRESULT _stdcall IEventObjectChange2_ChangedSubscription_Proxy(IEventObjectChange2 *,COMEVENTSYSCHANGEINFO *);
void __RPC_STUB IEventObjectChange2_ChangedSubscription_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventObjectChange2_ChangedEventClass_Proxy(IEventObjectChange2 *,COMEVENTSYSCHANGEINFO *);
void __RPC_STUB IEventObjectChange2_ChangedEventClass_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
#endif 
#ifndef __IEnumEventObject_INTERFACE_DEFINED__
#define __IEnumEventObject_INTERFACE_DEFINED__
EXTERN_C const IID IID_IEnumEventObject;
typedef struct IEnumEventObjectVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IEnumEventObject *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IEnumEventObject *);
 ULONG (_stdcall *Release)(IEnumEventObject *);
 HRESULT (_stdcall *Clone)(IEnumEventObject *,IEnumEventObject **);
 HRESULT (_stdcall *Next)(IEnumEventObject *,ULONG,IUnknown **,ULONG *);
 HRESULT (_stdcall *Reset)(IEnumEventObject *);
 HRESULT (_stdcall *Skip)(IEnumEventObject *,ULONG);
END_INTERFACE
} IEnumEventObjectVtbl;
interface IEnumEventObject
{
CONST_VTBL struct IEnumEventObjectVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IEnumEventObject_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IEnumEventObject_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IEnumEventObject_Release(A) (A)->lpVtbl->Release(A)
#define IEnumEventObject_Clone(A,B) (A)->lpVtbl->Clone(A,B)
#define IEnumEventObject_Next(A,B,C,D) (A)->lpVtbl->Next(A,B,C,D)
#define IEnumEventObject_Reset(A) (A)->lpVtbl->Reset(A)
#define IEnumEventObject_Skip(A,B) (A)->lpVtbl->Skip(A,B)
#endif 
HRESULT _stdcall IEnumEventObject_Clone_Proxy(IEnumEventObject *,IEnumEventObject **);
void __RPC_STUB IEnumEventObject_Clone_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEnumEventObject_Next_Proxy(IEnumEventObject *,ULONG ,IUnknown **,ULONG *);
void __RPC_STUB IEnumEventObject_Next_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEnumEventObject_Reset_Proxy(IEnumEventObject *);
void __RPC_STUB IEnumEventObject_Reset_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEnumEventObject_Skip_Proxy(IEnumEventObject *,ULONG );
void __RPC_STUB IEnumEventObject_Skip_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
#endif 
#ifndef __IEventObjectCollection_INTERFACE_DEFINED__
#define __IEventObjectCollection_INTERFACE_DEFINED__
EXTERN_C const IID IID_IEventObjectCollection;
typedef struct IEventObjectCollectionVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IEventObjectCollection *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IEventObjectCollection *);
 ULONG (_stdcall *Release)(IEventObjectCollection *);
 HRESULT (_stdcall *GetTypeInfoCount)(IEventObjectCollection *,UINT *);
 HRESULT (_stdcall *GetTypeInfo)(IEventObjectCollection *,UINT,LCID,ITypeInfo **);
 HRESULT (_stdcall *GetIDsOfNames)(IEventObjectCollection *,REFIID,LPOLESTR *,UINT,LCID,DISPID *);
 HRESULT (_stdcall *Invoke)(IEventObjectCollection *,DISPID,REFIID,LCID,WORD,DISPPARAMS *,VARIANT *,EXCEPINFO *,UINT *);
 HRESULT (_stdcall *get__NewEnum)(IEventObjectCollection *,IUnknown **);
 HRESULT (_stdcall *get_Item)(IEventObjectCollection *,BSTR,VARIANT *);
 HRESULT (_stdcall *get_NewEnum)(IEventObjectCollection *,IEnumEventObject **);
 HRESULT (_stdcall *get_Count)(IEventObjectCollection *,long *);
 HRESULT (_stdcall *Add)(IEventObjectCollection *,VARIANT *,BSTR);
 HRESULT (_stdcall *Remove)(IEventObjectCollection *,BSTR);
END_INTERFACE
} IEventObjectCollectionVtbl;
interface IEventObjectCollection
{
CONST_VTBL struct IEventObjectCollectionVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IEventObjectCollection_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IEventObjectCollection_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IEventObjectCollection_Release(A) (A)->lpVtbl->Release(A)
#define IEventObjectCollection_GetTypeInfoCount(A,B) (A)->lpVtbl->GetTypeInfoCount(A,B)
#define IEventObjectCollection_GetTypeInfo(A,B,C,D) (A)->lpVtbl->GetTypeInfo(A,B,C,D)
#define IEventObjectCollection_GetIDsOfNames(A,B,C,D,E,F) (A)->lpVtbl->GetIDsOfNames(A,B,C,D,E,F)
#define IEventObjectCollection_Invoke(A,B,C,D,E,F,G,H,I) (A)->lpVtbl->Invoke(A,B,C,D,E,F,G,H,I)
#define IEventObjectCollection_get__NewEnum(A,B) (A)->lpVtbl->get__NewEnum(A,B)
#define IEventObjectCollection_get_Item(A,B,C) (A)->lpVtbl->get_Item(A,B,C)
#define IEventObjectCollection_get_NewEnum(A,B) (A)->lpVtbl->get_NewEnum(A,B)
#define IEventObjectCollection_get_Count(A,B) (A)->lpVtbl->get_Count(A,B)
#define IEventObjectCollection_Add(A,B,C) (A)->lpVtbl->Add(A,B,C)
#define IEventObjectCollection_Remove(A,B) (A)->lpVtbl->Remove(A,B)
#endif 
HRESULT _stdcall IEventObjectCollection_get__NewEnum_Proxy(IEventObjectCollection *,IUnknown **);
void __RPC_STUB IEventObjectCollection_get__NewEnum_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventObjectCollection_get_Item_Proxy(IEventObjectCollection *,BSTR ,VARIANT *);
void __RPC_STUB IEventObjectCollection_get_Item_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventObjectCollection_get_NewEnum_Proxy(IEventObjectCollection *,IEnumEventObject **);
void __RPC_STUB IEventObjectCollection_get_NewEnum_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventObjectCollection_get_Count_Proxy(IEventObjectCollection *,long *);
void __RPC_STUB IEventObjectCollection_get_Count_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventObjectCollection_Add_Proxy(IEventObjectCollection *,VARIANT *,BSTR );
void __RPC_STUB IEventObjectCollection_Add_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventObjectCollection_Remove_Proxy(IEventObjectCollection *,BSTR );
void __RPC_STUB IEventObjectCollection_Remove_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
#endif 
#ifndef __IEventProperty_INTERFACE_DEFINED__
#define __IEventProperty_INTERFACE_DEFINED__
EXTERN_C const IID IID_IEventProperty;
typedef struct IEventPropertyVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IEventProperty *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IEventProperty *);
 ULONG (_stdcall *Release)(IEventProperty *);
 HRESULT (_stdcall *GetTypeInfoCount)(IEventProperty *,UINT *);
 HRESULT (_stdcall *GetTypeInfo)(IEventProperty *,UINT,LCID,ITypeInfo **);
 HRESULT (_stdcall *GetIDsOfNames)(IEventProperty *,REFIID,LPOLESTR *,UINT,LCID,DISPID *);
 HRESULT (_stdcall *Invoke)(IEventProperty *,DISPID,REFIID,LCID,WORD,DISPPARAMS *,VARIANT *,EXCEPINFO *,UINT *);
 HRESULT (_stdcall *get_Name)(IEventProperty *,BSTR *);
 HRESULT (_stdcall *put_Name)(IEventProperty *,BSTR);
 HRESULT (_stdcall *get_Value)(IEventProperty *,VARIANT *);
 HRESULT (_stdcall *put_Value)(IEventProperty *,VARIANT *);
END_INTERFACE
} IEventPropertyVtbl;
interface IEventProperty
{
CONST_VTBL struct IEventPropertyVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IEventProperty_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IEventProperty_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IEventProperty_Release(A) (A)->lpVtbl->Release(A)
#define IEventProperty_GetTypeInfoCount(A,B) (A)->lpVtbl->GetTypeInfoCount(A,B)
#define IEventProperty_GetTypeInfo(A,B,C,D) (A)->lpVtbl->GetTypeInfo(A,B,C,D)
#define IEventProperty_GetIDsOfNames(A,B,C,D,E,F) (A)->lpVtbl->GetIDsOfNames(A,B,C,D,E,F)
#define IEventProperty_Invoke(A,B,C,D,E,F,G,H,I) (A)->lpVtbl->Invoke(A,B,C,D,E,F,G,H,I)
#define IEventProperty_get_Name(A,B) (A)->lpVtbl->get_Name(A,B)
#define IEventProperty_put_Name(A,B) (A)->lpVtbl->put_Name(A,B)
#define IEventProperty_get_Value(A,B) (A)->lpVtbl->get_Value(A,B)
#define IEventProperty_put_Value(A,B) (A)->lpVtbl->put_Value(A,B)
#endif 
HRESULT _stdcall IEventProperty_get_Name_Proxy(IEventProperty *,BSTR *);
void __RPC_STUB IEventProperty_get_Name_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventProperty_put_Name_Proxy(IEventProperty *,BSTR );
void __RPC_STUB IEventProperty_put_Name_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventProperty_get_Value_Proxy(IEventProperty *,VARIANT *);
void __RPC_STUB IEventProperty_get_Value_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventProperty_put_Value_Proxy(IEventProperty *,VARIANT *);
void __RPC_STUB IEventProperty_put_Value_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
#endif 
#ifndef __IEventControl_INTERFACE_DEFINED__
#define __IEventControl_INTERFACE_DEFINED__
EXTERN_C const IID IID_IEventControl;
typedef struct IEventControlVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IEventControl *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IEventControl *);
 ULONG (_stdcall *Release)(IEventControl *);
 HRESULT (_stdcall *GetTypeInfoCount)(IEventControl *,UINT *);
 HRESULT (_stdcall *GetTypeInfo)(IEventControl *,UINT,LCID,ITypeInfo **);
 HRESULT (_stdcall *GetIDsOfNames)(IEventControl *,REFIID,LPOLESTR *,UINT,LCID,DISPID *);
 HRESULT (_stdcall *Invoke)(IEventControl *,DISPID,REFIID,LCID,WORD,DISPPARAMS *,VARIANT *,EXCEPINFO *,UINT *);
 HRESULT (_stdcall *SetPublisherFilter)(IEventControl *,BSTR,IPublisherFilter *);
 HRESULT (_stdcall *get_AllowInprocActivation)(IEventControl *,BOOL *);
 HRESULT (_stdcall *put_AllowInprocActivation)(IEventControl *,BOOL);
 HRESULT (_stdcall *GetSubscriptions)(IEventControl *,BSTR,BSTR,int *,IEventObjectCollection **);
 HRESULT (_stdcall *SetDefaultQuery)(IEventControl *,BSTR,BSTR,int *);
END_INTERFACE
} IEventControlVtbl;
interface IEventControl
{
CONST_VTBL struct IEventControlVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IEventControl_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IEventControl_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IEventControl_Release(A) (A)->lpVtbl->Release(A)
#define IEventControl_GetTypeInfoCount(A,B) (A)->lpVtbl->GetTypeInfoCount(A,B)
#define IEventControl_GetTypeInfo(A,B,C,D) (A)->lpVtbl->GetTypeInfo(A,B,C,D)
#define IEventControl_GetIDsOfNames(A,B,C,D,E,F) (A)->lpVtbl->GetIDsOfNames(A,B,C,D,E,F)
#define IEventControl_Invoke(A,B,C,D,E,F,G,H,I) (A)->lpVtbl->Invoke(A,B,C,D,E,F,G,H,I)
#define IEventControl_SetPublisherFilter(A,B,C) (A)->lpVtbl->SetPublisherFilter(A,B,C)
#define IEventControl_get_AllowInprocActivation(A,B) (A)->lpVtbl->get_AllowInprocActivation(A,B)
#define IEventControl_put_AllowInprocActivation(A,B) (A)->lpVtbl->put_AllowInprocActivation(A,B)
#define IEventControl_GetSubscriptions(A,B,C,D,E) (A)->lpVtbl->GetSubscriptions(A,B,C,D,E)
#define IEventControl_SetDefaultQuery(A,B,C,D) (A)->lpVtbl->SetDefaultQuery(A,B,C,D)
#endif 
HRESULT _stdcall IEventControl_SetPublisherFilter_Proxy(IEventControl *,BSTR ,IPublisherFilter *);
void __RPC_STUB IEventControl_SetPublisherFilter_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventControl_get_AllowInprocActivation_Proxy(IEventControl *,BOOL *);
void __RPC_STUB IEventControl_get_AllowInprocActivation_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventControl_put_AllowInprocActivation_Proxy(IEventControl *,BOOL );
void __RPC_STUB IEventControl_put_AllowInprocActivation_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventControl_GetSubscriptions_Proxy(IEventControl *,BSTR ,BSTR ,int *,IEventObjectCollection **);
void __RPC_STUB IEventControl_GetSubscriptions_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IEventControl_SetDefaultQuery_Proxy(IEventControl *,BSTR ,BSTR ,int *);
void __RPC_STUB IEventControl_SetDefaultQuery_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
#endif 
#ifndef __IMultiInterfaceEventControl_INTERFACE_DEFINED__
#define __IMultiInterfaceEventControl_INTERFACE_DEFINED__
EXTERN_C const IID IID_IMultiInterfaceEventControl;
typedef struct IMultiInterfaceEventControlVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IMultiInterfaceEventControl *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IMultiInterfaceEventControl *);
 ULONG (_stdcall *Release)(IMultiInterfaceEventControl *);
 HRESULT (_stdcall *SetMultiInterfacePublisherFilter)(IMultiInterfaceEventControl *,IMultiInterfacePublisherFilter *);
 HRESULT (_stdcall *GetSubscriptions)(IMultiInterfaceEventControl *,REFIID,BSTR,BSTR,int *,IEventObjectCollection **);
 HRESULT (_stdcall *SetDefaultQuery)(IMultiInterfaceEventControl *,REFIID,BSTR,BSTR,int *);
 HRESULT (_stdcall *get_AllowInprocActivation)(IMultiInterfaceEventControl *,BOOL *);
 HRESULT (_stdcall *put_AllowInprocActivation)(IMultiInterfaceEventControl *,BOOL);
 HRESULT (_stdcall *get_FireInParallel)(IMultiInterfaceEventControl *,BOOL *);
 HRESULT (_stdcall *put_FireInParallel)(IMultiInterfaceEventControl *,BOOL);
END_INTERFACE
} IMultiInterfaceEventControlVtbl;
interface IMultiInterfaceEventControl
{
CONST_VTBL struct IMultiInterfaceEventControlVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IMultiInterfaceEventControl_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IMultiInterfaceEventControl_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IMultiInterfaceEventControl_Release(A) (A)->lpVtbl->Release(A)
#define IMultiInterfaceEventControl_SetMultiInterfacePublisherFilter(A,B) (A)->lpVtbl->SetMultiInterfacePublisherFilter(A,B)
#define IMultiInterfaceEventControl_GetSubscriptions(A,B,C,D,E,F) (A)->lpVtbl->GetSubscriptions(A,B,C,D,E,F)
#define IMultiInterfaceEventControl_SetDefaultQuery(A,B,C,D,E) (A)->lpVtbl->SetDefaultQuery(A,B,C,D,E)
#define IMultiInterfaceEventControl_get_AllowInprocActivation(A,B) (A)->lpVtbl->get_AllowInprocActivation(A,B)
#define IMultiInterfaceEventControl_put_AllowInprocActivation(A,B) (A)->lpVtbl->put_AllowInprocActivation(A,B)
#define IMultiInterfaceEventControl_get_FireInParallel(A,B) (A)->lpVtbl->get_FireInParallel(A,B)
#define IMultiInterfaceEventControl_put_FireInParallel(A,B) (A)->lpVtbl->put_FireInParallel(A,B)
#endif 
HRESULT _stdcall IMultiInterfaceEventControl_SetMultiInterfacePublisherFilter_Proxy(IMultiInterfaceEventControl *,IMultiInterfacePublisherFilter *);
void __RPC_STUB IMultiInterfaceEventControl_SetMultiInterfacePublisherFilter_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IMultiInterfaceEventControl_GetSubscriptions_Proxy(IMultiInterfaceEventControl *,REFIID ,BSTR ,BSTR ,int *,IEventObjectCollection **);
void __RPC_STUB IMultiInterfaceEventControl_GetSubscriptions_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IMultiInterfaceEventControl_SetDefaultQuery_Proxy(IMultiInterfaceEventControl *,REFIID ,BSTR ,BSTR ,int *);
void __RPC_STUB IMultiInterfaceEventControl_SetDefaultQuery_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IMultiInterfaceEventControl_get_AllowInprocActivation_Proxy(IMultiInterfaceEventControl *,BOOL *);
void __RPC_STUB IMultiInterfaceEventControl_get_AllowInprocActivation_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IMultiInterfaceEventControl_put_AllowInprocActivation_Proxy(IMultiInterfaceEventControl *,BOOL );
void __RPC_STUB IMultiInterfaceEventControl_put_AllowInprocActivation_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IMultiInterfaceEventControl_get_FireInParallel_Proxy(IMultiInterfaceEventControl *,BOOL *);
void __RPC_STUB IMultiInterfaceEventControl_get_FireInParallel_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IMultiInterfaceEventControl_put_FireInParallel_Proxy(IMultiInterfaceEventControl *,BOOL );
void __RPC_STUB IMultiInterfaceEventControl_put_FireInParallel_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
#endif 
#ifndef __DummyEventSystemLib_LIBRARY_DEFINED__
#define __DummyEventSystemLib_LIBRARY_DEFINED__
EXTERN_C const IID LIBID_DummyEventSystemLib;
EXTERN_C const CLSID CLSID_CEventSystem;
EXTERN_C const CLSID CLSID_CEventPublisher;
EXTERN_C const CLSID CLSID_CEventClass;
EXTERN_C const CLSID CLSID_CEventSubscription;
EXTERN_C const CLSID CLSID_EventObjectChange;
EXTERN_C const CLSID CLSID_EventObjectChange2;
#endif 
unsigned long __RPC_USER BSTR_UserSize(unsigned long *,unsigned ,BSTR *); 
unsigned char * __RPC_USER BSTR_UserMarshal(unsigned long *,unsigned char *,BSTR *); 
unsigned char * __RPC_USER BSTR_UserUnmarshal(unsigned long *,unsigned char *,BSTR *); 
void __RPC_USER BSTR_UserFree(unsigned long *,BSTR *); 
unsigned long __RPC_USER VARIANT_UserSize(unsigned long *,unsigned ,VARIANT *); 
unsigned char * __RPC_USER VARIANT_UserMarshal(unsigned long *,unsigned char *,VARIANT *); 
unsigned char * __RPC_USER VARIANT_UserUnmarshal(unsigned long *,unsigned char *,VARIANT *); 
void __RPC_USER VARIANT_UserFree(unsigned long *,VARIANT *); 
#endif
