#ifndef __REQUIRED_RPCNDR_H_VERSION__
#define __REQUIRED_RPCNDR_H_VERSION__ 475
#endif
#include "rpc.h"
#include "rpcndr.h"
#ifndef __RPCNDR_H_VERSION__
#error this stub requires an updated version of <rpcndr.h>
#endif 
#ifndef COM_NO_WINDOWS_H
#include "windows.h"
#include "ole2.h"
#endif 
#ifndef __faxcom_h__
#define __faxcom_h__
#ifndef __IFaxTiff_FWD_DEFINED__
#define __IFaxTiff_FWD_DEFINED__
typedef interface IFaxTiff IFaxTiff;
#endif 
#ifndef __IFaxServer_FWD_DEFINED__
#define __IFaxServer_FWD_DEFINED__
typedef interface IFaxServer IFaxServer;
#endif 
#ifndef __IFaxPort_FWD_DEFINED__
#define __IFaxPort_FWD_DEFINED__
typedef interface IFaxPort IFaxPort;
#endif 
#ifndef __IFaxPorts_FWD_DEFINED__
#define __IFaxPorts_FWD_DEFINED__
typedef interface IFaxPorts IFaxPorts;
#endif 
#ifndef __IFaxRoutingMethod_FWD_DEFINED__
#define __IFaxRoutingMethod_FWD_DEFINED__
typedef interface IFaxRoutingMethod IFaxRoutingMethod;
#endif 
#ifndef __IFaxRoutingMethods_FWD_DEFINED__
#define __IFaxRoutingMethods_FWD_DEFINED__
typedef interface IFaxRoutingMethods IFaxRoutingMethods;
#endif 
#ifndef __IFaxStatus_FWD_DEFINED__
#define __IFaxStatus_FWD_DEFINED__
typedef interface IFaxStatus IFaxStatus;
#endif 
#ifndef __IFaxDoc_FWD_DEFINED__
#define __IFaxDoc_FWD_DEFINED__
typedef interface IFaxDoc IFaxDoc;
#endif 
#ifndef __IFaxJobs_FWD_DEFINED__
#define __IFaxJobs_FWD_DEFINED__
typedef interface IFaxJobs IFaxJobs;
#endif 
#ifndef __IFaxJob_FWD_DEFINED__
#define __IFaxJob_FWD_DEFINED__
typedef interface IFaxJob IFaxJob;
#endif 
#ifndef __FaxTiff_FWD_DEFINED__
#define __FaxTiff_FWD_DEFINED__
typedef struct FaxTiff FaxTiff;
#endif 
#ifndef __FaxServer_FWD_DEFINED__
#define __FaxServer_FWD_DEFINED__
typedef struct FaxServer FaxServer;
#endif 
#ifndef __FaxPort_FWD_DEFINED__
#define __FaxPort_FWD_DEFINED__
typedef struct FaxPort FaxPort;
#endif 
#ifndef __FaxPorts_FWD_DEFINED__
#define __FaxPorts_FWD_DEFINED__
typedef struct FaxPorts FaxPorts;
#endif 
#ifndef __FaxRoutingMethod_FWD_DEFINED__
#define __FaxRoutingMethod_FWD_DEFINED__
typedef struct FaxRoutingMethod FaxRoutingMethod;
#endif 
#ifndef __FaxRoutingMethods_FWD_DEFINED__
#define __FaxRoutingMethods_FWD_DEFINED__
typedef struct FaxRoutingMethods FaxRoutingMethods;
#endif 
#ifndef __FaxStatus_FWD_DEFINED__
#define __FaxStatus_FWD_DEFINED__
typedef struct FaxStatus FaxStatus;
#endif 
#ifndef __FaxDoc_FWD_DEFINED__
#define __FaxDoc_FWD_DEFINED__
typedef struct FaxDoc FaxDoc;
#endif 
#ifndef __FaxJobs_FWD_DEFINED__
#define __FaxJobs_FWD_DEFINED__
typedef struct FaxJobs FaxJobs;
#endif 
#ifndef __FaxJob_FWD_DEFINED__
#define __FaxJob_FWD_DEFINED__
typedef struct FaxJob FaxJob;
#endif 
#include "oaidl.h"
#include "ocidl.h"
void * __RPC_USER MIDL_user_allocate(size_t);
void __RPC_USER MIDL_user_free(void *); 
#ifndef __IFaxTiff_INTERFACE_DEFINED__
#define __IFaxTiff_INTERFACE_DEFINED__
EXTERN_C const IID IID_IFaxTiff;
typedef struct IFaxTiffVtbl {
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IFaxTiff *,REFIID,void * *);
 ULONG (_stdcall *AddRef)(IFaxTiff *);
 ULONG (_stdcall *Release)(IFaxTiff *);
 HRESULT (_stdcall *GetTypeInfoCount)(IFaxTiff *,UINT *);
 HRESULT (_stdcall *GetTypeInfo)(IFaxTiff *,UINT,LCID,ITypeInfo * *);
 HRESULT (_stdcall *GetIDsOfNames)(IFaxTiff *,REFIID,LPOLESTR *,UINT,LCID,DISPID *);
 HRESULT (_stdcall *Invoke)(IFaxTiff *,DISPID,REFIID,LCID,WORD,DISPPARAMS *,VARIANT *,EXCEPINFO *,UINT *);
 HRESULT (_stdcall *get_ReceiveTime)(IFaxTiff *,BSTR *);
 HRESULT (_stdcall *get_Image)(IFaxTiff *,BSTR *);
 HRESULT (_stdcall *put_Image)(IFaxTiff *,BSTR);
 HRESULT (_stdcall *get_RecipientName)(IFaxTiff *,BSTR *);
 HRESULT (_stdcall *get_SenderName)(IFaxTiff *,BSTR *);
 HRESULT (_stdcall *get_Routing)(IFaxTiff *,BSTR *);
 HRESULT (_stdcall *get_CallerId)(IFaxTiff *,BSTR *);
 HRESULT (_stdcall *get_Csid)(IFaxTiff *,BSTR *);
 HRESULT (_stdcall *get_Tsid)(IFaxTiff *,BSTR *);
 HRESULT (_stdcall *get_RecipientNumber)(IFaxTiff *,BSTR *);
 HRESULT (_stdcall *get_RawReceiveTime)(IFaxTiff *,VARIANT *);
END_INTERFACE
} IFaxTiffVtbl;
interface IFaxTiff { CONST_VTBL struct IFaxTiffVtbl *lpVtbl; };
#ifdef COBJMACROS
#define IFaxTiff_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IFaxTiff_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IFaxTiff_Release(A) (A)->lpVtbl->Release(A)
#define IFaxTiff_GetTypeInfoCount(A,B) (A)->lpVtbl->GetTypeInfoCount(A,B)
#define IFaxTiff_GetTypeInfo(A,B,C,D) (A)->lpVtbl->GetTypeInfo(A,B,C,D)
#define IFaxTiff_GetIDsOfNames(A,B,C,D,E,F) (A)->lpVtbl->GetIDsOfNames(A,B,C,D,E,F)
#define IFaxTiff_Invoke(A,B,C,D,E,F,G,H,I) (A)->lpVtbl->Invoke(A,B,C,D,E,F,G,H,I)
#define IFaxTiff_get_ReceiveTime(A,B) (A)->lpVtbl->get_ReceiveTime(A,B)
#define IFaxTiff_get_Image(A,B) (A)->lpVtbl->get_Image(A,B)
#define IFaxTiff_put_Image(A,B) (A)->lpVtbl->put_Image(A,B)
#define IFaxTiff_get_RecipientName(A,B) (A)->lpVtbl->get_RecipientName(A,B)
#define IFaxTiff_get_SenderName(A,B) (A)->lpVtbl->get_SenderName(A,B)
#define IFaxTiff_get_Routing(A,B) (A)->lpVtbl->get_Routing(A,B)
#define IFaxTiff_get_CallerId(A,B) (A)->lpVtbl->get_CallerId(A,B)
#define IFaxTiff_get_Csid(A,B) (A)->lpVtbl->get_Csid(A,B)
#define IFaxTiff_get_Tsid(A,B) (A)->lpVtbl->get_Tsid(A,B)
#define IFaxTiff_get_RecipientNumber(A,B) (A)->lpVtbl->get_RecipientNumber(A,B)
#define IFaxTiff_get_RawReceiveTime(A,B) (A)->lpVtbl->get_RawReceiveTime(A,B)
#endif 
HRESULT _stdcall IFaxTiff_get_ReceiveTime_Proxy(IFaxTiff *,BSTR *);
void _stdcall IFaxTiff_get_ReceiveTime_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxTiff_get_Image_Proxy(IFaxTiff *,BSTR *);
void _stdcall IFaxTiff_get_Image_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxTiff_put_Image_Proxy(IFaxTiff *,BSTR);
void _stdcall IFaxTiff_put_Image_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxTiff_get_RecipientName_Proxy(IFaxTiff *,BSTR *);
void _stdcall IFaxTiff_get_RecipientName_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxTiff_get_SenderName_Proxy(IFaxTiff *,BSTR *);
void _stdcall IFaxTiff_get_SenderName_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxTiff_get_Routing_Proxy(IFaxTiff *,BSTR *);
void _stdcall IFaxTiff_get_Routing_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxTiff_get_CallerId_Proxy(IFaxTiff *,BSTR *);
void _stdcall IFaxTiff_get_CallerId_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxTiff_get_Csid_Proxy(IFaxTiff *,BSTR *);
void _stdcall IFaxTiff_get_Csid_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxTiff_get_Tsid_Proxy(IFaxTiff *,BSTR *);
void _stdcall IFaxTiff_get_Tsid_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxTiff_get_RecipientNumber_Proxy(IFaxTiff *,BSTR *);
void _stdcall IFaxTiff_get_RecipientNumber_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxTiff_get_RawReceiveTime_Proxy(IFaxTiff *,VARIANT *);
void _stdcall IFaxTiff_get_RawReceiveTime_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
#endif 
#ifndef __IFaxServer_INTERFACE_DEFINED__
#define __IFaxServer_INTERFACE_DEFINED__
EXTERN_C const IID IID_IFaxServer;
typedef struct IFaxServerVtbl {
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IFaxServer *,REFIID,void * *);
 ULONG (_stdcall *AddRef)(IFaxServer *);
 ULONG (_stdcall *Release)(IFaxServer *);
 HRESULT (_stdcall *GetTypeInfoCount)(IFaxServer *,UINT *);
 HRESULT (_stdcall *GetTypeInfo)(IFaxServer *,UINT,LCID,ITypeInfo * *);
 HRESULT (_stdcall *GetIDsOfNames)(IFaxServer *,REFIID,LPOLESTR *,UINT,LCID,DISPID *);
 HRESULT (_stdcall *Invoke)(IFaxServer *,DISPID,REFIID,LCID,WORD,DISPPARAMS *,VARIANT *,EXCEPINFO *,UINT *);
 HRESULT (_stdcall *Connect)(IFaxServer *,BSTR);
 HRESULT (_stdcall *Disconnect)(IFaxServer *);
 HRESULT (_stdcall *GetPorts)(IFaxServer *,VARIANT *);
 HRESULT (_stdcall *CreateDocument)(IFaxServer *,BSTR,VARIANT *);
 HRESULT (_stdcall *GetJobs)(IFaxServer *,VARIANT *);
 HRESULT (_stdcall *get_Retries)(IFaxServer *,long *);
 HRESULT (_stdcall *put_Retries)(IFaxServer *,long);
 HRESULT (_stdcall *get_RetryDelay)(IFaxServer *,long *);
 HRESULT (_stdcall *put_RetryDelay)(IFaxServer *,long);
 HRESULT (_stdcall *get_DirtyDays)(IFaxServer *,long *);
 HRESULT (_stdcall *put_DirtyDays)(IFaxServer *,long);
 HRESULT (_stdcall *get_Branding)(IFaxServer *,BOOL *);
 HRESULT (_stdcall *put_Branding)(IFaxServer *,BOOL);
 HRESULT (_stdcall *get_UseDeviceTsid)(IFaxServer *,BOOL *);
 HRESULT (_stdcall *put_UseDeviceTsid)(IFaxServer *,BOOL);
 HRESULT (_stdcall *get_ServerCoverpage)(IFaxServer *,BOOL *);
 HRESULT (_stdcall *put_ServerCoverpage)(IFaxServer *,BOOL);
 HRESULT (_stdcall *get_PauseServerQueue)(IFaxServer *,BOOL *);
 HRESULT (_stdcall *put_PauseServerQueue)(IFaxServer *,BOOL);
 HRESULT (_stdcall *get_ArchiveOutboundFaxes)(IFaxServer *,BOOL *);
 HRESULT (_stdcall *put_ArchiveOutboundFaxes)(IFaxServer *,BOOL);
 HRESULT (_stdcall *get_ArchiveDirectory)(IFaxServer *,BSTR *);
 HRESULT (_stdcall *put_ArchiveDirectory)(IFaxServer *,BSTR);
 HRESULT (_stdcall *get_ServerMapiProfile)(IFaxServer *,BSTR *);
 HRESULT (_stdcall *put_ServerMapiProfile)(IFaxServer *,BSTR);
 HRESULT (_stdcall *get_DiscountRateStartHour)(IFaxServer *,short *);
 HRESULT (_stdcall *put_DiscountRateStartHour)(IFaxServer *,short);
 HRESULT (_stdcall *get_DiscountRateStartMinute)(IFaxServer *,short *);
 HRESULT (_stdcall *put_DiscountRateStartMinute)(IFaxServer *,short);
 HRESULT (_stdcall *get_DiscountRateEndHour)(IFaxServer *,short *);
 HRESULT (_stdcall *put_DiscountRateEndHour)(IFaxServer *,short);
 HRESULT (_stdcall *get_DiscountRateEndMinute)(IFaxServer *,short *);
 HRESULT (_stdcall *put_DiscountRateEndMinute)(IFaxServer *,short);
END_INTERFACE
} IFaxServerVtbl;
interface IFaxServer { CONST_VTBL struct IFaxServerVtbl *lpVtbl; };
#ifdef COBJMACROS
#define IFaxServer_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IFaxServer_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IFaxServer_Release(A) (A)->lpVtbl->Release(A)
#define IFaxServer_GetTypeInfoCount(A,B) (A)->lpVtbl->GetTypeInfoCount(A,B)
#define IFaxServer_GetTypeInfo(A,B,C,D) (A)->lpVtbl->GetTypeInfo(A,B,C,D)
#define IFaxServer_GetIDsOfNames(A,B,C,D,E,F) (A)->lpVtbl->GetIDsOfNames(A,B,C,D,E,F)
#define IFaxServer_Invoke(A,B,C,D,E,F,G,H,I) (A)->lpVtbl->Invoke(A,B,C,D,E,F,G,H,I)
#define IFaxServer_Connect(A,B) (A)->lpVtbl->Connect(A,B)
#define IFaxServer_Disconnect(A) (A)->lpVtbl->Disconnect(A)
#define IFaxServer_GetPorts(A,B) (A)->lpVtbl->GetPorts(A,B)
#define IFaxServer_CreateDocument(A,B,C) (A)->lpVtbl->CreateDocument(A,B,C)
#define IFaxServer_GetJobs(A,B) (A)->lpVtbl->GetJobs(A,B)
#define IFaxServer_get_Retries(A,B) (A)->lpVtbl->get_Retries(A,B)
#define IFaxServer_put_Retries(A,B) (A)->lpVtbl->put_Retries(A,B)
#define IFaxServer_get_RetryDelay(A,B) (A)->lpVtbl->get_RetryDelay(A,B)
#define IFaxServer_put_RetryDelay(A,B) (A)->lpVtbl->put_RetryDelay(A,B)
#define IFaxServer_get_DirtyDays(A,B) (A)->lpVtbl->get_DirtyDays(A,B)
#define IFaxServer_put_DirtyDays(A,B) (A)->lpVtbl->put_DirtyDays(A,B)
#define IFaxServer_get_Branding(A,B) (A)->lpVtbl->get_Branding(A,B)
#define IFaxServer_put_Branding(A,B) (A)->lpVtbl->put_Branding(A,B)
#define IFaxServer_get_UseDeviceTsid(A,B) (A)->lpVtbl->get_UseDeviceTsid(A,B)
#define IFaxServer_put_UseDeviceTsid(A,B) (A)->lpVtbl->put_UseDeviceTsid(A,B)
#define IFaxServer_get_ServerCoverpage(A,B) (A)->lpVtbl->get_ServerCoverpage(A,B)
#define IFaxServer_put_ServerCoverpage(A,B) (A)->lpVtbl->put_ServerCoverpage(A,B)
#define IFaxServer_get_PauseServerQueue(A,B) (A)->lpVtbl->get_PauseServerQueue(A,B)
#define IFaxServer_put_PauseServerQueue(A,B) (A)->lpVtbl->put_PauseServerQueue(A,B)
#define IFaxServer_get_ArchiveOutboundFaxes(A,B) (A)->lpVtbl->get_ArchiveOutboundFaxes(A,B)
#define IFaxServer_put_ArchiveOutboundFaxes(A,B) (A)->lpVtbl->put_ArchiveOutboundFaxes(A,B)
#define IFaxServer_get_ArchiveDirectory(A,B) (A)->lpVtbl->get_ArchiveDirectory(A,B)
#define IFaxServer_put_ArchiveDirectory(A,B) (A)->lpVtbl->put_ArchiveDirectory(A,B)
#define IFaxServer_get_ServerMapiProfile(A,B) (A)->lpVtbl->get_ServerMapiProfile(A,B)
#define IFaxServer_put_ServerMapiProfile(A,B) (A)->lpVtbl->put_ServerMapiProfile(A,B)
#define IFaxServer_get_DiscountRateStartHour(A,B) (A)->lpVtbl->get_DiscountRateStartHour(A,B)
#define IFaxServer_put_DiscountRateStartHour(A,B) (A)->lpVtbl->put_DiscountRateStartHour(A,B)
#define IFaxServer_get_DiscountRateStartMinute(A,B) (A)->lpVtbl->get_DiscountRateStartMinute(A,B)
#define IFaxServer_put_DiscountRateStartMinute(A,B) (A)->lpVtbl->put_DiscountRateStartMinute(A,B)
#define IFaxServer_get_DiscountRateEndHour(A,B) (A)->lpVtbl->get_DiscountRateEndHour(A,B)
#define IFaxServer_put_DiscountRateEndHour(A,B) (A)->lpVtbl->put_DiscountRateEndHour(A,B)
#define IFaxServer_get_DiscountRateEndMinute(A,B) (A)->lpVtbl->get_DiscountRateEndMinute(A,B)
#define IFaxServer_put_DiscountRateEndMinute(A,B) (A)->lpVtbl->put_DiscountRateEndMinute(A,B)
#endif 
HRESULT _stdcall IFaxServer_Connect_Proxy(IFaxServer *,BSTR);
void _stdcall IFaxServer_Connect_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxServer_Disconnect_Proxy(IFaxServer * This);
void _stdcall IFaxServer_Disconnect_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxServer_GetPorts_Proxy(IFaxServer *,VARIANT *);
void _stdcall IFaxServer_GetPorts_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxServer_CreateDocument_Proxy(IFaxServer *,BSTR,VARIANT *);
void _stdcall IFaxServer_CreateDocument_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxServer_GetJobs_Proxy(IFaxServer *,VARIANT *);
void _stdcall IFaxServer_GetJobs_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxServer_get_Retries_Proxy(IFaxServer *,long *);
void _stdcall IFaxServer_get_Retries_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxServer_put_Retries_Proxy(IFaxServer *,long);
void _stdcall IFaxServer_put_Retries_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxServer_get_RetryDelay_Proxy(IFaxServer *,long *);
void _stdcall IFaxServer_get_RetryDelay_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxServer_put_RetryDelay_Proxy(IFaxServer *,long);
void _stdcall IFaxServer_put_RetryDelay_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxServer_get_DirtyDays_Proxy(IFaxServer *,long *);
void _stdcall IFaxServer_get_DirtyDays_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxServer_put_DirtyDays_Proxy(IFaxServer *,long);
void _stdcall IFaxServer_put_DirtyDays_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxServer_get_Branding_Proxy(IFaxServer *,BOOL *);
void _stdcall IFaxServer_get_Branding_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxServer_put_Branding_Proxy(IFaxServer *,BOOL);
void _stdcall IFaxServer_put_Branding_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxServer_get_UseDeviceTsid_Proxy(IFaxServer *,BOOL *);
void _stdcall IFaxServer_get_UseDeviceTsid_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxServer_put_UseDeviceTsid_Proxy(IFaxServer *,BOOL);
void _stdcall IFaxServer_put_UseDeviceTsid_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxServer_get_ServerCoverpage_Proxy(IFaxServer *,BOOL *);
void _stdcall IFaxServer_get_ServerCoverpage_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxServer_put_ServerCoverpage_Proxy(IFaxServer *,BOOL);
void _stdcall IFaxServer_put_ServerCoverpage_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxServer_get_PauseServerQueue_Proxy(IFaxServer *,BOOL *);
void _stdcall IFaxServer_get_PauseServerQueue_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxServer_put_PauseServerQueue_Proxy(IFaxServer *,BOOL);
void _stdcall IFaxServer_put_PauseServerQueue_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxServer_get_ArchiveOutboundFaxes_Proxy(IFaxServer *,BOOL *);
void _stdcall IFaxServer_get_ArchiveOutboundFaxes_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxServer_put_ArchiveOutboundFaxes_Proxy(IFaxServer *,BOOL);
void _stdcall IFaxServer_put_ArchiveOutboundFaxes_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxServer_get_ArchiveDirectory_Proxy(IFaxServer *,BSTR *);
void _stdcall IFaxServer_get_ArchiveDirectory_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxServer_put_ArchiveDirectory_Proxy(IFaxServer *,BSTR);
void _stdcall IFaxServer_put_ArchiveDirectory_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxServer_get_ServerMapiProfile_Proxy(IFaxServer *,BSTR *);
void _stdcall IFaxServer_get_ServerMapiProfile_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxServer_put_ServerMapiProfile_Proxy(IFaxServer *,BSTR);
void _stdcall IFaxServer_put_ServerMapiProfile_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxServer_get_DiscountRateStartHour_Proxy(IFaxServer *,short *);
void _stdcall IFaxServer_get_DiscountRateStartHour_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxServer_put_DiscountRateStartHour_Proxy(IFaxServer *,short);
void _stdcall IFaxServer_put_DiscountRateStartHour_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxServer_get_DiscountRateStartMinute_Proxy(IFaxServer *,short *);
void _stdcall IFaxServer_get_DiscountRateStartMinute_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxServer_put_DiscountRateStartMinute_Proxy(IFaxServer *,short);
void _stdcall IFaxServer_put_DiscountRateStartMinute_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxServer_get_DiscountRateEndHour_Proxy(IFaxServer *,short *);
void _stdcall IFaxServer_get_DiscountRateEndHour_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxServer_put_DiscountRateEndHour_Proxy(IFaxServer *,short);
void _stdcall IFaxServer_put_DiscountRateEndHour_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxServer_get_DiscountRateEndMinute_Proxy(IFaxServer *,short *);
void _stdcall IFaxServer_get_DiscountRateEndMinute_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxServer_put_DiscountRateEndMinute_Proxy(IFaxServer *,short);
void _stdcall IFaxServer_put_DiscountRateEndMinute_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
#endif 
#ifndef __IFaxPort_INTERFACE_DEFINED__
#define __IFaxPort_INTERFACE_DEFINED__
EXTERN_C const IID IID_IFaxPort;
typedef struct IFaxPortVtbl {
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IFaxPort *,REFIID,void * *);
 ULONG (_stdcall *AddRef)(IFaxPort *);
 ULONG (_stdcall *Release)(IFaxPort *);
 HRESULT (_stdcall *GetTypeInfoCount)(IFaxPort *,UINT *);
 HRESULT (_stdcall *GetTypeInfo)(IFaxPort *,UINT,LCID,ITypeInfo * *);
 HRESULT (_stdcall *GetIDsOfNames)(IFaxPort *,REFIID,LPOLESTR *,UINT,LCID,DISPID *);
 HRESULT (_stdcall *Invoke)(IFaxPort *,DISPID,REFIID,LCID,WORD,DISPPARAMS *,VARIANT *,EXCEPINFO *,UINT *);
 HRESULT (_stdcall *get_Name)(IFaxPort *,BSTR *);
 HRESULT (_stdcall *get_DeviceId)(IFaxPort *,long *);
 HRESULT (_stdcall *get_Rings)(IFaxPort *,long *);
 HRESULT (_stdcall *put_Rings)(IFaxPort *,long);
 HRESULT (_stdcall *get_Csid)(IFaxPort *,BSTR *);
 HRESULT (_stdcall *put_Csid)(IFaxPort *,BSTR);
 HRESULT (_stdcall *get_Tsid)(IFaxPort *,BSTR *);
 HRESULT (_stdcall *put_Tsid)(IFaxPort *,BSTR);
 HRESULT (_stdcall *get_Send)(IFaxPort *,BOOL *);
 HRESULT (_stdcall *put_Send)(IFaxPort *,BOOL);
 HRESULT (_stdcall *get_Receive)(IFaxPort *,BOOL *);
 HRESULT (_stdcall *put_Receive)(IFaxPort *,BOOL);
 HRESULT (_stdcall *get_Priority)(IFaxPort *,long *);
 HRESULT (_stdcall *put_Priority)(IFaxPort *,long);
 HRESULT (_stdcall *GetRoutingMethods)(IFaxPort *,VARIANT *);
 HRESULT (_stdcall *get_CanModify)(IFaxPort *,BOOL *);
 HRESULT (_stdcall *GetStatus)(IFaxPort *,VARIANT *);
END_INTERFACE
} IFaxPortVtbl;
interface IFaxPort { CONST_VTBL struct IFaxPortVtbl *lpVtbl; };
#ifdef COBJMACROS
#define IFaxPort_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IFaxPort_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IFaxPort_Release(A) (A)->lpVtbl->Release(A)
#define IFaxPort_GetTypeInfoCount(A,B) (A)->lpVtbl->GetTypeInfoCount(A,B)
#define IFaxPort_GetTypeInfo(A,B,C,D) (A)->lpVtbl->GetTypeInfo(A,B,C,D)
#define IFaxPort_GetIDsOfNames(A,B,C,D,E,F) (A)->lpVtbl->GetIDsOfNames(A,B,C,D,E,F)
#define IFaxPort_Invoke(A,B,C,D,E,F,G,H,I) (A)->lpVtbl->Invoke(A,B,C,D,E,F,G,H,I)
#define IFaxPort_get_Name(A,B) (A)->lpVtbl->get_Name(A,B)
#define IFaxPort_get_DeviceId(A,B) (A)->lpVtbl->get_DeviceId(A,B)
#define IFaxPort_get_Rings(A,B) (A)->lpVtbl->get_Rings(A,B)
#define IFaxPort_put_Rings(A,B) (A)->lpVtbl->put_Rings(A,B)
#define IFaxPort_get_Csid(A,B) (A)->lpVtbl->get_Csid(A,B)
#define IFaxPort_put_Csid(A,B) (A)->lpVtbl->put_Csid(A,B)
#define IFaxPort_get_Tsid(A,B) (A)->lpVtbl->get_Tsid(A,B)
#define IFaxPort_put_Tsid(A,B) (A)->lpVtbl->put_Tsid(A,B)
#define IFaxPort_get_Send(A,B) (A)->lpVtbl->get_Send(A,B)
#define IFaxPort_put_Send(A,B) (A)->lpVtbl->put_Send(A,B)
#define IFaxPort_get_Receive(A,B) (A)->lpVtbl->get_Receive(A,B)
#define IFaxPort_put_Receive(A,B) (A)->lpVtbl->put_Receive(A,B)
#define IFaxPort_get_Priority(A,B) (A)->lpVtbl->get_Priority(A,B)
#define IFaxPort_put_Priority(A,B) (A)->lpVtbl->put_Priority(A,B)
#define IFaxPort_GetRoutingMethods(A,B) (A)->lpVtbl->GetRoutingMethods(A,B)
#define IFaxPort_get_CanModify(A,B) (A)->lpVtbl->get_CanModify(A,B)
#define IFaxPort_GetStatus(A,B) (A)->lpVtbl->GetStatus(A,B)
#endif 
HRESULT _stdcall IFaxPort_get_Name_Proxy(IFaxPort *,BSTR *);
void _stdcall IFaxPort_get_Name_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxPort_get_DeviceId_Proxy(IFaxPort *,long *);
void _stdcall IFaxPort_get_DeviceId_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxPort_get_Rings_Proxy(IFaxPort *,long *);
void _stdcall IFaxPort_get_Rings_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxPort_put_Rings_Proxy(IFaxPort *,long);
void _stdcall IFaxPort_put_Rings_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxPort_get_Csid_Proxy(IFaxPort *,BSTR *);
void _stdcall IFaxPort_get_Csid_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxPort_put_Csid_Proxy(IFaxPort *,BSTR);
void _stdcall IFaxPort_put_Csid_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxPort_get_Tsid_Proxy(IFaxPort *,BSTR *);
void _stdcall IFaxPort_get_Tsid_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxPort_put_Tsid_Proxy(IFaxPort *,BSTR);
void _stdcall IFaxPort_put_Tsid_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxPort_get_Send_Proxy(IFaxPort *,BOOL *);
void _stdcall IFaxPort_get_Send_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxPort_put_Send_Proxy(IFaxPort *,BOOL);
void _stdcall IFaxPort_put_Send_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxPort_get_Receive_Proxy(IFaxPort *,BOOL *);
void _stdcall IFaxPort_get_Receive_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxPort_put_Receive_Proxy(IFaxPort *,BOOL);
void _stdcall IFaxPort_put_Receive_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxPort_get_Priority_Proxy(IFaxPort *,long *);
void _stdcall IFaxPort_get_Priority_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxPort_put_Priority_Proxy(IFaxPort *,long);
void _stdcall IFaxPort_put_Priority_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxPort_GetRoutingMethods_Proxy(IFaxPort *,VARIANT *);
void _stdcall IFaxPort_GetRoutingMethods_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxPort_get_CanModify_Proxy(IFaxPort *,BOOL *);
void _stdcall IFaxPort_get_CanModify_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxPort_GetStatus_Proxy(IFaxPort *,VARIANT *);
void _stdcall IFaxPort_GetStatus_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
#endif 
#ifndef __IFaxPorts_INTERFACE_DEFINED__
#define __IFaxPorts_INTERFACE_DEFINED__
EXTERN_C const IID IID_IFaxPorts;
typedef struct IFaxPortsVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IFaxPorts *,REFIID,void * *);
 ULONG (_stdcall *AddRef)(IFaxPorts *);
 ULONG (_stdcall *Release)(IFaxPorts *);
 HRESULT (_stdcall *GetTypeInfoCount)(IFaxPorts *,UINT *);
 HRESULT (_stdcall *GetTypeInfo)(IFaxPorts *,UINT,LCID,ITypeInfo * *);
 HRESULT (_stdcall *GetIDsOfNames)(IFaxPorts *,REFIID,LPOLESTR *,UINT,LCID,DISPID *);
 HRESULT (_stdcall *Invoke)(IFaxPorts *,DISPID,REFIID,LCID,WORD,DISPPARAMS *,VARIANT *,EXCEPINFO *,UINT *);
 HRESULT (_stdcall *get_Count)(IFaxPorts *,long *);
 HRESULT (_stdcall *get_Item)(IFaxPorts *,long,VARIANT *);
END_INTERFACE
} IFaxPortsVtbl;
interface IFaxPorts { CONST_VTBL struct IFaxPortsVtbl *lpVtbl; };
#ifdef COBJMACROS
#define IFaxPorts_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IFaxPorts_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IFaxPorts_Release(A) (A)->lpVtbl->Release(A)
#define IFaxPorts_GetTypeInfoCount(A,B) (A)->lpVtbl->GetTypeInfoCount(A,B)
#define IFaxPorts_GetTypeInfo(A,B,C,D) (A)->lpVtbl->GetTypeInfo(A,B,C,D)
#define IFaxPorts_GetIDsOfNames(A,B,C,D,E,F) (A)->lpVtbl->GetIDsOfNames(A,B,C,D,E,F)
#define IFaxPorts_Invoke(A,B,C,D,E,F,G,H,I) (A)->lpVtbl->Invoke(A,B,C,D,E,F,G,H,I)
#define IFaxPorts_get_Count(A,B) (A)->lpVtbl->get_Count(A,B)
#define IFaxPorts_get_Item(A,B,C) (A)->lpVtbl->get_Item(A,B,C)
#endif 
HRESULT _stdcall IFaxPorts_get_Count_Proxy(IFaxPorts *,long *);
void _stdcall IFaxPorts_get_Count_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxPorts_get_Item_Proxy(IFaxPorts *,long,VARIANT *);
void _stdcall IFaxPorts_get_Item_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
#endif 
#ifndef __IFaxRoutingMethod_INTERFACE_DEFINED__
#define __IFaxRoutingMethod_INTERFACE_DEFINED__
EXTERN_C const IID IID_IFaxRoutingMethod;
typedef struct IFaxRoutingMethodVtbl {
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IFaxRoutingMethod *,REFIID,void * *);
 ULONG (_stdcall *AddRef)(IFaxRoutingMethod *);
 ULONG (_stdcall *Release)(IFaxRoutingMethod *);
 HRESULT (_stdcall *GetTypeInfoCount)(IFaxRoutingMethod *,UINT *);
 HRESULT (_stdcall *GetTypeInfo)(IFaxRoutingMethod *,UINT,LCID,ITypeInfo * *);
 HRESULT (_stdcall *GetIDsOfNames)(IFaxRoutingMethod *,REFIID,LPOLESTR *,UINT,LCID,DISPID *);
 HRESULT (_stdcall *Invoke)(IFaxRoutingMethod *,DISPID,REFIID,LCID,WORD,DISPPARAMS *,VARIANT *,EXCEPINFO *,UINT *);
 HRESULT (_stdcall *get_DeviceId)(IFaxRoutingMethod *,long *);
 HRESULT (_stdcall *get_Enable)(IFaxRoutingMethod *,BOOL *);
 HRESULT (_stdcall *put_Enable)(IFaxRoutingMethod *,BOOL);
 HRESULT (_stdcall *get_DeviceName)(IFaxRoutingMethod *,BSTR *);
 HRESULT (_stdcall *get_Guid)(IFaxRoutingMethod *,BSTR *);
 HRESULT (_stdcall *get_FunctionName)(IFaxRoutingMethod *,BSTR *);
 HRESULT (_stdcall *get_ImageName)(IFaxRoutingMethod *,BSTR *);
 HRESULT (_stdcall *get_FriendlyName)(IFaxRoutingMethod *,BSTR *);
 HRESULT (_stdcall *get_ExtensionName)(IFaxRoutingMethod *,BSTR *);
 HRESULT (_stdcall *get_RoutingData)(IFaxRoutingMethod *,BSTR *);
END_INTERFACE
} IFaxRoutingMethodVtbl;
interface IFaxRoutingMethod { CONST_VTBL struct IFaxRoutingMethodVtbl *lpVtbl; };
#ifdef COBJMACROS
#define IFaxRoutingMethod_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IFaxRoutingMethod_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IFaxRoutingMethod_Release(A) (A)->lpVtbl->Release(A)
#define IFaxRoutingMethod_GetTypeInfoCount(A,B) (A)->lpVtbl->GetTypeInfoCount(A,B)
#define IFaxRoutingMethod_GetTypeInfo(A,B,C,D) (A)->lpVtbl->GetTypeInfo(A,B,C,D)
#define IFaxRoutingMethod_GetIDsOfNames(A,B,C,D,E,F) (A)->lpVtbl->GetIDsOfNames(A,B,C,D,E,F)
#define IFaxRoutingMethod_Invoke(A,B,C,D,E,F,G,H,I) (A)->lpVtbl->Invoke(A,B,C,D,E,F,G,H,I)
#define IFaxRoutingMethod_get_DeviceId(A,B) (A)->lpVtbl->get_DeviceId(A,B)
#define IFaxRoutingMethod_get_Enable(A,B) (A)->lpVtbl->get_Enable(A,B)
#define IFaxRoutingMethod_put_Enable(A,B) (A)->lpVtbl->put_Enable(A,B)
#define IFaxRoutingMethod_get_DeviceName(A,B) (A)->lpVtbl->get_DeviceName(A,B)
#define IFaxRoutingMethod_get_Guid(A,B) (A)->lpVtbl->get_Guid(A,B)
#define IFaxRoutingMethod_get_FunctionName(A,B) (A)->lpVtbl->get_FunctionName(A,B)
#define IFaxRoutingMethod_get_ImageName(A,B) (A)->lpVtbl->get_ImageName(A,B)
#define IFaxRoutingMethod_get_FriendlyName(A,B) (A)->lpVtbl->get_FriendlyName(A,B)
#define IFaxRoutingMethod_get_ExtensionName(A,B) (A)->lpVtbl->get_ExtensionName(A,B)
#define IFaxRoutingMethod_get_RoutingData(A,B) (A)->lpVtbl->get_RoutingData(A,B)
#endif 
HRESULT _stdcall IFaxRoutingMethod_get_DeviceId_Proxy(IFaxRoutingMethod *,long *);
void _stdcall IFaxRoutingMethod_get_DeviceId_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxRoutingMethod_get_Enable_Proxy(IFaxRoutingMethod *,BOOL *);
void _stdcall IFaxRoutingMethod_get_Enable_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxRoutingMethod_put_Enable_Proxy(IFaxRoutingMethod *,BOOL);
void _stdcall IFaxRoutingMethod_put_Enable_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxRoutingMethod_get_DeviceName_Proxy(IFaxRoutingMethod *,BSTR *);
void _stdcall IFaxRoutingMethod_get_DeviceName_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxRoutingMethod_get_Guid_Proxy(IFaxRoutingMethod *,BSTR *);
void _stdcall IFaxRoutingMethod_get_Guid_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxRoutingMethod_get_FunctionName_Proxy(IFaxRoutingMethod *,BSTR *);
void _stdcall IFaxRoutingMethod_get_FunctionName_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxRoutingMethod_get_ImageName_Proxy(IFaxRoutingMethod *,BSTR *);
void _stdcall IFaxRoutingMethod_get_ImageName_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxRoutingMethod_get_FriendlyName_Proxy(IFaxRoutingMethod *,BSTR *);
void _stdcall IFaxRoutingMethod_get_FriendlyName_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxRoutingMethod_get_ExtensionName_Proxy(IFaxRoutingMethod *,BSTR *);
void _stdcall IFaxRoutingMethod_get_ExtensionName_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxRoutingMethod_get_RoutingData_Proxy(IFaxRoutingMethod *,BSTR *);
void _stdcall IFaxRoutingMethod_get_RoutingData_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
#endif 
#ifndef __IFaxRoutingMethods_INTERFACE_DEFINED__
#define __IFaxRoutingMethods_INTERFACE_DEFINED__
EXTERN_C const IID IID_IFaxRoutingMethods;
typedef struct IFaxRoutingMethodsVtbl {
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IFaxRoutingMethods *,REFIID,void * *);
 ULONG (_stdcall *AddRef)(IFaxRoutingMethods *);
 ULONG (_stdcall *Release)(IFaxRoutingMethods *);
 HRESULT (_stdcall *GetTypeInfoCount)(IFaxRoutingMethods *,UINT *);
 HRESULT (_stdcall *GetTypeInfo)(IFaxRoutingMethods *,UINT,LCID,ITypeInfo * *);
 HRESULT (_stdcall *GetIDsOfNames)(IFaxRoutingMethods *,REFIID,LPOLESTR *,UINT,LCID,DISPID *);
 HRESULT (_stdcall *Invoke)(IFaxRoutingMethods *,DISPID,REFIID,LCID,WORD,DISPPARAMS *,VARIANT *,EXCEPINFO *,UINT *);
 HRESULT (_stdcall *get_Count)(IFaxRoutingMethods *,long *);
 HRESULT (_stdcall *get_Item)(IFaxRoutingMethods *,long,VARIANT *);
END_INTERFACE
} IFaxRoutingMethodsVtbl;
interface IFaxRoutingMethods { CONST_VTBL struct IFaxRoutingMethodsVtbl *lpVtbl; };
#ifdef COBJMACROS
#define IFaxRoutingMethods_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IFaxRoutingMethods_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IFaxRoutingMethods_Release(A) (A)->lpVtbl->Release(A)
#define IFaxRoutingMethods_GetTypeInfoCount(A,B) (A)->lpVtbl->GetTypeInfoCount(A,B)
#define IFaxRoutingMethods_GetTypeInfo(A,B,C,D) (A)->lpVtbl->GetTypeInfo(A,B,C,D)
#define IFaxRoutingMethods_GetIDsOfNames(A,B,C,D,E,F) (A)->lpVtbl->GetIDsOfNames(A,B,C,D,E,F)
#define IFaxRoutingMethods_Invoke(A,B,C,D,E,F,G,H,I) (A)->lpVtbl->Invoke(A,B,C,D,E,F,G,H,I)
#define IFaxRoutingMethods_get_Count(A,B) (A)->lpVtbl->get_Count(A,B)
#define IFaxRoutingMethods_get_Item(A,B,C) (A)->lpVtbl->get_Item(A,B,C)
#endif 
HRESULT _stdcall IFaxRoutingMethods_get_Count_Proxy(IFaxRoutingMethods *,long *);
void _stdcall IFaxRoutingMethods_get_Count_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxRoutingMethods_get_Item_Proxy(IFaxRoutingMethods *,long,VARIANT *);
void _stdcall IFaxRoutingMethods_get_Item_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
#endif 
#ifndef __IFaxStatus_INTERFACE_DEFINED__
#define __IFaxStatus_INTERFACE_DEFINED__
EXTERN_C const IID IID_IFaxStatus;
typedef struct IFaxStatusVtbl {
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IFaxStatus *,REFIID,void * *);
 ULONG (_stdcall *AddRef)(IFaxStatus *);
 ULONG (_stdcall *Release)(IFaxStatus *);
 HRESULT (_stdcall *GetTypeInfoCount)(IFaxStatus *,UINT *);
 HRESULT (_stdcall *GetTypeInfo)(IFaxStatus *,UINT,LCID,ITypeInfo * *);
 HRESULT (_stdcall *GetIDsOfNames)(IFaxStatus *,REFIID,LPOLESTR *,UINT,LCID,DISPID *);
 HRESULT (_stdcall *Invoke)(IFaxStatus *,DISPID,REFIID,LCID,WORD,DISPPARAMS *,VARIANT *,EXCEPINFO *,UINT *);
 HRESULT (_stdcall *get_CallerId)(IFaxStatus *,BSTR *);
 HRESULT (_stdcall *get_Csid)(IFaxStatus *,BSTR *);
 HRESULT (_stdcall *get_CurrentPage)(IFaxStatus *,long *);
 HRESULT (_stdcall *get_DeviceId)(IFaxStatus *,long *);
 HRESULT (_stdcall *get_DeviceName)(IFaxStatus *,BSTR *);
 HRESULT (_stdcall *get_DocumentName)(IFaxStatus *,BSTR *);
 HRESULT (_stdcall *get_Send)(IFaxStatus *,BOOL *);
 HRESULT (_stdcall *get_Receive)(IFaxStatus *,BOOL *);
 HRESULT (_stdcall *get_Address)(IFaxStatus *,BSTR *);
 HRESULT (_stdcall *get_RoutingString)(IFaxStatus *,BSTR *);
 HRESULT (_stdcall *get_SenderName)(IFaxStatus *,BSTR *);
 HRESULT (_stdcall *get_RecipientName)(IFaxStatus *,BSTR *);
 HRESULT (_stdcall *get_DocumentSize)(IFaxStatus *,long *);
 HRESULT (_stdcall *get_Description)(IFaxStatus *,BSTR *);
 HRESULT (_stdcall *get_PageCount)(IFaxStatus *,long *);
 HRESULT (_stdcall *get_Tsid)(IFaxStatus *,BSTR *);
 HRESULT (_stdcall *get_StartTime)(IFaxStatus *,DATE *);
 HRESULT (_stdcall *get_SubmittedTime)(IFaxStatus *,DATE *);
 HRESULT (_stdcall *get_ElapsedTime)(IFaxStatus *,DATE *);
 HRESULT (_stdcall *Refresh)(IFaxStatus *);
END_INTERFACE
} IFaxStatusVtbl;
interface IFaxStatus { CONST_VTBL struct IFaxStatusVtbl *lpVtbl; };
#ifdef COBJMACROS
#define IFaxStatus_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IFaxStatus_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IFaxStatus_Release(A) (A)->lpVtbl->Release(A)
#define IFaxStatus_GetTypeInfoCount(A,B) (A)->lpVtbl->GetTypeInfoCount(A,B)
#define IFaxStatus_GetTypeInfo(A,B,C,D) (A)->lpVtbl->GetTypeInfo(A,B,C,D)
#define IFaxStatus_GetIDsOfNames(A,B,C,D,E,F) (A)->lpVtbl->GetIDsOfNames(A,B,C,D,E,F)
#define IFaxStatus_Invoke(A,B,C,D,E,F,G,H,I) (A)->lpVtbl->Invoke(A,B,C,D,E,F,G,H,I)
#define IFaxStatus_get_CallerId(A,B) (A)->lpVtbl->get_CallerId(A,B)
#define IFaxStatus_get_Csid(A,B) (A)->lpVtbl->get_Csid(A,B)
#define IFaxStatus_get_CurrentPage(A,B) (A)->lpVtbl->get_CurrentPage(A,B)
#define IFaxStatus_get_DeviceId(A,B) (A)->lpVtbl->get_DeviceId(A,B)
#define IFaxStatus_get_DeviceName(A,B) (A)->lpVtbl->get_DeviceName(A,B)
#define IFaxStatus_get_DocumentName(A,B) (A)->lpVtbl->get_DocumentName(A,B)
#define IFaxStatus_get_Send(A,B) (A)->lpVtbl->get_Send(A,B)
#define IFaxStatus_get_Receive(A,B) (A)->lpVtbl->get_Receive(A,B)
#define IFaxStatus_get_Address(A,B) (A)->lpVtbl->get_Address(A,B)
#define IFaxStatus_get_RoutingString(A,B) (A)->lpVtbl->get_RoutingString(A,B)
#define IFaxStatus_get_SenderName(A,B) (A)->lpVtbl->get_SenderName(A,B)
#define IFaxStatus_get_RecipientName(A,B) (A)->lpVtbl->get_RecipientName(A,B)
#define IFaxStatus_get_DocumentSize(A,B) (A)->lpVtbl->get_DocumentSize(A,B)
#define IFaxStatus_get_Description(A,B) (A)->lpVtbl->get_Description(A,B)
#define IFaxStatus_get_PageCount(A,B) (A)->lpVtbl->get_PageCount(A,B)
#define IFaxStatus_get_Tsid(A,B) (A)->lpVtbl->get_Tsid(A,B)
#define IFaxStatus_get_StartTime(A,B) (A)->lpVtbl->get_StartTime(A,B)
#define IFaxStatus_get_SubmittedTime(A,B) (A)->lpVtbl->get_SubmittedTime(A,B)
#define IFaxStatus_get_ElapsedTime(A,B) (A)->lpVtbl->get_ElapsedTime(A,B)
#define IFaxStatus_Refresh(A) (A)->lpVtbl->Refresh(A)
#endif 
HRESULT _stdcall IFaxStatus_get_CallerId_Proxy(IFaxStatus *,BSTR *);
void _stdcall IFaxStatus_get_CallerId_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxStatus_get_Csid_Proxy(IFaxStatus *,BSTR *);
void _stdcall IFaxStatus_get_Csid_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxStatus_get_CurrentPage_Proxy(IFaxStatus *,long *);
void _stdcall IFaxStatus_get_CurrentPage_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxStatus_get_DeviceId_Proxy(IFaxStatus *,long *);
void _stdcall IFaxStatus_get_DeviceId_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxStatus_get_DeviceName_Proxy(IFaxStatus *,BSTR *);
void _stdcall IFaxStatus_get_DeviceName_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxStatus_get_DocumentName_Proxy(IFaxStatus *,BSTR *);
void _stdcall IFaxStatus_get_DocumentName_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxStatus_get_Send_Proxy(IFaxStatus *,BOOL *);
void _stdcall IFaxStatus_get_Send_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxStatus_get_Receive_Proxy(IFaxStatus *,BOOL *);
void _stdcall IFaxStatus_get_Receive_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxStatus_get_Address_Proxy(IFaxStatus *,BSTR *);
void _stdcall IFaxStatus_get_Address_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxStatus_get_RoutingString_Proxy(IFaxStatus *,BSTR *);
void _stdcall IFaxStatus_get_RoutingString_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxStatus_get_SenderName_Proxy(IFaxStatus *,BSTR *);
void _stdcall IFaxStatus_get_SenderName_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxStatus_get_RecipientName_Proxy(IFaxStatus *,BSTR *);
void _stdcall IFaxStatus_get_RecipientName_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxStatus_get_DocumentSize_Proxy(IFaxStatus *,long *);
void _stdcall IFaxStatus_get_DocumentSize_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxStatus_get_Description_Proxy(IFaxStatus *,BSTR *);
void _stdcall IFaxStatus_get_Description_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxStatus_get_PageCount_Proxy(IFaxStatus *,long *);
void _stdcall IFaxStatus_get_PageCount_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxStatus_get_Tsid_Proxy(IFaxStatus *,BSTR *);
void _stdcall IFaxStatus_get_Tsid_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxStatus_get_StartTime_Proxy(IFaxStatus *,DATE *);
void _stdcall IFaxStatus_get_StartTime_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxStatus_get_SubmittedTime_Proxy(IFaxStatus *,DATE *);
void _stdcall IFaxStatus_get_SubmittedTime_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxStatus_get_ElapsedTime_Proxy(IFaxStatus *,DATE *);
void _stdcall IFaxStatus_get_ElapsedTime_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxStatus_Refresh_Proxy(IFaxStatus * This);
void _stdcall IFaxStatus_Refresh_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
#endif 
#ifndef __IFaxDoc_INTERFACE_DEFINED__
#define __IFaxDoc_INTERFACE_DEFINED__
EXTERN_C const IID IID_IFaxDoc;
typedef struct IFaxDocVtbl {
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IFaxDoc *,REFIID,void * *);
 ULONG (_stdcall *AddRef)(IFaxDoc *);
 ULONG (_stdcall *Release)(IFaxDoc *);
 HRESULT (_stdcall *GetTypeInfoCount)(IFaxDoc *,UINT *);
 HRESULT (_stdcall *GetTypeInfo)(IFaxDoc *,UINT,LCID,ITypeInfo * *);
 HRESULT (_stdcall *GetIDsOfNames)(IFaxDoc *,REFIID,LPOLESTR *,UINT,LCID,DISPID *);
 HRESULT (_stdcall *Invoke)(IFaxDoc *,DISPID,REFIID,LCID,WORD,DISPPARAMS *,VARIANT *,EXCEPINFO *,UINT *);
 HRESULT (_stdcall *get_FileName)(IFaxDoc *,BSTR *);
 HRESULT (_stdcall *put_FileName)(IFaxDoc *,BSTR);
 HRESULT (_stdcall *get_CoverpageName)(IFaxDoc *,BSTR *);
 HRESULT (_stdcall *put_CoverpageName)(IFaxDoc *,BSTR);
 HRESULT (_stdcall *get_SendCoverpage)(IFaxDoc *,BOOL *);
 HRESULT (_stdcall *put_SendCoverpage)(IFaxDoc *,BOOL);
 HRESULT (_stdcall *get_ServerCoverpage)(IFaxDoc *,BOOL *);
 HRESULT (_stdcall *put_ServerCoverpage)(IFaxDoc *,BOOL);
 HRESULT (_stdcall *get_DiscountSend)(IFaxDoc *,BOOL *);
 HRESULT (_stdcall *put_DiscountSend)(IFaxDoc *,BOOL);
 HRESULT (_stdcall *get_RecipientName)(IFaxDoc *,BSTR *);
 HRESULT (_stdcall *put_RecipientName)(IFaxDoc *,BSTR);
 HRESULT (_stdcall *get_RecipientCompany)(IFaxDoc *,BSTR *);
 HRESULT (_stdcall *put_RecipientCompany)(IFaxDoc *,BSTR);
 HRESULT (_stdcall *get_RecipientAddress)(IFaxDoc *,BSTR *);
 HRESULT (_stdcall *put_RecipientAddress)(IFaxDoc *,BSTR);
 HRESULT (_stdcall *get_RecipientCity)(IFaxDoc *,BSTR *);
 HRESULT (_stdcall *put_RecipientCity)(IFaxDoc *,BSTR);
 HRESULT (_stdcall *get_RecipientState)(IFaxDoc *,BSTR *);
 HRESULT (_stdcall *put_RecipientState)(IFaxDoc *,BSTR);
 HRESULT (_stdcall *get_RecipientZip)(IFaxDoc *,BSTR *);
 HRESULT (_stdcall *put_RecipientZip)(IFaxDoc *,BSTR);
 HRESULT (_stdcall *get_RecipientCountry)(IFaxDoc *,BSTR *);
 HRESULT (_stdcall *put_RecipientCountry)(IFaxDoc *,BSTR);
 HRESULT (_stdcall *get_RecipientTitle)(IFaxDoc *,BSTR *);
 HRESULT (_stdcall *put_RecipientTitle)(IFaxDoc *,BSTR);
 HRESULT (_stdcall *get_RecipientDepartment)(IFaxDoc *,BSTR *);
 HRESULT (_stdcall *put_RecipientDepartment)(IFaxDoc *,BSTR);
 HRESULT (_stdcall *get_RecipientOffice)(IFaxDoc *,BSTR *);
 HRESULT (_stdcall *put_RecipientOffice)(IFaxDoc *,BSTR);
 HRESULT (_stdcall *get_RecipientHomePhone)(IFaxDoc *,BSTR *);
 HRESULT (_stdcall *put_RecipientHomePhone)(IFaxDoc *,BSTR);
 HRESULT (_stdcall *get_RecipientOfficePhone)(IFaxDoc *,BSTR *);
 HRESULT (_stdcall *put_RecipientOfficePhone)(IFaxDoc *,BSTR);
 HRESULT (_stdcall *get_SenderName)(IFaxDoc *,BSTR *);
 HRESULT (_stdcall *put_SenderName)(IFaxDoc *,BSTR);
 HRESULT (_stdcall *get_SenderCompany)(IFaxDoc *,BSTR *);
 HRESULT (_stdcall *put_SenderCompany)(IFaxDoc *,BSTR);
 HRESULT (_stdcall *get_SenderAddress)(IFaxDoc *,BSTR *);
 HRESULT (_stdcall *put_SenderAddress)(IFaxDoc *,BSTR);
 HRESULT (_stdcall *get_SenderTitle)(IFaxDoc *,BSTR *);
 HRESULT (_stdcall *put_SenderTitle)(IFaxDoc *,BSTR);
 HRESULT (_stdcall *get_SenderDepartment)(IFaxDoc *,BSTR *);
 HRESULT (_stdcall *put_SenderDepartment)(IFaxDoc *,BSTR);
 HRESULT (_stdcall *get_SenderOffice)(IFaxDoc *,BSTR *);
 HRESULT (_stdcall *put_SenderOffice)(IFaxDoc *,BSTR);
 HRESULT (_stdcall *get_SenderHomePhone)(IFaxDoc *,BSTR *);
 HRESULT (_stdcall *put_SenderHomePhone)(IFaxDoc *,BSTR);
 HRESULT (_stdcall *get_SenderOfficePhone)(IFaxDoc *,BSTR *);
 HRESULT (_stdcall *put_SenderOfficePhone)(IFaxDoc *,BSTR);
 HRESULT (_stdcall *get_CoverpageNote)(IFaxDoc *,BSTR *);
 HRESULT (_stdcall *put_CoverpageNote)(IFaxDoc *,BSTR);
 HRESULT (_stdcall *get_CoverpageSubject)(IFaxDoc *,BSTR *);
 HRESULT (_stdcall *put_CoverpageSubject)(IFaxDoc *,BSTR);
 HRESULT (_stdcall *get_Tsid)(IFaxDoc *,BSTR *);
 HRESULT (_stdcall *put_Tsid)(IFaxDoc *,BSTR);
 HRESULT (_stdcall *get_BillingCode)(IFaxDoc *,BSTR *);
 HRESULT (_stdcall *put_BillingCode)(IFaxDoc *,BSTR);
 HRESULT (_stdcall *get_EmailAddress)(IFaxDoc *,BSTR *);
 HRESULT (_stdcall *put_EmailAddress)(IFaxDoc *,BSTR);
 HRESULT (_stdcall *get_DisplayName)(IFaxDoc *,BSTR *);
 HRESULT (_stdcall *put_DisplayName)(IFaxDoc *,BSTR);
 HRESULT (_stdcall *Send)(IFaxDoc *,long *);
 HRESULT (_stdcall *get_FaxNumber)(IFaxDoc *,BSTR *);
 HRESULT (_stdcall *put_FaxNumber)(IFaxDoc *,BSTR);
 HRESULT (_stdcall *putref_ConnectionObject)(IFaxDoc *,IDispatch *);
 HRESULT (_stdcall *get_CallHandle)(IFaxDoc *,long *);
 HRESULT (_stdcall *put_CallHandle)(IFaxDoc *,long);
END_INTERFACE
} IFaxDocVtbl;
interface IFaxDoc { CONST_VTBL struct IFaxDocVtbl *lpVtbl; };
#ifdef COBJMACROS
#define IFaxDoc_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IFaxDoc_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IFaxDoc_Release(A) (A)->lpVtbl->Release(A)
#define IFaxDoc_GetTypeInfoCount(A,B) (A)->lpVtbl->GetTypeInfoCount(A,B)
#define IFaxDoc_GetTypeInfo(A,B,C,D) (A)->lpVtbl->GetTypeInfo(A,B,C,D)
#define IFaxDoc_GetIDsOfNames(A,B,C,D,E,F) (A)->lpVtbl->GetIDsOfNames(A,B,C,D,E,F)
#define IFaxDoc_Invoke(A,B,C,D,E,F,G,H,I) (A)->lpVtbl->Invoke(A,B,C,D,E,F,G,H,I)
#define IFaxDoc_get_FileName(A,B) (A)->lpVtbl->get_FileName(A,B)
#define IFaxDoc_put_FileName(A,B) (A)->lpVtbl->put_FileName(A,B)
#define IFaxDoc_get_CoverpageName(A,B) (A)->lpVtbl->get_CoverpageName(A,B)
#define IFaxDoc_put_CoverpageName(A,B) (A)->lpVtbl->put_CoverpageName(A,B)
#define IFaxDoc_get_SendCoverpage(A,B) (A)->lpVtbl->get_SendCoverpage(A,B)
#define IFaxDoc_put_SendCoverpage(A,B) (A)->lpVtbl->put_SendCoverpage(A,B)
#define IFaxDoc_get_ServerCoverpage(A,B) (A)->lpVtbl->get_ServerCoverpage(A,B)
#define IFaxDoc_put_ServerCoverpage(A,B) (A)->lpVtbl->put_ServerCoverpage(A,B)
#define IFaxDoc_get_DiscountSend(A,B) (A)->lpVtbl->get_DiscountSend(A,B)
#define IFaxDoc_put_DiscountSend(A,B) (A)->lpVtbl->put_DiscountSend(A,B)
#define IFaxDoc_get_RecipientName(A,B) (A)->lpVtbl->get_RecipientName(A,B)
#define IFaxDoc_put_RecipientName(A,B) (A)->lpVtbl->put_RecipientName(A,B)
#define IFaxDoc_get_RecipientCompany(A,B) (A)->lpVtbl->get_RecipientCompany(A,B)
#define IFaxDoc_put_RecipientCompany(A,B) (A)->lpVtbl->put_RecipientCompany(A,B)
#define IFaxDoc_get_RecipientAddress(A,B) (A)->lpVtbl->get_RecipientAddress(A,B)
#define IFaxDoc_put_RecipientAddress(A,B) (A)->lpVtbl->put_RecipientAddress(A,B)
#define IFaxDoc_get_RecipientCity(A,B) (A)->lpVtbl->get_RecipientCity(A,B)
#define IFaxDoc_put_RecipientCity(A,B) (A)->lpVtbl->put_RecipientCity(A,B)
#define IFaxDoc_get_RecipientState(A,B) (A)->lpVtbl->get_RecipientState(A,B)
#define IFaxDoc_put_RecipientState(A,B) (A)->lpVtbl->put_RecipientState(A,B)
#define IFaxDoc_get_RecipientZip(A,B) (A)->lpVtbl->get_RecipientZip(A,B)
#define IFaxDoc_put_RecipientZip(A,B) (A)->lpVtbl->put_RecipientZip(A,B)
#define IFaxDoc_get_RecipientCountry(A,B) (A)->lpVtbl->get_RecipientCountry(A,B)
#define IFaxDoc_put_RecipientCountry(A,B) (A)->lpVtbl->put_RecipientCountry(A,B)
#define IFaxDoc_get_RecipientTitle(A,B) (A)->lpVtbl->get_RecipientTitle(A,B)
#define IFaxDoc_put_RecipientTitle(A,B) (A)->lpVtbl->put_RecipientTitle(A,B)
#define IFaxDoc_get_RecipientDepartment(A,B) (A)->lpVtbl->get_RecipientDepartment(A,B)
#define IFaxDoc_put_RecipientDepartment(A,B) (A)->lpVtbl->put_RecipientDepartment(A,B)
#define IFaxDoc_get_RecipientOffice(A,B) (A)->lpVtbl->get_RecipientOffice(A,B)
#define IFaxDoc_put_RecipientOffice(A,B) (A)->lpVtbl->put_RecipientOffice(A,B)
#define IFaxDoc_get_RecipientHomePhone(A,B) (A)->lpVtbl->get_RecipientHomePhone(A,B)
#define IFaxDoc_put_RecipientHomePhone(A,B) (A)->lpVtbl->put_RecipientHomePhone(A,B)
#define IFaxDoc_get_RecipientOfficePhone(A,B) (A)->lpVtbl->get_RecipientOfficePhone(A,B)
#define IFaxDoc_put_RecipientOfficePhone(A,B) (A)->lpVtbl->put_RecipientOfficePhone(A,B)
#define IFaxDoc_get_SenderName(A,B) (A)->lpVtbl->get_SenderName(A,B)
#define IFaxDoc_put_SenderName(A,B) (A)->lpVtbl->put_SenderName(A,B)
#define IFaxDoc_get_SenderCompany(A,B) (A)->lpVtbl->get_SenderCompany(A,B)
#define IFaxDoc_put_SenderCompany(A,B) (A)->lpVtbl->put_SenderCompany(A,B)
#define IFaxDoc_get_SenderAddress(A,B) (A)->lpVtbl->get_SenderAddress(A,B)
#define IFaxDoc_put_SenderAddress(A,B) (A)->lpVtbl->put_SenderAddress(A,B)
#define IFaxDoc_get_SenderTitle(A,B) (A)->lpVtbl->get_SenderTitle(A,B)
#define IFaxDoc_put_SenderTitle(A,B) (A)->lpVtbl->put_SenderTitle(A,B)
#define IFaxDoc_get_SenderDepartment(A,B) (A)->lpVtbl->get_SenderDepartment(A,B)
#define IFaxDoc_put_SenderDepartment(A,B) (A)->lpVtbl->put_SenderDepartment(A,B)
#define IFaxDoc_get_SenderOffice(A,B) (A)->lpVtbl->get_SenderOffice(A,B)
#define IFaxDoc_put_SenderOffice(A,B) (A)->lpVtbl->put_SenderOffice(A,B)
#define IFaxDoc_get_SenderHomePhone(A,B) (A)->lpVtbl->get_SenderHomePhone(A,B)
#define IFaxDoc_put_SenderHomePhone(A,B) (A)->lpVtbl->put_SenderHomePhone(A,B)
#define IFaxDoc_get_SenderOfficePhone(A,B) (A)->lpVtbl->get_SenderOfficePhone(A,B)
#define IFaxDoc_put_SenderOfficePhone(A,B) (A)->lpVtbl->put_SenderOfficePhone(A,B)
#define IFaxDoc_get_CoverpageNote(A,B) (A)->lpVtbl->get_CoverpageNote(A,B)
#define IFaxDoc_put_CoverpageNote(A,B) (A)->lpVtbl->put_CoverpageNote(A,B)
#define IFaxDoc_get_CoverpageSubject(A,B) (A)->lpVtbl->get_CoverpageSubject(A,B)
#define IFaxDoc_put_CoverpageSubject(A,B) (A)->lpVtbl->put_CoverpageSubject(A,B)
#define IFaxDoc_get_Tsid(A,B) (A)->lpVtbl->get_Tsid(A,B)
#define IFaxDoc_put_Tsid(A,B) (A)->lpVtbl->put_Tsid(A,B)
#define IFaxDoc_get_BillingCode(A,B) (A)->lpVtbl->get_BillingCode(A,B)
#define IFaxDoc_put_BillingCode(A,B) (A)->lpVtbl->put_BillingCode(A,B)
#define IFaxDoc_get_EmailAddress(A,B) (A)->lpVtbl->get_EmailAddress(A,B)
#define IFaxDoc_put_EmailAddress(A,B) (A)->lpVtbl->put_EmailAddress(A,B)
#define IFaxDoc_get_DisplayName(A,B) (A)->lpVtbl->get_DisplayName(A,B)
#define IFaxDoc_put_DisplayName(A,B) (A)->lpVtbl->put_DisplayName(A,B)
#define IFaxDoc_Send(A,B) (A)->lpVtbl->Send(A,B)
#define IFaxDoc_get_FaxNumber(A,B) (A)->lpVtbl->get_FaxNumber(A,B)
#define IFaxDoc_put_FaxNumber(A,B) (A)->lpVtbl->put_FaxNumber(A,B)
#define IFaxDoc_putref_ConnectionObject(A,B) (A)->lpVtbl->putref_ConnectionObject(A,B)
#define IFaxDoc_get_CallHandle(A,B) (A)->lpVtbl->get_CallHandle(A,B)
#define IFaxDoc_put_CallHandle(A,B) (A)->lpVtbl->put_CallHandle(A,B)
#endif 
HRESULT _stdcall IFaxDoc_get_FileName_Proxy(IFaxDoc *,BSTR *);
void _stdcall IFaxDoc_get_FileName_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_put_FileName_Proxy(IFaxDoc *,BSTR);
void _stdcall IFaxDoc_put_FileName_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_get_CoverpageName_Proxy(IFaxDoc *,BSTR *);
void _stdcall IFaxDoc_get_CoverpageName_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_put_CoverpageName_Proxy(IFaxDoc *,BSTR);
void _stdcall IFaxDoc_put_CoverpageName_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_get_SendCoverpage_Proxy(IFaxDoc *,BOOL *);
void _stdcall IFaxDoc_get_SendCoverpage_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_put_SendCoverpage_Proxy(IFaxDoc *,BOOL);
void _stdcall IFaxDoc_put_SendCoverpage_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_get_ServerCoverpage_Proxy(IFaxDoc *,BOOL *);
void _stdcall IFaxDoc_get_ServerCoverpage_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_put_ServerCoverpage_Proxy(IFaxDoc *,BOOL);
void _stdcall IFaxDoc_put_ServerCoverpage_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_get_DiscountSend_Proxy(IFaxDoc *,BOOL *);
void _stdcall IFaxDoc_get_DiscountSend_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_put_DiscountSend_Proxy(IFaxDoc *,BOOL);
void _stdcall IFaxDoc_put_DiscountSend_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_get_RecipientName_Proxy(IFaxDoc *,BSTR *);
void _stdcall IFaxDoc_get_RecipientName_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_put_RecipientName_Proxy(IFaxDoc *,BSTR);
void _stdcall IFaxDoc_put_RecipientName_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_get_RecipientCompany_Proxy(IFaxDoc *,BSTR *);
void _stdcall IFaxDoc_get_RecipientCompany_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_put_RecipientCompany_Proxy(IFaxDoc *,BSTR);
void _stdcall IFaxDoc_put_RecipientCompany_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_get_RecipientAddress_Proxy(IFaxDoc *,BSTR *);
void _stdcall IFaxDoc_get_RecipientAddress_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_put_RecipientAddress_Proxy(IFaxDoc *,BSTR);
void _stdcall IFaxDoc_put_RecipientAddress_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_get_RecipientCity_Proxy(IFaxDoc *,BSTR *);
void _stdcall IFaxDoc_get_RecipientCity_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_put_RecipientCity_Proxy(IFaxDoc *,BSTR);
void _stdcall IFaxDoc_put_RecipientCity_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_get_RecipientState_Proxy(IFaxDoc *,BSTR *);
void _stdcall IFaxDoc_get_RecipientState_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_put_RecipientState_Proxy(IFaxDoc *,BSTR);
void _stdcall IFaxDoc_put_RecipientState_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_get_RecipientZip_Proxy(IFaxDoc *,BSTR *);
void _stdcall IFaxDoc_get_RecipientZip_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_put_RecipientZip_Proxy(IFaxDoc *,BSTR);
void _stdcall IFaxDoc_put_RecipientZip_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_get_RecipientCountry_Proxy(IFaxDoc *,BSTR *);
void _stdcall IFaxDoc_get_RecipientCountry_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_put_RecipientCountry_Proxy(IFaxDoc *,BSTR);
void _stdcall IFaxDoc_put_RecipientCountry_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_get_RecipientTitle_Proxy(IFaxDoc *,BSTR *);
void _stdcall IFaxDoc_get_RecipientTitle_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_put_RecipientTitle_Proxy(IFaxDoc *,BSTR);
void _stdcall IFaxDoc_put_RecipientTitle_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_get_RecipientDepartment_Proxy(IFaxDoc *,BSTR *);
void _stdcall IFaxDoc_get_RecipientDepartment_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_put_RecipientDepartment_Proxy(IFaxDoc *,BSTR);
void _stdcall IFaxDoc_put_RecipientDepartment_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_get_RecipientOffice_Proxy(IFaxDoc *,BSTR *);
void _stdcall IFaxDoc_get_RecipientOffice_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_put_RecipientOffice_Proxy(IFaxDoc *,BSTR);
void _stdcall IFaxDoc_put_RecipientOffice_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_get_RecipientHomePhone_Proxy(IFaxDoc *,BSTR *);
void _stdcall IFaxDoc_get_RecipientHomePhone_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_put_RecipientHomePhone_Proxy(IFaxDoc *,BSTR);
void _stdcall IFaxDoc_put_RecipientHomePhone_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_get_RecipientOfficePhone_Proxy(IFaxDoc *,BSTR *);
void _stdcall IFaxDoc_get_RecipientOfficePhone_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_put_RecipientOfficePhone_Proxy(IFaxDoc *,BSTR);
void _stdcall IFaxDoc_put_RecipientOfficePhone_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_get_SenderName_Proxy(IFaxDoc *,BSTR *);
void _stdcall IFaxDoc_get_SenderName_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_put_SenderName_Proxy(IFaxDoc *,BSTR);
void _stdcall IFaxDoc_put_SenderName_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_get_SenderCompany_Proxy(IFaxDoc *,BSTR *);
void _stdcall IFaxDoc_get_SenderCompany_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_put_SenderCompany_Proxy(IFaxDoc *,BSTR);
void _stdcall IFaxDoc_put_SenderCompany_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_get_SenderAddress_Proxy(IFaxDoc *,BSTR *);
void _stdcall IFaxDoc_get_SenderAddress_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_put_SenderAddress_Proxy(IFaxDoc *,BSTR);
void _stdcall IFaxDoc_put_SenderAddress_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_get_SenderTitle_Proxy(IFaxDoc *,BSTR *);
void _stdcall IFaxDoc_get_SenderTitle_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_put_SenderTitle_Proxy(IFaxDoc *,BSTR);
void _stdcall IFaxDoc_put_SenderTitle_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_get_SenderDepartment_Proxy(IFaxDoc *,BSTR *);
void _stdcall IFaxDoc_get_SenderDepartment_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_put_SenderDepartment_Proxy(IFaxDoc *,BSTR);
void _stdcall IFaxDoc_put_SenderDepartment_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_get_SenderOffice_Proxy(IFaxDoc *,BSTR *);
void _stdcall IFaxDoc_get_SenderOffice_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_put_SenderOffice_Proxy(IFaxDoc *,BSTR);
void _stdcall IFaxDoc_put_SenderOffice_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_get_SenderHomePhone_Proxy(IFaxDoc *,BSTR *);
void _stdcall IFaxDoc_get_SenderHomePhone_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_put_SenderHomePhone_Proxy(IFaxDoc *,BSTR);
void _stdcall IFaxDoc_put_SenderHomePhone_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_get_SenderOfficePhone_Proxy(IFaxDoc *,BSTR *);
void _stdcall IFaxDoc_get_SenderOfficePhone_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_put_SenderOfficePhone_Proxy(IFaxDoc *,BSTR);
void _stdcall IFaxDoc_put_SenderOfficePhone_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_get_CoverpageNote_Proxy(IFaxDoc *,BSTR *);
void _stdcall IFaxDoc_get_CoverpageNote_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_put_CoverpageNote_Proxy(IFaxDoc *,BSTR);
void _stdcall IFaxDoc_put_CoverpageNote_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_get_CoverpageSubject_Proxy(IFaxDoc *,BSTR *);
void _stdcall IFaxDoc_get_CoverpageSubject_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_put_CoverpageSubject_Proxy(IFaxDoc *,BSTR);
void _stdcall IFaxDoc_put_CoverpageSubject_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_get_Tsid_Proxy(IFaxDoc *,BSTR *);
void _stdcall IFaxDoc_get_Tsid_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_put_Tsid_Proxy(IFaxDoc *,BSTR);
void _stdcall IFaxDoc_put_Tsid_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_get_BillingCode_Proxy(IFaxDoc *,BSTR *);
void _stdcall IFaxDoc_get_BillingCode_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_put_BillingCode_Proxy(IFaxDoc *,BSTR);
void _stdcall IFaxDoc_put_BillingCode_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_get_EmailAddress_Proxy(IFaxDoc *,BSTR *);
void _stdcall IFaxDoc_get_EmailAddress_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_put_EmailAddress_Proxy(IFaxDoc *,BSTR);
void _stdcall IFaxDoc_put_EmailAddress_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_get_DisplayName_Proxy(IFaxDoc *,BSTR *);
void _stdcall IFaxDoc_get_DisplayName_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_put_DisplayName_Proxy(IFaxDoc *,BSTR);
void _stdcall IFaxDoc_put_DisplayName_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_Send_Proxy(IFaxDoc *,long *);
void _stdcall IFaxDoc_Send_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_get_FaxNumber_Proxy(IFaxDoc *,BSTR *);
void _stdcall IFaxDoc_get_FaxNumber_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_put_FaxNumber_Proxy(IFaxDoc *,BSTR);
void _stdcall IFaxDoc_put_FaxNumber_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_putref_ConnectionObject_Proxy(IFaxDoc *,IDispatch *);
void _stdcall IFaxDoc_putref_ConnectionObject_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_get_CallHandle_Proxy(IFaxDoc *,long *);
void _stdcall IFaxDoc_get_CallHandle_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxDoc_put_CallHandle_Proxy(IFaxDoc *,long);
void _stdcall IFaxDoc_put_CallHandle_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
#endif 
#ifndef __IFaxJobs_INTERFACE_DEFINED__
#define __IFaxJobs_INTERFACE_DEFINED__
EXTERN_C const IID IID_IFaxJobs;
typedef struct IFaxJobsVtbl {
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IFaxJobs *,REFIID,void * *);
 ULONG (_stdcall *AddRef)(IFaxJobs *);
 ULONG (_stdcall *Release)(IFaxJobs *);
 HRESULT (_stdcall *GetTypeInfoCount)(IFaxJobs *,UINT *);
 HRESULT (_stdcall *GetTypeInfo)(IFaxJobs *,UINT,LCID,ITypeInfo * *);
 HRESULT (_stdcall *GetIDsOfNames)(IFaxJobs *,REFIID,LPOLESTR *,UINT,LCID,DISPID *);
 HRESULT (_stdcall *Invoke)(IFaxJobs *,DISPID,REFIID,LCID,WORD,DISPPARAMS *,VARIANT *,EXCEPINFO *,UINT *);
 HRESULT (_stdcall *get_Count)(IFaxJobs *,long *);
 HRESULT (_stdcall *get_Item)(IFaxJobs *,long,VARIANT *);
END_INTERFACE
} IFaxJobsVtbl;
interface IFaxJobs { CONST_VTBL struct IFaxJobsVtbl *lpVtbl; };
#ifdef COBJMACROS
#define IFaxJobs_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IFaxJobs_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IFaxJobs_Release(A) (A)->lpVtbl->Release(A)
#define IFaxJobs_GetTypeInfoCount(A,B) (A)->lpVtbl->GetTypeInfoCount(A,B)
#define IFaxJobs_GetTypeInfo(A,B,C,D) (A)->lpVtbl->GetTypeInfo(A,B,C,D)
#define IFaxJobs_GetIDsOfNames(A,B,C,D,E,F) (A)->lpVtbl->GetIDsOfNames(A,B,C,D,E,F)
#define IFaxJobs_Invoke(A,B,C,D,E,F,G,H,I) (A)->lpVtbl->Invoke(A,B,C,D,E,F,G,H,I)
#define IFaxJobs_get_Count(A,B) (A)->lpVtbl->get_Count(A,B)
#define IFaxJobs_get_Item(A,B,C) (A)->lpVtbl->get_Item(A,B,C)
#endif 
HRESULT _stdcall IFaxJobs_get_Count_Proxy(IFaxJobs *,long *);
void _stdcall IFaxJobs_get_Count_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxJobs_get_Item_Proxy(IFaxJobs *,long,VARIANT *);
void _stdcall IFaxJobs_get_Item_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
#endif 
#ifndef __IFaxJob_INTERFACE_DEFINED__
#define __IFaxJob_INTERFACE_DEFINED__
EXTERN_C const IID IID_IFaxJob;
typedef struct IFaxJobVtbl {
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IFaxJob *,REFIID,void * *);
 ULONG (_stdcall *AddRef)(IFaxJob *);
 ULONG (_stdcall *Release)(IFaxJob *);
 HRESULT (_stdcall *GetTypeInfoCount)(IFaxJob *,UINT *);
 HRESULT (_stdcall *GetTypeInfo)(IFaxJob *,UINT,LCID,ITypeInfo * *);
 HRESULT (_stdcall *GetIDsOfNames)(IFaxJob *,REFIID,LPOLESTR *,UINT,LCID,DISPID *);
 HRESULT (_stdcall *Invoke)(IFaxJob *,DISPID,REFIID,LCID,WORD,DISPPARAMS *,VARIANT *,EXCEPINFO *,UINT *);
 HRESULT (_stdcall *get_JobId)(IFaxJob *,long *);
 HRESULT (_stdcall *get_Type)(IFaxJob *,long *);
 HRESULT (_stdcall *get_UserName)(IFaxJob *,BSTR *);
 HRESULT (_stdcall *get_QueueStatus)(IFaxJob *,BSTR *);
 HRESULT (_stdcall *get_DeviceStatus)(IFaxJob *,BSTR *);
 HRESULT (_stdcall *get_PageCount)(IFaxJob *,long *);
 HRESULT (_stdcall *get_FaxNumber)(IFaxJob *,BSTR *);
 HRESULT (_stdcall *get_RecipientName)(IFaxJob *,BSTR *);
 HRESULT (_stdcall *get_Tsid)(IFaxJob *,BSTR *);
 HRESULT (_stdcall *get_SenderName)(IFaxJob *,BSTR *);
 HRESULT (_stdcall *get_SenderCompany)(IFaxJob *,BSTR *);
 HRESULT (_stdcall *get_SenderDept)(IFaxJob *,BSTR *);
 HRESULT (_stdcall *get_BillingCode)(IFaxJob *,BSTR *);
 HRESULT (_stdcall *get_DisplayName)(IFaxJob *,BSTR *);
 HRESULT (_stdcall *get_DiscountSend)(IFaxJob *,BOOL *);
 HRESULT (_stdcall *SetStatus)(IFaxJob *,long);
 HRESULT (_stdcall *Refresh)(IFaxJob *);
END_INTERFACE
} IFaxJobVtbl;
interface IFaxJob { CONST_VTBL struct IFaxJobVtbl *lpVtbl; };
#ifdef COBJMACROS
#define IFaxJob_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IFaxJob_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IFaxJob_Release(A) (A)->lpVtbl->Release(A)
#define IFaxJob_GetTypeInfoCount(A,B) (A)->lpVtbl->GetTypeInfoCount(A,B)
#define IFaxJob_GetTypeInfo(A,B,C,D) (A)->lpVtbl->GetTypeInfo(A,B,C,D)
#define IFaxJob_GetIDsOfNames(A,B,C,D,E,F) (A)->lpVtbl->GetIDsOfNames(A,B,C,D,E,F)
#define IFaxJob_Invoke(A,B,C,D,E,F,G,H,I) (A)->lpVtbl->Invoke(A,B,C,D,E,F,G,H,I)
#define IFaxJob_get_JobId(A,B) (A)->lpVtbl->get_JobId(A,B)
#define IFaxJob_get_Type(A,B) (A)->lpVtbl->get_Type(A,B)
#define IFaxJob_get_UserName(A,B) (A)->lpVtbl->get_UserName(A,B)
#define IFaxJob_get_QueueStatus(A,B) (A)->lpVtbl->get_QueueStatus(A,B)
#define IFaxJob_get_DeviceStatus(A,B) (A)->lpVtbl->get_DeviceStatus(A,B)
#define IFaxJob_get_PageCount(A,B) (A)->lpVtbl->get_PageCount(A,B)
#define IFaxJob_get_FaxNumber(A,B) (A)->lpVtbl->get_FaxNumber(A,B)
#define IFaxJob_get_RecipientName(A,B) (A)->lpVtbl->get_RecipientName(A,B)
#define IFaxJob_get_Tsid(A,B) (A)->lpVtbl->get_Tsid(A,B)
#define IFaxJob_get_SenderName(A,B) (A)->lpVtbl->get_SenderName(A,B)
#define IFaxJob_get_SenderCompany(A,B) (A)->lpVtbl->get_SenderCompany(A,B)
#define IFaxJob_get_SenderDept(A,B) (A)->lpVtbl->get_SenderDept(A,B)
#define IFaxJob_get_BillingCode(A,B) (A)->lpVtbl->get_BillingCode(A,B)
#define IFaxJob_get_DisplayName(A,B) (A)->lpVtbl->get_DisplayName(A,B)
#define IFaxJob_get_DiscountSend(A,B) (A)->lpVtbl->get_DiscountSend(A,B)
#define IFaxJob_SetStatus(A,B) (A)->lpVtbl->SetStatus(A,B)
#define IFaxJob_Refresh(A) (A)->lpVtbl->Refresh(A)
#endif 
HRESULT _stdcall IFaxJob_get_JobId_Proxy(IFaxJob *,long *);
void _stdcall IFaxJob_get_JobId_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxJob_get_Type_Proxy(IFaxJob *,long *);
void _stdcall IFaxJob_get_Type_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxJob_get_UserName_Proxy(IFaxJob *,BSTR *);
void _stdcall IFaxJob_get_UserName_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxJob_get_QueueStatus_Proxy(IFaxJob *,BSTR *);
void _stdcall IFaxJob_get_QueueStatus_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxJob_get_DeviceStatus_Proxy(IFaxJob *,BSTR *);
void _stdcall IFaxJob_get_DeviceStatus_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxJob_get_PageCount_Proxy(IFaxJob *,long *);
void _stdcall IFaxJob_get_PageCount_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxJob_get_FaxNumber_Proxy(IFaxJob *,BSTR *);
void _stdcall IFaxJob_get_FaxNumber_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxJob_get_RecipientName_Proxy(IFaxJob *,BSTR *);
void _stdcall IFaxJob_get_RecipientName_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxJob_get_Tsid_Proxy(IFaxJob *,BSTR *);
void _stdcall IFaxJob_get_Tsid_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxJob_get_SenderName_Proxy(IFaxJob *,BSTR *);
void _stdcall IFaxJob_get_SenderName_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxJob_get_SenderCompany_Proxy(IFaxJob *,BSTR *);
void _stdcall IFaxJob_get_SenderCompany_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxJob_get_SenderDept_Proxy(IFaxJob *,BSTR *);
void _stdcall IFaxJob_get_SenderDept_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxJob_get_BillingCode_Proxy(IFaxJob *,BSTR *);
void _stdcall IFaxJob_get_BillingCode_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxJob_get_DisplayName_Proxy(IFaxJob *,BSTR *);
void _stdcall IFaxJob_get_DisplayName_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxJob_get_DiscountSend_Proxy(IFaxJob *,BOOL *);
void _stdcall IFaxJob_get_DiscountSend_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxJob_SetStatus_Proxy(IFaxJob *,long);
void _stdcall IFaxJob_SetStatus_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT _stdcall IFaxJob_Refresh_Proxy(IFaxJob * This);
void _stdcall IFaxJob_Refresh_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
#endif 
#ifndef __FAXCOMLib_LIBRARY_DEFINED__
#define __FAXCOMLib_LIBRARY_DEFINED__
EXTERN_C const IID LIBID_FAXCOMLib;
EXTERN_C const CLSID CLSID_FaxTiff;
EXTERN_C const CLSID CLSID_FaxServer;
EXTERN_C const CLSID CLSID_FaxPort;
EXTERN_C const CLSID CLSID_FaxPorts;
EXTERN_C const CLSID CLSID_FaxRoutingMethod;
EXTERN_C const CLSID CLSID_FaxRoutingMethods;
EXTERN_C const CLSID CLSID_FaxStatus;
EXTERN_C const CLSID CLSID_FaxDoc;
EXTERN_C const CLSID CLSID_FaxJobs;
EXTERN_C const CLSID CLSID_FaxJob;
#endif 
unsigned long __RPC_USER BSTR_UserSize(unsigned long *,unsigned long,BSTR *); 
unsigned char * __RPC_USER BSTR_UserMarshal(unsigned long *,unsigned char *,BSTR *); 
unsigned char * __RPC_USER BSTR_UserUnmarshal(unsigned long *,unsigned char *,BSTR *); 
void __RPC_USER BSTR_UserFree(unsigned long *,BSTR *); 
unsigned long __RPC_USER VARIANT_UserSize(unsigned long *,unsigned long,VARIANT *); 
unsigned char * __RPC_USER VARIANT_UserMarshal(unsigned long *,unsigned char *,VARIANT *); 
unsigned char * __RPC_USER VARIANT_UserUnmarshal(unsigned long *,unsigned char *,VARIANT *); 
void __RPC_USER VARIANT_UserFree(unsigned long *,VARIANT *); 
#endif
