/* at Fri Jul 31 15:03:39 1998
 */
/* Compiler settings for hlink.idl:
 Oicf (OptLev=i2), W1, Zp8, env=Win32, ms_ext, c_ext
 error checks: allocation ref bounds_check enum stub_data, no_format_optimization
*/
#ifndef __REQUIRED_RPCNDR_H_VERSION__
#define __REQUIRED_RPCNDR_H_VERSION__ 440
#endif
#include "rpc.h"
#include "rpcndr.h"
#ifndef __RPCNDR_H_VERSION__
#error this stub requires an updated version of <rpcndr.h>
#endif 
#ifndef COM_NO_WINDOWS_H
#include "windows.h"
#include "ole2.h"
#endif 
#ifndef __hlink_h__
#define __hlink_h__
#ifdef __cplusplus
extern "C"{
#endif 
#ifndef __IHlink_FWD_DEFINED__
#define __IHlink_FWD_DEFINED__
typedef interface IHlink IHlink;
#endif 
#ifndef __IHlinkSite_FWD_DEFINED__
#define __IHlinkSite_FWD_DEFINED__
typedef interface IHlinkSite IHlinkSite;
#endif 
#ifndef __IHlinkTarget_FWD_DEFINED__
#define __IHlinkTarget_FWD_DEFINED__
typedef interface IHlinkTarget IHlinkTarget;
#endif 
#ifndef __IHlinkFrame_FWD_DEFINED__
#define __IHlinkFrame_FWD_DEFINED__
typedef interface IHlinkFrame IHlinkFrame;
#endif 
#ifndef __IEnumHLITEM_FWD_DEFINED__
#define __IEnumHLITEM_FWD_DEFINED__
typedef interface IEnumHLITEM IEnumHLITEM;
#endif 
#ifndef __IHlinkBrowseContext_FWD_DEFINED__
#define __IHlinkBrowseContext_FWD_DEFINED__
typedef interface IHlinkBrowseContext IHlinkBrowseContext;
#endif 
#ifndef __IExtensionServices_FWD_DEFINED__
#define __IExtensionServices_FWD_DEFINED__
typedef interface IExtensionServices IExtensionServices;
#endif 
#include "urlmon.h"
void  * __RPC_USER MIDL_user_allocate(size_t);
void __RPC_USER MIDL_user_free( void  * ); 
#pragma comment(lib,"uuid.lib")
#ifndef HLINK_H 
#define HLINK_H 
#define SID_SHlinkFrame IID_IHlinkFrame
#define IID_IHlinkSource IID_IHlinkTarget 
#define IHlinkSource IHlinkTarget 
#define IHlinkSourceVtbl IHlinkTargetVtbl 
#define LPHLINKSOURCE LPHLINKTARGET 
#ifndef _HLINK_ERRORS_DEFINED 
#define _HLINK_ERRORS_DEFINED 
#define HLINK_E_FIRST (OLE_E_LAST+1) 
#define HLINK_S_FIRST (OLE_S_LAST+1) 
#define HLINK_S_DONTHIDE (HLINK_S_FIRST) 
#endif 
#if MAC || defined(_MAC) 
#define cfHyperlink 'HLNK' 
#else 
#define CFSTR_HYPERLINK (TEXT("Hyperlink")) 
#endif 
STDAPI HlinkCreateFromMoniker( IMoniker * pimkTrgt, 
 LPCWSTR pwzLocation, 
 LPCWSTR pwzFriendlyName, 
 IHlinkSite * pihlsite, 
 DWORD dwSiteData, 
 IUnknown * piunkOuter, 
 REFIID riid, 
 void ** ppvObj); 
STDAPI HlinkCreateFromString( LPCWSTR pwzTarget, 
 LPCWSTR pwzLocation, 
 LPCWSTR pwzFriendlyName, 
 IHlinkSite * pihlsite, 
 DWORD dwSiteData, 
 IUnknown * piunkOuter, 
 REFIID riid, 
 void ** ppvObj); 
STDAPI HlinkCreateFromData( IDataObject *piDataObj, 
 IHlinkSite * pihlsite, 
 DWORD dwSiteData, 
 IUnknown * piunkOuter, 
 REFIID riid, 
 void ** ppvObj); 
STDAPI HlinkQueryCreateFromData(IDataObject *piDataObj); 
STDAPI HlinkClone( IHlink * pihl, 
 REFIID riid, 
 IHlinkSite * pihlsiteForClone, 
 DWORD dwSiteData, 
 void ** ppvObj); 
STDAPI HlinkCreateBrowseContext( IUnknown * piunkOuter, 
 REFIID riid, 
 void ** ppvObj); 
STDAPI HlinkNavigateToStringReference( LPCWSTR pwzTarget, 
 LPCWSTR pwzLocation, 
 IHlinkSite * pihlsite, 
 DWORD dwSiteData, 
 IHlinkFrame *pihlframe, 
 DWORD grfHLNF, 
 LPBC pibc, 
 IBindStatusCallback * pibsc, 
 IHlinkBrowseContext *pihlbc); 
STDAPI HlinkNavigate( IHlink * pihl, 
 IHlinkFrame * pihlframe, 
 DWORD grfHLNF, 
 LPBC pbc, 
 IBindStatusCallback * pibsc, 
 IHlinkBrowseContext *pihlbc); 
STDAPI HlinkOnNavigate( IHlinkFrame * pihlframe, 
 IHlinkBrowseContext * pihlbc, 
 DWORD grfHLNF, 
 IMoniker * pimkTarget, 
 LPCWSTR pwzLocation, 
 LPCWSTR pwzFriendlyName, 
 ULONG * puHLID); 
STDAPI HlinkUpdateStackItem( IHlinkFrame * pihlframe, 
 IHlinkBrowseContext * pihlbc, 
 ULONG uHLID, 
 IMoniker * pimkTrgt, 
 LPCWSTR pwzLocation, 
 LPCWSTR pwzFriendlyName); 
STDAPI HlinkOnRenameDocument( DWORD dwReserved, 
 IHlinkBrowseContext * pihlbc, 
 IMoniker * pimkOld, 
 IMoniker * pimkNew); 
STDAPI HlinkResolveMonikerForData( LPMONIKER pimkReference, 
 DWORD reserved, 
 LPBC pibc, 
 ULONG cFmtetc, 
 FORMATETC * rgFmtetc, 
 IBindStatusCallback * pibsc, 
 LPMONIKER pimkBase); 
STDAPI HlinkResolveStringForData( LPCWSTR pwzReference, 
 DWORD reserved, 
 LPBC pibc, 
 ULONG cFmtetc, 
 FORMATETC * rgFmtetc, 
 IBindStatusCallback * pibsc, 
 LPMONIKER pimkBase); 
STDAPI HlinkParseDisplayName( LPBC pibc, 
 LPCWSTR pwzDisplayName, 
 BOOL fNoForceAbs, 
 ULONG * pcchEaten, 
 IMoniker ** ppimk); 
STDAPI HlinkCreateExtensionServices( LPCWSTR pwzAdditionalHeaders, 
 HWND phwnd, 
 LPCWSTR pszUsername, 
 LPCWSTR pszPassword, 
 IUnknown * piunkOuter, 
 REFIID riid, 
 void ** ppvObj); 
STDAPI HlinkPreprocessMoniker( LPBC pibc, 
 IMoniker *pimkIn, 
 IMoniker **ppimkOut); 
STDAPI OleSaveToStreamEx( IUnknown * piunk, 
 IStream * pistm, 
 BOOL fClearDirty); 
typedef 
enum _HLSR_NOREDEF10
 {	HLSR_HOME=0,
	HLSR_SEARCHPAGE=1,
	HLSR_HISTORYFOLDER=2
 }	HLSR;
STDAPI HlinkSetSpecialReference( ULONG uReference, 
 LPCWSTR pwzReference); 
STDAPI HlinkGetSpecialReference( ULONG uReference, 
 LPWSTR *ppwzReference); 
typedef 
enum _HLSHORTCUTF__NOREDEF10
 {	HLSHORTCUTF_DEFAULT=0,
	HLSHORTCUTF_DONTACTUALLYCREATE=0x1,
	HLSHORTCUTF_USEFILENAMEFROMFRIENDLYNAME=0x2,
	HLSHORTCUTF_USEUNIQUEFILENAME=0x4,
	HLSHORTCUTF_MAYUSEEXISTINGSHORTCUT=0x8
 }	HLSHORTCUTF;
STDAPI HlinkCreateShortcut( DWORD grfHLSHORTCUTF, 
 IHlink *pihl, 
 LPCWSTR pwzDir, 
 LPCWSTR pwzFileName, 
 LPWSTR *ppwzShortcutFile, 
 DWORD dwReserved); 
STDAPI HlinkCreateShortcutFromMoniker( DWORD grfHLSHORTCUTF, 
 IMoniker *pimkTarget, 
 LPCWSTR pwzLocation, 
 LPCWSTR pwzDir, 
 LPCWSTR pwzFileName, 
 LPWSTR *ppwzShortcutFile, 
 DWORD dwReserved); 
STDAPI HlinkCreateShortcutFromString( DWORD grfHLSHORTCUTF, 
 LPCWSTR pwzTarget, 
 LPCWSTR pwzLocation, 
 LPCWSTR pwzDir, 
 LPCWSTR pwzFileName, 
 LPWSTR *ppwzShortcutFile, 
 DWORD dwReserved); 
STDAPI HlinkResolveShortcut( LPCWSTR pwzShortcutFileName, 
 IHlinkSite * pihlsite, 
 DWORD dwSiteData, 
 IUnknown * piunkOuter, 
 REFIID riid, 
 void ** ppvObj); 
STDAPI HlinkResolveShortcutToMoniker( LPCWSTR pwzShortcutFileName, 
 IMoniker **ppimkTarget, 
 LPWSTR *ppwzLocation); 
STDAPI HlinkResolveShortcutToString( LPCWSTR pwzShortcutFileName, 
 LPWSTR *ppwzTarget, 
 LPWSTR *ppwzLocation); 
 STDAPI HlinkIsShortcut(LPCWSTR pwzFileName); 
STDAPI HlinkGetValueFromParams( LPCWSTR pwzParams, 
 LPCWSTR pwzName, 
 LPWSTR *ppwzValue); 
typedef 
enum _HLTRANSLATEF_NOREDEF10
 {	HLTRANSLATEF_DEFAULT=0,
	HLTRANSLATEF_DONTAPPLYDEFAULTPREFIX=0x1
 }	HLTRANSLATEF;
STDAPI HlinkTranslateURL( LPCWSTR pwzURL, 
 DWORD grfFlags, 
 LPWSTR *ppwzTranslatedURL); 
#ifndef _LPHLINK_DEFINED
#define _LPHLINK_DEFINED
extern RPC_IF_HANDLE __MIDL_itf_hlink_0000_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_hlink_0000_v0_0_s_ifspec;
#ifndef __IHlink_INTERFACE_DEFINED__
#define __IHlink_INTERFACE_DEFINED__
typedef  IHlink  *LPHLINK;
typedef  
enum __MIDL_IHlink_0001
 {	HLNF_INTERNALJUMP=0x1,
	HLNF_OPENINNEWWINDOW=0x2,
	HLNF_NAVIGATINGBACK=0x4,
	HLNF_NAVIGATINGFORWARD=0x8,
	HLNF_NAVIGATINGTOSTACKITEM=0x10,
	HLNF_CREATENOHISTORY=0x20
 }	HLNF;
typedef  
enum __MIDL_IHlink_0002
 {	HLINKGETREF_DEFAULT=0,
	HLINKGETREF_ABSOLUTE=1,
	HLINKGETREF_RELATIVE=2
 }	HLINKGETREF;
typedef  
enum __MIDL_IHlink_0003
 {	HLFNAMEF_DEFAULT=0,
	HLFNAMEF_TRYCACHE=0x1,
	HLFNAMEF_TRYPRETTYTARGET=0x2,
	HLFNAMEF_TRYFULLTARGET=0x4,
	HLFNAMEF_TRYWIN95SHORTCUT=0x8
 }	HLFNAMEF;
typedef  
enum __MIDL_IHlink_0004
 {	HLINKMISC_RELATIVE=0x1
 }	HLINKMISC;
typedef  
enum __MIDL_IHlink_0005
 {	HLINKSETF_TARGET=0x1,
	HLINKSETF_LOCATION=0x2
 }	HLINKSETF;
EXTERN_C const IID IID_IHlink;
 typedef struct IHlinkVtbl
 {
 BEGIN_INTERFACE
 HRESULT ( STDMETHODCALLTYPE  *QueryInterface )(IHlink *,REFIID,void * *);
 ULONG ( STDMETHODCALLTYPE  *AddRef )(IHlink *);
 ULONG ( STDMETHODCALLTYPE  *Release )(IHlink *);
 HRESULT ( STDMETHODCALLTYPE  *SetHlinkSite )(IHlink *,IHlinkSite *,DWORD);
 HRESULT ( STDMETHODCALLTYPE  *GetHlinkSite )(IHlink *,IHlinkSite * *,DWORD *);
 HRESULT ( STDMETHODCALLTYPE  *SetMonikerReference )(IHlink *,DWORD,IMoniker *,LPCWSTR);
 HRESULT ( STDMETHODCALLTYPE  *GetMonikerReference )(IHlink *,DWORD,IMoniker * *,LPWSTR *);
 HRESULT ( STDMETHODCALLTYPE  *SetStringReference )(IHlink *,DWORD,LPCWSTR,LPCWSTR);
 HRESULT ( STDMETHODCALLTYPE  *GetStringReference )(IHlink *,DWORD,LPWSTR *,LPWSTR *);
 HRESULT ( STDMETHODCALLTYPE  *SetFriendlyName )(IHlink *,LPCWSTR);
 HRESULT ( STDMETHODCALLTYPE  *GetFriendlyName )(IHlink *,DWORD,LPWSTR *);
 HRESULT ( STDMETHODCALLTYPE  *SetTargetFrameName )(IHlink *,LPCWSTR);
 HRESULT ( STDMETHODCALLTYPE  *GetTargetFrameName )(IHlink *,LPWSTR *);
 HRESULT ( STDMETHODCALLTYPE  *GetMiscStatus )(IHlink *,DWORD *);
 HRESULT ( STDMETHODCALLTYPE  *Navigate )(IHlink *,DWORD,LPBC,IBindStatusCallback *,IHlinkBrowseContext *);
 HRESULT ( STDMETHODCALLTYPE  *SetAdditionalParams )(IHlink *,LPCWSTR);
 HRESULT ( STDMETHODCALLTYPE  *GetAdditionalParams )(IHlink *,LPWSTR *);
 END_INTERFACE
 } IHlinkVtbl;
 interface IHlink
 {
 CONST_VTBL struct IHlinkVtbl  *lpVtbl;
 };
#ifdef COBJMACROS
#define IHlink_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IHlink_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IHlink_Release(A) (A)->lpVtbl->Release(A)
#define IHlink_SetHlinkSite(A,B,C) (A)->lpVtbl->SetHlinkSite(A,B,C)
#define IHlink_GetHlinkSite(A,B,C) (A)->lpVtbl->GetHlinkSite(A,B,C)
#define IHlink_SetMonikerReference(A,B,C,D) (A)->lpVtbl->SetMonikerReference(A,B,C,D)
#define IHlink_GetMonikerReference(A,B,C,D) (A)->lpVtbl->GetMonikerReference(A,B,C,D)
#define IHlink_SetStringReference(A,B,C,D) (A)->lpVtbl->SetStringReference(A,B,C,D)
#define IHlink_GetStringReference(A,B,C,D) (A)->lpVtbl->GetStringReference(A,B,C,D)
#define IHlink_SetFriendlyName(A,B) (A)->lpVtbl->SetFriendlyName(A,B)
#define IHlink_GetFriendlyName(A,B,C) (A)->lpVtbl->GetFriendlyName(A,B,C)
#define IHlink_SetTargetFrameName(A,B) (A)->lpVtbl->SetTargetFrameName(A,B)
#define IHlink_GetTargetFrameName(A,B) (A)->lpVtbl->GetTargetFrameName(A,B)
#define IHlink_GetMiscStatus(A,B) (A)->lpVtbl->GetMiscStatus(A,B)
#define IHlink_Navigate(A,B,C,D,E) (A)->lpVtbl->Navigate(A,B,C,D,E)
#define IHlink_SetAdditionalParams(A,B) (A)->lpVtbl->SetAdditionalParams(A,B)
#define IHlink_GetAdditionalParams(A,B) (A)->lpVtbl->GetAdditionalParams(A,B)
#endif 
HRESULT STDMETHODCALLTYPE IHlink_SetHlinkSite_Proxy(IHlink *,IHlinkSite *,DWORD);
void __RPC_STUB IHlink_SetHlinkSite_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IHlink_GetHlinkSite_Proxy(IHlink *,IHlinkSite * *,DWORD *);
void __RPC_STUB IHlink_GetHlinkSite_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IHlink_SetMonikerReference_Proxy(IHlink *,DWORD,IMoniker *,LPCWSTR);
void __RPC_STUB IHlink_SetMonikerReference_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IHlink_GetMonikerReference_Proxy(IHlink *,DWORD,IMoniker * *,LPWSTR *);
void __RPC_STUB IHlink_GetMonikerReference_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IHlink_SetStringReference_Proxy(IHlink *,DWORD,LPCWSTR,LPCWSTR);
void __RPC_STUB IHlink_SetStringReference_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IHlink_GetStringReference_Proxy(IHlink *,DWORD,LPWSTR *,LPWSTR *);
void __RPC_STUB IHlink_GetStringReference_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IHlink_SetFriendlyName_Proxy(IHlink *,LPCWSTR);
void __RPC_STUB IHlink_SetFriendlyName_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IHlink_GetFriendlyName_Proxy(IHlink *,DWORD,LPWSTR *);
void __RPC_STUB IHlink_GetFriendlyName_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IHlink_SetTargetFrameName_Proxy(IHlink *,LPCWSTR);
void __RPC_STUB IHlink_SetTargetFrameName_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IHlink_GetTargetFrameName_Proxy(IHlink *,LPWSTR *);
void __RPC_STUB IHlink_GetTargetFrameName_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IHlink_GetMiscStatus_Proxy(IHlink *,DWORD *);
void __RPC_STUB IHlink_GetMiscStatus_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IHlink_Navigate_Proxy(IHlink *,DWORD,LPBC,IBindStatusCallback *,IHlinkBrowseContext *);
void __RPC_STUB IHlink_Navigate_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IHlink_SetAdditionalParams_Proxy(IHlink *,LPCWSTR);
void __RPC_STUB IHlink_SetAdditionalParams_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IHlink_GetAdditionalParams_Proxy(IHlink *,LPWSTR *);
void __RPC_STUB IHlink_GetAdditionalParams_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
#endif 
#endif
#ifndef _LPHLINKSITE_DEFINED
#define _LPHLINKSITE_DEFINED
EXTERN_C const GUID SID_SContainer;
extern RPC_IF_HANDLE __MIDL_itf_hlink_0187_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_hlink_0187_v0_0_s_ifspec;
#ifndef __IHlinkSite_INTERFACE_DEFINED__
#define __IHlinkSite_INTERFACE_DEFINED__
typedef  IHlinkSite  *LPHLINKSITE;
typedef  
enum __MIDL_IHlinkSite_0001
 {	HLINKWHICHMK_CONTAINER=1,
	HLINKWHICHMK_BASE=2
 }	HLINKWHICHMK;
EXTERN_C const IID IID_IHlinkSite;
 typedef struct IHlinkSiteVtbl
 {
 BEGIN_INTERFACE
 HRESULT ( STDMETHODCALLTYPE  *QueryInterface )(IHlinkSite *,REFIID,void * *);
 ULONG ( STDMETHODCALLTYPE  *AddRef )(IHlinkSite *);
 ULONG ( STDMETHODCALLTYPE  *Release )(IHlinkSite *);
 HRESULT ( STDMETHODCALLTYPE  *QueryService )(IHlinkSite *,DWORD,REFGUID,REFIID,IUnknown * *);
 HRESULT ( STDMETHODCALLTYPE  *GetMoniker )(IHlinkSite *,DWORD,DWORD,DWORD,IMoniker * *);
 HRESULT ( STDMETHODCALLTYPE  *ReadyToNavigate )(IHlinkSite *,DWORD,DWORD);
 HRESULT ( STDMETHODCALLTYPE  *OnNavigationComplete )(IHlinkSite *,DWORD,DWORD,HRESULT,LPCWSTR);
 END_INTERFACE
 } IHlinkSiteVtbl;
 interface IHlinkSite
 {
 CONST_VTBL struct IHlinkSiteVtbl  *lpVtbl;
 };
#ifdef COBJMACROS
#define IHlinkSite_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IHlinkSite_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IHlinkSite_Release(A) (A)->lpVtbl->Release(A)
#define IHlinkSite_QueryService(A,B,C,D,E) (A)->lpVtbl->QueryService(A,B,C,D,E)
#define IHlinkSite_GetMoniker(A,B,C,D,E) (A)->lpVtbl->GetMoniker(A,B,C,D,E)
#define IHlinkSite_ReadyToNavigate(A,B,C) (A)->lpVtbl->ReadyToNavigate(A,B,C)
#define IHlinkSite_OnNavigationComplete(A,B,C,D,E) (A)->lpVtbl->OnNavigationComplete(A,B,C,D,E)
#endif 
HRESULT STDMETHODCALLTYPE IHlinkSite_QueryService_Proxy(IHlinkSite *,DWORD,REFGUID,REFIID,IUnknown * *);
void __RPC_STUB IHlinkSite_QueryService_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IHlinkSite_GetMoniker_Proxy(IHlinkSite *,DWORD,DWORD,DWORD,IMoniker * *);
void __RPC_STUB IHlinkSite_GetMoniker_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IHlinkSite_ReadyToNavigate_Proxy(IHlinkSite *,DWORD,DWORD);
void __RPC_STUB IHlinkSite_ReadyToNavigate_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IHlinkSite_OnNavigationComplete_Proxy(IHlinkSite *,DWORD,DWORD,HRESULT,LPCWSTR);
void __RPC_STUB IHlinkSite_OnNavigationComplete_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
#endif 
#endif
#ifndef _LPHLINKTARGET_DEFINED
#define _LPHLINKTARGET_DEFINED
extern RPC_IF_HANDLE __MIDL_itf_hlink_0188_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_hlink_0188_v0_0_s_ifspec;
#ifndef __IHlinkTarget_INTERFACE_DEFINED__
#define __IHlinkTarget_INTERFACE_DEFINED__
typedef  IHlinkTarget  *LPHLINKTARGET;
EXTERN_C const IID IID_IHlinkTarget;
 typedef struct IHlinkTargetVtbl
 {
 BEGIN_INTERFACE
 HRESULT ( STDMETHODCALLTYPE  *QueryInterface )(IHlinkTarget *,REFIID,void * *);
 ULONG ( STDMETHODCALLTYPE  *AddRef )(IHlinkTarget *);
 ULONG ( STDMETHODCALLTYPE  *Release )(IHlinkTarget *);
 HRESULT ( STDMETHODCALLTYPE  *SetBrowseContext )(IHlinkTarget *,IHlinkBrowseContext *);
 HRESULT ( STDMETHODCALLTYPE  *GetBrowseContext )(IHlinkTarget *,IHlinkBrowseContext * *);
 HRESULT ( STDMETHODCALLTYPE  *Navigate )(IHlinkTarget *,DWORD,LPCWSTR);
 HRESULT ( STDMETHODCALLTYPE  *GetMoniker )(IHlinkTarget *,LPCWSTR,DWORD,IMoniker * *);
 HRESULT ( STDMETHODCALLTYPE  *GetFriendlyName )(IHlinkTarget *,LPCWSTR,LPWSTR *);
 END_INTERFACE
 } IHlinkTargetVtbl;
 interface IHlinkTarget
 {
 CONST_VTBL struct IHlinkTargetVtbl  *lpVtbl;
 };
#ifdef COBJMACROS
#define IHlinkTarget_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IHlinkTarget_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IHlinkTarget_Release(A) (A)->lpVtbl->Release(A)
#define IHlinkTarget_SetBrowseContext(A,B) (A)->lpVtbl->SetBrowseContext(A,B)
#define IHlinkTarget_GetBrowseContext(A,B) (A)->lpVtbl->GetBrowseContext(A,B)
#define IHlinkTarget_Navigate(A,B,C) (A)->lpVtbl->Navigate(A,B,C)
#define IHlinkTarget_GetMoniker(A,B,C,D) (A)->lpVtbl->GetMoniker(A,B,C,D)
#define IHlinkTarget_GetFriendlyName(A,B,C) (A)->lpVtbl->GetFriendlyName(A,B,C)
#endif 
HRESULT STDMETHODCALLTYPE IHlinkTarget_SetBrowseContext_Proxy(IHlinkTarget *,IHlinkBrowseContext *);
void __RPC_STUB IHlinkTarget_SetBrowseContext_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IHlinkTarget_GetBrowseContext_Proxy(IHlinkTarget *,IHlinkBrowseContext * *);
void __RPC_STUB IHlinkTarget_GetBrowseContext_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IHlinkTarget_Navigate_Proxy(IHlinkTarget *,DWORD,LPCWSTR);
void __RPC_STUB IHlinkTarget_Navigate_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IHlinkTarget_GetMoniker_Proxy(IHlinkTarget *,LPCWSTR,DWORD,IMoniker * *);
void __RPC_STUB IHlinkTarget_GetMoniker_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IHlinkTarget_GetFriendlyName_Proxy(IHlinkTarget *,LPCWSTR,LPWSTR *);
void __RPC_STUB IHlinkTarget_GetFriendlyName_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
#endif 
#endif
#ifndef _LPHLINKFRAME_DEFINED
#define _LPHLINKFRAME_DEFINED
EXTERN_C const GUID SID_SHlinkFrame;
extern RPC_IF_HANDLE __MIDL_itf_hlink_0189_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_hlink_0189_v0_0_s_ifspec;
#ifndef __IHlinkFrame_INTERFACE_DEFINED__
#define __IHlinkFrame_INTERFACE_DEFINED__
typedef  IHlinkFrame  *LPHLINKFRAME;
EXTERN_C const IID IID_IHlinkFrame;
 typedef struct IHlinkFrameVtbl
 {
 BEGIN_INTERFACE
 HRESULT ( STDMETHODCALLTYPE  *QueryInterface )(IHlinkFrame *,REFIID,void * *);
 ULONG ( STDMETHODCALLTYPE  *AddRef )(IHlinkFrame *);
 ULONG ( STDMETHODCALLTYPE  *Release )(IHlinkFrame *);
 HRESULT ( STDMETHODCALLTYPE  *SetBrowseContext )(IHlinkFrame *,IHlinkBrowseContext *);
 HRESULT ( STDMETHODCALLTYPE  *GetBrowseContext )(IHlinkFrame *,IHlinkBrowseContext * *);
 HRESULT ( STDMETHODCALLTYPE  *Navigate )(IHlinkFrame *,DWORD,LPBC,IBindStatusCallback *,IHlink *);
 HRESULT ( STDMETHODCALLTYPE  *OnNavigate )(IHlinkFrame *,DWORD,IMoniker *,LPCWSTR,LPCWSTR,DWORD);
 HRESULT ( STDMETHODCALLTYPE  *UpdateHlink )(IHlinkFrame *,ULONG,IMoniker *,LPCWSTR,LPCWSTR);
 END_INTERFACE
 } IHlinkFrameVtbl;
 interface IHlinkFrame
 {
 CONST_VTBL struct IHlinkFrameVtbl  *lpVtbl;
 };
#ifdef COBJMACROS
#define IHlinkFrame_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IHlinkFrame_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IHlinkFrame_Release(A) (A)->lpVtbl->Release(A)
#define IHlinkFrame_SetBrowseContext(A,B) (A)->lpVtbl->SetBrowseContext(A,B)
#define IHlinkFrame_GetBrowseContext(A,B) (A)->lpVtbl->GetBrowseContext(A,B)
#define IHlinkFrame_Navigate(A,B,C,D,E) (A)->lpVtbl->Navigate(A,B,C,D,E)
#define IHlinkFrame_OnNavigate(A,B,C,D,E,F) (A)->lpVtbl->OnNavigate(A,B,C,D,E,F)
#define IHlinkFrame_UpdateHlink(A,B,C,D,E) (A)->lpVtbl->UpdateHlink(A,B,C,D,E)
#endif 
HRESULT STDMETHODCALLTYPE IHlinkFrame_SetBrowseContext_Proxy(IHlinkFrame *,IHlinkBrowseContext *);
void __RPC_STUB IHlinkFrame_SetBrowseContext_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IHlinkFrame_GetBrowseContext_Proxy(IHlinkFrame *,IHlinkBrowseContext * *);
void __RPC_STUB IHlinkFrame_GetBrowseContext_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IHlinkFrame_Navigate_Proxy(IHlinkFrame *,DWORD,LPBC,IBindStatusCallback *,IHlink *);
void __RPC_STUB IHlinkFrame_Navigate_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IHlinkFrame_OnNavigate_Proxy(IHlinkFrame *,DWORD,IMoniker *,LPCWSTR,LPCWSTR,DWORD);
void __RPC_STUB IHlinkFrame_OnNavigate_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IHlinkFrame_UpdateHlink_Proxy(IHlinkFrame *,ULONG,IMoniker *,LPCWSTR,LPCWSTR);
void __RPC_STUB IHlinkFrame_UpdateHlink_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
#endif 
#endif
#ifndef _LPENUMHLITEM_DEFINED
#define _LPENUMHLITEM_DEFINED
extern RPC_IF_HANDLE __MIDL_itf_hlink_0190_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_hlink_0190_v0_0_s_ifspec;
#ifndef __IEnumHLITEM_INTERFACE_DEFINED__
#define __IEnumHLITEM_INTERFACE_DEFINED__
typedef  IEnumHLITEM  *LPENUMHLITEM;
typedef struct tagHLITEM
 {
 ULONG uHLID;
 LPWSTR pwzFriendlyName;
 }	HLITEM;
typedef  HLITEM  *LPHLITEM;
EXTERN_C const IID IID_IEnumHLITEM;
 typedef struct IEnumHLITEMVtbl
 {
 BEGIN_INTERFACE
 HRESULT ( STDMETHODCALLTYPE  *QueryInterface )(IEnumHLITEM *,REFIID,void * *);
 ULONG ( STDMETHODCALLTYPE  *AddRef )(IEnumHLITEM *);
 ULONG ( STDMETHODCALLTYPE  *Release )(IEnumHLITEM *);
 HRESULT ( __stdcall  *Next )(IEnumHLITEM *,ULONG,HLITEM *,ULONG *);
 HRESULT ( STDMETHODCALLTYPE  *Skip )(IEnumHLITEM *,ULONG);
 HRESULT ( STDMETHODCALLTYPE  *Reset )(IEnumHLITEM *);
 HRESULT ( STDMETHODCALLTYPE  *Clone )(IEnumHLITEM *,IEnumHLITEM * *);
 END_INTERFACE
 } IEnumHLITEMVtbl;
 interface IEnumHLITEM
 {
 CONST_VTBL struct IEnumHLITEMVtbl  *lpVtbl;
 };
#ifdef COBJMACROS
#define IEnumHLITEM_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IEnumHLITEM_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IEnumHLITEM_Release(A) (A)->lpVtbl->Release(A)
#define IEnumHLITEM_Next(A,B,C,D) (A)->lpVtbl->Next(A,B,C,D)
#define IEnumHLITEM_Skip(A,B) (A)->lpVtbl->Skip(A,B)
#define IEnumHLITEM_Reset(A) (A)->lpVtbl->Reset(A)
#define IEnumHLITEM_Clone(A,B) (A)->lpVtbl->Clone(A,B)
#endif 
HRESULT __stdcall IEnumHLITEM_Next_Proxy(IEnumHLITEM *,ULONG,HLITEM *,ULONG *);
void __RPC_STUB IEnumHLITEM_Next_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IEnumHLITEM_Skip_Proxy(IEnumHLITEM *,ULONG);
void __RPC_STUB IEnumHLITEM_Skip_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IEnumHLITEM_Reset_Proxy( IEnumHLITEM  * This);
void __RPC_STUB IEnumHLITEM_Reset_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IEnumHLITEM_Clone_Proxy(IEnumHLITEM *,IEnumHLITEM * *);
void __RPC_STUB IEnumHLITEM_Clone_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
#endif 
#endif
#ifndef _LPHLINKBROWSECONTEXT_DEFINED
#define _LPHLINKBROWSECONTEXT_DEFINED
extern RPC_IF_HANDLE __MIDL_itf_hlink_0191_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_hlink_0191_v0_0_s_ifspec;
#ifndef __IHlinkBrowseContext_INTERFACE_DEFINED__
#define __IHlinkBrowseContext_INTERFACE_DEFINED__
typedef  IHlinkBrowseContext  *LPHLINKBROWSECONTEXT;
enum __MIDL_IHlinkBrowseContext_0001
 {	HLTB_DOCKEDLEFT=0,
	HLTB_DOCKEDTOP=1,
	HLTB_DOCKEDRIGHT=2,
	HLTB_DOCKEDBOTTOM=3,
	HLTB_FLOATING=4
 };
typedef struct _tagHLTBINFO
 {
 ULONG uDockType;
 RECT rcTbPos;
 }	HLTBINFO;
enum __MIDL_IHlinkBrowseContext_0002
 {	HLBWIF_HASFRAMEWNDINFO=0x1,
	HLBWIF_HASDOCWNDINFO=0x2,
	HLBWIF_FRAMEWNDMAXIMIZED=0x4,
	HLBWIF_DOCWNDMAXIMIZED=0x8,
	HLBWIF_HASWEBTOOLBARINFO=0x10,
	HLBWIF_WEBTOOLBARHIDDEN=0x20
 };
typedef struct _tagHLBWINFO
 {
 ULONG cbSize;
 DWORD grfHLBWIF;
 RECT rcFramePos;
 RECT rcDocPos;
 HLTBINFO hltbinfo;
 }	HLBWINFO;
typedef  HLBWINFO  *LPHLBWINFO;
enum __MIDL_IHlinkBrowseContext_0003
 {	HLID_INVALID=0,
	HLID_PREVIOUS=0xffffffff,
	HLID_NEXT=0xfffffffe,
	HLID_CURRENT=0xfffffffd,
	HLID_STACKBOTTOM=0xfffffffc,
	HLID_STACKTOP=0xfffffffb
 };
enum __MIDL_IHlinkBrowseContext_0004
 {	HLQF_ISVALID=0x1,
	HLQF_ISCURRENT=0x2
 };
EXTERN_C const IID IID_IHlinkBrowseContext;
 typedef struct IHlinkBrowseContextVtbl
 {
 BEGIN_INTERFACE
 HRESULT ( STDMETHODCALLTYPE  *QueryInterface )(IHlinkBrowseContext *,REFIID,void * *);
 ULONG ( STDMETHODCALLTYPE  *AddRef )(IHlinkBrowseContext *);
 ULONG ( STDMETHODCALLTYPE  *Release )(IHlinkBrowseContext *);
 HRESULT ( STDMETHODCALLTYPE  *Register )(IHlinkBrowseContext *,DWORD,IUnknown *,IMoniker *,DWORD *);
 HRESULT ( STDMETHODCALLTYPE  *GetObject )(IHlinkBrowseContext *,IMoniker *,BOOL,IUnknown * *);
 HRESULT ( STDMETHODCALLTYPE  *Revoke )(IHlinkBrowseContext *,DWORD);
 HRESULT ( STDMETHODCALLTYPE  *SetBrowseWindowInfo )(IHlinkBrowseContext *,HLBWINFO *);
 HRESULT ( STDMETHODCALLTYPE  *GetBrowseWindowInfo )(IHlinkBrowseContext *,HLBWINFO *);
 HRESULT ( STDMETHODCALLTYPE  *SetInitialHlink )(IHlinkBrowseContext *,IMoniker *,LPCWSTR,LPCWSTR);
 HRESULT ( STDMETHODCALLTYPE  *OnNavigateHlink )(IHlinkBrowseContext *,DWORD,IMoniker *,LPCWSTR,LPCWSTR,ULONG *);
 HRESULT ( STDMETHODCALLTYPE  *UpdateHlink )(IHlinkBrowseContext *,ULONG,IMoniker *,LPCWSTR,LPCWSTR);
 HRESULT ( STDMETHODCALLTYPE  *EnumNavigationStack )(IHlinkBrowseContext *,DWORD,DWORD,IEnumHLITEM * *);
 HRESULT ( STDMETHODCALLTYPE  *QueryHlink )(IHlinkBrowseContext *,DWORD,ULONG);
 HRESULT ( STDMETHODCALLTYPE  *GetHlink )(IHlinkBrowseContext *,ULONG,IHlink * *);
 HRESULT ( STDMETHODCALLTYPE  *SetCurrentHlink )(IHlinkBrowseContext *,ULONG);
 HRESULT ( STDMETHODCALLTYPE  *Clone )(IHlinkBrowseContext *,IUnknown *,REFIID,IUnknown * *);
 HRESULT ( STDMETHODCALLTYPE  *Close )(IHlinkBrowseContext *,DWORD);
 END_INTERFACE
 } IHlinkBrowseContextVtbl;
 interface IHlinkBrowseContext
 {
 CONST_VTBL struct IHlinkBrowseContextVtbl  *lpVtbl;
 };
#ifdef COBJMACROS
#define IHlinkBrowseContext_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IHlinkBrowseContext_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IHlinkBrowseContext_Release(A) (A)->lpVtbl->Release(A)
#define IHlinkBrowseContext_Register(A,B,C,D,E) (A)->lpVtbl->Register(A,B,C,D,E)
#define IHlinkBrowseContext_GetObject(A,B,C,D) (A)->lpVtbl->GetObject(A,B,C,D)
#define IHlinkBrowseContext_Revoke(A,B) (A)->lpVtbl->Revoke(A,B)
#define IHlinkBrowseContext_SetBrowseWindowInfo(A,B) (A)->lpVtbl->SetBrowseWindowInfo(A,B)
#define IHlinkBrowseContext_GetBrowseWindowInfo(A,B) (A)->lpVtbl->GetBrowseWindowInfo(A,B)
#define IHlinkBrowseContext_SetInitialHlink(A,B,C,D) (A)->lpVtbl->SetInitialHlink(A,B,C,D)
#define IHlinkBrowseContext_OnNavigateHlink(A,B,C,D,E,F) (A)->lpVtbl->OnNavigateHlink(A,B,C,D,E,F)
#define IHlinkBrowseContext_UpdateHlink(A,B,C,D,E) (A)->lpVtbl->UpdateHlink(A,B,C,D,E)
#define IHlinkBrowseContext_EnumNavigationStack(A,B,C,D) (A)->lpVtbl->EnumNavigationStack(A,B,C,D)
#define IHlinkBrowseContext_QueryHlink(A,B,C) (A)->lpVtbl->QueryHlink(A,B,C)
#define IHlinkBrowseContext_GetHlink(A,B,C) (A)->lpVtbl->GetHlink(A,B,C)
#define IHlinkBrowseContext_SetCurrentHlink(A,B) (A)->lpVtbl->SetCurrentHlink(A,B)
#define IHlinkBrowseContext_Clone(A,B,C,D) (A)->lpVtbl->Clone(A,B,C,D)
#define IHlinkBrowseContext_Close(A,B) (A)->lpVtbl->Close(A,B)
#endif 
HRESULT STDMETHODCALLTYPE IHlinkBrowseContext_Register_Proxy(IHlinkBrowseContext *,DWORD,IUnknown *,IMoniker *,DWORD *);
void __RPC_STUB IHlinkBrowseContext_Register_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IHlinkBrowseContext_GetObject_Proxy(IHlinkBrowseContext *,IMoniker *,BOOL,IUnknown * *);
void __RPC_STUB IHlinkBrowseContext_GetObject_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IHlinkBrowseContext_Revoke_Proxy(IHlinkBrowseContext *,DWORD);
void __RPC_STUB IHlinkBrowseContext_Revoke_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IHlinkBrowseContext_SetBrowseWindowInfo_Proxy(IHlinkBrowseContext *,HLBWINFO *);
void __RPC_STUB IHlinkBrowseContext_SetBrowseWindowInfo_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IHlinkBrowseContext_GetBrowseWindowInfo_Proxy(IHlinkBrowseContext *,HLBWINFO *);
void __RPC_STUB IHlinkBrowseContext_GetBrowseWindowInfo_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IHlinkBrowseContext_SetInitialHlink_Proxy(IHlinkBrowseContext *,IMoniker *,LPCWSTR,LPCWSTR);
void __RPC_STUB IHlinkBrowseContext_SetInitialHlink_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IHlinkBrowseContext_OnNavigateHlink_Proxy(IHlinkBrowseContext *,DWORD,IMoniker *,LPCWSTR,LPCWSTR,ULONG *);
void __RPC_STUB IHlinkBrowseContext_OnNavigateHlink_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IHlinkBrowseContext_UpdateHlink_Proxy(IHlinkBrowseContext *,ULONG,IMoniker *,LPCWSTR,LPCWSTR);
void __RPC_STUB IHlinkBrowseContext_UpdateHlink_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IHlinkBrowseContext_EnumNavigationStack_Proxy(IHlinkBrowseContext *,DWORD,DWORD,IEnumHLITEM * *);
void __RPC_STUB IHlinkBrowseContext_EnumNavigationStack_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IHlinkBrowseContext_QueryHlink_Proxy(IHlinkBrowseContext *,DWORD,ULONG);
void __RPC_STUB IHlinkBrowseContext_QueryHlink_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IHlinkBrowseContext_GetHlink_Proxy(IHlinkBrowseContext *,ULONG,IHlink * *);
void __RPC_STUB IHlinkBrowseContext_GetHlink_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IHlinkBrowseContext_SetCurrentHlink_Proxy(IHlinkBrowseContext *,ULONG);
void __RPC_STUB IHlinkBrowseContext_SetCurrentHlink_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IHlinkBrowseContext_Clone_Proxy(IHlinkBrowseContext *,IUnknown *,REFIID,IUnknown * *);
void __RPC_STUB IHlinkBrowseContext_Clone_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IHlinkBrowseContext_Close_Proxy(IHlinkBrowseContext *,DWORD);
void __RPC_STUB IHlinkBrowseContext_Close_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
#endif 
#endif
#ifndef _LPEXTENSIONSERVICES_DEFINED
#define _LPEXTENSIONSERVICES_DEFINED
extern RPC_IF_HANDLE __MIDL_itf_hlink_0192_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_hlink_0192_v0_0_s_ifspec;
#ifndef __IExtensionServices_INTERFACE_DEFINED__
#define __IExtensionServices_INTERFACE_DEFINED__
typedef  IExtensionServices  *LPEXTENSIONSERVICES;
EXTERN_C const IID IID_IExtensionServices;
 typedef struct IExtensionServicesVtbl
 {
 BEGIN_INTERFACE
 HRESULT ( STDMETHODCALLTYPE  *QueryInterface )(IExtensionServices *,REFIID,void * *);
 ULONG ( STDMETHODCALLTYPE  *AddRef )(IExtensionServices *);
 ULONG ( STDMETHODCALLTYPE  *Release )(IExtensionServices *);
 HRESULT ( STDMETHODCALLTYPE  *SetAdditionalHeaders )(IExtensionServices *,LPCWSTR);
 HRESULT ( STDMETHODCALLTYPE  *SetAuthenticateData )(IExtensionServices *,HWND,LPCWSTR,LPCWSTR);
 END_INTERFACE
 } IExtensionServicesVtbl;
 interface IExtensionServices
 {
 CONST_VTBL struct IExtensionServicesVtbl  *lpVtbl;
 };
#ifdef COBJMACROS
#define IExtensionServices_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IExtensionServices_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IExtensionServices_Release(A) (A)->lpVtbl->Release(A)
#define IExtensionServices_SetAdditionalHeaders(A,B) (A)->lpVtbl->SetAdditionalHeaders(A,B)
#define IExtensionServices_SetAuthenticateData(A,B,C,D) (A)->lpVtbl->SetAuthenticateData(A,B,C,D)
#endif 
HRESULT STDMETHODCALLTYPE IExtensionServices_SetAdditionalHeaders_Proxy(IExtensionServices *,LPCWSTR);
void __RPC_STUB IExtensionServices_SetAdditionalHeaders_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
HRESULT STDMETHODCALLTYPE IExtensionServices_SetAuthenticateData_Proxy(IExtensionServices *,HWND,LPCWSTR,LPCWSTR);
void __RPC_STUB IExtensionServices_SetAuthenticateData_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE,DWORD *);
#endif 
#endif
#endif 
extern RPC_IF_HANDLE __MIDL_itf_hlink_0193_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_hlink_0193_v0_0_s_ifspec;
#ifdef __cplusplus
}
#endif
#endif
