#ifndef	__imm_h__
#define	__imm_h__ 
DECLARE_HANDLE(HIMC);
DECLARE_HANDLE(HIMCC);
typedef	HKL *LPHKL;
typedef	UINT *LPUINT;
typedef	struct tagCOMPOSITIONFORM {
	DWORD dwStyle;
	POINT ptCurrentPos;
	RECT rcArea;
}	COMPOSITIONFORM;
typedef COMPOSITIONFORM *LPCOMPOSITIONFORM;
typedef	struct tagCANDIDATEFORM {
	DWORD dwIndex;
	DWORD dwStyle;
	POINT ptCurrentPos;
	RECT rcArea;
}	CANDIDATEFORM,*LPCANDIDATEFORM;
typedef	struct tagCANDIDATELIST {
	DWORD dwSize;
	DWORD dwStyle;
	DWORD dwCount;
	DWORD dwSelection;
	DWORD dwPageStart;
	DWORD dwPageSize;
	DWORD dwOffset[1];
}	CANDIDATELIST,*PCANDIDATELIST,*NPCANDIDATELIST,*LPCANDIDATELIST;
typedef	struct tagREGISTERWORDA {
	LPSTR lpReading;
	LPSTR lpWord;
}	REGISTERWORDA,*PREGISTERWORDA,*NPREGISTERWORDA,*LPREGISTERWORDA;
typedef	struct tagREGISTERWORDW {
	LPWSTR lpReading;
	LPWSTR lpWord;
}	REGISTERWORDW,*PREGISTERWORDW,*NPREGISTERWORDW,*LPREGISTERWORDW;
typedef	struct tagRECONVERTSTRING {
	DWORD dwSize;
	DWORD dwVersion;
	DWORD dwStrLen;
	DWORD dwStrOffset;
	DWORD dwCompStrLen;
	DWORD dwCompStrOffset;
	DWORD dwTargetStrLen;
	DWORD dwTargetStrOffset;
}	RECONVERTSTRING,*PRECONVERTSTRING,*NPRECONVERTSTRING,*LPRECONVERTSTRING;
#define	STYLE_DESCRIPTION_SIZE 32
typedef	struct tagSTYLEBUFA {
	DWORD dwStyle;
	CHAR szDescription[STYLE_DESCRIPTION_SIZE];
}	STYLEBUFA,*PSTYLEBUFA,*NPSTYLEBUFA,*LPSTYLEBUFA;
typedef	struct tagSTYLEBUFW {
	DWORD dwStyle;
	WCHAR szDescription[STYLE_DESCRIPTION_SIZE];
}	STYLEBUFW,*PSTYLEBUFW, *NPSTYLEBUFW,*LPSTYLEBUFW;
#define	IMEMENUITEM_STRING_SIZE 80
typedef	struct tagIMEMENUITEMINFOA {
	UINT cbSize;
	UINT fType;
	UINT fState;
	UINT wID;
	HBITMAP hbmpChecked;
	HBITMAP hbmpUnchecked;
	DWORD dwItemData;
	CHAR szString[IMEMENUITEM_STRING_SIZE];
	HBITMAP hbmpItem;
}	IMEMENUITEMINFOA,*PIMEMENUITEMINFOA,*NPIMEMENUITEMINFOA,*LPIMEMENUITEMINFOA;
typedef	struct tagIMEMENUITEMINFOW {
	UINT cbSize;
	UINT fType;
	UINT fState;
	UINT wID;
	HBITMAP hbmpChecked;
	HBITMAP hbmpUnchecked;
	DWORD dwItemData;
	WCHAR szString[IMEMENUITEM_STRING_SIZE];
	HBITMAP hbmpItem;
}	IMEMENUITEMINFOW,*PIMEMENUITEMINFOW,*NPIMEMENUITEMINFOW,*LPIMEMENUITEMINFOW;
HKL	WINAPI ImmInstallIMEA(LPCSTR lpszIMEFileName,LPCSTR lpszLayoutText);
HKL	WINAPI ImmInstallIMEW(LPCWSTR lpszIMEFileName,LPCWSTR lpszLayoutText);
HWND	WINAPI ImmGetDefaultIMEWnd(HWND);
UINT	WINAPI ImmGetDescriptionA(HKL,LPSTR,UINT uBufLen);
UINT	WINAPI ImmGetDescriptionW(HKL,LPWSTR,UINT uBufLen);
UINT	WINAPI ImmGetIMEFileNameA(HKL,LPSTR,UINT uBufLen);
UINT	WINAPI ImmGetIMEFileNameW(HKL,LPWSTR,UINT uBufLen);
DWORD	WINAPI ImmGetProperty(HKL,DWORD);
BOOL	WINAPI ImmIsIME(HKL);
BOOL	WINAPI ImmSimulateHotKey(HWND,DWORD);
HIMC	WINAPI ImmCreateContext(void);
BOOL	WINAPI ImmDestroyContext(HIMC);
HIMC	WINAPI ImmGetContext(HWND);
BOOL	WINAPI ImmReleaseContext(HWND,HIMC);
HIMC	WINAPI ImmAssociateContext(HWND,HIMC);
BOOL	WINAPI ImmAssociateContextEx(HWND,HIMC,DWORD);
LONG	WINAPI ImmGetCompositionStringA(HIMC,DWORD,LPVOID,DWORD);
LONG	WINAPI ImmGetCompositionStringW(HIMC,DWORD,LPVOID,DWORD);
BOOL	WINAPI ImmSetCompositionStringA(HIMC,DWORD dwIndex,LPCVOID lpComp,DWORD,LPCVOID lpRead,DWORD);
BOOL	WINAPI ImmSetCompositionStringW(HIMC,DWORD dwIndex,LPCVOID lpComp,DWORD,LPCVOID lpRead,DWORD);
DWORD	WINAPI ImmGetCandidateListCountA(HIMC,LPDWORD lpdwListCount);
DWORD	WINAPI ImmGetCandidateListCountW(HIMC,LPDWORD lpdwListCount);
DWORD	WINAPI ImmGetCandidateListA(HIMC,DWORD deIndex,LPCANDIDATELIST,DWORD dwBufLen);
DWORD	WINAPI ImmGetCandidateListW(HIMC,DWORD deIndex,LPCANDIDATELIST,DWORD dwBufLen);
DWORD	WINAPI ImmGetGuideLineA(HIMC,DWORD dwIndex,LPSTR,DWORD dwBufLen);
DWORD	WINAPI ImmGetGuideLineW(HIMC,DWORD dwIndex,LPWSTR,DWORD dwBufLen);
BOOL	WINAPI ImmGetConversionStatus(HIMC,LPDWORD,LPDWORD);
BOOL	WINAPI ImmSetConversionStatus(HIMC,DWORD,DWORD);
BOOL	WINAPI ImmGetOpenStatus(HIMC);
BOOL	WINAPI ImmSetOpenStatus(HIMC,BOOL);
BOOL	WINAPI ImmGetCompositionFontA(HIMC,LPLOGFONTA);
BOOL	WINAPI ImmGetCompositionFontW(HIMC,LPLOGFONTW);
BOOL	WINAPI ImmSetCompositionFontA(HIMC,LPLOGFONTA);
BOOL	WINAPI ImmSetCompositionFontW(HIMC,LPLOGFONTW);
BOOL	WINAPI ImmConfigureIMEA(HKL,HWND,DWORD,LPVOID);
BOOL	WINAPI ImmConfigureIMEW(HKL,HWND,DWORD,LPVOID);
LRESULT	WINAPI ImmEscapeA(HKL,HIMC,UINT,LPVOID);
LRESULT	WINAPI ImmEscapeW(HKL,HIMC,UINT,LPVOID);
DWORD	WINAPI ImmGetConversionListA(HKL,HIMC,LPCSTR,LPCANDIDATELIST,DWORD dwBufLen,UINT uFlag);
DWORD	WINAPI ImmGetConversionListW(HKL,HIMC,LPCWSTR,LPCANDIDATELIST,DWORD dwBufLen,UINT uFlag);
BOOL	WINAPI ImmNotifyIME(HIMC,DWORD dwAction,DWORD dwIndex,DWORD dwValue);
BOOL	WINAPI ImmGetStatusWindowPos(HIMC,LPPOINT);
BOOL	WINAPI ImmSetStatusWindowPos(HIMC,LPPOINT);
BOOL	WINAPI ImmGetCompositionWindow(HIMC,LPCOMPOSITIONFORM);
BOOL	WINAPI ImmSetCompositionWindow(HIMC,LPCOMPOSITIONFORM);
BOOL	WINAPI ImmGetCandidateWindow(HIMC,DWORD,LPCANDIDATEFORM);
BOOL	WINAPI ImmSetCandidateWindow(HIMC,LPCANDIDATEFORM);
BOOL	WINAPI ImmIsUIMessageA(HWND,UINT,WPARAM,LPARAM);
BOOL	WINAPI ImmIsUIMessageW(HWND,UINT,WPARAM,LPARAM);
#ifdef	UNICODE
#define	ImmIsUIMessage ImmIsUIMessageW
#else
#define	ImmIsUIMessage ImmIsUIMessageA
#endif	
UINT	WINAPI ImmGetVirtualKey(HWND);
typedef	int (CALLBACK *REGISTERWORDENUMPROCA)(LPCSTR,DWORD,LPCSTR,LPVOID);
typedef	int (CALLBACK *REGISTERWORDENUMPROCW)(LPCWSTR,DWORD,LPCWSTR,LPVOID);
#ifdef	UNICODE
#define	REGISTERWORDENUMPROC REGISTERWORDENUMPROCW
#else
#define	REGISTERWORDENUMPROC REGISTERWORDENUMPROCA
#endif	
BOOL	WINAPI ImmRegisterWordA(HKL,LPCSTR lpszReading,DWORD,LPCSTR lpszRegister);
BOOL	WINAPI ImmRegisterWordW(HKL,LPCWSTR lpszReading,DWORD,LPCWSTR lpszRegister);
#ifdef	UNICODE
#define	ImmRegisterWord ImmRegisterWordW
#else
#define	ImmRegisterWord ImmRegisterWordA
#endif	
BOOL	WINAPI ImmUnregisterWordA(HKL,LPCSTR lpszReading,DWORD,LPCSTR lpszUnregister);
BOOL	WINAPI ImmUnregisterWordW(HKL,LPCWSTR lpszReading,DWORD,LPCWSTR lpszUnregister);
#ifdef	UNICODE
#define	ImmUnregisterWord ImmUnregisterWordW
#else
#define	ImmUnregisterWord ImmUnregisterWordA
#endif	
UINT	WINAPI ImmGetRegisterWordStyleA(HKL,UINT nItem,LPSTYLEBUFA);
UINT	WINAPI ImmGetRegisterWordStyleW(HKL,UINT nItem,LPSTYLEBUFW);
#ifdef	UNICODE
#define	ImmGetRegisterWordStyle ImmGetRegisterWordStyleW
#else
#define	ImmGetRegisterWordStyle ImmGetRegisterWordStyleA
#endif	
UINT	WINAPI ImmEnumRegisterWordA(HKL,REGISTERWORDENUMPROCA,LPCSTR lpszReading,DWORD,LPCSTR lpszRegister,LPVOID);
UINT	WINAPI ImmEnumRegisterWordW(HKL,REGISTERWORDENUMPROCW,LPCWSTR lpszReading,DWORD,LPCWSTR lpszRegister,LPVOID);
#ifdef	UNICODE
#define	ImmEnumRegisterWord ImmEnumRegisterWordW
#else
#define	ImmEnumRegisterWord ImmEnumRegisterWordA
#endif	
BOOL	WINAPI ImmDisableIME(DWORD);
DWORD	WINAPI ImmGetImeMenuItemsA(HIMC,DWORD,DWORD,LPIMEMENUITEMINFOA,LPIMEMENUITEMINFOA,DWORD);
DWORD	WINAPI ImmGetImeMenuItemsW(HIMC,DWORD,DWORD,LPIMEMENUITEMINFOW,LPIMEMENUITEMINFOW,DWORD);
#ifdef	UNICODE
#define	ImmGetImeMenuItems ImmGetImeMenuItemsW
#else
#define	ImmGetImeMenuItems ImmGetImeMenuItemsA
#endif	
#define	IMC_GETCANDIDATEPOS 0x7
#define	IMC_SETCANDIDATEPOS 8
#define	IMC_GETCOMPOSITIONFONT 0x9
#define	IMC_SETCOMPOSITIONFONT 0xA
#define	IMC_GETCOMPOSITIONWINDOW 0xB
#define	IMC_SETCOMPOSITIONWINDOW 0xC
#define	IMC_GETSTATUSWINDOWPOS 0xF
#define	IMC_SETSTATUSWINDOWPOS 16
#define	IMC_CLOSESTATUSWINDOW 0x21
#define	IMC_OPENSTATUSWINDOW 0x22
#define	NI_OPENCANDIDATE 16
#define	NI_CLOSECANDIDATE 0x11
#define	NI_SELECTCANDIDATESTR 0x12
#define	NI_CHANGECANDIDATELIST 0x13
#define	NI_FINALIZECONVERSIONRESULT 0x14
#define	NI_COMPOSITIONSTR 0x15
#define	NI_SETCANDIDATE_PAGESTART 0x16
#define	NI_SETCANDIDATE_PAGESIZE 0x17
#define	NI_IMEMENUSELECTED 0x18
#define	ISC_SHOWUICANDIDATEWINDOW 0x001
#define	ISC_SHOWUICOMPOSITIONWINDOW 0x80000000
#define	ISC_SHOWUIGUIDELINE 0x40000000
#define	ISC_SHOWUIALLCANDIDATEWINDOW 0x00F
#define	ISC_SHOWUIALL 0xC000000F
#define	CPS_COMPLETE 1
#define	CPS_CONVERT 2
#define	CPS_REVERT 3
#define	CPS_CANCEL 4
#define	MOD_ALT 1
#define	MOD_CONTROL 2
#define	MOD_SHIFT 4
#define	MOD_LEFT 0x8000
#define	MOD_RIGHT 0x4000
#define	MOD_ON_KEYUP 0x0800
#define	MOD_IGNORE_ALL_MODIFIER 0x0400
#define	IME_CHOTKEY_IME_NONIME_TOGGLE 16
#define	IME_CHOTKEY_SHAPE_TOGGLE 0x11
#define	IME_CHOTKEY_SYMBOL_TOGGLE 0x12
#define	IME_JHOTKEY_CLOSE_OPEN 0x30
#define	IME_KHOTKEY_SHAPE_TOGGLE 0x50
#define	IME_KHOTKEY_HANJACONVERT 0x51
#define	IME_KHOTKEY_ENGLISH 0x52
#define	IME_THOTKEY_IME_NONIME_TOGGLE 0x70
#define	IME_THOTKEY_SHAPE_TOGGLE 0x71
#define	IME_THOTKEY_SYMBOL_TOGGLE 0x72
#define	IME_HOTKEY_DSWITCH_FIRST 0x100
#define	IME_HOTKEY_DSWITCH_LAST 0x11F
#define	IME_HOTKEY_PRIVATE_FIRST 0x200
#define	IME_ITHOTKEY_RESEND_RESULTSTR 0x200
#define	IME_ITHOTKEY_PREVIOUS_COMPOSITION 0x201
#define	IME_ITHOTKEY_UISTYLE_TOGGLE 0x202
#define	IME_ITHOTKEY_RECONVERTSTRING 0x203
#define	IME_HOTKEY_PRIVATE_LAST 0x21F
#define	GCS_COMPREADSTR 1
#define	GCS_COMPREADATTR 2
#define	GCS_COMPREADCLAUSE 4
#define	GCS_COMPSTR 8
#define	GCS_COMPATTR 16
#define	GCS_COMPCLAUSE 0x20
#define	GCS_CURSORPOS 0x80
#define	GCS_DELTASTART 0x0100
#define	GCS_RESULTREADSTR 0x0200
#define	GCS_RESULTREADCLAUSE 0x0400
#define	GCS_RESULTSTR 0x0800
#define	GCS_RESULTCLAUSE 0x1000
#define	CS_INSERTCHAR 0x2000
#define	CS_NOMOVECARET 0x4000
#define	IMEVER_0310 0x3000A
#define	IMEVER_0400 0x40000
#define	IME_PROP_AT_CARET 0x10000
#define	IME_PROP_SPECIAL_UI 0x20000
#define	IME_PROP_CANDLIST_START_FROM_1 0x40000
#define	IME_PROP_UNICODE 0x80000
#define	IME_PROP_COMPLETE_ON_UNSELECT 0x100000
#define	UI_CAP_2700 0x001
#define	UI_CAP_ROT90 0x002
#define	UI_CAP_ROTANY 0x004
#define	SCS_CAP_COMPSTR 0x001
#define	SCS_CAP_MAKEREAD 0x002
#define	SCS_CAP_SETRECONVERTSTRING 0x004
#define	SELECT_CAP_CONVERSION 0x001
#define	SELECT_CAP_SENTENCE 0x002
#define	GGL_LEVEL 0x001
#define	GGL_INDEX 0x002
#define	GGL_STRING 0x003
#define	GGL_PRIVATE 0x004
#define	GL_LEVEL_NOGUIDELINE 0x000
#define	GL_LEVEL_FATAL 0x001
#define	GL_LEVEL_ERROR 0x002
#define	GL_LEVEL_WARNING 0x003
#define	GL_LEVEL_INFORMATION 0x004
#define	GL_ID_UNKNOWN 0x000
#define	GL_ID_NOMODULE 0x001
#define	GL_ID_NODICTIONARY 0x010
#define	GL_ID_CANNOTSAVE 0x011
#define	GL_ID_NOCONVERT 0x020
#define	GL_ID_TYPINGERROR 0x021
#define	GL_ID_TOOMANYSTROKE 0x022
#define	GL_ID_READINGCONFLICT 0x023
#define	GL_ID_INPUTREADING 0x024
#define	GL_ID_INPUTRADICAL 0x025
#define	GL_ID_INPUTCODE 0x026
#define	GL_ID_INPUTSYMBOL 0x027
#define	GL_ID_CHOOSECANDIDATE 0x028
#define	GL_ID_REVERSECONVERSION 0x029
#define	GL_ID_PRIVATE_FIRST 0x08000
#define	GL_ID_PRIVATE_LAST 0x0FFFF
#define	IGP_GETIMEVERSION (DWORD)(-4)
#define	IGP_PROPERTY 0x004
#define	IGP_CONVERSION 0x008
#define	IGP_SENTENCE 0x00c
#define	IGP_UI 0x010
#define	IGP_SETCOMPSTR 0x014
#define	IGP_SELECT 0x018
#define	SCS_SETSTR (GCS_COMPREADSTR|GCS_COMPSTR)
#define	SCS_CHANGEATTR (GCS_COMPREADATTR|GCS_COMPATTR)
#define	SCS_CHANGECLAUSE (GCS_COMPREADCLAUSE|GCS_COMPCLAUSE)
#define	SCS_SETRECONVERTSTRING 0x10000
#define	SCS_QUERYRECONVERTSTRING 0x20000
#define	ATTR_INPUT 0x
#define	ATTR_TARGET_CONVERTED 0x01
#define	ATTR_CONVERTED 0x02
#define	ATTR_TARGET_NOTCONVERTED 0x03
#define	ATTR_INPUT_ERROR 0x04
#define	ATTR_FIXEDCONVERTED 0x05
#define	CFS_DEFAULT 0x0
#define	CFS_RECT 1
#define	CFS_POINT 2
#define	CFS_FORCE_POSITION 0x20
#define	CFS_CANDIDATEPOS 0x40
#define	CFS_EXCLUDE 0x80
#define	GCL_CONVERSION 1
#define	GCL_REVERSECONVERSION 2
#define	GCL_REVERSE_LENGTH 3
#define	IME_CMODE_ALPHANUMERIC 0x0
#define	IME_CMODE_NATIVE 1
#define	IME_CMODE_CHINESE IME_CMODE_NATIVE
#define	IME_CMODE_HANGEUL IME_CMODE_NATIVE
#define	IME_CMODE_HANGUL IME_CMODE_NATIVE
#define	IME_CMODE_JAPANESE IME_CMODE_NATIVE
#define	IME_CMODE_KATAKANA 0x2 
#define	IME_CMODE_LANGUAGE 3
#define	IME_CMODE_FULLSHAPE 8
#define	IME_CMODE_ROMAN 16
#define	IME_CMODE_CHARCODE 0x20
#define	IME_CMODE_HANJACONVERT 0x40
#define	IME_CMODE_SOFTKBD 0x80
#define	IME_CMODE_NOCONVERSION 0x0100
#define	IME_CMODE_EUDC 0x0200
#define	IME_CMODE_SYMBOL 0x0400
#define	IME_CMODE_FIXED 0x0800
#define	IME_SMODE_NONE 0x0
#define	IME_SMODE_PLAURALCLAUSE 1
#define	IME_SMODE_SINGLECONVERT 2
#define	IME_SMODE_AUTOMATIC 4
#define	IME_SMODE_PHRASEPREDICT 8
#define	IME_SMODE_CONVERSATION 16
#define	IME_CAND_UNKNOWN 0x0
#define	IME_CAND_READ 1
#define	IME_CAND_CODE 2
#define	IME_CAND_MEANING 3
#define	IME_CAND_RADICAL 4
#define	IME_CAND_STROKE 0x5
#define	IMN_CLOSESTATUSWINDOW 1
#define	IMN_OPENSTATUSWINDOW 2
#define	IMN_CHANGECANDIDATE 3
#define	IMN_CLOSECANDIDATE 4
#define	IMN_OPENCANDIDATE 0x5
#define	IMN_SETCONVERSIONMODE 0x6
#define	IMN_SETSENTENCEMODE 0x7
#define	IMN_SETOPENSTATUS 8
#define	IMN_SETCANDIDATEPOS 0x9
#define	IMN_SETCOMPOSITIONFONT 0xA
#define	IMN_SETCOMPOSITIONWINDOW 0xB
#define	IMN_SETSTATUSWINDOWPOS 0xC
#define	IMN_GUIDELINE 0xD
#define	IMN_PRIVATE 0xE
#define	IMR_COMPOSITIONWINDOW 1
#define	IMR_CANDIDATEWINDOW 2
#define	IMR_COMPOSITIONFONT 3
#define	IMR_RECONVERTSTRING 4
#define	IMR_CONFIRMRECONVERTSTRING 0x5
#define	IMM_ERROR_NODATA (-1)
#define	IMM_ERROR_GENERAL (-2)
#define	IME_CONFIG_GENERAL 1
#define	IME_CONFIG_REGISTERWORD 2
#define	IME_CONFIG_SELECTDICTIONARY 3
#define	IME_ESC_QUERY_SUPPORT 3
#define	IME_ESC_RESERVED_FIRST 4
#define	IME_ESC_RESERVED_LAST 0x07FF
#define	IME_ESC_PRIVATE_FIRST 0x0800
#define	IME_ESC_PRIVATE_LAST 0x0FFF
#define	IME_ESC_SEQUENCE_TO_INTERNAL 0x1001
#define	IME_ESC_GET_EUDC_DICTIONARY 0x1003
#define	IME_ESC_SET_EUDC_DICTIONARY 0x1004
#define	IME_ESC_MAX_KEY 0x1005
#define	IME_ESC_IME_NAME 0x1006
#define	IME_ESC_SYNC_HOTKEY 0x1007
#define	IME_ESC_HANJA_MODE 0x1008
#define	IME_ESC_AUTOMATA 0x1009
#define	IME_ESC_PRIVATE_HOTKEY 0x100a
#define	IME_ESC_GETHELPFILENAME 0x100b
#define	IME_REGWORD_STYLE_EUDC 0x001
#define	IME_REGWORD_STYLE_USER_FIRST 0x80000000
#define	IME_REGWORD_STYLE_USER_LAST 0xFFFFFFFF
#define	IACE_CHILDREN 1
#define	IACE_DEFAULT 16
#define	IACE_IGNORENOCONTEXT 0x20
#define	IGIMIF_RIGHTMENU 1
#define	IGIMII_CMODE 1
#define	IGIMII_SMODE 2
#define	IGIMII_CONFIGURE 4
#define	IGIMII_TOOLS 8
#define	IGIMII_HELP 16
#define	IGIMII_OTHER 0x20
#define	IGIMII_INPUTTOOLS 0x40
#define	IMFT_RADIOCHECK 0x01
#define	IMFT_SEPARATOR 0x02
#define	IMFT_SUBMENU 0x04
#define	IMFS_GRAYED MFS_GRAYED
#define	IMFS_DISABLED MFS_DISABLED
#define	IMFS_CHECKED MFS_CHECKED
#define	IMFS_HILITE MFS_HILITE
#define	IMFS_ENABLED MFS_ENABLED
#define	IMFS_UNCHECKED MFS_UNCHECKED
#define	IMFS_UNHILITE MFS_UNHILITE
#define	IMFS_DEFAULT MFS_DEFAULT
#define	SOFTKEYBOARD_TYPE_T1 1
#define	SOFTKEYBOARD_TYPE_C1 2
#ifdef	UNICODE
typedef	REGISTERWORDW REGISTERWORD;
typedef	PREGISTERWORDW PREGISTERWORD;
typedef	NPREGISTERWORDW NPREGISTERWORD;
typedef	LPREGISTERWORDW LPREGISTERWORD;
typedef	STYLEBUFW STYLEBUF;
typedef	PSTYLEBUFW PSTYLEBUF;
typedef	NPSTYLEBUFW NPSTYLEBUF;
typedef	LPSTYLEBUFW LPSTYLEBUF;
typedef	IMEMENUITEMINFOW IMEMENUITEMINFO;
typedef	PIMEMENUITEMINFOW PIMEMENUITEMINFO;
typedef	NPIMEMENUITEMINFOW NPIMEMENUITEMINFO;
typedef	LPIMEMENUITEMINFOW LPIMEMENUITEMINFO;
#define	ImmInstallIME ImmInstallIMEW
#define	ImmGetDescription ImmGetDescriptionW
#define	ImmGetIMEFileName ImmGetIMEFileNameW
#define	ImmGetCompositionString ImmGetCompositionStringW
#define	ImmSetCompositionString ImmSetCompositionStringW
#define	ImmGetCandidateListCount ImmGetCandidateListCountW
#define	ImmGetCandidateList ImmGetCandidateListW
#define	ImmGetGuideLine ImmGetGuideLineW
#define	ImmGetCompositionFont ImmGetCompositionFontW
#define	ImmSetCompositionFont ImmSetCompositionFontW
#define	ImmConfigureIME ImmConfigureIMEW
#define	ImmEscape ImmEscapeW
#define	ImmGetConversionList ImmGetConversionListW
#else
typedef	REGISTERWORDA REGISTERWORD;
typedef	PREGISTERWORDA PREGISTERWORD;
typedef	NPREGISTERWORDA NPREGISTERWORD;
typedef	LPREGISTERWORDA LPREGISTERWORD;
typedef	STYLEBUFA STYLEBUF;
typedef	PSTYLEBUFA PSTYLEBUF;
typedef	NPSTYLEBUFA NPSTYLEBUF;
typedef	LPSTYLEBUFA LPSTYLEBUF;
typedef	IMEMENUITEMINFOA IMEMENUITEMINFO;
typedef	PIMEMENUITEMINFOA PIMEMENUITEMINFO;
typedef	NPIMEMENUITEMINFOA NPIMEMENUITEMINFO;
typedef	LPIMEMENUITEMINFOA LPIMEMENUITEMINFO;
#define	ImmInstallIME ImmInstallIMEA
#define	ImmGetDescription ImmGetDescriptionA
#define	ImmGetIMEFileName ImmGetIMEFileNameA
#define	ImmGetCompositionString ImmGetCompositionStringA
#define	ImmSetCompositionString ImmSetCompositionStringA
#define	ImmGetCandidateListCount ImmGetCandidateListCountA
#define	ImmGetCandidateList ImmGetCandidateListA
#define	ImmGetGuideLine ImmGetGuideLineA
#define	ImmGetCompositionFont ImmGetCompositionFontA
#define	ImmSetCompositionFont ImmSetCompositionFontA
#define	ImmConfigureIME ImmConfigureIMEA
#define	ImmEscape ImmEscapeA
#define	ImmGetConversionList ImmGetConversionListA
#endif	
#endif	

