#ifndef __lmuse_h__
#define __lmuse_h__
#include <lmuseflg.h>                   
NET_API_STATUS NET_API_FUNCTION
NetUseAdd (
   LPTSTR UncServerName ,
   DWORD Level,
   LPBYTE Buf,
   LPDWORD ParmError 
    );

NET_API_STATUS NET_API_FUNCTION
NetUseDel (
   LPTSTR UncServerName ,
   LPTSTR UseName,
   DWORD ForceCond
    );

NET_API_STATUS NET_API_FUNCTION
NetUseEnum (
   LPTSTR UncServerName ,
   DWORD Level,
   LPBYTE *BufPtr,
   DWORD PreferedMaximumSize,
   LPDWORD EntriesRead,
   LPDWORD TotalEntries,
  LPDWORD ResumeHandle
    );

NET_API_STATUS NET_API_FUNCTION
NetUseGetInfo (
   LPTSTR UncServerName ,
   LPTSTR UseName,
   DWORD Level,
   LPBYTE *BufPtr
    );
typedef struct _USE_INFO_0 {
    LPTSTR  ui0_local;
    LPTSTR  ui0_remote;
}USE_INFO_0, *PUSE_INFO_0, *LPUSE_INFO_0;

typedef struct _USE_INFO_1 {
    LPTSTR  ui1_local;
    LPTSTR  ui1_remote;
    LPTSTR  ui1_password;
    DWORD   ui1_status;
    DWORD   ui1_asg_type;
    DWORD   ui1_refcount;
    DWORD   ui1_usecount;
}USE_INFO_1, *PUSE_INFO_1, *LPUSE_INFO_1;

typedef struct _USE_INFO_2 {
    LPTSTR   ui2_local;
    LPTSTR   ui2_remote;
    LPTSTR   ui2_password;
    DWORD    ui2_status;
    DWORD    ui2_asg_type;
    DWORD    ui2_refcount;
    DWORD    ui2_usecount;
    LPTSTR   ui2_username;
    LPTSTR   ui2_domainname;
}USE_INFO_2, *PUSE_INFO_2, *LPUSE_INFO_2;

typedef struct _USE_INFO_3 {
    USE_INFO_2 ui3_ui2;
    ULONG      ui3_flags;
} USE_INFO_3, *PUSE_INFO_3, *LPUSE_INFO_3;
#define USE_LOCAL_PARMNUM       1
#define USE_REMOTE_PARMNUM      2
#define USE_PASSWORD_PARMNUM    3
#define USE_ASGTYPE_PARMNUM     4
#define USE_USERNAME_PARMNUM    5
#define USE_DOMAINNAME_PARMNUM  6
#define USE_OK                  0
#define USE_PAUSED              1
#define USE_SESSLOST            2
#define USE_DISCONN             2
#define USE_NETERR              3
#define USE_CONN                4
#define USE_RECONN              5
#define USE_WILDCARD            ( (DWORD) (-1) )
#define USE_DISKDEV             0
#define USE_SPOOLDEV            1
#define USE_CHARDEV             2
#define USE_IPC                 3
#define CREATE_NO_CONNECT 0x1        
#endif
