#ifndef __mbctype_h__
#define __mbctype_h__
#include <ctype.h>
#define _mbctype (__p__mbctype())
unsigned char * __p__mbctype(void);
#define _MS	0x01	
#define _MP	0x02	
#define _M1	0x04	
#define _M2	0x08	
#define _MBC_SINGLE	0		
#define _MBC_LEAD	1		
#define _MBC_TRAIL	2		
#define _MBC_ILLEGAL	(-1)		
#define _KANJI_CP 932
#define _MB_CP_SBCS 0
#define _MB_CP_OEM -2
#define _MB_CP_ANSI -3
#define _MB_CP_LOCALE -4
#ifndef _MBCTYPE_DEFINED
int _setmbcp(int);
int _getmbcp(void);
int _ismbbkalnum( unsigned int );
int _ismbbkana( unsigned int );
int _ismbbkpunct( unsigned int );
int _ismbbkprint( unsigned int );
int _ismbbalpha( unsigned int );
int _ismbbpunct( unsigned int );
int _ismbbalnum( unsigned int );
int _ismbbprint( unsigned int );
int _ismbbgraph( unsigned int );
#ifndef	_MBLEADTRAIL_DEFINED
int _ismbblead( unsigned int );
int _ismbbtrail( unsigned int );
int _ismbslead( const unsigned char *, const unsigned char *);
int _ismbstrail( const unsigned char *, const unsigned char *);
#define _MBLEADTRAIL_DEFINED
#endif
#define _MBCTYPE_DEFINED
#endif
#define _ismbbkalnum(_c) ((_mbctype+1)[(unsigned char)(_c)] & _MS)
#define _ismbbkprint(_c) ((_mbctype+1)[(unsigned char)(_c)] & (_MS|_MP))
#define _ismbbkpunct(_c) ((_mbctype+1)[(unsigned char)(_c)] & _MP)
#define _ismbbalnum(_c)	(((_ctype+1)[(unsigned char)(_c)] & (_ALPHA|_DIGIT))||_ismbbkalnum(_c))
#define _ismbbalpha(_c)	(((_ctype+1)[(unsigned char)(_c)] & (_ALPHA))||_ismbbkalnum(_c))
#define _ismbbgraph(_c)	(((_ctype+1)[(unsigned char)(_c)] & (_PUNCT|_ALPHA|_DIGIT))||_ismbbkprint(_c))
#define _ismbbprint(_c)	(((_ctype+1)[(unsigned char)(_c)] & (_BLANK|_PUNCT|_ALPHA|_DIGIT))||_ismbbkprint(_c))
#define _ismbbpunct(_c)	(((_ctype+1)[(unsigned char)(_c)] & _PUNCT)||_ismbbkpunct(_c))
#define _ismbblead(_c)	((_mbctype+1)[(unsigned char)(_c)] & _M1)
#define _ismbbtrail(_c)	((_mbctype+1)[(unsigned char)(_c)] & _M2)
#define _ismbbkana(_c)	((_mbctype+1)[(unsigned char)(_c)] & (_MS|_MP))
#endif
