#ifndef _NTDSBMSG_
#define _NTDSBMSG_
#define FACILITY_SYSTEM 0
#define FACILITY_NTDSB 2048
#define FACILITY_BACKUP 2047
#define STATUS_SEVERITY_WARNING 2
#define STATUS_SEVERITY_SUCCESS 0
#define STATUS_SEVERITY_INFORMATIONAL 1
#define STATUS_SEVERITY_ERROR 3
#define hrNone ((HRESULT)0)
#define hrNyi ((HRESULT)0xc0000001)
#define hrInvalidParam ((HRESULT)0xc7ff0001)
#define hrError ((HRESULT)0xc7ff0002)
#define hrInvalidHandle ((HRESULT)0xc7ff0003)
#define hrRestoreInProgress ((HRESULT)0xc7ff0004)
#define hrAlreadyOpen ((HRESULT)0xc7ff0005)
#define hrInvalidRecips ((HRESULT)0xc7ff0006)
#define hrCouldNotConnect ((HRESULT)0xc7ff0007)
#define hrRestoreMapExists ((HRESULT)0xc7ff0008)
#define hrIncrementalBackupDisabled ((HRESULT)0xc7ff0009)
#define hrLogFileNotFound ((HRESULT)0xc7ff000a)
#define hrCircularLogging ((HRESULT)0xc7ff000b)
#define hrNoFullRestore ((HRESULT)0xc7ff000c)
#define hrCommunicationError ((HRESULT)0xc7ff000d)
#define hrFullBackupNotTaken ((HRESULT)0xc7ff000e)
#define hrMissingExpiryToken ((HRESULT)0xc7ff000f)
#define hrUnknownExpiryTokenFormat ((HRESULT)0xc7ff0010)
#define hrContentsExpired ((HRESULT)0xc7ff0011)
#define	hrAlreadyListening	((HRESULT)RPC_S_ALREADY_LISTENING)
#define hrFileClose ((HRESULT)0xc8000066)
#define hrOutOfThreads ((HRESULT)0xc8000067)
#define hrTooManyIO ((HRESULT)0xc8000069)
#define hrBFNotSynchronous ((HRESULT)0x880000c8)
#define hrBFPageNotFound ((HRESULT)0x880000c9)
#define hrBFInUse ((HRESULT)0xc80000ca)
#define hrPMRecDeleted ((HRESULT)0xc800012e)
#define hrRemainingVersions ((HRESULT)0x88000141)
#define hrFLDKeyTooBig ((HRESULT)0x88000190)
#define hrFLDTooManySegments ((HRESULT)0xc8000191)
#define hrFLDNullKey ((HRESULT)0x88000192)
#define hrLogFileCorrupt ((HRESULT)0xc80001f5)
#define hrNoBackupDirectory ((HRESULT)0xc80001f7)
#define hrBackupDirectoryNotEmpty ((HRESULT)0xc80001f8)
#define hrBackupInProgress ((HRESULT)0xc80001f9)
#define hrMissingPreviousLogFile ((HRESULT)0xc80001fd)
#define hrLogWriteFail ((HRESULT)0xc80001fe)
#define hrBadLogVersion ((HRESULT)0xc8000202)
#define hrInvalidLogSequence ((HRESULT)0xc8000203)
#define hrLoggingDisabled ((HRESULT)0xc8000204)
#define hrLogBufferTooSmall ((HRESULT)0xc8000205)
#define hrLogSequenceEnd ((HRESULT)0xc8000207)
#define hrNoBackup ((HRESULT)0xc8000208)
#define hrInvalidBackupSequence ((HRESULT)0xc8000209)
#define hrBackupNotAllowedYet ((HRESULT)0xc800020b)
#define hrDeleteBackupFileFail ((HRESULT)0xc800020c)
#define hrMakeBackupDirectoryFail ((HRESULT)0xc800020d)
#define hrInvalidBackup ((HRESULT)0xc800020e)
#define hrRecoveredWithErrors ((HRESULT)0xc800020f)
#define hrMissingLogFile ((HRESULT)0xc8000210)
#define hrLogDiskFull ((HRESULT)0xc8000211)
#define hrBadLogSignature ((HRESULT)0xc8000212)
#define hrBadDbSignature ((HRESULT)0xc8000213)
#define hrBadCheckpointSignature ((HRESULT)0xc8000214)
#define hrCheckpointCorrupt ((HRESULT)0xc8000215)
#define hrDatabaseInconsistent ((HRESULT)0xc8000226)
#define hrConsistentTimeMismatch ((HRESULT)0xc8000227)
#define hrPatchFileMismatch ((HRESULT)0xc8000228)
#define hrRestoreLogTooLow ((HRESULT)0xc8000229)
#define hrRestoreLogTooHigh ((HRESULT)0xc800022a)
#define hrGivenLogFileHasBadSignature ((HRESULT)0xc800022b)
#define hrGivenLogFileIsNotContiguous ((HRESULT)0xc800022c)
#define hrMissingRestoreLogFiles ((HRESULT)0xc800022d)
#define hrExistingLogFileHasBadSignature ((HRESULT)0x8800022e)
#define hrExistingLogFileIsNotContiguous ((HRESULT)0x8800022f)
#define hrMissingFullBackup ((HRESULT)0xc8000230)
#define hrBadBackupDatabaseSize ((HRESULT)0xc8000231)
#define hrTermInProgress ((HRESULT)0xc80003e8)
#define hrFeatureNotAvailable ((HRESULT)0xc80003e9)
#define hrInvalidName ((HRESULT)0xc80003ea)
#define hrInvalidParameter ((HRESULT)0xc80003eb)
#define hrColumnNull ((HRESULT)0x880003ec)
#define hrBufferTruncated ((HRESULT)0x880003ee)
#define hrDatabaseAttached ((HRESULT)0x880003ef)
#define hrInvalidDatabaseId ((HRESULT)0xc80003f2)
#define hrOutOfMemory ((HRESULT)0xc80003f3)
#define hrOutOfDatabaseSpace ((HRESULT)0xc80003f4)
#define hrOutOfCursors ((HRESULT)0xc80003f5)
#define hrOutOfBuffers ((HRESULT)0xc80003f6)
#define hrTooManyIndexes ((HRESULT)0xc80003f7)
#define hrTooManyKeys ((HRESULT)0xc80003f8)
#define hrRecordDeleted ((HRESULT)0xc80003f9)
#define hrReadVerifyFailure ((HRESULT)0xc80003fa)
#define hrOutOfFileHandles ((HRESULT)0xc80003fc)
#define hrDiskIO ((HRESULT)0xc80003fe)
#define hrInvalidPath ((HRESULT)0xc80003ff)
#define hrRecordTooBig ((HRESULT)0xc8000402)
#define hrTooManyOpenDatabases ((HRESULT)0xc8000403)
#define hrInvalidDatabase ((HRESULT)0xc8000404)
#define hrNotInitialized ((HRESULT)0xc8000405)
#define hrAlreadyInitialized ((HRESULT)0xc8000406)
#define hrFileAccessDenied ((HRESULT)0xc8000408)
#define hrBufferTooSmall ((HRESULT)0xc800040e)
#define hrSeekNotEqual ((HRESULT)0x8800040f)
#define hrTooManyColumns ((HRESULT)0xc8000410)
#define hrContainerNotEmpty ((HRESULT)0xc8000413)
#define hrInvalidFilename ((HRESULT)0xc8000414)
#define hrInvalidBookmark ((HRESULT)0xc8000415)
#define hrColumnInUse ((HRESULT)0xc8000416)
#define hrInvalidBufferSize ((HRESULT)0xc8000417)
#define hrColumnNotUpdatable ((HRESULT)0xc8000418)
#define hrIndexInUse ((HRESULT)0xc800041b)
#define hrNullKeyDisallowed ((HRESULT)0xc800041d)
#define hrNotInTransaction ((HRESULT)0xc800041e)
#define hrNoIdleActivity ((HRESULT)0x88000422)
#define hrTooManyActiveUsers ((HRESULT)0xc8000423)
#define hrInvalidCountry ((HRESULT)0xc8000425)
#define hrInvalidLanguageId ((HRESULT)0xc8000426)
#define hrInvalidCodePage ((HRESULT)0xc8000427)
#define hrNoWriteLock ((HRESULT)0x8800042b)
#define hrColumnSetNull ((HRESULT)0x8800042c)
#define hrVersionStoreOutOfMemory ((HRESULT)0xc800042d)
#define hrCurrencyStackOutOfMemory ((HRESULT)0xc800042e)
#define hrOutOfSessions ((HRESULT)0xc800044d)
#define hrWriteConflict ((HRESULT)0xc800044e)
#define hrTransTooDeep ((HRESULT)0xc800044f)
#define hrInvalidSesid ((HRESULT)0xc8000450)
#define hrSessionWriteConflict ((HRESULT)0xc8000453)
#define hrInTransaction ((HRESULT)0xc8000454)
#define hrDatabaseDuplicate ((HRESULT)0xc80004b1)
#define hrDatabaseInUse ((HRESULT)0xc80004b2)
#define hrDatabaseNotFound ((HRESULT)0xc80004b3)
#define hrDatabaseInvalidName ((HRESULT)0xc80004b4)
#define hrDatabaseInvalidPages ((HRESULT)0xc80004b5)
#define hrDatabaseCorrupted ((HRESULT)0xc80004b6)
#define hrDatabaseLocked ((HRESULT)0xc80004b7)
#define hrTableEmpty ((HRESULT)0x88000515)
#define hrTableLocked ((HRESULT)0xc8000516)
#define hrTableDuplicate ((HRESULT)0xc8000517)
#define hrTableInUse ((HRESULT)0xc8000518)
#define hrObjectNotFound ((HRESULT)0xc8000519)
#define hrCannotRename ((HRESULT)0xc800051a)
#define hrDensityInvalid ((HRESULT)0xc800051b)
#define hrTableNotEmpty ((HRESULT)0xc800051c)
#define hrInvalidTableId ((HRESULT)0xc800051e)
#define hrTooManyOpenTables ((HRESULT)0xc800051f)
#define hrIllegalOperation ((HRESULT)0xc8000520)
#define hrObjectDuplicate ((HRESULT)0xc8000522)
#define hrInvalidObject ((HRESULT)0xc8000524)
#define hrIndexCantBuild ((HRESULT)0xc8000579)
#define hrIndexHasPrimary ((HRESULT)0xc800057a)
#define hrIndexDuplicate ((HRESULT)0xc800057b)
#define hrIndexNotFound ((HRESULT)0xc800057c)
#define hrIndexMustStay ((HRESULT)0xc800057d)
#define hrIndexInvalidDef ((HRESULT)0xc800057e)
#define hrIndexHasClustered ((HRESULT)0xc8000580)
#define hrCreateIndexFailed ((HRESULT)0x88000581)
#define hrTooManyOpenIndexes ((HRESULT)0xc8000582)
#define hrColumnLong ((HRESULT)0xc80005dd)
#define hrColumnDoesNotFit ((HRESULT)0xc80005df)
#define hrNullInvalid ((HRESULT)0xc80005e0)
#define hrColumnIndexed ((HRESULT)0xc80005e1)
#define hrColumnTooBig ((HRESULT)0xc80005e2)
#define hrColumnNotFound ((HRESULT)0xc80005e3)
#define hrColumnDuplicate ((HRESULT)0xc80005e4)
#define hrColumn2ndSysMaint ((HRESULT)0xc80005e6)
#define hrInvalidColumnType ((HRESULT)0xc80005e7)
#define hrColumnMaxTruncated ((HRESULT)0x880005e8)
#define hrColumnCannotIndex ((HRESULT)0xc80005e9)
#define hrTaggedNotNULL ((HRESULT)0xc80005ea)
#define hrNoCurrentIndex ((HRESULT)0xc80005eb)
#define hrKeyIsMade ((HRESULT)0xc80005ec)
#define hrBadColumnId ((HRESULT)0xc80005ed)
#define hrBadItagSequence ((HRESULT)0xc80005ee)
#define hrCannotBeTagged ((HRESULT)0xc80005f1)
#define hrRecordNotFound ((HRESULT)0xc8000641)
#define hrNoCurrentRecord ((HRESULT)0xc8000643)
#define hrRecordClusteredChanged ((HRESULT)0xc8000644)
#define hrKeyDuplicate ((HRESULT)0xc8000645)
#define hrAlreadyPrepared ((HRESULT)0xc8000647)
#define hrKeyNotMade ((HRESULT)0xc8000648)
#define hrUpdateNotPrepared ((HRESULT)0xc8000649)
#define hrwrnDataHasChanged ((HRESULT)0x8800064a)
#define hrerrDataHasChanged ((HRESULT)0xc800064b)
#define hrKeyChanged ((HRESULT)0x88000652)
#define hrTooManySorts ((HRESULT)0xc80006a5)
#define hrInvalidOnSort ((HRESULT)0xc80006a6)
#define hrTempFileOpenError ((HRESULT)0xc800070b)
#define hrTooManyAttachedDatabases ((HRESULT)0xc800070d)
#define hrDiskFull ((HRESULT)0xc8000710)
#define hrPermissionDenied ((HRESULT)0xc8000711)
#define hrFileNotFound ((HRESULT)0xc8000713)
#define hrFileOpenReadOnly ((HRESULT)0x88000715)
#define hrAfterInitialization ((HRESULT)0xc800073a)
#define hrLogCorrupted ((HRESULT)0xc800073c)
#define hrInvalidOperation ((HRESULT)0xc8000772)
#define hrAccessDenied ((HRESULT)0xc8000773)
#endif	
