#ifndef __REQUIRED_RPCNDR_H_VERSION__
#define __REQUIRED_RPCNDR_H_VERSION__ 475
#endif
#ifndef __RPC_H__
#include "rpc.h"
#endif
#ifndef __RPCNDR_H__
#include "rpcndr.h"
#endif
#ifndef __RPCNDR_H_VERSION__
#error this stub requires an updated version of <rpcndr.h>
#endif 
#ifndef COM_NO_WINDOWS_H
#ifndef __windows_h__
#include "windows.h"
#endif
#ifndef __ole2_h__
#include "ole2.h"
#endif
#endif 
#ifndef __propidl_h__
#define __propidl_h__
#ifndef __IPropertyStorage_FWD_DEFINED__
#define __IPropertyStorage_FWD_DEFINED__
typedef interface IPropertyStorage IPropertyStorage;
#endif 	
#ifndef __IPropertySetStorage_FWD_DEFINED__
#define __IPropertySetStorage_FWD_DEFINED__
typedef interface IPropertySetStorage IPropertySetStorage;
#endif 	
#ifndef __IEnumSTATPROPSTG_FWD_DEFINED__
#define __IEnumSTATPROPSTG_FWD_DEFINED__
typedef interface IEnumSTATPROPSTG IEnumSTATPROPSTG;
#endif 	
#ifndef __IEnumSTATPROPSETSTG_FWD_DEFINED__
#define __IEnumSTATPROPSETSTG_FWD_DEFINED__
typedef interface IEnumSTATPROPSETSTG IEnumSTATPROPSETSTG;
#endif 	
#ifndef __objidl_h__
#include "objidl.h"
#endif
#include "oaidl.h"
void * __RPC_USER MIDL_user_allocate(size_t);
void __RPC_USER MIDL_user_free( void * ); 
typedef struct tagVersionedStream {
 GUID guidVersion;
 IStream *pStream;
 }	VERSIONEDSTREAM;
typedef struct tagVersionedStream *LPVERSIONEDSTREAM;
#define	PROPSETFLAG_DEFAULT	0
#define	PROPSETFLAG_NONSIMPLE	1
#define	PROPSETFLAG_ANSI	2
#define	PROPSETFLAG_UNBUFFERED	4
#define	PROPSETFLAG_CASE_SENSITIVE	8
#define	PROPSET_BEHAVIOR_CASE_SENSITIVE	1
#ifdef MIDL_PASS
typedef struct tag_inner_PROPVARIANT PROPVARIANT;
#else
typedef struct tagPROPVARIANT PROPVARIANT;
#endif
typedef struct tagCAC {
 ULONG cElems;
 CHAR *pElems;
 }	CAC;
typedef struct tagCAUB {
 ULONG cElems;
 UCHAR *pElems;
 }	CAUB;
typedef struct tagCAI {
 ULONG cElems;
 SHORT *pElems;
 }	CAI;
typedef struct tagCAUI
 {
 ULONG cElems;
 USHORT *pElems;
 }	CAUI;
typedef struct tagCAL
 {
 ULONG cElems;
 LONG *pElems;
 }	CAL;
typedef struct tagCAUL
 {
 ULONG cElems;
 ULONG *pElems;
 }	CAUL;
typedef struct tagCAFLT
 {
 ULONG cElems;
 FLOAT *pElems;
 }	CAFLT;
typedef struct tagCADBL
 {
 ULONG cElems;
 DOUBLE *pElems;
 }	CADBL;
typedef struct tagCACY
 {
 ULONG cElems;
 CY *pElems;
 }	CACY;
typedef struct tagCADATE
 {
 ULONG cElems;
 DATE *pElems;
 }	CADATE;
typedef struct tagCABSTR
 {
 ULONG cElems;
 BSTR *pElems;
 }	CABSTR;
typedef struct tagCABSTRBLOB
 {
 ULONG cElems;
 BSTRBLOB *pElems;
 }	CABSTRBLOB;
typedef struct tagCABOOL
 {
 ULONG cElems;
 VARIANT_BOOL *pElems;
 }	CABOOL;
typedef struct tagCASCODE
 {
 ULONG cElems;
 SCODE *pElems;
 }	CASCODE;
typedef struct tagCAPROPVARIANT
 {
 ULONG cElems;
 PROPVARIANT *pElems;
 }	CAPROPVARIANT;
typedef struct tagCAH
 {
 ULONG cElems;
 LARGE_INTEGER *pElems;
 }	CAH;
typedef struct tagCAUH
 {
 ULONG cElems;
 ULARGE_INTEGER *pElems;
 }	CAUH;
typedef struct tagCALPSTR
 {
 ULONG cElems;
 LPSTR *pElems;
 }	CALPSTR;
typedef struct tagCALPWSTR
 {
 ULONG cElems;
 LPWSTR *pElems;
 }	CALPWSTR;
typedef struct tagCAFILETIME
 {
 ULONG cElems;
 FILETIME *pElems;
 }	CAFILETIME;
typedef struct tagCACLIPDATA
 {
 ULONG cElems;
 CLIPDATA *pElems;
 }	CACLIPDATA;
typedef struct tagCACLSID
 {
 ULONG cElems;
 CLSID *pElems;
 }	CACLSID;
#ifdef MIDL_PASS
typedef BYTE PROPVAR_PAD1;
typedef BYTE PROPVAR_PAD2;
typedef ULONG PROPVAR_PAD3;
#else
typedef WORD PROPVAR_PAD1;
typedef WORD PROPVAR_PAD2;
typedef WORD PROPVAR_PAD3;
#define tag_inner_PROPVARIANT
#endif
#ifndef MIDL_PASS
struct tagPROPVARIANT {
 union {
#endif
struct tag_inner_PROPVARIANT {
 VARTYPE vt;
 PROPVAR_PAD1 wReserved1;
 PROPVAR_PAD2 wReserved2;
 PROPVAR_PAD3 wReserved3;
 union {
 CHAR cVal;
 UCHAR bVal;
 SHORT iVal;
 USHORT uiVal;
 LONG lVal;
 ULONG ulVal;
 INT intVal;
 UINT uintVal;
 LARGE_INTEGER hVal;
 ULARGE_INTEGER uhVal;
 FLOAT fltVal;
 DOUBLE dblVal;
 VARIANT_BOOL boolVal;
 _VARIANT_BOOL bool;
 SCODE scode;
 CY cyVal;
 DATE date;
 FILETIME filetime;
 CLSID *puuid;
 CLIPDATA *pclipdata;
 BSTR bstrVal;
 BSTRBLOB bstrblobVal;
 BLOB blob;
 LPSTR pszVal;
 LPWSTR pwszVal;
 IUnknown *punkVal;
 IDispatch *pdispVal;
 IStream *pStream;
 IStorage *pStorage;
 LPVERSIONEDSTREAM pVersionedStream;
 LPSAFEARRAY parray;
 CAC cac;
 CAUB caub;
 CAI cai;
 CAUI caui;
 CAL cal;
 CAUL caul;
 CAH cah;
 CAUH cauh;
 CAFLT caflt;
 CADBL cadbl;
 CABOOL cabool;
 CASCODE cascode;
 CACY cacy;
 CADATE cadate;
 CAFILETIME cafiletime;
 CACLSID cauuid;
 CACLIPDATA caclipdata;
 CABSTR cabstr;
 CABSTRBLOB cabstrblob;
 CALPSTR calpstr;
 CALPWSTR calpwstr;
 CAPROPVARIANT capropvar;
 CHAR *pcVal;
 UCHAR *pbVal;
 SHORT *piVal;
 USHORT *puiVal;
 LONG *plVal;
 ULONG *pulVal;
 INT *pintVal;
 UINT *puintVal;
 FLOAT *pfltVal;
 DOUBLE *pdblVal;
 VARIANT_BOOL *pboolVal;
 DECIMAL *pdecVal;
 SCODE *pscode;
 CY *pcyVal;
 DATE *pdate;
 BSTR *pbstrVal;
 IUnknown * *ppunkVal;
 IDispatch * *ppdispVal;
 LPSAFEARRAY *pparray;
 PROPVARIANT *pvarVal;
 };
 };
#ifndef MIDL_PASS
 DECIMAL decVal;
 };
};
#endif
#ifdef MIDL_PASS
typedef struct tag_inner_PROPVARIANT *LPPROPVARIANT;
#else
typedef struct tagPROPVARIANT * LPPROPVARIANT;
#endif
#define	PID_DICTIONARY	( 0 )
#define	PID_CODEPAGE	( 1 )
#define	PID_FIRST_USABLE	( 2 )
#define	PID_FIRST_NAME_DEFAULT	( 0xfff )
#define	PID_LOCALE	( 0x80000000 )
#define	PID_MODIFY_TIME	( 0x80000001 )
#define	PID_SECURITY	( 0x80000002 )
#define	PID_BEHAVIOR	( 0x80000003 )
#define	PID_ILLEGAL	( 0xffffffff )
#define PIDDI_THUMBNAIL 0x00000002L 
#define PIDSI_TITLE 2 
#define PIDSI_SUBJECT 3 
#define PIDSI_AUTHOR 4 
#define PIDSI_KEYWORDS 5 
#define PIDSI_COMMENTS 6 
#define PIDSI_TEMPLATE 7 
#define PIDSI_LASTAUTHOR 8 
#define PIDSI_REVNUMBER 9 
#define PIDSI_EDITTIME 0xa 
#define PIDSI_LASTPRINTED 0xb 
#define PIDSI_CREATE_DTM 0xc 
#define PIDSI_LASTSAVE_DTM 0xd 
#define PIDSI_PAGECOUNT 0xe 
#define PIDSI_WORDCOUNT 0xf 
#define PIDSI_CHARCOUNT 0x10 
#define PIDSI_THUMBNAIL 0x11 
#define PIDSI_APPNAME 0x12 
#define PIDSI_DOC_SECURITY 0x13 
#define PIDMSI_EDITOR 2 
#define PIDMSI_SUPPLIER 3 
#define PIDMSI_SOURCE 4
#define PIDMSI_SEQUENCE_NO 5 
#define PIDMSI_PROJECT 6 
#define PIDMSI_STATUS 7 
#define PIDMSI_OWNER 8 
#define PIDMSI_RATING 9 
#define PIDMSI_PRODUCTION 10 
enum PIDMSI_STATUS_VALUE {	PIDMSI_STATUS_NORMAL	= 0,
	PIDMSI_STATUS_NEW	= PIDMSI_STATUS_NORMAL + 1,
	PIDMSI_STATUS_PRELIM	= PIDMSI_STATUS_NEW + 1,
	PIDMSI_STATUS_DRAFT	= PIDMSI_STATUS_PRELIM + 1,
	PIDMSI_STATUS_INPROGRESS	= PIDMSI_STATUS_DRAFT + 1,
	PIDMSI_STATUS_EDIT	= PIDMSI_STATUS_INPROGRESS + 1,
	PIDMSI_STATUS_REVIEW	= PIDMSI_STATUS_EDIT + 1,
	PIDMSI_STATUS_PROOF	= PIDMSI_STATUS_REVIEW + 1,
	PIDMSI_STATUS_FINAL	= PIDMSI_STATUS_PROOF + 1,
	PIDMSI_STATUS_OTHER	= 0x7fff
 };
#define	PRSPEC_INVALID	( 0xffffffff )
#define	PRSPEC_LPWSTR	( 0 )
#define	PRSPEC_PROPID	( 1 )
typedef struct tagPROPSPEC {
 ULONG ulKind;
 union 
 {
 PROPID propid;
 LPOLESTR lpwstr;
 
 }	;
 }	PROPSPEC;
typedef struct tagSTATPROPSTG {
 LPOLESTR lpwstrName;
 PROPID propid;
 VARTYPE vt;
 }	STATPROPSTG;
#define PROPSETHDR_OSVER_KIND(dwOSVer) HIWORD( (dwOSVer) )
#define PROPSETHDR_OSVER_MAJOR(dwOSVer) LOBYTE(LOWORD( (dwOSVer) ))
#define PROPSETHDR_OSVER_MINOR(dwOSVer) HIBYTE(LOWORD( (dwOSVer) ))
#define PROPSETHDR_OSVERSION_UNKNOWN 0xFFFFFFFF
typedef struct tagSTATPROPSETSTG
 {
 FMTID fmtid;
 CLSID clsid;
 DWORD grfFlags;
 FILETIME mtime;
 FILETIME ctime;
 FILETIME atime;
 DWORD dwOSVersion;
 }	STATPROPSETSTG;
extern RPC_IF_HANDLE __MIDL_itf_propidl_0000_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_propidl_0000_v0_0_s_ifspec;
#ifndef __IPropertyStorage_INTERFACE_DEFINED__
#define __IPropertyStorage_INTERFACE_DEFINED__
EXTERN_C const IID IID_IPropertyStorage;
typedef struct IPropertyStorageVtbl {
 BEGIN_INTERFACE
 HRESULT ( STDMETHODCALLTYPE *QueryInterface )( IPropertyStorage * This, REFIID riid, void * *ppvObject);
 ULONG ( STDMETHODCALLTYPE *AddRef )( IPropertyStorage * This);
 ULONG ( STDMETHODCALLTYPE *Release )( IPropertyStorage * This); 
 HRESULT ( STDMETHODCALLTYPE *ReadMultiple )( IPropertyStorage * This, ULONG cpspec, const PROPSPEC rgpspec[ ], PROPVARIANT rgpropvar[ ]);
 HRESULT ( STDMETHODCALLTYPE *WriteMultiple )( IPropertyStorage * This, ULONG cpspec, const PROPSPEC rgpspec[ ], const PROPVARIANT rgpropvar[ ], PROPID propidNameFirst); 
 HRESULT ( STDMETHODCALLTYPE *DeleteMultiple )( IPropertyStorage * This, ULONG cpspec, const PROPSPEC rgpspec[ ]);
 HRESULT ( STDMETHODCALLTYPE *ReadPropertyNames )( IPropertyStorage * This, ULONG cpropid, const PROPID rgpropid[ ], LPOLESTR rglpwstrName[ ]);
 HRESULT ( STDMETHODCALLTYPE *WritePropertyNames )( IPropertyStorage * This, ULONG cpropid, const PROPID rgpropid[ ], const LPOLESTR rglpwstrName[ ]);
 HRESULT ( STDMETHODCALLTYPE *DeletePropertyNames )( IPropertyStorage * This, ULONG cpropid, const PROPID rgpropid[ ]);
 HRESULT ( STDMETHODCALLTYPE *Commit )( IPropertyStorage * This, DWORD grfCommitFlags);
 HRESULT ( STDMETHODCALLTYPE *Revert )( IPropertyStorage * This);
 HRESULT ( STDMETHODCALLTYPE *Enum )( IPropertyStorage * This, IEnumSTATPROPSTG * *ppenum);
 HRESULT ( STDMETHODCALLTYPE *SetTimes )( IPropertyStorage * This, const FILETIME *pctime, const FILETIME *patime, const FILETIME *pmtime);
 HRESULT ( STDMETHODCALLTYPE *SetClass )( IPropertyStorage * This, REFCLSID clsid);
 HRESULT ( STDMETHODCALLTYPE *Stat )( IPropertyStorage * This, STATPROPSETSTG *pstatpsstg);
 END_INTERFACE
} IPropertyStorageVtbl;
interface IPropertyStorage { CONST_VTBL struct IPropertyStorageVtbl *lpVtbl; };
#ifdef COBJMACROS
#define IPropertyStorage_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IPropertyStorage_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IPropertyStorage_Release(A) (A)->lpVtbl->Release(A)
#define IPropertyStorage_ReadMultiple(A,B,C,D) (A)->lpVtbl->ReadMultiple(A,B,C,D)
#define IPropertyStorage_WriteMultiple(A,B,C,D,E) (A)->lpVtbl->WriteMultiple(A,B,C,D,E)
#define IPropertyStorage_DeleteMultiple(A,B,C) (A)->lpVtbl->DeleteMultiple(A,B,C)
#define IPropertyStorage_ReadPropertyNames(A,B,C,D) (A)->lpVtbl->ReadPropertyNames(A,B,C,D)
#define IPropertyStorage_WritePropertyNames(A,B,C,D) (A)->lpVtbl->WritePropertyNames(A,B,C,D)
#define IPropertyStorage_DeletePropertyNames(A,B,C) (A)->lpVtbl->DeletePropertyNames(A,B,C)
#define IPropertyStorage_Commit(A,B) (A)->lpVtbl->Commit(A,B)
#define IPropertyStorage_Revert(A) (A)->lpVtbl->Revert(A)
#define IPropertyStorage_Enum(A,B) (A)->lpVtbl->Enum(A,B)
#define IPropertyStorage_SetTimes(A,B,C,D) (A)->lpVtbl->SetTimes(A,B,C,D)
#define IPropertyStorage_SetClass(A,B) (A)->lpVtbl->SetClass(A,B)
#define IPropertyStorage_Stat(A,B) (A)->lpVtbl->Stat(A,B)
#endif 	
HRESULT STDMETHODCALLTYPE IPropertyStorage_ReadMultiple_Proxy( 
 IPropertyStorage * This,
 ULONG cpspec,
 const PROPSPEC rgpspec[ ],
 PROPVARIANT rgpropvar[ ]);
void __RPC_STUB IPropertyStorage_ReadMultiple_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);
HRESULT STDMETHODCALLTYPE IPropertyStorage_WriteMultiple_Proxy( 
 IPropertyStorage * This,
 ULONG cpspec,
 const PROPSPEC rgpspec[ ],
 const PROPVARIANT rgpropvar[ ],
 PROPID propidNameFirst);
void __RPC_STUB IPropertyStorage_WriteMultiple_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);
HRESULT STDMETHODCALLTYPE IPropertyStorage_DeleteMultiple_Proxy( 
 IPropertyStorage * This,
 ULONG cpspec,
 const PROPSPEC rgpspec[ ]);
void __RPC_STUB IPropertyStorage_DeleteMultiple_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);
HRESULT STDMETHODCALLTYPE IPropertyStorage_ReadPropertyNames_Proxy( 
 IPropertyStorage * This,
 ULONG cpropid,
 const PROPID rgpropid[ ],
 LPOLESTR rglpwstrName[ ]);
void __RPC_STUB IPropertyStorage_ReadPropertyNames_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);
HRESULT STDMETHODCALLTYPE IPropertyStorage_WritePropertyNames_Proxy( 
 IPropertyStorage * This,
 ULONG cpropid,
 const PROPID rgpropid[ ],
 const LPOLESTR rglpwstrName[ ]);
void __RPC_STUB IPropertyStorage_WritePropertyNames_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);
HRESULT STDMETHODCALLTYPE IPropertyStorage_DeletePropertyNames_Proxy( 
 IPropertyStorage * This,
 ULONG cpropid,
 const PROPID rgpropid[ ]);
void __RPC_STUB IPropertyStorage_DeletePropertyNames_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);
HRESULT STDMETHODCALLTYPE IPropertyStorage_Commit_Proxy( 
 IPropertyStorage * This,
 DWORD grfCommitFlags);
void __RPC_STUB IPropertyStorage_Commit_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);
HRESULT STDMETHODCALLTYPE IPropertyStorage_Revert_Proxy( 
 IPropertyStorage * This);
void __RPC_STUB IPropertyStorage_Revert_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);
HRESULT STDMETHODCALLTYPE IPropertyStorage_Enum_Proxy( 
 IPropertyStorage * This,
 IEnumSTATPROPSTG * *ppenum);
void __RPC_STUB IPropertyStorage_Enum_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);
HRESULT STDMETHODCALLTYPE IPropertyStorage_SetTimes_Proxy( 
 IPropertyStorage * This,
 const FILETIME *pctime,
 const FILETIME *patime,
 const FILETIME *pmtime);
void __RPC_STUB IPropertyStorage_SetTimes_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);
HRESULT STDMETHODCALLTYPE IPropertyStorage_SetClass_Proxy( 
 IPropertyStorage * This,
 REFCLSID clsid);
void __RPC_STUB IPropertyStorage_SetClass_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);
HRESULT STDMETHODCALLTYPE IPropertyStorage_Stat_Proxy( 
 IPropertyStorage * This,
 STATPROPSETSTG *pstatpsstg);
void __RPC_STUB IPropertyStorage_Stat_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);
#endif 	
#ifndef __IPropertySetStorage_INTERFACE_DEFINED__
#define __IPropertySetStorage_INTERFACE_DEFINED__
 
typedef IPropertySetStorage *LPPROPERTYSETSTORAGE;
EXTERN_C const IID IID_IPropertySetStorage;
typedef struct IPropertySetStorageVtbl {
 BEGIN_INTERFACE
 HRESULT ( STDMETHODCALLTYPE *QueryInterface )( IPropertySetStorage * This, REFIID riid, void * *ppvObject);
 ULONG ( STDMETHODCALLTYPE *AddRef )( IPropertySetStorage * This); 
 ULONG ( STDMETHODCALLTYPE *Release )( IPropertySetStorage * This); 
 HRESULT ( STDMETHODCALLTYPE *Create )( IPropertySetStorage * This, REFFMTID rfmtid, const CLSID *pclsid, DWORD grfFlags, DWORD grfMode, IPropertyStorage * *ppprstg); 
 HRESULT ( STDMETHODCALLTYPE *Open )( IPropertySetStorage * This, REFFMTID rfmtid, DWORD grfMode, IPropertyStorage * *ppprstg);
 HRESULT ( STDMETHODCALLTYPE *Delete )( IPropertySetStorage * This, REFFMTID rfmtid);
 HRESULT ( STDMETHODCALLTYPE *Enum )( IPropertySetStorage * This, IEnumSTATPROPSETSTG * *ppenum);
 END_INTERFACE
} IPropertySetStorageVtbl;
interface IPropertySetStorage { CONST_VTBL struct IPropertySetStorageVtbl *lpVtbl; };
#ifdef COBJMACROS
#define IPropertySetStorage_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IPropertySetStorage_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IPropertySetStorage_Release(A) (A)->lpVtbl->Release(A)
#define IPropertySetStorage_Create(A,B,C,D,E,F) (A)->lpVtbl->Create(A,B,C,D,E,F)
#define IPropertySetStorage_Open(A,B,C,D) (A)->lpVtbl->Open(A,B,C,D)
#define IPropertySetStorage_Delete(A,B) (A)->lpVtbl->Delete(A,B)
#define IPropertySetStorage_Enum(A,B) (A)->lpVtbl->Enum(A,B)
#endif 	
HRESULT STDMETHODCALLTYPE IPropertySetStorage_Create_Proxy( 
 IPropertySetStorage * This,
 REFFMTID rfmtid,
 const CLSID *pclsid,
 DWORD grfFlags,
 DWORD grfMode,
 IPropertyStorage * *ppprstg);
void __RPC_STUB IPropertySetStorage_Create_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);
HRESULT STDMETHODCALLTYPE IPropertySetStorage_Open_Proxy( 
 IPropertySetStorage * This,
 REFFMTID rfmtid,
 DWORD grfMode,
 IPropertyStorage * *ppprstg);
void __RPC_STUB IPropertySetStorage_Open_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);
HRESULT STDMETHODCALLTYPE IPropertySetStorage_Delete_Proxy( 
 IPropertySetStorage * This,
 REFFMTID rfmtid);
void __RPC_STUB IPropertySetStorage_Delete_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);
HRESULT STDMETHODCALLTYPE IPropertySetStorage_Enum_Proxy( 
 IPropertySetStorage * This,
 IEnumSTATPROPSETSTG * *ppenum);
void __RPC_STUB IPropertySetStorage_Enum_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);
#endif 	
#ifndef __IEnumSTATPROPSTG_INTERFACE_DEFINED__
#define __IEnumSTATPROPSTG_INTERFACE_DEFINED__
 
typedef IEnumSTATPROPSTG *LPENUMSTATPROPSTG;
EXTERN_C const IID IID_IEnumSTATPROPSTG;
typedef struct IEnumSTATPROPSTGVtbl {
 BEGIN_INTERFACE
 
 HRESULT ( STDMETHODCALLTYPE *QueryInterface )( IEnumSTATPROPSTG * This, REFIID riid, void * *ppvObject);
 ULONG ( STDMETHODCALLTYPE *AddRef )( IEnumSTATPROPSTG * This); 
 ULONG ( STDMETHODCALLTYPE *Release )( IEnumSTATPROPSTG * This);
 HRESULT ( STDMETHODCALLTYPE *Next )( IEnumSTATPROPSTG * This, ULONG celt, STATPROPSTG *rgelt, ULONG *pceltFetched);
 HRESULT ( STDMETHODCALLTYPE *Skip )( IEnumSTATPROPSTG * This, ULONG celt);
 HRESULT ( STDMETHODCALLTYPE *Reset )( IEnumSTATPROPSTG * This); 
 HRESULT ( STDMETHODCALLTYPE *Clone )( IEnumSTATPROPSTG * This, IEnumSTATPROPSTG * *ppenum);
 END_INTERFACE
} IEnumSTATPROPSTGVtbl;
interface IEnumSTATPROPSTG { CONST_VTBL struct IEnumSTATPROPSTGVtbl *lpVtbl; };
#ifdef COBJMACROS
#define IEnumSTATPROPSTG_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IEnumSTATPROPSTG_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IEnumSTATPROPSTG_Release(A) (A)->lpVtbl->Release(A)
#define IEnumSTATPROPSTG_Next(A,B,C,D) (A)->lpVtbl->Next(A,B,C,D)
#define IEnumSTATPROPSTG_Skip(A,B) (A)->lpVtbl->Skip(A,B)
#define IEnumSTATPROPSTG_Reset(A) (A)->lpVtbl->Reset(A)
#define IEnumSTATPROPSTG_Clone(A,B) (A)->lpVtbl->Clone(A,B)
#endif 	
HRESULT STDMETHODCALLTYPE IEnumSTATPROPSTG_RemoteNext_Proxy( 
 IEnumSTATPROPSTG * This,
 ULONG celt,
 STATPROPSTG *rgelt,
 ULONG *pceltFetched);
void __RPC_STUB IEnumSTATPROPSTG_RemoteNext_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);
HRESULT STDMETHODCALLTYPE IEnumSTATPROPSTG_Skip_Proxy( 
 IEnumSTATPROPSTG * This,
 ULONG celt);
void __RPC_STUB IEnumSTATPROPSTG_Skip_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);
HRESULT STDMETHODCALLTYPE IEnumSTATPROPSTG_Reset_Proxy( 
 IEnumSTATPROPSTG * This);
void __RPC_STUB IEnumSTATPROPSTG_Reset_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);
HRESULT STDMETHODCALLTYPE IEnumSTATPROPSTG_Clone_Proxy( 
 IEnumSTATPROPSTG * This,
 IEnumSTATPROPSTG * *ppenum);
void __RPC_STUB IEnumSTATPROPSTG_Clone_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);
#endif 	
#ifndef __IEnumSTATPROPSETSTG_INTERFACE_DEFINED__
#define __IEnumSTATPROPSETSTG_INTERFACE_DEFINED__
 
typedef IEnumSTATPROPSETSTG *LPENUMSTATPROPSETSTG;
EXTERN_C const IID IID_IEnumSTATPROPSETSTG;
typedef struct IEnumSTATPROPSETSTGVtbl {
 BEGIN_INTERFACE
 
 HRESULT ( STDMETHODCALLTYPE *QueryInterface )( IEnumSTATPROPSETSTG * This, REFIID riid, void * *ppvObject);
 ULONG ( STDMETHODCALLTYPE *AddRef )( IEnumSTATPROPSETSTG * This);
 ULONG ( STDMETHODCALLTYPE *Release )( IEnumSTATPROPSETSTG * This);
 HRESULT ( STDMETHODCALLTYPE *Next )( IEnumSTATPROPSETSTG * This, ULONG celt, STATPROPSETSTG *rgelt, ULONG *pceltFetched); 
 HRESULT ( STDMETHODCALLTYPE *Skip )( IEnumSTATPROPSETSTG * This, ULONG celt);
 HRESULT ( STDMETHODCALLTYPE *Reset )( IEnumSTATPROPSETSTG * This);
 HRESULT ( STDMETHODCALLTYPE *Clone )( IEnumSTATPROPSETSTG * This, IEnumSTATPROPSETSTG * *ppenum);
 END_INTERFACE
} IEnumSTATPROPSETSTGVtbl;
interface IEnumSTATPROPSETSTG {struct IEnumSTATPROPSETSTGVtbl *lpVtbl; };
#define IEnumSTATPROPSETSTG_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IEnumSTATPROPSETSTG_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IEnumSTATPROPSETSTG_Release(A) (A)->lpVtbl->Release(A)
#define IEnumSTATPROPSETSTG_Next(A,B,C,D) (A)->lpVtbl->Next(A,B,C,D)
#define IEnumSTATPROPSETSTG_Skip(A,B) (A)->lpVtbl->Skip(A,B)
#define IEnumSTATPROPSETSTG_Reset(A) (A)->lpVtbl->Reset(A)
#define IEnumSTATPROPSETSTG_Clone(A,B) (A)->lpVtbl->Clone(A,B)
HRESULT STDMETHODCALLTYPE IEnumSTATPROPSETSTG_RemoteNext_Proxy( 
 IEnumSTATPROPSETSTG * This,
 ULONG celt,
 STATPROPSETSTG *rgelt,
 ULONG *pceltFetched);
void __RPC_STUB IEnumSTATPROPSETSTG_RemoteNext_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);
HRESULT STDMETHODCALLTYPE IEnumSTATPROPSETSTG_Skip_Proxy( 
 IEnumSTATPROPSETSTG * This,
 ULONG celt);
void __RPC_STUB IEnumSTATPROPSETSTG_Skip_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);
HRESULT STDMETHODCALLTYPE IEnumSTATPROPSETSTG_Reset_Proxy( 
 IEnumSTATPROPSETSTG * This);
void __RPC_STUB IEnumSTATPROPSETSTG_Reset_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);
HRESULT STDMETHODCALLTYPE IEnumSTATPROPSETSTG_Clone_Proxy( 
 IEnumSTATPROPSETSTG * This,
 IEnumSTATPROPSETSTG * *ppenum);
void __RPC_STUB IEnumSTATPROPSETSTG_Clone_Stub(
 IRpcStubBuffer *This,
 IRpcChannelBuffer *_pRpcChannelBuffer,
 PRPC_MESSAGE _pRpcMessage,
 DWORD *_pdwStubPhase);
#endif 	
 
typedef IPropertyStorage *LPPROPERTYSTORAGE;
WINOLEAPI PropVariantCopy ( PROPVARIANT * pvarDest, const PROPVARIANT * pvarSrc );
WINOLEAPI PropVariantClear ( PROPVARIANT * pvar );
WINOLEAPI FreePropVariantArray ( ULONG cVariants, PROPVARIANT * rgvars );
#define _PROPVARIANTINIT_DEFINED_
#define PropVariantInit(pvar) memset ( (pvar), 0, sizeof(PROPVARIANT) )
#ifndef _STGCREATEPROPSTG_DEFINED_
WINOLEAPI StgCreatePropStg( IUnknown* pUnk, REFFMTID fmtid, const CLSID *pclsid, DWORD grfFlags, DWORD dwReserved, IPropertyStorage **ppPropStg );
WINOLEAPI StgOpenPropStg( IUnknown* pUnk, REFFMTID fmtid, DWORD grfFlags, DWORD dwReserved, IPropertyStorage **ppPropStg );
WINOLEAPI StgCreatePropSetStg( IStorage *pStorage, DWORD dwReserved, IPropertySetStorage **ppPropSetStg);
#define CCH_MAX_PROPSTG_NAME 31
WINOLEAPI FmtIdToPropStgName( const FMTID *pfmtid, LPOLESTR oszName );
WINOLEAPI PropStgNameToFmtId( const LPOLESTR oszName, FMTID *pfmtid );
#endif
extern RPC_IF_HANDLE __MIDL_itf_propidl_0109_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_propidl_0109_v0_0_s_ifspec;
unsigned long __RPC_USER BSTR_UserSize( unsigned long *, unsigned long , BSTR * ); 
unsigned char * __RPC_USER BSTR_UserMarshal( unsigned long *, unsigned char *, BSTR * ); 
unsigned char * __RPC_USER BSTR_UserUnmarshal(unsigned long *, unsigned char *, BSTR * ); 
void __RPC_USER BSTR_UserFree( unsigned long *, BSTR * ); 
unsigned long __RPC_USER LPSAFEARRAY_UserSize( unsigned long *, unsigned long , LPSAFEARRAY * ); 
unsigned char * __RPC_USER LPSAFEARRAY_UserMarshal( unsigned long *, unsigned char *, LPSAFEARRAY * ); 
unsigned char * __RPC_USER LPSAFEARRAY_UserUnmarshal(unsigned long *, unsigned char *, LPSAFEARRAY * ); 
void __RPC_USER LPSAFEARRAY_UserFree( unsigned long *, LPSAFEARRAY * ); 
HRESULT STDMETHODCALLTYPE IEnumSTATPROPSTG_Next_Proxy( IEnumSTATPROPSTG * This, ULONG celt, STATPROPSTG *rgelt, ULONG *pceltFetched);
HRESULT STDMETHODCALLTYPE IEnumSTATPROPSTG_Next_Stub( IEnumSTATPROPSTG * This, ULONG celt, STATPROPSTG *rgelt, ULONG *pceltFetched);
HRESULT STDMETHODCALLTYPE IEnumSTATPROPSETSTG_Next_Proxy( IEnumSTATPROPSETSTG * This, ULONG celt, STATPROPSETSTG *rgelt, ULONG *pceltFetched);
HRESULT STDMETHODCALLTYPE IEnumSTATPROPSETSTG_Next_Stub( IEnumSTATPROPSETSTG * This, ULONG celt, STATPROPSETSTG *rgelt, ULONG *pceltFetched);
#endif
