#ifndef __random_h__
#define __random_h__
//
// Mersenne Twister random number generator:
//
void mt_init_genrand(unsigned long s);
void mt_init_by_array(unsigned long init_key[], int key_length);
//Generates 32 bit random
unsigned long genrand_int32(void);
// Generates 31 bit random
long genrand_int31(void);
// Generates a random number on [0,1]-real-interval
double genrand_real1(void);
/* generates a random number on [0,1)-real-interval */
double genrand_real2(void);
/* generates a random number on (0,1)-real-interval */
double genrand_real3(void);
/* generates a random number on [0,1) with 53-bit resolution*/
double genrand_res53(void);
#endif

