#ifndef __reason_h__
#define __reason_h__
#define SHTDN_REASON_FLAG_COMMENT_REQUIRED 0x1000000
#define SHTDN_REASON_FLAG_DIRTY_PROBLEM_ID_REQUIRED 0x2000000
#define SHTDN_REASON_FLAG_CLEAN_UI 0x4000000
#define SHTDN_REASON_FLAG_DIRTY_UI 0x8000000
#define SHTDN_REASON_FLAG_USER_DEFINED 0x40000000
#define SHTDN_REASON_FLAG_PLANNED 0x80000000
#define SHTDN_REASON_MAJOR_OTHER 0
#define SHTDN_REASON_MAJOR_NONE 0
#define SHTDN_REASON_MAJOR_HARDWARE 0x10000
#define SHTDN_REASON_MAJOR_OPERATINGSYSTEM 0x20000
#define SHTDN_REASON_MAJOR_SOFTWARE 0x30000
#define SHTDN_REASON_MAJOR_APPLICATION 0x40000
#define SHTDN_REASON_MAJOR_SYSTEM 0x50000
#define SHTDN_REASON_MAJOR_POWER 0x60000
#define SHTDN_REASON_MINOR_OTHER 0
#define SHTDN_REASON_MINOR_NONE 255
#define SHTDN_REASON_MINOR_MAINTENANCE 1
#define SHTDN_REASON_MINOR_INSTALLATION 2
#define SHTDN_REASON_MINOR_UPGRADE 3
#define SHTDN_REASON_MINOR_RECONFIG 4
#define SHTDN_REASON_MINOR_HUNG 5
#define SHTDN_REASON_MINOR_UNSTABLE 6
#define SHTDN_REASON_MINOR_DISK 7
#define SHTDN_REASON_MINOR_PROCESSOR 8
#define SHTDN_REASON_MINOR_NETWORKCARD 9
#define SHTDN_REASON_MINOR_POWER_SUPPLY 10
#define SHTDN_REASON_MINOR_CORDUNPLUGGED 11
#define SHTDN_REASON_MINOR_ENVIRONMENT 12
#define SHTDN_REASON_MINOR_HARDWARE_DRIVER 13
#define SHTDN_REASON_MINOR_OTHERDRIVER 14
#define SHTDN_REASON_MINOR_BLUESCREEN 15
#define SHTDN_REASON_UNKNOWN SHTDN_REASON_MINOR_NONE
#define SHTDN_REASON_VALID_BIT_MASK 0xc0ffffff
#define PCLEANUI (SHTDN_REASON_FLAG_PLANNED | SHTDN_REASON_FLAG_CLEAN_UI)
#define UCLEANUI (SHTDN_REASON_FLAG_CLEAN_UI)
#define UDIRTYUI (SHTDN_REASON_FLAG_DIRTY_UI)
#define MAX_REASON_NAME_LEN 64
#define MAX_REASON_DESC_LEN 256
#define MAX_REASON_BUGID_LEN 32
#define MAX_REASON_COMMENT_LEN 4096
#endif 
