#ifndef __REQUIRED_RPCNDR_H_VERSION__
#define __REQUIRED_RPCNDR_H_VERSION__ 440
#endif
#ifndef __RPC_H__
#include <rpc.h>
#endif
#ifndef __RPCNDR_H__
#include <rpcndr.h>
#endif
#ifndef __RPCNDR_H_VERSION__
#error this stub requires an updated version of <rpcndr.h>
#endif // __RPCNDR_H_VERSION__
#ifndef COM_NO_WINDOWS_H
#ifndef __windows_h__
#include "windows.h"
#endif
#ifndef __OLE2_H__
#include "ole2.h"
#endif
#endif 
#ifndef __servprov_h__
#define __servprov_h__
#ifndef __IServiceProvider_FWD_DEFINED__
#define __IServiceProvider_FWD_DEFINED__
typedef interface IServiceProvider IServiceProvider;
#endif 	
#ifndef __objidl_h__
#include "objidl.h"
#endif
void  * __RPC_USER MIDL_user_allocate(size_t);
void __RPC_USER MIDL_user_free( void  * ); 
#ifndef _LPSERVICEPROVIDER_DEFINED
#define _LPSERVICEPROVIDER_DEFINED
extern RPC_IF_HANDLE __MIDL_itf_servprov_0000_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_servprov_0000_v0_0_s_ifspec;
#ifndef __IServiceProvider_INTERFACE_DEFINED__
#define __IServiceProvider_INTERFACE_DEFINED__
typedef  IServiceProvider  *LPSERVICEPROVIDER;
EXTERN_C const IID IID_IServiceProvider;
#if defined(__cplusplus) && !defined(CINTERFACE)
#else   
typedef struct IServiceProviderVtbl {
        BEGIN_INTERFACE
        HRESULT ( STDMETHODCALLTYPE  *QueryInterface )( IServiceProvider  * This, REFIID riid, void  * *ppvObject);
        ULONG ( STDMETHODCALLTYPE  *AddRef )( IServiceProvider  * This);
        ULONG ( STDMETHODCALLTYPE  *Release )( IServiceProvider  * This);
        HRESULT ( STDMETHODCALLTYPE  *QueryService )( IServiceProvider  * This, REFGUID guidService, REFIID riid, void  * *ppvObject);
        END_INTERFACE
} IServiceProviderVtbl;
interface IServiceProvider { CONST_VTBL struct IServiceProviderVtbl  *lpVtbl; };
#ifdef COBJMACROS
#define IServiceProvider_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IServiceProvider_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IServiceProvider_Release(A) (A)->lpVtbl->Release(A)
#define IServiceProvider_QueryService(A,B,C,D) (A)->lpVtbl->QueryService(A,B,C,D)
#endif 
#endif 	
HRESULT STDMETHODCALLTYPE IServiceProvider_RemoteQueryService_Proxy( IServiceProvider  * This, REFGUID guidService, REFIID riid, IUnknown  * *ppvObject);
void __RPC_STUB IServiceProvider_RemoteQueryService_Stub( IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase);
#endif 	
#endif
extern RPC_IF_HANDLE __MIDL_itf_servprov_0083_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_servprov_0083_v0_0_s_ifspec;
HRESULT STDMETHODCALLTYPE IServiceProvider_QueryService_Proxy( IServiceProvider  * This, REFGUID guidService, REFIID riid, void  * *ppvObject);
HRESULT STDMETHODCALLTYPE IServiceProvider_QueryService_Stub( IServiceProvider  * This, REFGUID guidService, REFIID riid, IUnknown  * *ppvObject);
#endif
