#ifndef __REQUIRED_RPCNDR_H_VERSION__
#define __REQUIRED_RPCNDR_H_VERSION__ 475
#endif
#include "rpc.h"
#include "rpcndr.h"
#ifndef __RPCNDR_H_VERSION__
#error this stub requires an updated version of <rpcndr.h>
#endif 
#ifndef COM_NO_WINDOWS_H
#include "windows.h"
#include "ole2.h"
#endif 
#ifndef __wbemads_h__
#define __wbemads_h__
#ifndef __IWMIExtension_FWD_DEFINED__
#define __IWMIExtension_FWD_DEFINED__
typedef interface IWMIExtension IWMIExtension;
#endif 
#ifndef __WMIExtension_FWD_DEFINED__
#define __WMIExtension_FWD_DEFINED__
typedef struct WMIExtension WMIExtension;
#endif 
#ifndef __IWMIExtension_FWD_DEFINED__
#define __IWMIExtension_FWD_DEFINED__
typedef interface IWMIExtension IWMIExtension;
#endif 
#include "oaidl.h"
#include "ocidl.h"
#include "wbemdisp.h"
void * __RPC_USER MIDL_user_allocate(size_t);
void __RPC_USER MIDL_user_free(void *); 
#ifndef __WMIEXTENSIONLib_LIBRARY_DEFINED__
#define __WMIEXTENSIONLib_LIBRARY_DEFINED__
EXTERN_C const IID LIBID_WMIEXTENSIONLib;
#ifndef __IWMIExtension_INTERFACE_DEFINED__
#define __IWMIExtension_INTERFACE_DEFINED__
EXTERN_C const IID IID_IWMIExtension;
typedef struct IWMIExtensionVtbl
{
 BEGIN_INTERFACE
 HRESULT (_stdcall *QueryInterface)(IWMIExtension *,REFIID,void **);
 ULONG (_stdcall *AddRef)(IWMIExtension *);
 ULONG (_stdcall *Release)(IWMIExtension *);
 HRESULT (_stdcall *GetTypeInfoCount)(IWMIExtension *,UINT *);
 HRESULT (_stdcall *GetTypeInfo)(IWMIExtension *,UINT,LCID,ITypeInfo **);
 HRESULT (_stdcall *GetIDsOfNames)(IWMIExtension *,REFIID,LPOLESTR *,UINT,LCID,DISPID *);
 HRESULT (_stdcall *Invoke)(IWMIExtension *,DISPID,REFIID,LCID,WORD,DISPPARAMS *,VARIANT *,EXCEPINFO *,UINT *);
 HRESULT (_stdcall *get_WMIObjectPath)(IWMIExtension *,BSTR *);
 HRESULT (_stdcall *GetWMIObject)(IWMIExtension *,ISWbemObject **);
 HRESULT (_stdcall *GetWMIServices)(IWMIExtension *,ISWbemServices **);
END_INTERFACE
} IWMIExtensionVtbl;
interface IWMIExtension
{
CONST_VTBL struct IWMIExtensionVtbl *lpVtbl;
};
#ifdef COBJMACROS
#define IWMIExtension_QueryInterface(A,B,C) (A)->lpVtbl->QueryInterface(A,B,C)
#define IWMIExtension_AddRef(A) (A)->lpVtbl->AddRef(A)
#define IWMIExtension_Release(A) (A)->lpVtbl->Release(A)
#define IWMIExtension_GetTypeInfoCount(A,B) (A)->lpVtbl->GetTypeInfoCount(A,B)
#define IWMIExtension_GetTypeInfo(A,B,C,D) (A)->lpVtbl->GetTypeInfo(A,B,C,D)
#define IWMIExtension_GetIDsOfNames(A,B,C,D,E,F) (A)->lpVtbl->GetIDsOfNames(A,B,C,D,E,F)
#define IWMIExtension_Invoke(A,B,C,D,E,F,G,H,I) (A)->lpVtbl->Invoke(A,B,C,D,E,F,G,H,I)
#define IWMIExtension_get_WMIObjectPath(A,B) (A)->lpVtbl->get_WMIObjectPath(A,B)
#define IWMIExtension_GetWMIObject(A,B) (A)->lpVtbl->GetWMIObject(A,B)
#define IWMIExtension_GetWMIServices(A,B) (A)->lpVtbl->GetWMIServices(A,B)
#endif 
HRESULT _stdcall IWMIExtension_get_WMIObjectPath_Proxy(IWMIExtension *,BSTR *);
void __RPC_STUB IWMIExtension_get_WMIObjectPath_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IWMIExtension_GetWMIObject_Proxy(IWMIExtension *,ISWbemObject **);
void __RPC_STUB IWMIExtension_GetWMIObject_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
HRESULT _stdcall IWMIExtension_GetWMIServices_Proxy(IWMIExtension *,ISWbemServices **);
void __RPC_STUB IWMIExtension_GetWMIServices_Stub(IRpcStubBuffer *,IRpcChannelBuffer *,PRPC_MESSAGE ,DWORD *);
#endif 
EXTERN_C const CLSID CLSID_WMIExtension;
#endif 
unsigned long __RPC_USER BSTR_UserSize(unsigned long *,unsigned ,BSTR *); 
unsigned char * __RPC_USER BSTR_UserMarshal(unsigned long *,unsigned char *,BSTR *); 
unsigned char * __RPC_USER BSTR_UserUnmarshal(unsigned long *,unsigned char *,BSTR *); 
void __RPC_USER BSTR_UserFree(unsigned long *,BSTR *); 
#endif
