#ifndef	__winfax_h__
#define	__winfax_h__
#ifndef	MIDL_PASS
#include	<tapi.h>
#endif
#define	FAXLOG_LEVEL_NONE 0
#define	FAXLOG_LEVEL_MIN 1
#define	FAXLOG_LEVEL_MED 2
#define	FAXLOG_LEVEL_MAX 3
#define	FAXLOG_CATEGORY_INIT 1
#define	FAXLOG_CATEGORY_OUTBOUND 2
#define	FAXLOG_CATEGORY_INBOUND 3
#define	FAXLOG_CATEGORY_UNKNOWN 4
typedef	struct _FAX_LOG_CATEGORYA {
	LPCSTR Name; 
	DWORD Category; 
	DWORD Level; 
}	FAX_LOG_CATEGORYA,*PFAX_LOG_CATEGORYA;
typedef	struct _FAX_LOG_CATEGORYW {
	LPCWSTR Name; 
	DWORD Category; 
	DWORD Level; 
}	FAX_LOG_CATEGORYW,*PFAX_LOG_CATEGORYW;
typedef	struct _FAX_TIME {
	WORD Hour;
	WORD Minute;
}	FAX_TIME,*PFAX_TIME;
typedef	struct _FAX_CONFIGURATIONA {
	DWORD SizeOfStruct; 
	DWORD Retries; 
	DWORD RetryDelay; 
	DWORD DirtyDays; 
	BOOL Branding; 
	BOOL UseDeviceTsid; 
	BOOL ServerCp; 
	BOOL PauseServerQueue; 
	FAX_TIME StartCheapTime; 
	FAX_TIME StopCheapTime; 
	BOOL ArchiveOutgoingFaxes; 
	LPCSTR ArchiveDirectory; 
	LPCSTR InboundProfile; 
}	FAX_CONFIGURATIONA,*PFAX_CONFIGURATIONA;
typedef	struct _FAX_CONFIGURATIONW {
	DWORD SizeOfStruct; 
	DWORD Retries; 
	DWORD RetryDelay; 
	DWORD DirtyDays; 
	BOOL Branding; 
	BOOL UseDeviceTsid; 
	BOOL ServerCp; 
	BOOL PauseServerQueue; 
	FAX_TIME StartCheapTime; 
	FAX_TIME StopCheapTime; 
	BOOL ArchiveOutgoingFaxes; 
	LPCWSTR ArchiveDirectory; 
	LPCWSTR InboundProfile; 
}	FAX_CONFIGURATIONW,*PFAX_CONFIGURATIONW;
#define	JC_UNKNOWN 0
#define	JC_DELETE 1
#define	JC_PAUSE 2
#define	JC_RESUME 3
#define	JC_RESTART JC_RESUME
#define	JT_UNKNOWN 0
#define	JT_SEND 1
#define	JT_RECEIVE 2
#define	JT_ROUTING 3
#define	JT_FAIL_RECEIVE 4
#define	JS_PENDING 0x00000000
#define	JS_INPROGRESS 0x00000001
#define	JS_DELETING 0x00000002
#define	JS_FAILED 0x00000004
#define	JS_PAUSED 0x00000008
#define	JS_NOLINE 0x00000010
#define	JS_RETRYING 0x00000020
#define	JS_RETRIES_EXCEEDED 0x00000040
typedef	struct _FAX_DEVICE_STATUSA {
	DWORD SizeOfStruct; 
	LPCSTR CallerId; 
	LPCSTR Csid; 
	DWORD CurrentPage; 
	DWORD DeviceId; 
	LPCSTR DeviceName; 
	LPCSTR DocumentName; 
	DWORD JobType; 
	LPCSTR PhoneNumber; 
	LPCSTR RoutingString; 
	LPCSTR SenderName; 
	LPCSTR RecipientName; 
	DWORD Size; 
	FILETIME StartTime; 
	DWORD Status; 
	LPCSTR StatusString; 
	FILETIME SubmittedTime; 
	DWORD TotalPages; 
	LPCSTR Tsid; 
	LPCSTR UserName; 
}	FAX_DEVICE_STATUSA,*PFAX_DEVICE_STATUSA;
typedef	struct _FAX_DEVICE_STATUSW {
	DWORD SizeOfStruct; 
	LPCWSTR CallerId; 
	LPCWSTR Csid; 
	DWORD CurrentPage; 
	DWORD DeviceId; 
	LPCWSTR DeviceName; 
	LPCWSTR DocumentName; 
	DWORD JobType; 
	LPCWSTR PhoneNumber; 
	LPCWSTR RoutingString; 
	LPCWSTR SenderName; 
	LPCWSTR RecipientName; 
	DWORD Size; 
	FILETIME StartTime; 
	DWORD Status; 
	LPCWSTR StatusString; 
	FILETIME SubmittedTime; 
	DWORD TotalPages; 
	LPCWSTR Tsid; 
	LPCWSTR UserName; 
}	FAX_DEVICE_STATUSW,*PFAX_DEVICE_STATUSW;
typedef	struct _FAX_JOB_ENTRYA {
	DWORD SizeOfStruct; 
	DWORD JobId; 
	LPCSTR UserName; 
	DWORD JobType; 
	DWORD QueueStatus; 
	DWORD Status; 
	DWORD Size; 
	DWORD PageCount; 
	LPCSTR RecipientNumber; 
	LPCSTR RecipientName; 
	LPCSTR Tsid; 
	LPCSTR SenderName; 
	LPCSTR SenderCompany; 
	LPCSTR SenderDept; 
	LPCSTR BillingCode; 
	DWORD ScheduleAction; 
	SYSTEMTIME ScheduleTime; 
	DWORD DeliveryReportType; 
	LPCSTR DeliveryReportAddress; 
	LPCSTR DocumentName; 
}	FAX_JOB_ENTRYA,*PFAX_JOB_ENTRYA;
typedef	struct _FAX_JOB_ENTRYW {
	DWORD SizeOfStruct; 
	DWORD JobId; 
	LPCWSTR UserName; 
	DWORD JobType; 
	DWORD QueueStatus; 
	DWORD Status; 
	DWORD Size; 
	DWORD PageCount; 
	LPCWSTR RecipientNumber; 
	LPCWSTR RecipientName; 
	LPCWSTR Tsid; 
	LPCWSTR SenderName; 
	LPCWSTR SenderCompany; 
	LPCWSTR SenderDept; 
	LPCWSTR BillingCode; 
	DWORD ScheduleAction; 
	SYSTEMTIME ScheduleTime; 
	DWORD DeliveryReportType; 
	LPCWSTR DeliveryReportAddress; 
	LPCWSTR DocumentName; 
}	FAX_JOB_ENTRYW,*PFAX_JOB_ENTRYW;
#define	FPS_DIALING 0x20000001
#define	FPS_SENDING 0x20000002
#define	FPS_RECEIVING 0x20000004
#define	FPS_COMPLETED 0x20000008
#define	FPS_HANDLED 0x20000010
#define	FPS_UNAVAILABLE 0x20000020
#define	FPS_BUSY 0x20000040
#define	FPS_NO_ANSWER 0x20000080
#define	FPS_BAD_ADDRESS 0x20000100
#define	FPS_NO_DIAL_TONE 0x20000200
#define	FPS_DISCONNECTED 0x20000400
#define	FPS_FATAL_ERROR 0x20000800
#define	FPS_NOT_FAX_CALL 0x20001000
#define	FPS_CALL_DELAYED 0x20002000
#define	FPS_CALL_BLACKLISTED 0x20004000
#define	FPS_INITIALIZING 0x20008000
#define	FPS_OFFLINE 0x20010000
#define	FPS_RINGING 0x20020000
#define	FPS_AVAILABLE 0x20100000
#define	FPS_ABORTING 0x20200000
#define	FPS_ROUTING 0x20400000
#define	FPS_ANSWERED 0x20800000
#define	FPF_RECEIVE 0x00000001
#define	FPF_SEND 0x00000002
#define	FPF_VIRTUAL 0x00000004
typedef	struct _FAX_PORT_INFOA {
	DWORD SizeOfStruct; 
	DWORD DeviceId; 
	DWORD State; 
	DWORD Flags; 
	DWORD Rings; 
	DWORD Priority; 
	LPCSTR DeviceName; 
	LPCSTR Tsid; 
	LPCSTR Csid; 
}	FAX_PORT_INFOA,*PFAX_PORT_INFOA;
typedef	struct _FAX_PORT_INFOW {
	DWORD SizeOfStruct; 
	DWORD DeviceId; 
	DWORD State; 
	DWORD Flags; 
	DWORD Rings; 
	DWORD Priority; 
	LPCWSTR DeviceName; 
	LPCWSTR Tsid; 
	LPCWSTR Csid; 
}	FAX_PORT_INFOW,*PFAX_PORT_INFOW;
typedef	struct _FAX_ROUTING_METHODA {
	DWORD SizeOfStruct; 
	DWORD DeviceId; 
	BOOL Enabled; 
	LPCSTR DeviceName; 
	LPCSTR Guid; 
	LPCSTR FriendlyName; 
	LPCSTR FunctionName; 
	LPCSTR ExtensionImageName; 
	LPCSTR ExtensionFriendlyName; 
}	FAX_ROUTING_METHODA,*PFAX_ROUTING_METHODA;
typedef	struct _FAX_ROUTING_METHODW {
	DWORD SizeOfStruct; 
	DWORD DeviceId; 
	BOOL Enabled; 
	LPCWSTR DeviceName; 
	LPCWSTR Guid; 
	LPCWSTR FriendlyName; 
	LPCWSTR FunctionName; 
	LPCWSTR ExtensionImageName; 
	LPCWSTR ExtensionFriendlyName; 
}	FAX_ROUTING_METHODW,*PFAX_ROUTING_METHODW;
typedef	struct _FAX_GLOBAL_ROUTING_INFOA {
	DWORD SizeOfStruct; 
	DWORD Priority; 
	LPCSTR Guid; 
	LPCSTR FriendlyName; 
	LPCSTR FunctionName; 
	LPCSTR ExtensionImageName; 
	LPCSTR ExtensionFriendlyName; 
}	FAX_GLOBAL_ROUTING_INFOA,*PFAX_GLOBAL_ROUTING_INFOA;
typedef	struct _FAX_GLOBAL_ROUTING_INFOW {
	DWORD SizeOfStruct; 
	DWORD Priority; 
	LPCWSTR Guid; 
	LPCWSTR FriendlyName; 
	LPCWSTR FunctionName; 
	LPCWSTR ExtensionImageName; 
	LPCWSTR ExtensionFriendlyName; 
}	FAX_GLOBAL_ROUTING_INFOW,*PFAX_GLOBAL_ROUTING_INFOW;
typedef	struct _FAX_COVERPAGE_INFOA {
	DWORD SizeOfStruct; 
	LPCSTR CoverPageName; 
	BOOL UseServerCoverPage; 
	LPCSTR RecName; 
	LPCSTR RecFaxNumber; 
	LPCSTR RecCompany; 
	LPCSTR RecStreetAddress; 
	LPCSTR RecCity; 
	LPCSTR RecState; 
	LPCSTR RecZip; 
	LPCSTR RecCountry; 
	LPCSTR RecTitle; 
	LPCSTR RecDepartment; 
	LPCSTR RecOfficeLocation; 
	LPCSTR RecHomePhone; 
	LPCSTR RecOfficePhone; 
	LPCSTR SdrName; 
	LPCSTR SdrFaxNumber; 
	LPCSTR SdrCompany; 
	LPCSTR SdrAddress; 
	LPCSTR SdrTitle; 
	LPCSTR SdrDepartment; 
	LPCSTR SdrOfficeLocation; 
	LPCSTR SdrHomePhone; 
	LPCSTR SdrOfficePhone; 
	LPCSTR Note; 
	LPCSTR Subject; 
	SYSTEMTIME TimeSent; 
	DWORD PageCount; 
}	FAX_COVERPAGE_INFOA,*PFAX_COVERPAGE_INFOA;
typedef	struct _FAX_COVERPAGE_INFOW {
	DWORD SizeOfStruct; 
	LPCWSTR CoverPageName; 
	BOOL UseServerCoverPage; 
	LPCWSTR RecName; 
	LPCWSTR RecFaxNumber; 
	LPCWSTR RecCompany; 
	LPCWSTR RecStreetAddress; 
	LPCWSTR RecCity; 
	LPCWSTR RecState; 
	LPCWSTR RecZip; 
	LPCWSTR RecCountry; 
	LPCWSTR RecTitle; 
	LPCWSTR RecDepartment; 
	LPCWSTR RecOfficeLocation; 
	LPCWSTR RecHomePhone; 
	LPCWSTR RecOfficePhone; 
	LPCWSTR SdrName; 
	LPCWSTR SdrFaxNumber; 
	LPCWSTR SdrCompany; 
	LPCWSTR SdrAddress; 
	LPCWSTR SdrTitle; 
	LPCWSTR SdrDepartment; 
	LPCWSTR SdrOfficeLocation; 
	LPCWSTR SdrHomePhone; 
	LPCWSTR SdrOfficePhone; 
	LPCWSTR Note; 
	LPCWSTR Subject; 
	SYSTEMTIME TimeSent; 
	DWORD PageCount; 
}	FAX_COVERPAGE_INFOW,*PFAX_COVERPAGE_INFOW;
#ifdef	UNICODE
typedef	FAX_LOG_CATEGORYW FAX_LOG_CATEGORY;
typedef	PFAX_LOG_CATEGORYW PFAX_LOG_CATEGORY;
typedef	FAX_CONFIGURATIONW FAX_CONFIGURATION;
typedef	PFAX_CONFIGURATIONW PFAX_CONFIGURATION;
typedef	FAX_DEVICE_STATUSW FAX_DEVICE_STATUS;
typedef	PFAX_DEVICE_STATUSW PFAX_DEVICE_STATUS;
typedef	FAX_JOB_ENTRYW FAX_JOB_ENTRY;
typedef	PFAX_JOB_ENTRYW PFAX_JOB_ENTRY;
typedef	FAX_PORT_INFOW FAX_PORT_INFO;
typedef	PFAX_PORT_INFOW PFAX_PORT_INFO;
typedef	FAX_COVERPAGE_INFOW FAX_COVERPAGE_INFO;
typedef	PFAX_COVERPAGE_INFOW PFAX_COVERPAGE_INFO;
typedef	FAX_GLOBAL_ROUTING_INFOW FAX_GLOBAL_ROUTING_INFO;
typedef	PFAX_GLOBAL_ROUTING_INFOW PFAX_GLOBAL_ROUTING_INFO;
typedef	FAX_ROUTING_METHODW FAX_ROUTING_METHOD;
typedef	PFAX_ROUTING_METHODW PFAX_ROUTING_METHOD;
#else
typedef	FAX_LOG_CATEGORYA FAX_LOG_CATEGORY;
typedef	PFAX_LOG_CATEGORYA PFAX_LOG_CATEGORY;
typedef	FAX_CONFIGURATIONA FAX_CONFIGURATION;
typedef	PFAX_CONFIGURATIONA PFAX_CONFIGURATION;
typedef	FAX_DEVICE_STATUSA FAX_DEVICE_STATUS;
typedef	PFAX_DEVICE_STATUSA PFAX_DEVICE_STATUS;
typedef	FAX_JOB_ENTRYA FAX_JOB_ENTRY;
typedef	PFAX_JOB_ENTRYA PFAX_JOB_ENTRY;
typedef	FAX_PORT_INFOA FAX_PORT_INFO;
typedef	PFAX_PORT_INFOA PFAX_PORT_INFO;
typedef	FAX_COVERPAGE_INFOA FAX_COVERPAGE_INFO;
typedef	PFAX_COVERPAGE_INFOA PFAX_COVERPAGE_INFO;
typedef	FAX_GLOBAL_ROUTING_INFOA FAX_GLOBAL_ROUTING_INFO;
typedef	PFAX_GLOBAL_ROUTING_INFOA PFAX_GLOBAL_ROUTING_INFO;
typedef	FAX_ROUTING_METHODA FAX_ROUTING_METHOD;
typedef	PFAX_ROUTING_METHODA PFAX_ROUTING_METHOD;
#endif	
#define	JSA_NOW 0
#define	JSA_SPECIFIC_TIME 1
#define	JSA_DISCOUNT_PERIOD 2
#define	DRT_NONE 0
#define	DRT_EMAIL 1
#define	DRT_INBOX 2
typedef	struct _FAX_JOB_PARAMA {
	DWORD SizeOfStruct; 
	LPCSTR RecipientNumber; 
	LPCSTR RecipientName; 
	LPCSTR Tsid; 
	LPCSTR SenderName; 
	LPCSTR SenderCompany; 
	LPCSTR SenderDept; 
	LPCSTR BillingCode; 
	DWORD ScheduleAction; 
	SYSTEMTIME ScheduleTime; 
	DWORD DeliveryReportType; 
	LPCSTR DeliveryReportAddress; 
	LPCSTR DocumentName; 
	HCALL CallHandle; 
	DWORD Reserved[3]; 
}	FAX_JOB_PARAMA,*PFAX_JOB_PARAMA;
typedef	struct _FAX_JOB_PARAMW {
	DWORD SizeOfStruct; 
	LPCWSTR RecipientNumber; 
	LPCWSTR RecipientName; 
	LPCWSTR Tsid; 
	LPCWSTR SenderName; 
	LPCWSTR SenderCompany; 
	LPCWSTR SenderDept; 
	LPCWSTR BillingCode; 
	DWORD ScheduleAction; 
	SYSTEMTIME ScheduleTime; 
	DWORD DeliveryReportType; 
	LPCWSTR DeliveryReportAddress; 
	LPCWSTR DocumentName; 
	HCALL CallHandle; 
	DWORD Reserved[3]; 
}	FAX_JOB_PARAMW,*PFAX_JOB_PARAMW;
#define	FEI_DIALING 1
#define	FEI_SENDING 2
#define	FEI_RECEIVING 3
#define	FEI_COMPLETED 4
#define	FEI_BUSY 5
#define	FEI_NO_ANSWER 6
#define	FEI_BAD_ADDRESS 7
#define	FEI_NO_DIAL_TONE 8
#define	FEI_DISCONNECTED 9
#define	FEI_FATAL_ERROR 0xa
#define	FEI_NOT_FAX_CALL 0xb
#define	FEI_CALL_DELAYED 0xc
#define	FEI_CALL_BLACKLISTED 0xd
#define	FEI_RINGING 0xe
#define	FEI_ABORTING 0xf
#define	FEI_ROUTING 0x10
#define	FEI_MODEM_POWERED_ON 0x11
#define	FEI_MODEM_POWERED_OFF 0x12
#define	FEI_IDLE 0x13
#define	FEI_FAXSVC_ENDED 0x14
#define	FEI_ANSWERED 0x15
#define	FEI_JOB_QUEUED 0x16
#define	FEI_DELETED 0x17
#define	FEI_FAXSVC_STARTED 0x18
#define	FEI_NEVENTS FEI_FAXSVC_STARTED
typedef	struct _FAX_EVENTA {
	DWORD SizeOfStruct; 
	FILETIME TimeStamp; 
	DWORD DeviceId; 
	DWORD EventId; 
	DWORD JobId; 
}	FAX_EVENTA,*PFAX_EVENTA;
typedef	struct _FAX_EVENTW {
	DWORD SizeOfStruct; 
	FILETIME TimeStamp; 
	DWORD DeviceId; 
	DWORD EventId; 
	DWORD JobId; 
}	FAX_EVENTW,*PFAX_EVENTW;
typedef	struct _FAX_PRINT_INFOA {
	DWORD SizeOfStruct; 
	LPCSTR DocName; 
	LPCSTR RecipientName; 
	LPCSTR RecipientNumber; 
	LPCSTR SenderName; 
	LPCSTR SenderCompany; 
	LPCSTR SenderDept; 
	LPCSTR SenderBillingCode; 
	LPCSTR DrProfileName; 
	LPCSTR DrEmailAddress; 
	LPCSTR OutputFileName; 
}	FAX_PRINT_INFOA,*PFAX_PRINT_INFOA;
typedef	struct _FAX_PRINT_INFOW {
	DWORD SizeOfStruct; 
	LPCWSTR DocName; 
	LPCWSTR RecipientName; 
	LPCWSTR RecipientNumber; 
	LPCWSTR SenderName; 
	LPCWSTR SenderCompany; 
	LPCWSTR SenderDept; 
	LPCWSTR SenderBillingCode; 
	LPCWSTR DrProfileName; 
	LPCWSTR DrEmailAddress; 
	LPCWSTR OutputFileName; 
}	FAX_PRINT_INFOW,*PFAX_PRINT_INFOW;
typedef	struct _FAX_CONTEXT_INFOA {
	DWORD SizeOfStruct; 
	HDC hDC; 
	CHAR ServerName[MAX_COMPUTERNAME_LENGTH+1]; 
}	FAX_CONTEXT_INFOA,*PFAX_CONTEXT_INFOA;
typedef	struct _FAX_CONTEXT_INFOW {
	DWORD SizeOfStruct; 
	HDC hDC; 
	WCHAR ServerName[MAX_COMPUTERNAME_LENGTH+1]; 
}	FAX_CONTEXT_INFOW,*PFAX_CONTEXT_INFOW;
#ifdef	UNICODE
typedef	FAX_JOB_PARAMW FAX_JOB_PARAM;
typedef	PFAX_JOB_PARAMW PFAX_JOB_PARAM;
typedef	FAX_EVENTW FAX_EVENT;
typedef	PFAX_EVENTW PFAX_EVENT;
typedef	FAX_PRINT_INFOW FAX_PRINT_INFO;
typedef	PFAX_PRINT_INFOW PFAX_PRINT_INFO;
typedef	FAX_CONTEXT_INFOW FAX_CONTEXT_INFO;
typedef	PFAX_CONTEXT_INFOW PFAX_CONTEXT_INFO;
#else
typedef	FAX_JOB_PARAMA FAX_JOB_PARAM;
typedef	PFAX_JOB_PARAMA PFAX_JOB_PARAM;
typedef	FAX_EVENTA FAX_EVENT;
typedef	PFAX_EVENTA PFAX_EVENT;
typedef	FAX_PRINT_INFOA FAX_PRINT_INFO;
typedef	PFAX_PRINT_INFOA PFAX_PRINT_INFO;
typedef	FAX_CONTEXT_INFOA FAX_CONTEXT_INFO;
typedef	PFAX_CONTEXT_INFOA PFAX_CONTEXT_INFO;
#endif	
#define	FAX_JOB_SUBMIT (0x0001)
#define	FAX_JOB_QUERY (0x0002)
#define	FAX_CONFIG_QUERY (0x0004)
#define	FAX_CONFIG_SET (0x0008)
#define	FAX_PORT_QUERY (0x0010)
#define	FAX_PORT_SET (0x0020)
#define	FAX_JOB_MANAGE (0x0040)
#define	FAX_READ (STANDARD_RIGHTS_READ|FAX_JOB_QUERY|FAX_CONFIG_QUERY|FAX_PORT_QUERY)
#define	FAX_WRITE (STANDARD_RIGHTS_WRITE |FAX_JOB_SUBMIT)
#define	FAX_ALL_ACCESS (STANDARD_RIGHTS_ALL |FAX_JOB_SUBMIT |FAX_JOB_QUERY |FAX_CONFIG_QUERY |FAX_CONFIG_SET |FAX_PORT_QUERY |FAX_PORT_SET |FAX_JOB_MANAGE)
typedef	BOOL (WINAPI *P)();
BOOL WINAPI FaxConnectFaxServerA(LPCSTR MachineName,LPHANDLE FaxHandle);
BOOL WINAPI FaxConnectFaxServerW(LPCWSTR MachineName,LPHANDLE FaxHandle);
typedef	BOOL (WINAPI *PFAXCONNECTFAXSERVERA)(LPCSTR MachineName,LPHANDLE FaxHandle);
typedef	BOOL (WINAPI *PFAXCONNECTFAXSERVERW)(LPCWSTR MachineName,LPHANDLE FaxHandle);
BOOL WINAPI FaxClose(HANDLE);
typedef	BOOL (WINAPI *PFAXCLOSE)(HANDLE);
BOOL WINAPI FaxAccessCheck(HANDLE,DWORD);
typedef	BOOL (WINAPI *PFAXACCESSCHECK)(HANDLE,DWORD);
#define	PORT_OPEN_QUERY 0x00000001
#define	PORT_OPEN_MODIFY 0x00000002
BOOL WINAPI FaxOpenPort(HANDLE,DWORD,DWORD,LPHANDLE);
typedef	BOOL (WINAPI *PFAXOPENPORT)(HANDLE,DWORD,DWORD,LPHANDLE);
BOOL WINAPI FaxCompleteJobParamsA(PFAX_JOB_PARAMA *,PFAX_COVERPAGE_INFOA *);
BOOL WINAPI FaxCompleteJobParamsW(PFAX_JOB_PARAMW *,PFAX_COVERPAGE_INFOW *);
typedef	BOOL (WINAPI *PFAXCOMPLETEJOBPARAMSA)(PFAX_JOB_PARAMA *,PFAX_COVERPAGE_INFOA *);
typedef	BOOL (WINAPI *PFAXCOMPLETEJOBPARAMSW)(PFAX_JOB_PARAMW *,PFAX_COVERPAGE_INFOW *);
BOOL WINAPI FaxSendDocumentA(HANDLE,LPCSTR,PFAX_JOB_PARAMA,const FAX_COVERPAGE_INFOA *,LPDWORD);
BOOL WINAPI FaxSendDocumentW(HANDLE,LPCWSTR,PFAX_JOB_PARAMW,const FAX_COVERPAGE_INFOW *,LPDWORD);
typedef	BOOL (WINAPI *PFAXSENDDOCUMENTA)(HANDLE,LPCSTR,PFAX_JOB_PARAMA,const FAX_COVERPAGE_INFOA *,LPDWORD);
typedef	BOOL (WINAPI *PFAXSENDDOCUMENTW)(HANDLE,LPCWSTR,PFAX_JOB_PARAMW,const FAX_COVERPAGE_INFOW *,LPDWORD);
typedef	BOOL (CALLBACK	*PFAX_RECIPIENT_CALLBACKA)(HANDLE,DWORD,LPVOID,PFAX_JOB_PARAMA,PFAX_COVERPAGE_INFOA);
typedef	BOOL (CALLBACK	*PFAX_RECIPIENT_CALLBACKW)(HANDLE,DWORD,LPVOID,PFAX_JOB_PARAMW,PFAX_COVERPAGE_INFOW);
BOOL WINAPI FaxSendDocumentForBroadcastA(HANDLE,LPCSTR,LPDWORD,PFAX_RECIPIENT_CALLBACKA,LPVOID);
BOOL WINAPI FaxSendDocumentForBroadcastW(HANDLE,LPCWSTR,LPDWORD,PFAX_RECIPIENT_CALLBACKW,LPVOID);
typedef	BOOL (WINAPI *PFAXSENDDOCUMENTFORBROADCASTA)(HANDLE,LPCSTR,LPDWORD,PFAX_RECIPIENT_CALLBACKA,LPVOID);
typedef	BOOL (WINAPI *PFAXSENDDOCUMENTFORBROADCASTW)(HANDLE,LPCWSTR,LPDWORD,PFAX_RECIPIENT_CALLBACKW,LPVOID);
BOOL WINAPI FaxEnumJobsA(HANDLE,PFAX_JOB_ENTRYA *,LPDWORD);
BOOL WINAPI FaxEnumJobsW(HANDLE,PFAX_JOB_ENTRYW *,LPDWORD);
typedef	BOOL (WINAPI *PFAXENUMJOBSA)(HANDLE, PFAX_JOB_ENTRYA *,LPDWORD);
typedef	BOOL (WINAPI *PFAXENUMJOBSW)(HANDLE,PFAX_JOB_ENTRYW *,LPDWORD);
#ifdef	UNICODE
#define	PFAXCONNECTFAXSERVER PFAXCONNECTFAXSERVERW
#define	FaxConnectFaxServer FaxConnectFaxServerW
#define	FaxCompleteJobParams FaxCompleteJobParamsW
#define	PFAXCOMPLETEJOBPARAMS PFAXCOMPLETEJOBPARAMSW
#define	FaxSendDocument FaxSendDocumentW
#define	PFAXSENDDOCUMENT PFAXSENDDOCUMENTW
#define	PFAX_RECIPIENT_CALLBACK PFAX_RECIPIENT_CALLBACKW
#define	FaxSendDocumentForBroadcast FaxSendDocumentForBroadcastW
#define	PFAXSENDDOCUMENTFORBROADCAST PFAXSENDDOCUMENTFORBROADCASTW
#define	FaxEnumJobs FaxEnumJobsW
#define	PFAXENUMJOBS PFAXENUMJOBSW
#else
#define	PFAXCONNECTFAXSERVER PFAXCONNECTFAXSERVERA
#define	FaxConnectFaxServer FaxConnectFaxServerA
#define	FaxCompleteJobParams FaxCompleteJobParamsA
#define	PFAXCOMPLETEJOBPARAMS PFAXCOMPLETEJOBPARAMSA
#define	FaxSendDocument FaxSendDocumentA
#define	PFAXSENDDOCUMENT PFAXSENDDOCUMENTA
#define	PFAX_RECIPIENT_CALLBACK PFAX_RECIPIENT_CALLBACKA
#define	FaxSendDocumentForBroadcast FaxSendDocumentForBroadcastA
#define	PFAXSENDDOCUMENTFORBROADCAST PFAXSENDDOCUMENTFORBROADCASTA
#define	FaxEnumJobs FaxEnumJobsA
#define	PFAXENUMJOBS PFAXENUMJOBSA
#endif	
BOOL WINAPI FaxGetJobA(HANDLE,DWORD,PFAX_JOB_ENTRYA *);
BOOL WINAPI FaxGetJobW(HANDLE,DWORD,PFAX_JOB_ENTRYW *);
typedef	BOOL (WINAPI *PFAXGETJOBA)(HANDLE,DWORD,PFAX_JOB_ENTRYA *);
typedef	BOOL (WINAPI *PFAXGETJOBW)(HANDLE,DWORD,PFAX_JOB_ENTRYW *);
BOOL WINAPI FaxSetJobA(HANDLE ,DWORD,DWORD,const FAX_JOB_ENTRYA *);
BOOL WINAPI FaxSetJobW( HANDLE,DWORD,DWORD,const FAX_JOB_ENTRYW *);
typedef	BOOL (WINAPI *PFAXSETJOBA)(HANDLE,DWORD,DWORD,const FAX_JOB_ENTRYA *);
typedef	BOOL (WINAPI *PFAXSETJOBW)(HANDLE,DWORD,DWORD,const FAX_JOB_ENTRYW *);
BOOL WINAPI FaxGetPageData(HANDLE,DWORD,LPBYTE *,LPDWORD,LPDWORD,LPDWORD);
typedef	BOOL (WINAPI *PFAXGETPAGEDATA)(HANDLE,DWORD,LPBYTE *,LPDWORD,LPDWORD,LPDWORD);
BOOL WINAPI FaxGetDeviceStatusA(HANDLE,PFAX_DEVICE_STATUSA *);
BOOL WINAPI FaxGetDeviceStatusW( HANDLE, PFAX_DEVICE_STATUSW *);
typedef	BOOL (WINAPI *PFAXGETDEVICESTATUSA)(HANDLE,PFAX_DEVICE_STATUSA *);
typedef	BOOL (WINAPI *PFAXGETDEVICESTATUSW)(HANDLE,PFAX_DEVICE_STATUSW *);
BOOL WINAPI FaxAbort(HANDLE,DWORD);
typedef	BOOL (WINAPI *PFAXABORT)(HANDLE, DWORD);
BOOL WINAPI FaxGetConfigurationA( HANDLE , PFAX_CONFIGURATIONA *);
BOOL WINAPI FaxGetConfigurationW( HANDLE , PFAX_CONFIGURATIONW *);
typedef	BOOL (WINAPI *PFAXGETCONFIGURATIONA)(HANDLE,PFAX_CONFIGURATIONA *);
typedef	BOOL (WINAPI *PFAXGETCONFIGURATIONW)(HANDLE,PFAX_CONFIGURATIONW *);
BOOL WINAPI FaxSetConfigurationA(HANDLE,const FAX_CONFIGURATIONA *);
BOOL WINAPI FaxSetConfigurationW(HANDLE,const FAX_CONFIGURATIONW *);
typedef	BOOL (WINAPI *PFAXSETCONFIGURATIONA)(HANDLE,const FAX_CONFIGURATIONA *);
typedef	BOOL (WINAPI *PFAXSETCONFIGURATIONW)(HANDLE,const FAX_CONFIGURATIONW *);
BOOL WINAPI FaxGetLoggingCategoriesA(HANDLE, PFAX_LOG_CATEGORYA *,LPDWORD);
BOOL WINAPI FaxGetLoggingCategoriesW(HANDLE, PFAX_LOG_CATEGORYW *,LPDWORD);
typedef	BOOL (WINAPI *PFAXGETLOGGINGCATEGORIESA)(HANDLE,PFAX_LOG_CATEGORYA *,LPDWORD);
typedef	BOOL (WINAPI *PFAXGETLOGGINGCATEGORIESW)(HANDLE,PFAX_LOG_CATEGORYW *,LPDWORD);
BOOL WINAPI FaxSetLoggingCategoriesA(HANDLE,const FAX_LOG_CATEGORYA *,DWORD);
BOOL WINAPI FaxSetLoggingCategoriesW(HANDLE,const FAX_LOG_CATEGORYW *,DWORD);
typedef	BOOL (WINAPI *PFAXSETLOGGINGCATEGORIESA)(HANDLE,const FAX_LOG_CATEGORYA *,DWORD);
typedef	BOOL (WINAPI *PFAXSETLOGGINGCATEGORIESW)(HANDLE,const FAX_LOG_CATEGORYW *,DWORD);
BOOL WINAPI FaxEnumPortsA(HANDLE,PFAX_PORT_INFOA *,LPDWORD);
BOOL WINAPI FaxEnumPortsW(HANDLE,PFAX_PORT_INFOW *,LPDWORD);
typedef	BOOL (WINAPI *PFAXENUMPORTSA)(HANDLE,PFAX_PORT_INFOA *,LPDWORD);
typedef	BOOL (WINAPI *PFAXENUMPORTSW)(HANDLE,PFAX_PORT_INFOW *,LPDWORD);
#ifdef	UNICODE
#define	FaxGetJob FaxGetJobW
#define	PFAXGETJOB PFAXGETJOBW
#define	FaxSetJob FaxSetJobW
#define	PFAXSETJOB PFAXSETJOBW
#define	FaxGetDeviceStatus FaxGetDeviceStatusW
#define	PFAXGETDEVICESTATUS PFAXGETDEVICESTATUSW
#define	FaxGetConfiguration FaxGetConfigurationW
#define	PFAXGETCONFIGURATION PFAXGETCONFIGURATIONW
#define	FaxSetConfiguration FaxSetConfigurationW
#define	PFAXSETCONFIGURATION PFAXSETCONFIGURATIONW
#define	FaxGetLoggingCategories FaxGetLoggingCategoriesW
#define	PFAXGETLOGGINGCATEGORIES PFAXGETLOGGINGCATEGORIESW
#define	FaxSetLoggingCategories FaxSetLoggingCategoriesW
#define	PFAXSETLOGGINGCATEGORIES PFAXSETLOGGINGCATEGORIESW
#define	FaxEnumPorts FaxEnumPortsW
#define	PFAXENUMPORTS PFAXENUMPORTSW
#else
#define	FaxGetJob FaxGetJobA
#define	PFAXGETJOB PFAXGETJOBA
#define	FaxSetJob FaxSetJobA
#define	PFAXSETJOB PFAXSETJOBA
#define	FaxGetDeviceStatus FaxGetDeviceStatusA
#define	PFAXGETDEVICESTATUS PFAXGETDEVICESTATUSA
#define	FaxGetConfiguration FaxGetConfigurationA
#define	PFAXGETCONFIGURATION PFAXGETCONFIGURATIONA
#define	FaxSetConfiguration FaxSetConfigurationA
#define	PFAXSETCONFIGURATION PFAXSETCONFIGURATIONA
#define	FaxGetLoggingCategories FaxGetLoggingCategoriesA
#define	PFAXGETLOGGINGCATEGORIES PFAXGETLOGGINGCATEGORIESA
#define	FaxSetLoggingCategories FaxSetLoggingCategoriesA
#define	PFAXSETLOGGINGCATEGORIES PFAXSETLOGGINGCATEGORIESA
#define	PFAXENUMPORTS PFAXENUMPORTSA
#define	FaxEnumPorts FaxEnumPortsA
#endif	
BOOL WINAPI FaxGetPortA(HANDLE,PFAX_PORT_INFOA *);
BOOL WINAPI FaxGetPortW(HANDLE,PFAX_PORT_INFOW *);
typedef	BOOL (WINAPI *PFAXGETPORTA)(HANDLE,PFAX_PORT_INFOA *);
typedef	BOOL (WINAPI *PFAXGETPORTW)(HANDLE,PFAX_PORT_INFOW *);
BOOL WINAPI FaxSetPortA(HANDLE,const FAX_PORT_INFOA *);
BOOL WINAPI FaxSetPortW(HANDLE ,const FAX_PORT_INFOW *);
typedef	BOOL (WINAPI *PFAXSETPORTA)(HANDLE,const FAX_PORT_INFOA *);
typedef	BOOL (WINAPI *PFAXSETPORTW)(HANDLE,const FAX_PORT_INFOW *);
BOOL WINAPI FaxEnumRoutingMethodsA(HANDLE,PFAX_ROUTING_METHODA *,LPDWORD);
BOOL WINAPI FaxEnumRoutingMethodsW(HANDLE,PFAX_ROUTING_METHODW *,LPDWORD);
typedef	BOOL (WINAPI *PFAXENUMROUTINGMETHODSA)(HANDLE,PFAX_ROUTING_METHODA *,LPDWORD);
typedef	BOOL (WINAPI *PFAXENUMROUTINGMETHODSW)(HANDLE,PFAX_ROUTING_METHODW *,LPDWORD);
BOOL WINAPI FaxEnableRoutingMethodA(HANDLE,LPCSTR,BOOL);
BOOL WINAPI FaxEnableRoutingMethodW(HANDLE,LPCWSTR,BOOL);
typedef	BOOL (WINAPI *PFAXENABLEROUTINGMETHODA)(HANDLE,LPCSTR,BOOL);
typedef	BOOL (WINAPI *PFAXENABLEROUTINGMETHODW)(HANDLE,LPCWSTR,BOOL);
BOOL WINAPI FaxEnumGlobalRoutingInfoA(HANDLE,PFAX_GLOBAL_ROUTING_INFOA *,LPDWORD);
BOOL WINAPI FaxEnumGlobalRoutingInfoW(HANDLE,PFAX_GLOBAL_ROUTING_INFOW *,LPDWORD);
typedef	BOOL (WINAPI *PFAXENUMGLOBALROUTINGINFOA)(HANDLE,PFAX_GLOBAL_ROUTING_INFOA *,LPDWORD);
typedef	BOOL (WINAPI *PFAXENUMGLOBALROUTINGINFOW)(HANDLE,PFAX_GLOBAL_ROUTING_INFOW *,LPDWORD);
BOOL WINAPI FaxSetGlobalRoutingInfoA(HANDLE,const FAX_GLOBAL_ROUTING_INFOA *);
BOOL WINAPI FaxSetGlobalRoutingInfoW(HANDLE,const FAX_GLOBAL_ROUTING_INFOW *);
typedef	BOOL (WINAPI *PFAXSETGLOBALROUTINGINFOA)(HANDLE,const FAX_GLOBAL_ROUTING_INFOA *);
typedef	BOOL (WINAPI *PFAXSETGLOBALROUTINGINFOW)(HANDLE,const FAX_GLOBAL_ROUTING_INFOW *);
BOOL WINAPI FaxGetRoutingInfoA(HANDLE,LPCSTR ,LPBYTE *,LPDWORD);
BOOL WINAPI FaxGetRoutingInfoW(HANDLE,LPCWSTR,LPBYTE *,LPDWORD);
typedef	BOOL (WINAPI *PFAXGETROUTINGINFOA)( HANDLE , LPCSTR , LPBYTE *, LPDWORD );
typedef	BOOL (WINAPI *PFAXGETROUTINGINFOW)(HANDLE,LPCWSTR,LPBYTE *,LPDWORD);
BOOL WINAPI FaxSetRoutingInfoA(HANDLE,LPCSTR,const BYTE *,DWORD);
BOOL WINAPI FaxSetRoutingInfoW(HANDLE,LPCWSTR,const BYTE *,DWORD);
typedef	BOOL (WINAPI *PFAXSETROUTINGINFOA)(HANDLE,LPCSTR,const BYTE *,DWORD);
typedef	BOOL (WINAPI *PFAXSETROUTINGINFOW)(HANDLE,LPCWSTR ,const BYTE *,DWORD);
BOOL WINAPI FaxInitializeEventQueue(HANDLE,HANDLE,ULONG_PTR,HWND,UINT);
typedef	BOOL (WINAPI *PFAXINITIALIZEEVENTQUEUE)(HANDLE,HANDLE,ULONG_PTR,HWND,UINT);
VOID WINAPI FaxFreeBuffer(LPVOID);
typedef	BOOL (WINAPI *PFAXFREEBUFFER)(LPVOID);
BOOL WINAPI FaxStartPrintJobA(LPCSTR,const FAX_PRINT_INFOA *,LPDWORD,PFAX_CONTEXT_INFOA);
BOOL WINAPI FaxStartPrintJobW(LPCWSTR,const FAX_PRINT_INFOW *,LPDWORD,PFAX_CONTEXT_INFOW);
typedef	BOOL (WINAPI *PFAXSTARTPRINTJOBA)(LPCSTR,const FAX_PRINT_INFOA *,LPDWORD,PFAX_CONTEXT_INFOA);
typedef	BOOL (WINAPI *PFAXSTARTPRINTJOBW)(LPCWSTR,const FAX_PRINT_INFOW *,LPDWORD,PFAX_CONTEXT_INFOW);
BOOL WINAPI FaxPrintCoverPageA(const FAX_CONTEXT_INFOA *,const FAX_COVERPAGE_INFOA *);
BOOL WINAPI FaxPrintCoverPageW(const FAX_CONTEXT_INFOW *,const FAX_COVERPAGE_INFOW *);
typedef	BOOL (WINAPI *PFAXPRINTCOVERPAGEA)(const FAX_CONTEXT_INFOA *,const FAX_COVERPAGE_INFOA *);
typedef	BOOL (WINAPI *PFAXPRINTCOVERPAGEW)(const FAX_CONTEXT_INFOW *,const FAX_COVERPAGE_INFOW *);
BOOL FaxRegisterServiceProviderA(HANDLE,LPCSTR,LPCSTR,LPCSTR,LPCSTR);
BOOL FaxRegisterServiceProviderW(HANDLE,LPCWSTR,LPCWSTR,LPCWSTR,LPCWSTR);
typedef	BOOL (WINAPI *PFAXREGISTERSERVICEPROVIDERA)(HANDLE,LPCSTR,LPCSTR,LPCSTR,LPCSTR);
typedef	BOOL (WINAPI *PFAXREGISTERSERVICEPROVIDERW)(HANDLE,LPCWSTR,LPCWSTR,LPCWSTR,LPCWSTR);
typedef	BOOL (CALLBACK	*PFAX_ROUTING_INSTALLATION_CALLBACKA)(HANDLE,LPVOID,LPSTR,LPSTR,LPSTR,LPSTR);
typedef	BOOL (CALLBACK	*PFAX_ROUTING_INSTALLATION_CALLBACKW)(HANDLE,LPVOID,LPWSTR,LPWSTR,LPWSTR,LPWSTR);
BOOL FaxRegisterRoutingExtensionA(HANDLE,LPCSTR,LPCSTR,LPCSTR,PFAX_ROUTING_INSTALLATION_CALLBACKA,LPVOID);
BOOL FaxRegisterRoutingExtensionW(HANDLE,LPCWSTR,LPCWSTR,LPCWSTR,PFAX_ROUTING_INSTALLATION_CALLBACKW,LPVOID);
typedef	BOOL (WINAPI *PFAXREGISTERROUTINGEXTENSIONA)(HANDLE,LPCSTR,LPCSTR,LPCSTR,PFAX_ROUTING_INSTALLATION_CALLBACKA,LPVOID);
typedef	BOOL (WINAPI *PFAXREGISTERROUTINGEXTENSIONW)(HANDLE,LPCWSTR,LPCWSTR,LPCWSTR,PFAX_ROUTING_INSTALLATION_CALLBACKW,LPVOID);
#ifdef	UNICODE
#define	FaxGetPort FaxGetPortW
#define	PFAXGETPORT PFAXGETPORTW
#define	FaxSetPort FaxSetPortW
#define	PFAXSETPORT PFAXSETPORTW
#define	FaxEnumRoutingMethods FaxEnumRoutingMethodsW
#define	PFAXENUMROUTINGMETHODS PFAXENUMROUTINGMETHODSW
#define	FaxEnableRoutingMethod FaxEnableRoutingMethodW
#define	PFAXENABLEROUTINGMETHOD PFAXENABLEROUTINGMETHODW
#define	FaxEnumGlobalRoutingInfo FaxEnumGlobalRoutingInfoW
#define	PFAXENUMGLOBALROUTINGINFO PFAXENUMGLOBALROUTINGINFOW
#define	PFAX_ROUTING_INSTALLATION_CALLBACK PFAX_ROUTING_INSTALLATION_CALLBACKW
#define	FaxSetGlobalRoutingInfo FaxSetGlobalRoutingInfoW
#define	PFAXSETGLOBALROUTINGINFO PFAXSETGLOBALROUTINGINFOW
#define	FaxGetRoutingInfo FaxGetRoutingInfoW
#define	PFAXGETROUTINGINFO PFAXGETROUTINGINFOW
#define	FaxSetRoutingInfo FaxSetRoutingInfoW
#define	PFAXSETROUTINGINFO PFAXSETROUTINGINFOW
#define	FaxStartPrintJob FaxStartPrintJobW
#define	PFAXSTARTPRINTJOB PFAXSTARTPRINTJOBW
#define	FaxPrintCoverPage FaxPrintCoverPageW
#define	PFAXPRINTCOVERPAGE PFAXPRINTCOVERPAGEW
#define	FaxRegisterServiceProvider FaxRegisterServiceProviderW
#define	PFAXREGISTERSERVICEPROVIDER PFAXREGISTERSERVICEPROVIDERW
#define	FaxRegisterRoutingExtension FaxRegisterRoutingExtensionW
#define	PFAXREGISTERROUTINGEXTENSION PFAXREGISTERROUTINGEXTENSIONW
#else
#define	FaxGetPort FaxGetPortA
#define	PFAXGETPORT PFAXGETPORTA
#define	FaxSetPort FaxSetPortA
#define	PFAXSETPORT PFAXSETPORTA
#define	FaxEnumRoutingMethods FaxEnumRoutingMethodsA
#define	PFAXENUMROUTINGMETHODS PFAXENUMROUTINGMETHODSA
#define	FaxEnableRoutingMethod FaxEnableRoutingMethodA
#define	PFAXENABLEROUTINGMETHOD PFAXENABLEROUTINGMETHODA
#define	FaxEnumGlobalRoutingInfo FaxEnumGlobalRoutingInfoA
#define	PFAXENUMGLOBALROUTINGINFO PFAXENUMGLOBALROUTINGINFOA
#define	PFAX_ROUTING_INSTALLATION_CALLBACK PFAX_ROUTING_INSTALLATION_CALLBACKA
#define	FaxSetGlobalRoutingInfo FaxSetGlobalRoutingInfoA
#define	PFAXSETGLOBALROUTINGINFO PFAXSETGLOBALROUTINGINFOA
#define	FaxGetRoutingInfo FaxGetRoutingInfoA
#define	PFAXGETROUTINGINFO PFAXGETROUTINGINFOA
#define	FaxSetRoutingInfo FaxSetRoutingInfoA
#define	PFAXSETROUTINGINFO PFAXSETROUTINGINFOA
#define	FaxStartPrintJob FaxStartPrintJobA
#define	PFAXSTARTPRINTJOB PFAXSTARTPRINTJOBA
#define	FaxPrintCoverPage FaxPrintCoverPageA
#define	PFAXPRINTCOVERPAGE PFAXPRINTCOVERPAGEA
#define	FaxRegisterServiceProvider FaxRegisterServiceProviderA
#define	PFAXREGISTERSERVICEPROVIDER PFAXREGISTERSERVICEPROVIDERA
#define	FaxRegisterRoutingExtension FaxRegisterRoutingExtensionA
#define	PFAXREGISTERROUTINGEXTENSION PFAXREGISTERROUTINGEXTENSIONA
#endif	
#endif
