#include <complex.h>
#ifndef EXPORT
#define EXPORT
#endif

//--------------------------------------------------------------------------Multiplication

long double _Complex EXPORT operator *= (long double _Complex &a,const long double _Complex r)
{
        long double f = a.re * r.re - a.im * r.im;
        a.im = a.re * r.im + a.im * r.re;
        a.re = f;
        return a;
}


long double _Complex EXPORT operator * (const long double _Complex x, const long double _Complex y)
{
        long double _Complex result;
        result.re = (x.re * y.re)-(x.im * y.im);
        result.im = (x.re * y.im)+(x.im * y.re);
        return result;
}


long double _Complex EXPORT operator * (const long double _Complex x, long double y)
{
        long double _Complex result;

        result.re = x.re*y;
        result.im = x.im*y;
        return result;
}
long double _Complex EXPORT operator * (const long double _Complex x, int y)
{
        long double _Complex result;

        result.re = x.re*y;
        result.im = x.im*y;
        return result;
}

long double _Complex EXPORT operator * (const long double _Complex x, double y)
{
        long double _Complex result;

        result.re = x.re*y;
        result.im = x.im*y;
        return result;
}

long double _Complex EXPORT operator * (const double x, const long double _Complex y)
{
	double _Complex result;

	result.re = x * y.re;
	result.im = y.im * x;
	return result;
}

long double _Complex EXPORT operator * (const long double x, const long double _Complex y)
{
        double _Complex result;

        result.re = x * y.re;
        result.im = y.im * x;
        return result;
}
