#include "str.h"
#include "exceptions.h"
#include "str_private.h"

//---------------------------------------------remove_string
bool overloaded Strdelete(StringA &s,size_t pos)
{
	int element_size;
	char *pcontents;
	wchar_t *pwcontents;
	if (!StrvalidA(s))
		return false;
	if (s.count == 0)
		return false;
	require(pos < s.count);
	pcontents = s.content;
	if (pos < s.count-1) {
		memmove(pcontents+pos,pcontents+pos+1,s.count-pos-1);
	}
	s.count--;
	pcontents[s.count] = 0;
	return true;
}

bool overloaded Strdelete(StringW &s,size_t pos)
{
	int element_size;
	char *pcontents;
	wchar_t *pwcontents;
	if (!StrvalidW(s))
		return false;
	if (s.count == 0)
		return false;
	require(pos < s.count);
	pwcontents = s.content;
	if (pos < s.count-1) {
		memmove(pwcontents+pos,pwcontents+pos+1,2*(s.count-pos-1));
	}
	s.count--;
	pwcontents[s.count] = 0;
	return true;
}

int overloaded Strtruncate(StringA &str,size_t n)
{
	if (!StrvalidA(str))
		return 0;
	if (n >= str.count)
		return str.count;
	str.count = n;
	str.content[n] = 0;
	return n;
}

int overloaded Strtruncate(StringW &str,size_t n)
{
	if (!StrvalidW(str))
		return 0;
	if (n >= str.count)
		return str.count;
	str.count = n;
	str.content[n] = 0;
	return n;
}
