#include "str.h"
#include "exceptions.h"
#include "str_private.h"

/* mapping */
StringA EXPORT overloaded Strmap(StringA & from, int (*map_fun) (int))
{
	StringA result;

	if (map_fun == NULL)
		return Strdup(from);
	require(StrvalidA(from) && map_fun != NULL);
	result = new_stringA(from.count);
	result.count = from.count;
	for (int i = 0; i < from.count; ++i){
		result.content[i] = map_fun(from.content[i]);
	}
	return result;
}

StringW EXPORT overloaded Strmap(StringW & from, int (*map_fun) (int))
{
	StringW result;

	if (map_fun == NULL)
		return Strdup(from);
	require(StrvalidW(from) && map_fun != NULL);
	result = new_stringW(from.count);
	result.count = from.count;
	for (int i = 0; i < from.count; ++i){
		result.content[i] = map_fun(from.content[i]);
	}
	return result;
}

